(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1691412,      32027]
NotebookOptionsPosition[   1657734,      31504]
NotebookOutlinePosition[   1658181,      31522]
CellTagsIndexPosition[   1658138,      31519]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 StyleBox["Insurance Model\n", "Subtitle"],
 StyleBox["The first-best benchmark -- centre decision", "Section"]
}], "Chapter",
 CellChangeTimes->{{3.846994013564211*^9, 3.8469940156856823`*^9}, {
  3.846994857600985*^9, 3.846994859748948*^9}, {3.846994896420465*^9, 
  3.8469949852663383`*^9}, {3.848290085053608*^9, 
  3.848290093282737*^9}},ExpressionUUID->"f89ef293-692e-4ecb-80d1-\
b0c9b69c3023"],

Cell["\<\
By analyzing a centralized controlled supply chain. Without the need to \
consider payment to the vehicle manufacture and deal with insurancing within \
a centralized, controlled system, the expected savings associated with \
launching vie an internal spacecraft are equal to\
\>", "Text",
 CellChangeTimes->{
  3.847072295759438*^9},ExpressionUUID->"78abf3ce-2707-4e2e-af94-\
39462d25073e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Profits", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
    RowBox[{"e", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
    "cs"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{"Profitc", ":=", 
  RowBox[{
  "Profits", "+", "Profitv"}]}], "\[IndentingNewLine]", "Profitc"}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.8473264785550127`*^9, 3.8473265157241096`*^9}, {
  3.847326555078433*^9, 3.8473265768271093`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"b0c1ce44-4c72-413d-89c7-77d016108ffb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
   RowBox[{"4", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["f", "2"]}], "-", 
          RowBox[{"4", " ", "cv", " ", "k"}], "-", 
          RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
          SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "f"}], "+", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.847326577450904*^9, 3.847998306954913*^9, 
  3.8479993272780724`*^9, 3.847999709912067*^9, 3.84799978875513*^9, 
  3.848002779204077*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"1b90e0a6-5cbd-45b7-a204-7e9d22385b8c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.847326569221801*^9, 3.8473265829686728`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"59d7a380-1a23-4cd4-b1fb-bda63391cda1"],

Cell[BoxData[
 RowBox[{"f", "-", 
  RowBox[{"2", " ", "e", " ", "k"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.847326583946878*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"bfe72a22-497a-4d97-8763-55c77a35436a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473265942646093`*^9, 3.847326599762624*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"e4eb6cfc-732f-424d-aca7-a23909a91390"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8473266002902927`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"21ebee3f-f5a7-4be3-b8de-e729f3f0c406"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"f", "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", "Profits"}], "Input",
 CellChangeTimes->{{3.8473266200818157`*^9, 3.847326627531846*^9}, {
  3.8479983133391542`*^9, 3.847998317701309*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"d4b15535-e795-4906-b2a1-060e4eeb9ddf"],

Cell[BoxData["Profits"], "Output",
 CellChangeTimes->{3.8479983186402187`*^9, 3.847999321101056*^9, 
  3.847999773350502*^9, 3.848002773610702*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"e162ba3a-1b36-4faa-ab7c-7d0c78c0bb94"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8479983202040997`*^9, 3.847998323847601*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"8ca1e0a9-3a23-493a-a8d1-ea0e4d7f83b5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"-", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", "Profitv"}], "Input",
 CellChangeTimes->{{3.84799842539933*^9, 3.847998429591507*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"9d61ce4b-3ef1-4fef-998a-e9a06a171a26"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.847998430839294*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"84e7d6e3-51da-4bd2-a57d-5352b3f21d57"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479984308551197`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"9d4c9689-8417-4e30-adbf-1de3fbcd54e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"dea0f4ed-4446-4108-8938-eaedff498571"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["f", "2"], "+", 
    RowBox[{"4", " ", "cv", " ", "k"}], "+", 
    RowBox[{"2", " ", "f", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "p", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "p", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    SuperscriptBox["\[Theta]", "2"]}], 
   RowBox[{"4", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.847998434623662*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"af725cde-337b-4b8e-836d-947909e753a3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.847998436851552*^9, 3.847998444406385*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"9dbcc97b-80ed-4865-9aa3-3d876dc4264a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "f"}], "+", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["f", "2"]}], "-", 
    RowBox[{"4", " ", "cv", " ", "k"}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], "Input",
 CellChangeTimes->{{3.847999753158958*^9, 3.847999761019404*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"679e6216-a5f9-4196-81a3-7f97e6edd371"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "f"}], "+", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847999775657194*^9, 3.848002755542592*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"7a65a4f3-919b-4a5d-be7d-d06ec6cddba1"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"p", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{"4", "k", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}]}], 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}]}]]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847998516145997*^9, 3.84799859216565*^9}, {
  3.847998635690159*^9, 3.847998709554196*^9}, {3.84799970617137*^9, 
  3.847999717323124*^9}, {3.848002757061071*^9, 
  3.848002761135565*^9}},ExpressionUUID->"7d009ab8-d864-4ef6-81a7-\
3d3c1e4180fc"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.848002785062751*^9, 3.848002792872609*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5e7943ab-7c39-4757-87fc-ec89e0c5ec6a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
   RowBox[{"4", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.848002793719387*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"84dc2a75-7947-4e48-a97a-cd68c0cf9d95"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["f", "2"]}], "-", 
       RowBox[{"4", " ", "cv", " ", "k"}], "-", 
       RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
       SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "f"}], "+", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["f", "2"]}], "-", 
       RowBox[{"4", " ", "cv", " ", "k"}], "-", 
       RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
       SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
    RowBox[{"4", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "f"}], "+", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"35f6723e-a6ee-4a6b-a571-29c4855825bf"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.848002796093755*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"be37a142-5284-4c9e-bffc-6062750f3baa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["Profits",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.848002800863866*^9, 3.8480028040828047`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"8629591a-fabb-4ce2-8cb1-3aae0307cc31"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k"}], "-", 
      RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "f"}], "+", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["f", "2"]}], "-", 
          RowBox[{"4", " ", "cv", " ", "k"}], "-", 
          RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
          SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "f"}], "+", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8480028050996017`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"b63e45a1-8da9-48f5-a7ba-5a93d62045b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["f", "2"]}], "-", 
       RowBox[{"4", " ", "cv", " ", "k"}], "-", 
       RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
       SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "f"}], "+", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["f", "2"]}], "-", 
           RowBox[{"4", " ", "cv", " ", "k"}], "-", 
           RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
           SuperscriptBox["\[Theta]", "2"]}], ")"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "f"}], "+", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"9ae7edb9-c444-4431-85f7-4b50465409fc"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["f", "2"], "-", 
   RowBox[{"4", " ", "cs", " ", "k"}], "-", 
   RowBox[{"4", " ", "cv", " ", "k"}], "+", 
   RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.848002807529957*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"ad4282ce-d917-42b8-ab6d-2fd0bffbc96e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8480027648733463`*^9, 
  3.848002768283906*^9}},ExpressionUUID->"7accabe5-2f74-44db-8a1e-\
c6eb969a6652"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8480027184331207`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"334d6b9a-de7e-4632-a023-8a1a67a74391"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{3.84799979393333*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"8c7170a3-5955-4bcf-aede-130c715fd28f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8479997939745693`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"afede14a-1f18-486d-8a6c-90ba4838003c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", "k", " ", 
            RowBox[{"(", 
             RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"f07d5e6c-1f3e-4f19-b3a6-a4c0a2f8ce2b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8479997965873127`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"6a59670c-16a7-42c0-b10c-136073ec2d4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["Profitc",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.8479987197840433`*^9, 3.84799872220685*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"00ea9387-d47b-441b-945a-e9b7b8ecad41"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.847998723313196*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"b84a4454-62bb-471c-a397-8080f199fa13"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "cv", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", "k", " ", 
            RowBox[{"(", 
             RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"1c556a7a-4ff5-4a63-8962-32f91f994071"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["f", "2"], "-", 
   RowBox[{"4", " ", "cs", " ", "k"}], "-", 
   RowBox[{"4", " ", "cv", " ", "k"}], "+", 
   RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.847998905480134*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"2305d44a-d27a-4b89-9ec0-30a67249b374"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "cv", "+", "\[Theta]"}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.8479987937657633`*^9, 3.847998843685431*^9}, {
  3.847998933180647*^9, 
  3.847998933672266*^9}},ExpressionUUID->"769d6e80-290e-457a-9a23-\
df6b38e573b6"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["Profitv",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847998724448341*^9, 3.8479987317808113`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"4ebd8f92-bde0-48d5-b6df-24a6fa6e2044"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8479987335459642`*^9, 3.8479993323419333`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"879957d4-de97-49b2-a834-02e28d790675"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"69bc43d8-bb55-42b5-a0ca-85c91b9b3b9d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["f", "2"], "+", 
      RowBox[{"4", " ", "cv", " ", "k"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", "k"}], "-", "\[Theta]"}], ")"}], " ", 
       "\[Theta]"}]}], ")"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}]]}]], "Output",
 CellChangeTimes->{3.847999335989834*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"14505492-ec8a-4d79-8fd8-3fb65cd964af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"cv", "+", "\[Theta]"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "+", "\[Theta]"}], ")"}]}]}], ")"}]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"febbe65e-d053-4384-ae36-013e415f0487"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["f", "2"], "+", 
      RowBox[{"4", " ", "cv", " ", "k"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", "k"}], "-", "\[Theta]"}], ")"}], " ", 
       "\[Theta]"}]}], ")"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}]]}]], "Output",
 CellChangeTimes->{3.847998746333839*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"7c297ea7-8964-4c78-ac1c-c6a080497d87"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Cancel", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["f", "2"], "+", 
       RowBox[{"4", " ", "cv", " ", "k"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "k"}], "-", "\[Theta]"}], ")"}], " ", 
        "\[Theta]"}]}], ")"}]}], 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"1c57d661-624e-46d4-99ff-0272f608e4b1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Alpha]", " ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", "\[Theta]"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}], "+", 
    RowBox[{"4", " ", "cv", " ", "k"}], "+", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}]}], "]"}], 
  RowBox[{"4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"f", 
      RowBox[{"(", 
       RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"k", " ", "\[Alpha]"}], "+", 
     RowBox[{"\[Theta]", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]], "Input",
 CellChangeTimes->{{3.847999105602112*^9, 
  3.847999190628937*^9}},ExpressionUUID->"50278d09-bd22-4a30-8489-\
b03363faca25"],

Cell[CellGroupData[{

Cell[BoxData["Profitc"], "Input",
 CellChangeTimes->{{3.847326629876164*^9, 3.847326631143268*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"0d59bff6-601f-481b-9a23-5ffac7465f5e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.847326631741596*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"f1723621-f75d-4868-b69f-7a52987e09cd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "cv", "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"fd339db5-53a6-488d-bd69-7a1d92b52c01"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "cv", "+", "\[Theta]"}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847998942400495*^9, 
  3.847998981139147*^9}},ExpressionUUID->"f1b2b0a8-3947-4b8c-b5ff-\
5fb37bf57539"],

Cell[CellGroupData[{

Cell[TextData[{
 "Lemma 1\n",
 StyleBox["In a centralized chain, the satellite owner contract with the \
vehicle manufacture if and only if ", "Text",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  StyleBox[
   RowBox[{
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
     RowBox[{"4", " ", "k"}]], 
    StyleBox["\[GreaterEqual]", "Text"], 
    StyleBox[" ", "Text"], 
    RowBox[{
     StyleBox["cs", "Text"], 
     StyleBox[" ", "Text"], 
     StyleBox["+", "Text"], 
     StyleBox[" ", "Text"], 
     StyleBox["cv", "Text"], 
     StyleBox[" ", "Text"], 
     StyleBox["+", "Text"], 
     StyleBox[" ", "Text"], 
     StyleBox["\[Theta]", "Text"], 
     StyleBox[" ", "Text"]}]}], "Text",
   FontWeight->"Plain",
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.8470725701697483`*^9},ExpressionUUID->
  "bce61666-8074-42ff-a08b-da5f2e04b448"],
 StyleBox[" ", "Text",
  FontColor->GrayLevel[0]],
 StyleBox[" ", "Text",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[". The resulting launch probability is ", "Text",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{"f", "+", "\[Theta]"}], 
     RowBox[{"2", "k"}]], "Text"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "21aca26d-f56d-45a7-a470-e69ed3bcc609"],
 StyleBox[",", "Text",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and the corresponding chain payoff is ", "Text",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]],
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.8470725701697483`*^9},ExpressionUUID->
  "bfcdfe75-b4f4-4dac-b9bb-a4506554e812"],
 StyleBox[" - ", "Text",
  FontColor->GrayLevel[0]],
 StyleBox["cs - cv - \[Theta]", "Text",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[".\n\nIt follows from the lemma1  that, in order to avoid trivial \
cases, we assume that ", "Text",
  FontColor->GrayLevel[0]],
 StyleBox["k >(f+\[Theta])/2 ", "Text",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["and ", "Text",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]],
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.8470725701697483`*^9},ExpressionUUID->
  "69ced091-960e-4520-a842-9e275072db75"],
 StyleBox[" ", "Text",
  FontColor->GrayLevel[0]],
 StyleBox["\[GreaterEqual] cs + cv + \[Theta]   ", "Text",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["throughout this paper. ", "Text",
  FontColor->GrayLevel[0]]
}], "Section",
 CellChangeTimes->{{3.847072621464958*^9, 3.847072634540354*^9}, {
  3.847072726456894*^9, 3.8470727475798388`*^9}, {3.847072805201377*^9, 
  3.847072843567854*^9}, {3.8470729113579206`*^9, 3.847073031006254*^9}, {
  3.8470731528824472`*^9, 3.847073179144915*^9}, {3.8470733324003267`*^9, 
  3.847073344605122*^9}, {3.847073375844777*^9, 3.847073377406995*^9}, {
  3.847073424844791*^9, 3.847073505663547*^9}, {3.847073555664248*^9, 
  3.847073568298669*^9}, {3.8470736020073853`*^9, 3.84707365478864*^9}, {
  3.847073685776712*^9, 3.847073765658246*^9}, {3.847073908138644*^9, 
  3.847073909550741*^9}, {3.847145461780875*^9, 3.847145546076703*^9}, {
  3.8471458813531313`*^9, 3.8471459088602533`*^9}, {3.84732671462929*^9, 
  3.8473267771744413`*^9}, {3.8473268170221977`*^9, 3.8473268640070133`*^9}, {
  3.847326899941523*^9, 3.8473270803411303`*^9}, {3.848012597103416*^9, 
  3.848012652150004*^9}},ExpressionUUID->"c43be20e-b860-4e48-8f63-\
70335f0dd634"],

Cell[CellGroupData[{

Cell[TextData[{
 "Assumption 1\n",
 StyleBox["The vehicle manufacture\[CloseCurlyQuote]s cost cv and his failure \
penalty level a satisfy", "Text",
  FontColor->GrayLevel[0]],
 StyleBox[" 0 \[LessEqual] \[Theta] \[LessEqual] cv ", "Text",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 CellChangeTimes->{{3.847073093195812*^9, 3.8470731037456017`*^9}, {
   3.847073796283391*^9, 3.8470738544159527`*^9}, {3.8470739117702103`*^9, 
   3.847073933193*^9}, 
   3.8473271294453*^9},ExpressionUUID->"f3bc96cf-d47e-44a9-baa2-f65c018c03c1"],

Cell["", "Outline5",
 CellChangeTimes->{
  3.847072706267499*^9},ExpressionUUID->"13c316a7-14cb-4933-80e9-\
eb620d4530b1"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8473954778884897`*^9, 
  3.847395478942045*^9}},ExpressionUUID->"7dc2b592-a563-4551-8063-\
19d6a8ebfe7f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Insurance Model\n", "Subtitle"],
 StyleBox["The first-best benchmark - 2", "Section"]
}], "Chapter",
 CellChangeTimes->{{3.846994013564211*^9, 3.8469940156856823`*^9}, {
   3.846994857600985*^9, 3.846994859748948*^9}, {3.846994896420465*^9, 
   3.8469949852663383`*^9}, {3.8473955034037323`*^9, 
   3.8473955070501633`*^9}, {3.848290107213818*^9, 3.848290135952883*^9}, 
   3.8482902086100187`*^9},ExpressionUUID->"e9ef37e5-5840-4701-a3d3-\
715ddcc1d84f"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}, {3.847395776868074*^9, 
  3.847395777216717*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"df6a5b40-f01e-4353-a005-04dfcce0b2d9"],

Cell[BoxData[
 RowBox[{"Profitc", ":=", 
  RowBox[{"Profits", "+", "Profitv"}]}]], "Input",
 CellChangeTimes->{{3.8473956014772577`*^9, 3.847395616147634*^9}, {
   3.8473957641885233`*^9, 3.847395782171669*^9}, 3.847395832127117*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"3631e16e-c62b-40de-8b70-a0510b42e69b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitc", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.847395619133565*^9, 3.8473956276237307`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"960f8f75-fb45-4bc4-9185-e57218ed4b2a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"2", " ", "e", " ", "k"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.847395628130185*^9, 3.847395786592174*^9, 
  3.847395836248753*^9, 3.8476834826302032`*^9, 3.848290321723749*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"58c166f1-bef1-4769-a93b-4803f09abb54"]
}, Open  ]],

Cell[BoxData["  "], "Input",
 CellChangeTimes->{{3.847684770566086*^9, 
  3.847684771055564*^9}},ExpressionUUID->"2f816093-c96b-489b-aa0e-\
f9c19908bd16"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "==", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.847395631250802*^9, 3.847395640919945*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"dde3d98b-b808-4c03-ab10-6e0e04a8df15"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   StyleBox[
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "cs"}], "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}],
    FontColor->RGBColor[1, 0, 0]], "}"}], "}"}]], "Input",
 CellChangeTimes->{3.848290448071229*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"23074524-3753-43ea-8fe5-a252c8f119a9"],

Cell[CellGroupData[{

Cell["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", "Section",
 CellChangeTimes->{{3.8470724126182137`*^9, 3.847072424750353*^9}, {
  3.8470751753004932`*^9, 
  3.8470751937801857`*^9}},ExpressionUUID->"93dc1a04-d5a5-41a6-96b8-\
1ee76a5f46e6"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"4e933050-1967-4545-957e-28ad0de47d03"],

Cell[BoxData[
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8470765697005787`*^9, 3.847076577232677*^9}, {
  3.847327185845133*^9, 3.847327189153658*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"3f30e25c-5acf-4342-922b-083e36c2a71a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473272002640133`*^9, 3.847327209916913*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"ce339a3e-2dad-444f-a4be-d04d1ba3e484"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.847327237587282*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"d1d487c0-74b7-4dc1-be02-42fd7f6b958a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.847327240103032*^9, 3.847327245970386*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"7ebb04c8-9d56-443e-abde-86bfd00647ec"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.84732724648028*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"99a19e5c-0a07-4224-a3d5-d6b8c8aa05f3"]
}, Open  ]],

Cell["\<\
We now solve the Stackelberg game  by using backward induction. First, given \
any contingent price p , by considering the first-order condition of Profitv, \
the vehicle manufacture\[CloseCurlyQuote]s best response is given as\
\>", "Text",
 CellChangeTimes->{
  3.847074658894882*^9},ExpressionUUID->"60329021-94ee-44ed-b4ca-\
b8c2c3634ce7"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.847327268752108*^9, 3.847327275046302*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"7caaff70-731e-46c4-8ffe-7f3310177044"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.8473272899202642`*^9, 3.84732729382342*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"7d02fe51-5094-4f04-a23c-ca998f93c9d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8473272967885447`*^9, 3.847480594030273*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"418dd4e6-a3f4-4a81-b0b0-289bcbd0db43"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"92547672-c369-4234-a0ef-0157453edda6"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", "k"}], "+", "\[Theta]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.847480598409925*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"6bde9ca3-400c-4e3a-aca6-f42e215a4e1a"]
}, Open  ]],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], " ", "+", " ", 
       "\[Theta]"}], "]"}], "2"], 
    RowBox[{"4", "k"}]], "-", "cv", "-", "\[Theta]", "+", 
   RowBox[{"2", "p"}]}], TraditionalForm]],
 FormatType->
  "TraditionalForm",ExpressionUUID->"f9471633-250a-4ea3-91af-9b228f1afc2b"]], \
"Text",
 CellChangeTimes->{{3.849155254053402*^9, 
  3.849155299329554*^9}},ExpressionUUID->"23105795-0de0-4c4a-830e-\
9c7ee50eaf1c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.84915510657788*^9, 
  3.8491551065864058`*^9}},ExpressionUUID->"01f52498-ff43-42ef-ba72-\
70c4437945c8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Plot", "[", 
  RowBox[{"Profitv", ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "0", ",", "200"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "50"}]}], "Input",
 CellChangeTimes->{{3.847480602630848*^9, 3.847480714697461*^9}, {
  3.847480771350127*^9, 3.847480792183373*^9}, {3.847602525054003*^9, 
  3.847602546166409*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"3d5d3f38-2635-42e8-ae2d-b4e9d8ffe07e"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVjn0803kcwMdL9LTQXTS3E/KQcpd1U9LWPk223xTNPMxDOjbsK1MeUtIq
pauUnjvqZOaFcrqXhxFR2pdXcWRZu67yUI3L0+vUOZRUs+v+eL/ef7z/eduL
dgtijUkkkt8X/rfDOX2x3PbxxruTzjOG3UJcP9d1WSKqZB2L9e1P3CXEzekV
JSuQivX65ZvcXqkQt7onS0xRFytppHZnXbwQ/56jJd5JXrGUId618WIhbvfK
ahiT/MPSFUZ3tYYIcceF3uQRiYE1/LrYKYIpxL5NZv5DEnNQrGcJxuYJsZq8
dp5JpB10NlA01XkhmH3OB9/YtgK6rN9qK11DcOzqj2Qa2R2GVPZZysZg7Oca
+68Vlw6OdXaO7RuDsfLJwbR2T08IfxE2+awtCG9YvLLS5DADyoZEBaHeQVjy
6WJBaShA9oPMBYqmQLy7dfiHSj823KN7jRczA/GpcFMnvXQz/DUTQuZXCrC4
7UAcDXGAXU8up7oIcLMZJSAhjIBZylNqujwA0ywzc0f3+MIc8SqHetMAHDXJ
dPOXboX53tTWP9P4uEj+gDp9xh+cmdxaafk2XHPWq1cr4MMQxXGRRuKP9zQy
+QVbA0CecdA+g+6HVR2lE9kRAlhYkzC2RLcFx3PXN8WHBoKCNG9Kle+Lr5XR
biXsDAKGecYHKw8evjDZdCRpXzBkLzzcfUPNxUPlaXtRSgi0fP9sjWYfB9/n
XLxy9KgQBjmyy5azm7HRtp6Bc5mh0Ghd/VyZ641Jm+qMFPvDoHN2Qm3rzsYn
raf9tCfCQclz0VBKACeFi1umsyIA1xduGBZuxP1H6DGsn7fDyQMSHs1mA/76
0tWe7KJIkLqdElJerMPXLVbub8vfAeMNA75dHXTcnLLMx+Xmj1DGdia9l9Cw
3E5BZQZFgaJkbvGUyA03yT6SkCYKqrhkh3S9E7bfYvZ5uTAa+DPGAan93+La
LtfT3U+igVRxNjniJwuc0zrrbhcpApLCvCFr/gvVpdTRnVF9IogSqUtVMBdk
S2zNHcLEMJ40pr+np8CvrnM69ujEYKF7mWCmcATTKSNK844Y0Ji8SYvoXgU3
3KsPyYdjwMK2poo6SANXUbm/PjEWolIljKvdHtDLa1AG/x0LS/Pka2zy1oO2
OOM7VmocjPuluJ6oYcKHmgCGw0QcSPlKy9qHAIbbKbeO75JAjKP3hE0jG7a4
c3xk7yTw5Mxo9JHuzdAWuTo+IRVBzKOngct7ObBYjO4UpCHQqds9XF5zYAcq
Imv2IbhN98xd9YYD71O+UtJlCOieJ7QeBg44npz+qD+GoNPqrSd/ORcylaqc
87lf+ppXd68lcMHLjF91qwGB24B/0eXPXDi+MNt45A4CxsMKQdkcAh5btgTZ
3ENw/ptTR+8uIgBR6TOHWhAsnVBGDtkRkEdbyiYeIsB71UbgQ8BUhO6Pnj4E
oS+djBacJQCiKc7kVwhWMBi/OOcRcDpOkM7qR+Bp9KiarSDAIfk+tWQQwdZm
8XaZkoCA42WxiW8RkCihhe+eEnDtdH994fiXv2qe2xIdASPnbeZrJxAoqurW
eYwSkJmfU7F2GkH6oHHH3k8EdCoekOJnEDy3GeBfMeGB9fVZQf4nBLJ6Rkgj
mQeim+tK1XoE0juLe/qseFBRlTRtMCD4zTmmz7CMB/8Bazs+fw==
       "]]},
     Annotation[#, "Charting`Private`Tag$9314#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 200}, {-93.7499983673469, 50.24999575510205}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.84748071553498*^9, 3.847480772263321*^9, {3.8476025275329237`*^9, 
   3.8476025475986767`*^9}},
 CellLabel->"Out[26]=",ExpressionUUID->"89e05a87-7ff0-4bec-b908-b090dc845825"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"6e625413-416f-4db1-8663-c55c30fb6931"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", "k"}], "+", "\[Theta]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8473272990823383`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"74f1b57a-d135-4288-bc13-7a24bd837420"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.847327301926828*^9, 3.847327308405635*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"cbcdf7ea-d8bf-44b2-9ce3-1fef358325bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.847327309299533*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"2b1e09d6-8708-4d61-829d-112cf0aea1ac"]
}, Open  ]],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \np \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}], " ", "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"b342f9a1-e29b-455f-a75d-bb2b33bd4b92"]
}], "Text",
 CellChangeTimes->{{3.847074732349956*^9, 
  3.8470751175043583`*^9}},ExpressionUUID->"3171090d-6c12-4d6e-9074-\
179be96e923f"],

Cell[CellGroupData[{

Cell["e: transform the constraints in terms of e (instead of p)", "Subsection",
 CellChangeTimes->{{3.847479130449057*^9, 3.8474792045977373`*^9}, {
  3.847479274776478*^9, 
  3.8474792777319517`*^9}},ExpressionUUID->"0d6f9c0c-a4c5-4fe2-9cbc-\
964e6992534e"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847479378880501*^9, 3.847479379654854*^9}, 
   3.8474794289578257`*^9},ExpressionUUID->"68528879-7e8a-4b52-bb5f-\
6ab5b2d59223"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"e", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], "\[Equal]", "0"}], ",", "p"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.847479280679515*^9, 3.847479300632375*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3ade093b-190b-4f6a-b304-d79b6624b221"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.847479456418173*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"21b840ac-b369-4e75-8da5-251a8920257d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    "\[Alpha]"}]]}], "\[IndentingNewLine]", "Profitv"}], "Input",
 CellChangeTimes->{{3.847479515261565*^9, 3.847479540577612*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"d7afe2a1-c52d-4650-8a04-f595281fb5d0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}], "+", 
  FractionBox[
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}]], "Output",
 CellChangeTimes->{3.8474795412315187`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"8dc8fb3a-7e7b-4adc-879c-cb8b23444aa1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", 
   RowBox[{
    SuperscriptBox["e", "2"], " ", "k"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}], "+", 
   FractionBox[
    RowBox[{"e", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], ")"}]}], 
    
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "\[Theta]"}], ")"}]}], 
    
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[1]:=",ExpressionUUID->"a96be9df-3398-4785-a02e-d4e898a51d54"],

Cell[BoxData[
 FractionBox[
  RowBox[{"cv", "+", 
   RowBox[{
    SuperscriptBox["e", "2"], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"cv", " ", "\[Alpha]"}], "-", 
   RowBox[{"2", " ", "e", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]"}]]], "Output",
 CellChangeTimes->{{3.847480449685546*^9, 3.847480465573907*^9}},
 CellLabel->"Out[1]=",ExpressionUUID->"5412fbb8-df2d-40df-bcc1-46cc8a71b0e5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.847479528781715*^9, 3.847479551100657*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"eb1f6e3a-7aae-49a8-b951-81658fc40f23"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "-", "\[Theta]", "+", 
       FractionBox["\[Theta]", 
        RowBox[{"1", "-", "\[Alpha]"}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            FractionBox[
             RowBox[{"2", " ", "k"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], "-", 
            FractionBox[
             RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "cv"}], "-", "\[Theta]", "-", 
            FractionBox[
             RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], "+", "\[Theta]", "-", 
            FractionBox["\[Theta]", 
             RowBox[{"1", "-", "\[Alpha]"}]], "+", 
            FractionBox[
             RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "k"}], "+", 
         FractionBox[
          RowBox[{"2", " ", "k"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "-", "\[Theta]", "+", 
       FractionBox["\[Theta]", 
        RowBox[{"1", "-", "\[Alpha]"}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            FractionBox[
             RowBox[{"2", " ", "k"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], "-", 
            FractionBox[
             RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "cv"}], "-", "\[Theta]", "-", 
            FractionBox[
             RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], "+", "\[Theta]", "-", 
            FractionBox["\[Theta]", 
             RowBox[{"1", "-", "\[Alpha]"}]], "+", 
            FractionBox[
             RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
             RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "k"}], "+", 
         FractionBox[
          RowBox[{"2", " ", "k"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847479551530177*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"0ec683d8-dd5c-42bd-8d86-81ecd33516e4"]
}, Open  ]],

Cell[TextData[{
 "it is easy to check that the boundary constraint Profitv  \[GreaterEqual] \
0,holds if and only if  ",
 StyleBox["e \[GreaterEqual]   ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   OverscriptBox["e", "-"], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "9ed4cc57-1649-45c5-b4f3-58f0db2f8433"],
 StyleBox[",",
  FontColor->RGBColor[1, 0, 0]],
 " where "
}], "Text",
 CellChangeTimes->{
  3.84747965924815*^9, {3.8474803207047253`*^9, 
   3.847480385805421*^9}},ExpressionUUID->"99eed773-8890-40db-bede-\
aff764205365"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847479996317655*^9, 
  3.8474800045722523`*^9}},ExpressionUUID->"e9c51bce-572e-4ee9-8b43-\
5328b60b5e47"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
      RowBox[{"1", "-", "\[Alpha]"}]]}], "-", "\[Theta]", "+", 
    FractionBox["\[Theta]", 
     RowBox[{"1", "-", "\[Alpha]"}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"1", "-", "\[Alpha]"}]], "+", 
    SqrtBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "k"}], "+", 
         FractionBox[
          RowBox[{"2", " ", "k"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "cv"}], "-", "\[Theta]", "-", 
         FractionBox[
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "+", "\[Theta]", "-", 
         FractionBox["\[Theta]", 
          RowBox[{"1", "-", "\[Alpha]"}]], "+", 
         FractionBox[
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "k"}], "+", 
      FractionBox[
       RowBox[{"2", " ", "k"}], 
       RowBox[{"1", "-", "\[Alpha]"}]], "-", 
      FractionBox[
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]], "]"}]], "Input",
 CellChangeTimes->{{3.847603454312462*^9, 3.847603464344809*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"d78683ec-9c95-485e-b7d1-c6457044d2f2"],

Cell[BoxData[
 RowBox[{
  FractionBox["\[Alpha]", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
  FractionBox[
   SqrtBox[
    FractionBox[
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], 
   "k"]}]], "Output",
 CellChangeTimes->{3.847603491811428*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"52fe38d0-ec1d-4143-b36d-ef0a5b6e9079"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847603481407322*^9, 
  3.8476034814105797`*^9}},ExpressionUUID->"7d4711c2-4882-46c9-94a4-\
742019e44448"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847479449736623*^9, 3.847479460775518*^9}, {
  3.8474798277274837`*^9, 3.847479843091547*^9}, {3.847479961212029*^9, 
  3.847479969767453*^9}, {3.8474800087560253`*^9, 
  3.847480025290256*^9}},ExpressionUUID->"9a381a33-3761-4d15-88d9-\
43bf79926846"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{"Plot", "[", 
   RowBox[{"Profitv", ",", 
    RowBox[{"{", 
     RowBox[{"e", ",", "0", ",", "1"}], "}"}]}], "]"}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"\[Alpha]", ":=", "0.2"}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"k", ":=", "100"}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"\[Theta]", ":=", "50"}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"cv", ":=", "50"}],
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{{3.847479852343754*^9, 3.847479939214505*^9}, {
  3.8474799762049637`*^9, 3.847479976878751*^9}, {3.847480032261578*^9, 
  3.847480034889833*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"094ef031-e8eb-42b1-a1d1-3ecda3ce249a"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAASmXo0cDpVT5UWLj7/x9cwARDGnDf
GTQ/i7QhlQQfXMAzn5icsxlEP6Aco98IHlzAS83Xsp0ZVD9oEO6HEBxcwFdk
972SGWQ/aoakJRwYXMDdL4dDjRl0Pzqsk5UkEFzAoBVPhooZhD8E33pH+v9b
wIEIsyeJGZQ/QuFs87jeW8BYWaGv8PGkP/W6lgViklvAC/+BXEcerz/qR5eW
3kVbwCVR7ujDi7Q/SjA0hvP1WsB3zjk/mPS5P3iYFG/EmVrAF7QR3gEBvz/O
NUBPlD5awLbiQ8zPPMI/HHpW5iLWWcDCap0bWezEP8rDhB/paVnA9SY9D61t
xz+eZxYB4f9YwAL5qxAbJco/bhfJi1yHWMA2/2C2U67MP7qj7AymEVjAzIQ0
zsYqzz8SOkPMX5lXwB+Q6/mp7tA/8s2b8WkRV8Dr99/e1TDSP2HG161sjVbA
pOq7yg6O0z+EtTxCw/hVwA4dp+/k5NQ/wClCnSlhVcCMabVmoCTWP7ctQWi6
zlTA9kCr5Gh/1z/oT7LbZCpUwHQyxLQWw9g/RIOcndWLU8DfrsSL0SHaPyD7
EVZi2lLA+2rUmyl62z8dfZJSdSZSwCtBB/5mu9w/mjwk1IF5UcBHoiFnsRfe
P+nxN7VuuFDAdx1fIuFc3z9PcLhc4/1PwCzsVQvXTeA/2F4UI2iITsATD/AI
xPrgP8O0tg9G6EzABL+bryOc4T9ZS194pllLwGs0u9kJS+I/4DmADGaeScCr
SWKgvvbiP/YgVzDj30fA9esaEOaW4z+wrWCNRzVGwLVTRwOUROQ/EHr1o5Vb
RMB/SIWftObkPy2RnzoDl0LAId1K2KOF5T8K68TuntFAwDo3hJQZMuY/qAq7
/3y1PcBcHs/5AdPmP/Qq2Vmk9jnA9cqN4nCB5z8w9UBK4tA1wJgEXnRSJOg/
WD1a0nvcMcAT3rWiAsToP4DIUySP0CvABX2BVDlx6T+wu5IjsRAjwACpXq/i
Euo/EMGSW895FcBymq+NEsLqPwBddv/Um+i/vSuICBFu6z9A7xMTPLAOQBFK
ciyCDuw/EN3XrS9sIEDcLdDTebzsP9BcpVCLFSpAsJ4/JORe7T94H1gCLKIx
QF2vNhEd/u0/yKa5FAA2NkCAhaGB3KruP1BKJ4I/QztAregdmw5M7z/QlTgV
RgdAQIidhWDeTu8/FL3uqhASQEBkUu0lrlHvP9C1RQbcHEBAHLy8sE1X7z9k
G9YNdTJAQIqPW8aMYu8/ZLeAYLBdQEBoNpnxCnnvP7Qy/RNMtEBAIoQUSAem
7z+gNpOzF2JBQP44fA3XqO8/yIpj/fpsQUDZ7ePSpqvvP1Cw1Azfd0FAkFez
XUax7z+kb5l8qY1BQP8qUnOFvO8/LL+sn0e5QUDc0Y+eA9PvP4Ch+vOoEEJA
uIb3Y9PV7z8gDNiXmBtCQJQ7Xymj2O8/IEhWAYkmQkBLpS60Qt7vP1g0NSVs
PEJAunjNyYHp7z+Q3XywO2hCQJYtNY9R7O8/aNNggTFzQkBx4pxUIe/vP6Ca
5RcofkJAKExs38D07z9MndGVF5RCQAQB1KSQ9+8/vNg4fRCfQkDgtTtqYPrv
P5DlQCoKqkJAvGqjLzD97z/Qw+mcBLVCQJcfC/X//+8/bHMz1f+/QkDs5WCj

       "]]},
     Annotation[#, "Charting`Private`Tag$8254#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {-112.4999989795918, 37.499994897959226`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8474798559191017`*^9, 3.847479889801364*^9, {3.847479931497246*^9, 
   3.84747993501484*^9}, 3.847479978687509*^9, 3.847480035829371*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"24d023a2-97b0-497e-80a9-53e183ff1358"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%27", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "e", "]"}], ",", 
      RowBox[{"HoldForm", "[", "Profit", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"HoldForm", "[", 
     RowBox[{
     "the", " ", "Porfit", " ", "of", " ", "Vehicle", " ", "Manufacture"}], 
     "]"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FontFamily", "\[Rule]", "\"\<Al Bayan\>\""}], ",", "10", ",", 
      RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[33]:=",ExpressionUUID->"a42e8bea-c8bf-4d51-a462-f6945edcea5b"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwB4QQe+yFib1JlAgAAAE0AAAACAAAASmXo0cDpVT5UWLj7/x9cwARDGnDf
GTQ/i7QhlQQfXMAzn5icsxlEP6Aco98IHlzAS83Xsp0ZVD9oEO6HEBxcwFdk
972SGWQ/aoakJRwYXMDdL4dDjRl0Pzqsk5UkEFzAoBVPhooZhD8E33pH+v9b
wIEIsyeJGZQ/QuFs87jeW8BYWaGv8PGkP/W6lgViklvAC/+BXEcerz/qR5eW
3kVbwCVR7ujDi7Q/SjA0hvP1WsB3zjk/mPS5P3iYFG/EmVrAF7QR3gEBvz/O
NUBPlD5awLbiQ8zPPMI/HHpW5iLWWcDCap0bWezEP8rDhB/paVnA9SY9D61t
xz+eZxYB4f9YwAL5qxAbJco/bhfJi1yHWMA2/2C2U67MP7qj7AymEVjAzIQ0
zsYqzz8SOkPMX5lXwB+Q6/mp7tA/8s2b8WkRV8Dr99/e1TDSP2HG161sjVbA
pOq7yg6O0z+EtTxCw/hVwA4dp+/k5NQ/wClCnSlhVcCMabVmoCTWP7ctQWi6
zlTA9kCr5Gh/1z/oT7LbZCpUwHQyxLQWw9g/RIOcndWLU8DfrsSL0SHaPyD7
EVZi2lLA+2rUmyl62z8dfZJSdSZSwCtBB/5mu9w/mjwk1IF5UcBHoiFnsRfe
P+nxN7VuuFDAdx1fIuFc3z9PcLhc4/1PwCzsVQvXTeA/2F4UI2iITsATD/AI
xPrgP8O0tg9G6EzABL+bryOc4T9ZS194pllLwGs0u9kJS+I/4DmADGaeScCr
SWKgvvbiP/YgVzDj30fA9esaEOaW4z+wrWCNRzVGwLVTRwOUROQ/EHr1o5Vb
RMB/SIWftObkPy2RnzoDl0LAId1K2KOF5T8K68TuntFAwDo3hJQZMuY/qAq7
/3y1PcBcHs/5AdPmP/Qq2Vmk9jnA9cqN4nCB5z8w9UBK4tA1wJgEXnRSJOg/
WD1a0nvcMcAT3rWiAsToP4DIUySP0CvABX2BVDlx6T+wu5IjsRAjwACpXq/i
Euo/EMGSW895FcBymq+NEsLqPwBddv/Um+i/vSuICBFu6z9A7xMTPLAOQBFK
ciyCDuw/EN3XrS9sIEDcLdDTebzsP9BcpVCLFSpAsJ4/JORe7T94H1gCLKIx
QF2vNhEd/u0/yKa5FAA2NkCAhaGB3KruP1BKJ4I/QztAregdmw5M7z/QlTgV
RgdAQIidhWDeTu8/FL3uqhASQEBkUu0lrlHvP9C1RQbcHEBAHLy8sE1X7z9k
G9YNdTJAQIqPW8aMYu8/ZLeAYLBdQEBoNpnxCnnvP7Qy/RNMtEBAIoQUSAem
7z+gNpOzF2JBQP44fA3XqO8/yIpj/fpsQUDZ7ePSpqvvP1Cw1Azfd0FAkFez
XUax7z+kb5l8qY1BQP8qUnOFvO8/LL+sn0e5QUDc0Y+eA9PvP4Ch+vOoEEJA
uIb3Y9PV7z8gDNiXmBtCQJQ7Xymj2O8/IEhWAYkmQkBLpS60Qt7vP1g0NSVs
PEJAunjNyYHp7z+Q3XywO2hCQJYtNY9R7O8/aNNggTFzQkBx4pxUIe/vP6Ca
5RcofkJAKExs38D07z9MndGVF5RCQAQB1KSQ9+8/vNg4fRCfQkDgtTtqYPrv
P5DlQCoKqkJAvGqjLzD97z/Qw+mcBLVCQJcfC/X//+8/bHMz1f+/QkDs5WCj

       "]]},
     Annotation[#, "Charting`Private`Tag$8254#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["e", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["Profit", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->{FontFamily -> "Al Bayan", 10, 
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox[
    TagBox[
     RowBox[{
      "the", " ", "Porfit", " ", "of", " ", "Vehicle", " ", "Manufacture"}], 
     HoldForm], TraditionalForm],
  PlotRange->{{0, 1}, {-112.4999989795918, 37.499994897959226`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.847480241975141*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"331350f7-80dd-43a8-b647-ce0b2826adc7"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8474798935608892`*^9, 
  3.847479909906386*^9}},ExpressionUUID->"581d2360-652d-48d9-b906-\
a93a9686085d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8474794318637877`*^9, 
  3.8474794318648853`*^9}},ExpressionUUID->"fba24c98-feae-48e3-913a-\
f003837d3d04"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.847479341073246*^9, 
  3.847479433499407*^9},ExpressionUUID->"8d0feab3-2254-4afe-8100-\
958f6a99ffe5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847479462989188*^9, 
  3.847479462990869*^9}},ExpressionUUID->"764dc862-3b04-4f66-8cae-\
1754fc8775c8"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8474793281723137`*^9, 
  3.847479328176076*^9}},ExpressionUUID->"9a86c54b-05f9-442d-be1b-\
0111f390cdab"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847479069961779*^9, 
  3.8474790708700943`*^9}},ExpressionUUID->"d470f2da-f68b-407e-8779-\
428adc7a45b8"],

Cell[TextData[StyleBox["The IC\[CloseCurlyQuote]s Premium Rate Under \
Insurance Model", "Section"]], "Text",
 CellChangeTimes->{{3.847075237309936*^9, 
  3.8470752994770823`*^9}},ExpressionUUID->"0845686d-011d-4964-82b7-\
81c7bd176bec"],

Cell[TextData[{
 "Observing the contract price p selected by the satellite owner, the \
insurance company can anticipate the vehicle manufacture\[CloseCurlyQuote]s \
effort e as given above. Operating in a competitive insurance market, the \
insurance company sets its premium rate r to breakeven in expectation. In \
other words, under the premium rate r that it offers, the insurance company\
\[CloseCurlyQuote]s expected profit,",
 StyleBox["r(\[Alpha] p+cs+f)",
  FontColor->RGBColor[1, 0, 0]],
 ", equals the expected coverage \n",
 StyleBox["(1-e) (\[Alpha] p+cs+f).",
  FontColor->RGBColor[1, 0, 0]],
 "\nSubstituting e given in",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", ":=", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847072090450409*^9, 3.847072097890996*^9}, {
   3.847074047134727*^9, 3.847074085951888*^9}},ExpressionUUID->
  "ea37d942-4dca-469d-bb70-fa6cf11b3de3"],
 " , the insurance company breakeven condition can be satisfied if and only \
if",
 StyleBox[" p \[GreaterEqual] ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "IA"], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "d1400183-b7f6-40e9-ad23-d6cfae1c0625"],
 StyleBox[" \[Congruent]",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "r"}], ")"}]}], "-", " ", "\[Theta]"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " "}]]],
  CellChangeTimes->{3.8470757908903217`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "d39359a4-a55c-43f8-b9a9-b089eb8964c3"],
 " ,which we refer as the ",
 StyleBox["insurance company\[CloseCurlyQuote]s underwriting constraint",
  FontColor->RGBColor[1, 0, 0]],
 ".  And the premium rate satisfied with ",
 Cell[BoxData[
  RowBox[{"r", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k"}], "-", "p", "+", 
     RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}]],
  CellChangeTimes->{3.847327419294375*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "4f76dc9d-c1fc-4c58-9757-cebaf6f21173"]
}], "Text",
 CellChangeTimes->{{3.8470753285445232`*^9, 3.8470754816006403`*^9}, {
   3.84707551344792*^9, 3.847075600419808*^9}, {3.847075642240295*^9, 
   3.847075642560309*^9}, {3.847075709902536*^9, 3.847075741478705*^9}, {
   3.847075829625307*^9, 3.847075860858203*^9}, {3.847075906786566*^9, 
   3.847075962047545*^9}, {3.84707601280602*^9, 3.84707601584761*^9}, {
   3.847076062578526*^9, 3.847076071761094*^9}, {3.847076122531255*^9, 
   3.8470762108435793`*^9}, {3.847076331846223*^9, 3.847076374670672*^9}, {
   3.847076626768671*^9, 3.8470766611798487`*^9}, 3.847076716532598*^9, 
   3.847146990073325*^9, {3.847147034547307*^9, 3.847147036060796*^9}, {
   3.8473273971454477`*^9, 3.84732740034543*^9}, {3.847327502116539*^9, 
   3.847327527280312*^9}},ExpressionUUID->"e530130d-f676-4a24-b14f-\
b42820ae9f41"],

Cell[BoxData[
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8470765697005787`*^9, 3.847076577232677*^9}, {
  3.847327185845133*^9, 3.847327189153658*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5cdd0a2e-8801-4ca8-a186-a56af772509e"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.847327406515472*^9, 3.847327407748757*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"38583170-4d78-483b-b2ec-1919cfa060f8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.847327408750742*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"e754ccb6-2dfe-4989-92e3-8cb14d6e3de9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"654d7d56-ea75-4bfd-a159-c5e78eba6662"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"cs", "+", "f", "+", 
    RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "r", "+", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8473274103997383`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"43cdfa10-bc6e-48cb-b8a0-3e225d45b7e5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473274130541*^9, 3.847327418852212*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"4a30be2c-478b-40f2-abe2-6a16d87b4edc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "p", "+", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.847327419294375*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"d21fec8f-c41b-4666-a514-85438a7de983"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", "f", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "r", "+", 
       FractionBox[
        RowBox[{"p", "-", 
         RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
        RowBox[{"2", " ", "k"}]]}], ")"}]}], "\[Equal]", "0"}], ",", "p"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.847327450852355*^9, 3.847327469623384*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"4cb2cc5d-fc6d-4bf8-892b-c9593dfa7dae"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "cs"}], "-", "f"}], "\[Alpha]"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k"}], "+", 
       RowBox[{"2", " ", "k", " ", "r"}], "+", "\[Theta]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.84732747026086*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"9da2b422-89ae-4282-8b22-e5309c4047df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["The SO\[CloseCurlyQuote]s Optimal Contract Under \
Insurance Model", "Section"]], "Subsubsection",
 CellChangeTimes->{{3.8470768941909723`*^9, 
  3.847076937239661*^9}},ExpressionUUID->"b3710180-2cd2-42a1-a801-\
588d905c633e"],

Cell[BoxData[
 StyleBox[
  RowBox[{"e", ":=", 
   FractionBox[
    RowBox[{"p", "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847093843483549*^9, 3.847093867718318*^9}, 
   3.847093960785281*^9, 3.847095946263722*^9, 3.847103387114477*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"5e16cf81-1fb1-4888-bfb1-14d41384308b"],

Cell[BoxData[
 RowBox[{"r", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k"}], "-", "p", "+", 
     RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]],
   FontColor->RGBColor[1, 0, 0]]}]], "Input",
 CellChangeTimes->{{3.847315863915306*^9, 3.847315871529646*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"095c52bb-5f57-4a6a-99e7-55a70af14711"],

Cell[BoxData[
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]], "Input",
 CellLabel->"In[10]:=",ExpressionUUID->"2ce6d1f6-4746-4a95-9d1b-17065b846439"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8473354249221697`*^9, 3.847335427002404*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"05610bfc-8a75-49e7-ab89-e10a6fa1b47a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "p", "+", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.847335427620082*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"7e1094b4-7651-44e4-b97d-cf4e602ec026"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", "f", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k"}], "-", "p", "+", 
       RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"78178d28-c35e-497f-84a0-297977fe1dbf"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "+", 
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.847335430572297*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"24663679-c0fd-46d1-9d5e-c6e1ca0113b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473354367232018`*^9, 3.8473354433258038`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"74635b29-56c2-42ef-bcf9-4757ad358d80"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "p", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.847335443853297*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"5d14acf6-e28d-48d9-ab5a-20f8b6e4b484"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"f", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"0a67d927-c6e5-493b-8d64-13fe1216a5d7"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.847335447892819*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"867de7a0-6d00-461c-bee5-44aef6c975c7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.847335450716721*^9, 3.84733545642591*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"c1a3d397-8012-4136-aeae-db299097603a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847335457059067*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"78149117-572b-42d6-b8ac-2518cb561885"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "+", 
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"2", " ", "k"}]], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473609743423243`*^9, 3.847360984461185*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"17498d39-86aa-4d8b-ae1e-82328b47525e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "f"}], " ", "p"}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
     ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.847360989542804*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"766fad5b-2581-4914-9cce-db3a3f3cce02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8473609920143147`*^9, 3.8473609996450043`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"f652f117-85bb-46b2-991c-e989c9069f10"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "f"}], "-", 
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "p"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.847361000998767*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"bc6576a2-8b86-4ced-a4ec-2b1cd27e9a1a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "f"}], "-", 
    RowBox[{"2", " ", "k"}], "+", 
    RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "p"}]]}]], "Input",
 CellChangeTimes->{{3.847361095107655*^9, 3.847361114327023*^9}, {
  3.847361294796447*^9, 3.847361307468586*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"561471c2-bccc-4747-bbd7-582751967f92"],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Input",
 CellChangeTimes->{{3.8473613149817343`*^9, 3.8473613231135263`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"62e51fda-d402-4017-807d-357ef1b9844d"],

Cell[CellGroupData[{

Cell[BoxData["p"], "Input",
 CellChangeTimes->{3.847361325594192*^9},
 CellLabel->"In[8]:=",ExpressionUUID->"23d142f2-554a-475e-aca8-b75645fefff5"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit", "reclim2", 
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{\\\"f\\\", \\\"-\\\", RowBox[{\\\"f\\\", \\\" \
\\\", \\\"\[Alpha]\\\"}], \\\"-\\\", RowBox[{\\\"2\\\", \\\" \\\", \\\"k\\\", \
\\\" \\\", \\\"\[Alpha]\\\"}], \\\"-\\\", \\\"\[Theta]\\\", \\\"+\\\", \
RowBox[{\\\"\[Alpha]\\\", \\\" \\\", \\\"\[Theta]\\\"}]}]\\).\"", 2, 8, 3, 
   34226276708483280364, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.847361326224386*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[8]:=",ExpressionUUID->"d4bf9dd5-1ea6-4ee6-8971-\
1f0d9a2d7942"],

Cell[BoxData[
 RowBox[{"Hold", "[", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Output",\

 CellChangeTimes->{3.847361326255157*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"c1886549-89a4-4f31-a49e-1c5af8645a01"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847336151129119*^9, 
  3.847336152540402*^9}},ExpressionUUID->"d7cbc635-e17b-43d8-a928-\
51addea798e9"],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " "}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "faec61b7-60fa-4cae-95e2-484947e4e8c7"],
 "\ns.t.  p \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}], " ", "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"75a98bc1-947f-403c-89bc-c3fd7cc68b77"],
 " ( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{{3.847336159830171*^9, 
  3.84733640202722*^9}},ExpressionUUID->"d1036128-0519-436f-8179-\
1fbf1ed587b8"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
     RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "k"}], "-", 
        RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"k", " ", "\[Theta]"}], "-", 
        RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]]}]}]], "Input",
 CellChangeTimes->{{3.8476875545147743`*^9, 3.8476876614878607`*^9}, 
   3.847687700448389*^9, {3.847687734934127*^9, 3.847687736588912*^9}, {
   3.847687889917595*^9, 3.847687931512163*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cd931e67-b50f-4a0b-af0f-e2c297f2bd56"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]p"], "Input",
 CellChangeTimes->{{3.847687937216998*^9, 3.847687942038807*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"bfb6f295-72b2-4319-9874-d1685b9730e2"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", "k"}], "-", 
       RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"cv", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"k", " ", "\[Theta]"}], "-", 
       RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]]}]], "Output",
 CellChangeTimes->{3.8476879429641438`*^9, 3.847688099014559*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"77da0405-a8f6-4e0b-b8b4-76cdf0f22931"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "k"}], "-", 
        RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"k", " ", "\[Theta]"}], "-", 
        RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"b12278ee-a3c0-4557-8a03-355aeca33ee7"],

Cell[BoxData[{
 FractionBox[
  RowBox[{"f", "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SqrtBox[
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
    "2"]}]], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]}], "Input",
 CellChangeTimes->{{3.847688383586309*^9, 3.847688398156311*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"887a2269-53fe-4d71-8ebc-202bea59e988"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8479248944824867`*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"3855912e-156e-4f92-bc94-b9dd2cfccd15"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "]"}]}], \
"Input",
 CellChangeTimes->{{3.847962950359213*^9, 3.847962959857856*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"becf1cc3-bd5d-43a2-ba07-a4e24674eecf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847962961462229*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"80876deb-20d8-4164-b8f6-762b2889034d"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]"}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847962984304303*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"cff0784b-5e18-492b-b2c2-c87747d0d65e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       "2"]}]]}]]}], "\[IndentingNewLine]", 
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{"f1", ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.847688415582694*^9, 3.847688513132408*^9}, {
   3.847688774371632*^9, 3.847688779152732*^9}, 3.847688915858514*^9, {
   3.847689071398697*^9, 3.847689086615244*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"7b8d2695-c89e-42ce-bef8-26aa24328a90"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3BTkswh4y+KRqQyV55tCIlKKAopJJSEi4yhkCFCZhmKkqnX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       "]]},
     Annotation[#, "Charting`Private`Tag$19519#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {335.85711312411604`, 2086.785180581176}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.848014960803751*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"f523c6f8-c9af-477f-b2a3-181798325897"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"f2", ":=", "1800"}], "\[IndentingNewLine]", 
 RowBox[{"pf2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{"f2", ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", "pf2", ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.847689119563438*^9, 3.84768912776761*^9}, {
  3.847689175328319*^9, 3.8476892039930553`*^9}, {3.847697429091961*^9, 
  3.847697429679491*^9}, {3.847697489632736*^9, 3.847697491512793*^9}, {
  3.847697530203559*^9, 3.847697530663631*^9}, {3.847697614376618*^9, 
  3.847697617147172*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"e65fb674-e6fb-48a9-9721-77d19b8acef0"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ7ZX64uKBl6F2DCCgMMdhgah/W5dkiz2M38ixWb1T
cgqcHxG5cP2Hj0vgfO7/jTHucuvhfNXAdy8Od2+B88vPWdrP+LITzhffIniP
kXE/nL/tkfOZ8zaH4PxDWXOlI98cgfO/qtnyr809Ducz/VwtIK16Cs43+5+w
LXjdGTj/TIvJuWNa5+F8+Qmvf658dwHOf/39/r2rBpfg/CWvdp/i67sM5/PJ
Ln//5MkVOL8nc2vaApVrcP43h9VPMuqvw/klRke2iB2+AeffX3ek+6LiLTj/
d9aV2ZpVt+F8bUf2f2m778D57osU0zeK30OEl2y80sOY+3C+zptQ7uu+D+B8
Yf4PHEd+Ifgs+2evV57zEM7PNtl9k9P7EZy/2jNpwb5vCP7X11ICz6Y9hvO3
BrszT3F5AufXe7TO3/IMwVe863VjcetTON/KvGWKpNEzOD9G7vxPxssI/tdT
vY8KGp/D+TNY4kqCVF4g3H9v6yKmIwg+a21jiGXhSzifYWXc+kdCr+D8olnr
e4UOIfh7tTs4BPNew/mCXkU6TXxv4Pw7uhcuV+5B8DfMs1d5EvcWzo9dbyYo
+w/Bb2hd2Hhn1Ts4f+0L2dl8Pu/hfKUWEQ/2ZQj+dHnur///I/gADrYHKw==

       "]]},
     Annotation[#, "Charting`Private`Tag$18232#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0., 3600.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.84769743172049*^9, 3.8476974929909477`*^9, 
  3.847697531237999*^9, 3.84769761909684*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"d748a448-f770-4d65-adb7-66f1c179574c"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3BTkswh4y+KRqQyV55tCIlKKAopJJSEi4yhkCFCZhmKkqnX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        "]]},
      Annotation[#, "Charting`Private`Tag$18274#1"]& ]}, {}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ7ZX64uKBl6F2DCCgMMdhgah/W5dkiz2M38ixWb1T
cgqcHxG5cP2Hj0vgfO7/jTHucuvhfNXAdy8Od2+B88vPWdrP+LITzhffIniP
kXE/nL/tkfOZ8zaH4PxDWXOlI98cgfO/qtnyr809Ducz/VwtIK16Cs43+5+w
LXjdGTj/TIvJuWNa5+F8+Qmvf658dwHOf/39/r2rBpfg/CWvdp/i67sM5/PJ
Ln//5MkVOL8nc2vaApVrcP43h9VPMuqvw/klRke2iB2+AeffX3ek+6LiLTj/
d9aV2ZpVt+F8bUf2f2m778D57osU0zeK30OEl2y80sOY+3C+zptQ7uu+D+B8
Yf4PHEd+Ifgs+2evV57zEM7PNtl9k9P7EZy/2jNpwb5vCP7X11ICz6Y9hvO3
BrszT3F5AufXe7TO3/IMwVe863VjcetTON/KvGWKpNEzOD9G7vxPxssI/tdT
vY8KGp/D+TNY4kqCVF4g3H9v6yKmIwg+a21jiGXhSzifYWXc+kdCr+D8olnr
e4UOIfh7tTs4BPNew/mCXkU6TXxv4Pw7uhcuV+5B8DfMs1d5EvcWzo9dbyYo
+w/Bb2hd2Hhn1Ts4f+0L2dl8Pu/hfKUWEQ/2ZQj+dHnur///I/gADrYHKw==

        "]]},
      Annotation[#, "Charting`Private`Tag$18232#1"]& ]}, {}}},
  Filling -> Axis,
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {335.85711312411604`, 2086.785180581176}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.84769743172049*^9, 3.8476974929909477`*^9, 
  3.847697531237999*^9, 3.847697619137889*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"8eb82a5c-9e26-461c-862d-943fc63cc160"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8476895485517187`*^9, 
  3.84768954855744*^9}},ExpressionUUID->"cb104ff9-999c-4dcf-aa62-\
3d7b98bb7ef5"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3BTkswh4y+KRqQyV55tCIlKKAopJJSEi4yhkCFCZhmKkqnX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        "]]},
      Annotation[#, "Charting`Private`Tag$6682#1"]& ]}, {}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ7ZX64uKBl6F2DCCgMMdhgah/W5dkiz2M38ixWb1T
cgqcHxG5cP2Hj0vgfO7/jTHucuvhfNXAdy8Od2+B88vPWdrP+LITzhffIniP
kXE/nL/tkfOZ8zaH4PxDWXOlI98cgfO/qtnyr809Ducz/VwtIK16Cs43+5+w
LXjdGTj/TIvJuWNa5+F8+Qmvf658dwHOf/39/r2rBpfg/CWvdp/i67sM5/PJ
Ln//5MkVOL8nc2vaApVrcP43h9VPMuqvw/klRke2iB2+AeffX3ek+6LiLTj/
d9aV2ZpVt+F8bUf2f2m778D57osU0zeK30OEl2y80sOY+3C+zptQ7uu+D+B8
Yf4PHEd+Ifgs+2evV57zEM7PNtl9k9P7EZy/2jNpwb5vCP7X11ICz6Y9hvO3
BrszT3F5AufXe7TO3/IMwVe863VjcetTON/KvGWKpNEzOD9G7vxPxssI/tdT
vY8KGp/D+TNY4kqCVF4g3H9v6yKmIwg+a21jiGXhSzifYWXc+kdCr+D8olnr
e4UOIfh7tTs4BPNew/mCXkU6TXxv4Pw7uhcuV+5B8DfMs1d5EvcWzo9dbyYo
+w/Bb2hd2Hhn1Ts4f+0L2dl8Pu/hfKUWEQ/2ZQj+dHnur///I/gADrYHKw==

        "]]},
      Annotation[#, "Charting`Private`Tag$6640#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {335.85711312411604`, 2086.785180581176}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.847689177307487*^9, 3.8476892044959173`*^9}, 
   3.84768954628771*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"a6b15b86-5aff-4989-b502-5f0000f062ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f1", ",", "f2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.84769770015842*^9, 3.847697779019622*^9}, {
  3.847697919658156*^9, 3.847697987269346*^9}, {3.847698036563011*^9, 
  3.847698051652629*^9}, {3.8476982454525757`*^9, 3.84769826928193*^9}, {
  3.847870284829194*^9, 3.847870308490309*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"60a91420-7d69-4fe5-8102-1a36bf340be0"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxlmXk41N37x7WSRLayVqToKdGCqNyHFKHSIktMC1H2jC2RLTslsu8J2WWX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    "], {{{}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1WWQUGUUBuBdSkC6U1ikUzpNQkGlBEVApHEA6UZl6e5GOhQkhBFFUAQV
UOEHZZAzCDPEkAah5HOGH8+e9zt35957vnvvblLH3s17pUhISEhkQuLjWsOP
v9UvGE4TKhO/V9Oxf9StfEBTqpCSWo79q37JhzSjKi30M3FQnk93UlFb76b6
FR/RnGq01M/MIXkBPUhNHb1b6jZG8AZd9ApxRl5Ldd60zsJheSE94xzWxTgv
byINz1rfVr8mOe6TrnqF+VNeF3vBW9ZZOSIvop9clqvy+3F+uTgX5GFqFT6X
B6oVuBH7oVbnCfk59U7MrG5XB6sVGcVI6z5qaZK5HM9ArcoYWlp3U5MYwVnr
oWplRvOZ9QC1fJyL6/Gc1GrUlFup2TgqD1Er8bHcXy3HNblXzCWX4KK8mUHy
M/wlp+V5+T91B6Poa12GK7H/vCcX4Zy8Pt4N3rbOzq/yYnrHtaxLckneQjpe
sP5f/YbRsf/xrtBaPwe/yUtin0jPi3p31W8ZEzPGu0Ib/Zz8Li+Ne+RJXtK7
p+5kbNxXvAu01c/FH/KyeM5koK7effU7xsV9xDMkI/Uce6DuYnxcM/aGTNR3
7KG6mwlx/piNzDSID43vlYm8E3OQhZfjO+QHeRLt4p7JSjayk4Oc5CI3echL
PvJTgII8RSEKk0QRnqYoxXjFdVLwozyZd2NeitNQPyV75Cm0j3kpQSP9VOyV
p9Ih5qUkr+qnZp88jY4xb8yol5tj8vJ45yjFa3pp+EmeTqfYg5hbLw/H5RUM
oDSvx3fEz/IMOsccce96eTkhr2QgZWisl5Zf5Jl0idliHr18nJRXMYiyNNFL
x355Fl1j3phRLz+n5NUMphxN9dJzQJ5Nt9iDmFuvAKflNQyJe6EiW/Q3x98J
NrGRDayPb5h1rOVTPmENq1nFSlawnGUsZQmL41tmEQtZwHzmMZc5zGYWM5nB
dKYxlSlMZhITEx//PxjPOLYxlkfUGK3K
         "]]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{49, 434, 435, 436, 437, 440, 438, 50, 441, 150, 206, 269,
          339, 48, 178, 234, 297, 367, 122, 167, 223, 286, 356, 77, 173, 229, 
         292, 362, 105, 149, 205, 268, 338, 47, 121, 166, 222, 285, 355, 76, 
         172, 228, 291, 361, 104, 148, 204, 267, 337, 46, 
         78}}]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03ecz3UcB/Czzt57HXdnb90hhShKVDgrLZl3IadsCRkNI5WKBpllU6G0
EEqDaBstLUXTCqHn+9Efz3u/3u/f476/7/vz/f6S+2ZnDM2RkJAwxZ+ol/rz
t/oy99CJNHLS3GfH1Q2MpzPp5OIyn51QN3IvXWhCN/MifCTPZRC5udzspLqJ
CWTQlO7mRdkrz2MweWhhdkp9hYl0ZYBZFb6Vl9OMHvpi7JOfYkhcQ1+dn+S1
JNJSf1p9lUlxnww0q8p38oo4C3rqi/Ox/DR3y/X4Tb4zri/X4Gd5nJrOOnmk
2pA/4zzUZuSVW6n/xM7qZnW02pjJ3KcfptZhEkfjGahNmEp3faaazEQO68eq
aTn+f34r9SPUBnEt/ojnpDaluXyjWoJP5DHqJTwjD1fr87s8NPaSa3JEXs8o
uRF/yfm4Qj6jvsZk7tLX5VicP1lyCt/Lq+LdoJe+JJ/Kz5Id36WvxS/yi+Sn
tf6s+nq8k3H+8a5wk3kpPpPnxzlRgDZm59Q3mBo7xrvCzeal+VxeEPdIQa40
+1d9k2lxX/EucIt5Gb6Qn4vnTCGuMjuvvsX9cR/xDClMW59dULfwQHxnnA1F
aOezi+pWHozrx24U5er4obFNeYhbYw+KcU38Dnlbns5tcc8UpwQlKUVpylCW
cpSnAhWpRGWSqEJVkkkhlWpUp73vycl2eQa9Y19qcK15LnbIM7k99qUmHcxz
s1OeRZ/Yl1p0NM/DO/LD9I19Y0ezsnwpL4x3jtpcZ5bIu/Js+sUZxN5m5dgv
L2IEdbg+fkfskh+hf+wR925WngPyYkZSlxvM8vGe/CgDYrfYx6wCB+UljKIe
nczy8778GANj39jRrCKH5KWMpj6dzQrwgTyHzDiD2NusEl/JyxgT90IDupgX
5EP5cbK4Q5/KD/LqOJc4C31lvpafZywNyTArxG75ifhfBumr8aO8Js4pzkaf
xDfyC4wjW1+bX+WXaERXfWH2yE+yWf4PmaGk3g==
         "]]},
       Annotation[#, "Charting`Private`Tag$18233#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{389, 439, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 
         400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413,
          414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 
         427, 428, 429, 430, 431, 432, 433, 49, 434, 435, 436, 437, 440, 
         438}]},
       Annotation[#, "Charting`Private`Tag$18233#2"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 309.8386694033267},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {309.8386694033267, 4020.0401846496857`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.847870309597637*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"e6467b8f-a67d-4e51-a557-9419d5c37664"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%49", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Full"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[51]:=",ExpressionUUID->"a4558259-dc55-4c9e-acb3-0eece3b849b9"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxlmHk41dv3xzVJyBQyVkSjJMlUrG0IiUq4URIhoSQcJHODMkTILLMMoWuI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    
    "], {{{}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1GdsllUYBuCWrbIsLXsV2gIOFJkqU5mJbMEFLRtZLXvvvTc4CGEkDEWW
oAzxBy4cwA+EBAUVUKYylOEPBb2e9MfV+z7P+ybfl3PO19ReOZ2y8yQkJCQy
KDE3q/pzQW5lFC9Rm3gvL2me/yrfYzRtqUM+0j37Tb7PGNpRl4bm/8jDLKYv
+ckwvyi3MZb21KOR+b/yM5bQjwJUM78kP2AcHeLzzQpzQl9HfRpb35efs5T+
dDZL4rS+iYJUt74stzOertYpnNE7xvfXi/C9niUrsl5/XZbhF72XTKWB3kQ+
kH3kFzJTVuBNllm/KkvRj5+se8rKDIx3rF+WJejLD9Y9ZCUGsNm6myxHf85b
95ZVKKTXkFfkDrrr5ZmgvyJLclbvFHusF+WkvoE39LKc05+lqf6f/JLlvGZd
mp/1AXTRk/lR38JDPGZ9Ve5kYux1nI1ZMU7pG3mOZom5l+0rsYKBPMzjZtfk
LibFPvA8L8Sd5Ii+Mu4oj/CE2e9yN5PjO8Ud40XzPHytr2IwhXnS7A/5IVPi
nOOO0dw8L9/oqxlCEWqaXZd7mBp7GHeKojzl2Q25l2lxpnHuFONpz27Kj5ge
exf7SXFqeXZLfsyMuEOxHzxKEiVIJoWSlKI0ZShLOcpTgYpUojKpVKEqaaST
wTM+70+5j5lxzrGfVKO2Z3/J/cyKexV7R3XqeHZbHmB23KXYJ1qY5+Nb/S2y
485R1+yOPMgcMuNdWprn5zv9bXLinlDP7K78hLlkxbu0Mi/AUf0dhsa9oL7Z
PXmIefSId2ltXpBj+rsMi3tBA7O/5afMp2e8S5v4nXBcX8PwOJM4szh781Ws
ZAXL4/fKUpawmEUsZAHzmcdc5jCbWcxkBtOZxlSmMJlJTIzfJOMZx1jGMJpR
jGQEwxnGUHLIZgiDWZuY+7/6fzRAmuU=
         "]]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{48, 407, 408, 409, 410, 411, 414, 412, 50, 415, 158, 209,
          267, 332, 75, 164, 215, 273, 338, 100, 141, 192, 250, 315, 47, 116, 
         157, 208, 266, 331, 74, 163, 214, 272, 337, 99, 140, 191, 249, 314, 
         46, 115, 156, 207, 265, 330, 73, 98, 139, 190, 248, 313, 45, 
         49}}]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03e4zmUYB/Bjnux9HNs5dktl0zDKKJKTUeTgDCIrLWmQVSJFicrOyAyV
FFrIaFChMhoIRZFKGcXnvvrjc77f5/793ut9r+d5TkrGoLSBORISEvr6E1nF
nwPyNR6gLXXISS6qen5QLuJB2lGX3FTz7JBczEPcSj2uNT8nP2Qi2eShuvlP
cglDaU99rjM/Lz/iWXqTlxrmh+VSHua2+H6zgnypz6IB11v/KzfwHH243aw4
3+jzSaSm9RG5jGF0ti7FXr1D/H69EF/pPWRFZutdZRm+1zNkCg31G+R/Mktu
lOmyAnczyfoOWZre7LfuJSvTL96x7ihLkM231j1lpRz/n80C67tkOfrwo3Wm
TOUSvZY8KpfTXS/PI3oXmcQ+PS32WC/MTn0O3fSy/KA3oql+QW5iMndaJ/Nd
3BE66SXZoy8kH5da/yxf59HY6zgbsyLs0ufSmGZxwfhYPE8/8nOZ2S9yBY/F
PtCE5nEn2ay/wD0U4HKzY3Ilj8dvijtGC/OcbNGn0J+CXGF2XK5ieJxz3DFu
NM/FVv1FBlCIK81+lW8wIvYw7hSFqe3Zb/JNnogzjXOnCFd5dkK+xcjYu9hP
inK1ZyflakbFHYr9oBjFKUFJSpFEaZIpQ1nKUZ4KVKQSlUkhlSpUpRrVucb3
/S7fZnScc+wnNajj2Sm5hjFxr2LvqEldz/6Q7zA27lLsEzeZ52abPpWBceeo
Z/anfJcnSY93aWmeh0/0aQyKe0J9s7/kWp6iR7xLK/O8fKq/xOC4FzQwOy3X
MY6e8S6tzRP5TH+Ze+Ne0NDsb7mep+kV79Im/k/4XH+FIXEmcTdoZP6PfI/x
ZMT73Gyej+36dO6Lu0FjszPyfSaQSQezouzWX43Pcot1fnboM7g/7g9NzM7K
D3iGLNLMivG1Pi8+S1vrAnyhz2SWfhFdWZhu
         "]]},
       Annotation[#, "Charting`Private`Tag$21948#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{363, 413, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 
         374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387,
          388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 
         401, 402, 403, 404, 405, 406, 48, 407, 408, 409, 410, 411, 414, 
         412}]},
       Annotation[#, "Charting`Private`Tag$21948#2"]& ]}}], {{{}, 
     GraphicsGroupBox[{
       {GrayLevel[1], AbsoluteThickness[4], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
        "Round"], 
        BSplineCurveBox[{
         Offset[{0, 0}, {1.0208333333333333`, 1800.}], 
          Offset[{0, 0}, {1.0208333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0308333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0308333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0408333333333333`, 1800.}], 
          Offset[{0, 0}, {1.0608333333334492`, 1799.9999999987338`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], 
        BSplineCurveBox[{
         Offset[{0, 0}, {1.0208333333333333`, 1800.}], 
          Offset[{0, 0}, {1.0208333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0308333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0308333333333333`, 1800.}], 
          Offset[{0., 0.}, {1.0408333333333333`, 1800.}], 
          Offset[{0, 0}, {1.0608333333334492`, 1799.9999999987338`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           1799.9999999987338`}]}]}, 
       {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]]}], 
        PolygonBox[{
         Offset[{27., 9.500000000000005}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{27., -9.499999999999995}, {1.0608333333334492`, 
           1799.9999999987338`}], 
          Offset[{10.000000000000002`, -9.499999999999998}, {
           1.0608333333334492`, 1799.9999999987338`}], 
          Offset[{9.999999999999998, 9.500000000000002}, {1.0608333333334492`,
            1799.9999999987338`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
        StyleBox[
         RotationBox["80",
          BoxRotation->0.],
         StripOnInput->False,
         LineOpacity->1,
         FrontFaceOpacity->1,
         BackFaceOpacity->1,
         Opacity->1,
         FontOpacity->1], 
        Offset[{18.5, 4.107825191113079*^-15}, \
{1.0608333333334492, 1799.9999999987338}], 
        ImageScaled[{Rational[1, 2], Rational[1, 2]}]]}], GraphicsGroupBox[{
       {GrayLevel[1], AbsoluteThickness[4], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
        "Round"], 
        BSplineCurveBox[{
         Offset[{0, 0}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0, 0}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0, 0}, {1.0608333333334492`, 3976.3283226966805`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], 
        BSplineCurveBox[{
         Offset[{0, 0}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0, 0}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0., 0.}, {0.9710372111122393, 3976.328322744307}], 
          Offset[{0, 0}, {1.0608333333334492`, 3976.3283226966805`}], 
          Offset[{5., 1.1102230246251565`*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., 2.220446049250313*^-15}, {1.0608333333334492`, 
           3976.3283226966805`}]}]}, 
       {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
         NCache[
          Rational[2, 3], 0.6666666666666666]]}], 
        PolygonBox[{
         Offset[{243., 23.000000000000053`}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{243., -22.999999999999947`}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., -22.999999999999996`}, {1.0608333333334492`, 
           3976.3283226966805`}], 
          Offset[{10., 23.000000000000004`}, {1.0608333333334492`, 
           3976.3283226966805`}]}]}, 
       {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
        AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
        StyleBox[
         RotationBox[
          FractionBox[
           RowBox[{
            RowBox[{"120", " ", 
             TagBox["\[Alpha]",
              HoldForm]}], "-", 
            RowBox[{"40", " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"30", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   TagBox["\[Alpha]",
                    HoldForm], "-", "1"}], ")"}], "2"]}], "+", 
               RowBox[{"100", " ", 
                SuperscriptBox[
                 TagBox["\[Alpha]",
                  HoldForm], "2"]}], "-", 
               RowBox[{"80", " ", 
                TagBox["\[Alpha]",
                 HoldForm]}], "+", "80"}]]}], "+", "80"}], 
           RowBox[{
            TagBox["\[Alpha]",
             HoldForm], "-", "1"}]],
          BoxRotation->0.],
         StripOnInput->False,
         LineOpacity->1,
         FrontFaceOpacity->1,
         BackFaceOpacity->1,
         Opacity->1,
         FontOpacity->1], 
        Offset[{126.5, 2.808864252301646*^-14}, \
{1.0608333333334492, 3976.3283226966805}], 
        ImageScaled[{Rational[1, 2], Rational[1, 2]}]]}]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 261.4000000000417}, {All, All}},
  ImageSize->Full,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {335.85711312411604`, 3976.328322744307}},
  PlotRangeClipping->False,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.847698013186693*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"0de43ea6-06cd-4925-947a-ee51e405985f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%49", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"",ExpressionUUID->"9ca4e3f8-8d42-44d7-88fd-d205f58887ae"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"p", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"e", ":=", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "e", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.847689612871084*^9, 3.847689613339993*^9}, {
  3.847870673424522*^9, 3.847870708961936*^9}, {3.847870874598673*^9, 
  3.847870910044628*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"e8267133-4906-4721-9d5e-2f6264722e95"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", "\[Theta]"}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{{3.847870704033386*^9, 3.8478707287775707`*^9}, 
   3.847870912128298*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"0adbd10c-7628-41ad-96ad-14ecd24bef18"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", "\[Theta]"}], ")"}]}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"79595056-0012-489f-a8f7-3c78b5a13912"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], "k"], "-", 
     FractionBox[
      RowBox[{"2", " ", "\[Alpha]"}], 
      RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{
  3.84787141824746*^9, {3.8478714888518143`*^9, 
   3.847871502384944*^9}},ExpressionUUID->"0aaaec65-ec17-42a8-b4c1-\
da5c70ab8d97"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", "k"}], "-", 
       RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"cv", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"k", " ", "\[Theta]"}], "-", 
       RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"e", ":=", 
   FractionBox[
    RowBox[{"p", "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox["e",
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{{3.8478714219572077`*^9, 3.847871446512727*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"ca36ab1b-50f0-4afc-8ec0-9deeee457714"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.847871447456018*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"1702c71e-b37c-49d2-899f-814eb013a846"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"3a8c044b-f5ef-4afe-9580-28ee9a978fdc"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{"k", " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
   RowBox[{"k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847871465588656*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"f7c25eef-21b5-4613-acf6-3b077a52b354"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
   RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
   RowBox[{"cs", ":=", "20"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
   RowBox[{"p", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"e", ":=", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"r", ":=", 
    RowBox[{"1", "-", "e"}]}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{"Profits", ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
     RowBox[{"e", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
     " ", "-", 
     RowBox[{"r", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "e"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}]}]}], 
   "\[IndentingNewLine]", "Profits", 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]]}]}]], "Input",
 CellChangeTimes->{
  3.847870700769333*^9, {3.8480148814521933`*^9, 3.8480148824658413`*^9}, {
   3.8480149333816843`*^9, 3.8480149373787327`*^9}, {3.84801500410526*^9, 
   3.848015038938252*^9}, {3.848015096020894*^9, 3.8480151276816473`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"5b1ac833-c75c-4d6d-b257-30ae803feacc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "20"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", "200"], " ", 
   RowBox[{"(", 
    RowBox[{"f", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"200", " ", "\[Alpha]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"80", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"200", " ", "\[Alpha]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.848014938322154*^9, {3.848014974707745*^9, 3.848014992367302*^9}, {
   3.8480150259090137`*^9, 3.848015040491663*^9}, {3.848015102102173*^9, 
   3.848015128203772*^9}, 3.8553863022254457`*^9, 3.855469167695936*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"332b45e1-ed6c-43f4-bc29-0e8cf238c000"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "20"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   RowBox[{
    FractionBox["1", "200"], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"200", " ", "\[Alpha]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"80", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"200", " ", "\[Alpha]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->
  "In[100]:=",ExpressionUUID->"7bf00459-b805-4356-8288-4b30a54786c0"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox["f", "2"], "800"], "+", 
  FractionBox[
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"10", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"6", "-", 
      RowBox[{"32", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.848015131484077*^9},
 CellLabel->
  "Out[100]=",ExpressionUUID->"df658a7f-4dc8-4bb1-b4c6-19db198cedc6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "s"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.84801515263876*^9, 3.848015163283183*^9}, {
  3.848015212481524*^9, 3.848015217375744*^9}, {3.848015249287839*^9, 
  3.84801528639132*^9}, {3.850276918529065*^9, 3.8502769783268547`*^9}, {
  3.850277075549637*^9, 3.850277185388948*^9}, {3.855386325113759*^9, 
  3.855386409144668*^9}, {3.855386534912964*^9, 3.855386535597789*^9}, {
  3.855386615941327*^9, 3.8553866170862513`*^9}, {3.855455383902916*^9, 
  3.8554554557454233`*^9}, {3.855459536608325*^9, 3.85545953783191*^9}},
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"c0436408-3718-444d-b858-fab9c0d7382c"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJzVvWdQVs3S94uIKGJAREREMSAoYkIxy7VEJChiREUBQUDJGSRLBiUHSZIz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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJwtmgf8V9Mbx+849/6SCmmgCKUoJWRWyqq0lNESTQ0kI2RVkoyIzMgIiYio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            "]], Polygon3DBox[CompressedData["
1:eJwtm3f8V9Mfx+845/MtWaVkhZZk7xlpiEJ7GKWUJCslK6Fh701llFKUsqMo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            "]], Polygon3DBox[CompressedData["
1:eJwt1wm4lmMaAOC/8//nbxFFK4kSISW0aEOptJyWc1pUp30vaRutaEo7c1lm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            "]], 
           Polygon3DBox[{{1342, 828, 987, 1662, 1186, 1187}, {1414, 932, 694, 
            695, 933, 1415}}]},
          Annotation[#, "Charting`Private`Tag$3635#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, 
      {GrayLevel[1], EdgeForm[None], 
       StyleBox[GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJwtkjlOA0EQRXtmrGmILRGQWKwSgQM228MxSMksYps94QRI7OsVSEEiMjlI
kGGPt/HKzil4pergq35X/fld1TUTxfJqyTfG5EAAImvMNWQ3NObRM6YC2uRP
yNWJdcSn8Aa8Ab+Cd+Bd+Bm8CW/66tGF9+DH8Bgew+dTxnzhOUUccO6R/6P+
Tu4BfIBLzgn5DvUf18Mn2Kene2rr9Dik1kdzxzmiNg7e5D7iGuiDm0D9+2jH
uC/0VC/+FdeD5EbBAN0h+Sqxij7tPK3M76kuBq/gVvRgLqVvNJ3Sb0Ur/RXp
L0/ugH6PONfwrPnqN+I85dtvYoGYdXelXd/SfxdM8v0LcYb46+ldT+Aczxae
LTwvAn036UE8IndHzuo+tkLVyA4TmcvXeROQt+q1jWbR6p7K8Lav/hk86252
eYNlq7vfRLNgdbYSfMnq/7EBL1j9J3ZC3aX0NnTzZd2OZqk9wzPEFat72gt1
bnlb2es/XZdbRQ==
           "]], Polygon3DBox[CompressedData["
1:eJwtk8lSFEEURTPJokrXRhAiatvKxhBQaRCaz3DrjnAN2iobfwGZHPgFt7rV
hQM4gLaC0AzSYBthhPoVnuutxY18N1/WG+57VZ2cvj7VFUKYABlo5CFsxBAu
Q64VIdyFf4MPw8fhFzhfwH+Dq3oDDrFvgL8phPnuEHax69zfLIzn3BfRvmH4
JXyv4b3EPgNWsTfBndzv9e0e/D58El6B71Pb2dw5lOsHvEPht7n7Ch/izWjh
HMp1DCx0+5t32GOZY/2Krv8l+AOm8Tc5B/DX8LeJ+T34zSNy3cL/BXsQ/wj+
Hs6n8E9gFPse/i3sGnYd/xT8c3SP6nUGvg0fgU8UjqFYb7nrw3fAeRzkYAd0
ouOrx6PomlTbG+xTuTXbpr4HyfFPw3fhC8n9K+YOfD45l/qXdkvwscJ678EX
k+d7Dt6GP06er/jH6J7Um3K28M8l1zJOLe9L/S5mnplmdyVz/P7MPmn4MLke
9aoZaVaqdyV6xxplP9qFZjkL5VOv0lzabzGPE9EznSXeSe5eRWssrSvgQ/SO
alefJWvZIf/PLnPtijTtKWtUrdoJaaOZaXZr8GrundPuKYdySSP9C9pRaaeZ
t8p5Kd557o6Iv5w8X81Au6ge1ev/mcPXo99KY/1L0lhaK6dya0dmSn5IvCfJ
tWmH96P/Ke32P6NncNk=
           "]], 
          Polygon3DBox[{{1060, 437, 483, 487, 1065}, {1650, 913, 729, 216, 
           1564}, {1648, 911, 727, 214, 1562}, {1573, 1078, 1002, 223, 
           1570}, {1651, 914, 730, 217, 1565}, {1649, 912, 728, 215, 1563}, {
           1654, 919, 736, 222, 1569}, {1652, 917, 734, 220, 1567}, {1646, 
           909, 725, 212, 1560}, {1673, 482, 437, 1055, 1890}, {732, 731, 
           1055, 437, 915}, {1653, 918, 735, 221, 1568}, {1560, 212, 908, 946,
            1659}, {1647, 910, 726, 213, 1561}}], 
          Polygon3DBox[{{1567, 220, 916, 1059, 486, 1574}}]}],
        Lighting->{{"Ambient", 
           GrayLevel[0.8]}}]}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0jlLXUEYBuC56nW5GjdwIYhGEBVJ7g9wiVvUQFIJNklnqliYYKVYSCol
hVhp49aYX6CgWCqIrYhdCknnEtfE7OYZsXjv887HucyZ4dQOvusfToQQFqVS
ib3czwWfZ4VQzAHW8A3THGEbP/AlZ/iaS1yWIX2TY9zlFA84xy/8xEuuMZEM
YZtH9jyWJvMTnspXabY+47m06Be8lFb9itfSpn/jd3mq3/CHtOs/2cGG7BB+
6b/lj/yVTvN/vI2HzvAu0mWWwUbPZzJLus2SzJZneg5zpUfP40fP9uopPV8K
5IEUSp95EYulRErlczyXlDj7nq0rYpdC6y3rW/9Z5TlXeMhZ7nOSOxzlBtfl
rb7AV5zmC06wle/5hIOs5rg9rpi2XxGbmJJ0fF/rx/Hd4zyeg43xTKxninXM
Yy0fxXvQq5nDqnhHfMhk/J7i/cXviZkss5hP3F11WDI4u//m/gNf9UJR
        "]], 
       Line3DBox[CompressedData["
1:eJwl0MdNxEAAhtFZBAjOVMABLrDk2AYdQAFQBzdKIue868w6LLkLnsXh0/s9
smVppvcOdvY7IYRd9UfEiBFjxkyYMGXKjBlz5iz4psIetJslB6xYsmbFhjWH
bDjp51PtN0xUKNb6aAj3bFSpVqkN5zPjIdzZa3bEW63afd5oxe7xWrPe/eKy
sx9+6ldX2nL2zXd9aKhD7286v7SX+MoLLdovPNeC/cwzde0nnmrefuSJ5uwH
HivTtueUuY7GQphoz9RzB932Djr/9/8HM5REFg==
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{1096, 1386, 1402, 1451, 739, 1450, 1449, 1534, 1887, 1298, 
        1097, 1675, 1299, 1098, 1676, 1300, 1099, 1677, 1301, 1100, 1678, 
        1302, 1101, 1679, 1303, 1102, 1680, 1577, 1767, 1103, 1681, 1304, 
        1104, 1682, 1305, 1105, 1683, 1306, 1106, 1684, 1307, 1107, 1685, 
        1308, 1108, 1655, 1686, 1309, 1403}], 
       Line3DBox[{1109, 1387, 1404, 320, 1865, 1453, 1452, 1535, 754, 1110, 
        1687, 1310, 1111, 1688, 1311, 1112, 1689, 1312, 1113, 1690, 1313, 
        1114, 1691, 1314, 1115, 1692, 1578, 1768, 1116, 1579, 1769, 1117, 
        1693, 1315, 1118, 1694, 1316, 1119, 1695, 1317, 1120, 1696, 1318, 
        1121, 1697, 1319, 1122}], 
       Line3DBox[{1123, 1388, 1405, 1456, 1851, 1661, 1455, 1454, 1536, 1580, 
        1866, 1124, 1581, 1770, 1125, 1698, 1320, 1126, 1699, 1321, 1127, 
        1700, 1322, 1128, 1701, 1323, 1129, 1702, 1582, 1771, 1130, 1583, 
        1772, 1131, 1584, 1773, 1132, 1703, 1324, 1133, 1704, 1325, 1134, 
        1705, 1326, 1135, 1706, 1327, 1136}], 
       Line3DBox[{1138, 1389, 1406, 1390, 1875, 1664, 1137, 1538, 1457, 1537, 
        1458, 1867, 1139, 1585, 1774, 1140, 1586, 1775, 1141, 1707, 1328, 
        1142, 1708, 1329, 1143, 1709, 1330, 1144, 1710, 1587, 1776, 1145, 
        1588, 1777, 1146, 1589, 1778, 1147, 1590, 1779, 1148, 1711, 1331, 
        1149, 1712, 1332, 1150, 1713, 1333, 1151}], 
       Line3DBox[{1153, 1459, 1461, 1460, 1516, 1876, 1152, 1485, 1391, 1484, 
        1392, 1852, 1154, 1548, 1780, 1668, 1155, 1591, 1781, 1156, 1592, 
        1782, 1157, 1714, 1334, 1158, 1715, 1335, 1159, 1716, 1593, 1783, 
        1160, 1594, 1784, 1161, 1595, 1785, 1162, 1596, 1786, 1163, 1597, 
        1787, 1164, 1717, 1336, 1165, 1718, 1337, 1166}], 
       Line3DBox[{1168, 1486, 1487, 1877, 1167, 1488, 1489, 1407, 1533, 1886, 
        1532, 1169, 1550, 1551, 1549, 1788, 1665, 1170, 1598, 1789, 1171, 
        1599, 1790, 1172, 1600, 1791, 1173, 1719, 1338, 1174, 1720, 1601, 
        1792, 1175, 1602, 1793, 1176, 1603, 1794, 1177, 1604, 1795, 1178, 
        1605, 1796, 1179, 1606, 1797, 1180, 1721, 1339, 1181}], 
       Line3DBox[{1184, 1527, 1722, 1340, 1528, 1393, 1409, 1464, 1854, 1341, 
        1463, 1462, 1542, 1888, 1342, 1187, 1723, 1343, 1189, 1724, 1344, 
        1191, 1725, 1345, 1193, 1726, 1346, 1195, 1728, 1729, 1347, 1197, 
        1730, 1348, 1199, 1731, 1349, 1201, 1732, 1350, 1203, 1733, 1351, 
        1205, 1734, 1352, 1207, 1735, 1353, 1209}], 
       Line3DBox[{1208, 1810, 1617, 1206, 1809, 1616, 1204, 1808, 1615, 1202, 
        1807, 1614, 1200, 1806, 1613, 1198, 1805, 1612, 1196, 1804, 1611, 
        1727, 1194, 1803, 1610, 1192, 1802, 1609, 1190, 1801, 1608, 1188, 
        1800, 1607, 1186, 1662, 1799, 1539, 1541, 1540, 1185, 1490, 1878, 
        1491, 1408, 1530, 1529, 1182, 1666, 1798, 1526, 1183}], 
       Line3DBox[{1211, 1618, 1811, 1210, 1394, 1468, 1517, 1869, 1354, 1467, 
        1465, 1492, 1879, 1355, 1212, 1545, 1546, 1356, 1213, 1736, 1357, 
        1214, 1737, 1358, 1215, 1738, 1359, 1216, 1739, 1619, 1812, 1217, 
        1740, 1360, 1218, 1741, 1361, 1219, 1742, 1362, 1220, 1743, 1363, 
        1221, 1744, 1364, 1222, 1745, 1365, 1223}], 
       Line3DBox[{1225, 1620, 1813, 1224, 1466, 1621, 1868, 1493, 1395, 1472, 
        1885, 1518, 1519, 1471, 1469, 1494, 1366, 1226, 1667, 1746, 1547, 
        1367, 1227, 1747, 1368, 1228, 1748, 1369, 1229, 1749, 1622, 1814, 
        1230, 1623, 1815, 1231, 1750, 1370, 1232, 1751, 1371, 1233, 1752, 
        1372, 1234, 1753, 1373, 1235, 1754, 1374, 1236}], 
       Line3DBox[{1238, 1624, 1816, 1237, 1625, 1817, 1239, 1470, 1626, 1870, 
        1495, 1396, 1477, 1520, 1521, 1476, 1871, 1473, 1496, 1375, 1240, 
        1755, 1376, 1241, 1756, 1377, 1242, 1757, 1627, 1818, 1243, 1628, 
        1819, 1244, 1629, 1820, 1245, 1758, 1378, 1246, 1759, 1379, 1247, 
        1760, 1380, 1248, 1761, 1381, 1249}], 
       Line3DBox[{1251, 1630, 1821, 1250, 1631, 1822, 1252, 1632, 1823, 1253, 
        1474, 1478, 1475, 1522, 1254, 1498, 1853, 1397, 1497, 1398, 1255, 
        1855, 1410, 1411, 1256, 1880, 1499, 1500, 1257, 1762, 1633, 1824, 
        1258, 1634, 1825, 1259, 1635, 1826, 1260, 1636, 1827, 1261, 1763, 
        1382, 1262, 1764, 1383, 1263, 1765, 1384, 1264}], 
       Line3DBox[{1266, 1637, 1828, 1265, 1638, 1829, 1267, 1639, 1830, 1268, 
        1640, 1831, 1269, 1663, 1872, 1480, 1479, 1523, 1270, 1510, 1856, 
        1412, 1531, 1413, 1443, 1271, 1881, 1502, 1399, 1501, 1400, 1272, 
        1857, 1414, 1415, 1861, 1273, 1416, 1417, 1863, 1274, 1418, 1832, 
        1656, 1275, 1419, 1833, 1657, 1276, 1658, 1834, 1420, 1277, 1882, 
        1503, 1504, 1278, 1766, 1385, 1279}], Line3DBox[CompressedData["
1:eJwNzDlOQmEYhtH/isxiCK7AGgHZgiHGxgJaabRzQGoSW0tJnApBnILiVnQX
gETUVntPcfI+9/uTu7rXbhxHIYRtongI+4kQikkf+kCv6QV9qEs6po90WS/q
lq7ouD7VuzpvVyiQcK+7vdl3/vglSdP9084555kXhmx6S9kvfvjmghGvbHk/
8f+0/mDGJevuPXtDhj63XFH1dmcHZLnngZr7tX3ikSUmTNnxNrYdcmz4PrNd
lvkHya8lbw==
        "]], 
       Line3DBox[{1297, 1431, 1432, 1430, 1859, 1671, 1296, 1543, 1544, 1483, 
        1874, 1672, 1674}], 
       Line3DBox[{1575, 1571, 1553, 1556, 1891, 1670, 1295, 1558, 1559, 1557, 
        1893, 1572, 1576}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{534, 741, 1675, 535, 755, 1687, 562, 1770, 770, 577, 1774, 
        785, 592, 1780, 1051, 800, 607, 1788, 1033, 814, 622, 1799, 987, 828, 
        1888, 637, 989, 842, 1879, 652, 1039, 921, 992, 1040, 1885, 1041, 666,
         1042, 991, 1016, 1870, 868, 679, 1823, 881, 692, 1830, 892, 704, 
        1837, 901, 714, 1083}], 
       Line3DBox[{536, 742, 1676, 537, 756, 1688, 563, 771, 1698, 578, 1775, 
        786, 593, 1781, 801, 608, 1789, 815, 623, 1800, 829, 1723, 638, 426, 
        1546, 427, 335, 1494, 366, 235, 1477, 342, 1478, 340, 693, 1831, 893, 
        705, 1838, 902, 715, 1084}], 
       Line3DBox[{538, 743, 1677, 539, 757, 1689, 564, 772, 1699, 579, 787, 
        1707, 594, 1782, 802, 609, 1790, 816, 624, 1801, 830, 1724, 639, 843, 
        1736, 653, 1047, 1048, 1746, 1049, 1050, 993, 995, 1871, 994, 1017, 
        1019, 922, 1853, 1018, 923, 998, 1872, 996, 997, 706, 1839, 903, 716, 
        1085}], Line3DBox[{540, 744, 1678, 541, 758, 1690, 565, 773, 1700, 
        580, 788, 1708, 595, 803, 1714, 610, 1791, 817, 625, 1802, 831, 1725, 
        640, 844, 1737, 654, 856, 1747, 667, 869, 1755, 680, 930, 1855, 951, 
        299, 947, 380, 1856, 1029, 931, 1054, 1889, 1052, 1053, 717, 1086}], 
       Line3DBox[{542, 745, 1679, 543, 759, 1691, 566, 774, 1701, 581, 789, 
        1709, 596, 804, 1715, 611, 818, 1719, 626, 1803, 832, 1726, 641, 845, 
        1738, 655, 857, 1748, 668, 870, 1756, 681, 1020, 1880, 1035, 1021, 
        1022, 1023, 1881, 1024, 954, 924, 1001, 999, 1873, 1058, 1000, 718, 
        1087}], Line3DBox[{544, 746, 1680, 546, 760, 1692, 567, 775, 1702, 
        582, 790, 1710, 597, 805, 1716, 612, 819, 1720, 627, 833, 1727, 1728, 
        642, 846, 1739, 656, 858, 1749, 669, 871, 1757, 682, 882, 1762, 694, 
        932, 1857, 952, 966, 965, 948, 1031, 1884, 1032, 1030, 934, 1056, 
        1064, 1088}], 
       Line3DBox[{548, 748, 1681, 549, 1769, 762, 569, 1772, 777, 584, 1777, 
        792, 599, 1784, 807, 614, 1793, 821, 629, 1805, 835, 1730, 644, 848, 
        1740, 658, 1815, 860, 671, 1819, 873, 684, 1825, 884, 696, 935, 1863, 
        972, 973, 895, 708, 1864, 974, 975, 956, 905, 720, 1893, 1090}], 
       Line3DBox[{550, 749, 1682, 551, 763, 1693, 570, 1773, 778, 585, 1778, 
        793, 600, 1785, 808, 615, 1794, 822, 630, 1806, 836, 1731, 645, 849, 
        1741, 659, 861, 1750, 672, 1820, 874, 685, 1826, 885, 697, 1832, 936, 
        896, 709, 958, 1840, 937, 957, 906, 721, 1091}], 
       Line3DBox[{552, 750, 1683, 553, 764, 1694, 571, 779, 1703, 586, 1779, 
        794, 601, 1786, 809, 616, 1795, 823, 631, 1807, 837, 1732, 646, 850, 
        1742, 660, 862, 1751, 673, 875, 1758, 686, 1827, 886, 698, 1833, 938, 
        897, 710, 961, 1841, 939, 959, 907, 722, 1092}], 
       Line3DBox[{554, 751, 1684, 555, 765, 1695, 572, 780, 1704, 587, 795, 
        1711, 602, 1787, 810, 617, 1796, 824, 632, 1808, 838, 1733, 647, 851, 
        1743, 661, 863, 1752, 674, 876, 1759, 687, 887, 1763, 699, 1834, 940, 
        941, 949, 962, 1860, 942, 960, 943, 723, 1093}], 
       Line3DBox[{556, 752, 1685, 557, 766, 1696, 573, 781, 1705, 588, 796, 
        1712, 603, 811, 1717, 618, 1797, 825, 633, 1809, 839, 1734, 648, 852, 
        1744, 662, 864, 1753, 675, 877, 1760, 688, 888, 1764, 700, 1025, 1882,
         1026, 1027, 1028, 1883, 925, 955, 926, 1003, 1874, 1063, 1094}], 
       Line3DBox[{558, 928, 929, 1686, 559, 767, 1697, 574, 782, 1706, 589, 
        797, 1713, 604, 812, 1718, 619, 826, 1721, 634, 1810, 840, 1735, 649, 
        853, 1745, 663, 865, 1754, 676, 878, 1761, 689, 889, 1765, 701, 898, 
        1766, 711, 944, 1858, 953, 964, 963, 950, 1859, 1062, 1095}], 
       Line3DBox[{927, 1004, 1005, 977, 978, 739, 532, 1006, 1007, 980, 981, 
        1865, 753, 560, 1008, 1009, 983, 1851, 984, 768, 575, 1010, 1011, 
        1875, 986, 1036, 783, 590, 1037, 1876, 1038, 1012, 798, 605, 1013, 
        1877, 1014, 813, 620, 1798, 1043, 1044, 827, 1722, 635, 1811, 841, 
        650, 1813, 854, 664, 1816, 866, 677, 1821, 879, 690, 1828, 890, 702, 
        1835, 899, 712, 1066}], 
       Line3DBox[{1045, 976, 740, 1887, 533, 979, 754, 561, 982, 1866, 769, 
        576, 985, 1867, 784, 591, 920, 1852, 799, 606, 1886, 411, 1034, 388, 
        621, 1878, 361, 988, 330, 1854, 636, 362, 990, 393, 1869, 651, 394, 
        1015, 1868, 855, 665, 1817, 867, 678, 1822, 880, 691, 1829, 891, 703, 
        1836, 900, 713, 1082}], 
       Line3DBox[{1089, 1061, 1891, 719, 904, 1057, 969, 971, 1862, 970, 707, 
        894, 968, 967, 1861, 933, 695, 883, 1824, 683, 872, 1818, 670, 859, 
        1814, 657, 847, 1812, 643, 1729, 834, 1804, 628, 820, 1792, 613, 806, 
        1783, 598, 791, 1776, 583, 776, 1771, 568, 761, 1768, 547, 747, 1767, 
        545}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJzsvHdQlc/Sx4mikkyAIpJFCYKBnITTZJCcc845JwGRKEExoIiCBAUREBEV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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{350.4298515306848, 189.19952825460095`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 1}, {-11.999965262504901`, 
    9890.396459499221}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.400664887029272, -2.862599869335005, 1.1373916925696588`},
  ViewVertical->{-0.1477314401576313, 0.3019251822531546, 
   0.9418155901822562}]], "Output",
 CellChangeTimes->{3.85545953844541*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"3f3d07ab-7946-4a76-8329-f401cc70cbbf"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vXc4l9H7wG8l7WEVoWQ0pKGh5f1IWaFkpUUZGcnIiIQ0CMkusrfMbGVV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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJw1mgf8jtUbxt/nPc95Syo0FKGkMopsUdkZDZtCmaFhNEiSmVkkWlRIRVOo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            "]], Polygon3DBox[CompressedData["
1:eJwtmnfgT9Ufxu8959xvhEpGSLL3SGhpl5IUmiqi0J6otKXSRkv90qA9VGgQ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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt1wf8jdUbAPD7u7977VUZISXSoKloUJqUBg0jlWSTlS2rYW8yUkQaKrto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            "]], Polygon3DBox[{{1113, 670, 819, 1364, 943, 944}}]},
          Annotation[#, "Charting`Private`Tag$11430#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0rkuhUEYBuA5x76LwtIQF0Bn3ympRBR0FIJYE+FELIWERnQ0opDQCFFw
BSRo7fuS0Iu4AM9JFO8879fM/DP5S/vGOkcjIYQlSVfiPc3yw+6EEHLZzxJO
sJyLbOAaO7jFXu7zQIb0C8Z4xxV+cYO/3GVCYgjHzOMpDxlxbpFcmQuYJBXR
EK7NUb1Sv9GT9Sr9Vq/mHWt4z1o+sI6PrGeDPOmNfGYTX9jMV7bwja18Zxs/
WOabLlnCE+byiBHu8Mdd1vnJZd5yhuc8k0F9jz3cZDtXWc95lnGcxdy25y8L
3S2H+UyUBck2zzGLs8xkjBmcZjqnmMZJTkiqPsYUjjCZw/E35WB8bw7Q8aHL
0qlH4++uf///C39WKzl2
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{854, 1202, 1203, 1185, 1214, 580, 1213, 1212, 1252, 1590, 
        1070, 855, 1369, 1071, 856, 1370, 1072, 857, 1371, 1073, 858, 1372, 
        1074, 859, 1373, 1075, 860, 1374, 1270, 1478, 861, 1375, 1076, 862, 
        1376, 1077, 863, 1377, 1078, 864, 1378, 1079, 865, 1379, 1080, 866, 
        1359, 1380, 1081, 1186}], 
       Line3DBox[{867, 1168, 1187, 287, 1575, 1216, 1215, 1253, 595, 868, 
        1381, 1082, 869, 1382, 1083, 870, 1383, 1084, 871, 1384, 1085, 872, 
        1385, 1086, 873, 1386, 1271, 1479, 874, 1272, 1480, 875, 1387, 1087, 
        876, 1388, 1088, 877, 1389, 1089, 878, 1390, 1090, 879, 1391, 1091, 
        880}], Line3DBox[{881, 1169, 1188, 1219, 1566, 1362, 1218, 1217, 1254,
         1273, 1576, 882, 1274, 1481, 883, 1392, 1092, 884, 1393, 1093, 885, 
        1394, 1094, 886, 1395, 1095, 887, 1396, 1275, 1482, 888, 1276, 1483, 
        889, 1277, 1484, 890, 1397, 1096, 891, 1398, 1097, 892, 1399, 1098, 
        893, 1400, 1099, 894}], 
       Line3DBox[{896, 1170, 1189, 1171, 1582, 1366, 895, 1256, 1220, 1255, 
        1221, 1577, 897, 1278, 1485, 898, 1279, 1486, 899, 1401, 1100, 900, 
        1402, 1101, 901, 1403, 1102, 902, 1404, 1280, 1487, 903, 1281, 1488, 
        904, 1282, 1489, 905, 1283, 1490, 906, 1405, 1103, 907, 1406, 1104, 
        908, 1407, 1105, 909}], 
       Line3DBox[{911, 1172, 1190, 1173, 1231, 1579, 910, 1258, 1222, 1257, 
        1223, 1578, 912, 1284, 1491, 913, 1285, 1492, 914, 1286, 1493, 915, 
        1408, 1106, 916, 1409, 1107, 917, 1410, 1287, 1494, 918, 1288, 1495, 
        919, 1289, 1496, 920, 1290, 1497, 921, 1291, 1498, 922, 1411, 1108, 
        923, 1412, 1109, 924}], 
       Line3DBox[{926, 1174, 1191, 1233, 1232, 1580, 925, 1260, 1261, 1259, 
        1499, 1363, 927, 1292, 1500, 928, 1293, 1501, 929, 1294, 1502, 930, 
        1295, 1503, 931, 1413, 1110, 932, 1414, 1296, 1504, 933, 1297, 1505, 
        934, 1298, 1506, 935, 1299, 1507, 936, 1300, 1508, 937, 1301, 1509, 
        938, 1415, 1111, 939}], 
       Line3DBox[{942, 1176, 1193, 1226, 1571, 1112, 1225, 1224, 1265, 1591, 
        1113, 944, 1416, 1114, 946, 1417, 1115, 948, 1418, 1116, 950, 1419, 
        1117, 952, 1420, 1118, 954, 1422, 1423, 1119, 956, 1424, 1120, 958, 
        1425, 1121, 960, 1426, 1122, 962, 1427, 1123, 964, 1428, 1124, 966, 
        1429, 1125, 968}], 
       Line3DBox[{967, 1522, 1313, 965, 1521, 1312, 963, 1520, 1311, 961, 
        1519, 1310, 959, 1518, 1309, 957, 1517, 1308, 955, 1516, 1307, 1421, 
        953, 1515, 1306, 951, 1514, 1305, 949, 1513, 1304, 947, 1512, 1303, 
        945, 1511, 1302, 943, 1364, 1510, 1262, 1264, 1263, 940, 1367, 1583, 
        1234, 1192, 1175, 941}], 
       Line3DBox[{969, 1177, 1230, 1249, 1314, 1588, 1229, 1227, 1235, 1584, 
        1126, 970, 1430, 1127, 971, 1431, 1128, 972, 1432, 1129, 973, 1433, 
        1130, 974, 1434, 1131, 975, 1435, 1315, 1523, 976, 1436, 1132, 977, 
        1437, 1133, 978, 1438, 1134, 979, 1439, 1135, 980, 1440, 1136, 981, 
        1441, 1137, 982}], 
       Line3DBox[{983, 1228, 1316, 1581, 1236, 1237, 1178, 1194, 1317, 1567, 
        984, 1442, 1138, 985, 1443, 1139, 986, 1444, 1140, 987, 1445, 1141, 
        988, 1446, 1142, 989, 1447, 1318, 1524, 990, 1319, 1525, 991, 1448, 
        1143, 992, 1449, 1144, 993, 1450, 1145, 994, 1451, 1146, 995, 1452, 
        1147, 996}], 
       Line3DBox[{997, 1238, 1320, 1585, 1239, 1240, 1179, 1195, 1321, 1568, 
        998, 1322, 1526, 999, 1453, 1148, 1000, 1454, 1149, 1001, 1455, 1150, 
        1002, 1456, 1151, 1003, 1457, 1323, 1527, 1004, 1324, 1528, 1005, 
        1325, 1529, 1006, 1458, 1152, 1007, 1459, 1153, 1008, 1460, 1154, 
        1009, 1461, 1155, 1010}], 
       Line3DBox[{1012, 1241, 1242, 1586, 1011, 1243, 1180, 1196, 1181, 1569, 
        1013, 1326, 1530, 1014, 1327, 1531, 1015, 1462, 1156, 1016, 1463, 
        1157, 1017, 1464, 1158, 1018, 1465, 1328, 1532, 1019, 1329, 1533, 
        1020, 1330, 1534, 1021, 1331, 1535, 1022, 1466, 1159, 1023, 1467, 
        1160, 1024, 1468, 1161, 1025}], 
       Line3DBox[{1027, 1244, 1245, 1587, 1026, 1246, 1182, 1197, 1183, 1570, 
        1028, 1266, 1536, 1368, 1029, 1332, 1537, 1030, 1333, 1538, 1031, 
        1469, 1162, 1032, 1470, 1163, 1033, 1471, 1334, 1539, 1034, 1335, 
        1540, 1035, 1336, 1541, 1036, 1337, 1542, 1037, 1338, 1543, 1038, 
        1472, 1164, 1039, 1473, 1165, 1040}], 
       Line3DBox[{1042, 1204, 1205, 1572, 1041, 1247, 1248, 1198, 1251, 1589, 
        1250, 1043, 1268, 1269, 1267, 1544, 1365, 1044, 1339, 1545, 1045, 
        1340, 1546, 1046, 1341, 1547, 1047, 1474, 1166, 1048, 1475, 1342, 
        1548, 1049, 1343, 1549, 1050, 1344, 1550, 1051, 1345, 1551, 1052, 
        1346, 1552, 1053, 1347, 1553, 1054, 1476, 1167, 1055}], 
       Line3DBox[{1069, 1565, 1358, 1068, 1564, 1357, 1067, 1563, 1356, 1066, 
        1562, 1355, 1065, 1561, 1354, 1064, 1560, 1353, 1063, 1559, 1352, 
        1477, 1062, 1558, 1351, 1061, 1557, 1350, 1060, 1556, 1349, 1059, 
        1555, 1348, 1058, 1360, 1554, 1201, 1057, 1207, 1573, 1208, 1199, 
        1184, 1056, 1361, 1574, 1211, 1206, 1210, 1209, 1200}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{359, 582, 1369, 360, 596, 1381, 387, 1481, 611, 402, 1485, 
        626, 417, 1491, 641, 432, 1500, 656, 447, 1511, 671, 1416, 462, 686, 
        1430, 477, 701, 1442, 492, 1526, 716, 507, 1530, 731, 522, 1536, 853, 
        746, 537, 1544, 824, 760, 552, 1554, 794, 774, 567}], 
       Line3DBox[{361, 583, 1370, 362, 597, 1382, 388, 612, 1392, 403, 1486, 
        627, 418, 1492, 642, 433, 1501, 657, 448, 1512, 672, 1417, 463, 687, 
        1431, 478, 702, 1443, 493, 717, 1453, 508, 1531, 732, 523, 1537, 747, 
        538, 1545, 761, 553, 1555, 775, 568}], 
       Line3DBox[{363, 584, 1371, 364, 598, 1383, 389, 613, 1393, 404, 628, 
        1401, 419, 1493, 643, 434, 1502, 658, 449, 1513, 673, 1418, 464, 688, 
        1432, 479, 703, 1444, 494, 718, 1454, 509, 733, 1462, 524, 1538, 748, 
        539, 1546, 762, 554, 1556, 776, 569}], 
       Line3DBox[{365, 585, 1372, 366, 599, 1384, 390, 614, 1394, 405, 629, 
        1402, 420, 644, 1408, 435, 1503, 659, 450, 1514, 674, 1419, 465, 689, 
        1433, 480, 704, 1445, 495, 719, 1455, 510, 734, 1463, 525, 749, 1469, 
        540, 1547, 763, 555, 1557, 777, 570}], 
       Line3DBox[{367, 586, 1373, 368, 600, 1385, 391, 615, 1395, 406, 630, 
        1403, 421, 645, 1409, 436, 660, 1413, 451, 1515, 675, 1420, 466, 690, 
        1434, 481, 705, 1446, 496, 720, 1456, 511, 735, 1464, 526, 750, 1470, 
        541, 764, 1474, 556, 1558, 778, 571}], 
       Line3DBox[{369, 587, 1374, 371, 601, 1386, 392, 616, 1396, 407, 631, 
        1404, 422, 646, 1410, 437, 661, 1414, 452, 676, 1421, 1422, 467, 691, 
        1435, 482, 706, 1447, 497, 721, 1457, 512, 736, 1465, 527, 751, 1471, 
        542, 765, 1475, 557, 779, 1477, 572}], 
       Line3DBox[{373, 589, 1375, 374, 1480, 603, 394, 1483, 618, 409, 1488, 
        633, 424, 1495, 648, 439, 1505, 663, 454, 1517, 678, 1424, 469, 693, 
        1436, 484, 1525, 708, 499, 1528, 723, 514, 1533, 738, 529, 1540, 753, 
        544, 1549, 767, 559, 1560, 781, 574}], 
       Line3DBox[{375, 590, 1376, 376, 604, 1387, 395, 1484, 619, 410, 1489, 
        634, 425, 1496, 649, 440, 1506, 664, 455, 1518, 679, 1425, 470, 694, 
        1437, 485, 709, 1448, 500, 1529, 724, 515, 1534, 739, 530, 1541, 754, 
        545, 1550, 768, 560, 1561, 782, 575}], 
       Line3DBox[{377, 591, 1377, 378, 605, 1388, 396, 620, 1397, 411, 1490, 
        635, 426, 1497, 650, 441, 1507, 665, 456, 1519, 680, 1426, 471, 695, 
        1438, 486, 710, 1449, 501, 725, 1458, 516, 1535, 740, 531, 1542, 755, 
        546, 1551, 769, 561, 1562, 783, 576}], 
       Line3DBox[{379, 592, 1378, 380, 606, 1389, 397, 621, 1398, 412, 636, 
        1405, 427, 1498, 651, 442, 1508, 666, 457, 1520, 681, 1427, 472, 696, 
        1439, 487, 711, 1450, 502, 726, 1459, 517, 741, 1466, 532, 1543, 756, 
        547, 1552, 770, 562, 1563, 784, 577}], 
       Line3DBox[{381, 593, 1379, 382, 607, 1390, 398, 622, 1399, 413, 637, 
        1406, 428, 652, 1411, 443, 1509, 667, 458, 1521, 682, 1428, 473, 697, 
        1440, 488, 712, 1451, 503, 727, 1460, 518, 742, 1467, 533, 757, 1472, 
        548, 1553, 771, 563, 1564, 785, 578}], 
       Line3DBox[{383, 792, 793, 1380, 384, 608, 1391, 399, 623, 1400, 414, 
        638, 1407, 429, 653, 1412, 444, 668, 1415, 459, 1522, 683, 1429, 474, 
        698, 1441, 489, 713, 1452, 504, 728, 1461, 519, 743, 1468, 534, 758, 
        1473, 549, 772, 1476, 564, 1565, 786, 579}], Line3DBox[CompressedData["
1:eJwV0MlJQ1EcRvEbJcEOXIhxiHEg0ZAJwSFO0TgPz5XLBNwmdiA2IDYgNiA2
IDYQbEBsQGwgZJffXRz+9zsH3uLNdXpJNxVCuEN9LIT0eAhZzGIGixnwA0zb
C/aUO2n/4dq7yl25E/YPLr0r3IU79PE+V7bP7TP8c5/cKndq3yLBL//O1/gb
ex0nOMa3luNf9bpdQwtHKPFf+rNWscs4RJFvuh/ao1byXsMBCtq++6Y9aMXo
Yuf33F28aG1tJf4TftndQQNPWqItxf9j57GNLdxrTS3nPY9NbMR/hhG5QR9q

        "]], 
       Line3DBox[{566, 272, 796, 274, 1573, 551, 309, 825, 337, 1589, 536, 
        745, 1570, 790, 521, 730, 1569, 789, 506, 715, 1568, 788, 491, 700, 
        1567, 787, 476, 1584, 685, 822, 461, 1591, 670, 819, 1510, 446, 655, 
        816, 1499, 431, 640, 1578, 813, 416, 625, 1577, 810, 401, 610, 1576, 
        807, 386, 595, 804, 358, 1590, 581, 801, 852}], 
       Line3DBox[{573, 780, 1559, 558, 766, 1548, 543, 752, 1539, 528, 737, 
        1532, 513, 722, 1527, 498, 707, 1524, 483, 692, 1523, 468, 1423, 677, 
        1516, 453, 662, 1504, 438, 647, 1494, 423, 632, 1487, 408, 617, 1482, 
        393, 602, 1479, 372, 588, 1478, 370}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0m3dYz+H3/yMjI0JIEUKoJJSGOC3tvffee++9JE2iIu1EkTSUkaNJpTLS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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{408.7282465826796, 192.},
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.5}, {-11.999966691073828`, 
    6659.499002236902}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.3475887637020785`, -2.889261958547004, 1.1340942900998374`},
  ViewVertical->{-0.14166908940915376`, 0.303741854901923, 
   0.9421628068899346}]], "Input",
 CellChangeTimes->{3.8554594101087227`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"21724e97-e117-4c8d-a6b1-432393bf0bff"],

Cell[BoxData["1"], "Input",
 CellChangeTimes->{3.8553864009834623`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"1657e989-4b88-4cfa-8912-e7eac211ea6a"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.8"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "s"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.855459562906117*^9, 3.8554595640530252`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"381e0be7-1c45-4421-aba2-ecbbabcbe044"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1/XlYT1/UgI0XUUSmiDQYSiikDMnwOZVmSmkQ0qQimgeV0khK8yDN85xG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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJw1mgf8V9Mfxu+55147pcxIk6RFyYg0KGUVkpLVNEIUlSgaImUns4GSbBmF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            "]], Polygon3DBox[CompressedData["
1:eJwtmgW4JsXRhUf6okESXIIs7hDc3S24wy6wuLuzuLu7u7u7u7u7S348LPC/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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt13ncTXUaAPDXfb32fSdLKmRLZQ1lZtompp0amii7KGQn29gKbZOtScXY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            "]]},
          Annotation[#, "Charting`Private`Tag$4002#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0rcvgEEYB+DTe4koEyKx8hcw63VkYiAMLAYmQURJBBEkEjExiYlJTExs
ei+J2LXdc4nhved3+e7uve/LV9E73DmUEEKYVJlCzBmGb/YnhZDPEZbHNazm
Emu5xWbusZtHHOQZx3jLWX5wnT/cYVJyCAcs4Ak3GBuXqAuxiCmqLjGES/N6
XrGB10z17IYVzkuUb+VKOU2+kxutu2cTm9WD3MJHtvKJbXxmO1/YwVd28o1V
7nTOch4zn/vxmtzml35rfOcMbzjKUw7wkF3cZRM3WcNFVnGCZXHuvF8Wu3se
C5ms1lWu+SpzuMJsLjMr7mMmF5jBec6pdHmGaZxmKqfi94w949kcp/ahx9An
e+VQKn/+/wN/eh06VA==
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{871, 1154, 1166, 1187, 595, 1186, 1185, 1248, 1539, 1070, 
        872, 1350, 1071, 873, 1351, 1072, 874, 1352, 1073, 875, 1353, 1074, 
        876, 1354, 1075, 877, 1355, 1265, 1443, 878, 1356, 1076, 879, 1357, 
        1077, 880, 1358, 1078, 881, 1359, 1079, 882, 1360, 1080, 883, 1345, 
        1361, 1081, 1167}], 
       Line3DBox[{884, 1155, 1168, 285, 1528, 1189, 1188, 1249, 610, 885, 
        1362, 1082, 886, 1363, 1083, 887, 1364, 1084, 888, 1365, 1085, 889, 
        1366, 1086, 890, 1367, 1266, 1444, 891, 1267, 1445, 892, 1368, 1087, 
        893, 1369, 1088, 894, 1370, 1089, 895, 1371, 1090, 896, 1372, 1091, 
        897}], Line3DBox[{898, 1156, 1169, 1192, 816, 1191, 1190, 1250, 1268, 
        1529, 899, 626, 900, 1373, 1092, 901, 1374, 1093, 902, 1375, 1094, 
        903, 1376, 1095, 904, 1377, 1269, 1446, 905, 1270, 1447, 906, 1271, 
        1448, 907, 1378, 1096, 908, 1379, 1097, 909, 1380, 1098, 910, 1381, 
        1099, 911}], 
       Line3DBox[{912, 229, 818, 290, 289, 1530, 913, 1272, 1449, 914, 642, 
        915, 1382, 1100, 916, 1383, 1101, 917, 1384, 1102, 918, 1385, 1273, 
        1450, 919, 1274, 1451, 920, 1275, 1452, 921, 1276, 1453, 922, 1386, 
        1103, 923, 1387, 1104, 924, 1388, 1105, 925}], 
       Line3DBox[{927, 1157, 1170, 1158, 843, 926, 1252, 1193, 1251, 1194, 
        1531, 928, 1277, 1454, 929, 1278, 1455, 930, 658, 931, 1389, 1106, 
        932, 1390, 1107, 933, 1391, 1279, 1456, 934, 1280, 1457, 935, 1281, 
        1458, 936, 1282, 1459, 937, 1283, 1460, 938, 1392, 1108, 939, 1393, 
        1109, 940}], 
       Line3DBox[{942, 1195, 1196, 1234, 1233, 1532, 941, 1216, 1217, 1215, 
        1461, 1342, 943, 1284, 1462, 944, 1285, 1463, 945, 1286, 1464, 946, 
        674, 947, 1394, 1110, 948, 1395, 1287, 1465, 949, 1288, 1466, 950, 
        1289, 1467, 951, 1290, 1468, 952, 1291, 1469, 953, 1292, 1470, 954, 
        1396, 1111, 955}], 
       Line3DBox[{106, 484, 107, 250, 485, 108, 373, 486, 109, 487, 110, 488, 
        111, 489, 112, 490, 113, 491, 492, 114, 493, 115, 494, 116, 495, 117, 
        496, 118, 497, 119, 498, 120}], 
       Line3DBox[{957, 1218, 845, 956, 1219, 1220, 1171, 1471, 1343, 958, 
        1256, 1472, 1349, 959, 1293, 1473, 960, 1294, 1474, 961, 1295, 1475, 
        962, 1296, 1476, 963, 1397, 1297, 1477, 964, 1298, 1478, 965, 1299, 
        1479, 966, 1300, 1480, 967, 1301, 1481, 968, 1302, 1482, 969, 1303, 
        1483, 970}], 
       Line3DBox[{971, 1221, 699, 1222, 1223, 1224, 1172, 1199, 1527, 1112, 
        1198, 1197, 1253, 1540, 1113, 972, 1398, 1114, 973, 1399, 1115, 974, 
        1400, 1116, 975, 1401, 1117, 976, 1402, 1304, 1484, 977, 1403, 1118, 
        978, 1404, 1119, 979, 1405, 1120, 980, 1406, 1121, 981, 1407, 1122, 
        982, 1408, 1123, 983}], 
       Line3DBox[{984, 1243, 1305, 1537, 1244, 1159, 1173, 1202, 1525, 1203, 
        1201, 1200, 1225, 1533, 1124, 985, 1409, 1125, 986, 1410, 1126, 987, 
        1411, 1127, 988, 1412, 1128, 989, 1413, 1306, 1485, 990, 1307, 1486, 
        991, 1414, 1129, 992, 1415, 1130, 993, 1416, 1131, 994, 1417, 1132, 
        995, 1418, 1133, 996}], 
       Line3DBox[{998, 1308, 1487, 997, 1160, 1206, 1235, 1526, 1236, 1182, 
        1184, 1161, 1174, 728, 999, 1257, 1258, 1134, 1000, 1419, 1135, 1001, 
        1420, 1136, 1002, 1421, 1137, 1003, 1422, 1309, 1488, 1004, 1310, 
        1489, 1005, 1311, 1490, 1006, 1423, 1138, 1007, 1424, 1139, 1008, 
        1425, 1140, 1009, 1426, 1141, 1010}], 
       Line3DBox[{1012, 1312, 1491, 1011, 1204, 1207, 1205, 1535, 1237, 1013, 
        1226, 1162, 1175, 1163, 1536, 1238, 1014, 1260, 1208, 1259, 1209, 
        1015, 1427, 1142, 1016, 1428, 1143, 1017, 1429, 1144, 1018, 1430, 
        1313, 1492, 1019, 1314, 1493, 1020, 1315, 1494, 1021, 1316, 1495, 
        1022, 1431, 1145, 1023, 1432, 1146, 1024, 1433, 1147, 1025}], 
       Line3DBox[{1027, 1317, 1496, 1026, 1245, 1246, 1538, 1028, 1247, 1164, 
        1176, 1497, 1344, 1227, 1029, 1255, 1210, 1254, 1211, 1030, 867, 1261,
         1031, 1434, 1148, 1032, 1435, 1149, 1033, 1436, 1318, 1498, 1034, 
        1319, 1499, 1035, 1320, 1500, 1036, 1321, 1501, 1037, 1322, 1502, 
        1038, 1437, 1150, 1039, 1438, 1151, 1040}], 
       Line3DBox[{1042, 1323, 1503, 1041, 1324, 1504, 1043, 1212, 1213, 1505, 
        1240, 1239, 1044, 1229, 1230, 1228, 1242, 1241, 1045, 1263, 1264, 
        1541, 1262, 1214, 1046, 1325, 1506, 1047, 1439, 1152, 1048, 1440, 
        1326, 1507, 1049, 1327, 1508, 1050, 1328, 1509, 1051, 1329, 1510, 
        1052, 1330, 1511, 1053, 1331, 1512, 1054, 1441, 1153, 1055}], 
       Line3DBox[{1069, 1524, 1341, 1068, 1523, 1340, 1067, 1522, 1339, 1066, 
        1521, 1338, 1065, 1520, 1337, 1064, 1519, 1336, 1063, 1518, 1335, 
        1442, 1062, 1517, 1334, 1061, 1181, 1516, 1347, 1060, 1165, 1231, 
        1348, 1534, 1232, 1059, 1180, 1183, 1179, 1058, 1515, 1333, 1057, 
        1514, 1332, 1056, 1346, 1513, 1177, 1178}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{383, 597, 1350, 384, 611, 1362, 411, 626, 426, 1449, 641, 
        441, 1454, 656, 456, 1462, 671, 471, 1472, 866, 686, 486, 822, 700, 
        1540, 501, 824, 714, 1533, 516, 792, 728, 531, 857, 793, 1536, 826, 
        827, 828, 545, 850, 1497, 794, 830, 858, 859, 559, 860, 1505, 829, 
        851, 767, 572, 1515, 780, 585}], 
       Line3DBox[{385, 598, 1351, 386, 612, 1363, 412, 627, 1373, 427, 642, 
        442, 1455, 657, 457, 1463, 672, 472, 1473, 687, 487, 701, 1398, 502, 
        715, 1409, 517, 375, 1258, 376, 1259, 304, 370, 1254, 307, 338, 1228, 
        239, 270, 1183, 257, 262}], 
       Line3DBox[{387, 599, 1352, 388, 613, 1364, 413, 628, 1374, 428, 643, 
        1382, 443, 658, 458, 1464, 673, 473, 1474, 688, 488, 702, 1399, 503, 
        716, 1410, 518, 729, 1419, 532, 742, 1427, 546, 867, 868, 869, 870, 
        1541, 831, 833, 832, 852, 1534, 853, 795, 807, 796, 801}], 
       Line3DBox[{389, 600, 1353, 390, 614, 1365, 414, 629, 1375, 429, 644, 
        1383, 444, 659, 1389, 459, 674, 474, 1475, 689, 489, 703, 1400, 504, 
        717, 1411, 519, 730, 1420, 533, 743, 1428, 547, 755, 1434, 560, 1506, 
        768, 573, 1516, 802, 806, 803, 804}], 
       Line3DBox[{391, 601, 1354, 392, 615, 1366, 415, 630, 1376, 430, 645, 
        1384, 445, 660, 1390, 460, 675, 1394, 475, 1476, 690, 490, 704, 1401, 
        505, 718, 1412, 520, 731, 1421, 534, 744, 1429, 548, 756, 1435, 561, 
        769, 1439, 574, 1517, 781, 586}], 
       Line3DBox[{393, 602, 1355, 395, 616, 1367, 416, 631, 1377, 431, 646, 
        1385, 446, 661, 1391, 461, 676, 1395, 476, 691, 1397, 491, 705, 1402, 
        506, 719, 1413, 521, 732, 1422, 535, 745, 1430, 549, 757, 1436, 562, 
        770, 1440, 575, 782, 1442, 587}], 
       Line3DBox[{397, 604, 1356, 398, 1445, 618, 418, 1447, 633, 433, 1451, 
        648, 448, 1457, 663, 463, 1466, 678, 478, 1478, 693, 493, 707, 1403, 
        508, 1486, 721, 523, 1489, 734, 537, 1493, 747, 551, 1499, 759, 564, 
        1508, 772, 577, 1519, 784, 589}], 
       Line3DBox[{399, 605, 1357, 400, 619, 1368, 419, 1448, 634, 434, 1452, 
        649, 449, 1458, 664, 464, 1467, 679, 479, 1479, 694, 494, 708, 1404, 
        509, 722, 1414, 524, 1490, 735, 538, 1494, 748, 552, 1500, 760, 565, 
        1509, 773, 578, 1520, 785, 590}], 
       Line3DBox[{401, 606, 1358, 402, 620, 1369, 420, 635, 1378, 435, 1453, 
        650, 450, 1459, 665, 465, 1468, 680, 480, 1480, 695, 495, 709, 1405, 
        510, 723, 1415, 525, 736, 1423, 539, 1495, 749, 553, 1501, 761, 566, 
        1510, 774, 579, 1521, 786, 591}], 
       Line3DBox[{403, 607, 1359, 404, 621, 1370, 421, 636, 1379, 436, 651, 
        1386, 451, 1460, 666, 466, 1469, 681, 481, 1481, 696, 496, 710, 1406, 
        511, 724, 1416, 526, 737, 1424, 540, 750, 1431, 554, 1502, 762, 567, 
        1511, 775, 580, 1522, 787, 592}], 
       Line3DBox[{405, 608, 1360, 406, 622, 1371, 422, 637, 1380, 437, 652, 
        1387, 452, 667, 1392, 467, 1470, 682, 482, 1482, 697, 497, 711, 1407, 
        512, 725, 1417, 527, 738, 1425, 541, 751, 1432, 555, 763, 1437, 568, 
        1512, 776, 581, 1523, 788, 593}], 
       Line3DBox[{407, 798, 799, 1361, 408, 623, 1372, 423, 638, 1381, 438, 
        653, 1388, 453, 668, 1393, 468, 683, 1396, 483, 1483, 698, 498, 712, 
        1408, 513, 726, 1418, 528, 739, 1426, 542, 752, 1433, 556, 764, 1438, 
        569, 777, 1441, 582, 1524, 789, 594}], 
       Line3DBox[{583, 778, 800, 1513, 570, 765, 1503, 557, 753, 1496, 543, 
        740, 1491, 529, 727, 1487, 514, 713, 1537, 862, 861, 499, 699, 848, 
        847, 484, 684, 846, 845, 469, 669, 844, 856, 1532, 855, 454, 654, 854,
         821, 843, 842, 439, 639, 819, 818, 841, 840, 424, 624, 816, 815, 839,
         838, 409, 609, 1528, 813, 812, 837, 836, 381, 595, 810, 809, 835, 
        834, 797}], 
       Line3DBox[{584, 779, 1514, 571, 766, 1504, 558, 754, 864, 1538, 863, 
        544, 741, 849, 1535, 347, 530, 346, 1526, 805, 273, 515, 301, 1525, 
        825, 331, 500, 1527, 298, 823, 345, 485, 685, 791, 1471, 470, 670, 
        790, 1461, 455, 655, 1531, 820, 440, 640, 1530, 817, 425, 625, 1529, 
        814, 410, 610, 811, 382, 1539, 596, 808, 865}], 
       Line3DBox[{588, 783, 1518, 576, 771, 1507, 563, 758, 1498, 550, 746, 
        1492, 536, 733, 1488, 522, 720, 1485, 507, 706, 1484, 492, 692, 1477, 
        477, 677, 1465, 462, 662, 1456, 447, 647, 1450, 432, 632, 1446, 417, 
        617, 1444, 396, 603, 1443, 394}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0u3dUz+8f/98wishMSkpTe6f9aO+9l/bS3nsRaWiRFi1KpIySED1IJFsi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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{361.7959286382434, 188.68945211313326`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.8}, {-11.9999658339325, 
    6659.498979183801}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.5826187382276855`, -2.802581640237121, 1.0444396005592762`},
  ViewVertical->{-0.151773138450345, 0.26876758187410515`, 
   0.9511723825776686}]], "Input",
 CellChangeTimes->{{3.85545958338945*^9, 
  3.8554595867522793`*^9}},ExpressionUUID->"2b97fd13-4b7a-4ea7-abb5-\
ea2d0d141ab9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "s"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8554595940416*^9, 3.855459595563838*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"311fbd95-8b13-4756-93e4-a305d16432a3"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vXc4l9H7wG8l7WEVoWQ0pKGh5f1IWaFkpUUZGcnIiIQ0CMkusrfMbGVV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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJw1mgf8jtUbxt/nPc95Syo0FKGkMopsUdkZDZtCmaFhNEiSmVkkWlRIRVOo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            "]], Polygon3DBox[CompressedData["
1:eJwtmnfgT9Ufxu8959xvhEpGSLL3SGhpl5IUmiqi0J6otKXSRkv90qA9VGgQ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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt1wf8jdUbAPD7u7977VUZISXSoKloUJqUBg0jlWSTlS2rYW8yUkQaKrto
/duFyGyolKJBKhkther7/N/7+Xi85/me57x3nfec8zuxdfebuqVTqdRWkRVf
ZlKpp10LwUb5qdQ2+Vuub4rjFTzDp7iO4F9r/5uXSj2m/m/9h1gn9jCbIXqr
a81L6D/WtbxoxN5xfVucoP2s+odcBxu7QfsX48ar361/AjvMKonX4h7yoWKT
fJ+6iewndYdZZzaT1Wb92UF2GxvDTmGdWav4bGyP13td/oZonUk+095s8p7i
vZ2k/T/2o7GjjF2n5g4xL0zfS2peFoW0R7GX1N2ibjorwsawV1hT9jArbexq
7YP8AnkTNc3YrPhc6lroW8Cr83XsEJvJdrKlYokoq2+OvlGuZxp7lfaJ3L9U
M//9w3qyx42tx+5nNdR+yPLiBxbL5P+q66U9T92l+AF1d7H58d1nk985fu+W
7An2E3tF/qo4wu5mjxh7vrED2J+sBRsd35XonE1edzPbLz8g/pS3ySS/9T7t
d417TyxnK9ynHK8oXyE/Q//H8nwxV98eXpCNlL/oXivEA/LTxUcsLeao+1nd
eOP/kJcVy1kpeUbd/fKlxt3AJqkbw/ew4mJhzHX5wphrMY/VlVEzW/6g+EzN
QTZd3wE+lv3CSohFrLD8TvGU/OeYN2peE8PZV+wfY2er+4udov899iubxL5i
w9RtY0fYrJgjrD1bxGprd2FrY16ys7Tv4qfJb3Kv+9gn8t+NfUjfXl6VL2ff
sm/Eo/IJYryomE3e50TX5sbO1q5lzBnq1mSSOR1zu0I2+e3HuT7AP9X+U800
r7Ff//1sC/uDTWX72CJ2JL6P+P7lczLJ9xDfx3HZ5Lmb5JovBmo/Z2wD9aNz
z2E8j5WyyTyc7DrO+N+1y4gX1JWUz1Fzh/ZEdrb2zepWua4UJ2ov4NNcC4gH
tZ/3Go3VT8nNt5h3lfU9p2+q66lirfZfsV6p2+I1Ps8k7bDr1W+VZ+N7iOeH
NdI3mY/iO1kB8SRLxdwT18l7q+slWhqXFveyZ+X1lY0ydmLMS9dq/F12gjxP
3QD5M+quYiP1nxzPSjp5huJZmp9NFun+bL78aTEong3jv2dZ8YSSf40dzXbJ
C4qnWJ78arVF4/dmZ4pyBVKpy2P+ag9xr0rquutvkUnWml3ql8mfF+dqf8eO
iWdJ3ZH85PNeK7/H2J5ilZqa4lt2tFii7nBuTr4g/0jNx+JX+TniG3aUWKzu
kLpa7OdYC2L9ZAXcv16sWfKzxDpWnp3HfpJXEC/HV8LOFQ3l3d2/ELvd/Uqp
m5ZO1oxYO7bLL4/fRF9NvlHdccZdGt8rO5ut16zA6oqm8i6xHrAO0a9uBysl
SsZ7lP+lrnXMWXXNxU55bb6PnSCOF2/K60RtPLvpZC+IPeFi0UzezbiyrKPX
2MwOai9mV8o3yW8Sw2KesSv0TY25z4bHbxt1bBrbyK5wPVPsDJPXEU3UdVZX
mrWPz86uYV1ZQXYbu8j7+41VFW+x4mouZL/Kq8RnYMXiPbND8hpiDSvLLmH/
5OZUzK135XXF39rVxfvqyqg7n+2XVxavsyLsAnYg9jLxBiuaSc4RHdPJfhL7
ytqYLzF/2d1y0zbVIn4P1oB1ykvOLrey89j1rA8rwlqya3QWd72Ef8FOiXnL
SrJL2TZ2GqvGXos9z9hD7LlMsveMSCfPWjxzW+SXiTxjz+Eb1FVUtzjWQDFD
+4fY92MtUFeKXabuK1Y99pncetvAtb5opqahKKFdT92X6k7NzaG9uXkW8y3f
h67MSxtbOc5O4sZs8t0fyc2zmG/F1DWN9xifLT/ZM4a6/m1sG/1TjD+b9WSn
qfsgnex5sfctULM79nP5XHGGmtW5daOY9sVq64qVuXWoXzo558V5b2Nuf3mS
vSdfmZfsh+cb35gNlBeP/ct9LmA3ssF5ydkwzogXsVtYR3YMa8dqs0ZsACvG
WsUawW5g/VhRdidr4HWKuNbhn7NqsVeK+vIOef9fmlPNc+vpO+lkX4z98Td5
fVE4Xp9/pu6kOFuxQuxC9imrGs9V7F2xDrJNrBK7khWMz8O2sCox99hR7HL2
NasR75cdza5g29npmaQ2xhSI/VY0ziZnqVvTyd4Re8hqVkUsjHkrryl2xGdj
X7Kisa+4xx/GN+RxkJ+g5nQ2mHWIeRlzlHVlH+TWxOnp5PeJ32lEnCfFF6xI
7D/qflfX19i35TvU3Me2sX5sJfuePci2x7PFurLxrAYbxO5l77Mf4v7sW9af
rWI72TC2g/Vhb8V3wobG3x7sWtadTYz5x4awq1kXNo5VZwPZELaR7WUT2I/s
NjY3Xjf2mzhfiqO0Z7BV6tqoe4oVZqNj72BN2AxWhj3K1rIO7Nncvhf7X7ls
ct/R2eSece9jtR9nY1xvzyTt3dor9L2Yi2iXzyZ/N4x1LS0eiXXTa7T3Gs/o
H2TseraHjWM/sGPUzYx1k7Vj81lRNpa9ypqxmexo9nDsJ6wte5qVZA+xd1gr
No+VYFPY2+xO9jgrzibHWh/nFDaXFWOTYq3PS85Zcd5qm0nOS/uzyTkrzls3
siHsMXV11Y1n17M+bBo7jw1nA9ma+F7YSPZdrMGsOevByrFOrF0mObsd8Bqr
5e+LK1lbNkxdVXW92T3sVbaV9Y/zGruKtWPD2UmsD+vBXom1gPVjn7Cu7MV4
TuPZYh+ybuyleMZZH/YRa8LGs0XsWjaLNWKD2Cx2ERsbzysbzGazOmxc7nyw
ncXfWvE312F5U3VTtZeru1nXk+puYePYQtaQPcq6x/k71iDWl33MrmO92VR2
LhvGbmB92XRWi42IfYS1ZyNYNdaX9WSvx94WZ0T2OevF3oi9iA1mW1lv9mas
VWwI+4LtyiRnmTjTVJevlA8Qq9XtYsPVfRPrLuvARrKTWb/Yw9jtrD+rwLqw
zmwZ28x6sA2sE1saaynrztbH+shasfvY8awH68JWsE/iTM02x37KWrJB7DjW
jd3NnmcfsnvYxtj/2B3sXlaRdc1PzopxZvyRN5E39xt1ZEvkG9V107eO/wcG
XC09
            "]], Polygon3DBox[{{1113, 670, 819, 1364, 943, 944}}]},
          Annotation[#, "Charting`Private`Tag$4340#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0rkuhUEYBuA5x76LwtIQF0Bn3ympRBR0FIJYE+FELIWERnQ0opDQCFFw
BSRo7fuS0Iu4AM9JFO8879fM/DP5S/vGOkcjIYQlSVfiPc3yw+6EEHLZzxJO
sJyLbOAaO7jFXu7zQIb0C8Z4xxV+cYO/3GVCYgjHzOMpDxlxbpFcmQuYJBXR
EK7NUb1Sv9GT9Sr9Vq/mHWt4z1o+sI6PrGeDPOmNfGYTX9jMV7bwja18Zxs/
WOabLlnCE+byiBHu8Mdd1vnJZd5yhuc8k0F9jz3cZDtXWc95lnGcxdy25y8L
3S2H+UyUBck2zzGLs8xkjBmcZjqnmMZJTkiqPsYUjjCZw/E35WB8bw7Q8aHL
0qlH4++uf///C39WKzl2
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{854, 1202, 1203, 1185, 1214, 580, 1213, 1212, 1252, 1590, 
        1070, 855, 1369, 1071, 856, 1370, 1072, 857, 1371, 1073, 858, 1372, 
        1074, 859, 1373, 1075, 860, 1374, 1270, 1478, 861, 1375, 1076, 862, 
        1376, 1077, 863, 1377, 1078, 864, 1378, 1079, 865, 1379, 1080, 866, 
        1359, 1380, 1081, 1186}], 
       Line3DBox[{867, 1168, 1187, 287, 1575, 1216, 1215, 1253, 595, 868, 
        1381, 1082, 869, 1382, 1083, 870, 1383, 1084, 871, 1384, 1085, 872, 
        1385, 1086, 873, 1386, 1271, 1479, 874, 1272, 1480, 875, 1387, 1087, 
        876, 1388, 1088, 877, 1389, 1089, 878, 1390, 1090, 879, 1391, 1091, 
        880}], Line3DBox[{881, 1169, 1188, 1219, 1566, 1362, 1218, 1217, 1254,
         1273, 1576, 882, 1274, 1481, 883, 1392, 1092, 884, 1393, 1093, 885, 
        1394, 1094, 886, 1395, 1095, 887, 1396, 1275, 1482, 888, 1276, 1483, 
        889, 1277, 1484, 890, 1397, 1096, 891, 1398, 1097, 892, 1399, 1098, 
        893, 1400, 1099, 894}], 
       Line3DBox[{896, 1170, 1189, 1171, 1582, 1366, 895, 1256, 1220, 1255, 
        1221, 1577, 897, 1278, 1485, 898, 1279, 1486, 899, 1401, 1100, 900, 
        1402, 1101, 901, 1403, 1102, 902, 1404, 1280, 1487, 903, 1281, 1488, 
        904, 1282, 1489, 905, 1283, 1490, 906, 1405, 1103, 907, 1406, 1104, 
        908, 1407, 1105, 909}], 
       Line3DBox[{911, 1172, 1190, 1173, 1231, 1579, 910, 1258, 1222, 1257, 
        1223, 1578, 912, 1284, 1491, 913, 1285, 1492, 914, 1286, 1493, 915, 
        1408, 1106, 916, 1409, 1107, 917, 1410, 1287, 1494, 918, 1288, 1495, 
        919, 1289, 1496, 920, 1290, 1497, 921, 1291, 1498, 922, 1411, 1108, 
        923, 1412, 1109, 924}], 
       Line3DBox[{926, 1174, 1191, 1233, 1232, 1580, 925, 1260, 1261, 1259, 
        1499, 1363, 927, 1292, 1500, 928, 1293, 1501, 929, 1294, 1502, 930, 
        1295, 1503, 931, 1413, 1110, 932, 1414, 1296, 1504, 933, 1297, 1505, 
        934, 1298, 1506, 935, 1299, 1507, 936, 1300, 1508, 937, 1301, 1509, 
        938, 1415, 1111, 939}], 
       Line3DBox[{942, 1176, 1193, 1226, 1571, 1112, 1225, 1224, 1265, 1591, 
        1113, 944, 1416, 1114, 946, 1417, 1115, 948, 1418, 1116, 950, 1419, 
        1117, 952, 1420, 1118, 954, 1422, 1423, 1119, 956, 1424, 1120, 958, 
        1425, 1121, 960, 1426, 1122, 962, 1427, 1123, 964, 1428, 1124, 966, 
        1429, 1125, 968}], 
       Line3DBox[{967, 1522, 1313, 965, 1521, 1312, 963, 1520, 1311, 961, 
        1519, 1310, 959, 1518, 1309, 957, 1517, 1308, 955, 1516, 1307, 1421, 
        953, 1515, 1306, 951, 1514, 1305, 949, 1513, 1304, 947, 1512, 1303, 
        945, 1511, 1302, 943, 1364, 1510, 1262, 1264, 1263, 940, 1367, 1583, 
        1234, 1192, 1175, 941}], 
       Line3DBox[{969, 1177, 1230, 1249, 1314, 1588, 1229, 1227, 1235, 1584, 
        1126, 970, 1430, 1127, 971, 1431, 1128, 972, 1432, 1129, 973, 1433, 
        1130, 974, 1434, 1131, 975, 1435, 1315, 1523, 976, 1436, 1132, 977, 
        1437, 1133, 978, 1438, 1134, 979, 1439, 1135, 980, 1440, 1136, 981, 
        1441, 1137, 982}], 
       Line3DBox[{983, 1228, 1316, 1581, 1236, 1237, 1178, 1194, 1317, 1567, 
        984, 1442, 1138, 985, 1443, 1139, 986, 1444, 1140, 987, 1445, 1141, 
        988, 1446, 1142, 989, 1447, 1318, 1524, 990, 1319, 1525, 991, 1448, 
        1143, 992, 1449, 1144, 993, 1450, 1145, 994, 1451, 1146, 995, 1452, 
        1147, 996}], 
       Line3DBox[{997, 1238, 1320, 1585, 1239, 1240, 1179, 1195, 1321, 1568, 
        998, 1322, 1526, 999, 1453, 1148, 1000, 1454, 1149, 1001, 1455, 1150, 
        1002, 1456, 1151, 1003, 1457, 1323, 1527, 1004, 1324, 1528, 1005, 
        1325, 1529, 1006, 1458, 1152, 1007, 1459, 1153, 1008, 1460, 1154, 
        1009, 1461, 1155, 1010}], 
       Line3DBox[{1012, 1241, 1242, 1586, 1011, 1243, 1180, 1196, 1181, 1569, 
        1013, 1326, 1530, 1014, 1327, 1531, 1015, 1462, 1156, 1016, 1463, 
        1157, 1017, 1464, 1158, 1018, 1465, 1328, 1532, 1019, 1329, 1533, 
        1020, 1330, 1534, 1021, 1331, 1535, 1022, 1466, 1159, 1023, 1467, 
        1160, 1024, 1468, 1161, 1025}], 
       Line3DBox[{1027, 1244, 1245, 1587, 1026, 1246, 1182, 1197, 1183, 1570, 
        1028, 1266, 1536, 1368, 1029, 1332, 1537, 1030, 1333, 1538, 1031, 
        1469, 1162, 1032, 1470, 1163, 1033, 1471, 1334, 1539, 1034, 1335, 
        1540, 1035, 1336, 1541, 1036, 1337, 1542, 1037, 1338, 1543, 1038, 
        1472, 1164, 1039, 1473, 1165, 1040}], 
       Line3DBox[{1042, 1204, 1205, 1572, 1041, 1247, 1248, 1198, 1251, 1589, 
        1250, 1043, 1268, 1269, 1267, 1544, 1365, 1044, 1339, 1545, 1045, 
        1340, 1546, 1046, 1341, 1547, 1047, 1474, 1166, 1048, 1475, 1342, 
        1548, 1049, 1343, 1549, 1050, 1344, 1550, 1051, 1345, 1551, 1052, 
        1346, 1552, 1053, 1347, 1553, 1054, 1476, 1167, 1055}], 
       Line3DBox[{1069, 1565, 1358, 1068, 1564, 1357, 1067, 1563, 1356, 1066, 
        1562, 1355, 1065, 1561, 1354, 1064, 1560, 1353, 1063, 1559, 1352, 
        1477, 1062, 1558, 1351, 1061, 1557, 1350, 1060, 1556, 1349, 1059, 
        1555, 1348, 1058, 1360, 1554, 1201, 1057, 1207, 1573, 1208, 1199, 
        1184, 1056, 1361, 1574, 1211, 1206, 1210, 1209, 1200}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{359, 582, 1369, 360, 596, 1381, 387, 1481, 611, 402, 1485, 
        626, 417, 1491, 641, 432, 1500, 656, 447, 1511, 671, 1416, 462, 686, 
        1430, 477, 701, 1442, 492, 1526, 716, 507, 1530, 731, 522, 1536, 853, 
        746, 537, 1544, 824, 760, 552, 1554, 794, 774, 567}], 
       Line3DBox[{361, 583, 1370, 362, 597, 1382, 388, 612, 1392, 403, 1486, 
        627, 418, 1492, 642, 433, 1501, 657, 448, 1512, 672, 1417, 463, 687, 
        1431, 478, 702, 1443, 493, 717, 1453, 508, 1531, 732, 523, 1537, 747, 
        538, 1545, 761, 553, 1555, 775, 568}], 
       Line3DBox[{363, 584, 1371, 364, 598, 1383, 389, 613, 1393, 404, 628, 
        1401, 419, 1493, 643, 434, 1502, 658, 449, 1513, 673, 1418, 464, 688, 
        1432, 479, 703, 1444, 494, 718, 1454, 509, 733, 1462, 524, 1538, 748, 
        539, 1546, 762, 554, 1556, 776, 569}], 
       Line3DBox[{365, 585, 1372, 366, 599, 1384, 390, 614, 1394, 405, 629, 
        1402, 420, 644, 1408, 435, 1503, 659, 450, 1514, 674, 1419, 465, 689, 
        1433, 480, 704, 1445, 495, 719, 1455, 510, 734, 1463, 525, 749, 1469, 
        540, 1547, 763, 555, 1557, 777, 570}], 
       Line3DBox[{367, 586, 1373, 368, 600, 1385, 391, 615, 1395, 406, 630, 
        1403, 421, 645, 1409, 436, 660, 1413, 451, 1515, 675, 1420, 466, 690, 
        1434, 481, 705, 1446, 496, 720, 1456, 511, 735, 1464, 526, 750, 1470, 
        541, 764, 1474, 556, 1558, 778, 571}], 
       Line3DBox[{369, 587, 1374, 371, 601, 1386, 392, 616, 1396, 407, 631, 
        1404, 422, 646, 1410, 437, 661, 1414, 452, 676, 1421, 1422, 467, 691, 
        1435, 482, 706, 1447, 497, 721, 1457, 512, 736, 1465, 527, 751, 1471, 
        542, 765, 1475, 557, 779, 1477, 572}], 
       Line3DBox[{373, 589, 1375, 374, 1480, 603, 394, 1483, 618, 409, 1488, 
        633, 424, 1495, 648, 439, 1505, 663, 454, 1517, 678, 1424, 469, 693, 
        1436, 484, 1525, 708, 499, 1528, 723, 514, 1533, 738, 529, 1540, 753, 
        544, 1549, 767, 559, 1560, 781, 574}], 
       Line3DBox[{375, 590, 1376, 376, 604, 1387, 395, 1484, 619, 410, 1489, 
        634, 425, 1496, 649, 440, 1506, 664, 455, 1518, 679, 1425, 470, 694, 
        1437, 485, 709, 1448, 500, 1529, 724, 515, 1534, 739, 530, 1541, 754, 
        545, 1550, 768, 560, 1561, 782, 575}], 
       Line3DBox[{377, 591, 1377, 378, 605, 1388, 396, 620, 1397, 411, 1490, 
        635, 426, 1497, 650, 441, 1507, 665, 456, 1519, 680, 1426, 471, 695, 
        1438, 486, 710, 1449, 501, 725, 1458, 516, 1535, 740, 531, 1542, 755, 
        546, 1551, 769, 561, 1562, 783, 576}], 
       Line3DBox[{379, 592, 1378, 380, 606, 1389, 397, 621, 1398, 412, 636, 
        1405, 427, 1498, 651, 442, 1508, 666, 457, 1520, 681, 1427, 472, 696, 
        1439, 487, 711, 1450, 502, 726, 1459, 517, 741, 1466, 532, 1543, 756, 
        547, 1552, 770, 562, 1563, 784, 577}], 
       Line3DBox[{381, 593, 1379, 382, 607, 1390, 398, 622, 1399, 413, 637, 
        1406, 428, 652, 1411, 443, 1509, 667, 458, 1521, 682, 1428, 473, 697, 
        1440, 488, 712, 1451, 503, 727, 1460, 518, 742, 1467, 533, 757, 1472, 
        548, 1553, 771, 563, 1564, 785, 578}], 
       Line3DBox[{383, 792, 793, 1380, 384, 608, 1391, 399, 623, 1400, 414, 
        638, 1407, 429, 653, 1412, 444, 668, 1415, 459, 1522, 683, 1429, 474, 
        698, 1441, 489, 713, 1452, 504, 728, 1461, 519, 743, 1468, 534, 758, 
        1473, 549, 772, 1476, 564, 1565, 786, 579}], Line3DBox[CompressedData["
1:eJwV0MlJQ1EcRvEbJcEOXIhxiHEg0ZAJwSFO0TgPz5XLBNwmdiA2IDYgNiA2
IDYQbEBsQGwgZJffXRz+9zsH3uLNdXpJNxVCuEN9LIT0eAhZzGIGixnwA0zb
C/aUO2n/4dq7yl25E/YPLr0r3IU79PE+V7bP7TP8c5/cKndq3yLBL//O1/gb
ex0nOMa3luNf9bpdQwtHKPFf+rNWscs4RJFvuh/ao1byXsMBCtq++6Y9aMXo
Yuf33F28aG1tJf4TftndQQNPWqItxf9j57GNLdxrTS3nPY9NbMR/hhG5QR9q

        "]], 
       Line3DBox[{566, 272, 796, 274, 1573, 551, 309, 825, 337, 1589, 536, 
        745, 1570, 790, 521, 730, 1569, 789, 506, 715, 1568, 788, 491, 700, 
        1567, 787, 476, 1584, 685, 822, 461, 1591, 670, 819, 1510, 446, 655, 
        816, 1499, 431, 640, 1578, 813, 416, 625, 1577, 810, 401, 610, 1576, 
        807, 386, 595, 804, 358, 1590, 581, 801, 852}], 
       Line3DBox[{573, 780, 1559, 558, 766, 1548, 543, 752, 1539, 528, 737, 
        1532, 513, 722, 1527, 498, 707, 1524, 483, 692, 1523, 468, 1423, 677, 
        1516, 453, 662, 1504, 438, 647, 1494, 423, 632, 1487, 408, 617, 1482, 
        393, 602, 1479, 372, 588, 1478, 370}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0m3dYz+H3/yMjI0JIEUKoJJSGOC3tvffee++9JE2iIu1EkTSUkaNJpTLS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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{355.4951353835874, 214.84456803095293`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.5}, {-11.999966691073828`, 
    6659.499002236902}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.2126760902581037`, -2.868449700328365, 1.3234096179197186`},
  ViewVertical->{-0.15229376573712086`, 0.36023387465118045`, 
   0.9203467631666906}]], "Output",
 CellChangeTimes->{3.85545959622546*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"1a04d8b6-9df6-4415-955d-a78232116926"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.2"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "s"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8554596320113297`*^9, 3.85545963421745*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"70a9a419-6868-4f6f-8d56-870cbb9898fb"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vHk0l8/7+C8JbSKkhFRIWSK0WZ43ChUSFbKTJRVSliJEJftaElkqIcq+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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJxNmgf4llPcx5/7OfexSZRIKKKhJZRIS9tKSQtpIiNZSUZJKJEkUaQkhCRF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            "]], 
           Polygon3DBox[CompressedData["
1:eJxFmgn4D9UXxmfm3qFV2iRKlBTaCxXtaRWltEmEEkVIGyqUknZalBaFSEpl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            "]], Polygon3DBox[CompressedData["
1:eJwt13mgTnUaAOB7v3uvbRDZhWyRpJQwMVOTiGkfS027sjQK15p9SzRlH1sl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            "]]},
          Annotation[#, "Charting`Private`Tag$4980#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0jso72EYB/DX/c6/3Oookpmyc9yvx4Lt2GwokuRSkg79rQyMMjBJBkYZ
mMTifjlum7OdJBl9fmV43s/3qV/v+zz1K+8f6RlOCCHMqwwhyumONw4lhRBj
TD8hl0XfsYrLrOU6u7jDPh5wkKec4j0X+Y+r/OQm05JD2GMRj6J7mOidYnWu
z49mUTWJIVzoU+Ra+VL+ySvW8Zr1vGEDb9nIOzaxWd3LLfzLVj6wjY9s5xM7
+MxOvrDaPGes4CELuBvNwQ1+2GOFr4zzjpM84QD3+Zvb/MU11nCJlTx2T7ed
SuUtuUR+lwuZF73HZBVXufoF5vAPsznHLM4ykzPM4DSnVLo8wTSOM5VjTOFo
dDdHaJww6OiVrR5+yP+//4Uvdq06qw==
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{875, 1187, 1188, 1172, 1195, 587, 1194, 1193, 1227, 1535, 
        1074, 876, 1340, 1075, 877, 1341, 1076, 878, 1342, 1077, 879, 1343, 
        1078, 880, 1344, 1079, 881, 1345, 1248, 1434, 882, 1346, 1080, 883, 
        1347, 1081, 884, 1348, 1082, 885, 1349, 1083, 886, 1338, 1350, 1084, 
        1224, 1339, 1534, 1225, 1190, 1192, 1085, 1196}], 
       Line3DBox[{887, 273, 1173, 286, 1521, 1198, 1197, 1228, 601, 888, 1351,
         1086, 889, 1352, 1087, 890, 1353, 1088, 891, 1354, 1089, 892, 1355, 
        1090, 893, 1356, 1249, 1435, 894, 1250, 1436, 895, 1357, 1091, 896, 
        1358, 1092, 897, 1359, 1093, 898, 1360, 1094, 899, 1519, 1189, 1095, 
        1226}], Line3DBox[{900, 1158, 1174, 1201, 812, 1200, 1199, 1229, 1251,
         1522, 901, 616, 902, 1361, 1096, 903, 1362, 1097, 904, 1363, 1098, 
        905, 1364, 1099, 906, 1365, 1252, 1437, 907, 1253, 1438, 908, 1254, 
        1439, 909, 1366, 1100, 910, 1367, 1101, 911, 1368, 1102, 912, 1369, 
        1103, 913}], 
       Line3DBox[{914, 229, 814, 291, 290, 1523, 915, 1255, 1440, 916, 632, 
        917, 1370, 1104, 918, 1371, 1105, 919, 1372, 1106, 920, 1373, 1256, 
        1441, 921, 1257, 1442, 922, 1258, 1443, 923, 1259, 1444, 924, 1374, 
        1107, 925, 1375, 1108, 926, 1376, 1109, 927}], 
       Line3DBox[{929, 1159, 1175, 1160, 852, 928, 1231, 1202, 1230, 1203, 
        1524, 930, 1260, 1445, 931, 1261, 1446, 932, 648, 933, 1377, 1110, 
        934, 1378, 1111, 935, 1379, 1262, 1447, 936, 1263, 1448, 937, 1264, 
        1449, 938, 1265, 1450, 939, 1266, 1451, 940, 1380, 1112, 941, 1381, 
        1113, 942}], 
       Line3DBox[{944, 1161, 1176, 1219, 1218, 1525, 943, 1233, 1234, 1232, 
        1452, 1334, 945, 1267, 1453, 946, 1268, 1454, 947, 1269, 1455, 948, 
        664, 949, 1382, 1114, 950, 1383, 1270, 1456, 951, 1271, 1457, 952, 
        1272, 1458, 953, 1273, 1459, 954, 1274, 1460, 955, 1275, 1461, 956, 
        1384, 1115, 957}], 
       Line3DBox[{106, 250, 467, 107, 353, 468, 108, 469, 109, 470, 110, 471, 
        111, 472, 112, 473, 113, 474, 475, 114, 476, 115, 477, 116, 478, 117, 
        479, 118, 480, 119, 481, 120}], 
       Line3DBox[{959, 1162, 1177, 1220, 855, 958, 1236, 1237, 1235, 1462, 
        1335, 960, 1276, 1463, 961, 1277, 1464, 962, 1278, 1465, 963, 1279, 
        1466, 964, 1280, 1467, 965, 1385, 1281, 1468, 966, 1282, 1469, 967, 
        1283, 1470, 968, 1284, 1471, 969, 1285, 1472, 970, 1286, 1473, 971, 
        1287, 1474, 972}], 
       Line3DBox[{973, 1163, 1178, 1206, 689, 1205, 1204, 1238, 1536, 1116, 
        974, 1386, 1117, 975, 1387, 1118, 976, 1388, 1119, 977, 1389, 1120, 
        978, 1390, 1121, 979, 1391, 1288, 1475, 980, 1392, 1122, 981, 1393, 
        1123, 982, 1394, 1124, 983, 1395, 1125, 984, 1396, 1126, 985, 1397, 
        1127, 986}], 
       Line3DBox[{987, 1164, 1179, 1209, 1210, 1527, 1208, 1207, 1239, 1289, 
        1526, 988, 1398, 1128, 989, 1399, 1129, 990, 1400, 1130, 991, 1401, 
        1131, 992, 1402, 1132, 993, 1403, 1290, 1476, 994, 1291, 1477, 995, 
        1404, 1133, 996, 1405, 1134, 997, 1406, 1135, 998, 1407, 1136, 999, 
        1408, 1137, 1000}], 
       Line3DBox[{1001, 1165, 1180, 1213, 833, 1212, 1211, 1240, 1292, 1528, 
        1002, 721, 1003, 1409, 1138, 1004, 1410, 1139, 1005, 1411, 1140, 1006,
         1412, 1141, 1007, 1413, 1293, 1478, 1008, 1294, 1479, 1009, 1295, 
        1480, 1010, 1414, 1142, 1011, 1415, 1143, 1012, 1416, 1144, 1013, 
        1417, 1145, 1014}], 
       Line3DBox[{1016, 1166, 1181, 1167, 1533, 1337, 1015, 1242, 1214, 1241, 
        1215, 1529, 1017, 1296, 1481, 1018, 1297, 1482, 1019, 1418, 1146, 
        1020, 1419, 1147, 1021, 1420, 1148, 1022, 1421, 1298, 1483, 1023, 
        1299, 1484, 1024, 1300, 1485, 1025, 1301, 1486, 1026, 1422, 1149, 
        1027, 1423, 1150, 1028, 1424, 1151, 1029}], 
       Line3DBox[{1031, 1168, 1182, 1169, 1221, 1531, 1030, 1244, 1216, 1243, 
        1217, 1530, 1032, 1302, 1487, 1033, 1303, 1488, 1034, 1304, 1489, 
        1035, 1425, 1152, 1036, 1426, 1153, 1037, 1427, 1305, 1490, 1038, 
        1306, 1491, 1039, 1307, 1492, 1040, 1308, 1493, 1041, 1309, 1494, 
        1042, 1428, 1154, 1043, 1429, 1155, 1044}], 
       Line3DBox[{1046, 1170, 1183, 1223, 1222, 1532, 1045, 1246, 1247, 1245, 
        1495, 1336, 1047, 1310, 1496, 1048, 1311, 1497, 1049, 1312, 1498, 
        1050, 1313, 1499, 1051, 1430, 1156, 1052, 1431, 1314, 1500, 1053, 
        1315, 1501, 1054, 1316, 1502, 1055, 1317, 1503, 1056, 1318, 1504, 
        1057, 1319, 1505, 1058, 1432, 1157, 1059}], 
       Line3DBox[{1073, 1518, 1331, 1072, 1517, 1330, 1071, 1516, 1329, 1070, 
        1515, 1328, 1069, 1514, 1327, 1068, 1513, 1326, 1067, 1512, 1325, 
        1433, 1066, 1511, 1324, 1065, 1510, 1323, 1064, 1509, 1322, 1063, 
        1508, 1321, 1062, 1507, 1320, 1061, 1332, 1506, 1186, 1060, 1333, 
        1520, 1191, 1184, 1171, 1185}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{367, 589, 1340, 368, 602, 1351, 394, 616, 409, 1440, 631, 
        424, 1445, 646, 439, 1453, 661, 454, 1463, 676, 469, 691, 1386, 484, 
        706, 1398, 499, 721, 514, 1481, 736, 529, 1487, 751, 544, 1496, 766, 
        559, 1507, 781, 574}], 
       Line3DBox[{369, 590, 1341, 370, 603, 1352, 395, 617, 1361, 410, 632, 
        425, 1446, 647, 440, 1454, 662, 455, 1464, 677, 470, 692, 1387, 485, 
        707, 1399, 500, 722, 1409, 515, 1482, 737, 530, 1488, 752, 545, 1497, 
        767, 560, 1508, 782, 575}], 
       Line3DBox[{371, 591, 1342, 372, 604, 1353, 396, 618, 1362, 411, 633, 
        1370, 426, 648, 441, 1455, 663, 456, 1465, 678, 471, 693, 1388, 486, 
        708, 1400, 501, 723, 1410, 516, 738, 1418, 531, 1489, 753, 546, 1498, 
        768, 561, 1509, 783, 576}], 
       Line3DBox[{373, 592, 1343, 374, 605, 1354, 397, 619, 1363, 412, 634, 
        1371, 427, 649, 1377, 442, 664, 457, 1466, 679, 472, 694, 1389, 487, 
        709, 1401, 502, 724, 1411, 517, 739, 1419, 532, 754, 1425, 547, 1499, 
        769, 562, 1510, 784, 577}], 
       Line3DBox[{375, 593, 1344, 376, 606, 1355, 398, 620, 1364, 413, 635, 
        1372, 428, 650, 1378, 443, 665, 1382, 458, 1467, 680, 473, 695, 1390, 
        488, 710, 1402, 503, 725, 1412, 518, 740, 1420, 533, 755, 1426, 548, 
        770, 1430, 563, 1511, 785, 578}], 
       Line3DBox[{377, 594, 1345, 379, 607, 1356, 399, 621, 1365, 414, 636, 
        1373, 429, 651, 1379, 444, 666, 1383, 459, 681, 1385, 474, 696, 1391, 
        489, 711, 1403, 504, 726, 1413, 519, 741, 1421, 534, 756, 1427, 549, 
        771, 1431, 564, 786, 1433, 579}], 
       Line3DBox[{381, 596, 1346, 382, 1436, 609, 401, 1438, 623, 416, 1442, 
        638, 431, 1448, 653, 446, 1457, 668, 461, 1469, 683, 476, 698, 1392, 
        491, 1477, 713, 506, 1479, 728, 521, 1484, 743, 536, 1491, 758, 551, 
        1501, 773, 566, 1513, 788, 581}], 
       Line3DBox[{383, 597, 1347, 384, 610, 1357, 402, 1439, 624, 417, 1443, 
        639, 432, 1449, 654, 447, 1458, 669, 462, 1470, 684, 477, 699, 1393, 
        492, 714, 1404, 507, 1480, 729, 522, 1485, 744, 537, 1492, 759, 552, 
        1502, 774, 567, 1514, 789, 582}], 
       Line3DBox[{385, 598, 1348, 386, 611, 1358, 403, 625, 1366, 418, 1444, 
        640, 433, 1450, 655, 448, 1459, 670, 463, 1471, 685, 478, 700, 1394, 
        493, 715, 1405, 508, 730, 1414, 523, 1486, 745, 538, 1493, 760, 553, 
        1503, 775, 568, 1515, 790, 583}], 
       Line3DBox[{387, 599, 1349, 388, 612, 1359, 404, 626, 1367, 419, 641, 
        1374, 434, 1451, 656, 449, 1460, 671, 464, 1472, 686, 479, 701, 1395, 
        494, 716, 1406, 509, 731, 1415, 524, 746, 1422, 539, 1494, 761, 554, 
        1504, 776, 569, 1516, 791, 584}], 
       Line3DBox[{389, 869, 870, 1350, 390, 613, 1360, 405, 627, 1368, 420, 
        642, 1375, 435, 657, 1380, 450, 1461, 672, 465, 1473, 687, 480, 702, 
        1396, 495, 717, 1407, 510, 732, 1416, 525, 747, 1423, 540, 762, 1428, 
        555, 1505, 777, 570, 1517, 792, 585}], 
       Line3DBox[{391, 795, 871, 873, 872, 1534, 799, 797, 1519, 798, 406, 
        628, 1369, 421, 643, 1376, 436, 658, 1381, 451, 673, 1384, 466, 1474, 
        688, 481, 703, 1397, 496, 718, 1408, 511, 733, 1417, 526, 748, 1424, 
        541, 763, 1429, 556, 778, 1432, 571, 1518, 793, 586}], 
       Line3DBox[CompressedData["
1:eJwNzr0vg1EcBeAfYjLYDaJEo/EVQoiWaAihKPVVlFLSrUz+A4PdYDfYDXaD
3WA32CU6iEElfYYn99xz3ty8icpV4bIlIkpkWiM62iIS9NBHL9/tEcO2Bqvu
K1zQ0J87u/VfLMtLVPiznTk79R8sygv860+dZUL/Rlae54Rj6n7oRf/r2zn3
WUoc8Wl7sqXlGQ454F3/oJ+Wpyiyz6v+Tj8pT7DHj3d3nc+2G9u4PMYO2zzq
r/Wj8ggFtrjXV/VD8iCb5LnVF/V176bcB9hgnZotZ0vK/ayRo4sm+OAoJQ==

        "]], 
       Line3DBox[{573, 780, 796, 1506, 558, 765, 840, 1495, 543, 750, 1530, 
        837, 528, 735, 1529, 834, 513, 720, 1528, 831, 498, 705, 1526, 828, 
        483, 1536, 690, 825, 468, 675, 822, 1462, 453, 660, 819, 1452, 438, 
        645, 1524, 816, 423, 630, 1523, 813, 408, 615, 1522, 810, 393, 601, 
        807, 366, 1535, 588, 804, 874}], 
       Line3DBox[{580, 787, 1512, 565, 772, 1500, 550, 757, 1490, 535, 742, 
        1483, 520, 727, 1478, 505, 712, 1476, 490, 697, 1475, 475, 682, 1468, 
        460, 667, 1456, 445, 652, 1447, 430, 637, 1441, 415, 622, 1437, 400, 
        608, 1435, 380, 595, 1434, 378}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0nHlUzd33+DOLkimFSEJCZEgotqR5nkcNKs11b3do1JwypdKc5knSKEnJ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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{348.9267778230216, 189.16572439629508`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.2}, {-11.999967548215073`, 
    6659.4990252900025`}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.3732088785926333`, -2.8585844367765145`, 1.1801662567509026`},
  
  ViewVertical->{-0.15102134888652918`, 0.31437844910416973`, 
   0.9372079507341742}]], "Output",
 CellChangeTimes->{3.855459634920957*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"deb2b307-38f9-46be-bcdb-14b28a6d9e30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%25", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[31]:=",ExpressionUUID->"10855d33-1100-4562-9bbf-66f3c360311b"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJzVvWdQVs3S94uIKGJAREREMSAoYkIxy7VEJChiREUBQUDJGSRLBiUHSZIz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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJwtmgf8V9Mbx+849/6SCmmgCKUoJWRWyqq0lNESTQ0kI2RVkoyIzMgIiYio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            "]], Polygon3DBox[CompressedData["
1:eJwtm3f8V9Mfx+845/MtWaVkhZZk7xlpiEJ7GKWUJCslK6Fh701llFKUsqMo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            "]], Polygon3DBox[CompressedData["
1:eJwt1wm4lmMaAOC/8//nbxFFK4kSISW0aEOptJyWc1pUp30vaRutaEo7c1lm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            "]], 
           Polygon3DBox[{{1342, 828, 987, 1662, 1186, 1187}, {1414, 932, 694, 
            695, 933, 1415}}]},
          Annotation[#, "Charting`Private`Tag$15721#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, 
      {GrayLevel[1], EdgeForm[None], 
       StyleBox[GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJwtkjlOA0EQRXtmrGmILRGQWKwSgQM228MxSMksYps94QRI7OsVSEEiMjlI
kGGPt/HKzil4pergq35X/fld1TUTxfJqyTfG5EAAImvMNWQ3NObRM6YC2uRP
yNWJdcSn8Aa8Ab+Cd+Bd+Bm8CW/66tGF9+DH8Bgew+dTxnzhOUUccO6R/6P+
Tu4BfIBLzgn5DvUf18Mn2Kene2rr9Dik1kdzxzmiNg7e5D7iGuiDm0D9+2jH
uC/0VC/+FdeD5EbBAN0h+Sqxij7tPK3M76kuBq/gVvRgLqVvNJ3Sb0Ur/RXp
L0/ugH6PONfwrPnqN+I85dtvYoGYdXelXd/SfxdM8v0LcYb46+ldT+Aczxae
LTwvAn036UE8IndHzuo+tkLVyA4TmcvXeROQt+q1jWbR6p7K8Lav/hk86252
eYNlq7vfRLNgdbYSfMnq/7EBL1j9J3ZC3aX0NnTzZd2OZqk9wzPEFat72gt1
bnlb2es/XZdbRQ==
           "]], Polygon3DBox[CompressedData["
1:eJwtk8lSFEEURTPJokrXRhAiatvKxhBQaRCaz3DrjnAN2iobfwGZHPgFt7rV
hQM4gLaC0AzSYBthhPoVnuutxY18N1/WG+57VZ2cvj7VFUKYABlo5CFsxBAu
Q64VIdyFf4MPw8fhFzhfwH+Dq3oDDrFvgL8phPnuEHax69zfLIzn3BfRvmH4
JXyv4b3EPgNWsTfBndzv9e0e/D58El6B71Pb2dw5lOsHvEPht7n7Ch/izWjh
HMp1DCx0+5t32GOZY/2Krv8l+AOm8Tc5B/DX8LeJ+T34zSNy3cL/BXsQ/wj+
Hs6n8E9gFPse/i3sGnYd/xT8c3SP6nUGvg0fgU8UjqFYb7nrw3fAeRzkYAd0
ouOrx6PomlTbG+xTuTXbpr4HyfFPw3fhC8n9K+YOfD45l/qXdkvwscJ678EX
k+d7Dt6GP06er/jH6J7Um3K28M8l1zJOLe9L/S5mnplmdyVz/P7MPmn4MLke
9aoZaVaqdyV6xxplP9qFZjkL5VOv0lzabzGPE9EznSXeSe5eRWssrSvgQ/SO
alefJWvZIf/PLnPtijTtKWtUrdoJaaOZaXZr8GrundPuKYdySSP9C9pRaaeZ
t8p5Kd557o6Iv5w8X81Au6ge1ev/mcPXo99KY/1L0lhaK6dya0dmSn5IvCfJ
tWmH96P/Ke32P6NncNk=
           "]], 
          Polygon3DBox[{{1060, 437, 483, 487, 1065}, {1650, 913, 729, 216, 
           1564}, {1648, 911, 727, 214, 1562}, {1573, 1078, 1002, 223, 
           1570}, {1651, 914, 730, 217, 1565}, {1649, 912, 728, 215, 1563}, {
           1654, 919, 736, 222, 1569}, {1652, 917, 734, 220, 1567}, {1646, 
           909, 725, 212, 1560}, {1673, 482, 437, 1055, 1890}, {732, 731, 
           1055, 437, 915}, {1653, 918, 735, 221, 1568}, {1560, 212, 908, 946,
            1659}, {1647, 910, 726, 213, 1561}}], 
          Polygon3DBox[{{1567, 220, 916, 1059, 486, 1574}}]}],
        Lighting->{{"Ambient", 
           GrayLevel[0.8]}}]}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0jlLXUEYBuC56nW5GjdwIYhGEBVJ7g9wiVvUQFIJNklnqliYYKVYSCol
hVhp49aYX6CgWCqIrYhdCknnEtfE7OYZsXjv887HucyZ4dQOvusfToQQFqVS
ib3czwWfZ4VQzAHW8A3THGEbP/AlZ/iaS1yWIX2TY9zlFA84xy/8xEuuMZEM
YZtH9jyWJvMTnspXabY+47m06Be8lFb9itfSpn/jd3mq3/CHtOs/2cGG7BB+
6b/lj/yVTvN/vI2HzvAu0mWWwUbPZzJLus2SzJZneg5zpUfP40fP9uopPV8K
5IEUSp95EYulRErlczyXlDj7nq0rYpdC6y3rW/9Z5TlXeMhZ7nOSOxzlBtfl
rb7AV5zmC06wle/5hIOs5rg9rpi2XxGbmJJ0fF/rx/Hd4zyeg43xTKxninXM
Yy0fxXvQq5nDqnhHfMhk/J7i/cXviZkss5hP3F11WDI4u//m/gNf9UJR
        "]], 
       Line3DBox[CompressedData["
1:eJwl0MdNxEAAhtFZBAjOVMABLrDk2AYdQAFQBzdKIue868w6LLkLnsXh0/s9
smVppvcOdvY7IYRd9UfEiBFjxkyYMGXKjBlz5iz4psIetJslB6xYsmbFhjWH
bDjp51PtN0xUKNb6aAj3bFSpVqkN5zPjIdzZa3bEW63afd5oxe7xWrPe/eKy
sx9+6ldX2nL2zXd9aKhD7286v7SX+MoLLdovPNeC/cwzde0nnmrefuSJ5uwH
HivTtueUuY7GQphoz9RzB932Djr/9/8HM5REFg==
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{1096, 1386, 1402, 1451, 739, 1450, 1449, 1534, 1887, 1298, 
        1097, 1675, 1299, 1098, 1676, 1300, 1099, 1677, 1301, 1100, 1678, 
        1302, 1101, 1679, 1303, 1102, 1680, 1577, 1767, 1103, 1681, 1304, 
        1104, 1682, 1305, 1105, 1683, 1306, 1106, 1684, 1307, 1107, 1685, 
        1308, 1108, 1655, 1686, 1309, 1403}], 
       Line3DBox[{1109, 1387, 1404, 320, 1865, 1453, 1452, 1535, 754, 1110, 
        1687, 1310, 1111, 1688, 1311, 1112, 1689, 1312, 1113, 1690, 1313, 
        1114, 1691, 1314, 1115, 1692, 1578, 1768, 1116, 1579, 1769, 1117, 
        1693, 1315, 1118, 1694, 1316, 1119, 1695, 1317, 1120, 1696, 1318, 
        1121, 1697, 1319, 1122}], 
       Line3DBox[{1123, 1388, 1405, 1456, 1851, 1661, 1455, 1454, 1536, 1580, 
        1866, 1124, 1581, 1770, 1125, 1698, 1320, 1126, 1699, 1321, 1127, 
        1700, 1322, 1128, 1701, 1323, 1129, 1702, 1582, 1771, 1130, 1583, 
        1772, 1131, 1584, 1773, 1132, 1703, 1324, 1133, 1704, 1325, 1134, 
        1705, 1326, 1135, 1706, 1327, 1136}], 
       Line3DBox[{1138, 1389, 1406, 1390, 1875, 1664, 1137, 1538, 1457, 1537, 
        1458, 1867, 1139, 1585, 1774, 1140, 1586, 1775, 1141, 1707, 1328, 
        1142, 1708, 1329, 1143, 1709, 1330, 1144, 1710, 1587, 1776, 1145, 
        1588, 1777, 1146, 1589, 1778, 1147, 1590, 1779, 1148, 1711, 1331, 
        1149, 1712, 1332, 1150, 1713, 1333, 1151}], 
       Line3DBox[{1153, 1459, 1461, 1460, 1516, 1876, 1152, 1485, 1391, 1484, 
        1392, 1852, 1154, 1548, 1780, 1668, 1155, 1591, 1781, 1156, 1592, 
        1782, 1157, 1714, 1334, 1158, 1715, 1335, 1159, 1716, 1593, 1783, 
        1160, 1594, 1784, 1161, 1595, 1785, 1162, 1596, 1786, 1163, 1597, 
        1787, 1164, 1717, 1336, 1165, 1718, 1337, 1166}], 
       Line3DBox[{1168, 1486, 1487, 1877, 1167, 1488, 1489, 1407, 1533, 1886, 
        1532, 1169, 1550, 1551, 1549, 1788, 1665, 1170, 1598, 1789, 1171, 
        1599, 1790, 1172, 1600, 1791, 1173, 1719, 1338, 1174, 1720, 1601, 
        1792, 1175, 1602, 1793, 1176, 1603, 1794, 1177, 1604, 1795, 1178, 
        1605, 1796, 1179, 1606, 1797, 1180, 1721, 1339, 1181}], 
       Line3DBox[{1184, 1527, 1722, 1340, 1528, 1393, 1409, 1464, 1854, 1341, 
        1463, 1462, 1542, 1888, 1342, 1187, 1723, 1343, 1189, 1724, 1344, 
        1191, 1725, 1345, 1193, 1726, 1346, 1195, 1728, 1729, 1347, 1197, 
        1730, 1348, 1199, 1731, 1349, 1201, 1732, 1350, 1203, 1733, 1351, 
        1205, 1734, 1352, 1207, 1735, 1353, 1209}], 
       Line3DBox[{1208, 1810, 1617, 1206, 1809, 1616, 1204, 1808, 1615, 1202, 
        1807, 1614, 1200, 1806, 1613, 1198, 1805, 1612, 1196, 1804, 1611, 
        1727, 1194, 1803, 1610, 1192, 1802, 1609, 1190, 1801, 1608, 1188, 
        1800, 1607, 1186, 1662, 1799, 1539, 1541, 1540, 1185, 1490, 1878, 
        1491, 1408, 1530, 1529, 1182, 1666, 1798, 1526, 1183}], 
       Line3DBox[{1211, 1618, 1811, 1210, 1394, 1468, 1517, 1869, 1354, 1467, 
        1465, 1492, 1879, 1355, 1212, 1545, 1546, 1356, 1213, 1736, 1357, 
        1214, 1737, 1358, 1215, 1738, 1359, 1216, 1739, 1619, 1812, 1217, 
        1740, 1360, 1218, 1741, 1361, 1219, 1742, 1362, 1220, 1743, 1363, 
        1221, 1744, 1364, 1222, 1745, 1365, 1223}], 
       Line3DBox[{1225, 1620, 1813, 1224, 1466, 1621, 1868, 1493, 1395, 1472, 
        1885, 1518, 1519, 1471, 1469, 1494, 1366, 1226, 1667, 1746, 1547, 
        1367, 1227, 1747, 1368, 1228, 1748, 1369, 1229, 1749, 1622, 1814, 
        1230, 1623, 1815, 1231, 1750, 1370, 1232, 1751, 1371, 1233, 1752, 
        1372, 1234, 1753, 1373, 1235, 1754, 1374, 1236}], 
       Line3DBox[{1238, 1624, 1816, 1237, 1625, 1817, 1239, 1470, 1626, 1870, 
        1495, 1396, 1477, 1520, 1521, 1476, 1871, 1473, 1496, 1375, 1240, 
        1755, 1376, 1241, 1756, 1377, 1242, 1757, 1627, 1818, 1243, 1628, 
        1819, 1244, 1629, 1820, 1245, 1758, 1378, 1246, 1759, 1379, 1247, 
        1760, 1380, 1248, 1761, 1381, 1249}], 
       Line3DBox[{1251, 1630, 1821, 1250, 1631, 1822, 1252, 1632, 1823, 1253, 
        1474, 1478, 1475, 1522, 1254, 1498, 1853, 1397, 1497, 1398, 1255, 
        1855, 1410, 1411, 1256, 1880, 1499, 1500, 1257, 1762, 1633, 1824, 
        1258, 1634, 1825, 1259, 1635, 1826, 1260, 1636, 1827, 1261, 1763, 
        1382, 1262, 1764, 1383, 1263, 1765, 1384, 1264}], 
       Line3DBox[{1266, 1637, 1828, 1265, 1638, 1829, 1267, 1639, 1830, 1268, 
        1640, 1831, 1269, 1663, 1872, 1480, 1479, 1523, 1270, 1510, 1856, 
        1412, 1531, 1413, 1443, 1271, 1881, 1502, 1399, 1501, 1400, 1272, 
        1857, 1414, 1415, 1861, 1273, 1416, 1417, 1863, 1274, 1418, 1832, 
        1656, 1275, 1419, 1833, 1657, 1276, 1658, 1834, 1420, 1277, 1882, 
        1503, 1504, 1278, 1766, 1385, 1279}], Line3DBox[CompressedData["
1:eJwNzDlOQmEYhtH/isxiCK7AGgHZgiHGxgJaabRzQGoSW0tJnApBnILiVnQX
gETUVntPcfI+9/uTu7rXbhxHIYRtongI+4kQikkf+kCv6QV9qEs6po90WS/q
lq7ouD7VuzpvVyiQcK+7vdl3/vglSdP9084555kXhmx6S9kvfvjmghGvbHk/
8f+0/mDGJevuPXtDhj63XFH1dmcHZLnngZr7tX3ikSUmTNnxNrYdcmz4PrNd
lvkHya8lbw==
        "]], 
       Line3DBox[{1297, 1431, 1432, 1430, 1859, 1671, 1296, 1543, 1544, 1483, 
        1874, 1672, 1674}], 
       Line3DBox[{1575, 1571, 1553, 1556, 1891, 1670, 1295, 1558, 1559, 1557, 
        1893, 1572, 1576}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{534, 741, 1675, 535, 755, 1687, 562, 1770, 770, 577, 1774, 
        785, 592, 1780, 1051, 800, 607, 1788, 1033, 814, 622, 1799, 987, 828, 
        1888, 637, 989, 842, 1879, 652, 1039, 921, 992, 1040, 1885, 1041, 666,
         1042, 991, 1016, 1870, 868, 679, 1823, 881, 692, 1830, 892, 704, 
        1837, 901, 714, 1083}], 
       Line3DBox[{536, 742, 1676, 537, 756, 1688, 563, 771, 1698, 578, 1775, 
        786, 593, 1781, 801, 608, 1789, 815, 623, 1800, 829, 1723, 638, 426, 
        1546, 427, 335, 1494, 366, 235, 1477, 342, 1478, 340, 693, 1831, 893, 
        705, 1838, 902, 715, 1084}], 
       Line3DBox[{538, 743, 1677, 539, 757, 1689, 564, 772, 1699, 579, 787, 
        1707, 594, 1782, 802, 609, 1790, 816, 624, 1801, 830, 1724, 639, 843, 
        1736, 653, 1047, 1048, 1746, 1049, 1050, 993, 995, 1871, 994, 1017, 
        1019, 922, 1853, 1018, 923, 998, 1872, 996, 997, 706, 1839, 903, 716, 
        1085}], Line3DBox[{540, 744, 1678, 541, 758, 1690, 565, 773, 1700, 
        580, 788, 1708, 595, 803, 1714, 610, 1791, 817, 625, 1802, 831, 1725, 
        640, 844, 1737, 654, 856, 1747, 667, 869, 1755, 680, 930, 1855, 951, 
        299, 947, 380, 1856, 1029, 931, 1054, 1889, 1052, 1053, 717, 1086}], 
       Line3DBox[{542, 745, 1679, 543, 759, 1691, 566, 774, 1701, 581, 789, 
        1709, 596, 804, 1715, 611, 818, 1719, 626, 1803, 832, 1726, 641, 845, 
        1738, 655, 857, 1748, 668, 870, 1756, 681, 1020, 1880, 1035, 1021, 
        1022, 1023, 1881, 1024, 954, 924, 1001, 999, 1873, 1058, 1000, 718, 
        1087}], Line3DBox[{544, 746, 1680, 546, 760, 1692, 567, 775, 1702, 
        582, 790, 1710, 597, 805, 1716, 612, 819, 1720, 627, 833, 1727, 1728, 
        642, 846, 1739, 656, 858, 1749, 669, 871, 1757, 682, 882, 1762, 694, 
        932, 1857, 952, 966, 965, 948, 1031, 1884, 1032, 1030, 934, 1056, 
        1064, 1088}], 
       Line3DBox[{548, 748, 1681, 549, 1769, 762, 569, 1772, 777, 584, 1777, 
        792, 599, 1784, 807, 614, 1793, 821, 629, 1805, 835, 1730, 644, 848, 
        1740, 658, 1815, 860, 671, 1819, 873, 684, 1825, 884, 696, 935, 1863, 
        972, 973, 895, 708, 1864, 974, 975, 956, 905, 720, 1893, 1090}], 
       Line3DBox[{550, 749, 1682, 551, 763, 1693, 570, 1773, 778, 585, 1778, 
        793, 600, 1785, 808, 615, 1794, 822, 630, 1806, 836, 1731, 645, 849, 
        1741, 659, 861, 1750, 672, 1820, 874, 685, 1826, 885, 697, 1832, 936, 
        896, 709, 958, 1840, 937, 957, 906, 721, 1091}], 
       Line3DBox[{552, 750, 1683, 553, 764, 1694, 571, 779, 1703, 586, 1779, 
        794, 601, 1786, 809, 616, 1795, 823, 631, 1807, 837, 1732, 646, 850, 
        1742, 660, 862, 1751, 673, 875, 1758, 686, 1827, 886, 698, 1833, 938, 
        897, 710, 961, 1841, 939, 959, 907, 722, 1092}], 
       Line3DBox[{554, 751, 1684, 555, 765, 1695, 572, 780, 1704, 587, 795, 
        1711, 602, 1787, 810, 617, 1796, 824, 632, 1808, 838, 1733, 647, 851, 
        1743, 661, 863, 1752, 674, 876, 1759, 687, 887, 1763, 699, 1834, 940, 
        941, 949, 962, 1860, 942, 960, 943, 723, 1093}], 
       Line3DBox[{556, 752, 1685, 557, 766, 1696, 573, 781, 1705, 588, 796, 
        1712, 603, 811, 1717, 618, 1797, 825, 633, 1809, 839, 1734, 648, 852, 
        1744, 662, 864, 1753, 675, 877, 1760, 688, 888, 1764, 700, 1025, 1882,
         1026, 1027, 1028, 1883, 925, 955, 926, 1003, 1874, 1063, 1094}], 
       Line3DBox[{558, 928, 929, 1686, 559, 767, 1697, 574, 782, 1706, 589, 
        797, 1713, 604, 812, 1718, 619, 826, 1721, 634, 1810, 840, 1735, 649, 
        853, 1745, 663, 865, 1754, 676, 878, 1761, 689, 889, 1765, 701, 898, 
        1766, 711, 944, 1858, 953, 964, 963, 950, 1859, 1062, 1095}], 
       Line3DBox[{927, 1004, 1005, 977, 978, 739, 532, 1006, 1007, 980, 981, 
        1865, 753, 560, 1008, 1009, 983, 1851, 984, 768, 575, 1010, 1011, 
        1875, 986, 1036, 783, 590, 1037, 1876, 1038, 1012, 798, 605, 1013, 
        1877, 1014, 813, 620, 1798, 1043, 1044, 827, 1722, 635, 1811, 841, 
        650, 1813, 854, 664, 1816, 866, 677, 1821, 879, 690, 1828, 890, 702, 
        1835, 899, 712, 1066}], 
       Line3DBox[{1045, 976, 740, 1887, 533, 979, 754, 561, 982, 1866, 769, 
        576, 985, 1867, 784, 591, 920, 1852, 799, 606, 1886, 411, 1034, 388, 
        621, 1878, 361, 988, 330, 1854, 636, 362, 990, 393, 1869, 651, 394, 
        1015, 1868, 855, 665, 1817, 867, 678, 1822, 880, 691, 1829, 891, 703, 
        1836, 900, 713, 1082}], 
       Line3DBox[{1089, 1061, 1891, 719, 904, 1057, 969, 971, 1862, 970, 707, 
        894, 968, 967, 1861, 933, 695, 883, 1824, 683, 872, 1818, 670, 859, 
        1814, 657, 847, 1812, 643, 1729, 834, 1804, 628, 820, 1792, 613, 806, 
        1783, 598, 791, 1776, 583, 776, 1771, 568, 761, 1768, 547, 747, 1767, 
        545}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJzsvHdQlc/Sx4mikkyAIpJFCYKBnITTZJCcc845JwGRKEExoIiCBAUREBEV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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "s"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->Medium,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 1}, {-11.999965262504901`, 
    9890.396459499221}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.111193890329004, -3.044849614096215, 0.971668135545053},
  ViewVertical->{-0.09844399653752953, 0.2697523514808344, 
   0.9578843606700547}]], "Output",
 CellChangeTimes->{3.8502777206302137`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"0dfe4a88-f769-4c45-bcb5-b74515dc61df"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJzVvWdQVs3S94uIKGJAREREMSAoYkIxy7VEJChiREUBQUDJGSRLBiUHSZIz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     "], {{
       {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
         GrayLevel[1], 3], 
        StyleBox[GraphicsGroup3DBox[
          TagBox[{Polygon3DBox[CompressedData["
1:eJwtmgf8V9Mbx+849/6SCmmgCKUoJWRWyqq0lNESTQ0kI2RVkoyIzMgIiYio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             "]], Polygon3DBox[CompressedData["
1:eJwtm3f8V9Mfx+845/MtWaVkhZZk7xlpiEJ7GKWUJCslK6Fh701llFKUsqMo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             "]], Polygon3DBox[CompressedData["
1:eJwt1wm4lmMaAOC/8//nbxFFK4kSISW0aEOptJyWc1pUp30vaRutaEo7c1lm
0IJoUtkVomyFNmIwi7kYY5lksjRl7CYz5n56z3X19H3P/T3vt533e9/3rz9q
ap8pBZlM5g+iUNT23yFwpqgkL85lMhXymcxD5TKZyuw48bqaBuKo/bPFKeqG
qavHvpPXETXYIFaffS+vK2qyUnY6+1Z+sqjOBrJT2GH5OaIy68NGsUnZTOb3
7Hb2ITuZ/UveMO6FlbAG7u+cuL54xn2eKG8tztK2v7orxQ/yMdpOZvfL79T2
Y/Vj2RS2nq1g/2A11e5wnl/E/0QVNVXFCWqOL0jvoryaGqJcvLyCVF9L/r66
n53vIXavQ3+XP+CcG0U3xy9z7EXb0fxq++vU3aHuI8frsCPyRnEd1pedq/ZL
eQNxhrhNfqq6r+w3Fieo66duIVvnfA+yNWyRfIQYy+5mt7D31I1k49g97Fb2
N3Ya+0ZeS1RjA9gy12lo2yWXnjueP64T11sbfxMxW80EPtf+E2o2OPaVmt+J
YfbP5xXt36DuTXU92FB13/G35I34T/JW4mJxj7wdb+t4de1Weqc/yhfZ761t
PV7H/mJ1y/njbJt2D/Ab5S34yfYHsiscu1ZtZ9aKzWHj2F2sSG139oGYzF5g
LdWdIh+krgu7jjVhBawDu4CNYVdE32Jz2Xh2NzuP/UfeOr4HNoQtib+TbV3x
WnxbrtlRXK5t5fKZzKP8MXGBukqsW7wDdZPYfHaAfSqeZd+xpqyivKu6luwq
tk/Ms1/LtrZYpOZCcaK6YnWXOXYNv4idxEpYezaDnc8qsC7xrsRG+X7397Lj
Wcdz4hN5M14rm76h+JYelzcXtdkAeWf1c9WepPaA/G3uX6Yb66Tu4ugnfCxb
zTqylmwWG8NWsUtYIzaRDWC/YbPjO7f/XJxM/qH8DPGDmtOjr+LBvJ2256qZ
EN85u4ldypqyqQWpH0Z/vE/bl+w/zV8Ra+WbRNNM5tgNvyvmaTeezbG/Wdv1
Dh3RdhybzTax+9nhXBoTYmzoYP8ssVTbDbbrRVf7l6p/wfZy0cL+TG1Ha7vS
8bYxXrHx8U7Zjbk0XjVkY+O9iC3yn3Ppnm/gD0efY0fZDrYgvvXo16xD/E3s
z9DuGrFNfr+6dfH92r/Esedt24iz7Y9T0885ljt+LXuUPZZN14prto9+JJ+u
bgS7g13M6rMRBelbjG+yFTuDjWTFbDG7jF3AprHh7HbWOMZJ1p6t884y0ae8
v8/lp4kKqFd8C6yauo6sGZvFJqidx16O52Lfxv0VpvdbsXwaV2N8HahuFNug
bqW6v7JBMc6yjWwVe4e9q+109/AT3x/nlV+prtT+bep+G/OU87bi57HB8u7a
3qztoZgDbL/lnZ1ji3xw9Bn5mhjvYy7UtjTmGvaAfLW229X1Zb3YQrYo5j11
rXljNkRepO4W527DLmKjWV+2gnUoTPNGJW0elD8U77kw/V0rlE99LvpeRVbf
fb3F3xTXu+YwMdX+k/GNO98n6kazmTG2sE3sSzaETWSPsvvY+2wouyr6Blsb
c1kuPe8E9gh7WHwQfdx127Pj3MvDah6JuZvPyKbxOcbpL9gINp1tYQ+yA2wA
G8Lui7mNvRlzFLuGbWXPiP359DcanE3vON71O/LhYhp7KuYAbfdre5d72c52
F6TvZHXMJ6INm8RK2ZpcWsPEWqZSjNnyPu69P+sfcwmbo25vjGExbrPjHX9c
vinmFNaJncA2y5+IeYF1ZlXYk/KnyubuL5yrnqgvDsq7qLtCXVV1W9Q8nUvz
4I9l83vM85/Ji+K7zqbvOb7rmDN6a9uT3SCf7v5eKhvHy2fT/Bnz6Jfyruq6
sBO1eUbNVtGTFbH5aqZGn4z1COvKTlK3Tf5szFXsIPtclOpL++S9Yu6WL9B2
mrY71BWzYrY4xhz2Clsb46z43rEV2v5g2ydC3VJ1M9XtcryElbAl8WxsJ7u3
bL6Peb9arGc8R9/4btQtUzdL3W7eL9YhbDmbzfaU9ZdfZVN/jH5Zz/MMUjeI
3SpfEOvbXJrLambTfBfz3lfygeoGslvk89W9oa6UDWW3x7fK3o7vgw1nd7Il
7E/xLbBh7A62mP0x1o7sM/mpwm1kerL+rjNA3Wp2Y8xphanPRN/plU/9Zpft
RbxGjC3qWqib4/iFrDrrxJqz2exs9ou8aYyfbFQuzQHNsmnuiDkkLt5c3ams
h7wt+rW6jay597yT7XNsfczxoo79ItZG3bzok6yQtWBnsQkxz7H/ys+L52Mj
WLl8GtNjbH8vxhk1b4iRrHeMuzEXxNpM1LXfk7XTdn6sm1ietWQN2URW3fle
1PZncbRsLX+1WKrudXV7Y7qOdS27lm1nT7OvtR3Pro95jG1l37BV8WxxHlZV
rIj1r7rr1O2I8UXdv9VNZIvYq2wXK6fuKraYvcZ2Z9IPpElsCdvH9sTSP35T
sGXsDfZqLFfYmfE7QH6uqMOGR79mn8b8UnBsSZPp7r8a8b3FvFFwbFrM9Ih3
wP4pr12QfpMVRb+PMdA1VrHl7LUYXxzMsebsTDaencOyrFmMJWwcO8jK227h
lb2LzwrTmBBjQ0k+jQF7bfuIbvZv0nauts/n0ho11qo98mkcfMX2pfh9VDZG
xXr25Xyak2Ju6p5Pc8H2fBorY8zsmU/j5U7bofG7xP4K11jqGn+Obz/WnWxP
QVqDrClM42eMo73zabzcnU9jZYyZxfk0vu2J+S36mv2V2i7T9i+OH47fa7Yf
8xLPe0S+QO038q+zac03PZfm5N7ZNOfH3P+6/Hy1x7NL5I3VTVXXNOZ9dilr
wqaxm9nmeG9sZ8zd8iaiMmsX3wibEv2KLWQvxpqO/RLroZh7WFvWiE2O9VX0
GdaPdWLL2EesnO0L7Cn2cWHqv9GPqxSk32cdfecNYy0a9ybqqhvJZ7K7nO9o
Nq133pOP8Xyz5M+p26zukLqWvAHryzqypez/XFXSHg==
             "]], 
            Polygon3DBox[{{1342, 828, 987, 1662, 1186, 1187}, {1414, 932, 694,
              695, 933, 1415}}]},
           Annotation[#, "Charting`Private`Tag$9654#1"]& ]],
         Lighting->{{"Ambient", 
            RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
           "Directional", 
            RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
            ImageScaled[{0, 2, 2}]}, {"Directional", 
            RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
            ImageScaled[{2, 2, 2}]}, {"Directional", 
            RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
            ImageScaled[{2, 0, 2}]}}]}, {}, 
       {GrayLevel[1], EdgeForm[None], 
        StyleBox[GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJwtkjlOA0EQRXtmrGmILRGQWKwSgQM228MxSMksYps94QRI7OsVSEEiMjlI
kGGPt/HKzil4pergq35X/fld1TUTxfJqyTfG5EAAImvMNWQ3NObRM6YC2uRP
yNWJdcSn8Aa8Ab+Cd+Bd+Bm8CW/66tGF9+DH8Bgew+dTxnzhOUUccO6R/6P+
Tu4BfIBLzgn5DvUf18Mn2Kene2rr9Dik1kdzxzmiNg7e5D7iGuiDm0D9+2jH
uC/0VC/+FdeD5EbBAN0h+Sqxij7tPK3M76kuBq/gVvRgLqVvNJ3Sb0Ur/RXp
L0/ugH6PONfwrPnqN+I85dtvYoGYdXelXd/SfxdM8v0LcYb46+ldT+Aczxae
LTwvAn036UE8IndHzuo+tkLVyA4TmcvXeROQt+q1jWbR6p7K8Lav/hk86252
eYNlq7vfRLNgdbYSfMnq/7EBL1j9J3ZC3aX0NnTzZd2OZqk9wzPEFat72gt1
bnlb2es/XZdbRQ==
            "]], Polygon3DBox[CompressedData["
1:eJwtk8lSFEEURTPJokrXRhAiatvKxhBQaRCaz3DrjnAN2iobfwGZHPgFt7rV
hQM4gLaC0AzSYBthhPoVnuutxY18N1/WG+57VZ2cvj7VFUKYABlo5CFsxBAu
Q64VIdyFf4MPw8fhFzhfwH+Dq3oDDrFvgL8phPnuEHax69zfLIzn3BfRvmH4
JXyv4b3EPgNWsTfBndzv9e0e/D58El6B71Pb2dw5lOsHvEPht7n7Ch/izWjh
HMp1DCx0+5t32GOZY/2Krv8l+AOm8Tc5B/DX8LeJ+T34zSNy3cL/BXsQ/wj+
Hs6n8E9gFPse/i3sGnYd/xT8c3SP6nUGvg0fgU8UjqFYb7nrw3fAeRzkYAd0
ouOrx6PomlTbG+xTuTXbpr4HyfFPw3fhC8n9K+YOfD45l/qXdkvwscJ678EX
k+d7Dt6GP06er/jH6J7Um3K28M8l1zJOLe9L/S5mnplmdyVz/P7MPmn4MLke
9aoZaVaqdyV6xxplP9qFZjkL5VOv0lzabzGPE9EznSXeSe5eRWssrSvgQ/SO
alefJWvZIf/PLnPtijTtKWtUrdoJaaOZaXZr8GrundPuKYdySSP9C9pRaaeZ
t8p5Kd557o6Iv5w8X81Au6ge1ev/mcPXo99KY/1L0lhaK6dya0dmSn5IvCfJ
tWmH96P/Ke32P6NncNk=
            "]], 
           Polygon3DBox[{{1060, 437, 483, 487, 1065}, {1650, 913, 729, 216, 
            1564}, {1648, 911, 727, 214, 1562}, {1573, 1078, 1002, 223, 
            1570}, {1651, 914, 730, 217, 1565}, {1649, 912, 728, 215, 1563}, {
            1654, 919, 736, 222, 1569}, {1652, 917, 734, 220, 1567}, {1646, 
            909, 725, 212, 1560}, {1673, 482, 437, 1055, 1890}, {732, 731, 
            1055, 437, 915}, {1653, 918, 735, 221, 1568}, {1560, 212, 908, 
            946, 1659}, {1647, 910, 726, 213, 1561}}], 
           Polygon3DBox[{{1567, 220, 916, 1059, 486, 1574}}]}],
         Lighting->{{"Ambient", 
            GrayLevel[0.8]}}]}, {}, {}}, {
       {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0jlLXUEYBuC56nW5GjdwIYhGEBVJ7g9wiVvUQFIJNklnqliYYKVYSCol
hVhp49aYX6CgWCqIrYhdCknnEtfE7OYZsXjv887HucyZ4dQOvusfToQQFqVS
ib3czwWfZ4VQzAHW8A3THGEbP/AlZ/iaS1yWIX2TY9zlFA84xy/8xEuuMZEM
YZtH9jyWJvMTnspXabY+47m06Be8lFb9itfSpn/jd3mq3/CHtOs/2cGG7BB+
6b/lj/yVTvN/vI2HzvAu0mWWwUbPZzJLus2SzJZneg5zpUfP40fP9uopPV8K
5IEUSp95EYulRErlczyXlDj7nq0rYpdC6y3rW/9Z5TlXeMhZ7nOSOxzlBtfl
rb7AV5zmC06wle/5hIOs5rg9rpi2XxGbmJJ0fF/rx/Hd4zyeg43xTKxninXM
Yy0fxXvQq5nDqnhHfMhk/J7i/cXviZkss5hP3F11WDI4u//m/gNf9UJR
         "]], 
        Line3DBox[CompressedData["
1:eJwl0MdNxEAAhtFZBAjOVMABLrDk2AYdQAFQBzdKIue868w6LLkLnsXh0/s9
smVppvcOdvY7IYRd9UfEiBFjxkyYMGXKjBlz5iz4psIetJslB6xYsmbFhjWH
bDjp51PtN0xUKNb6aAj3bFSpVqkN5zPjIdzZa3bEW63afd5oxe7xWrPe/eKy
sx9+6ldX2nL2zXd9aKhD7286v7SX+MoLLdovPNeC/cwzde0nnmrefuSJ5uwH
HivTtueUuY7GQphoz9RzB932Djr/9/8HM5REFg==
         "]]}, 
       {GrayLevel[0.2], 
        Line3DBox[{1096, 1386, 1402, 1451, 739, 1450, 1449, 1534, 1887, 1298, 
         1097, 1675, 1299, 1098, 1676, 1300, 1099, 1677, 1301, 1100, 1678, 
         1302, 1101, 1679, 1303, 1102, 1680, 1577, 1767, 1103, 1681, 1304, 
         1104, 1682, 1305, 1105, 1683, 1306, 1106, 1684, 1307, 1107, 1685, 
         1308, 1108, 1655, 1686, 1309, 1403}], 
        Line3DBox[{1109, 1387, 1404, 320, 1865, 1453, 1452, 1535, 754, 1110, 
         1687, 1310, 1111, 1688, 1311, 1112, 1689, 1312, 1113, 1690, 1313, 
         1114, 1691, 1314, 1115, 1692, 1578, 1768, 1116, 1579, 1769, 1117, 
         1693, 1315, 1118, 1694, 1316, 1119, 1695, 1317, 1120, 1696, 1318, 
         1121, 1697, 1319, 1122}], 
        Line3DBox[{1123, 1388, 1405, 1456, 1851, 1661, 1455, 1454, 1536, 1580,
          1866, 1124, 1581, 1770, 1125, 1698, 1320, 1126, 1699, 1321, 1127, 
         1700, 1322, 1128, 1701, 1323, 1129, 1702, 1582, 1771, 1130, 1583, 
         1772, 1131, 1584, 1773, 1132, 1703, 1324, 1133, 1704, 1325, 1134, 
         1705, 1326, 1135, 1706, 1327, 1136}], 
        Line3DBox[{1138, 1389, 1406, 1390, 1875, 1664, 1137, 1538, 1457, 1537,
          1458, 1867, 1139, 1585, 1774, 1140, 1586, 1775, 1141, 1707, 1328, 
         1142, 1708, 1329, 1143, 1709, 1330, 1144, 1710, 1587, 1776, 1145, 
         1588, 1777, 1146, 1589, 1778, 1147, 1590, 1779, 1148, 1711, 1331, 
         1149, 1712, 1332, 1150, 1713, 1333, 1151}], 
        Line3DBox[{1153, 1459, 1461, 1460, 1516, 1876, 1152, 1485, 1391, 1484,
          1392, 1852, 1154, 1548, 1780, 1668, 1155, 1591, 1781, 1156, 1592, 
         1782, 1157, 1714, 1334, 1158, 1715, 1335, 1159, 1716, 1593, 1783, 
         1160, 1594, 1784, 1161, 1595, 1785, 1162, 1596, 1786, 1163, 1597, 
         1787, 1164, 1717, 1336, 1165, 1718, 1337, 1166}], 
        Line3DBox[{1168, 1486, 1487, 1877, 1167, 1488, 1489, 1407, 1533, 1886,
          1532, 1169, 1550, 1551, 1549, 1788, 1665, 1170, 1598, 1789, 1171, 
         1599, 1790, 1172, 1600, 1791, 1173, 1719, 1338, 1174, 1720, 1601, 
         1792, 1175, 1602, 1793, 1176, 1603, 1794, 1177, 1604, 1795, 1178, 
         1605, 1796, 1179, 1606, 1797, 1180, 1721, 1339, 1181}], 
        Line3DBox[{1184, 1527, 1722, 1340, 1528, 1393, 1409, 1464, 1854, 1341,
          1463, 1462, 1542, 1888, 1342, 1187, 1723, 1343, 1189, 1724, 1344, 
         1191, 1725, 1345, 1193, 1726, 1346, 1195, 1728, 1729, 1347, 1197, 
         1730, 1348, 1199, 1731, 1349, 1201, 1732, 1350, 1203, 1733, 1351, 
         1205, 1734, 1352, 1207, 1735, 1353, 1209}], 
        Line3DBox[{1208, 1810, 1617, 1206, 1809, 1616, 1204, 1808, 1615, 1202,
          1807, 1614, 1200, 1806, 1613, 1198, 1805, 1612, 1196, 1804, 1611, 
         1727, 1194, 1803, 1610, 1192, 1802, 1609, 1190, 1801, 1608, 1188, 
         1800, 1607, 1186, 1662, 1799, 1539, 1541, 1540, 1185, 1490, 1878, 
         1491, 1408, 1530, 1529, 1182, 1666, 1798, 1526, 1183}], 
        Line3DBox[{1211, 1618, 1811, 1210, 1394, 1468, 1517, 1869, 1354, 1467,
          1465, 1492, 1879, 1355, 1212, 1545, 1546, 1356, 1213, 1736, 1357, 
         1214, 1737, 1358, 1215, 1738, 1359, 1216, 1739, 1619, 1812, 1217, 
         1740, 1360, 1218, 1741, 1361, 1219, 1742, 1362, 1220, 1743, 1363, 
         1221, 1744, 1364, 1222, 1745, 1365, 1223}], 
        Line3DBox[{1225, 1620, 1813, 1224, 1466, 1621, 1868, 1493, 1395, 1472,
          1885, 1518, 1519, 1471, 1469, 1494, 1366, 1226, 1667, 1746, 1547, 
         1367, 1227, 1747, 1368, 1228, 1748, 1369, 1229, 1749, 1622, 1814, 
         1230, 1623, 1815, 1231, 1750, 1370, 1232, 1751, 1371, 1233, 1752, 
         1372, 1234, 1753, 1373, 1235, 1754, 1374, 1236}], 
        Line3DBox[{1238, 1624, 1816, 1237, 1625, 1817, 1239, 1470, 1626, 1870,
          1495, 1396, 1477, 1520, 1521, 1476, 1871, 1473, 1496, 1375, 1240, 
         1755, 1376, 1241, 1756, 1377, 1242, 1757, 1627, 1818, 1243, 1628, 
         1819, 1244, 1629, 1820, 1245, 1758, 1378, 1246, 1759, 1379, 1247, 
         1760, 1380, 1248, 1761, 1381, 1249}], 
        Line3DBox[{1251, 1630, 1821, 1250, 1631, 1822, 1252, 1632, 1823, 1253,
          1474, 1478, 1475, 1522, 1254, 1498, 1853, 1397, 1497, 1398, 1255, 
         1855, 1410, 1411, 1256, 1880, 1499, 1500, 1257, 1762, 1633, 1824, 
         1258, 1634, 1825, 1259, 1635, 1826, 1260, 1636, 1827, 1261, 1763, 
         1382, 1262, 1764, 1383, 1263, 1765, 1384, 1264}], 
        Line3DBox[{1266, 1637, 1828, 1265, 1638, 1829, 1267, 1639, 1830, 1268,
          1640, 1831, 1269, 1663, 1872, 1480, 1479, 1523, 1270, 1510, 1856, 
         1412, 1531, 1413, 1443, 1271, 1881, 1502, 1399, 1501, 1400, 1272, 
         1857, 1414, 1415, 1861, 1273, 1416, 1417, 1863, 1274, 1418, 1832, 
         1656, 1275, 1419, 1833, 1657, 1276, 1658, 1834, 1420, 1277, 1882, 
         1503, 1504, 1278, 1766, 1385, 1279}], Line3DBox[CompressedData["
1:eJwNzDlOQmEYhtH/isxiCK7AGgHZgiHGxgJaabRzQGoSW0tJnApBnILiVnQX
gETUVntPcfI+9/uTu7rXbhxHIYRtongI+4kQikkf+kCv6QV9qEs6po90WS/q
lq7ouD7VuzpvVyiQcK+7vdl3/vglSdP9084555kXhmx6S9kvfvjmghGvbHk/
8f+0/mDGJevuPXtDhj63XFH1dmcHZLnngZr7tX3ikSUmTNnxNrYdcmz4PrNd
lvkHya8lbw==
         "]], 
        Line3DBox[{1297, 1431, 1432, 1430, 1859, 1671, 1296, 1543, 1544, 1483,
          1874, 1672, 1674}], 
        Line3DBox[{1575, 1571, 1553, 1556, 1891, 1670, 1295, 1558, 1559, 1557,
          1893, 1572, 1576}]}, 
       {GrayLevel[0.2], 
        Line3DBox[{534, 741, 1675, 535, 755, 1687, 562, 1770, 770, 577, 1774, 
         785, 592, 1780, 1051, 800, 607, 1788, 1033, 814, 622, 1799, 987, 828,
          1888, 637, 989, 842, 1879, 652, 1039, 921, 992, 1040, 1885, 1041, 
         666, 1042, 991, 1016, 1870, 868, 679, 1823, 881, 692, 1830, 892, 704,
          1837, 901, 714, 1083}], 
        Line3DBox[{536, 742, 1676, 537, 756, 1688, 563, 771, 1698, 578, 1775, 
         786, 593, 1781, 801, 608, 1789, 815, 623, 1800, 829, 1723, 638, 426, 
         1546, 427, 335, 1494, 366, 235, 1477, 342, 1478, 340, 693, 1831, 893,
          705, 1838, 902, 715, 1084}], 
        Line3DBox[{538, 743, 1677, 539, 757, 1689, 564, 772, 1699, 579, 787, 
         1707, 594, 1782, 802, 609, 1790, 816, 624, 1801, 830, 1724, 639, 843,
          1736, 653, 1047, 1048, 1746, 1049, 1050, 993, 995, 1871, 994, 1017, 
         1019, 922, 1853, 1018, 923, 998, 1872, 996, 997, 706, 1839, 903, 716,
          1085}], 
        Line3DBox[{540, 744, 1678, 541, 758, 1690, 565, 773, 1700, 580, 788, 
         1708, 595, 803, 1714, 610, 1791, 817, 625, 1802, 831, 1725, 640, 844,
          1737, 654, 856, 1747, 667, 869, 1755, 680, 930, 1855, 951, 299, 947,
          380, 1856, 1029, 931, 1054, 1889, 1052, 1053, 717, 1086}], 
        Line3DBox[{542, 745, 1679, 543, 759, 1691, 566, 774, 1701, 581, 789, 
         1709, 596, 804, 1715, 611, 818, 1719, 626, 1803, 832, 1726, 641, 845,
          1738, 655, 857, 1748, 668, 870, 1756, 681, 1020, 1880, 1035, 1021, 
         1022, 1023, 1881, 1024, 954, 924, 1001, 999, 1873, 1058, 1000, 718, 
         1087}], Line3DBox[{544, 746, 1680, 546, 760, 1692, 567, 775, 1702, 
         582, 790, 1710, 597, 805, 1716, 612, 819, 1720, 627, 833, 1727, 1728,
          642, 846, 1739, 656, 858, 1749, 669, 871, 1757, 682, 882, 1762, 694,
          932, 1857, 952, 966, 965, 948, 1031, 1884, 1032, 1030, 934, 1056, 
         1064, 1088}], 
        Line3DBox[{548, 748, 1681, 549, 1769, 762, 569, 1772, 777, 584, 1777, 
         792, 599, 1784, 807, 614, 1793, 821, 629, 1805, 835, 1730, 644, 848, 
         1740, 658, 1815, 860, 671, 1819, 873, 684, 1825, 884, 696, 935, 1863,
          972, 973, 895, 708, 1864, 974, 975, 956, 905, 720, 1893, 1090}], 
        Line3DBox[{550, 749, 1682, 551, 763, 1693, 570, 1773, 778, 585, 1778, 
         793, 600, 1785, 808, 615, 1794, 822, 630, 1806, 836, 1731, 645, 849, 
         1741, 659, 861, 1750, 672, 1820, 874, 685, 1826, 885, 697, 1832, 936,
          896, 709, 958, 1840, 937, 957, 906, 721, 1091}], 
        Line3DBox[{552, 750, 1683, 553, 764, 1694, 571, 779, 1703, 586, 1779, 
         794, 601, 1786, 809, 616, 1795, 823, 631, 1807, 837, 1732, 646, 850, 
         1742, 660, 862, 1751, 673, 875, 1758, 686, 1827, 886, 698, 1833, 938,
          897, 710, 961, 1841, 939, 959, 907, 722, 1092}], 
        Line3DBox[{554, 751, 1684, 555, 765, 1695, 572, 780, 1704, 587, 795, 
         1711, 602, 1787, 810, 617, 1796, 824, 632, 1808, 838, 1733, 647, 851,
          1743, 661, 863, 1752, 674, 876, 1759, 687, 887, 1763, 699, 1834, 
         940, 941, 949, 962, 1860, 942, 960, 943, 723, 1093}], 
        Line3DBox[{556, 752, 1685, 557, 766, 1696, 573, 781, 1705, 588, 796, 
         1712, 603, 811, 1717, 618, 1797, 825, 633, 1809, 839, 1734, 648, 852,
          1744, 662, 864, 1753, 675, 877, 1760, 688, 888, 1764, 700, 1025, 
         1882, 1026, 1027, 1028, 1883, 925, 955, 926, 1003, 1874, 1063, 
         1094}], Line3DBox[{558, 928, 929, 1686, 559, 767, 1697, 574, 782, 
         1706, 589, 797, 1713, 604, 812, 1718, 619, 826, 1721, 634, 1810, 840,
          1735, 649, 853, 1745, 663, 865, 1754, 676, 878, 1761, 689, 889, 
         1765, 701, 898, 1766, 711, 944, 1858, 953, 964, 963, 950, 1859, 1062,
          1095}], 
        Line3DBox[{927, 1004, 1005, 977, 978, 739, 532, 1006, 1007, 980, 981, 
         1865, 753, 560, 1008, 1009, 983, 1851, 984, 768, 575, 1010, 1011, 
         1875, 986, 1036, 783, 590, 1037, 1876, 1038, 1012, 798, 605, 1013, 
         1877, 1014, 813, 620, 1798, 1043, 1044, 827, 1722, 635, 1811, 841, 
         650, 1813, 854, 664, 1816, 866, 677, 1821, 879, 690, 1828, 890, 702, 
         1835, 899, 712, 1066}], 
        Line3DBox[{1045, 976, 740, 1887, 533, 979, 754, 561, 982, 1866, 769, 
         576, 985, 1867, 784, 591, 920, 1852, 799, 606, 1886, 411, 1034, 388, 
         621, 1878, 361, 988, 330, 1854, 636, 362, 990, 393, 1869, 651, 394, 
         1015, 1868, 855, 665, 1817, 867, 678, 1822, 880, 691, 1829, 891, 703,
          1836, 900, 713, 1082}], 
        Line3DBox[{1089, 1061, 1891, 719, 904, 1057, 969, 971, 1862, 970, 707,
          894, 968, 967, 1861, 933, 695, 883, 1824, 683, 872, 1818, 670, 859, 
         1814, 657, 847, 1812, 643, 1729, 834, 1804, 628, 820, 1792, 613, 806,
          1783, 598, 791, 1776, 583, 776, 1771, 568, 761, 1768, 547, 747, 
         1767, 545}]}, {}, {}}},
     VertexNormals->CompressedData["
1:eJzsvHdQlc/Sx4mikkyAIpJFCYKBnITTZJCcc845JwGRKEExoIiCBAUREBEV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      "]], {}},
   Axes->True,
   AxesLabel->{None, None, None},
   AxesOrigin->{Automatic, Automatic, Automatic},
   BoxRatios->{1, 1, 0.4},
   DisplayFunction->Identity,
   FaceGrids->None,
   FaceGridsStyle->Automatic,
   ImageSize->{417.11953058224566`, 204.},
   Method->{"DefaultBoundaryStyle" -> Directive[
       GrayLevel[0.3]], 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
     "Globe"},
   PlotRange->{{0, 2231.6228}, {0, 1}, {-11.999965262504901`, 
     9890.396459499221}},
   PlotRangePadding->{
     Scaled[0.02], 
     Scaled[0.02], 
     Scaled[0.02]},
   Ticks->{Automatic, Automatic, Automatic},
   ViewPoint->{-2.822121433279374, -1.7173787539775967`, 0.7322846654215849},
   ViewVertical->{0.1848696889551523, 0.11250092654485341`, 
    0.9763025861033939}],
  FontFamily->"Baskerville",
  FontSize->10,
  FontWeight->"Regular"]], "Input",
 CellChangeTimes->{
  3.85027656137048*^9, {3.850276641867672*^9, 3.850276646044438*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"d1187104-fafa-4fe4-bb95-198d84025207"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%19", ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1.3`", ",", 
      RowBox[{"-", "2.4`"}], ",", "2.`"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "s"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8502774006632357`*^9, 3.850277400969368*^9}},
 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"47144c4f-6c62-48f1-8b80-a5d23e13d1b0"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%19", ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"",ExpressionUUID->"8547cfc1-176b-48f2-b7aa-8d7d5b512e6e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"PlotTheme", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.855469060796123*^9, 3.8554690627831993`*^9}},
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"64e87d7d-37c8-4c3b-8cd9-6d95cf211938"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vXc4l9H7wG8l7WEVoWQ0pKGh5f1IWaFkpUUZGcnIiIQ0CMkusrfMbGVV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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJw1mgf8jtUbxt/nPc95Syo0FKGkMopsUdkZDZtCmaFhNEiSmVkkWlRIRVOo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            "]], Polygon3DBox[CompressedData["
1:eJwtmnfgT9Ufxu8959xvhEpGSLL3SGhpl5IUmiqi0J6otKXSRkv90qA9VGgQ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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt1wf8jdUbAPD7u7977VUZISXSoKloUJqUBg0jlWSTlS2rYW8yUkQaKrto
/duFyGyolKJBKhkther7/N/7+Xi85/me57x3nfec8zuxdfebuqVTqdRWkRVf
ZlKpp10LwUb5qdQ2+Vuub4rjFTzDp7iO4F9r/5uXSj2m/m/9h1gn9jCbIXqr
a81L6D/WtbxoxN5xfVucoP2s+odcBxu7QfsX48ar361/AjvMKonX4h7yoWKT
fJ+6iewndYdZZzaT1Wb92UF2GxvDTmGdWav4bGyP13td/oZonUk+095s8p7i
vZ2k/T/2o7GjjF2n5g4xL0zfS2peFoW0R7GX1N2ibjorwsawV1hT9jArbexq
7YP8AnkTNc3YrPhc6lroW8Cr83XsEJvJdrKlYokoq2+OvlGuZxp7lfaJ3L9U
M//9w3qyx42tx+5nNdR+yPLiBxbL5P+q66U9T92l+AF1d7H58d1nk985fu+W
7An2E3tF/qo4wu5mjxh7vrED2J+sBRsd35XonE1edzPbLz8g/pS3ySS/9T7t
d417TyxnK9ynHK8oXyE/Q//H8nwxV98eXpCNlL/oXivEA/LTxUcsLeao+1nd
eOP/kJcVy1kpeUbd/fKlxt3AJqkbw/ew4mJhzHX5wphrMY/VlVEzW/6g+EzN
QTZd3wE+lv3CSohFrLD8TvGU/OeYN2peE8PZV+wfY2er+4udov899iubxL5i
w9RtY0fYrJgjrD1bxGprd2FrY16ys7Tv4qfJb3Kv+9gn8t+NfUjfXl6VL2ff
sm/Eo/IJYryomE3e50TX5sbO1q5lzBnq1mSSOR1zu0I2+e3HuT7AP9X+U800
r7Ff//1sC/uDTWX72CJ2JL6P+P7lczLJ9xDfx3HZ5Lmb5JovBmo/Z2wD9aNz
z2E8j5WyyTyc7DrO+N+1y4gX1JWUz1Fzh/ZEdrb2zepWua4UJ2ov4NNcC4gH
tZ/3Go3VT8nNt5h3lfU9p2+q66lirfZfsV6p2+I1Ps8k7bDr1W+VZ+N7iOeH
NdI3mY/iO1kB8SRLxdwT18l7q+slWhqXFveyZ+X1lY0ydmLMS9dq/F12gjxP
3QD5M+quYiP1nxzPSjp5huJZmp9NFun+bL78aTEong3jv2dZ8YSSf40dzXbJ
C4qnWJ78arVF4/dmZ4pyBVKpy2P+ag9xr0rquutvkUnWml3ql8mfF+dqf8eO
iWdJ3ZH85PNeK7/H2J5ilZqa4lt2tFii7nBuTr4g/0jNx+JX+TniG3aUWKzu
kLpa7OdYC2L9ZAXcv16sWfKzxDpWnp3HfpJXEC/HV8LOFQ3l3d2/ELvd/Uqp
m5ZO1oxYO7bLL4/fRF9NvlHdccZdGt8rO5ut16zA6oqm8i6xHrAO0a9uBysl
SsZ7lP+lrnXMWXXNxU55bb6PnSCOF2/K60RtPLvpZC+IPeFi0UzezbiyrKPX
2MwOai9mV8o3yW8Sw2KesSv0TY25z4bHbxt1bBrbyK5wPVPsDJPXEU3UdVZX
mrWPz86uYV1ZQXYbu8j7+41VFW+x4mouZL/Kq8RnYMXiPbND8hpiDSvLLmH/
5OZUzK135XXF39rVxfvqyqg7n+2XVxavsyLsAnYg9jLxBiuaSc4RHdPJfhL7
ytqYLzF/2d1y0zbVIn4P1oB1ykvOLrey89j1rA8rwlqya3QWd72Ef8FOiXnL
SrJL2TZ2GqvGXos9z9hD7LlMsveMSCfPWjxzW+SXiTxjz+Eb1FVUtzjWQDFD
+4fY92MtUFeKXabuK1Y99pncetvAtb5opqahKKFdT92X6k7NzaG9uXkW8y3f
h67MSxtbOc5O4sZs8t0fyc2zmG/F1DWN9xifLT/ZM4a6/m1sG/1TjD+b9WSn
qfsgnex5sfctULM79nP5XHGGmtW5daOY9sVq64qVuXWoXzo558V5b2Nuf3mS
vSdfmZfsh+cb35gNlBeP/ct9LmA3ssF5ydkwzogXsVtYR3YMa8dqs0ZsACvG
WsUawW5g/VhRdidr4HWKuNbhn7NqsVeK+vIOef9fmlPNc+vpO+lkX4z98Td5
fVE4Xp9/pu6kOFuxQuxC9imrGs9V7F2xDrJNrBK7khWMz8O2sCox99hR7HL2
NasR75cdza5g29npmaQ2xhSI/VY0ziZnqVvTyd4Re8hqVkUsjHkrryl2xGdj
X7Kisa+4xx/GN+RxkJ+g5nQ2mHWIeRlzlHVlH+TWxOnp5PeJ32lEnCfFF6xI
7D/qflfX19i35TvU3Me2sX5sJfuePci2x7PFurLxrAYbxO5l77Mf4v7sW9af
rWI72TC2g/Vhb8V3wobG3x7sWtadTYz5x4awq1kXNo5VZwPZELaR7WUT2I/s
NjY3Xjf2mzhfiqO0Z7BV6tqoe4oVZqNj72BN2AxWhj3K1rIO7Nncvhf7X7ls
ct/R2eSece9jtR9nY1xvzyTt3dor9L2Yi2iXzyZ/N4x1LS0eiXXTa7T3Gs/o
H2TseraHjWM/sGPUzYx1k7Vj81lRNpa9ypqxmexo9nDsJ6wte5qVZA+xd1gr
No+VYFPY2+xO9jgrzibHWh/nFDaXFWOTYq3PS85Zcd5qm0nOS/uzyTkrzls3
siHsMXV11Y1n17M+bBo7jw1nA9ma+F7YSPZdrMGsOevByrFOrF0mObsd8Bqr
5e+LK1lbNkxdVXW92T3sVbaV9Y/zGruKtWPD2UmsD+vBXom1gPVjn7Cu7MV4
TuPZYh+ybuyleMZZH/YRa8LGs0XsWjaLNWKD2Cx2ERsbzysbzGazOmxc7nyw
ncXfWvE312F5U3VTtZeru1nXk+puYePYQtaQPcq6x/k71iDWl33MrmO92VR2
LhvGbmB92XRWi42IfYS1ZyNYNdaX9WSvx94WZ0T2OevF3oi9iA1mW1lv9mas
VWwI+4LtyiRnmTjTVJevlA8Qq9XtYsPVfRPrLuvARrKTWb/Yw9jtrD+rwLqw
zmwZ28x6sA2sE1saaynrztbH+shasfvY8awH68JWsE/iTM02x37KWrJB7DjW
jd3NnmcfsnvYxtj/2B3sXlaRdc1PzopxZvyRN5E39xt1ZEvkG9V107eO/wcG
XC09
            "]], Polygon3DBox[{{1113, 670, 819, 1364, 943, 944}}]},
          Annotation[#, "Charting`Private`Tag$6320#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwt0rkuhUEYBuA5x76LwtIQF0Bn3ympRBR0FIJYE+FELIWERnQ0opDQCFFw
BSRo7fuS0Iu4AM9JFO8879fM/DP5S/vGOkcjIYQlSVfiPc3yw+6EEHLZzxJO
sJyLbOAaO7jFXu7zQIb0C8Z4xxV+cYO/3GVCYgjHzOMpDxlxbpFcmQuYJBXR
EK7NUb1Sv9GT9Sr9Vq/mHWt4z1o+sI6PrGeDPOmNfGYTX9jMV7bwja18Zxs/
WOabLlnCE+byiBHu8Mdd1vnJZd5yhuc8k0F9jz3cZDtXWc95lnGcxdy25y8L
3S2H+UyUBck2zzGLs8xkjBmcZjqnmMZJTkiqPsYUjjCZw/E35WB8bw7Q8aHL
0qlH4++uf///C39WKzl2
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{854, 1202, 1203, 1185, 1214, 580, 1213, 1212, 1252, 1590, 
        1070, 855, 1369, 1071, 856, 1370, 1072, 857, 1371, 1073, 858, 1372, 
        1074, 859, 1373, 1075, 860, 1374, 1270, 1478, 861, 1375, 1076, 862, 
        1376, 1077, 863, 1377, 1078, 864, 1378, 1079, 865, 1379, 1080, 866, 
        1359, 1380, 1081, 1186}], 
       Line3DBox[{867, 1168, 1187, 287, 1575, 1216, 1215, 1253, 595, 868, 
        1381, 1082, 869, 1382, 1083, 870, 1383, 1084, 871, 1384, 1085, 872, 
        1385, 1086, 873, 1386, 1271, 1479, 874, 1272, 1480, 875, 1387, 1087, 
        876, 1388, 1088, 877, 1389, 1089, 878, 1390, 1090, 879, 1391, 1091, 
        880}], Line3DBox[{881, 1169, 1188, 1219, 1566, 1362, 1218, 1217, 1254,
         1273, 1576, 882, 1274, 1481, 883, 1392, 1092, 884, 1393, 1093, 885, 
        1394, 1094, 886, 1395, 1095, 887, 1396, 1275, 1482, 888, 1276, 1483, 
        889, 1277, 1484, 890, 1397, 1096, 891, 1398, 1097, 892, 1399, 1098, 
        893, 1400, 1099, 894}], 
       Line3DBox[{896, 1170, 1189, 1171, 1582, 1366, 895, 1256, 1220, 1255, 
        1221, 1577, 897, 1278, 1485, 898, 1279, 1486, 899, 1401, 1100, 900, 
        1402, 1101, 901, 1403, 1102, 902, 1404, 1280, 1487, 903, 1281, 1488, 
        904, 1282, 1489, 905, 1283, 1490, 906, 1405, 1103, 907, 1406, 1104, 
        908, 1407, 1105, 909}], 
       Line3DBox[{911, 1172, 1190, 1173, 1231, 1579, 910, 1258, 1222, 1257, 
        1223, 1578, 912, 1284, 1491, 913, 1285, 1492, 914, 1286, 1493, 915, 
        1408, 1106, 916, 1409, 1107, 917, 1410, 1287, 1494, 918, 1288, 1495, 
        919, 1289, 1496, 920, 1290, 1497, 921, 1291, 1498, 922, 1411, 1108, 
        923, 1412, 1109, 924}], 
       Line3DBox[{926, 1174, 1191, 1233, 1232, 1580, 925, 1260, 1261, 1259, 
        1499, 1363, 927, 1292, 1500, 928, 1293, 1501, 929, 1294, 1502, 930, 
        1295, 1503, 931, 1413, 1110, 932, 1414, 1296, 1504, 933, 1297, 1505, 
        934, 1298, 1506, 935, 1299, 1507, 936, 1300, 1508, 937, 1301, 1509, 
        938, 1415, 1111, 939}], 
       Line3DBox[{942, 1176, 1193, 1226, 1571, 1112, 1225, 1224, 1265, 1591, 
        1113, 944, 1416, 1114, 946, 1417, 1115, 948, 1418, 1116, 950, 1419, 
        1117, 952, 1420, 1118, 954, 1422, 1423, 1119, 956, 1424, 1120, 958, 
        1425, 1121, 960, 1426, 1122, 962, 1427, 1123, 964, 1428, 1124, 966, 
        1429, 1125, 968}], 
       Line3DBox[{967, 1522, 1313, 965, 1521, 1312, 963, 1520, 1311, 961, 
        1519, 1310, 959, 1518, 1309, 957, 1517, 1308, 955, 1516, 1307, 1421, 
        953, 1515, 1306, 951, 1514, 1305, 949, 1513, 1304, 947, 1512, 1303, 
        945, 1511, 1302, 943, 1364, 1510, 1262, 1264, 1263, 940, 1367, 1583, 
        1234, 1192, 1175, 941}], 
       Line3DBox[{969, 1177, 1230, 1249, 1314, 1588, 1229, 1227, 1235, 1584, 
        1126, 970, 1430, 1127, 971, 1431, 1128, 972, 1432, 1129, 973, 1433, 
        1130, 974, 1434, 1131, 975, 1435, 1315, 1523, 976, 1436, 1132, 977, 
        1437, 1133, 978, 1438, 1134, 979, 1439, 1135, 980, 1440, 1136, 981, 
        1441, 1137, 982}], 
       Line3DBox[{983, 1228, 1316, 1581, 1236, 1237, 1178, 1194, 1317, 1567, 
        984, 1442, 1138, 985, 1443, 1139, 986, 1444, 1140, 987, 1445, 1141, 
        988, 1446, 1142, 989, 1447, 1318, 1524, 990, 1319, 1525, 991, 1448, 
        1143, 992, 1449, 1144, 993, 1450, 1145, 994, 1451, 1146, 995, 1452, 
        1147, 996}], 
       Line3DBox[{997, 1238, 1320, 1585, 1239, 1240, 1179, 1195, 1321, 1568, 
        998, 1322, 1526, 999, 1453, 1148, 1000, 1454, 1149, 1001, 1455, 1150, 
        1002, 1456, 1151, 1003, 1457, 1323, 1527, 1004, 1324, 1528, 1005, 
        1325, 1529, 1006, 1458, 1152, 1007, 1459, 1153, 1008, 1460, 1154, 
        1009, 1461, 1155, 1010}], 
       Line3DBox[{1012, 1241, 1242, 1586, 1011, 1243, 1180, 1196, 1181, 1569, 
        1013, 1326, 1530, 1014, 1327, 1531, 1015, 1462, 1156, 1016, 1463, 
        1157, 1017, 1464, 1158, 1018, 1465, 1328, 1532, 1019, 1329, 1533, 
        1020, 1330, 1534, 1021, 1331, 1535, 1022, 1466, 1159, 1023, 1467, 
        1160, 1024, 1468, 1161, 1025}], 
       Line3DBox[{1027, 1244, 1245, 1587, 1026, 1246, 1182, 1197, 1183, 1570, 
        1028, 1266, 1536, 1368, 1029, 1332, 1537, 1030, 1333, 1538, 1031, 
        1469, 1162, 1032, 1470, 1163, 1033, 1471, 1334, 1539, 1034, 1335, 
        1540, 1035, 1336, 1541, 1036, 1337, 1542, 1037, 1338, 1543, 1038, 
        1472, 1164, 1039, 1473, 1165, 1040}], 
       Line3DBox[{1042, 1204, 1205, 1572, 1041, 1247, 1248, 1198, 1251, 1589, 
        1250, 1043, 1268, 1269, 1267, 1544, 1365, 1044, 1339, 1545, 1045, 
        1340, 1546, 1046, 1341, 1547, 1047, 1474, 1166, 1048, 1475, 1342, 
        1548, 1049, 1343, 1549, 1050, 1344, 1550, 1051, 1345, 1551, 1052, 
        1346, 1552, 1053, 1347, 1553, 1054, 1476, 1167, 1055}], 
       Line3DBox[{1069, 1565, 1358, 1068, 1564, 1357, 1067, 1563, 1356, 1066, 
        1562, 1355, 1065, 1561, 1354, 1064, 1560, 1353, 1063, 1559, 1352, 
        1477, 1062, 1558, 1351, 1061, 1557, 1350, 1060, 1556, 1349, 1059, 
        1555, 1348, 1058, 1360, 1554, 1201, 1057, 1207, 1573, 1208, 1199, 
        1184, 1056, 1361, 1574, 1211, 1206, 1210, 1209, 1200}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{359, 582, 1369, 360, 596, 1381, 387, 1481, 611, 402, 1485, 
        626, 417, 1491, 641, 432, 1500, 656, 447, 1511, 671, 1416, 462, 686, 
        1430, 477, 701, 1442, 492, 1526, 716, 507, 1530, 731, 522, 1536, 853, 
        746, 537, 1544, 824, 760, 552, 1554, 794, 774, 567}], 
       Line3DBox[{361, 583, 1370, 362, 597, 1382, 388, 612, 1392, 403, 1486, 
        627, 418, 1492, 642, 433, 1501, 657, 448, 1512, 672, 1417, 463, 687, 
        1431, 478, 702, 1443, 493, 717, 1453, 508, 1531, 732, 523, 1537, 747, 
        538, 1545, 761, 553, 1555, 775, 568}], 
       Line3DBox[{363, 584, 1371, 364, 598, 1383, 389, 613, 1393, 404, 628, 
        1401, 419, 1493, 643, 434, 1502, 658, 449, 1513, 673, 1418, 464, 688, 
        1432, 479, 703, 1444, 494, 718, 1454, 509, 733, 1462, 524, 1538, 748, 
        539, 1546, 762, 554, 1556, 776, 569}], 
       Line3DBox[{365, 585, 1372, 366, 599, 1384, 390, 614, 1394, 405, 629, 
        1402, 420, 644, 1408, 435, 1503, 659, 450, 1514, 674, 1419, 465, 689, 
        1433, 480, 704, 1445, 495, 719, 1455, 510, 734, 1463, 525, 749, 1469, 
        540, 1547, 763, 555, 1557, 777, 570}], 
       Line3DBox[{367, 586, 1373, 368, 600, 1385, 391, 615, 1395, 406, 630, 
        1403, 421, 645, 1409, 436, 660, 1413, 451, 1515, 675, 1420, 466, 690, 
        1434, 481, 705, 1446, 496, 720, 1456, 511, 735, 1464, 526, 750, 1470, 
        541, 764, 1474, 556, 1558, 778, 571}], 
       Line3DBox[{369, 587, 1374, 371, 601, 1386, 392, 616, 1396, 407, 631, 
        1404, 422, 646, 1410, 437, 661, 1414, 452, 676, 1421, 1422, 467, 691, 
        1435, 482, 706, 1447, 497, 721, 1457, 512, 736, 1465, 527, 751, 1471, 
        542, 765, 1475, 557, 779, 1477, 572}], 
       Line3DBox[{373, 589, 1375, 374, 1480, 603, 394, 1483, 618, 409, 1488, 
        633, 424, 1495, 648, 439, 1505, 663, 454, 1517, 678, 1424, 469, 693, 
        1436, 484, 1525, 708, 499, 1528, 723, 514, 1533, 738, 529, 1540, 753, 
        544, 1549, 767, 559, 1560, 781, 574}], 
       Line3DBox[{375, 590, 1376, 376, 604, 1387, 395, 1484, 619, 410, 1489, 
        634, 425, 1496, 649, 440, 1506, 664, 455, 1518, 679, 1425, 470, 694, 
        1437, 485, 709, 1448, 500, 1529, 724, 515, 1534, 739, 530, 1541, 754, 
        545, 1550, 768, 560, 1561, 782, 575}], 
       Line3DBox[{377, 591, 1377, 378, 605, 1388, 396, 620, 1397, 411, 1490, 
        635, 426, 1497, 650, 441, 1507, 665, 456, 1519, 680, 1426, 471, 695, 
        1438, 486, 710, 1449, 501, 725, 1458, 516, 1535, 740, 531, 1542, 755, 
        546, 1551, 769, 561, 1562, 783, 576}], 
       Line3DBox[{379, 592, 1378, 380, 606, 1389, 397, 621, 1398, 412, 636, 
        1405, 427, 1498, 651, 442, 1508, 666, 457, 1520, 681, 1427, 472, 696, 
        1439, 487, 711, 1450, 502, 726, 1459, 517, 741, 1466, 532, 1543, 756, 
        547, 1552, 770, 562, 1563, 784, 577}], 
       Line3DBox[{381, 593, 1379, 382, 607, 1390, 398, 622, 1399, 413, 637, 
        1406, 428, 652, 1411, 443, 1509, 667, 458, 1521, 682, 1428, 473, 697, 
        1440, 488, 712, 1451, 503, 727, 1460, 518, 742, 1467, 533, 757, 1472, 
        548, 1553, 771, 563, 1564, 785, 578}], 
       Line3DBox[{383, 792, 793, 1380, 384, 608, 1391, 399, 623, 1400, 414, 
        638, 1407, 429, 653, 1412, 444, 668, 1415, 459, 1522, 683, 1429, 474, 
        698, 1441, 489, 713, 1452, 504, 728, 1461, 519, 743, 1468, 534, 758, 
        1473, 549, 772, 1476, 564, 1565, 786, 579}], Line3DBox[CompressedData["
1:eJwV0MlJQ1EcRvEbJcEOXIhxiHEg0ZAJwSFO0TgPz5XLBNwmdiA2IDYgNiA2
IDYQbEBsQGwgZJffXRz+9zsH3uLNdXpJNxVCuEN9LIT0eAhZzGIGixnwA0zb
C/aUO2n/4dq7yl25E/YPLr0r3IU79PE+V7bP7TP8c5/cKndq3yLBL//O1/gb
ex0nOMa3luNf9bpdQwtHKPFf+rNWscs4RJFvuh/ao1byXsMBCtq++6Y9aMXo
Yuf33F28aG1tJf4TftndQQNPWqItxf9j57GNLdxrTS3nPY9NbMR/hhG5QR9q

        "]], 
       Line3DBox[{566, 272, 796, 274, 1573, 551, 309, 825, 337, 1589, 536, 
        745, 1570, 790, 521, 730, 1569, 789, 506, 715, 1568, 788, 491, 700, 
        1567, 787, 476, 1584, 685, 822, 461, 1591, 670, 819, 1510, 446, 655, 
        816, 1499, 431, 640, 1578, 813, 416, 625, 1577, 810, 401, 610, 1576, 
        807, 386, 595, 804, 358, 1590, 581, 801, 852}], 
       Line3DBox[{573, 780, 1559, 558, 766, 1548, 543, 752, 1539, 528, 737, 
        1532, 513, 722, 1527, 498, 707, 1524, 483, 692, 1523, 468, 1423, 677, 
        1516, 453, 662, 1504, 438, 647, 1494, 423, 632, 1487, 408, 617, 1482, 
        393, 602, 1479, 372, 588, 1478, 370}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0m3dYz+H3/yMjI0JIEUKoJJSGOC3tvffee++9JE2iIu1EkTSUkaNJpTLS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     "]], {}},
  Axes->True,
  AxesLabel->{None, None, None},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{361.03716463134094`, 219.08078946247298`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.5}, {-11.999966691073828`, 
    6659.499002236902}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.6049617859403507`, -2.6545989745017917`, 1.3517403412805034`},
  
  ViewVertical->{-0.20668289796609798`, 0.34185250626786845`, 
   0.9167437175387201}]], "Output",
 CellChangeTimes->{3.8480420423684196`*^9, 3.855469076777473*^9, 
  3.855469115109831*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"388305d0-80a5-4bde-971e-70ce419ab941"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "800"], "+", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"7", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"10", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"32", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"PlotTheme", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"",ExpressionUUID->"e86952be-635e-4d84-8a17-d059f210f979"],

Cell[BoxData[
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}]], "Input",
 CellChangeTimes->{3.848015140207396*^9, 3.848015417609161*^9},
 NumberMarks->False,
 CellLabel->
  "In[111]:=",ExpressionUUID->"813b8d81-97cf-412a-853b-f0494a695eca"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.848015420423398*^9, 3.848015425445126*^9}},
 CellLabel->
  "In[112]:=",ExpressionUUID->"a16b43fb-b964-429f-98d7-60d0c8fe7578"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "30"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"80", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"200", " ", "\[Alpha]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"400", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", "400"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"80", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"200", " ", "\[Alpha]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], "2"]}], 
  "-", 
  RowBox[{"80", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "200"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "80"}], "-", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"200", " ", "\[Alpha]"}]}], 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "+", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "80"}], "+", "f"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
            RowBox[{"200", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8480154279595833`*^9},
 CellLabel->
  "Out[112]=",ExpressionUUID->"c0402d0f-515d-4ade-a916-98a5af3fc566"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%112", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->
  "In[113]:=",ExpressionUUID->"465168eb-b8c9-4dcb-bb8e-e2743dced3b3"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox["f", "2"], "1600"], "-", 
  FractionBox[
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"20", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "106"}], "+", 
    RowBox[{"152", " ", "\[Alpha]"}], "-", 
    RowBox[{"121", " ", 
     SuperscriptBox["\[Alpha]", "2"]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.848015431492749*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"f84798b7-8a79-423e-94aa-591c32f54db6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "1600"], "-", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"20", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "106"}], "+", 
      RowBox[{"152", " ", "\[Alpha]"}], "-", 
      RowBox[{"121", " ", 
       SuperscriptBox["\[Alpha]", "2"]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.8"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "v"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8480154442029457`*^9, 3.848015451728009*^9}, {
  3.8502773469915743`*^9, 3.850277367050292*^9}, {3.855540729514179*^9, 
  3.855540731801754*^9}},
 NumberMarks->False,
 CellLabel->"In[63]:=",ExpressionUUID->"276a9712-9ced-451a-b37b-27a8f0f97229"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1nXk0VlHb8A2luTRRKkmUopGoDPdBZUiFypAykyFThmSeSYYMmYkiU2gi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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJxFm3f819P7xt+v9zmvk1UiI1uyygopEhVFSduKiFRIRYuUijSQkkQoSREa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            "]], 
           Polygon3DBox[CompressedData["
1:eJwtmnngV0Mbxe+9M/MlZMsSFUqlVCiULUpISkWWSqSULJHsCskSslOWUJKy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            "]], Polygon3DBox[CompressedData["
1:eJwt13n8jWUax/Hf75zfDyX7UnaGVPatiZAIWeolstNUhGFCimrGpClZZoYh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            "]]},
          Annotation[#, "Charting`Private`Tag$17204#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0rsrRmEcB/CH1+V1N8hIkpFkJimLS5LRm8KEgUViRuR+NxuYSImVgb/A
/X5LkkFZWXxOhu/5fJ8znN/znHNKugfa+pNCCGPSqES93uWbX7EQ8vnLYmak
hFDBQtawlM2sYoJ17GMrR9jBSfZxnUPc4jgPuMKT6Hmp5prZKWfWDcyUqeQQ
zq2necEZXnKWV5zjNed5wwXecpFLcqcv8z6axQeu8pFrfOKzsx2Z9awf6gv6
jrxYbzNZumTXXk/di+sb+rG+xH2OcpODXGMPJ5jgMFvYy1q2s5JNLGE1C1jO
dBbxxz7y+GlWLj+Yw3dm841ZfI3eU3QGZvCB9xLXb5nOa6bxkl5zOKcx4cKM
PT0WfReXsuis0TfTY0n//8Ifr81CAA==
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{1006, 1347, 1348, 1328, 1351, 1364, 663, 1414, 1406, 1407, 
        1288, 1367, 1686, 1200, 1366, 1365, 1524, 1201, 1007, 1525, 1202, 
        1008, 1526, 1203, 1009, 1527, 1204, 1010, 1528, 1205, 1011, 1529, 
        1434, 1604, 1012, 1530, 1206, 1013, 1531, 1207, 1014, 1532, 1208, 
        1015, 1533, 1209, 1016, 1534, 1210, 1017, 1535, 1211, 1018}], 
       Line3DBox[{1019, 1308, 1435, 1691, 1331, 366, 1332, 333, 1330, 1310, 
        1311, 1693, 1212, 1020, 1416, 1417, 1213, 1021, 1536, 1214, 1022, 
        1537, 1215, 1023, 1538, 1216, 1024, 1539, 1436, 1605, 1025, 1437, 
        1606, 1026, 1540, 1217, 1027, 1541, 1218, 1028, 1542, 1219, 1029, 
        1543, 1220, 1030, 1544, 1221, 1031}], 
       Line3DBox[{1033, 1438, 1607, 1032, 1309, 1439, 1692, 1333, 1334, 1277, 
        1289, 692, 1375, 1374, 1415, 1222, 1034, 1545, 1223, 1035, 1546, 1224,
         1036, 1547, 1225, 1037, 1548, 1440, 1608, 1038, 1441, 1609, 1039, 
        1442, 1610, 1040, 1549, 1226, 1041, 1550, 1227, 1042, 1551, 1228, 
        1043, 1552, 1229, 1044}], 
       Line3DBox[{1046, 1443, 1611, 1045, 370, 934, 371, 229, 925, 359, 358, 
        1047, 1553, 1230, 1048, 1554, 1231, 1049, 1555, 1232, 1050, 1556, 
        1444, 1612, 1051, 1445, 1613, 1052, 1446, 1614, 1053, 1447, 1615, 
        1054, 1557, 1233, 1055, 1558, 1234, 1056, 1559, 1235, 1057}], 
       Line3DBox[{1059, 1448, 1616, 1058, 1376, 1377, 1702, 1060, 1391, 1278, 
        1290, 837, 1335, 1061, 1313, 1617, 1314, 1062, 982, 1418, 1063, 1560, 
        1236, 1064, 1561, 1237, 1065, 1562, 1449, 1618, 1066, 1450, 1619, 
        1067, 1451, 1620, 1068, 1452, 1621, 1069, 1453, 1622, 1070, 1563, 
        1238, 1071, 1564, 1239, 1072}], 
       Line3DBox[{1074, 1454, 1623, 1073, 1455, 1624, 1075, 1312, 1336, 1625, 
        1353, 1352, 1076, 1279, 1315, 1380, 1379, 1077, 1420, 1421, 1709, 
        1419, 1378, 1078, 732, 1079, 1565, 1240, 1080, 1566, 1456, 1626, 1081,
         1457, 1627, 1082, 1458, 1628, 1083, 1459, 1629, 1084, 1460, 1630, 
        1085, 1461, 1631, 1086, 1567, 1241, 1087}], 
       Line3DBox[{106, 562, 107, 563, 108, 564, 109, 307, 110, 869, 277, 111, 
        565, 112, 566, 113, 567, 568, 114, 569, 115, 570, 116, 571, 117, 572, 
        118, 573, 119, 574, 120}], 
       Line3DBox[{1089, 1462, 1632, 1088, 1463, 1633, 1090, 1381, 1634, 1517, 
        1091, 1392, 1394, 1393, 1291, 1338, 1337, 1092, 1512, 1635, 1317, 
        1093, 1464, 1636, 1094, 1465, 1637, 1095, 1568, 1466, 1638, 1096, 
        1467, 1639, 1097, 1468, 1640, 1098, 1469, 1641, 1099, 1470, 1642, 
        1100, 1471, 1643, 1101, 1472, 1644, 1102}], 
       Line3DBox[{1104, 755, 1103, 1569, 1242, 1105, 1570, 1243, 1106, 1316, 
        1571, 1244, 1340, 1382, 942, 1341, 1354, 1245, 1339, 1514, 1572, 1318,
         1246, 1107, 1573, 1247, 1108, 1574, 1473, 1645, 1109, 1575, 1248, 
        1110, 1576, 1249, 1111, 1577, 1250, 1112, 1578, 1251, 1113, 1579, 
        1252, 1114, 1580, 1253, 1115}], 
       Line3DBox[{1117, 1474, 1646, 1116, 1475, 1647, 1118, 1581, 1254, 1119, 
        1582, 1255, 1120, 1513, 1583, 1256, 1343, 1344, 1697, 1280, 1292, 
        1355, 1356, 1342, 1696, 1319, 1320, 1257, 1121, 1711, 1422, 1423, 
        1476, 1710, 1122, 1477, 1648, 1123, 1584, 1258, 1124, 1585, 1259, 
        1125, 1586, 1260, 1126, 1587, 1261, 1127, 1588, 1262, 1128}], 
       Line3DBox[{1130, 1478, 1649, 1129, 1479, 1650, 1131, 780, 1132, 1589, 
        1263, 1133, 976, 1264, 1412, 1708, 1281, 1370, 1408, 1409, 1329, 900, 
        1282, 1303, 1401, 1402, 1384, 1704, 1383, 1385, 1480, 1703, 1134, 
        1481, 1651, 1135, 1482, 1652, 1136, 1590, 1265, 1137, 1591, 1266, 
        1138, 1592, 1267, 1139, 1593, 1268, 1140}], 
       Line3DBox[{1142, 1483, 1653, 1141, 1484, 1654, 1143, 1485, 1655, 1144, 
        1486, 1656, 1145, 1594, 1269, 1146, 1701, 1368, 1371, 1369, 1410, 
        1147, 1520, 1687, 1293, 1413, 1294, 1357, 1148, 948, 1283, 1386, 1284,
         1706, 1149, 1323, 1324, 1695, 1150, 1487, 1657, 1151, 1488, 1658, 
        1152, 1595, 1270, 1153, 1596, 1271, 1154, 1597, 1272, 1155}], 
       Line3DBox[{1157, 1489, 1659, 1156, 1490, 1660, 1158, 1491, 1661, 1159, 
        1492, 1662, 1160, 1493, 1663, 1161, 1598, 1273, 1162, 1712, 1424, 
        1426, 1425, 1429, 1163, 1694, 1321, 1345, 1322, 1403, 1707, 1164, 
        1285, 1325, 1286, 1698, 1516, 1165, 1295, 1296, 1700, 1166, 1297, 
        1664, 1509, 1167, 1518, 1665, 1387, 1168, 1599, 1274, 1169, 1600, 
        1275, 1170}], 
       Line3DBox[{1172, 1494, 1666, 1171, 1495, 1667, 1173, 1496, 1668, 1174, 
        1497, 1669, 1175, 1498, 1670, 1176, 1499, 1671, 1177, 1601, 1276, 
        1178, 1602, 1500, 1672, 1179, 1372, 1373, 1411, 973, 1180, 1398, 1399,
         1304, 1673, 1359, 1360, 1358, 1181, 1395, 1396, 1305, 1674, 1350, 
        1349, 1182, 1389, 1390, 1705, 1388, 1287, 1183, 1510, 1675, 1298, 
        1184, 1688, 1299, 1300, 1185}], 
       Line3DBox[{1199, 1326, 1327, 1307, 1397, 1690, 1519, 1198, 1361, 1363, 
        1362, 1306, 1521, 1689, 1400, 1197, 1404, 1405, 1346, 1699, 1515, 
        1196, 1522, 1685, 1431, 1433, 1432, 1195, 1430, 1713, 1523, 1428, 
        1427, 1194, 1684, 1508, 1193, 1683, 1507, 1603, 1192, 1682, 1506, 
        1191, 1681, 1505, 1190, 1680, 1504, 1189, 1679, 1503, 1188, 1678, 
        1502, 1187, 1677, 1501, 1186, 1511, 1676, 1301, 1302}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{468, 665, 1525, 469, 438, 1417, 439, 367, 1415, 436, 358, 
        523, 1617, 273, 274, 1315, 231, 245, 1291, 232, 307, 275, 1571, 578, 
        770, 1582, 591, 781, 1589, 603, 1656, 792, 615, 1662, 804, 628, 1669, 
        815, 641, 1679, 826, 653}], 
       Line3DBox[{470, 666, 1526, 471, 679, 1536, 495, 693, 1545, 509, 706, 
        1553, 524, 982, 983, 984, 985, 1709, 937, 939, 938, 551, 1635, 867, 
        893, 868, 869, 838, 895, 839, 942, 896, 870, 871, 1583, 592, 975, 976,
         604, 793, 1594, 616, 1663, 805, 629, 1670, 816, 642, 1680, 827, 
        654}], Line3DBox[{472, 667, 1527, 473, 680, 1537, 496, 694, 1546, 510,
         707, 1554, 525, 719, 1560, 538, 732, 552, 1636, 745, 565, 872, 894, 
        873, 1572, 874, 840, 898, 1697, 315, 847, 427, 977, 1708, 841, 930, 
        928, 1701, 929, 617, 806, 1598, 630, 1671, 817, 643, 1681, 828, 655}],
        Line3DBox[{474, 668, 1528, 475, 681, 1538, 497, 695, 1547, 511, 708, 
        1555, 526, 720, 1561, 539, 733, 1565, 553, 1637, 746, 566, 758, 1573, 
        579, 875, 897, 1696, 876, 877, 842, 884, 900, 899, 862, 960, 961, 
        1687, 959, 848, 997, 995, 1712, 996, 631, 818, 1601, 644, 1682, 829, 
        656}], Line3DBox[{476, 669, 1529, 478, 682, 1539, 498, 696, 1548, 512,
         709, 1556, 527, 721, 1562, 540, 734, 1566, 554, 747, 1568, 567, 759, 
        1574, 580, 986, 1711, 988, 989, 990, 991, 945, 1704, 944, 946, 947, 
        948, 901, 950, 949, 902, 878, 1694, 1002, 879, 632, 819, 1602, 645, 
        830, 1603, 657}], 
       Line3DBox[{480, 671, 1530, 481, 1606, 684, 500, 1609, 698, 514, 1613, 
        711, 529, 1619, 723, 542, 1627, 736, 556, 1639, 749, 569, 761, 1575, 
        582, 1648, 772, 594, 1651, 783, 606, 880, 1695, 795, 619, 903, 904, 
        1698, 885, 972, 808, 634, 973, 974, 962, 821, 647, 1684, 832, 659}], 
       Line3DBox[{482, 672, 1531, 483, 685, 1540, 501, 1610, 699, 515, 1614, 
        712, 530, 1620, 724, 543, 1628, 737, 557, 1640, 750, 570, 762, 1576, 
        583, 773, 1584, 595, 1652, 784, 607, 1657, 796, 620, 849, 1700, 917, 
        918, 919, 921, 920, 1673, 978, 850, 908, 999, 1000, 648, 1713, 1005, 
        998, 1004, 833, 660}], 
       Line3DBox[{484, 673, 1532, 485, 686, 1541, 502, 700, 1549, 516, 1615, 
        713, 531, 1621, 725, 544, 1629, 738, 558, 1641, 751, 571, 763, 1577, 
        584, 774, 1585, 596, 785, 1590, 608, 1658, 797, 621, 1664, 851, 809, 
        635, 909, 1674, 852, 905, 822, 649, 1685, 1003, 834, 661}], 
       Line3DBox[{486, 674, 1533, 487, 687, 1542, 503, 701, 1550, 517, 714, 
        1557, 532, 1622, 726, 545, 1630, 739, 559, 1642, 752, 572, 764, 1578, 
        585, 775, 1586, 597, 786, 1591, 609, 798, 1595, 622, 1665, 951, 952, 
        953, 954, 1705, 844, 906, 845, 955, 907, 1699, 881, 882, 662}], 
       Line3DBox[{488, 675, 1534, 489, 688, 1543, 504, 702, 1551, 518, 715, 
        1558, 533, 727, 1563, 546, 1631, 740, 560, 1643, 753, 573, 765, 1579, 
        586, 776, 1587, 598, 787, 1592, 610, 799, 1596, 623, 810, 1599, 636, 
        1675, 853, 963, 854, 964, 863, 1689, 965, 979, 855, 994, 856, 1001, 
        993, 992}], 
       Line3DBox[{490, 676, 1535, 491, 689, 1544, 505, 703, 1552, 519, 716, 
        1559, 534, 728, 1564, 547, 741, 1567, 561, 1644, 754, 574, 766, 1580, 
        587, 777, 1588, 599, 788, 1593, 611, 800, 1597, 624, 811, 1600, 637, 
        857, 1688, 922, 858, 864, 1690, 956, 957, 910, 859, 958}], 
       Line3DBox[{650, 823, 860, 1676, 638, 812, 1666, 625, 801, 1659, 612, 
        789, 1653, 600, 778, 1649, 588, 767, 1646, 575, 755, 562, 742, 1632, 
        548, 729, 1623, 535, 717, 1616, 520, 704, 1611, 506, 690, 1607, 492, 
        677, 1691, 888, 913, 912, 465, 663, 980, 911, 883, 846, 861}], 
       Line3DBox[{651, 824, 1677, 639, 813, 1667, 626, 802, 1660, 613, 790, 
        1654, 601, 779, 1650, 589, 768, 1647, 576, 1569, 756, 563, 743, 1633, 
        549, 730, 1624, 536, 718, 936, 1702, 935, 521, 705, 934, 933, 507, 
        691, 1692, 889, 334, 493, 333, 887, 295, 466, 1686, 357, 924, 365, 
        886}], Line3DBox[{652, 825, 1678, 640, 814, 1668, 627, 803, 1661, 614,
         791, 1655, 602, 780, 590, 1581, 769, 577, 1570, 757, 564, 744, 941, 
        940, 1634, 550, 731, 892, 866, 1625, 916, 537, 915, 914, 890, 837, 
        891, 522, 927, 926, 925, 836, 971, 508, 692, 931, 835, 932, 494, 1693,
         678, 865, 467, 1524, 664, 923, 981}], 
       Line3DBox[{658, 831, 1683, 646, 820, 1672, 633, 807, 968, 970, 1707, 
        969, 618, 794, 967, 966, 1706, 843, 605, 782, 1703, 943, 593, 771, 
        1710, 987, 581, 760, 1645, 568, 748, 1638, 555, 735, 1626, 541, 722, 
        1618, 528, 710, 1612, 513, 697, 1608, 499, 683, 1605, 479, 670, 1604, 
        477}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJxkW3c8l+/31k4phBZpUjJKCYUOQlnZO3vvvfcW2XtvUhLRkjoZEUWIQkSI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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "v"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{386.1108801900276, 221.},
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.8}, {-1545.9988818015304`, 
    4055.884256808885}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.7752536880293344`, -2.5099004800898927`, 1.4138153780401002`},
  
  ViewVertical->{-0.24127293265432792`, 0.3411180348956361, 
   0.9085295032288824}]], "Output",
 CellChangeTimes->{{3.848015433261552*^9, 3.848015452661942*^9}, 
   3.85027736878941*^9, 3.855540733273266*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"b81da8ea-e9b6-4a90-9f50-4a03ac1d29fc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     SuperscriptBox["f", "2"], "1600"], "-", 
    FractionBox[
     RowBox[{"f", " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], 
     RowBox[{"20", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "106"}], "+", 
      RowBox[{"152", " ", "\[Alpha]"}], "-", 
      RowBox[{"121", " ", 
       SuperscriptBox["\[Alpha]", "2"]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "2231.6228"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"F", ",", "\[Alpha]", ",", 
      SubscriptBox["\[CapitalPi]", "v"]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8554690942762623`*^9, 3.855469095548995*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"1456a068-dc6e-482b-99b1-e7bd04e18ba8"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vXlYTs0f+B+lRFlDSNGmRShFUe7TorqphLRImxat2kuLNipU2jelTXsh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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJw1mgf8V9P/xz/3c+65SqLwQwuFkpZSaWigSZKiNFRKklTSkiJZCRnZyix7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            "]], 
           Polygon3DBox[CompressedData["
1:eJwtmnkcF1MXxmfu3PkhIpFCpRB6RaVSKS0qpFWkFW22Sin0arFlj2whFYXs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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt13ncjlUex/Hb89z3k12WCKWpIVGZlJi0TEUpmQgpSkppJ7K3UXZKyRpR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            "]]},
          Annotation[#, "Charting`Private`Tag$4256#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0r0vXlEAB+Dzel/Ut1WakG5CGBofIZVKhy5MYlL1rVIDg4W1STHVxtBI
RFQqRESQpiuJdDH4/qZ/QrHXcxh+9/md3HvPuffc+6pnuGUoEUL4KrVK7FUO
9/ySDKGQUyzhLCu5zAb+ZjP/8APPeC6D+gPHmEiFMMl8zvAlF1nGTdZxh3up
8LT4WzlQq5mS9rQQDo0/8ogdPGYnT+L91il23an+Tn+tn+ldzp+zmz1yoffy
kn28Yj+v+Yk3HOBtfDbzpJmnUf4a1zBdWj3jvvF7bsf94gZL+YNFnGYuJ/jf
PKO84z/5rB+zjbts4i++4RIr+D2+D7+xgFvWzecG87jOXK4xh6vM5gqz4jz8
KS/0RWZygRmcj+/Bubi3HLHGuI5QH7+xbgtCuZ5MPP8Pjx9HPTY=
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{898, 1265, 1266, 1248, 1267, 616, 1327, 1318, 1319, 1216, 
        1273, 1638, 1109, 1272, 1271, 1328, 1657, 1110, 899, 1447, 1111, 900, 
        1448, 1112, 901, 1449, 1113, 902, 1450, 1114, 903, 1451, 1351, 1547, 
        904, 1452, 1115, 905, 1453, 1116, 906, 1454, 1117, 907, 1455, 1118, 
        908, 1456, 1119, 909, 1457, 1120, 910}], 
       Line3DBox[{911, 1232, 1352, 1641, 1317, 1202, 1217, 326, 1275, 1274, 
        1458, 1121, 912, 1459, 1122, 913, 1460, 1123, 914, 1461, 1124, 915, 
        1462, 1125, 916, 1463, 1353, 1548, 917, 1354, 1549, 918, 1464, 1126, 
        919, 1465, 1127, 920, 1466, 1128, 921, 1467, 1129, 922, 1468, 1130, 
        923}], Line3DBox[{925, 1355, 1550, 924, 1203, 1218, 1250, 1637, 1251, 
        1249, 1233, 1234, 1356, 1642, 926, 1338, 1339, 1131, 927, 1469, 1132, 
        928, 1470, 1133, 929, 1471, 1134, 930, 1472, 1357, 1551, 931, 1358, 
        1552, 932, 1359, 1553, 933, 1473, 1135, 934, 1474, 1136, 935, 1475, 
        1137, 936, 1476, 1138, 937}], 
       Line3DBox[{939, 1284, 1285, 1650, 938, 1204, 1219, 1205, 1646, 1253, 
        940, 1254, 1206, 1235, 1207, 1651, 1288, 941, 1341, 1286, 1340, 1287, 
        942, 1477, 1139, 943, 1478, 1140, 944, 1479, 1141, 945, 1480, 1360, 
        1554, 946, 1361, 1555, 947, 1362, 1556, 948, 1363, 1557, 949, 1481, 
        1142, 950, 1482, 1143, 951, 1483, 1144, 952}], 
       Line3DBox[{954, 1364, 1558, 953, 1236, 1252, 1237, 1647, 1268, 955, 
        1289, 1208, 1220, 1559, 1434, 956, 1333, 1560, 1334, 957, 1365, 1561, 
        958, 1484, 1145, 959, 1485, 1146, 960, 1486, 1366, 1562, 961, 1367, 
        1563, 962, 1368, 1564, 963, 1369, 1565, 964, 1370, 1566, 965, 1487, 
        1147, 966, 1488, 1148, 967}], 
       Line3DBox[{969, 1371, 1567, 968, 1290, 1568, 1441, 970, 1291, 1292, 
        1221, 1569, 1321, 1320, 971, 1336, 1337, 1335, 1276, 972, 1372, 1570, 
        973, 1373, 1571, 974, 1489, 1149, 975, 1490, 1374, 1572, 976, 1375, 
        1573, 977, 1376, 1574, 978, 1377, 1575, 979, 1378, 1576, 980, 1379, 
        1577, 981, 1491, 1150, 982}], 
       Line3DBox[{986, 1492, 1151, 984, 1323, 1493, 1152, 1324, 1209, 1223, 
        1440, 1639, 1153, 1279, 1278, 1494, 1154, 990, 1495, 1155, 992, 1496, 
        1156, 994, 1497, 1157, 996, 1499, 1500, 1158, 998, 1501, 1159, 1000, 
        1502, 1160, 1002, 1503, 1161, 1004, 1504, 1162, 1006, 1505, 1163, 
        1008, 1506, 1164, 1010}], 
       Line3DBox[{1009, 1589, 1390, 1007, 1588, 1389, 1005, 1587, 1388, 1003, 
        1586, 1387, 1001, 1585, 1386, 999, 1584, 1385, 997, 1583, 1384, 1498, 
        995, 1582, 1383, 993, 1581, 1382, 991, 1580, 1381, 989, 1277, 1329, 
        1331, 1330, 988, 1293, 1652, 1442, 1222, 1326, 1325, 987, 1444, 1579, 
        1322, 983, 1578, 1380, 985}], 
       Line3DBox[{1012, 1391, 1590, 1011, 1294, 1507, 1165, 1295, 1296, 1297, 
        1256, 1648, 1269, 1166, 1255, 1239, 1240, 1167, 1013, 1445, 1508, 
        1342, 1168, 1014, 1509, 1169, 1015, 1510, 1170, 1016, 1511, 1392, 
        1591, 1017, 1512, 1171, 1018, 1513, 1172, 1019, 1514, 1173, 1020, 
        1515, 1174, 1021, 1516, 1175, 1022, 1517, 1176, 1023}], 
       Line3DBox[{1025, 1393, 1592, 1024, 1394, 1593, 1026, 1238, 1518, 1177, 
        1257, 1258, 1210, 1224, 1178, 1298, 1443, 1519, 1332, 1179, 1027, 
        1520, 1180, 1028, 1521, 1181, 1029, 1522, 1395, 1594, 1030, 1396, 
        1595, 1031, 1523, 1182, 1032, 1524, 1183, 1033, 1525, 1184, 1034, 
        1526, 1185, 1035, 1527, 1186, 1036}], 
       Line3DBox[{1038, 1397, 1596, 1037, 1398, 1597, 1039, 1299, 1399, 1653, 
        1300, 1301, 1211, 1225, 1282, 1283, 1281, 1649, 1280, 1187, 1040, 
        1528, 1188, 1041, 1529, 1189, 1042, 1530, 1400, 1598, 1043, 1401, 
        1599, 1044, 1402, 1600, 1045, 1531, 1190, 1046, 1532, 1191, 1047, 
        1533, 1192, 1048, 1534, 1193, 1049}], 
       Line3DBox[{1051, 1403, 1601, 1050, 1404, 1602, 1052, 1302, 1303, 1654, 
        1053, 1316, 1212, 1226, 1213, 1259, 1054, 1643, 1243, 1244, 1055, 
        1658, 1343, 1344, 1056, 1535, 1194, 1057, 1536, 1405, 1603, 1058, 
        1406, 1604, 1059, 1407, 1605, 1060, 1408, 1606, 1061, 1537, 1195, 
        1062, 1538, 1196, 1063, 1539, 1197, 1064}], 
       Line3DBox[{1066, 1409, 1607, 1065, 1410, 1608, 1067, 1411, 1609, 1068, 
        1241, 1260, 1242, 1270, 1069, 1435, 1644, 1245, 1214, 1306, 1070, 
        1346, 1655, 1304, 1345, 1305, 1071, 1540, 1198, 1072, 1541, 1412, 
        1610, 1073, 1413, 1611, 1074, 1414, 1612, 1075, 1415, 1613, 1076, 
        1416, 1614, 1077, 1542, 1199, 1078, 1543, 1200, 1079}], 
       Line3DBox[{1081, 1417, 1615, 1080, 1418, 1616, 1082, 1419, 1617, 1083, 
        1307, 1618, 1308, 1084, 1309, 1310, 1656, 1227, 1215, 1085, 1439, 
        1619, 1246, 1086, 1659, 1347, 1348, 1087, 1544, 1420, 1620, 1088, 
        1421, 1621, 1089, 1422, 1622, 1090, 1423, 1623, 1091, 1424, 1624, 
        1092, 1425, 1625, 1093, 1545, 1201, 1094}], 
       Line3DBox[{1108, 1231, 1636, 1438, 1107, 1635, 1433, 1106, 1634, 1432, 
        1105, 1633, 1431, 1104, 1632, 1430, 1103, 1631, 1429, 1102, 1630, 
        1428, 1546, 1101, 1313, 1349, 1350, 1660, 1446, 1100, 1314, 1315, 
        1247, 1264, 1645, 1263, 1099, 1261, 1262, 1228, 1640, 1436, 1098, 
        1312, 1629, 1311, 1097, 1628, 1427, 1096, 1627, 1426, 1095, 1437, 
        1626, 1229, 1230}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{416, 618, 1447, 417, 632, 1459, 443, 401, 1339, 402, 1340, 
        344, 471, 1560, 398, 399, 1335, 329, 394, 1329, 332, 1494, 514, 268, 
        1240, 269, 235, 1224, 251, 236, 1225, 252, 1226, 237, 301, 1260, 270, 
        581, 1618, 369, 595, 1629, 372, 607}], 
       Line3DBox[{418, 619, 1448, 419, 633, 1460, 444, 646, 1469, 458, 659, 
        1477, 472, 1561, 673, 486, 1570, 686, 500, 1580, 699, 1495, 515, 886, 
        887, 1508, 888, 889, 861, 863, 862, 1519, 884, 885, 849, 851, 1649, 
        850, 555, 814, 1643, 831, 815, 816, 1644, 798, 832, 799, 833, 805, 
        871, 1656, 800, 870, 801, 806, 1640, 802, 872, 803, 873, 825}], 
       Line3DBox[{420, 620, 1449, 421, 634, 1461, 445, 647, 1470, 459, 660, 
        1478, 473, 674, 1484, 487, 1571, 687, 501, 1581, 700, 1496, 516, 712, 
        1509, 529, 725, 1520, 542, 738, 1528, 556, 890, 1658, 891, 892, 409, 
        1655, 869, 868, 582, 1619, 817, 823, 818, 819, 1645, 305, 824, 378, 
        834}], Line3DBox[{422, 621, 1450, 423, 635, 1462, 446, 648, 1471, 460,
         661, 1479, 474, 675, 1485, 488, 688, 1489, 502, 1582, 701, 1497, 517,
         713, 1510, 530, 726, 1521, 543, 739, 1529, 557, 751, 1535, 569, 763, 
        1540, 583, 893, 1659, 894, 895, 1660, 896, 897, 875, 874, 608}], 
       Line3DBox[{424, 622, 1451, 426, 636, 1463, 447, 649, 1472, 461, 662, 
        1480, 475, 676, 1486, 489, 689, 1490, 503, 702, 1498, 1499, 518, 714, 
        1511, 531, 727, 1522, 544, 740, 1530, 558, 752, 1536, 570, 764, 1541, 
        584, 775, 1544, 596, 786, 1546, 609}], 
       Line3DBox[{428, 624, 1452, 429, 1549, 638, 449, 1552, 651, 463, 1555, 
        664, 477, 1563, 678, 491, 1573, 691, 505, 1584, 704, 1501, 520, 716, 
        1512, 533, 1595, 729, 546, 1599, 742, 560, 1604, 754, 572, 1611, 766, 
        586, 1621, 777, 598, 1631, 788, 611}], 
       Line3DBox[{430, 625, 1453, 431, 639, 1464, 450, 1553, 652, 464, 1556, 
        665, 478, 1564, 679, 492, 1574, 692, 506, 1585, 705, 1502, 521, 717, 
        1513, 534, 730, 1523, 547, 1600, 743, 561, 1605, 755, 573, 1612, 767, 
        587, 1622, 778, 599, 1632, 789, 612}], 
       Line3DBox[{432, 626, 1454, 433, 640, 1465, 451, 653, 1473, 465, 1557, 
        666, 479, 1565, 680, 493, 1575, 693, 507, 1586, 706, 1503, 522, 718, 
        1514, 535, 731, 1524, 548, 744, 1531, 562, 1606, 756, 574, 1613, 768, 
        588, 1623, 779, 600, 1633, 790, 613}], 
       Line3DBox[{434, 627, 1455, 435, 641, 1466, 452, 654, 1474, 466, 667, 
        1481, 480, 1566, 681, 494, 1576, 694, 508, 1587, 707, 1504, 523, 719, 
        1515, 536, 732, 1525, 549, 745, 1532, 563, 757, 1537, 575, 1614, 769, 
        589, 1624, 780, 601, 1634, 791, 614}], 
       Line3DBox[{436, 628, 1456, 437, 642, 1467, 453, 655, 1475, 467, 668, 
        1482, 481, 682, 1487, 495, 1577, 695, 509, 1588, 708, 1505, 524, 720, 
        1516, 537, 733, 1526, 550, 746, 1533, 564, 758, 1538, 576, 770, 1542, 
        590, 1625, 781, 602, 1635, 792, 615}], 
       Line3DBox[{438, 629, 1457, 439, 643, 1468, 454, 656, 1476, 468, 669, 
        1483, 482, 683, 1488, 496, 696, 1491, 510, 1589, 709, 1506, 525, 721, 
        1517, 538, 734, 1527, 551, 747, 1534, 565, 759, 1539, 577, 771, 1543, 
        591, 782, 1545, 603, 1636, 808, 809, 810}], 
       Line3DBox[{604, 783, 807, 1626, 592, 772, 1615, 578, 760, 1607, 566, 
        748, 1601, 552, 735, 1596, 539, 722, 1592, 526, 710, 1590, 511, 1492, 
        697, 1578, 497, 684, 1567, 483, 670, 1558, 469, 657, 853, 1650, 852, 
        455, 644, 1550, 440, 630, 1641, 876, 878, 877, 413, 616, 882, 835, 
        820, 804, 811}], 
       Line3DBox[{605, 784, 1627, 593, 773, 1616, 579, 761, 1608, 567, 749, 
        1602, 553, 736, 1597, 540, 723, 1593, 527, 1507, 711, 860, 859, 512, 
        1493, 698, 881, 880, 1579, 498, 685, 857, 856, 1568, 484, 671, 827, 
        1647, 314, 328, 313, 822, 1646, 289, 456, 280, 1637, 821, 288, 441, 
        326, 842, 340, 414, 1638, 323, 840, 339, 826}], 
       Line3DBox[{606, 785, 1628, 594, 774, 1617, 580, 762, 1609, 568, 750, 
        867, 1654, 866, 554, 737, 1653, 865, 864, 541, 1518, 724, 830, 813, 
        838, 528, 837, 1648, 836, 828, 797, 829, 513, 1639, 848, 847, 846, 
        796, 858, 1652, 499, 845, 844, 843, 795, 1569, 879, 485, 672, 794, 
        1559, 470, 658, 854, 1651, 793, 855, 457, 645, 1642, 812, 442, 1458, 
        631, 841, 415, 1657, 617, 839, 883}], 
       Line3DBox[{610, 787, 1630, 597, 776, 1620, 585, 765, 1610, 571, 753, 
        1603, 559, 741, 1598, 545, 728, 1594, 532, 715, 1591, 519, 1500, 703, 
        1583, 504, 690, 1572, 490, 677, 1562, 476, 663, 1554, 462, 650, 1551, 
        448, 637, 1548, 427, 623, 1547, 425}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJx0vHlUTmH3Pp6SIYQQIYVQhBAlsRs0p0nzPM9zT/M8T9I8Ks1RKU2ayG6S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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "v"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{356.52923173274166`, 226.1177919530156},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 0.5}, {-240.99991420942348`, 
    3652.6551307781547`}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.413476493403143, -2.695488913599182, 1.4786560517106992`},
  ViewVertical->{-0.20293813790770449`, 0.38700148423385394`, 
   0.8994698234979023}]], "Output",
 CellChangeTimes->{{3.855469096641412*^9, 3.855469119502165*^9}, 
   3.855469171800372*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"3a8ab2e7-6c7a-423f-9433-d4eafdac011b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%26", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"13efb560-8499-4a7f-8ca0-c6bdf7e7c2e0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%28", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[30]:=",ExpressionUUID->"be3c552c-f9f0-4cc6-ba4e-a6d08900884f"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJy9vXk0l9/39y+EvBtUKpVSUqkozZS8LpEhJUlSxkxRmUKGJkMqmafMQmYZ
mpRKXpUKqWiQkJDMzYMm3O/v/Tl7n899+fnjt9bv/vnHWo911vU653nts885
+zpnn9nmDrpWvDw8PPqCPDx8//6fF7Y8NKVNipNikHv1lIyzUoL4zCeDx3Zx
t026uL6h14IBfkTkwCP3AF3uU6Gg+PpeZ+RigTaVzUvncn8L3I5Sf3sEuU6z
zuaiJduZMJ/f6vW9vsi9WpcvX3JoL5PuLXpPpPMU8jkdR0Y7LHJjir0Wr1d/
G4S8aTTPj+LT3kw7J+2NkkMY8uOqIuLPjpxiHDlLZ9b3RiBXebT6sPfqUOa3
0i0j171nkDsLhtyTKohkjitpxYt0xiB/Uj1m77P0WGasUt2rXKt45LsWXLYN
mn6WiVlnJab+NhG5v5Cy+YJTqUzYTI9FTnLJyP/eXVsy/k46o59UWqnkkIJc
QL3y3rG12QzovHexUuxczYucT5vXr6u4a4g6A9eXW+w24Z9tqDPwnwNC35eM
mYM6A3d6aylzWF4fdQb+uPczf87ufagz8OxPB62vPaE6A6+J8I+3/E51Bp7x
aN51vhH+qDPw3nD/B0Z+VGfgK7Tnj1EZFYU6A8+M6c1bMToOdQaueeBV9tJg
qjPwoPcHeRIfUJ2BB3ZFvsoQzECdgUvmqZmtOkl1Pt/5alBK8w6nR8ls3HY/
Y9QZePvd7W03OqjOwKULw1fZPJREnYFfEV7oHz13B+oMXKrgybusjftRZ+BL
bOc4Oh5xR52B344f6G208UGdgaumrDEQC6M6Aw9rbVW80kB1Bl7IV53VZUd1
Bv77UpvDgmNUZ+DFHiKa1wWTUWfgY3bfOWk17hzqDLxvnJDLGX2qM3D3Ey1j
Nr+mOktdF11+1e4hJ+18/Qutv6aoM/CuJrPSZTrbUWfgp744XpKIp34DuERU
//FZ9VRn4EUznHbKytihzsDnfn+S9nSpB+oMfELVHf6mNqoz8N4b++26Fp9G
nYGPf7fsvt/aMNQZuOGfWrnUJqoz8Ork1B8VPPGoM/Ab3ZUBAzpUZ9RnU13F
jN1UZ+BSBz2u3CmkOgNfuydf+z0nB3V+fG/+JSnNpxyHl+uqBkt3o87ABbIc
R2wO2YE6Aw89YFU610EWdQYurySiqiBlgDoDrx6r4nHiK9UZ+O+1ryPT26nO
wFPONJyv3+OLOgNPzIve4FFPdQZ+2Gnrxuh0qjNwg/iBTf1GZ1Bn4CZ6z3Ls
I6jOwDc+7rjgmkZ1Bv63+NeN4ltUZ+Ab7M46+4plos7A53bW1T29QHU+vfhe
lV1DLcfyUK2wzRZL1Bm4++yRrbtnG6LOwOWswj72Va1CnYFf230lIT6X2jPw
KsE256gj9qgz8Mm9er8agj1RZ+BHhXJ1g95TnYFrFf82uRsWgDoDX1NWJSI0
LRx1Bv73usojhW6qM/BeprXtoEIC6gx85KLnuW/4UlBn4Av7K8P9F6ahzsA7
zmyfXxxKdQa+9qezrf2qXNRZLdq8vciugRNguCx3cK4N6gxc0rFtyzYHM9QZ
uIysjZ3cCBXUGfiX9Fdtix7T+Qbw7IWOr56eoDoDb+t/ucl13CHUGXjU+Ieb
Xu47jjoDD1vvkS2sHYg6A/+hsdZkYTTVGXjNsZY7u05Eo87A6zYU+Jz5RnUG
fnLz08cfHKnOwItLm0eJZVKdgfv88vlyXzwLdQbe8vvaqT81VOcRPP/z18xR
zxo8PShhjzoDV6sRjPBbaIU6Az8/ItN3t4cO6gxcJHxNTb/uVtQZuE7gxv2j
TlG/AfyEVJyl2xKqM/Cqs7WlAQ+pzsALtAp8D/RTnYH/PN0zcHVyBOqM9R+c
N+WObAzqDJzLe/r0y7uJqDPwyxtPyxzupToDTza0UA5flY46A5dcUc23mEt1
Br72ebXzFv/zqLPp5ceBUpqtnB8j7vTrfXdGnYEftzvSNGOTHeoM3OiGS7Xd
XmPUGXiy0YI1O6qVUGfgqotHhGbupvNn4HIv/p564kj9BvC/mVqGh2upzsCL
+GyyMg8Eoc7AO291vXA5QXUGPuefB8tSnlKdgZ9uf9hdl5iEOgMPkf47MMYl
FXUG7jR33qordVRn4N1db6e1Hs5GnYH/cl2ZF2mWhzqX2CRO1Qxv+3e+dHn/
YMhh1Bl4+4ayXJkpB1Fn4GmG+/4aqO5DnYHLl6vN6jupyQWdgX9xPL7hmrs5
6gz80olFZ9rS6fwZePWpqWsfjaQ6A0/ev7/l1iqqM3Cb1YJn316kOgM//+CY
tLNmLOoMfGaHxJixpmdRZ+BNlc7z6n9RnYHft+35etE3A3VG3ap/2I/fnIM6
AzcYiIr+vj0fdZ4+Y3+GXUM7p/tyq91g+gnUGfiPG9Wn9p/2QZ2Bb9F8U+/X
4ok60/L99sKWdqgzcJ5bAp/aKmdxQWfgacYKOUIqDqgz8Hmdi87eb/VCnYGv
iRarbPlC5xvA9ZflvPDnoToDX5flMDtfgOoMfGueUfnrAKoz8MpkeavRGudQ
Z+A+F2sjCkZlos7AqwOEHOuEc1Fn4EUyj3+d0CpAnT1q1iwPl+ritDRfSdB7
FYk6A5e8uWldxPhw1Bn4XhH3kUFRQagz8JWnBesbR51AnYFvehjyaRHPIdQZ
ePWkihF3b5tyQWfg8r/Dr31ctRd1Bi5zq+bL/fE+qDNw6cZHeZ0Rwagz8PWB
gSEiwnS+ATyueOcceU3qn4GPXzvf/4ovtWfgPWYr8/VSqT0DN9Z+6eXBQ3UG
vodvzAipJKrzS79R3CK7Hk5T7OC5gRtZqDNw1ZaDwvOSMlBn4BN277r7gElD
nYFvnJrz+O25FNQZ+IuJVQbfghNRZ+CdVuLFk3ZEo87AH0tvuLUoOZQLOgMX
LQ6s3v/chws6A2fG8xww3GbIBZ2By2dc1dv5xwN1Bn7zvppHg0Uw6gx8137m
mIhlDOoMfIOPj/ZZ4RTUGfjnqJ/CNyXpOgX4SideVxNPOt9YuaZuU0PRe46+
i+LEjOALqDObg85sDjqzOejM5qAzm4PObA46sznoPKQ+RGc2B53ZHHRmc9B5
SLuIzsAd+educb2VzwWdgSfcG+D0yGdyQeewDxmvBgc/DtGZzUFnNged2Rx0
ZnPQmc1BZzYHndkcdB5SH6Izm4PObA46sznoPKRdRGc2B53Z/PDEdkWNt3bM
u2KBqnmaqZwd+VU1MxTVkbcMulddtbvBkau9yx9+Q53bLpgpNr7THfnTPPl1
Vy3WM8BttrpNtW+4z/lydbkWM1kFueP4nfN4eKo5eofejTPoX88I+tqN4jh4
MzKePzia4c85qw55luekWSLvbI3YGS71ihMyWent+gBLZrrPyROue08gD334
7tHXGhfkaVpLnRuKXnO0jX7k6ra7MEu8U/jOWwUwcrv2qIVLtXB+ROX3/Bzr
zeSWdh8dnR/OBI9d9azI7i1n0eG/o73mhDGlt/j/rs+OZnrv8Js1FL3jfDhc
Ul9hkcC4mIj/efkkmdno9qx3cLCDo3QjYsR1yzxGf/Hf0MbebajbgM2iSOuu
HWi3wJ+faVZ7LGqIekIcrzvQrvWdDdUT41puxZP6n1A9IU4yec3n2SELVVAf
WG9KP+rbkJFD9YH1kcD6FQVdXS7MbK4x4yQXijrIpw2qNn85hRx0aO9Mclvw
P/6l1K0kc1EU8gkTtxb/2HoGOehzTe6R3AyjM4zmrbA1TfPikM8/3/2RcU1B
Drr5mF+p+62RwjwrmenhkZaA5R12CydL/kxDDuWPXtv39vKEdMa4JPeqqORZ
LL+5qaTf/3oWcig/ofZK/LfpdF4NPEcs7sWH5AJ8j1mLUj2kNLs5P+K331VR
Oo/v0SKSE2HX8AH7BbxHNofyEPfuXBHN/8x3Bxf0hPn82C/jFj3h90fdcH4e
ZPJT057qBvOl+7wjPo4+RvUBflnuhdr7WVQH4Kvmrdu0jZe2F9olVBagvfZ6
PraL3d+NzEJl3/SqMPXV0UsXaIZzLPO+/FE6shPbBf2aWdPx6epfA7RPsGde
w4Kuv2uV0T7BnptOzL2dVa/MgJ2DH7i/30Ct+pcGPgf6+9+LJdpv/JTRnsE/
cGZ8qgreQv0AxK8qBY8uu+9L7RyeEzRCWUvckfoB6Bc2hePOb850weeAf/i5
QiDnW7wFlod+MXvTzjAdXeo3oPy+93dX7+/3Qo7r4u/qrc3jqT8B+7zozN96
6FkoAzp7KjsXFdkNHb9AT8eBly41t3VRf9DzqPHJ0ONWBjiuQflTsZd8+j7N
4WqM4jHmODgxRgHKg9fscjmBnePz6qTXYXl4j6EqIcr7kiXR/4CfSdW/v0N/
nQaOg+BXM9WN2/xj7FE38CfpH+8Ld622xHUK6KatEHR7QctxnI+BDkXubU6q
0WfRHqC/FJkYb2uVVcf6z4tuuGjfUMSR4g3wiVBch/pA/YUufF2yY982ro1o
Ven4ThtGe8U/zjw8XI6QpfTpZ+N0uEZC0+pd9x7E54TOce7d/U6aAQ7lHRdI
WHh+XMCAPmCfp4zuZL24Ogefc3+kWka4VAWnvHTSNJ9xCxmYP4B9XjOOm/ZY
xIBxFFyx47zVIcbH/m1pQ9Ejjnl4XOfe4zrYL8Bu5bb5Scz3XI/xDbDb3wX6
etYq9kwV7+Ws0fk+TL9EyK8iu2ecPZxd3xLW2OLvQvmYivp3/wgZMOv55u91
kvNiDJ8bn2goesEx+2zwoHqxGT6n+JTMRB6eOs7t/ibbTe62jD6vckfmIj/k
ii1jSrW/OiGfsu7PWSnNes6OMeI7xwscwDgA2P/fbYuaxy09xDSPeDxXJfsk
4/q5QkYzvJEjHJqkNPenG7YLyid01KQrr7TH/oVxqvcPTeWvuzDfeDpTPdIC
GbG85XM0w5s5ja3dlk8/0O8XMO48Hc37pcYtCPsX+M8fZR7izBQaV8fx2tJs
2gSdWJzPg/+/vOVLjLV8LvZH6C8y24KSRAV2oZ8Hf+jQvd59z4NdXNAH2vvl
+KrJs3gO4DoCnq+n3TTKclwmw/Rrnzx0+yyzrPJsRZFdB8fy6sqFATNzmKM8
ri2ikiGMhmC8bUNRC+dA7aoV6Z0nGOujH/a6nYxl+B3lfaU02zknP9r/mpCe
jPUczm9DP9rpaD/FQXkn96iMXIDmW2NsV3OCTUjq3e3IoV8Y6i18qbRMH/sd
9ItZbvf05iSsQy6cmBWoGV7G+fszaM0UQyUu2PnZfdz94VI1nJuK0jkaPjpo
/2C3fy/Ofjdymw7aIdinl5fUsvY9tsjBPxcKSAkYulAOdii557xfvynloL/I
hN6wTWNt0Q6fpccU2zU0ce7nGV+b/sON4ecZIVL3JJQ5uJu30K6hlXNT1q+0
a0UAIzY4LWjswyjm+aQaxXCpd5xvj8TarBujcZ0I9vNyjMaE24vPMTIDK4Q3
3I/D93JXwdLsvXEqlof3HihqIt0xl5aH9z6QyTHT0U9FDuN14PLCw6G76Xof
frcnY2msVU0GU9R/W6NZJRF/t/PcEUe1wXTk8Pz2h44fcqbR8vB8k21dHN2J
Gbg+ZY87YA8wvngH2y+t6aPfK9EeJJ6HRPw7XoA9wHjBP/v6dPUP63C8gPcl
biy9YfMZ6sdgvDDO3jo9nmOL4yb2676IANuTdDyF+dLRudMVCjq8cB4OOstn
ze0LPBKPHNrbIu/tb6mQwEA9of8eHrHR9ODWdVwYv2Acab036te0qRboV4H3
PxWa8OWSPtoz9BeNwBuh20dtwXEE+oWQ9BfFy7sX4rgG40JMDF+BhLkW6gnc
TPbKJ9Xr0ji+QD9Kzn6yZP68eThewPhrdshGonzHWqwn8CTBRrm5P/XR/4P+
zefezGyyMEU9oby6pdVDhTwv9OfA3X3K+PNrPbEfwbhw5+m2NJ9sNxwXoH9N
c/fpMKl1Qj8M475t55aFDt2hyOE9Hv6Q3cUrEsaUH1MvSB8bjv1R8krxu8Kn
Icgzbtj+GBx8y3ls8ONv7cMQfL9gJ/MVHnHdB+l7B//v9W7vElPVBKbx6G6Z
xlHR2K9jdG/qyD2Lw3k+9K+7kiNHud08jxzsR/et/KDSnDzG59bGCCmvZOxf
P6OX2G6WP4/vHcb35u2H9LeW0nkFrMvkbwX0mwUswPcCetru+PzPBCEz5OD3
5A1Nl7vNMkOdob+UK4RJlv87/noeEerM80nC+hSWJ+vniGZh/SHu97GA84+J
eh5jNfDePEAihTGXEhTRDO/ktE96oDTgn48cnuO+N3ji592UQ/8q0lqoVOeV
j/M60D888EmOQMxxHL/gPXbatall1Z7AuCiUL35xu+9VTgSje+z5eyYwEt/v
jGUH4j8LRmF5eC86zXwze07S8vAeJ8tytM1G0n0IUM9rqm873/Ql4bgJ7Wr1
UlrzPSCZ+XTkUPaEkQnoP1tcby3LnpeGHP0zN/1zoBzlGN/eGJfltSwN570w
P4xx3C/y8Tb1G8BXM937bfx3oN+AeePSp1kHUix1sH9BP9U66L9xSYMb9kfo
R04uD07E/6T9EeZFCzhLJF/cc8N5EZS/XjvyoLhqEI53MK8wi1wpXz//Xz87
GKTtvDkC9TctCZs9Zk84ctBZyHFJiLg2/Z4L73H1ipyttWKxOG7Cc/JOi/fG
lEejHaKe5l9E5mjlMTA/h3nI9W1a8wWEt3Bhvgf1nNb88PX3Th+cB4Jd5bi+
PNR71YdJHch8mK0Rg+/RenHJn+U/E5HD7+6MVh38kZqI61+wf30jGb1VhQUY
34DnN+n5bK7rp/EN0EH4tq5Sz366HofnLzv49Oy8f58L7xf8/y/VoxvNFukw
sE6B9v7onnas7q0uF/pX6FF7/Yaif8fkzJMTZ87OR7uC8XTCQ+Hf+Q4W6B/g
+dnefz2uCphieVj3Hdc9ecfMyhw5jOOTk/de7Cw1x+fA+BVo+bC0ttMYxwVY
R0zzdtoitIGOv+CXPBqaq697ejF7RxhaNs07jX7MfdvttttNR9BvgP9xuFFc
V+aYjzpDv74ccL/xYcRJ5OC3eyd7rPY9SvWHfp0wTShmSWckcuiPVn/mh17/
GoXvBeIbJQIXkjrVE5FDffrDr06RD0zGfgF2e3TAyHLqKDoPBLs66P4qLOZS
NM7TwH5SV8r3Cn1PwX4H7brzIvFX0pFAfD7YT9j6hoU3jpzGfgTtOv5xaeNf
yRj8XbCrLrulsQZi0RjngXZl2NuXL39P55nAx/Is1T/HTcZ6gl3pBPN0va1O
xueADqNf/LESDaD+Dcpbm20Yu6YlFe12MDKUZ11lz5B4F/fCLSXvaz1D4uoX
FWVaXjf1DImrf+zlL0v70TMkrn5RTGRX/fjeIXF19enbdlTL9Q6Jq4+Z++pt
67beIXH18M+Pt3se6h0SV9/ppqI2Jqt3SFzdJJhnypz63iFx9cSXxwV2TBj6
/cJ7O89Pw61Dv1/salg+e0QM5dsbNiy725I07HeNzSwOfsmdxbm7M7Pm+q5k
ekJeJ+ffpLrl53L7klT3MNETHnxveUL5LwePDXW/XZn79qqqlu2Uv56xyTpz
qRfTvN13VjAPbe9i/fVuRfZ+zBOrr91lMylvkp1kHn3lNPPp5pxVR5Qp/2ad
33KVL5Rp/zDy5jpbyvfeS7GqvBjOSH3h/HPuDOVOUTpplTZRzLaQL5KWlZSv
GzV28bl5MYxV/ik1g5G0vcuMbF/avo9j+Ko07I9qUD5bz3Px3lv/9uPV+s0C
UZQnDaPncPY5nJ7D2flwOg9n58PpP5z9D/dehusXw72v4frLcO9xuH403Psd
rn8N996H63fD2cNw/XE4Oxmunw5nP8P13+Hs6v92vx7ObismzeVnHHbjeL3f
VPu5k7cerq+BZ1UVvFkqo8jNPfn+atM8T4zzrNfKffTjqAYDHMq/OTM2U9FL
A+cDUF5vwQcZP39zRn59W9HYh37IXewKLMt/OCKH53BW/FTfe9gJx30oX+Fs
ovppridyKL9nIDHu8L/rxwRuzfh8n2As/3zinWkzbH2QQ/nRa42P1dX6MB2s
cw0nybkGr7OmRfMS6bmGyoK3fxsdQ7A87ucn+/OhPPB9j9bsvc0fykwl4yw8
p1te4evasAjkUN7qTekhzc4I5qJJrcWPn9H0HMcGk96tFdHIoXxpQur4aYti
GC0y34DyU/ubbQvNEpBD+cMj3y5a/iiBaZuxefx9vQQsL1nYfCU3Nxk5nl8I
ZKw2diQzR8i6D8rbXh10P6d/DjmUD91/6+DZ6HNMwIfdbzYa0HMZuyM3H+Us
zUAO5fkk91XGuGUwYIcw/1SbeHWUw/TtaG/A9SWaIyvyNdFOgMssbvps8u/6
FOwBeFljbKVP+CF878APiFvvatvsi+8RuDrZ/w/vEfh2ucppOjvpewS+78bz
ICPNSHwvwFs/K/pdiKHvBfj1Z7wjtvw7PwSdgR+Si/CKW5iCegJ/WPXsztIW
qidyJRV1uwdUN1jvJ4vJtV5Jp3FU4I0Kuakme9ehnsBnFX2N/7NpI/ZT4JLf
+h4lBVqizsBXbb+94Ego1Rn4O+P+/qodh1Fn4GOF65wkHlOdgX8k+/9BZ+By
eippfFepzsAffped3HCF6gy8fP3B0X8mxqLOwKXXip+0qKE6A3f9OE5F2I3q
DFwwmssvuDINdQauJZoslCWZiTrDd5MWIV09izE7UWfgR3fGRx7ZpIw6A/ea
cf5X8Xtqt8Bn9lydETPBGfUEvunaxBNds46gnsC9p349tlj/OOoJPJns8wc9
gUvfMvseMDMM9QTeprOtas6SKNQT+GDwufn8Z6me2C73rYKy9kmoJ/DCE/kr
tzymegJ/Ou/tApkoqifw9AQ1s7wAqies7yTFPbPG1RihnsDzJ7/qDpqhhnoC
l3HrExDV0UR9gMcOrBAVbaX6ANcm+/NBH+AbX6aqvg2h+mD5/rkmskVUH+BF
jwX+lq6NQ32Ae2ltmBk/6yzqA7y22NHcdFkq6gM88dx7t0n86agPnjuwiH3i
MDIL9YH4W4isdoO09W7UBzh/+JeU1YXaqA/wowNCV1Rnq6JdAV91UjDZ1/so
6ga86KXZtRk2fqgb7sMn++1BN+C8Lv+UzB0VjroBn/HlanbwxjOoG/DY6Xem
MT1UN+DunxaIrOmhumF8/lqfqlI61Q34Eu1RZb7HqW7ALxZr+tlFUN3gu968
KoGnKzStUTfgbQuUe7U+6aNuwLO6ozfYxC5Df4j78LudF5aJWaBuwDWvbI0p
r6G6Ab9E9s+DbsD1x2rOv+ZLdQO+SlIsbLCD6gb8YIvqsZDceNQN+OiMjp/L
99DxGs8FXDB0UZWm4zLwsrCBpb/E6PgLfIFG9VJdhWzUDeLkW5mZ5h/P2qNu
wNNmP0z/tMscdQMuzdm+wv61PH7XAF63U83t4loT9HvArRebyj2VPoD6AH9S
+WpXXSfVB/iUayHTzxyj8x/g6qKVI9Oc6DwH+PsxS9ccaaH6AN/TkXupqpjq
AzzizHYH7m2qD3DH6YvtDH5RfSBepLu1lU+9/SDqAzw/c9nEV0cdUB/gm85Z
95XaGaE+wMuPvPvtIquB+gCP3zcxoUndDvsvcHtb2bG6pYdQN+CP6y1u/f6H
zidxH/tCh9CmBqobxrvm1rUL/5OIugFXeON9plAvBXUD7p7h5RywOQ11A26r
kh8ufDATdQP+T5HwN9nHOagbxM1E/xx41zTGF3XDfenPQ7J22R9B3XA/ucBd
lxcqzqgb8Nr5AyXXHE24oBtw42PdCfsl9VE34HJu+0JOLHTB/gtc+Kg/f6UU
nf8DVyL72EFnjMO7nrmasYXaJ/AXNQ8NVhyhOgPnnSz/indsIuoAcbDrzQq2
AXvDUQfgZnu55l/lQ1AH4P43t3YrNZ1CHYB/uDrf9leZN+oAfEbx8Vsb6p25
oANwr4xplZf3beCCDsDHeHat+f7TAXUAvpTsMwcdgNsb2B9M4wtCHbBdUhbe
o3bReRrwpPJeLf8w6v+B80T8Jy4KdoX75Btft74upvME2Oe842fmjJaWDNQN
+Ezv2dsl6tJQN9wXvWL/xuKkVNQNeNz4U/35K5NRN+CJy7obedbEo27AU89Y
rzHMjkLdgPsnCc+vPxDC7WDtGx9L9o2DbsB/Wszbm29ixQXdgGffsNXY/MAJ
dQO+Pze/x//1SdQNeFvH5xmDlRHYT4G7zt1b6S2QgHqiDoLJRzJ0UrGfAjet
UTAofETXEew4A+jM5qAzm4PObA46sznozOagM5t3DLNvHHRmc9CZzUFnNged
2Rx0ZnPQE3iQIjOm7FEexlXY+2RATzYHPdkc9GRz0JPNQU82Bz3ZvGOY/eGg
J5uDnmwOerI56MnmoCebg92yOejM5qDzaE+H0SN4Cjnx1lq+u/bo0TiVZNo7
h4YMzu/vrvfWjqLjrFbqU8sbdvEcgZr97RYraHwJ9mmorJ4TvcGQxpFeDhT/
ldX04fxsO77Y14OOFzbVs679P8WLJpH6XKy4yBX/FYJ+0ol8j/tj15P19DmN
8xSTeq72qSjSHkXjBrzX//N9LSzlqz9vHI3bRJL687evGO92l/rPOTX/qf8j
nslcIRsaN7Ae/E/9585O3Fq0hvb3I8EHisOlbnMOz/bs+C1D4y2cy+o7G4tK
ONdOHlsWZUzXrT5aOZwIqWKOU0uMVkgJ1Q2+65n6GNyVF6HxlsrW0fM2hl/m
eF2RmNjQSXVzGiZu5kPqM/1rZ7W2Do0D6JH9Pz57jjreX07Hl02kns/zXgt/
PUB1+0T2z4y/L5D8fAyNA0SS+kvU/Y1eyUvXrfKk/otWGRob5lLdGkn9Fx+Z
mWzoQ3X7bprXK6VZyemqNBv1Up/GW+A7u032iuUxZkrYT+X7xj1rKLrHyWpN
use3kcZP4Ltq77dD+r7VVLfG9cpqV+3uch6Yjj6StJvGTwpJ/EeDFaf6Terj
t+xT+Lw8qlsVqY/M91df2xOpbom5TaY8POWcznTnV1e6qG6OZP9AiWqJSkQo
1U2Z1P+5jWEsR5PqNpHUX3+e3LObfVS3d6T+bfVGW24/o7oViX0LaSiq4cR1
9jf0JhigbrDvKMnTPuSbiTLqVli+UcC+4THn/pb7KpueU91g34vM3VG6WrE0
7qQnethDM7yKo2rzen/YW6qbNInnfGLFnYpJfcaOa+p7OpHGAVJJfSrytPad
FaVxgIBbgZqa4dWcEZdE+1McaJzEheynujpTIa9eisZJikn9D7o3lkjFUd0C
SP2rRTeu6NOmcRJjUn9by3fFbXJ0/nPAOyxbSrOWM/frs5iVsjROAvsYv78K
9vTVU8X+qzp/oUW41AvO1D4bzZW/NVCf9gOGtXYNTzl9nhJ3p9jROEk15JFg
xZFcye+GZIw+Z3+c6mNCfves9EmZ8bFUH3Xyu3WtvVoVAnS+J0e+7yu8WDci
+hHVZ+qjO+I8PM85LYOK80p+UH14Z/1n3+baC9VnFC5RfXpI/bMGdj5lEqg+
i7sX37VrqOecvrC+Y3uPGeoD+1sSL4qoRNVooT48oQ8ONxS94qwbsWKAR3oD
6pPa8PNjkd1Lzu0nx/sTflF9Akl8ZgsrjrSU/K59gIXG7n6qzzTyux90jCar
LaLrej7yu5WfM25dKqT69JL9b7z2Kso5QTQe8mKl2SrN8DpOVavYE9HdNB5y
i+x/UP17rVtsPo2HZJL67+PzcW4Ro/GQbt2qxiK7N5wQyTG13/ytUB/YR6fr
UVB5MZyOmzd/Wp6R0mziaGjxK5wZuw71MVE9M4qHp5HzKibzkvBRGvfQGCZe
9J78blleevZtd7puqiW/e2V8r7R4OdWnlPxubk1Oafl+GvfIIvu3n/34VGSx
nK7rw5L6t4RLveY8v1g+dXQD1ceT7Mt9mWB0yjiP6mNB6t90+TyvQQ7V59nr
FX8GB1s4jZfHiMZZ26E+sC8o8vr78NO6ZlQfuRF1RXYtHPdUH36HJ5Nwngb7
oDLWblGM8NuNOjwnz9fS5Nvn/IbqoEmeL76o+l2GxX+t08nzX4yzN6xeTuMb
y8jzf0fOav2bQ3XI8H102a6hmXPrplToeCsa35hO9mutPnZ39TwNGt8IqY0N
k9Js5pg3/q1bo0fjG0vD+U5JabZxbPr5ij4/dUUdYL+KePPHFRvv70Mdpr17
YtlQ9JbzvE3Zxpp3G+oA+7VOJFTI3NXVx/kDr3yCcrjUW05foc6k6+JOqM8y
8rvWnpvMfo6mcYxM8rsFZH8Xrq/J7+a0tUw0eUn1CSW/K/qmd7OFFI1j8JPf
FWx5Ud/zi+rjQfZfLdTZpVr1nerz/rTNTM3wVs4RGc/T/GI0jhGi9lRUM7yd
E/jB+8NMXh/UB/btuJ4SC/mY74H6uMcmfR4cfMd5+VKgbX7MftQHz6m5aRgV
Xl+H451Z797HRXbvOJc1NfadUd2D4x3s55kau4r7WNYTdQsl9Sm4wzVQc6V2
NZLUx53sI4L6v/+dnGLX0Mnp3eJdxVUIw/rD/qLNa7Xby56exvrXbrY7KqXZ
yZkVqT3budoH6w/7iNL0BCPFXrlg/W8lKxg2FHVwBJpeCgg4bcT1COwvqih7
YsfLY4/+JPPrSPlwqQ5OR2pydoaQN/oTcRI/WcuKw3wg9Q9cvqPmgUQwtteC
1N9xW+XEWR50PHpJ6h9xftkdt0/xqINWgcPicKkezkKLr+E/pqSjDty6Fwl2
Dd0cXTPZNeUHUlCHFbyK/2iGd3MKJQ2Xd8TEow6wD8q9t8P8s2Yk6iC+Xahz
cLCL82Utr4DJZ3/UAfY7vWuM0/aKPIjrspFZz8uK7Lo4Vw67XCz6xxB18CTx
kDmsOMwmUn+eDcUqaUarcV12m9Rfb7t87loLb9RhJal/wdPrD3/fCcP+kkPq
f4XsW4N+EUHqKbPY2s/+v+a92RZKN4rshsYHZgSlLQiXGhofCC8SjrFr6B2y
nhVodhTQDO8dsp71HPXSRUqzd8g6NIf1u9BeCdbvQv0/L1v3dnCwh5PsbZ5g
s/s49msro3NbG4p6ONo5sbPV3ZKxXQJiYzQaioau09nnFKBdH/a+kgqXGrpO
Z5/HxPhSSfoIzfAPQ9bpmzr+cZTS/DBknX5b5EDT4ODQuMeqYeIegqz6gz6H
WPUHe/jEqj/YgxWr/uA/61n1B521WfUHne+y6g+6HSfrrzEzflufKKL7RhTI
+uLLLDFHryJN5BfI/Hm0TtCnyXwbcRypJvMiq1oPtRRzZ+QwrzvQ6xXBu5/y
QDJPOOs4ebeCM+Uwz1m+92aFgQn9Dgv7nBWy/iRezjiKHOYDwTyyhWbqR7E/
dpPxYq19/rmr78Ppdwriz49O0e+Ik0yk81jix+JsBVL8Y3PRDstInCHRehbn
W+s2tB/4ztVe0tpp4O6M/jOIjOOdzbNazF74IYdx/GXzmo2WSn7oJ13JeDdz
3OgfWuHR6Ae6yXi0gJyPBq5B/LwfOR8N9mBO2vX4Rpp3qHsa8oNkvMvdZ9ll
FUI5l4wLd26e6k5Oofw58c/zY+tHf7en3xdekvFubNpz95lnM+n3LDKu7dOo
LBdvpXwlGV+ukPMI+H2HjAu+8d/TpN7Q7xSCxN/ebzk4vndLLnJN4lePvhz3
KzGbri+4LHsGDvtbYnauNQyp2Ib9F74f+VxXHDe+1Q/bC98FzpZc7SvKpu0F
btY7ynGEQBbavy6J8+z91vOi7rg6clGybvIM9Ar8PonGZ4DzzYkVPDGB2jms
ByXXv29/MIdy+O6stuHUR5nNlKeR+WTqxsC4kg8HaH8h89LmmXymn/3pehzO
wRn3Lmma50f7C6wv8gdFuudHUQ7fH48KRkUmZB/F8e4WnEMn+ZqATyP6cMh8
APSH/eeir87fLPqH7lsDXhzpcdFQXhE5nKsSzZz/4ryFIvYvOH+UPOLn5FOO
tH/BfF74ua159Ds/7Ncwf2tbe9IrSy4Rz3mBPdz07vPb5amIdgK/qx8hZ1bw
hNYTzmt08vkX3uug+3PgfJahlsJUW7WN+N63kfiA3ZIIj4tTqT+E/fPS0X94
fcSdsTzwUbl/7OykqZ3AOremPHil9n+9d1hH582XPt7vRv0hnJ+1jX41/9u/
7xHthHBZ3ksrrf/Lr8L7faVi7pqr6IzvEdYFteT8LPAS1nsHf4XnHyvPpE+p
jcZ+CvPP+Jxpzofu5uLvwvr0kMWVVn5XZ+xfUH71hErd85Oy8P3Cuk+ec/tB
6BvqP8HOWwRbPTva/NDekkmcNmvzLN7r6/Xw/ZaTOKHBepnMrCTKYby7yBvC
9/AxXV+fInEk69/TLn7joe8X4mN67d0KRqV0HIS4TaRRm8vUUE3U5xnxkz/I
uVHgL1gc4wxEz4XEz4NfAh5YFatY6ZeG5T+wygOfSvpjBckLAXzjMOMF8i1Z
Lt7R9PkzhnnOdBaH9wj1TL7j9rDvXibaJ5yj2Ws+Qaem9AhyWLfK3MiuNdx1
GDn458mhsf2TZx2l624yTj2WWPlHOTQB9Yf+29jz4eAdKfpe4L1H+H+SHnTS
QD8A8cnE7o+PnC0Z7O/Qr386xbgalDNoDzCfmfVmdv21yWr4fPBLE5etTOu/
uQHrD3EtBYsap28rqF+F8r7pDx6FitF+CvGf3mWZ57Q0aH/kHWa/SiCZV+in
llWkB4RjeROi23WStxC46TDcbBgeNIwfuDmM/w9hlcd9MmRd79u26aFIZgL6
By3O6ly7hjZOl6Xni+7OHORBZL0cekF9MuNGx32wtyspzyd+CaU8m6xPu8cn
9IanUH6D2EnDV5ERu67lon0uIfOQy2QeAuXhu/Z9a6dzy8Jz0c+AP8yy4DMZ
d576nx4yn/wqLLY1vJZyiJ8o9b9y33HVD98XPMfgmMgRvlERyKG/LBrJv+VJ
PZ2XQn80Hhd1abYR/a4UTvTRflah+PAcnaelER1eu68TL8lKQ/uE8Wt8d4O9
5STqx6LJ94WF+etjbn+k/QW+myg6pPB1/dJEu4VxdrHOhAK1ADofAH6LnCuE
dk0l8Z/giuzAr0K0vRrkvV/fNn2KFw/lu8l8dXFWbC1fD42ToP7njvhZX6H+
M32YuJMHmd/mb1/XMyCbiDyY6Ja1/Oz6KjHKs4huszrNy2Q//Fccj9jJSnKO
D/RpIN9NfvAYvjCJ0MRxB87x9dxVPlmyTQ/Xj5DfYIpE81RDeer34LvA3L7p
mw4GUg7zveNbAx5J36H7SzWJbqcrjr/d1HUcOcS7RoeFfxAMofvnMV/l/qXX
f8/xw3ZlkHjCQxJPAD35yLzdg8SjoPwmOI9GxgvgbqS/8JL9IWAPYM/3yXk3
eD7Ys+jIGWvO+J1BvpTo3EvOtQFfTngP4WDnM0nc5kTHzp5VHanIl5H4SWTz
mnYbJVpPiP+UkfZCeeD8E9/kjjNPxfKHSLsGyHlAKA/+ISz/fr7iKNrveMk6
hRs3a838Ihq3HG4fxQcS91hodl5vy+tcXI9YkLhHWnqD48bpyRhPqCP7QFzI
fhWw2wgStzkp8vei/aICjA8IkbjNH8Vld3mKUzE+cJjEbW5e5O1O8T+N9fls
ojxtu2LvkPjG96fPksR29Q6Jb7DP+0B9jvbp17fzDN2nMbFl1Yii5UP3abS5
7zu/cf/QuFBGlYm2Xu7Qddy99RYn1ct7hsR/ZA2MIo3re4bEMZ6O913Z96Fn
SPwnfXqmq7bA0LiWoff1sLRZQ+Na6TeC3qac6x0St3kjo7jHqrp3SFxFd5jz
O/9/1///q/f7/1aH/9v2MJzOcL4P9pksaM4+JhxjiOfsgI+x8HG0mELvAQF+
fNH1nHpVeg8IcPcnq9cuuUHzGAP/al6nNq6T3gMC3OevRUbiJ3rfCvDVuyRM
Ug7R+ymAG21YoTrYT+9bAX6+1NHPZpDetwJ8UcXz2a+P0XtAgL+XKwzML6X3
gACvLxu16tsAvW8FuOmsvsDSI/R+Csjfcv5O3bQvosZ43hB4sFKMrK0Ivb8D
+Bita3a8uvT+DuD3dqbUDWjRvEzAjc5fkZtoR+/vAJ4VHCghcZ/qA3xr7bsR
XD2azwH43Dxrzn5zen8HcOmJ4+rmfKT6AJc9/tHKuZ/qg/VR2xdUv57mawUu
We1p/uBBNp53PkPmS+WXFWUFKvTQ3oAfvbtfq2CcKeoGnBMpmh//kuoGPJsZ
VyP7geoG/JvCq3jjIqob8PefPUbe+Ep1Az677XJ49H/lswJ+yOR5v9Flqhtw
HpvpZbLVVDfgu3jufTm+kt4TAVxLVOSC+3p6TwTwZx8/iH8JproB/xK+e9Xn
aTmomwNZT7ndtWkuddBH3YA3n4lqmPCG3l8A3JTkvYH+68DKnwY6A1eZvKvr
VQjNqw88JKZWXDGQ3scBfOfSJwZG8+g9EcDLVvjsvHCc5scGrrZo/algR6oz
Pudh960nM2jeZuDRv6/riG+k93EA9zF6NfO6J9UZuA5f152eEKoz8MtOgaLn
2qjOwAsz705sdqc6TyRxxdDtWS9E2w1QZ+Ddolff3r9ijjoDv6mQcS+mdCnq
DJw7z2bdlHFUZ+AFD8KM7ZfQeyKA8888/bt4Ls2rD1xv96jc/liqM/CBGvFx
KyXofRzAfQtLI5VrqM7AV54U6/8aRnUGPvF9DPdCDdUZuIhTssO6cqozcNnl
p87P76A6A2+9yRcdvYHex4Hlx05cEvSW6nyV7OuQHn9w/KVQI9QZ+H7n91/G
bKD3RAB3lty9UDduDeoM/PzlcuvmrfTeE+DFmbPOjwugOgNXvzp6sOwi1Rl4
mfDyGokxNK8+8ATDuKUvuFRn4LZW0mk6CjR/C/ClMrnC68fT+ziAz/fZXqVk
Q+/jAJ5+KcJljgS9JwL4Y7tQuTxNeh8H8OCPs+JuXqI6A2+T33Bhq3Eu6mxI
4oSqjRoxxQL0Hp/B//33hqNC7uMA/aG8xEiZTM47G+RYntzrAe8Fynd3pHHN
S1WRQ/ks1r0eUN79rpXkfaXtmM8Hyk9k3fcB5dtjTwXaH6DvEfjeZ+c/N0yh
930AN/KVaXjkdhw5PJ99DwiUv8zHTeuzCEQO5dn3g0D5VVu3ThDPDEcO5dn3
hkD50iV789Tjo5FDefZ9IlDeNTHn3NGxicihfCnrnhEoL7PZ39PMKwU5lGff
P4L1n1ijI1ichhzKs+8lgfK1yeefL1+ahRzKs+8rgfKjf0wXaO+kefKhPNxj
Anb4lMSlfxaPfdGtvh/tDbjCzWL9HANntCvgM/kb1DZV0Xkp8Ekl3MR3T5TR
foAL7jr90Pn+XnxfwPf+HLX2iDt9X8AzR23bMvIWfS/ARXLu3orxofePAH/W
m1c23YLmFQS+uiropWMZ1RP4UucRMVpWNG8w8NstQgLnN+ShPmkkPiPWmqr4
bo0L6gN836++aj1bT9QH+ExxU7fQWTaoD/Afz9+0NEYr4fwK+KbkOWLfDljS
vKOE69W/0T1r4I46AP/ZfrqMu5jeWwF8Y2uU+J46qgPwQjHP418N6H0KwPMm
f4kdOZXeDwKcaew3ShTLRx3ge+tMP/t911yPoQ7ANULG+Zf6+KIOwH/kSxiU
dbmiDsBl5a0KN9y1RB2A/4y/l2o2SRN1AP6I42Mnfe4A+hPgNvzpU7vG+WC7
gB96l/Ik7y5tF3Dd6b9cHD/SdsF357HTrnhX6Adgu4CfS3y2YOHkUGwXcM96
51/zff2wXcCn/rrv+sb8CLYLnz9CRMz3xD7MZwJcPCNbV7tMG9sF/H6GTpCP
I817BvzGQlcTPR+adw64fKjGZM5cOt8AfoLkXwL7AV5M8siB/Wiw8nmC/Wiw
8ruCzhqsvLKgM/Bskm8cdJ5G4l32MxcExygnoM7AX5p+bnwWeRZ1Bl67WaFt
q0MM6gxc5MPsN4MzIlFn4GsH7vWrxgejzsB/jvh1wvmvL+aHAX7lcfGlyaWO
mAcGuLmawrzH781QZ+C9WRpz/J97o87AtcdlF9evDEWdgW/d+ULxME8M6gz8
afCH1j1L6bgA/MBm3RxHfzrfAK5Qcc5FV5b6K+CtE2UOrfxK7/HpJXE5dr4d
4LOyVjWcdC5EfYBbm2kfyeDkoT7AR2THn7lqkI36AP++YDuvyrJ0zIeDv/vW
k6tRlYx5b4BvyZmaGrY5BvPbADfrX1Q9WjAI89gAzxqXq1Xa5Yj5aoCLiCW7
lq/yRH2AzzNttXnzPAz1Ae6kfnycWHwi2uEt1v4KsDc2B3tjc9CTzUFPNgc9
2Rz0ZHPQc0h9iJ5sDnqyOejJ5qAnm4/xV/s7Ov8AxlX4Vzzcdm3Hcu7Kk54/
PNIOI/8e5X2rsUaXyV+/w915M407KartuBwtacvcUXb6nq1B4043dRo2uRw5
yNQyAQeaVWjcqYLT/NN+gTfz/exTtwAJGncK+p7ivWbCKWbU2d5vt6fR+NJk
k1ENwg6RTESSx3LjGBpf8mpvLgw3i2VmJAkc+DmJxpemDbxpmVuTxGQmRhRG
RND4kpMu32pzs3/HR+1Qt2ghGl/ab5ez8Gp0OmP8uHaylTqNL/VvefcwbGw2
5j+EuMpjubcRxYtonmfgPtf3f2y5sAfzWAI/XHUtUrPSFfM9Am9/GnQrodwL
8+kB7zAea7so5ySTQvI9AvfftfJlwexYZhHJgwe8tHFibFpwEnOF5EMGPrFv
tKHuulSGQ/JyY7zowZwpdQfSMZ8h8HWmj73edmQxXXdEXqWP9cF4SFN8XupR
cWum//ZC/cZRJ5GP6RbTnTPGlRl/W/XZhJGByFUseOpCrL2YCWZLsqS8QpE3
OKiUpKmeZNaYWKSGHYxD3mFz6dp7vSSmzPhTs8y3BOSBxkEeMRKpjLbxEYly
p7PI1z7WK+PopTP7F48suNBH4zneAoU395dnMdNI3nWIM9i8q5xlouTCLCb5
HoHHlKcM7ubxwjyNwGsVZdNz35xgnpK8gsB36bbOaRRMZYzIPRTAvzXeSKpW
TGecSV5Q4FJLFjzYeCGLMWXELhy6HYLr8SSVzI9hbieYfTPqt+x+moT8mYzi
cQ/ZdMYzeLn6QCZd15vOfhJy41wWc5jkoYX15uAZk6zzI09g/l7gbx3yS0el
ZDFqrPWmBllvVrHWiVfJOvEbaz04EPaf9WAw8Xu4DiX3P6YSvwf8KLn/sYi1
7ntA1n1trPVdDlnf2bPWcd/JOu4na722nqzXfFjrsptkXTaatf66SNZfZ1jr
rCSyzgplrackyHpqO2vdJE/WTQLET8J6YaOY9KHbgqbcJcRPAh8oEAmLL17G
nCd+EnjEBdFDqQttGC7xk8Dbv0x8uKTLnXlG/CRwgbIA8eI3vsxX4ieBj6zS
/sRsDmQEiZ8EPi1ea7TU9BgmnPhJ4EmaO0RqnyQy04mfxHWWyr2rFSNSmXTi
J4FPyfkiutgwHf0krvvqLkmIfctCPwn85iOhupNV5xlb4idxnVK8elbMex1u
BfGTwCU5XQ1TU42Z18RPAi+vTDZPFnJlPhM/iesjrr5FvJoPk0z8IXCJ0B/W
KgWJzELiD4F/15O7PnNcKnOZ+EPgB2MLiiqOpTNKxB8CD0y/Y/Z7STZjSfwh
8DUettcKJfKYduIPcd/p0tVvzazkub+JPwRed9z1+EK3vcxY4g+Bn1+hPpj3
6wgjQvwh8NCx0w3C9p1iNhH/BjzHXycuUTsb/RtwRavVI9ea5TFTiH+D+Xb+
j7YnIf/qvIj4N+BfFlkv/XtzPyNB/Btw6WcD5Wqe3oyG8sDyDfdP0/m5dMGk
U+1HuIbEXwG/5PShMu7aDq4t8VfAH0cOOB46kMF4E/8D866DR10d06KjGMlT
Zh4q2W7onz/OL66ZFafAtJF87+AnNcl9WJ0sbkb4HJVKhbonXugPF7a9VhL0
Mmd6yHvBOK3x3qZzH62ZSpJfHd7jS5JfvXrm8siQndGo5wPBvb0+gfHot0Gf
NeR+K1cWVyYc8t7DPGHD9g1Nl4zpPVY4vk/wWFAfS++xwu8aYm959KbTe8Ec
hrkXDPx54+e4yG9x9N4fiPPElFt+4OtyYbzJuADtbZU32vnn4AlGj+QVx35H
8pCrSWRs/9YQiTrMdeLfJe8XxeyayX268GUs8vpH578tGJPCqLP2aR8j+yhq
yPgI/BC5r+oFi/sQbk/sB55vPFHVYpt2FmNIxlNcL5N7rExZfDLhMD6CHQYJ
FS2r+ZDL2JP+Ajw3xb6ncEkec/PuNeu23uVD5r2wbmJzmA+Af4tpCnDaxkPv
sQI9DatfGswyo3mzoV1PlAs/XnKj91gBZyaVaG7nTUcO7WLf8wXl1QuNtx6u
ovd8QXm458uE3IcC9hZ1c46XgLIhN/rUszVZi1zRPpkm1ZAHoX0csDfgHX/U
H/ZfVGa+Tdw5cN5qH9rnyNsHIl0tNnNnkv4L/UuoaYlSd9wqRoDYJ9itIrmv
SojFVVj3WMFzDE3+pDolWDKDxH8ClxHJSrz1yBXtHOz/b8nvm8k3XZjrJwRX
TpI8hvbfpJ/BxEvvYngE/895iyyJY78i4ymUD9bwP6kY6ot5vzEuSu6xuikx
dcpOk3DU3/JZ4IYvv0LwHjHQzcTMcfwRNXovFfCEdOe62WpzuL7+xSVOco7I
Y5hD4tkD6/H+KXhftpM3LHb5q477IqCev7lnvvSI0HumwA63jm68PP8VvWcK
6vnaz+fB3sizuM6F57tdlzrtn70N6wnvV4jXflGWnBT3DLET4GaBm+9dMPnF
+cn6XnmRfK8E+4H3JRz/cf3nO8pMHpnnAM9xM0gbUbqPeUzGfXiPleQ+pkoW
v0a4HrkPAvhqck+TAYsrE57Omn/C/eP3yPwK9BxQu7Hhka8H84fYG/ARtl0H
BZ0OYrwanrOVzG/BDoHD/U2wfgc/UKx41VZjB72nCXjYrBuiZjNoXA7e152V
UuLF62IZ27L/+CWwk+Dqjvcf2nZxj5uUzd/0djPy7Qano6tW7uQ63Umcohx4
HOs/Y7Pb7bIUR5zHgn8oJHG5JLJPBuxHkew/NybjO/A1lueWXP9xknFuEucr
W039/4coudhd8snMXtnJYyd2GmB9lvT3hUSI7uAuI/NeeO+M0tF3p2T1cF18
lXUP1wViJ1B/m5n5V0Iq9zEdZBwHXu218/G0c9bMTJb+5UR/iG9APSOX8XdM
XHmOkSfrSuBfDsyXju5KYSTIvBd49Rx9hR33U3G9ALr5s+KfWL6rfor7mwzm
DlmfAs/iVT11+VA6k03mz8D3p7/k17fJwHUHPH8riaPCPUSgZ2HUvubi19u5
eG8U0eHq66Tar/NsGXs4H0HsSpHsMwc/Bu8xYQQ33fuzF1NC7ouB311B7g+6
zeIM614hqH/PPvsTcjsTkEN5BVIe7lkAP6P0MKmkPdcEvycCf2Uf+6isV59x
J34P/EkSuSfIi8WDCTcg98uA/ZjtMCplFvEyP8i6ALjVKqEQi80+TCtZRwB/
QO7xaWLxEsIjWf3djPT3V29c1b/couss3j7XbSsDgrFfA+/b/+xXokAYc581
z7xP5plN5F4e4HZeGd9c0+JQT+Dbxon/7JmdwBwm8xnQf1T/PfNxOvS+HuDt
E8IFFtSeZ56z9pmsIPtMGPJeoL3m5P4dVRZ3Yt3Lg9/TCYd7ecAOjd9YiLvw
HWDiWPZsQOwZ6gnzrh+zdLaf9jqP62gon0G+C0DcCTj7/h3Q5+Lpb1+6tI9j
HB546AnLh035EYwOa34rxrpnB3R76vL+4QTrCOYE6zsIl3wH6X+drWx6hfqH
V8q+kldyzjEiLP8QSvzDXLIegXFTTPCz0dWq3Wj/wJ0mfTxwJnEHs4r4SeCr
/Ss+8vdtw/EL7GrEEYdTd8I9cXwB7ub+pIF/TxAjStaPwNfdTb2gN/k0E0ju
tcF5KbnvJpTFLQiH8Qj4537REqmlscxksh8SeBbrvhvQAe7/bRLleB/ca03j
ru9t7wlrbOV+IfNJ4LqOjfwHFbS4k8i6GOpf4+McoNvpzUSReAX682fVq24+
SMI4D/zuJfK+NFnrEV+yHoH5D/xuRpDUIdc+Xa4RiVfguuDKqAvn7eh9NOCv
PDVO/7JUtWBKyTwTnvNyW4jPmNc7sTzwi1VORWrZ5owWWUfDOJgSurtxZctR
ZiJpL/CjAlXtN8d4o9+GftcsMUf7d4QXY0P8PPAD5N6Z/Sx+hHBLMo6Dbg2t
pkGnO/wwngnvsXswYIf+pVPMcrJ+Ad1iyb0zq1k8jXUfDc6H3547xb+e3oMM
5ZNI+e1k/Qg6uyxvOKaoQe+pAR4Z3OwjrJjE8JK4N8ZnyD01Aix+gnApU825
hodofcL1trXUC0ZjfwEueeJm3sdpgcwDMl7D7yotah5xuP4cxsGAL3kQc/Zu
Ob1HBrhKec3HXL1zzIim//gH4Mpyay9+qKb2xv7uBvNtNgf/MOQ7HZm/sdeh
8D2LzZWI34bndMuKuC85cYGrS/w28PPKcr9iIwu4HiQ+APxMUSTvsfZMLoxf
wFM2dPEuKDzHBb8KXGOaXm6cSxLXe6Lb+yIJryH1H44fI/uuob/kkzx1MP/B
7xTHkroVDuhzg4i/Ar5esKmi2j+EmUL8EvBjJD+bNZmXgl/tTjVLlLA04PqQ
9Rfw22a/loydpMpNML3ZXtofjvxR3AuD6lkhzDxiV8DHHTDc7t8fwRSSfeDA
20geMx2yHoTxVz8nfV/VPUNuDpknAHd8IjhidEkws4L0F+DLuTH+ylURzC0y
HwDeMP+FnVDxv/6O9BfcJ0nyfTmQdQH4k/cJgmvWLzbj9hB/C/yEsJHpg0Yd
bjFZz+K6zFSsbrxRMKNC4j+4jtu8f63e2QjmEYmPAbf79fVdTkgMs4P0a+B/
V5zrGT2YyLSQfe/AG0l+rXUkLgH+Kurn1EbzHRZcE3I/Gs7TmuTclhTrcx8Q
OwTuULCzqONnELOV2CHwGV+3loi7RjANZH4FvDAx6Xf1/hjGityLh/OclxMi
Qv+dr3wk90ABl9PZcTevN4XxIPvzgSuRPFeTyboM9+8Jy9qE3t/DfUrGO+Ce
aap/+2tMuGFkHQ18vcCr2qgYeW4sWX8Bf0byWdWSeSbwvr/8en3+QYzZG94T
QYqRyEtKDbb3a0Yw3U0hZdLX6X62RaG1hsLaMYwLWa8Bv//xUIlkTSIzQOYz
wDUcpNad+3cddOr1Kq/fy5Jou/JnVqxZmM74k/MIuN+M5K3iknMfMF5D3qqj
pF8DVyP5pmxIvwa/3XVZhVsU7MrlkHMiuD+K5HfaQvov+O3L29qKfT97cT1J
/wXOJ73SNm2SBzeVnCsB/oLkO4oj/Rq4wdv3JqUmYcwq0k9xf8tkpW/hlkFc
G7LuAD7XWurB33GnuI0kvgHcOvrG2y0l3lw+Mu7juEnyEWWT/o5xeIWva63u
BjJrSD+F8cL2RaWt00Ait5H0U+Abbz2rCzsUx51M4mzA+cSu9GZ4nOHOIvNM
4MGt9umFP8O4K8h5GeAvSP6fq6S/4zglUytuI+DCKJP+juXFfGXC/5xkqkh/
B/5V3NWLzyOCESb9l+3Pt5P+y+a6ZL3G5u5wnprw9b7/yZPzgPQj9rgWRPoR
m18m8zE2tyfxEDb3uX010u2k/xAeRfojmz8n/ZHNTUl/ZPMu0h/Z/ADpj2z+
l/RHNj9J+iObnyL9kc0DSLug33V1R4qLGR1m6kk/ZZfPI/0F/PNJksdjNbEf
4Dwkj8dBoifuqzyV983qix3jR34X/MPU776TtCsPM1ms+FsIib+thfNcpLwv
yZPgQr4Pgr/N9gpJC/LWZsRYcZ5rJM4TzoprXSNxrRzSLhiXpcj532ms9csF
sn4pIOM4+IcMcq52HYkXgf2XjN8pX+dylvmHfFeF8tc+iOu/8I7B79FQHy+y
v66ZjIPwHDjXaU3m7WD/n03/c16ynoxfuC9rWv73l6OiuJZk/MJ+NOl2xUTm
BPcDGb+AM352M8a1q+G5OZhfxW1rjOO1p/lyga96beLw9TbNMwx8sfD5hb4V
NF8ucD9y/gvOx2GcKmP7hOAmmk8YvyNEFGjUStD8rsC9Zfbw7eHSc9/AOfJK
s2c103zCwD8W9PFeCKH5XYFv7X8zr90+A/MMwDywxfXOJE4XbS/w1FuLy0X3
0Dy3wA/WC6kJLKX5WoGbkvNc0C7gvmW6TSeP0XYBf1d1vDpsIT2HC1yfOT3n
wDSaRwJ4z0eeFM4T2i7gcq4ZZhcuZeC6EuzZc+uTwbhvFthe5CIT9VZY03w4
wG2yFRdKi9L8tMA/uX0QOnuWthc5OYcF7QK+gzdK70EybRdw0ZHCOaGGtF3A
801+9uyeTPOmAv8dNMnxJU8m1h/msXX2d1/cbqb1B94iOmas131af+AKl9sX
FYrS/KjAy8n5Jqgn8E7R5NSINFpP4PMcn8qZWNN6Ap+UsnzEox2Z+LvgD+13
ROw/Hkx/F/iIp/8574N5iQlPfpUTdolLn4/nd/zVOdrX6fPxnEh1uaL1KJrX
FHgyOecCz8G4ZUGHjMVCmkcU9/+z7p0B3sS6dwb4dda9M8DzyL0z8F5wPw/J
mwT1B86+jwb8/DVyjqODtc+HnfcDOPueGuDse2qAs++pAc6+pwY4+54a4Ox7
aoDDPTWgJ+6HsTdKKNHfTc81E77M/MOYTstl+P0Ov6fsTnALcTBF+wf+7llU
91JNav/AdTXe1t5YfhR1AB77ucAryYnmhQD+cIK+pJAxzfMAvPCjjNTrZ1QH
4Lm5xh71WVQH4DvXlYgczqM6AL+aptV9uyUb80XAeMqR0n6/eJ4+thf4HdmZ
L26t2ErzNRH+Le6i/bT1DlhP4PNMV3/xV6R5e4C3laTaisnQfGUYJ/+iOEdL
i+ZVA+7yd6SEZFwO2jOM16eZOG8Tk404PgIPnDD/vqKFOc3nQ/hCoZrMhTJu
WH8Y382Kv+6xc92F59CBV2wUeiu42hz7BX53az+k7bfVk+Yrhjgz2bcPz4F5
grNFkP9AsheeZwcuWeMyXl5jL55nB36U7EsHfYBbPHV45fYkHesD84Q7S2I2
xZ/NwucA/0L2b4OewFs+5PYqF0XQPGms+aQXK54D9w4Ah3FtXsW6O74baH54
3B9L4jbgx2C8kOZP0i3+ux2fD/zd0gTHZVH0OcBXTX7V+iSE5pkHDnnm4fng
55f0r+ZTubcD7RY4h+xPgN8FbhWnaz26l/4u8Ip7ymlC3+nv4vnchGDrzcY0
TzvwIhK3gfrAuLCvyF96keUu9NvAr02NOulVvR79DHB2/j3gkH8P6g98Sf9j
zqqNNE848NuKdoenWdK8tcAvz7ddp/6a1h/jQrfu+Ny8QvOoA28mcR5oF4xT
z/7peWnGmGC7gOt8Z4TW8mtgu4A/HW+r9HKBOtYfuIf7wMtFBbT+wH3tg+JX
vqb1B/55nOfbk3tpnnPgXKOyAskdNM85Pn/hKh7frTSPN3AVEv+BdsG4diH2
4pyQfnovHvDdGdG/V6zWwXYBD1CYLefBq0Lz5BBeUTyds92XjqfAIc856IBx
pMOznaZMpeMj8H9SmchDpnR8xHOFziVrpUfS8RF4S9/DS2NH0nEBeP0/nQGy
V6kOwH2+L8v4FEPzmQN/zcpnDuNFHYkLAQf/fEzLeeBRmwvqBnw8if9AefDD
ahr3d9tKemF5PBem52vBL+iOOgO/S+I/8Bzwt7I7dzStrQ+g+dUJ3zRrk1l4
xQl8DvDcUL9XO357oX8AHkTiPJj3iXDLZyt+GrqEog7ghwVVJl8PjUvA38V9
kp6vJ4xUjqX5zAmXF1TvkDsVhb8LfH2n7mpRxzAcv4BXkTgP1Ae43NyuHlVV
L3ovAOyL2zKon/kPzWMGXM/GxuqRRhTaCfB48l0G2sWO50C72BzaxeZHWPEf
exL/qRgmXgHPZ3N4PpuDbmyOecJZHPojmycMExcCndkcdGZz0JnNQWc2h/7I
5nj/Ajv+M0xcKJcVD4F8aBdZcQ/IJwbPAXuG/JagP8YT6s3U/HLofdz4Xeb6
2awMdzoegX+AfJhTWXEYyG8GHPfPzL42va6M5sXCPMAkfyPoABzyakL9wW4v
Lx+8dPi/8udj/paE3ddbxtD7hqBdnf8svRBmQPMogm5ZtU2fF0sp4XuHeubF
vv/741o4+m3we5DPE54P4z7kUwV9YHyJ38J/q28HzYsI+pSQ/WNarH2kT8k+
UtABuN/I2RuFn9O8lPCcxWRfELQL6gN5IKE+sN6BvKlerHg+3B8B9gPPL93i
XxDdSfMfoj7r+fQfq9N8g7iff7d0xhdzuk6E5x8i+xngd6H879mHfnwXpvEl
eO8mJH8gtBfmIdMmObTv3kzzzoHO7uT7ONQH6in/KyiqYgeNhwCfR74Xg33i
fmOS562NFd8LJPE9vGeB+LcfuQ9UUhdS/wO8Sm3lOPGlBeh/gH8g8UDMo0g4
v2bQwxj1FPQzwDukZNMjd8WhnwFuMbp1ccH9MPQzwC+HHrDhzfRGPwPc64bm
Jd0SDvO/ABY3nqk=
    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJxFmgXYVsXahXfMnheQUCREUUQMjg0qYlAKopSCCObx2IFgo4SBgAIqigIm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            "]], 
           Polygon3DBox[CompressedData["
1:eJw1m3fgV9P/x++95577aShURjZlKxVNmlqKtj1DyEy2UhIpZStlRKRhFF8r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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt13e4VcUVxuHDPZxz6YJUpfeuVFGKAtJ770QllIAUFQRBIEJMImCPokhT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            "]], 
           Polygon3DBox[{{1610, 835, 658, 657, 930, 1421}}]},
          Annotation[#, "Charting`Private`Tag$16059#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, 
      {GrayLevel[1], EdgeForm[None], 
       StyleBox[GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJwtk0lSVEEQhus11V0LVu4YRGhBEPQGHADWrMQQaBplniHgHtyEKULdCAo0
M4YINMoMwg1wCsEv43+LjPwqI19V5p/50tmhpsGEc64BK8DuvXPb+Dcp58YJ
nMNbJFQG5wY5Z4l34feILxAvjfgOS2AH2A7xa/wD8nbwJfgs+ZvE35HfC+fh
T3AffAgvwT3wAfwRHoFP4HV4FD6FN+Ax+AzehIfhY3gNHoKP4FW4A96C38Pd
8D68CPfD3+BluB1eg+fhFngZnobr6f2Qmou8ar6En3ndeQU/hwfgDfLfkt8Y
qf9CrLNAGkzhdyPlXODz2Gf4Br8fSdsf+IogLdrQ5wvndeLn+Iz1i6/lrVZ4
hfhMQvFVeA5ug3PwrOmZUv23XjV8hT/EPZ5xT51XjtX1kDcnk+hNzgQ+E9e/
y9klNbtOcmuCdDf+6VVDCxwl1UsX/NurHqv/zkvz1ylpURrvQ23QDnUTfxQ0
D7vncdA82uE/XrPIwGVBu/UKfhI0Y7vzadDs7V3bwe/k5+ixKmj2HcRLgnR5
Cf/y0qcVTgftmd1fHrRnFrcaG+PejTPxHv/1moXVVh20i/Yv5FOave3/P699
tndNd9Pfai4OmlkzXBS0Wy/g/wRmdFg=
           "]], Polygon3DBox[CompressedData["

1:eJwtk8dSVUEURbv7Xp8DB6YJWBgwEdSRWGX4AqeO1JKsgKiAofQ//BMjKlBO
zJJM8ERAscpQ/oAZXbt2D269t87pcM4+u+u7Bo8MpBDCYb6S7/KKEB7we41g
3coQfhGswv1FCFvgH/AM3AdvglsrITyCbyTzb/Jv4TPk6+F15D/AF+FGeBvf
XdaOE/urC7lvkZ/z5HeSi/B7+ALcAJ9g/0P4Ons2wsvsmYcHyW+H15Nfgi/B
TfA/8gvwELwD/gnPwqfhzfCaXG8bXAufgifh0eT7T8IT8Ejy/qPwfCTHOTXw
MXgBbii9v7viXu4l19MDT8FjyfV3ws/gYXgr3Ad/Zf+e0vX2wtPka0rrszr3
21r4vuPwIusbyW+AO+Cn5G8n6/ud+Bu4t7A+TfA0658Q6yC2lvWP+d9eeP99
9q0in/h6iP1h/Rz5s4Xr263zojXoJrYLfh3dYxfcXvHZt5L90JbPv5msr2b6
Dh4oPOu98FK0BqpZPUnL8ehepYG0KJNnqRloFtJQ3pCm0lb1aPaaiWajmWnW
8qi8Ks36K+5BWj8P7k0a6V7dL2+qZtUuDeVtaSZvyRPSspnvRXS+kx6q8kuy
RjpvLNc2y5qDpWO661xeKw2khTSS9/Qm9Dakkd6O3pe0L/iu8H8/sU/R/Yxk
z+gOeUJvQe9nLtoz8o7u/BKd17rh3NtLYi2lz5BWmqHOHs1azcAH4DtZm1fw
vtK+01lV+FBprdS7NNDs9F4moz0oL8rz8r5iykn/q4V7Um+aqWarN6K3opo+
Rt+pWr/BE9FvSm9LNX2O1lS1yqPy+lS0d/8Di1GdqA==
           "]], 
          Polygon3DBox[CompressedData["
1:eJwl0MkuQ2EUB/CvalgSC7EVGy/gRawQWlraKlrTk3gTRIKVoTVWYlFDjU1Y
eQBjDL+bu/in5/zOud+9/foy5aFSSwihR9ok3R5CMRnCAbzWf7aGkGIzbJ9d
sQ+2o66p64kQXiRrPmYv73fXrG72Zm+aLbJT9sD+WI4tsTP2GOIXT7EFdsLu
0a+9LCuzY3bHftgEm2UVdsO+2AhLsXVWZZ36jJTYETuMdvXjUmB7+kt7757d
VB+rL/yHpkyab7MtGTR/ZplkfN58MvZo3t9hl82xqr7hjG/7BbbCzlmTdesH
7PaaNZx1m4gtupvojnJ2V6XIRiWt3oi+2axLPxx9N1tjFfbquTxbZjX2xBLu
7x+pbEWz
           "]], Polygon3DBox[{{1562, 479, 864, 692, 199, 1553}}]}],
        Lighting->{{"Ambient", 
           GrayLevel[0.8]}}]}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0jkvBVEYBuC5XPtykYiIcO2dtaCh0VkqiUjoRENBREMnGjoJCb+ABNER
0aITjRJ/wL7v6zMU7zzvl0xmzjkzZQOj3SORIAhmpV0Je5vLLVujQZDDDsbZ
y1oOspXj7OI0+znPBRnWNzjJnej/s/e5xEOu8JRbPPOuc6k1X/BS6vQrXku9
fsPCZGtig/mO99KoPzDORz5Jqf7MFynTX9nEN75Ls/7Bcn7ySyr0b/5IpR4k
OAep0hOYKEnSYj5xz5FbnvQ9ppvP9E19LTw8OTYvqwdc5C5nuM0JrnNNhvQ5
9nGKnRxjCwdYwx6WhN+GMcatI5vFzGIRM1nIDBYwnflMYx5zJVWPMYVZdJxB
RrivcA8Mt50a7pWrLtWRv2MIFvRo5P/f+AVhDzyq
        "]], 
       Line3DBox[CompressedData["
1:eJwl0DlOgmEUhtELAo2lHZ2NA2olJCobsDYuwLgAKF2eEwooqMiMjCpqXIUn
sXhy3vtXX/718/JJKRERp/pNRVR4kY5Y8fFMbfcxV3WZjOi4r9jlNXu8YZ+3
HLDCIe844j2rerNrHLPOCR845SNnbHDOJhdcy0Sk7D1v+/GGkYYqugf81pHd
55cO7R6XOrC73OUnO9qxP1hgm+/K269caN9uMcc5X7Rtz5j1lmduuad80qY9
YUMb9pjNxP+//AOMnDmY
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{1085, 1447, 1448, 1422, 1454, 1468, 718, 1525, 1519, 1520, 
        1380, 1424, 1837, 1282, 1423, 1408, 1409, 1846, 1283, 1086, 1528, 
        1529, 1284, 1087, 1663, 1285, 1088, 1664, 1286, 1089, 1665, 1287, 
        1090, 1666, 1563, 1753, 1091, 1667, 1288, 1092, 1668, 1289, 1093, 
        1669, 1290, 1094, 1670, 1291, 1095, 1671, 1292, 1096, 1672, 1293, 
        1097}], Line3DBox[{1098, 1407, 1564, 1845, 1429, 297, 1425, 332, 354, 
        299, 1381, 1838, 1294, 1477, 1476, 1527, 1295, 1099, 1673, 1296, 1100,
         1674, 1297, 1101, 1675, 1298, 1102, 1676, 1565, 1754, 1103, 1566, 
        1755, 1104, 1677, 1299, 1105, 1678, 1300, 1106, 1679, 1301, 1107, 
        1680, 1302, 1108, 1681, 1303, 1109}], 
       Line3DBox[{1111, 1567, 1756, 1110, 1410, 1568, 1847, 1430, 1431, 1371, 
        1382, 1652, 1834, 1510, 1509, 1508, 1682, 1304, 1112, 1683, 1305, 
        1113, 1684, 1306, 1114, 1685, 1307, 1115, 1686, 1569, 1757, 1116, 
        1570, 1758, 1117, 1571, 1759, 1118, 1687, 1308, 1119, 1688, 1309, 
        1120, 1689, 1310, 1121, 1690, 1311, 1122}], 
       Line3DBox[{1124, 1572, 1760, 1123, 1478, 1479, 1856, 1125, 1492, 1372, 
        1383, 1373, 1850, 1432, 1126, 1412, 1761, 1413, 1127, 1691, 1312, 
        1128, 1692, 1313, 1129, 1693, 1314, 1130, 1694, 1573, 1762, 1131, 
        1574, 1763, 1132, 1575, 1764, 1133, 1576, 1765, 1134, 1695, 1315, 
        1135, 1696, 1316, 1136, 1697, 1317, 1137}], 
       Line3DBox[{1139, 1577, 1766, 1138, 1578, 1767, 1140, 1411, 1433, 1768, 
        1643, 1455, 1141, 1374, 1414, 1375, 1434, 1142, 1644, 1769, 1415, 
        1143, 1865, 1530, 1531, 1144, 1698, 1318, 1145, 1699, 1579, 1770, 
        1146, 1580, 1771, 1147, 1581, 1772, 1148, 1582, 1773, 1149, 1583, 
        1774, 1150, 1700, 1319, 1151, 1701, 1320, 1152}], 
       Line3DBox[{1154, 1584, 1775, 1153, 1585, 1776, 1155, 1480, 1777, 1649, 
        1156, 1493, 1495, 1494, 1384, 1436, 1456, 1435, 1157, 1437, 1438, 
        1851, 1416, 1483, 1482, 1158, 1533, 1866, 1534, 1532, 1481, 1159, 
        1702, 1321, 1160, 1703, 1586, 1778, 1161, 1587, 1779, 1162, 1588, 
        1780, 1163, 1589, 1781, 1164, 1590, 1782, 1165, 1591, 1783, 1166, 
        1704, 1322, 1167}], 
       Line3DBox[{1171, 1705, 1323, 1169, 1706, 1324, 1173, 1707, 1325, 1175, 
        1418, 1708, 1326, 1442, 1484, 1857, 1650, 1443, 1459, 1327, 1439, 
        1647, 1709, 1420, 1328, 1179, 1710, 1329, 1181, 1712, 1713, 1330, 
        1183, 1714, 1331, 1185, 1715, 1332, 1187, 1716, 1333, 1189, 1717, 
        1334, 1191, 1718, 1335, 1193, 1719, 1336, 1195}], 
       Line3DBox[{1194, 1795, 1602, 1192, 1794, 1601, 1190, 1793, 1600, 1188, 
        1792, 1599, 1186, 1791, 1598, 1184, 1790, 1597, 1182, 1789, 1596, 
        1711, 1180, 1788, 1595, 1178, 1419, 1787, 1646, 1177, 1440, 1441, 
        1385, 1648, 1839, 1496, 1449, 1176, 1457, 1469, 1458, 1426, 1417, 
        1174, 1786, 1594, 1172, 1785, 1593, 1168, 1784, 1592, 1170}], 
       Line3DBox[{1197, 1603, 1796, 1196, 1720, 1337, 1198, 1721, 1338, 1199, 
        1722, 1339, 1200, 1645, 1723, 1340, 1511, 1641, 1724, 1471, 1521, 
        1341, 1427, 1849, 1451, 1452, 1400, 1513, 1342, 1512, 1862, 1485, 
        1486, 1604, 1858, 1201, 1725, 1343, 1202, 1726, 1344, 1203, 1727, 
        1345, 1204, 1728, 1346, 1205, 1729, 1347, 1206, 1730, 1348, 1207}], 
       Line3DBox[{1209, 1605, 1797, 1208, 1606, 1798, 1210, 1731, 1349, 1211, 
        1732, 1350, 1212, 1733, 1351, 1213, 1855, 1470, 1352, 1501, 1861, 
        1386, 1536, 1543, 1544, 1444, 1852, 1487, 1376, 1445, 1514, 1515, 
        1863, 1502, 1503, 1387, 1401, 1517, 1840, 1653, 1516, 1488, 1489, 
        1859, 1353, 1214, 1734, 1354, 1215, 1735, 1355, 1216, 1736, 1356, 
        1217, 1737, 1357, 1218}], 
       Line3DBox[{1220, 1607, 1799, 1219, 1608, 1800, 1221, 1609, 1801, 1222, 
        1738, 1358, 1223, 1739, 1359, 1224, 1740, 1360, 1225, 1867, 1535, 
        1361, 1546, 1868, 1421, 1610, 1848, 1504, 1388, 1539, 1545, 1841, 
        1656, 1446, 1377, 1474, 1654, 1835, 1522, 1428, 1453, 1389, 1402, 
        1853, 1461, 1462, 1460, 1506, 905, 1403, 1465, 1466, 1464, 1854, 1393,
         1405, 1362, 1226, 1860, 1490, 1491, 1363, 1227}], 
       Line3DBox[{1229, 1611, 1802, 1228, 1612, 1803, 1230, 1613, 1804, 1231, 
        1614, 1805, 1232, 1741, 1364, 1233, 1742, 1365, 1234, 1743, 1366, 
        1235, 1744, 1615, 1806, 1236, 1537, 1540, 1538, 1869, 1657, 1237, 
        1472, 1475, 1473, 1864, 1523, 1238, 1505, 1390, 1524, 903, 1463, 1239,
         1507, 1842, 1391, 1404, 1392, 1467, 1240, 1497, 1843, 1394, 1406, 
        1395, 1450, 1241, 1651, 1836, 1378, 1518, 1379, 1500, 1499, 1242}], 
       Line3DBox[{1244, 1616, 1807, 1243, 1617, 1808, 1245, 1618, 1809, 1246, 
        1619, 1810, 1247, 1620, 1811, 1248, 1745, 1367, 1249, 1746, 1368, 
        1250, 1747, 1621, 1812, 1251, 1622, 1813, 1252, 1623, 1814, 1253, 
        1541, 1542, 1815, 1655, 1548, 1254, 1550, 1658, 1870, 1549, 1547, 
        1255, 1748, 1369, 1256, 1844, 1396, 1498, 1397, 1526, 1257}], 
       Line3DBox[{1269, 1370, 1751, 1268, 1819, 1627, 1267, 1878, 1662, 1266, 
        1877, 1661, 1265, 1876, 1660, 1264, 1875, 1560, 1263, 1874, 1559, 
        1750, 1262, 1558, 1749, 1261, 1873, 1659, 1260, 1872, 1557, 1259, 
        1871, 1556, 1561}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{520, 919, 719, 1846, 521, 979, 885, 978, 732, 1838, 546, 
        1025, 886, 1011, 1834, 1012, 1013, 560, 941, 887, 1850, 940, 960, 961,
         575, 962, 1768, 920, 943, 772, 589, 1777, 982, 983, 784, 601, 1786, 
        796, 1707, 614, 808, 1721, 627, 819, 1731, 639, 1801, 831, 652, 1804, 
        839, 663, 1809, 850, 676, 1072}], 
       Line3DBox[{522, 435, 1529, 436, 363, 1527, 433, 408, 1682, 561, 1761, 
        274, 275, 1414, 231, 244, 1384, 232, 291, 1426, 278, 1708, 615, 809, 
        1722, 628, 820, 1732, 640, 832, 1738, 653, 1805, 840, 664, 1810, 851, 
        677, 1871, 1073}], 
       Line3DBox[{523, 720, 1663, 524, 733, 1673, 547, 746, 1683, 562, 759, 
        1691, 576, 1769, 921, 942, 922, 923, 944, 1851, 888, 934, 889, 945, 
        898, 1839, 953, 890, 947, 891, 986, 1857, 948, 924, 925, 1723, 629, 
        821, 1733, 641, 833, 1739, 654, 841, 1741, 665, 1811, 852, 678, 1872, 
        1074}], Line3DBox[{525, 721, 1664, 526, 734, 1674, 548, 747, 1684, 
        563, 760, 1692, 577, 1027, 1865, 1028, 1029, 1866, 440, 985, 984, 602,
         1787, 926, 946, 927, 1709, 928, 892, 1014, 893, 1724, 976, 974, 1855,
         975, 642, 834, 1740, 655, 842, 1742, 666, 853, 1745, 679, 1873, 1049,
         1055}], 
       Line3DBox[{527, 722, 1665, 528, 735, 1675, 549, 748, 1685, 564, 761, 
        1693, 578, 773, 1698, 590, 785, 1702, 603, 1788, 797, 1710, 616, 899, 
        935, 956, 1849, 955, 916, 1004, 1005, 1003, 1861, 900, 1032, 1030, 
        1867, 1031, 656, 843, 1743, 667, 854, 1746, 680, 1050, 1749, 1056}], 
       Line3DBox[{529, 723, 1666, 531, 736, 1676, 550, 749, 1686, 565, 762, 
        1694, 579, 774, 1699, 591, 786, 1703, 604, 798, 1711, 1712, 617, 987, 
        1015, 1862, 989, 990, 991, 992, 949, 994, 1852, 993, 950, 929, 1037, 
        1868, 930, 657, 844, 1744, 668, 855, 1747, 681, 1051, 1750, 1057}], 
       Line3DBox[{533, 725, 1667, 534, 1755, 738, 552, 1758, 751, 567, 1763, 
        764, 581, 1771, 776, 593, 1779, 788, 606, 1790, 800, 1714, 619, 811, 
        1725, 631, 901, 1019, 1840, 1020, 823, 644, 963, 964, 951, 1841, 1034,
         836, 659, 1039, 1040, 1869, 1038, 846, 670, 1813, 857, 683, 1875, 
        1079}], Line3DBox[{535, 726, 1668, 536, 739, 1677, 553, 1759, 752, 
        568, 1764, 765, 582, 1772, 777, 594, 1780, 789, 607, 1791, 801, 1715, 
        620, 812, 1726, 632, 995, 824, 1859, 645, 895, 936, 1835, 1021, 1022, 
        660, 1023, 977, 1864, 1008, 847, 671, 1814, 858, 684, 1876, 1052, 
        1058}], Line3DBox[{537, 727, 1669, 538, 740, 1678, 554, 753, 1687, 
        569, 1765, 766, 583, 1773, 778, 595, 1781, 790, 608, 1792, 802, 1716, 
        621, 813, 1727, 633, 825, 1734, 646, 902, 965, 967, 1853, 968, 972, 
        971, 1024, 903, 969, 1035, 1036, 672, 1045, 1815, 1033, 1043, 859, 
        685, 1877, 1053, 1059}], 
       Line3DBox[{539, 728, 1670, 540, 741, 1679, 555, 754, 1688, 570, 767, 
        1695, 584, 1774, 779, 596, 1782, 791, 609, 1793, 803, 1717, 622, 814, 
        1728, 634, 826, 1735, 647, 904, 966, 905, 1009, 917, 1010, 906, 1842, 
        970, 907, 1046, 1047, 1870, 1041, 1044, 1042, 686, 1878, 1054, 1060}],
        Line3DBox[{541, 729, 1671, 542, 742, 1680, 556, 755, 1689, 571, 768, 
        1696, 585, 780, 1700, 597, 1783, 792, 610, 1794, 804, 1718, 623, 815, 
        1729, 635, 827, 1736, 648, 908, 973, 1854, 909, 918, 1001, 910, 1843, 
        954, 911, 673, 860, 1748, 687, 1819, 868, 1061}], 
       Line3DBox[{543, 730, 1672, 544, 743, 1681, 557, 756, 1690, 572, 769, 
        1697, 586, 781, 1701, 598, 793, 1704, 611, 1795, 805, 1719, 624, 816, 
        1730, 636, 828, 1737, 649, 996, 1860, 997, 998, 999, 1000, 1836, 952, 
        896, 1002, 912, 1844, 913, 688, 869, 1751, 702, 1084}], 
       Line3DBox[{915, 897, 931, 957, 1026, 718, 518, 958, 959, 938, 1845, 
        731, 545, 1756, 744, 558, 1760, 757, 573, 1766, 770, 587, 1775, 782, 
        599, 1784, 794, 1705, 612, 1796, 806, 625, 1797, 817, 637, 1799, 829, 
        650, 1802, 837, 661, 1807, 848, 674, 1070}], 
       Line3DBox[{937, 362, 932, 287, 1837, 519, 295, 933, 332, 355, 333, 939,
         1847, 745, 559, 980, 1856, 981, 758, 574, 1767, 771, 588, 1776, 783, 
        600, 1785, 795, 1706, 613, 807, 1720, 626, 1798, 818, 638, 1800, 830, 
        651, 1803, 838, 662, 1808, 849, 675, 1071}], 
       Line3DBox[{1078, 1874, 682, 856, 1812, 669, 845, 1806, 658, 835, 1848, 
        1007, 1018, 1017, 643, 822, 1863, 1016, 1006, 894, 630, 810, 1858, 
        988, 618, 1713, 799, 1789, 605, 787, 1778, 592, 775, 1770, 580, 763, 
        1762, 566, 750, 1757, 551, 737, 1754, 532, 724, 1753, 530}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJzsvGdQVk23ris5qCBJVJICoiAgiBIMNEEkiiJRkZyT5AySM5IlZ4mC5CQg
QwUVFFEJCiqIgCAIPCJIBvecfJ59ar/rfHVq1z4/1lm1/GPVVbP66b57zO4e
d4/JEWP7a2bEu3bt0qLYtYsE+z/rt6N41GVdyHzVPDq0TUBsLxruuuyLR6x9
L9ZoDGMg4dKrWorfBMTIpNF2wbAUeafnlSSMpIHz8wiGT78IUO1Oe9/xVyly
jDza1bYVBhG7owMUtgnwQGzDjE44HtnnmpV1egXCpUrpIKk/BJjiZ5f9nRaM
jj8cShTj8Iefp9/+Cse4aymXap6VL6IlSmqxzPUFzT5+lxKMj6h8ntEfcUMC
4u4r0sveEPSlU+Yhxk37vxwfr3NC2YMJ9zXfeEGBx5xNO8ZtiSf0KYvtUaz+
zDvWFU+wl7vE8hLj84ULr97b2aCpznnxbjVP8Oei6uzB+MMcuvHTIpZoKm6K
T/WNB4Tm6p/uxXhls3JVbZEZeh8Vb1Bh5gFHSaNf92Oc7/lZu+hkE7RwWlrN
nsYD7B+fGniP8YIXX8uUxoxQZjqtybFn7qCpNOgyiHHq0SMfhp0N0d5xktkD
Udqw+bgnxOwPAdVFXBZrqghH7t79CSWPAuBpXpp56SYB0b46ksj9MQMdbKd/
rN9TBi36VX8KnxOgMST+TdjHZpT7uJCaRy8SzAo+H9+F6Sxi6/803TgB5XmP
NzZZBcJTM8+Ll7DfjakxUS04EIz0LtPpRg/ehl5G80dJGD9v2b9/q8gb3faj
tmqt94YrhGHJOowv75t/EcbgilZXcu+avPCEyEkZnQ6MD+Sj27PkjsjT5Yyq
oYcHNOhy9b3GuPw70YKROFtkHxsnrBvqDnvXNZf6MB7hI3p9Is0SnaV/eVzj
jRu0+IYJ4TocZzr/UC3dDCnzrN6kk3KDnOA42U8YT6zyOxgibYJEfs6zj3W7
QqXJkbvDGM8hP5Horm+EdFky6GVuuYLeqRTjLxhvTy4yl7tngOrsd4VzcbjC
q29qvaN/8HjLXC/drYceLRSy19BqQFAQ5YEqTOeK99/kfGsDkJT61K7TTW7w
OjaP+yUW5yuTm2+ZS+NQaGC89/mfNZBU8lKOJ5OA/L5Ir1WGPUHM4zYZUgfi
oLqifjfXFgE4DnTSSXfcRcurDwbRRiAYLqZUIex3U/dOCzeIByPp8Cpjn1Vf
qMmI98/EuHX5431BWl7oZrS+WAyrFzysKL7zCOPjLc/y/oQ6o/3qVA3x792B
7SCnA66npS7DyT4Ke+TFZW2xouUGcW3XXfC4olJPGvvyyAq5N99GTPKuQGWn
cvQzxnk0LF+jbTNkEzsuq+bjAlHZgiS4Do86RdqTTpmg+MjdrIpfnOFrJnXX
GMaDyfIvaVIaoXymbwJMxs6gGBnyaQLjmZkXOj9m6iNjYm6m2Q0nUOemdp3E
+JeXJea1r3TRO/KizPUiJ4gyT3w4hfGmM6XPmFyuI7N8jce+n65CwABD4QdM
5z+Gz6WmaTxR6NW420G3bkGHWIVOKMZ7ha8MZdcFI62wds+XX+PgScw9QZsN
ApL1ruuze5mFWvdmPDZeTAOyZaahr6sEuFglV9H+Mxehb2d2K30Ohu3jkjbs
2O/eHM4KHs8MQfSD3zX8fvrCG+9LJdkYN5YIrmdv8EQq6w8pWxY9oOfeTV48
biWix09zqTgh+gtZlz1PucFmqFQa/v4GbQYl+VrYous8hyr5nV3AIZnMCY83
9QecwgVnLFCgtcXYSUlnaHXW/YDrpkpuq0WUY4LepcQcWtR1gl3cwza4Pmmn
Txw23TZEMpWdekcrHcFScGThO8bHzqofk1/TQ/QGrHqDPI7QumLaM4PxFp/W
id6eG4iZWmlXcpMDqDomnJ3FeEntFW4xpIP489uUY/QcQO3DqM4cxqOc3i0t
HNFCsbslCliHlQF+eyhiz6PN4sIHQtaOaI04ha/rnSm4fzn2CFvH0G2p8/31
9F5odP6rYgilHwRn1jxlwfilV7Qd67MRqDD1fcc9x1GQGZhisjwyhr7vUQga
ypxA/REe3a72keBq6hKQh60ndmvfvTqCItFv1uv2k5F+8MBB7WYy1p+JyxE1
7PpeaP+5KcNzPh4gmV2j+ALj2k6Ci3VRjoi5iuuZ+YoL5AksNQ1hnADxBvLK
1kjg56x+3Scn4BMaG8b1rDhWRyAiN0PDbWQZF1wcgV18gA/XLexSUYNGkBG6
x0G+UODsAFYCcXE/MO5xoPBuCYk+Mskkq00wtweZjdBJXB8ngcj+j9I3kOpG
U53LuVtwZsQ5hYBxIZeig3u1tFGOXUvWWRU78A+5M/wT490xdT1rfzTQg/LB
p5HhtiAXtfVxAePOtexxj/erI5mpiFND8ZfAfvRI1zKmG9/C7fCkbAsk8Wfp
wdj9m6CrzkiH68941UwkSNcBhUnrPopacoAlkys9TzC+cnC/5oc0L2TeNT5q
1XEH9DuWCN+2CMgmQlyc52U84lp+pmsmmwHTIcSxJusEmH1SVxChlo5YKQc/
RlYHQv2kpb491h+2Xr/T8xdvoweGGsNSNzzBQ93lMh7P7DwWAQ3ljkhzmn/j
s4kLXFW+Io+vAwqsQdvWy5boONW1Ju8KRyDzf1WAx2fxraf5nMomaCRFRSZg
0R66Z/NP4vF23OKnOL2TAfohUNH7Kd0OqPT3x+C6nTjBPToefgMJOYvt9Zqw
gTAmlS5cn29MaRe1FrWQKaH4zK1ka2gJiNVdxLgGidAEr7gGsrwh9/FWrBX4
+58MXsL38ZPXJmrorqFBBarV7WZLaPMdMf+N8QOhh07Sal5FlVm/bkgMSMPs
n4L5DUy3EYHN8iASA6Q9fbonJk8dNFZ3c69ifDmHFmnxmaIa4lgujucmoGbn
9R3Xf2MpnIi7zxYdsL1oonLTDVqbi740YTzyQui6jIwnEnPX77t9PwPcdl3W
cV8noMr2pj/pgWkod5Au/y11HFS8bnUyxuLc9/Hq5UPb4WhJfKo894UvhK2F
6lfi54pwWvp7jC4od33dt5rTFRYitkQ/Ynw42uxJ3mErdCT72UdJEUcgFrii
iMdt1s8Z/TAFY5Sv+mdKctIOPr3k65nHeEIB403ORzfRCQ8KVq1Nazg+8ejW
L4xLaZpOj5dpozufBoqpf1mC6c+f1bhu2yCYEMWhgb6P6G9P21uAEWukOBaH
QBND/ZjEXw0plimcHLxkDlTSyldWMO7wKWWodVkV1e8pP3FG1wwuP/3FjukG
L8PE/A63KyOTJcmCANVz8IV2WWMb08f5w5XLYgHq6EiacW6DoxIoPCrbu4Xx
o/foCaX0Ougcg4h/eJg2KPAKra9hvNzvrKGdvQEKCJ7+UOhqBgIBp19h7xEq
a1BX8SowR3YK9rQ6ou4wpMvcjMUn8tQN6Ww574KU6fusrpLlQtLA4qXna9h7
QWwvPdmdgihGzh/vPxkFk3PTH9Yw/VP4KDmkUgKQzTi36e5p7JzW1yHdifW/
R/j1B/1aOxRUezOuVdkJuvetRn7D1/Pd6mbZvcZoyzeqbW+YHcSHXLTC47ay
R9+p/Y4uqqf/LnHe2Qpbl4ipcD07xd3Ikps1Ucv29eLmV+bA+Lk0B9dTmYKi
9RNBDd1Z6LQ+Om8KZp1ukrhuHzOETghFqSKyj+mNHNEm8E30jRamA2xen+er
TlFCEQR66tPexjDy+TjHOsb3+iwGzUTJoyMsr43HaE/D1/Svhn8wHd4+fRVH
yiOPPsZSXFBUlobBIMN1XP/3HnTHGrWU0UOOveNRHcpAc670OM5TD37k6K66
ioxaOwrLmLXAo3JAZRPjvywZBrnsNFH7rx8Vv82NQbY/WRSbdyR4/aLn6rQe
IpaWnVWvc4Sx3O+92LqK+u/UTTR1WKI1/rWKN1fvQPGxyKOD2DmHvVWcw/FP
ANLzjOCX5kqA+wG3IzUw/Xno3yqMfghCMY9OSv4geMLT6FMPX+Fx6LbrmE6y
FeJt1W14u+4AzBMhOvj+pZR9fmzUXx+50dwTcL1hDfHJc5fxdeAZK23EEUzn
XvEuIYuj5tB2OkgCj09qO0Nmgy9XUYdrjBh4msAJskwNXE9V5XFi+rvKiOFt
4I/zeUZAXtGeiev5KsUwqvSaPEoYoDbiljeEpS0GN2x9gHORlkrrIhfRjSQN
Z/7hE+Cy1P4K1/lSZW1crYYEuu70c2nz7hloydhVifNAeYFErTfnkTsHubzq
AwRWqYneOK9/YaXbVSOF7kd/s/R5dQkCzX1ZcC4oG+sp/VkW/WaZSj3qfxVY
zcuv4/Myq2XA9M1PAVEL/VKbbNCBLyzNWfi8VIk/CvdZuYK0LqcHVe4zBdfC
jQJ8Xg7+7NBK2dJCCnxdT7SmnCHxQlg1dh5DhqpkP2g8TNEzhhYGnV1p8JBl
+i05ti8YiAq/sb0Whvo5ZBhv3wyBh/ffc3vi51j5HHLLc05ol6/vJMHEGZTC
4obxc9rML5FczwB9RLRnJPGOgzVEMXbn4PoTTb8V0FVURx1tTB9EW02Bms0g
AI/nNNqe4CgRFZTcxHqiy8kIdp98+BTXmfHa/qPlEpfQretL3BI5+qBeJUqM
jQtqBRip3mjJoMSeU+fODRyBmeHEBVyfXGO/upHU42j03taVPnJe2DP0ZAbn
f4ZaSaYYTiCudC2D9hkhSLRe+IJzMovyCmM2QRRQ3Nf265YobA3G9+DckqFd
qPi3ENo9mBkVGnUBPmlOVOP8htc9UQcrEdSaKmHQHSYLB4Rd/HF+sWSXm1u1
KOIOq18wkVACqHY9ivOGtXRKqSvnkP++B0sHTlyDOXFnW3y+ovxvf7vKLY0S
uuRGtKtvgDAxcS0+X1KZOb+ukMkjjzNGAkM05vBU4OspfL5ELk3x1weroQ83
+E/f/eYBZCeukGDnQ0QpJ0HZeg1bZ04Mpzay18DLm0mzlNMEkP5ZbO0wlIr2
nKe4ZsyG5UGel6Y/4HkKc6F/9ZI+uvWybSmg2hqUmMI+4vMyJzHVaH/oKnok
KlpuymECbhujvXj87zVGWRntcoic1bptjJYRHrJ938THpf1UZ6KqhQFJe1Gs
dpQdBPOLlRs45+kkWnnOyoRuHU/NbKY9DO9Hl9ZwbipFeWS+Zj+SOpfE8uIN
F8TkBK3gfCGhd4Qp6gB60umneE/iOMwSqJdw7vcr7MiThkPoYK/0VMttASjU
2UvAeXF1VaKkKhuKCDnydPiXMNyVeDyFc7ZZ1fRjZw8j/0b6htIfZ8Cv5vVn
nGueadkSE+REVh9Ttp+sn4Wkuf6d9zF0sz6Rp4wbrZ6ANpleKXAUulyF84kv
R6j3/jqGfNRCE6Is5WDoSsfO/MaQ2rQxufKjikbDj/sPq4BxK8UxnNuz5imL
hwuj5zlzEeCsDj9uU5jh83t7jYdPdUAUKciJ0dgG6UGFKrEWPr96JHfSDPWk
0CHswDDgbQMhFCTGmP6o76DYCNOYCrIey8s8N0AEzx3i/+DtnyZWnYpUWpbc
kNldv3+WFDqfOuzwNxHCZpXSK5LEZJls0UqU2H4vv8P1YytZT19ZlWRUSb/4
an03vGtn2OGlnWqj8m5rko8MaA1CSPfBpxe92zg/G+Pe1tK8LumSlMZOKUMP
DsIBO7zKUshP4MimpET4wb5fbYzwMfzQDveI2ZCQqtyS3IguGjIPZYbl4dQt
nKfQnur6bvNH0pwzY1qx6BCYnVzaiZNnmW8NflTuQtm8b7qEhNghN+TIDm8+
PB1N8ooIpTZvb2ixHQH9JLqd+OkQ0q5VoiFBD/W0P2Y6csGbhIqd+Kk76WOx
HEiKskt7joQe5wH0aHAnfgj6LyUVzpCjsfbG3Cc3eUHNw/A3zlXjk73mzlCi
LP9u+gQRAXjNsLmzPkgoNb89mUmNdv0//vv53/z/hX9osvSjvvy7Lfn92E5c
pZ1kkuir7Jbki9xblp293ObB/2WH79+Vbq7n+VryP1v//6tyksXuseDYKrDq
52jcF4bt1yeMjj9S7ED3OMMZLIQSgdqhObp1mYBYLjUZUhkUoYClT4/3V6XA
W4rW52iVAEEWb/QPfMpHn671NiRMV2J5jQxfxEsCGLtJuNm4NCFtsYWYztF8
6CeR27aZJ6DPAkvqz2rLEF0I5TG72FIQPXduLhnbd6J6h66STJch7fGOUdG7
STAWfbswahM7h3PQRxa63kWXFIe/yeYlAlUtp7nBFgE0Kag+s/6KQ4+ME9jV
q3Ih7LPatapVAvJxeKHqHZiBzvU2VgvGpYDJjd05g1g7KzSns5sgFgXFF7X/
5C6ChdX+w0bLWP5iNTFLdjMZzWZ8zotCT8D9zBNpt1IC0Mcr0hD0y9C8X4y8
g7A/zM3EiOJ+bOYPqvsXVIxRhU6pmf0tR/AZvN8kgZ0/HWaIfTo+J6FTpE16
LibXwUrf6A4fFs+6vF/kX+++g/qIu87vU8yBzfmeRdlJbH2WdrD8XFeDAr1X
mhZtc2Hoxyit5wIBtlTj4Fp5KQpO7O5Ua38HpOuHeudrfyBnKpU/GSUfkU6u
huYvy4eQRK1QwFOKrXsh+/0auVrQyE+Fu0o/yiFBxorjLqZnw1kGAXrbElTM
+aHh2L1oIN+lmDuD+6iOo++ciQPQ5CP/xu0TASDTrLM3B98371JsH5N3RnIH
3/Z7GvqCqLt8Qxs2Xsk7nTz+i9ZoOri05O2EJ0hEqKvhPkztlXT6XVfMkc2X
qRLvWG9gVXi64z8zbJ6l3nXRFCWc0upQdTaEvcneCnj+29bbXOyrdwlxzB4e
nJK7BVrl2OkEe37PyA+u4kcaaPTUKxLyg/Zgqdmoi3E0+LbDybVbHfUnrDE/
bDYDoXS2Yfy8fb7pc6zSF2X06rx0pCZxAizV+CVlY/qfCYdchThXNBQmvm/c
yRkKDm4l4P5Av6a7P4mhJorZv/v3M2tZ4KArz8DXGfrsrzGpDVz/2++LGkWz
f66ZC/xAb0yvY+dbjgOdUtJRaeiITvw7kTt9cIKFZ6b35xyisGTW8sp5jprS
uiruP8+FCgsp4eZ1AhznijqS9v0OCrxgKmhkEw3Xvh7IY8X6czli9yF6ARfk
2Sn15kxpCHRtL732xfrP1N9x3eahLbImeipBQ+kIaQNE7Li/EfhKwSbqpCaK
O7nkeGhNDmp4J/3wcdFedzOgfXr03/b/yQvU+5XVAha7711Ow3Tbrv56OKAx
AXGsET9re2cF4g/PUghh7QQd3HdZhDUafTI0/K60Egc/gpuL+jawvEZP+cfj
+QzkFy38ec40EZqieMLLsXFlZN+yEbTOQQ5yiTf20gfBqTwikxlMH5n6r/QT
VHcRTatfRbBfCJyIyjMrw36X5jG9b9yuGNT6+CXxzdPxIDDOrnQDe6+9fzzm
Hw9PRNZHxfdl0aTCPt7HgvNY+xWd8lHDPenIisg/oOJFCOxL/UOCvV+wf9ad
TC88CDW7MsZ61kTCW/a+tHYszi2TWblfBoYhH+Pvjg9T3OGtOZtRCzaup98H
rfZcdEdC1Mn5FKyuQG0wptCHcWp+xYvH7RyQUXqAmJlzNJTpZJ96i7UTmsJt
LswdjK4zUB1p5i6AkAjq8znYumG8z7lp+XMGKnuQh/7stwBb/+/vfuPzuDIv
2PhU89/qT/WTqHzofSjYrx2c41wnIC3RV5WLAflIaDPU3eeXHajQMVi+xvNZ
boXj9YfikX4pnynz7jwgKVH82Ie91/rssuVGnVVItHByu+TBWxAN46yrPTAN
Ka996+1Jx1BMhwTKI+mGK1pnfXvkZsHK48mZ9/4fkcMDcYd12Uig/vA84+MG
AUkHfSS1f5OFOtMsG792dkAaxY171MJYfBqS2ATntSO/O0QcpxaCQECqm04U
G1d0tczFWBSMfEZZzjX9KgfeOr4X9+ew/hgQJmIv5aNb9HT8e00ioHc+11we
m5dDd5vORBk6I6abIr89RD9A+sUns3JsL5HyAXqGjQNzyFD4qFLqeC28ELkg
3OJOQPuOhi3+InmGAhUUNmr4fUC0s7iMFNPB9JeNbaLpXXSFJcrlIUMQnLXr
N5DE4qpVp0+c82UqUpvqpOo9mwvXJ17vVScQ4ITJmxsnNcvRfspGcqmCMmix
7yCbe0uAQqcsCZb7jSg2bZ7HJjILzr95OG27QEDmtBcKXRvvI+tVweKM9HIo
UQ+1KHlLQM9jfsZ3uDeic4pxEnk+xUC39a5eHNOfe4X2FNBVoPvxd2R+Gz8E
CX6XpNkIAuTVdi0LRD1BhnLeF99MxMNIakO+ILbv+D7KvRKZl4ZGRA76Wo/F
Qc++0hs9WJxXDla/bs2NQ7JMOgbErYkgb9ll+3aTAK4WHdop95LQqOTp77z1
uZDUcV2P6TcB1RzefO3tUYAsjHdbCm2UwldxrvyyKQIaiuBv5Sx9gPRi1I60
V36BRUaXxtG3k6hKKmk68fkXRLrwjtK/MBmq91RkamDtH2xnqW4uTEJ0ompz
rbF1kLtoNmeF6SNBZJ+oql2DaATvfiTvK4DRl9tXFH8TINt14HdfUw7iF2U2
CPEthklCeHU/tk+VH7G/ptybj/i/Bot8NQkBDnohI2EsTrK6qqR/nQ5Cs98c
Vwp6guH57T5WVYy/qPGi663yR8U2lnoJ1kVwP4vlVuMSAaoll9fuZmShMd9i
3s6DKWDdMeWgjs3viRrr8z6x4ejrw4NK9ccDwE3s8osCrJ3OvYYHNLocEInc
G+c0+2g478R4nQH3sf0uS6f5uqOWii7ypGsZIDayIPkeG2/ReMhoYocfOj4n
avjpjin4T8sNkmDPi5komY9qxaIGc8Ndilo3gHBQ2YAM42F87jJWvrHo6gF9
NxnKHEjT3jhuvIbFSct8iAdZBlJ4sltX+oAXxJ2pMXmH+zNfz9RdOWSInsvt
PaNW4Am0DVEn8fvBWjkjuc5P+qiLbK3nuVYLOIxnEzaBAOa3CYFUwVXo1rNr
tiOWDyBaLzP63k8CPF2V6NMruftv1410zftuhSGWwPjSbk4dey8ymxR+TLgm
oRt0/Glhuz2BXXrCvQDTbbTo/MTy4xSkWnRpZvWpC5h1/dxzG3v+yml6E41f
CciNW3xDWiQXrEYCqc1mCOiDTpbss6Yq1H+lsi9mKAHamSq/r2PnKOFUpdnF
9XyEuuiERChr4eB7Ja9aIKCWqkgzrUcPkTZNOtfGixRYTl97Oo/pw0XKacph
k4MGnt/Tn4nKA0GKm5uHsXVy1MlKyXgzDzHl3pdyIa6GQ8rkX85/IkAK/bvH
U6ga5T6clftKkQrXZM8+TMLWJacUhf0doSnYuuHRuvolGF4ekCbB96MB6Y7X
8lNBaGOT7tvmXC70N7ce7sT6uYfG3ojWIx0pgJ4HzXoJ8MBnKrSIjXex3Y67
JgPxyPf9tqeuA+uPcffExwhIva/7HBLJQw0CTJFJ2s7APn/4Ae676vziTLnn
oIvCjpa/KRkPgVImq4O4T2UQl+skdNAeeZvfUn/aagZUr8ve4b4Klf0Ztq67
KojV+aitRKkLMP98JIL7k8bjtrcspG4i39QHLhPs+cAhdlFKElvnJ3y5nUUV
IhAbu9e7Rl4r0K03JMPvCzTsas63lF1Fa8HIY7vNEdj2vebBfcjucmbJ+iht
tKpS+11T8DFcEi9tDW7Ezl1LbubLDQXo553xD7wfbsO9ksmz+Dltyv/lQCeb
6b+Nn1WjqRuvn7vB8P0FbXYsHurp5EizhbF9Wc1gIYXhFcjQP3TdnzqLJuKp
F9K0h5ByumDdSa5UyHs9fUZqiYBmGsMrqjJLUCSvhHWYbQ340aveERkkoLwk
zqN9p6oRba+SavqfOzD1mO69Ctb+SPxve+btaHTgZ8ArokgbuOx8zxo/130d
rzWotDBCh/zIy4wFfeBcOQPXQzwfVwz/XmXnhCLdhV6KGmiCtlPYOu7bO5NK
UgAfQozMx9pVKOxBLGrj6TzeDmsus3udNpLyd7n8Mr4SWu+RsrMUEIAl8Nzs
O6snSOKItZraagi0FJNQfcD28UtPmt8+vBOJ0ilyHHSTo+FDXeBQNbYO7+Ew
YaMoSERfEw1oCvXioECdtvwetm68GBn7ZKKVioTf9VMmRw1A2LUX45Rs34Fr
SPlRDd0YSuKRjIhmd4MiW4Pvelh/hmij6+0JoWhQX+TYDFso7A+ltmPFdOgJ
f9ISRZSIKpX9VeIGoyCIN8jFFHtPcyZ57xxsv4vU/Y8GEq07g3TIuWH8fEJB
MVg5puiFzGvdNVxVsPM5+f4fVzDexXPN98LhYDRPTyqt1hAIVUpmDtIYr1kq
Fc5XCUZZnaxVbX7+0MscTpaCxcNX1bx1TlUPxDp5qaQ9IBQeetdpYOsznJ1W
pyKeCECNEX8+D+qGQ2X/UzJS/B7H0u/qqm4w+lb38F2bcQgsvujxOoe1f/gk
k93FI4HokNUu2lRZT/gt3fexG3v+fdYl7z8D1oi3sOZqXFEgrNwxzo/H78Vo
nj1OvO6Mkj99Ut3aSoEXJkQ6RzCd1YNWzDlFI9BnHc+sy12R8K6Pap0N9yff
k9m9ueqNuAxKrv7WdISpi0yT01g7C5l1joxH9dDhYapDqXJesHxoNQ+vHzDm
0z4tFWiGiIrFRnV04uG8nyhfLja/5MZeVY53fBDxhN7McUsjIHk5PoD7wNku
0kdyNi+iyIFCxSV+c1A8p1SC5xGP2ZUHc9YUkX+FpspxbUfoNbdIx+9hR1KC
7XpkNFD877PL7Vj/LSiyGldXCEjxhSLl/rP3kGuVhfwTpTz49OtnECmBgErV
CPyee8qR4+53R8lD4oGOpvb3FWx+k3kVGT8FJ6KK68NRJRwZsG+Wy9odWyev
j8qIUqVlI43A9+ydI4/gCc2dXUqZBPQqMLBZQbMZpSLDGk6GSFiZm7ovh/VH
JdaSuZLfAc1pTXXS3zSBqNSqRvzeau4xHYntxEUk4fjhaGt+KihU5793xn7X
WLan7fCoF7rbz81OGW8N1q7WTPg9kX+Y/e8nvKqo+ObQroPiHmApFH4br1eR
WO471rp5A/FI3aXgO+ECF3lak4ex9nX6aVo6NixQlXn8R/rAUFBLzW/SxLhw
+wPGGWsvVLeXrvWeXjjoKwRfUsTaOcaslJVv647a7JyeOyTGwVl6sus12Lwc
OJFmZlN1G1FdoGNtRg4Qz/H4GH6/6b+ru2RRSg952fEPfwkLhUPjD5MscJ/8
zRGwFXFBBgzH1U6x3IAJDTZifB1ItvBpv6wvg256Khz12LKGgW0BYdz/1Pnl
EBhwSB2NLYrmsX7zALax93V4/UN28OCkK6MRisISfFe/YHj4bsIzCveN24aU
1w/ZIPvvy98EsxPA1jdz0Rfr5/A39Qe+hzyRuMngsXaWCCipTz0YgXHPSz5B
DV53kPUdSQFR+UQQsQxk2sDyoKsBpHe/YOe6hqg3wX4s+UBx2VigHNvHEyqK
1hIjSlG002ZUa0Q8bFhdJGxh8R+cOvdoX2s0+rW1e9OQPhAMqaM6grD+bLG0
llAe8kKXS+eJF8uCQDVN6DKuw8OIXBaHH77osKuueA92/hFr7j2P5elwlb36
Y4+kM/qgd4V1mScWEmRX77Zh/TzDMBgm+zgAqfpruOv194DGw0cHNvrnkfcd
kzvSPx6hjDcXNW0l3OG1Sf3we6z9eY3ghHevzJBk6skfj2NdIYWX7wZeH1L0
4v7zshljxCjMF5zV6w90CfFmZXjdV5Vg48wzO2Ss88rWjeIWJGhuPMLrDRIm
E59XKqmh3kN+Wppv4yEu40eILnZe/aZ43rQhpAQ9kKwlDetLgL3aD/ftxtbD
sHIUsiwSjlgend3XQuMBX/JZnr/G1zeXUUX1LTskezIoVbYmFk6nLLKPYs/T
llwWIzrnge6vBHTrlZkAS94Zbjz+dR/1f4j8rPJv97t7fbtyLtcnQO4JCz4h
rB2C89ezoZohyFx0nP0mcxL8UZMqw/dBj29Sb59mB6Ca1b2vuowdgM/URWgO
a1+RsYJI+pUWEt79m7eMMhU0k3kTGdcIIM+6wCcsl4eOfuC5c3JfMIgr9gSm
Y+eW+5x2t1mIchFfYyA3iZ06nI7WtsP9fKKBifMc7KfRl2vf7r09EQahE037
W7D5WqweuVWVFYXcopbLyA5HQ+vX0HtEGG/PMFZ9/SAeCU3TKx98EQx1N1UE
5zH+XTPzwpGnESj11/gXBokQCLWWCpnE5z3vg83JrQj056t7cPhsGLiHC773
x3iTu5tJyGYMYuMpS6057IO9n09nq/H3VOxCXq25K1I9ceEV+UtfoOSbsyjF
uO/D3b7aam6ojlP4oXYgdt4evdkcgnES50fLr0m9kaWPniLJM3MQyjijjp9/
Iq0yf+5BCsjOQfWqepkuqE3fFMHvKZg8Z2wvvVBBxXwc/tJ8NnBwnxjTAsbf
ZdTHzTrqocK2YBVPa1WYerG6hOszclA65vKMGKKePnlmrdsQ/MkX8HUbLeRH
P6bqUkYnUj41Ru47A0s/Or/u3OMQnWnfPHMQNQzui5iwVoD+3yG6OP92h7vz
tfVJFBmt8iDkqBc871Ze6MR4wY/1QkZmW/RE4a5qt6sDqKrM8+Hrj1JpCnPh
BV30sfzdst4ZTThN6kiD92eQuOB+WcE5tDWSx90ebATHjilT4v0hW6XnfXFN
DX1qflC164cZkDR5e+P1M1nGrZOs1Vpo4+6M7o0xNTB8YJiAt+OSonjj2r5z
yO3Xta9CPjoQTpykhK9jrX7qjSZGskjd9rddmr4EfGaO78f7H39oVDC/mBV1
nK1i12YUg9bf3z7hfGjfrGpu7yGkVXT9W3G/FFinR9TgnIaig5QlhxuNxnvl
qVhchbPHtD7iv6vs+i6laEAEGb624OsalQEOF8oc/HmmOxbHFhx5/tP5z/9V
eX3g/3qv4bSU9t/3Gv8H3JD9540WqT9thqoVO3omx3wNJxb4JZlFpKMSV/qn
TXelfIdb12ukOdP8khTdreH0OpAIuk/k7PCsB04/lpYXJPlvM5mNPCSCk2VZ
OzwgOWp8q2tBcj6/4YutBAlUX4zb4f3nqRP3pCxI1ij65NLbkYDYSMwOD71p
+7VYa0FSUO2YF3k1KTgMBO5wxreX169RLkiKErI+Zn8gBTLif/HzTXpfPSp+
SuruKnU4108G3moeO7wiKvK046WfkrePvQh8/oUM1Dr/xctcfI74phIkv1EV
e5tFkwOdlNMOD3IoysvKnJc0mFq/t22F8V8uOzxzd3zfiM6cZKJTlQBnOzkw
Ef/r+YhcksYnF2Yl1xZB9IguOWRvuu/wkEsfVpozZyS9lgzUKk3JYTrwX79L
bPjsg6zLtOQk7aTnZgYZ+FX9q/8UT3qvGNtMSbpu0pfwmJBB3GjIDqeRnfl1
RmVSMpLX38ecnRQ2ipN2uHu+PDHZ4LjkOn3dbsdmEjDjTtvhxxN7bqd+GpPM
Pen4J3Ecm5fNsh3+8+ttTmvSUUmSp1dNHV2I4Lhw1Q4naRHfWxw6ItlXlbJs
R7bd1qv/bIf79VfSLMgOSma+Iwwt6my1tVF17nCXmJutvHofJNc/Tzl80V1p
4+/6vMM5fz8Q2B55K0lr3+rodWSl7bD38A5vDO1aKM95KynH2Xm0NXKpTXBo
Yoc3f9WT6z3XLWnU8L/eV6ae+Nd95b+LT7t/PJ/99/nlxPYCliO+0DF8xdsR
O5/3yoc0/whJRf2ebA3GkZ+gNMIaOVMnIc1kIZmN0VmUmzX60UkkHg4qGByV
x86ZvuOnCuvPZKOR/bcWbT/EQ3D6p+ASjDueODVtczwTGR07PaJyPgRu2izJ
92L7fqLz3Gfm21Eo32h/rHNqAHS0v6DSx/Zx8f08E5SmgahFVFC5UikAknLL
Q8wxXj9Q29DYFoAO1r7kmE/2g7jXApZ4HkeYrBB999wbbcTzLg3S3oa4E0QX
svD65Nzwi4eJvRB/jikJt40vNNvwVd/H651+nog6ed0Niewbsl1w94aldzJm
Dfh9mdxN16V4FyT497uG4H981yBPbyAjsuQFTtq5Yk8xzpnNzVx10gGt/KM+
v/9vfb52VHK7VL4HkO5ZqsXz0DY2qm1fKTv0Xuo54wkBL4hpXLqN19c9Sb0t
yeVji2rTPYI+P3WH0eEAL/x7hwyjiJX8FCsU8k3X+2WsJ9B0J9PjeaXKQ/N7
wlZWaMwzsm+ZwR1OS14uwOvSRWcTWo83myN2lV6xO/s8YYPpUchbvB74PeOV
pVlzRF5070VNmBscqe55jNcDj/VU2P2wM0Vsl8Vlaoo94Ea6wyncD7zjxbde
MGqK+jzDS74wusGeBsSD17VqTvtRGUYbo+zP37NGrnhAi9em2gDGvQcstr15
TRAz1w22s/WuUM5RTz2C8cQMo5syG4bo8BsZjUtkHnA0S5gar8/poh2m860z
Qm+Pj0nrm7rCbU/XePw7gjQFinW1qwboht5CY1WAC1xtDawlYOfeZwNV60b6
sUiEnE5c6n4mvLbYMjr/mwBz6xuquuuFaC7CSyPPOwA8d0np4HEif/RFbHli
ANrW9r8dQOQLi1vl3oUY9xSPfJqf74Fey1x41tPnCRydApWA8bu52cuZ5M6I
6R/1/+Z/6/+ZmnJaZ0LdQOXelgk+3taT3tfZLawRNftQ794oVxgjbDzH61Fv
6D34fGzeHDUyhXXe6HQBr+biNFyHSNljc0uSpihL/IvIawEX0Bm7bPsV44Ya
tpSubMYo2Ia4ULPKGey8ShPH8XaSktSzjQ3RMM3E90gFZzg5NSyL+36CrRUL
cd/1kJZp9OTlBSfgPG+ejd8b6sqK1YK/LlJ3HhS1q7CByxrkfIl4PYyU3umN
iiB0R948giARBUK2FJP4/fIHYVXnhvlU5JJQ/q6tcRC6KbjHXpJOoZs3RiOZ
vcYQ+6LkuLBwAjgkiUQ/2SRATiHZgyCdZLThNbfUVRQI0wX7qLD8GsruMdSI
aQSiB5cKD1yp9oH1XIZV/PsgUrPFsNxP7uiqFMevhAwPOLu0bvQc4/Gm0rC/
y/F/1v9v/a3/D/xb/6++f/vy/jIXYNzHYInH2ws2HesvnyyQVPhRdvsoZyAR
2huN68ZpdGD//WBT5ByxNdNV5QTdexPZcH2+5L06mLNuhETp3FE0mRP0Xmys
w7+P8It48JBiwwAxapv5Ufo4wnux9WLct5H3sY3X7bqJIq9/ei6/2xE8siRO
4L5K01nm5R98N9AJfWbqMw8cwJuW3gC/xyw9+f12zIY2Wol7ZO253wTMjn+U
w+/jTL85fijc8kDtGrsdi0c9Yah8/RLuPxxjix5mqQtF8lMcT25Ut8P+CHfq
rO155JPkJTNJ3IUmtq73PLYPBR4rewsavD58jo96T3AIKv1Jv+/CC19QaInf
X4Dfa9/vNwnh9UCk5Lwrubs9YG8I55sujHOISX3/te2A9v+jzn/ub53/9rvM
Rj4OZ6CcOPUa1y1FULjsfoUZys69pcHS4wj7Xj+exOMnrz9n7y5TYzRZOXRm
pM8B2DPpNHBf1wpx/eycMEAi7fzH3RkcYINd8wmuw20FweYnnDfRe8UBN4vl
W3DZ8Vg0Xl/NsU1Zbcd7HT0yiBYq+mMHp+aLZ/B78wY3FoXwx1oonGM1v0PE
DrwlxrfwfDw9V7W496kGsvet5S64fQM61tUf4PlsTYim/WqiPer7NsIgRGoH
JXbnHuL3+EtzB+kuUnsgpTBy2aedIXDIL53yLbY+vBd75dcoEYUI3UNFLi0e
IJ+yUYR/B3E2SCA+FFuHNf5Rn3/pb31+1fk+wjEsTgI5iF3w+In7Qg1Ru0wR
ZY2aA8HcAZqlxb/gOmQ7R4bFZhmiC23vJw/63AJ1JW9NfLxqwRTKmoY3UeuE
++/7YAveh95X4+MafsXOzNamg8beS+acsbAB4zhfE7zOnOJGa/7ROU3kXchv
WKFhDWKMhsV4XWJX9YWj0RXq6LbZ7ZFRFyvQXuXJw32wBkOyW+wf1VCWalNy
ldI1qBO2rcXr8BkYfUD2rgnS+Lbt1aVgBC3hmxJ4HThLbOvWzxJrFDtOePmh
whFqKjNN3uL1chccZEmEXdEdJQZ+ma4oaBd8QdqD7b/jnocUxKVDkDY/8V2S
Wh9QjzifU4/n19Kymge5nVHO33r7X3/r7T/9rbfPJ/FVFKh2BN6SrAY8fi6N
Vr+I5DJBK3ul61XJ7YHhdb48/j3IzSC2GLYaffT+aKfLXkZbuLPifxj/fuHm
t3gD3YTrqIhz2EJoxQr2PitKwXXYOPjyaeM3TRT2jMtG0sgSDkjyKuD3Dk2V
2YVNXOpI4cnXqMKjFlDjuMsfrxu328Nv+3H7KlLzV3hjwmsOgwOTVrhf+nV9
RlUxThVZ0g79sBhUAOIkrQt4Pnst7G2Ot782+n3xm/zwogaccOQexvNlkb3t
OedT9VDWo0MRC71G8C3w2xNMf1RSziJXvdsUlT0Yd0hZdYBlym/22HqOen79
jtmMsUeSL19sOVhGgBaHPjErvp5v7tFaUfNHVn/r5x3+1s+/+ls/f3CK6IU5
cga1Khpv/LubGX+F/gZBUyTkotdzXNkebIXE+HDd1gfjtvIYMN3e+H65v24N
KhKFpnj80ERNcLyY1kZRVkUe3hyWsHloXR/XJ6lPa0p8QB3dv0ddl3/AHMaO
ckvhOsgISRgS/7yKFg8b/7l31xSErBtD8TrkRLHDdldjLiOn2/oyxNYmkFWa
7oDXwTq4lWuJiyoharfY8yPGUqDXy0qFnw9vCn4byH2rhIzuzUue41EEtfgF
Ezx/f/tTf9foyBVEdK4yppBEHWR81RhxnXU/zfwJLFJHhqv8Ha+c9CCQfIAK
17krPdQ4puw6upholJz2whLaaDPX8bjl6OTsGc83Rup3rS3OvvCBHLFJMXxf
Pprn8ebOsC36JkB88IC4M/RMhyzg+yOHghXdjwEjNH5BjqLotB34HRU+i793
huukQaWk19FZJmbpeWQJLaxXdXF9vFyc9B+rqKPkHFEJyqNm0Dlwdw+uQ9Jj
mmI2+ytIJiG+KJvEBIzb9t7HdTiyb2DKPVgJCVV3flxzNYJbsdtNO/48O1lB
3/wlRGf7gW1f3mkQa2as3cnvOpRFiA3Po7mwt4uexy5Ar8uXCJyfeVTxgeiw
FJJmo3IsP3kRQuMWZHC+qiHlUFcug+K4RfrHvylDxy/7p7ieTmemVRgEL6EZ
mtXpB0nqYLAl9xzXszh2+ucjFWXUPyVTGRx/E8JTVe/idUozGR1Fp1vVUM+f
nwn+35LAkrr72g/s3N7zIdn7SEoQcmfP1hRjT4YQt/Kgxi0CHEyo/RgaFITY
RcrjBO94QLqrIiu+/w50czz/smCCloaH6llUHSDjt/Myvs57hWz+tv6mgzZJ
KXjnVCyhIu9UGq4n734fiSBtNXRmjd/p07QJbNj4sOC6jaxS1jPUKyGicfU0
E0EjsJKhn8N1M/OWCLr6SA5NGrtfzj18HF7fqv+B6zCgO7MW0sGH+Eulx4fy
TkJj9uQYzrnO8XeQ6AogTlKtDUO907BP/+4Azs/Re/+hRkJIYf/PwvNbEhDj
xPZkJ4+bEamLOnkK+Z9iqQqNkYKfZ9/n4vxHkG6sU8FptCxqIXfqtBxkn6Cx
3cmL4y0+fx8UQxKcN2q3fJThoo4b3U6dZ0aJrK3geRT8t459/m8de8zfOnbR
MWHKuNzr0NDEuIj7h4Rf/MxCipew/J724rSdCYSd0OLC/V6+tfATZ62uoK3C
Yy2cnx2hKSH+LHbeQJrS2Er+8wYyL35fpbB6AOrJPu7UA9dRV54u+MmI3P7M
HY8IZIeixzbrOGexiNYyvbwfrbRt2Ty14AQvBp9VnK9xVK+Qf2RGZeKpp+pJ
eWCO8GmnHnj79QX/H7kH0cNjEBwtwgc+zvK/cB7OZs8fV8mCbHvyerwPnIT+
+zfmdvS/R936lJkdTUdVSa04noLYk36TOGcOe1VU6nEYBf6jzlzrb505v1rF
7xGdsyAewrXzHcHYR8Yn4brcyHlYLZtxHUGLfmvjTj6+MWurfvgYyo+blhWq
kgUJ7clEnI9GTHn/audDrf/wRX/89UVdNd413V/RhF1r5r/x+GfuV928ryqB
+mW21c5FkMIqq+tO3qqt5DrwknNFsu2sR/u8EwV8Mbu2w/vc3s737l6VFMjZ
uFubSg2yu47v8Ork3265FGuSKYF6RD+IaMBefWmn3vtymNmbgAPrkiTvx82T
P+2DeZP6HT42+cicR3pDcu1i8yuZr/RQ2mi5w02kJwRqgjclPzb/UP/KzAQU
wrt3eI7AuPLA5Jbk1t+68ZW/deNpf+vGQ12zwi7LHAKpYaodznbO2r88bheq
0O2ga7zMBm9TdHbqxl9dLQi4EEyEPPbqBBnoHoYwL++dOEkR/km67y4x+iIu
+MNTnhM08s124uQ9h92d3E4SlJx7XPO0GzdoupHt1JOXCEoeGDhKhqZSY4ju
/uYBgViZnXpye9L2O4715Iir+k9Fxgde6Ald3/keoY7Z8Fl9IOV/Oj/t/y+c
TnOY9IL77zZj03/5Ktbdz26Tdv17H+a/+f+3nFeC7Lej7G1Y17/5nh/bB+9a
372d8DoNld0lfOAhi4PPIVqxTlg+67wnXuBFVBrarOLyva4ZAGXCbzRNsH1K
fw9xQiRtICrXrr0ty+oHg8RbffjfZ6BUuNbHouGNhEb6TBWO+oK11tVL5fg5
vzx00IHr//47GP+XX2Ty1y8aIM6rYP3uAb7nHnjg3/EhQafXG2V2yD2olzRd
B+OPJ5lxf+bGD4okAT1r9OstXSbadod90U0CuA/z5MD9vntdFmiO6cjafKc7
fD8zJ4v7D+0L7sf1ms3QQq9ct1mFO/RqvCnD/Z+wTWu5LOy8atbQZNFX7A7f
uIZTcL+FOEiH8VqhMYo3n5kMqXKHH9Efj+P36d8aNna1uhmhseFUfcOLLvC0
4hPJJJZPHb361fM6cRx6tmiyX/HlXagqf3Wwdg3PrzUurn3ORShmf2H54QDw
PHmAxRprx3aKXzDPLwAtm9F13in1BaKOJ+v4/e8tgc0729meSNydUvuDhDcY
DxnWN+Lnf1/aM0lGLv/BN+v765vZKNyiI3vmBp5POkzw84mwkqPQlxfW6BFr
jqAlgxsMPW99g/e/eya3eirfAsmvzPIw5bpCZmZuC/73K44IJXdckzBDVdn6
L1S1XSHFSrgOvy+eXzXKU1czQSV5ptO9/K4gv/aHCvednqc1q958boRsBI7U
FBxwBQ/Vn3M7f9fCkYv/qr8hom8IPnmdyRV8GY/74X/PYbUoJchgWB9xqBmS
V361AV30JSQae98dtRtlvDWCUdUePo5Z60iockh0eLVJQEakJt9krNPQ8/tt
FJxeAZBq3WFrgbXzTHb31zTXAHSncd+2SqMP3Duv4FGM8Wvq1ZM/1D3QlQbd
D8o5nkA0FNXyGOPBvBO1KZ+d/oNPZfbXp9LfCruV9sUFcm/dy8V1aOpUOj1z
0hKLq7NTRqQu0MPsuYKPS/DVHo6HPGboegw99WEXZ7iT+bwTz0da3nfmaY0Y
I0ZVzlstTM5gSygsw79z7O4sk8tkNkKsmnSz7B+d4FDk0cWdfHlAe2BN2wBV
Vxs41zc6wZ9E7rd4PhipcWvNkUwP6W0QmR0ucQINIgoj3IfJD46R896PqZXX
S60gZwKfyNg58Pz0z5lmz/O/PBFngpVlZKIX5Ot45ktinJyyLVP0VjjK5ZEf
al0MhO+FvxnUsHZkb5Gfa3QOREVL6IZ9og8oZM8s4PfC6Vyzh0LK3BF73Z8m
IRcPcLQKP4r7AHovT9mpF/9H3yngr+/UPjOy/84lZ3hBWSSF+yT9jJSBwr/M
EPXx075rIk7wunOiEh/vrqcZtd8JxsjC4hZPmp8jPJlS8MG/N/cJmFB41mqI
LiRQqmVTOMJ4ntWOf8LVzV6rxqGPdtW8U81qcgDDcdJE3F9SbFH1p/PRRbQR
IUWloQ4gqXLZBj9vc5QcqWXVvY7Mnmgs7rZ2gAQ/hk2c746s1z2ero3Uk8jF
dfpuQFHagDB+LxxtN0vQ8XVA9teijC/euwWBh02inmHcvP+rAa2HFyIRj7F+
EhcG9FfO1uB1lZ2ceXuDzWLRStTrVyfX3KFaNl8E/w5CkHvuROH0f/SRZv/6
SC8fNwmlMTvBRvq9k7gOfjXP1Y+dMEV3/FNLLtQ4APEFESp8vLMnuqzk9xih
0aySpysp9pD888gS3v+4MWk2miY9tPpBk2XM7BaQPgrqxf2TQ+0S0X7eN5BA
2h+OkFQ7CFV+sA/P4zL3HYwX39ZGz2Zq1Zz32cG2+JnvOKdx5M1YJtVCHqI3
RBiabSF471kv3E+Y5jsYmGmtgVZp9sR6JV8DBbMQMtwn2aYJ2DeSaoooSxrb
F62Mwb2Vvx/XreTo/mbWbjs0PH5LPinBBS5p0p3C69ke1K/2rlN4oXxpMoEr
fR5QeMJbG4+fUivxZV6q/+gjyf31keabrtdeS3MEk1jjeTz+9w3wTcuym6AK
xdfCc7L2wMZlPovr4B6zS9JGxAB5s2/ZkA/ZQkSS7nl8XKVSp8zPJN9AhGch
Os6XbOCl/S4pPN9nNvB+K6ahjY7cS2ftELcG3nd3o3GfpOlBqgnzdw0kbRD2
NDzQCh4M3LPe8YuUOOlWKNXRJdI/ZVOUVvDHU5AIz9f4iMjvVkSpIblbvls8
+opgObp/YSd/afTjf/ZTB6kM8B2mjtGCnm6tZDx/6ac7lqXfb4hutmja9fWZ
AnPiAx+8HjKmU5Vm/bclWu3Kle9R9gVOeeJnNVj7PRayLy/aOf/Pv8/wT7/o
wpytVEaRE7w1XUP4epLRxjWhn2mCKOipP0+33YIRObWnuO9hykRimtyjh051
PNDQY7cBX3YyYVwHPYX3rZG6OmjZ55Er5YQlXEtfz8XHS9HmPv7ltQZKLtr7
OMnBAnQSLrLgvtAxddkrby9fQ+ndq24rbubQ3thBg/shSbSEzVWnq8gjc7HS
5LUZGPgzVeO8QFIs2ZhKFekffCfc+V4KuBy7pvG8r/SF0EHBbhXEaCWW8d5e
GZJeic7i+YhfTU6abMQ1NFSXG56dpwXsF3pC8HxcQmTL94/AdaStSzF/ed4E
lCavyOE+0lv3ctuWbmPEfMbO5X2HJ5jt4yTF74PsFti2pSetkPy3D3W7rzgC
Pdc3EdyXzp3N+r3BbYg4/iw5CUbZwEn9u9N4nIvzxVy+Pa2NyCKGnqh1W8DC
An0NPr8/VGJT11XUkS/JIYvNaDNIqf26M656V6tHn42uor7wfLUfh0yBj7V4
FPc9Gjs7omkeqSDjHnTVn8sEGHsCc/H8fZwoQv3sK0VUFM1YIGF2BloXtIvx
c2zGEOnU7LYkclvKLX8jIgXdHyt2/q5Cxlrquw5dWfT5FoPUWIkCOG8md+O6
6Ydo7ZWZV0BySW1V35XVgbeAwwHXTd88QSrq/VVkyTA5UcBpCGYtRHfweGMq
XRrLr9JBJH2fvJ8degJLwnMj0oUERFRfWS0XWYVY/lHfVfm3vqupzGDLecgR
JmhWqvB1WL1MrUvARw9B/KZRgJk1CBB0PfD3JSrY7GZbgAZiYcil+51lBjI2
h5twfSLbi05F3b+CGkbpGolWjYGtIa4O16Etmi5WXFIJ1SiQj1FqG0HAca9u
3MeIT75wQbD2ElK5wu+abcSL5aeDO99lH+u+TplCLoh8yjmfxzOdAhYiwfc4
f9HwsPjj7VPo5i+2/ZqTEtBzoKRuJ6+f6w7N4RBDTwdvD+d0ysCC+XHHne/0
H0dnr8VdQL+s1utYFpVB/ezmZ1xP2i+CDmfiZVHUgVTt6281Icgl2xLXk6qz
MjLERBm9uX5yNCDOACLc8zXxOFxXNhnWPqqCmv5RR3T2bx2R3B/u4xk/DoEa
2eud/JFHMPqZWc4BtOfwdpf/ZU5IJ7Dt5IlyprEsPHHsaOuj2Po8HS9czYr9
iXPHeKlB72VO1L6RKDImJwyKl3ImdvIdjlRv7XvHUHZfrtbKthgwx/Dv+AOL
3sukHk8F0JEPT0jOTEiBLsN2Hs73zBq91dsjghoaHZh+XVUAD39SuZ381P9o
zDlKCeTzDx8m7K8PM9M3eNRbRwo0bxzaqS86r8QjO1PMhyQjX9PqZ8uDgLf1
Tnzy7jOhu78gjJ6Jm6V61V2D+rddLng7JjVk9DXzZ5EBP0tM9DUKeL8ouZOv
HZMemFET25acOxGU8GovLYjxVezk9bYjjuTM5SToLvkF7xMvGYHsee1O/s7a
pELLu0GJevQ+vqLqZYF5GfKd/L1R/NKbDglapHNJL8kijhM+NR3bycfn7NPW
NDQZkGnjnMKPhuPAW3l+J++mNXVezB9gRjTuV6TrHYTAQKN1xx/7YuV1l9uI
DXn9w4e58teHsXv8uOM+1xEYKvq8M49D2keWqKopUAVh1xXnN8eBIVZqxxdK
vOGaV0dEh4L0H8kOLwtDT1Hq9E4d2lzEMaIZZnTwH3VrsX/r1swNuLNs2lWB
zdrmD67bpWMvee9/Ff5Pl/f9O37i1fpct8IRSPu8e8c/MfmR7VN/iAj18C9O
3YviAXHezJ04z+6sCOW0JvtP1///qlyDvE+dmCIJBqR3j5WtY+vwI92HgeQ5
6KXCt5aH64XQq7BxS2EKy8sYA25cj6lC1g3WF8+HjUGyZ43d15b7qOT9VLwF
1QxK0aFsNeO6C7dOX6j/guX1SNPsMOFVAgoszvTJ8C2FsXTBq0NzBEhwndl4
klqEvk8Svp09lAsBBw89oF4jIAWleq4N2Qz0evAhWzJVMjC3Mtfg+RpNONku
KqUE1E7BuTfkdQbQjuRxO24QkItamKDb+0QUaaoQ0LgVBVOSDznGsHO122mP
uSergUi0MblDfDQWXnBZsD/dJoCmd2Jx428/1CEmWXhJohnCUm90HuohQOqz
I/O7ewqQrptoiYuMN1gqLUzhdcVpQ1PVa/H6KNMrQtBuORx8lNJf0K0S0PEK
VxH5gkJ0Ss93te3wd1BmMVAcpyyE4Q/+xBnrEyj7G9vR0ugoCItRPbaM/W49
SRPLXqcAVJB4tU2O1QEevHSMn8F9wp6e2WoZY2T8jsK8WMD9f7T35tFYRu/7
aAlFFEmlokxlSkSasFMyyzxknjPP8zwkJLNIlKFRyhgy5KZJgwZzlIgMkUxJ
hM67X893ndX7XZ/1W2et72+dc9Y5/97rXc/7PPvZz973fe3rvi5wWcvgg/GB
NylZxxbYrJE2RX80FdEf3U/RHy3UutIf7T4WqZGk7gRL9XozOI+97X13X6qZ
NlI126hBR6o3o2t0qHG+99N//5CShyHq84kybDgVCGOSHCWY7yrjGL02N9QC
9Xl+Pdu42Q4klEL24b7U1Gsjm6oG1BBbqchvn2PWsJ9DSgTnLYYZ4usd6FRQ
fabDFvMgN1AP+fIN1x0OvUUR+9x10ePjK/0Iv4h+hNWJK/0I7/ziCuFIBJxc
YNbJxOd3SZrVbUs2SC7PnXY0QR/+GrD54P3ULNX12FeqY2j4+49MwcNioC8b
Qd7fPVT9DSInNv3H+aycMtIvpBMD/SNKDrfmJtDLef5rv47cQjyuTfXhFyvg
Au3QTvX2CeS/3lrvnuJddDhhyb7LPQ6U66k+4HP/feLF3DdqPFDVWdmOh6R6
ZCZd7Cuux7NOjwnt2mSA0mKK+/3cE2C1912uWNI877AweG6HMhBn484N22WT
4Mp09lw1ad42eRrEr5FIR1enVErzps5DgHOMyHrSdcStBzYfkY9EE9OKb9vm
4uDwe9YtJqR5Yhk0PG/xLhaJ0Mz+/NGaCGxSN0vnlkjfER1jEe/reDTqd+Rr
Zp4XKLLRfH6H8zdhCVlGczeUr/dnZJDTHQpKJ3vweSj3ieEnS2aOaLJw0S5S
Nh52DyZfy8TzcHuV796k86iV8YbfteZvoDzW9iYn+DwwP800eDbUj36yGm+m
pR+FHRWTCdV87qi38r6hf0Y/kqHQa9In9JrSKfKBXCIfqBZ9bLJZLQJcGOa/
WZC+07x1RWb7gnKQxICRtWlWFzAGTOYtHMwHxfVUvjcUxlGUwxNhs2efQOB3
974zE69R0bW+nNeVY+iCorue0/F7cKSl8F7PyATkLjz2V2W9i8QZLKSKwm5D
7iHXgOmZCXg1cWv379ir6AnDhbys8mqQ8un0QU0TEH9BoXCr4E0U9Jvm8z3a
Vriwf/enEP8B8NCRWrPmwjAq3a7e1WjoC75eXrpGpHWjtiWoZTE+BbFwvbqa
diEFsup0rLaQ1qXOp5Hb12bnIe/shtKw/jLg37Tq/vXyCaRMd+ZV/pZa9NlN
4l70wy/AqHn3yYH455A/DmJl9KNIdRWzMHVjNGxoEC0grUvw4PtZvaJf51F6
N/3qLvtEoAmYS+NZIuWBL4SK6IIuoWnfkBKvv0mQ8dUppJz03l8/+d15QywR
eWwLlNaNKIFY4a41Qp8nYIvawkuf+EJkdt5xYXQyE4z5XPmk/0yAuc7vYamh
VIQ6J6NCyzPBZ1Om+PgC7pt4lzy2Lh29lhk98CosHK6nOT52I72vNSV2RS7b
ghFb8Er/rAPRP2tJ9M9qU7x3B+K9Twru2M1Qcg7YRl+Kh5Pi584wMaZpuqHb
bKYbNc+lwVDypHI36f715x5vEWf3R086NadydUagOLPrlPvpJKTxVG2Z5vlX
5J5ZYhAWHQ3yh180G5KuYzt37WbSVSckFCxpN6szBuPym3paygvQBgm7yLux
fYg7/864zugD2OU60SPfPQHziXTVbHfz0ZNrqMa+MAwW8kX1tpC+u0gleels
i2uIrkzK7ciuQCgbGZ26S3qulL3j3qo26WhWsBc6fXzB4e6BypMYh/HusPQS
TEVMJTt3fw64B26fJPKquicQipvPHXhThtpPiknti75N+o4ixXYPTyC2mmNn
g7cWo3O/GtRcO1JB4ooi7CLN8/2nijZYnc9CSkTfqB3RN+pO9I0yUPSTShJx
E4p1fh2xzvttKjiwU8QVjn6quYPr8c7xlw429room+L3EsTvuaVXdCE0CF0I
IHQhrlDsFy8IPQ3duR692QZHEJC/Uo/7LPwft1kwO2oiBQp9CW7iOkzS/8aL
iLjXYE3wYfezsGloOBjX+yc0S5LMMk+jL5tPyur4uYCtzXgyPm/1/FTnLL7F
Gslf45epmbYEnQcKJ3E/yJgvT0iC9RnEwnp4wmjKGxo7RWQxDhlzyiJ+43tn
9JcrK3rewAQEJLaO4fuX4nR0mj0sh2wLxxyY9C5B3RDb9tH5CXh56Vncn8s5
iO1cRp3GlyTYLpjzvYL0XcinjG/Q7ctEtLwcVGB3HrRkZ6s/kOZDVHTrE+Pc
VMQdy3fheloojNHcoG4lzYf0bh8bfb941Cty+lBPTxB80ZLUdMXz09u9tK8+
HInohehArg9IJCzfvUmKr2ZvOhTXGIQ44zZpP1GKhjHPE0e2YDzt0/GSG8nh
SPSe7psnoREAq88F2WJexNillK3rg5H6ut9LJdsiIX+9xrQs6To89Ue119v9
n3qP/8VXeUPwVZRzrb+V0XlCldyT3Rj37mf+xefTaoW0KXQLdxC6hboUcQ4i
bkMR30/EhSnWgUBiHQimWAfSiXWgNejf328nfq/D86XhubIraJ+XCcY4m1Vm
xnc9JUOkcmRuO6erOVglpzXi+r12Yt9X29FTyOTv8LCgqS1kfZruxfhJfSX1
1Xc2qojP63a6SaIdtN3e1ovxJa6TOlc23jqNTPfQRX8rcoac/LRlzGebH7E/
ki2siarMx3rG7iTAEdYB0UncfycTLvHL3h2dpOiL3Eb0RZ7n/Rxy5b0pXOyW
BzyvFH7yBHGHyKDIdKEt5hU+EPUk4Aeeh6+LT7Lb5zigHIHzzz2/xcAa9lsn
sW5wqPBji1HxEGTE8D20WzkUEuN6426R4p8P/f3lJO6BPppwyYpIpMKmR8VP
1pDuh6t64KL+XARiGvA+ocfrDFLhYr24H7n8DXeTlbkh2qeyp+hgvC5c6lyq
x/lPNd031kz548g+eKfQIGMYxFaf3Ir1V3kiQ978HLJBXC7rtPrNfoDnpz0F
w2ViaJfQ1QI99jb0bN0eL3ejuzAy9thF6NMEXA0PuFP7swx9UAyve0NNysMf
rfUO7sPnOHvfK10rRWuqi4/wG3yBP1/Zt+4yfQPf33V3GPd8QyWqXFfbVRJh
Q6ZGiy/pu/i+zqAq2eY82knRV6hM9BXK+DUcyY37Dosb1kzbeNbDQYl9HzNK
PyJWujm2Xe/i4Y2t0+Rn0nVY4gSpnj8LRGcM7d6n1HoAnU2DL+5/963yQ3sk
LNCLAx90OHz9wNuaTeodxpMF2dq2TNggegrcKYXAndifLOvVlo5DR57gToWg
YpRc8qg+068TNc/IPOCpjoByOpGQRNL1L+XWFp7ic0bMsSygc8YObtFxXsB4
4PetvpkmzFqonqKPz5Do4+PutI3NcMuC6PL5+ZzZCZh9oxW97HsTFbvXCVCT
3rupovGWB6R9Z3yy/uudL6T6RSNk/Zv2IKjY2l2O+aLzBgZpdv0+6LkKv9WM
WSjwinMeSiHFPVyfLrW0k57ZQYhD4XUoUH+nko8nxZk/GdjwKPujWIkrvD/C
LCDlWuIMxs8Dh4vst3dqIzdhTjuDenUIG7XMxHlXn/t0VYyLDNKc7OHc3GkN
9NfvCOP+Mh2k/eLeFX2kRYEndBN4ApXiv3hUOYFHhVDsF9eJ/WKSgh9yIH6F
H7K6999+Nzqi321heWv461h1aHhy7Rm+T6ENLbNqQUdQOtHXFkP0tXUQfW2O
FPEHRDyiY9VX1kQEP809a8k4nsL07i8WXCifrbtoj9dBOBHwqw/H6YJc3Ldt
2IaEKZ73LvG8396IdK9rOgyC97zJeCBvxFSF+YGd6BrFcz0meC/vXg7k/85T
AyvfjB/4/v9KOtEonxBDO5dsZUo6FWHwyG9FMt41Y3c4e8P+/1iPfLG3ZzZ7
Tg91VyTIuJZG2bPC4vZpaS5fRr7CX8yQF5S2wnuZURP+M/ZbepqCrxJN8FVW
FznY0Z+ghfuvA8nXSfi55bpu8aA0tckpv/7HzKQ8toh8nc22m4c1jKelcz59
S56pYYOPctLk63RfFJl+bbognWhvxJLnSQunOVb6gARyn+ss1o5LSz6yeT5w
gxYin3iQ49vPqzUHPh2T9qPo91lF9Ptc87CU/stCBfncd1fwOhbv9yJqfdKb
mbYtPRj8W9eS+4gcV5eZSKQp6JbWLnkq9OzXQp1u73ty/KtV30RGY5t08INc
VsPw2TomsRWeRtuk0rLFjrf/r+dpxJ3u/JMvuxo8j+eSn0ttrwWDwcKU9G+r
rxXiz6kgym6l76lWImmPwa0p6Qz+L48WtlJD87XoFf1MGdpc7X1T0gs0OdZZ
gjRQ1BlMjg/3hfL3x05K82kz0pRN0QCwr7yXYeW0JZ3gif+xcZsbHF2b4kYD
NCwrfVthuwOit1waklZX3hUv/3sNCJqnkePBUpd+1/sM/G9/X/Ma//J5PBpX
+DwcwgaeIqv1wc6w+54e/i6WacSXn8UgW/XNlkeYL4DKCZkIOtL+WxvN89RO
Mhl5XTat7HYIh/MF3PE4H7i1a7fzW75zpLzm8CMFmhB4IjOmgtfnU6fdb2r0
BiBRh/4l5pkAEJhKbcbna99CNR70q3ghvj93HRGjP7BldlNhXxXRS9UGBZJu
yLvSiho98YXb3Isp+Fxp+vXi8PUZR5TYN+/i0eYDqYu7GnE/EYe0XanFT1tk
dGdY/PouH3D57sqM8Z+KDfR8zuPW6I5r0qr5JG9w6bi+H5/fZQQP/BSIt0TO
MfnFf3Z5Q2cQ9wV87gnHdkn43zRHGl9Gnsg/9oL4nx9McJ/L716rqkoWM/Tw
2QOGrx5e4G5xoQ3zDXq+DUoJRRmjpYZtmnE/tCFFLr+OtI+jJVO2s6ruEcj8
RN+mzx3hwKeUe0aG9PuY5Ms1JSLn0My1zrOhIsEw+VUm/Qopznsr7HLuXX9k
1ML2vivcH3Q2tCjUkOLRdQkPOEc9EIdo7bHnmr5QKKgpifk2Hqd9Hmi/dEFj
JruKNHq9Ybrgpik+99df2H89290eBZm1vxzq8IISKrV9+Hmb0oqX+W7aIKah
6/SbmL1gLoGJGz/X+v2OjOeaLJHCvZAjAT6eMOKrv4jz4ZumFXK5aebowu1t
Pi8WPSCm5gYH5ieH08j87L1hijx+HsgNu+wBoif3PsM42BoNhfn0BiNEUzM7
QH3KA9SS/Tbj8+LOlJ8DC2cM0P05MfW8te7AlNo9pkgaH+diO4lHLjHI+kC4
/KaNmjCi0mX5CuNmy1P8UxOBKP7mmMPQ3nPQnCdzSJB0HQOHOzWaWyNRgLbX
seCZIBh2+tSN++AYD43ry077ocymyhP0ln5gV1BU1YDrBY1VXw8+dkd/Z1ND
qd57Q9cT64VmUvx6UPGjq5ZOyP0hQ8NlPi/4mKUyhMcn8I5WXjWfLaow1piO
XO0Jd/st7PA4vGwzff8w3Ap1rJ7w3sLnAQOaHNvx8w4tK9j9ajZHshYvmg+E
uYOEmstD/Lwbfm2NYAg3RQ1/3x7auOQGu96Z5+Pzu4Spc+OskkYonENOuyPJ
DXQCbpP1hex+DL0dTDmDuHPX/tpyxA26P+loYR5FYuAZDzDTQ+eFxBL5c+xg
+JhpaiFpfJTG06n+fg5F8TcMZhlenYaXmjsGcL7Hm/QwJU7SC/VQ6N60ELo3
hwj9tE2EftouQj/NXTTLp/9mFOz7LGI7QPquXayX03SZohH9pvzx0kfBkPtW
JR7PTwmT14846P3Rzu/HDv2p9IWthvm1z0jxndSvWL+PuaFTPj5Mk6leYOB9
VQx/dwZDtBEWZxzQXlOhRNfbHrAmvUcCj6cPbfX2VnYbRP0544XEGXfY2Keb
jHkXv9MuMAkmWSBV6+6NTWfdwDG/ggmfF9fO1UnvXGWGkrbnWx8qcQXv61Yh
eHz2KjRtSGI3Qs/qs6wVuVxBhT5CDtf1kj4XNrhuOoMSr6ZYlJm4QFd+bzbm
Y3BARNTlbF1UanC8vjXXGVqKP9/H9Y67iJramSxtVH5KhZ3f0gI+j9LLfSSN
573kwrE1zt5IVuNA9UCfIsjufFOM+fyX3ZOXxXOc0aP8yQTmBj9AzpanbDB+
+E5ZYkkkEvE3Mir3ij6Db+1Z9099/IHun9m6rtv3FbrxI6Y1bCIBBMKlX68l
jTM7eI4yJSeghBl/78WeUJCTUfLGvlSjVno899sC0IazTW5B73xBSXVpH+4v
4w9nu8B62Q01tSnuYKn3hKMPpEvwvDVXPPfI87UdSpdg5AV7d3Da6qeO56cG
19ShH6ZWaOKs5JPTQ66QtNxeSdbzkam28O00Q75/9+fn3HWBePl7O8n9LDry
PdfKjdCI4Pbwl6zOINpwl+x38GHiEr8d7jvgMNJM7nGEgu1VG/F5ffnxtxOd
AroojS5TxnnQAfT49yhjPoMg98Hj2UNayNXypaX3DgfY+/yFND6nVnlhtZlj
gyZ6kcHFE29rAOUaxzMx7+KmlciH7hQn1N+vbVJicQoU0HdZnJ9bR1Etm6Zb
I88ZpSuGZs7Q3eM4gvuk1l+wqmiM80F5z+xrwqKjwKBoKLmMNM8r+rwdDLpj
0TERZc9OlYew/j7aeLeK9N7HZ7c30VQix3dXee9knANVsZc1mGd1pTVdQSoi
FAl/FGfK8PKHQyFfjXFfhpTupuYSOXdkKPZrZ3KKJwi2jz7FfLPQE3HFv1fZ
oV7O2rB7CW7wQttiI+Z9/WYoaAmgt0TdQ0LFIq4upH2i6SOu05XaNst1PDVB
m0SYHI7OOILi7x8q+BxhXeiH4evNZ5B4fcHRz3sdYDnUNxaP237dxKuW0qT6
SP2n8JsmO3j2Mm8HrtPraGLNdl/QQtHLdRKKj2yhp131OK7rha6df83uqIF6
FvkuMgychbMDcRwYL3qU83PCxFUN7Rff6e7bpgmnft7qx+PpM7xDQGKPJRKg
8OMQIfw4am9NaviryUCKmI0S5s98sfkofDTFGNlS+Hr4E74ePLxFa9qeWYDD
4ugUrrsVrTcUVex3QPKEr4ci4etRR/h6qD7mvM8x4gmrLBvZH5PixkdfD588
54OSCL8PYcLvo47w+9ioNpJy0zEd3P/u0VhPqgdVa/Z96Ii+hIp5+cf3uKeB
EmNe2qfFCfgpRDczpJqEzATWPtJyCgXtaidT7NO0ld4gp3/OC/3t+dcHJJnw
AeFaxfQpsMYLrlJZ8mO+5Z+OtNj5Urv/1t/UROBFDhfvJ5/WdQOTsroZ/N5X
M/89/uqMBQr/D74ho7Nrnuh3O8HH90+/4PWn/suGEIl0I7RM+IkkE34iJYSf
yHGe+b4Dr+2h65jvdTwfNBRm91U76aEHhM+IJIXPyNvS2vzj923B1V1sGsd1
upcuX+rSQo8I/xFWwn9ElfAf2XhE1blk11nwTUsOxPG2wTCVisMaKIHCl6SH
8CX5mTjKFTZhDRLda1Ixn6Rx0ODsR/vTaC2FX8lfwq/k6R9++oN/rcC2mMUS
X6emVeXJEUlldJHwMeklfEyYCR+TkOdpU1tcTwB1zOgrPK94Hwi+vjCpil5Z
ValVzImDPFWuHM5LU83LO5M4FVEObd2tT/tOQ6fv26d43oanJRrmRGsinnWk
9K1UH0YUdZTIeKxj68lrtvrot9r2gsJha3j31hv7ByF/0cT1cbwWaANHT6P1
H1/46pDthPGQkCx51S+PbNE7F8/Q4TJXoD3FT433l3drpaWCuEzQ/UzvjfFS
9rAprcAar2Pr6Lu3iZDG3020JVv0qA18oUvfg8eHVnLXPefVGujmpvvLyncs
wf/xajE8Pp5ZUy/aZ5TRh2RWuYzP5vD36ZgXHoe3h2pClWrk0YUMJ71bcWZw
+vINVew/UlYloPX7miz69KzTmKvjMATvLYjF47BkZirnfF0GPb2oGtcyLgwd
HXkVOH5YRnYhOlkaWcgum+xuOQHmYYlHcfwEvz5n0GdZNL1VQsmDRwVu3WBM
w+OcdE1M6EmmIrrP+8A6PUUHWEbKtpH7sAo3qHreVUcOpKSggcMC7qbfvojX
DQ2pyVkhU31kiEQ/nuhwA976iT84nzksW8h4Q80IDap+p31qbAeC9LyX8DwU
yRoV+VSoiTxOzk9cdrACm0uWlXg+xNta8I6vV0HeV2R22ASbg1CaehUehzsh
lcFjIXIoroSFcWm7KehIrO/D40B7YqyL7e0J9LFJ+W1D236ISfr9AT+XjTZP
we+TYsj2h1Dpwcu8EM4lQ+7reTokNhm9XxTdjx0NqPSQgOuujo/JfKTa8r5T
EwdR5Y+fm2fZEdQ2fLyC46MnZm5WBR9B9tU7tSsyT8Fa6+0aOG5NN8fUEiaN
Rm8efcJQdxpS1lU9xOO2wUly6OTmk8icYem8h7QeZIhfIfdd0s6MSP96rojc
s6KGF4+cheOCSY34+1IoOh56z1sFpU753vUrMQfjuYlS/LzbzDp/vPWXRXvZ
FoYMfnBBLc9nMk/my/O047zNXKjm7ZlMoZ4d8KZLi9wPdTR8LMXwGCdi9i0o
ypnmg+o9CWQfjU4GxS+ONTxIrt+Xz0FQBKx3apHPc7mpEgoct+1FHFVjO4Xa
xEGhAXXjOK3W7LndWwXQz0MjlgHDRyFr4P5Tct8ZP+NeWhph1CL4wtsuQwZW
v5+9huPPdhv95q8QRfrGslFrbsnD2INXujj+rvY7bW/RQfSrX8+J+qE61B5p
qcDjE36uetV2EUkkkLaiv2RO6C81EPpLfRQ6cr8IHbl79it6nvSEnucNzxU9
zxwKfdcgQt81iUJX1ovQlX1BoTf+mNAb3/HhqHH2HAvYDp0j4zZUOjyXFes3
IKVBhpfNTzaCXJUYGefx3L+JP/0DA6pRehZzPXcbhAsmk/lOj5huV8r4MCF3
+f2rgIoDPHfJkPk2XYGvbamrmZHGxwimXh4u2OdlT+ZBxcdmqVWLsaCXv67N
pX3kBbPR5l/k/62KNF/zczO6uHy/1kJLANTrts7gOKOFZ/Qu5q2oYrnftfHd
flDecJXcv6bkcLN1oIAN3T6jIKpuJAZrapQHcTzpxoLZ9187Ed+3Vjr9j4dg
uHc7+bu4UekRpp63G+UUOn8Q/i0FW5f7yP2DUjQZ188lcyPtcNEWFVME/utm
yLhf7ds3yttauRD1TcmjgVZK8OCq+EnyfR68XpeTLYx0LXnXBeVpwfabeub4
PRav5dU/nn4QXaKzCNL5owMdZn2L+D3Oyp941pwh8R9xBp/hLnWnSVr4GGJH
xhlYPZOqLthNSSuYR/msW08P42tkyPHkgvjioohp6YSqhI/paYyw7RbDih5O
4EaDpVcz0jsOeX/62cEEj3a+WMHlRsbPVijMSq+iCdI3PMICBQpO5Dj6MZU7
t3ZOurjHQDx37RZgNJwhv3e29I3z67fMSx+eHJoVN2KD+HhVcryi5UR6X/gf
aarjRjcP67PDdzE78nufYcyUrTVflj6S1Ljm7SZOeJ4tQH7vL7y9fksNrkLN
Z8Li5ou4oZwlk/zePe88sRPNpEIZxb/O5WXuASmVTDL/ykw/UovOgfr/cXja
/9Pi97addL879RS2ZO+aWLg4DvZt2ZliEh2oVdBVKlXmInyr630fvTQBAwla
nKXPUhGVy8ZvzKsjYF/gS6oDeL8O+lNFHRGJAkado4WzQqDvUv/DWJw/N8Yp
ZekHoTGh3eqtcoEwWfXTHZ/7jPX9dlTm8EartkLYuRP+4M1qLopxg9kM6qXu
BjdEi2Ky/Sd8wD/z+3qML716Kv0nOsAODYkP66iK+4DmKG887ksqj+P1eKxt
g5juoyaFPG+Year6DvcX9Hb48dT0WqL4EM+S/fu84aLxyHGML/U/7uIJGTZH
7IVqBfvfeMFQaAovxmF4Cml+ISUzxFb9egNjkBcsfy+5hfGlb5PWfo39xuhB
0oPzJl9TgJXb3unvAqmuUdmtdf7RVSQewBr7yu8cbGRXc8J8m0DreumjllFI
XiArWrIoBLYKOtTFkOIdB3IUD70JQt0JXPnxygGQSDNggX14hVJWPfob74V4
/5x+Z/TWF2KbE+/jvoCX7sPOzcOuSDGstq9V2gsu3dwsivuMZpVcXtpetEL9
N3MWlDM9wXWHrwqu60N29gW0CVmgbiF2jVQ2T+Cv/5qBeT5qYi1WYspm6A/v
qXv8xR7QX/LVGNenSZ5M3lTRxmj1qvqLTfoe0LDA9xjnz1Zo54svfw1Qi+LV
kuH10aDw4tg+rF+a0n91UTYiFuVIzf4w9wuFfMMSgRCct8uM85pJhqDNKiP3
zrX7Q1XN7BWsd2R1xnHzOnUvxL3KIUfmrg9Q7Si/jPFDi9wq17kDrijQ3HWC
tdYdBL/ZPcf/6/htgv1zohmyPLVcQyXkDt2cgT9xnj/DozoaEWWMKuian/E+
dINEs1WZuI4eed+fo51ngPK44mOm9N1gJqbgK8Zz+I0UM67I6KO16nEi/erh
0MTH6GGG8cwz0LdoHYaqvvEUmEgEwKFrZf54/H0djAdHc7zQPf7rFkmz3nBt
zbsrOC8tfRSa2OjmglzenJtwsXGFwmFGe1xX/pwzOn73tgEK+PPtzWyTCxzq
8J7D9TtXbIiHzbAe8h8YD/m46Az5UlH8uL6gXwqZ+HNXBx0ZjXHeNuMN6137
GvH1K/v2TdAruyA5Z87MaX9HoFUSjcV1vU8qjb6DkQ56abNH5+klB7iWXZ6P
6xGzS0tfviAt5GV52d5YxReGdscrY76E+W46k6vWrkiowCnALNwWTqY4BOD6
VIF3s+xdGg20g6LeFCDqzSMUdWIZhf/jf9WDxUQ96Ezh/xhE+D+qUvg/LhP+
j3QU/o9XiLrPhaK+6yDqu0iKOk6KqONWB/9br1UQ9VoFRV3WRNRlQFF/qRP1
VyJFndVH1FnrKOopKoOVeiqOom5iIeom/ve9SPSKMiw2KK/H+3Jl18GetVc1
0EuaaYXbp3ThR3MRI67fw//eYHa6r4t4wo8+f/3CAj5Ss0Xhc8y4aAaOD+2m
KF3BlV4m3h0qksVle/F1UttYdr2yR6ENSb8WHiXCrcYUQ3xOXf5EQO4hWyTa
2hy/y/RjItyeU/ePJY2nb82JdSxN4Wgo8oTEDx43GDvr2oi/i/79U2cdrU3R
qalCuXX19jAf49OF5w/zzf1Nlzx1kfZhuU7OBBuo433bjccn75fV/DN/DTRw
50P+8oAljJSWUONxOBc/VGlzTQUdcKT920VvAcnrBfXwOCwYK1lVH1FANpbT
b58UmUG25a9DuF5QU7IRcFt1CqlcHTpdT6cAN/rCR/D4SA2lHUiXkkeOSp/4
1g5pQHoBO7nP5VVKc3PQFlX0prvm/e1aQ5CTrI3A9aOnbeaSio8WahZmHdN/
cxZSXC734/qxhHuzccCQEXKasLw5beQOSgeEPPD6wCayjk2+1RjFmEkGrHWw
B9kXHuQ+psonus8uDmohvhqfifAt1qQ6Re8Afu/fo9gO6KepIk6WhuLzP82B
XTnbAT8XQ/NYdmSiPOLkrNCle2EKI9YMhfi5YveO3Xt26SSyGsl/ONIoAxpN
qhFk/n/jUbmta48hWVevv39SFYB/X+Eesj5ASu1ve/njKI1q6WGktwYkCTwm
+9lJfhf9SJrDaI/m69eyymcg+fDIBzxPqt72ssd8VkR5H5mMHX7bQG9i2wR+
Lw5SJl1FP1XQp/Usn+bazeF0nGk6vs/GjzUyJsKnUMLd9yfdeSVgaUKIfP4b
t7Gm72+tAOm7VlU6FiYJh8ws63D87Npjpy+8FUbuHdXuWeknwEnmSyqO6/nT
MAmLHUBW693nqbT2wFs9P3KerLO4hluHjRVJhwwGvfggAGvNcsk6DxEvP+u8
O7oVfaf52GxeogSPf9Ihcr22MfZ48TthdFJ9XPh8NTfs9Ukl52MgFZ2sd40K
vaFVeXWB9QusYxc4yXzbAd0p9XrwfMMY0iT8sNoJP6x2wg/r9JGVeAsRrxVZ
iRey7mTiY30Pez2PDAxbjEPI8nTWq+RWlOB98MFYZS7Uj3wWMpudgLCyJucH
HNeRq8G/+upvOlf01Rmedifytb+Ewz2KSamSpP1dQ4xLKOQBaqPwtwol/K3e
UMS9ifiRT2vplNfegN/L8r507RPIKr8xNFz0IXo92/bp6KkskL24e2EX6X7O
zT/I+XryFvJ2zK8q4XgFWS6uUqurx+GJ11W1iKetKJ5iHASFV573k7/0xrTM
QvgRK9xS2zeB+lPvq92RL0bXrJtklWqq4OJJyTzaqglYm68aZHGzHK1ucGgX
FfEG8UO33LA/e1MlI1UarR3KJnTIjxE65D0CKzrkb5klTcq3eMHumIT1eP1h
ruWeSxe0QBwBMdcnnXOg0cVwzcE/E3D/+Vwap1g0qqTgUfwieBTJYv/6Vak3
r/hV5R7/N57btRKnd6I+XWfgCHsvC/LidWkT+0jrNxFNdFjqXx+rKsLHajdF
/AoR7/6i9eGVhioooB9seL6Fpxy31tqzHyU8o5Gw4VIFp4OP2cm8iLbFTIf5
ff+X82FFtqW67ZqfgO7ad3bV0DGUWGySecDqPQobU+KX8kgFBbNbjfgcNte/
U/SAVjh6Eq0u1+WSBEL7suZvk+KT4eiUqYIfCmCnX/wg7A1jXf6A87eRkyZ3
FkeNUTHFuJkR4+YjNnd603tb+LEgb4f38Y7y6B3SIWpohsLny4oYhy1x1DLv
v5uDUtaVtz6k66xbt9zWM3weXUycWNW6dAumrJ/3FHSR9rXPXqqPh8pRVWzJ
jqiXyXA96nTJPCmPld26Xk439hpSofpxIFQ8FLgSG6YdsV/DS89HG0ySkavp
kfLyVeegxL5s6iUp7jzjqHD/z0XUQPhVCRN+VRGEX1U1RdyXiMu+Rg8OCN+C
NX0/hDdPTIDKNru+YMU7KFZx/09O+XNw9BhrkQLpeVMsKrPWT4eh3V5agwpB
ibB+7dHtXKTxXD29pTWx7CJ6a3m5dG+BNyi8C0zEfhkjF9gsyx/7ohsUectr
Im+JoGY/9Eg+HIaZWP6cw+cp62ujrnL6IUXCx+o84WOlQvhYLZ7UWcxLs4Sk
nQr3MP5W5Jw+nOKtiURCWkq37nOBhTvm4ti364xaS+TR9clop9bNjscc+cCr
nbh64f0E7NeoviSg9xAt7k/P3hXYBWqdAR9eZragTWPt76g7x1CJ17M/mvyJ
MGe4O/YiKV+S5WFUP389D53/c9GrbzgM7tveXsQ+Gi8EXapFtoWjR4f/DmTa
5INI8fr3f6YmkGbOO9ee4mwUNyKgy7cnDVS2MmdhH6Uc1QdPOFpCUX0nlYav
ux/0tT7xdSLdZ0Eqw9Eu2hSke4LFstTsCqz9YuHq8XMC0fvf1FR6cht128VY
hpfchHqOgdXWAxPIrSwnc4dDKdKi8HtS+K/zys3vZbg3xcCUTM+8AOn60XqX
6/LvJKECJqvBI2rJIChe76ZDup/YbxkZ+/KSURThx9RJ+DF1EX5MUkR8PetK
PJGIMxI+TaWETxMP4dM0O/lvfD0RDyDyzxQi/zy+ZiX/nN3FXOV1LhvkUkdU
8ucn4Kno8Vd0LBkotKyC+or4Xbh6WfDL1PgElBT10Oln30RRFPltEpHf8g39
69+0QPg3lR33LFhguQiKTOod2EfJV/wiS//9IJRyTj9hPu073Cxac5+dPhVd
7ahMfPzwEyqeF9xX/uA8VPfRH7Yj/X6x+Y1gQoU7uhB/0rec3wxYc082HMJ4
4zjL37dUF9FqRd8MoeN2oLWPN/AbaZz3fzXlYLFMRBwce55ZnrkKrE/j+SZJ
zysgsi6BQfYKcqfA5TQJXE6U4J93H1/hnzMT/PPpI9/22zuNwXhDiSL11jq4
0Or09AFDH5KjvbGLqz8X3Gjp4tRJ60NsUnuKZ/gFJD3m2WJP5Qm8nntTT5Hu
R0j9wbbPTqnojRNVgnpGFvhpzP4pmptAvccv1+7amkd6rpX320689x7i/eZq
JPXEMaZAW/uQO2l9QLbbIvba1yQhbsU2n0u25+B6j/52Mby/lEwmO7CcQ7YU
489XtjL+7H/t9hc3XIKZzTdUf5Dm25kkFksWqmBU3j7UU94eBnLtW4Vukb73
KnGWb5mFdoh2a6R7UEII7OyfHMT7uHuHXcALWxvUYPMv/ulI+Bm9omq+tzju
DDMtBR647jhzX6N/XkobHQ/gl5l3dQV5pnTMqwSq84dOFfLoonvBqs3dWs7w
bV8GAz5nPKvUE/VwhzZa/eJfHDVpcAVHdXyx8Fjwmw8kW6zdPUAah2cMTvnK
fmlo9prpk2aXGCg7VfjqBWmcOf92Xqh0j0YWFDxzBr8Vnnnn4/6HxWfOQ1c2
25IyKa5QGZtqUxqESin8gx4S/kEvKeLvibjAhgg69qGXsDUwyuHSsQm4luGg
0njhAWqh+P1X4vfs9NYMwZtjYX17fToraX1+Vx7mkhWZhL5odgu6WsZDXXWW
pSPpvcTUSZ3hfZCKkgmfoNsUPkH5FPFRIm4qxFAu5+MOWqX3FupIcdHQX7t7
3PyR7k711D6hIMiL33cS40g71jW8clryRPcpfHxiCB+fGor4ZSKeQ/G9Xye+
d9e6depexvEgx3viWxvpuUwLx8bPJISi3xFfTc14w2D748cX80jXGTp2e3yi
xw3tPvNvnhlC+PgUS1ZORawNhtVXnns/wvVsq3B+xTk71HSisajxjRdoSSaI
4XyA6+MbGht6C5RYOGAYUm0J5pK5xrj+YgkOdip6JY/c9jc2GWZYQIZUxU6c
/7sw3jfsPSaHJih4Jr0Ez8SRwn8nhfDfoWZYiTMRcXGBlXg4xe/vEr/X/8rz
LvpDKbjGvP984cME8lh76YxXcjE68/jf+TxBnAskGmossPxSh1f+TuQ+/eXg
uktFHaLoKcW5QB1xLhBK4b/DRPjvIGbXvggxZ7BUf07W0wjSD3FSfGSOcjne
xRRMf4djcWqJSryBUB8c3Cgg9xEVUeS3f4n8NrH3oPyTcgdwPlB4GfeDyL5i
rDdv1kcNFOcgH4lzkI1lD6b1SfPwd01WJX4vxd3LYi+aTJDa2X/XB07XlfWh
y7Ey+dvbBBj7JFEWSZrnpnSLr26cT0H7MqP2qk2nwvrn8YOKpPz5kLZc88eS
TFQTsCplEDLBvOuSi9TcBNRGXOR/u+86Ov33YL2HujfszxlGeDxN+zdyXMpx
QbaDLKsEQxIgSGeL9CPSc0UETf1+oxiGOKSkckaVx0ArwrrN8eMzeFmrGN+b
0IteEn43yoTfzU/C70Y1YiW+nYjbJq7EzZLFLcU2hYIJwx33MtLz2o75Uz0r
dkAMFLz0KwQv/T1FHeRP1EHqrQU7LxeR5r9t8YfzpP1I8yr/ZNmR62jR7cIL
nbjLUBDpWH2dVNe8aN4vEfm7EJWMv2CT740BtZflHzaRnnf7gPlUaHko8kb7
vWq+jsOswZj8Mr0hSJYaX9/T0YHiKd5XNfG+XlPUIxv/q2/U8fH7H0PhMLrj
1NU9ixPIrvUn94EfV5G69n2XRLvTQO39mKw7+nyZ/++ev8Iov6JwK3PyeYgS
pj5Cym9hair3RDlrLArTeuN8Zy4avl7heH+CFPcut6eVpEpCO+zuS17aGQny
36LcR0hx4cHqfocfMcjAdnEa/QmE3eJ5Xnjc3paElsff8EajhhGbLh0KgJ9s
VpexPtX3qRzBny6e6NynG6qPrUKAZarSJYcUd91saP1IzQdVUPjO0BG+M0UU
8T/uK/E7OWE7C9bqQ985PS48PrlPxX4Z/VVA49ysTZd++UCWqx8NnlfMjR5p
d6/bo7eE78wI4TtDu33Fd2aYIs5CxDcXZ0ZKR3pB/auLVdgPa+jREmerjwUa
pPj9FuL3aXGGH+6HHoXl0nfv8Di38G2UPJe0Gw3oSOt1r5YEXVHlVzju9Lvo
+PRpTnSb8KlpJHxqXhI+NW5x/8Yzvq/EPdYJZKjt84KKtMvjuD807LOjzOgv
c7S3TPfgWLMJPKZhtCbrpVCvP4ROnUbN91Utz0idhMsfX5D9ju03zC1H8O9B
gbOO3q0mkvDznuBLHBf9uCf9IDUncuyOHNxVKQPP+z7fJfMfDs0KFOfzIOvw
449+2kuDicse8rneYemQ/Jxxzv/bzmuSeAufRH+mBsE7YeRzumnRU9ILFZPS
PpqG/h3X14JFhRk5Lp9zpjG1dEr68c+x+RajDbCecxU5zsKRylXB91MaOraa
bDzBDPfLHpLP76ZKrxs3ls9K90prrHUvZoGdlWfI8RAny+Ff0XPSanxfFjzb
qYFxw4ovxqLTR+3wssn/yJfupNCpO0no1Bn7G2bEvneDBDVTxVWk69S0d18R
r4xHMSP3SzaJ+cDXW3myLWS8Ltbjc7MDqif02boJfbZmQp8tTG5uD80LG5Bn
pt1wGddrvTVRYqkRSLR84EJ43Xk4FdTPYkna12LlSu3YjqajSaq5NveHXpAj
X9GOeZIu2/V2e/PYoyOH6L74n/WEACt1P3weFBgdvZA6ao2MCB2zeELHrJ7Q
MXvYqnwrGhlD18KTt1inXVBifN37RD/U8Lt789YoT2h4eJ0DnzfFRAUw1FfY
ohCfOpXyGXdwNmzchHm8czQ9VwONrNDeLRfOj35wg4+xdrYYz0zaq/zdXt0c
yRB6X18Jva99hN7X6NVL24S9tKChwhbreqGpwNHaImo3xMmVujmq2g4cnytH
Yh7vMfrKbxan/NHYvtq2DbUecD73zTB+LtqJlx1HCs6iwyHjW+afu8H5TevT
8L7s3CTbwENniSLrd7wt8nIF7lsaOzAPJ2CgJCyk0xTVhH1gkaR1gZ1Dm+gw
n+qAWWZbjLEhEif0taIIfa2bhL7WodrLZgJ1SsD/8PNBvG9+871AE9lgg1j8
GSuPWJqCTJGfLb7/lMVNPxjrXJCFb1pGeboHfOh6HYXP3ZqCm05OK51FLE6H
am/8dQVd/4pOzHt5tcvNcHmjBSpwCUytKHeGTQ8ke3AeTlMiAudDjdGMS3nW
bVdHqLlMP4HvZ/TVhc9xP/QRK432dt1Ge2h7mjiPcaeHBYPFYWk6SIFC5+oR
oXPFqLxn3cuREyDZ0syGcdpPujMBtrwmaDZXYP1pDm2ouMFph/GBRydOaFFl
WaI95udpmBYtgfvqC2/cb+XlN9B1mtER/aHQs2om9KyyHrj8bGn0hHTfpXrM
b7Tbst/pi64tep2JBuUHXeHyw5TjGM9nTLN8oPnQHN3gLL72Wc8JznfER5DP
lcref3r/yRDdZPesOOFtD8baXKsw7t1QaTZm8VMX6ZXqrY13s4VAPS6sewAS
zof5VM9pIR2BizWuMzawS7TvBsaZ91VxmQbPq6MQCt2qEkK3yohCt6qQ0K3a
QqE35ULoTQkNvtX0Fj8ICodZyX5bmyzErsqkH0c+FPpONwh9p/q8b3XiWwXA
M0eM3N+0iykq+s+sKLrCLj7/++4BeMtW+J7MFzpwTW1CQhxZE3pH7wi9I0FC
72jiR2Ku/W0rSCtmHcTzTWvyYErZAS30cYz6IXsBB8QUh5D5AA9Wu23LTeFE
ox3Mc3KxPPCV/TqZB/KOp5m+SIIbHUQ1P261CEDT+UdkHkj06lPvvUV5UROF
HlEgoUdU/HI06eU3Bbi4vZqsL+Q+H3xju5oEcvu6eV7UmwnumHCQ108QzV71
g5YRrY5/aaaTsRlGjtqS+Q/Keu7+LdMbkE71klmRJhvIMzqS+Q9FLqNJY8lM
iNeyfcj+GQdM3dtA5j98/RJ5yuUDM7Km0P9ZJvR/qMbSVn85IAKae5e+k//3
ynaux91saOs293apEjH4bu5Kvn92ruXhVULsyIrH7amW5GF4HzdMPkeI31kt
mF2/+39sn9Kl0MlJJHRy/qeu//+1eFFe2qs1juHQNPQwBftm3vrDt59ewO8/
/l6IQsejm9DxyKbQ8ThE6Hhk9JaaSxvagtvy6zaMo8bZdHFqOVuiw6vkh1j2
JUB0YU5mCCnv1Wy8pJ7bGIWit6zgb4kE/naMbgV/e0boJLSfX9FJ0CJ0EkTU
l2ta+yLA/bVz8zqcn7x6lvjUKBr9oPBJf03gbPYUuJYCgWt9puj/lSD6f1dR
1C+hRP1ygOirtb280lebR/TVhnNePTludAxyjn1tIn93e648YLi6G52+zj2q
rhMOWWtfZ1/F68MHt3ccqs6IhYJfd43g13VT9HWuUlzp61zj8G+/pDvRL1l5
Ka8hMnELnL7cRV4HzoRJLAUUz0ubuvYcfrHMBlvsBMhx5wyu2zOSi9IsvEsK
ZhwccPPNIfL6MJKdOdQh81eapqtGp1klDN6JXhiwJj1vtSTPwJe3Ych5NM7m
kmQwNB4N/JSJeY+W4V88j/ojucoftPLlAUB12XMJ8x+uMhVYq732RHsp+r9E
iP6viNDsUzWMviDOJqiM+3c2t5vJ2y7Yof1nlNg2WvhAfnZ9KNYN3s3ht/P2
5rNI3Uvxw+oP3hDokHIb52mbHU/2rW2wQpe39J5utPEGy73Aive7K3mLQzRd
FohBP6tYa503PNsRsxrX3RcEHFadOmGO2m93zViS8rTTDZ7xOG8Zk6JfG9hm
isxoW72QXhgYP3f4iHVuU+54rLkTG4ayOVMzI48Ewed1tAXXSXF2lVTThl++
6Pz1xzbbj/qDka6oJ8ZhytTmN4KdB2Kn6OdyJfq5jHTXmwrpe8HhovtlOH/j
CLrJ/3nQCnkZMFHFP/YE/q/b0nF+En11RN+q0gJZHB19HqXgCdt9dcg+OKVV
O/VGJ83QN554cekBD3jy0eQCzvdagyU50yZN0Hbrux4DcR7wXGBgAvNwItee
kL/hbYQyr5Qt+o3HwkNJPVo+0vfVmGm6Q/hGIrLgaT5lPR0Gct5BBzCPZVA9
ou8m6f3Ga+1hOP0gEA5lMB3BvkgHaZcOPd/qi2Iehkr00/uB0Otby/g95p7k
9OZH7miZog8rj+jDyhX5e6Oo2R30Lh9yx7wLP7WqfVuazZAV1dvfrKfdIemv
kw/OS7c03J3drWmCInQibgR/cYPFU9/pcX7CYLVvzf7Lhsjvjo6p13k3mN3P
pIrz1XqGg4JS6mcQ79nCJJ5bEVA5V3VFlhSXLrMPu8QUgSauzsrRLQRCeQMX
Nb7/dsbSQ5HtPujdmANphvnCY+G/ypgf8rz4O5OA6X/vb9In+puaKmzfcPq5
QlTEehHMzxnWDPvJTWOI2h/f22NB7Qr6ey9m4/zwptY1mbFAffRZzcteSs4F
0p2SsH86OBz/Ye5moYtsU+xESkR84VkUawD2P7JnpU4ZnHL9b/0+pkS/D/Nr
wYiWTEdQXVKzwLydeNfgg0dzdVDmCSeFvlcOwBrYZY/zzGWzstf0RVqoaXiz
wR8zP5hbHT2L9aiDb1Xe3avrhs5Q9LkEEn0ukiNiXW3ZtjAU/tMY52+Ol/vX
fj2sgRwJ35k1hO+MIeE7M0/hOyNN+M7kUfjOFBO+Mw8ofGf6Cd+Z/9JN8ipf
0U36QugmHSL8aPQIPxojwo9mF0Ufxy+ij8OGgufzguD5bKHwqRmm8Klx+l/4
1GwkfGriCJ+aJcKnJo3wqblH+NQMED41soRPzS/Cp0aU8KlJJ3xqPCl8ajwI
n5rlCzU/1ikrwcnObQJ4nc/pWXpzRlIDzaziHFE9rA1mmcIZuC6I3OYlohes
g4asry1m05rBxpzKRlwXTK7VvrvuthGa5xCgKyDNk96e+9Wkegqdqs3SPtFv
jSptd9icqIkAPtdgEXdSfPVddLv7nj/y6xmYTDrpDuGPBG7gumx1xIuLHktm
iH1yMrz1liNsMa9swnVNQHvui1O39JHvMWvOtdy2kLiw1w2PQ4EC8/hbFS20
0X3kTssRa7g1c20BjwPVyKVmyTI1RPdd2lnwgCV8eq4Rg5+3dntx4bEBJST4
OfOgbpk5/Fkdn4xxZr3J8gxPPXnk8GjHHV5BeRB8ojWHx0G4/LaI7Qc5pHnQ
SccpWx3SzxXz4bjXM7+fqePKSP0rdcGuO/oQXHP3DB4fdpFXRX1MmshWoj/+
U6gTGJxut8D3//n338bUMl1kxBEQy330LPBzt/nhesS/J1KE+pE6Yj2YFyOV
YQnj+hpq+D63DVVoecUpoeZ9iTGrjppDW2zrAL7PfMelTwlr5NDL8zGBu3Rl
YN5MMhrvj3bNF/Zce3gU/f7oW+tnJQ9C0tKHcfx1valNWy1CNfN52kcOqoO8
YsVlfP/aR35sW7p9Ek0MH6re3XwQfvMf6sS/n5z8ThedIoD0+8v1DB8cg4GQ
FDL+8/Cc1rEXdsIoSDFN4tcHGbA7HJRF5gV95/1r3y6KDCh4+80Eb7/2h/hp
ccE9UMWUTubbuDsfjvvKwIpe+h1c6goRgK7oSTLfZo//+jfUu7aiSgpeujLB
S994s/IXpCtBc4vzcTJOpVSwtQCE0Z/VYF8+zwhlTrQrugSPNOu65mek2f8D
f7vI6PhnVM4Nn5+lk+sIiRbh4KdZVP8xn+ygwHOOE3jOuecTogfofCCozEMb
+ws0dy0wIC4HBBS4zbv/wm1uqrSL5rkAo8p8AO7f7IuYrhwKiEJsfI93XSTt
v3EPLAcxj1dJzpxnvtkWXdX+mhx8yhM2fl/ajfffsom58Rz3/47P1BH4zI+X
N5aZ+mzg63N1WswTMPCxqikrDUGPKPgJQQQ/4V6V60GDXg+Iy+Q7jK+vskbW
cMNTG8T/6CCj9y13WNwvqYf363eJhV2t3pZox/aRb3m1bpDCZdKG90f6rHEZ
vUUzdJwCt+EjcJsKo+bvH26bQSxtjzDm2+R3N9jP6HshnU8vY/kzPGEmsL0h
lRTf8e3DEOvvMMRDkbc3/y/0975eiAk7WOgOdqXjcjjfWPhycy5tnTUq3ckd
LnTcDXIzSoMxfvJG2gm4H5qjF7zm2TEHXUH4YeR3jPNMs1ifhDQTVB10WpC3
wxmObqDXwPvj+XLW7eqDBkiMAufJJXAeTpFqdzVJfRj342XG5ywVfkyVTa6O
aH6o4IJ7gB1Y3jypRto30VLjoLDYsieKWrhLH38oDAy7egNlME57OcGuMyUS
Rc3ertYfcgPWUzpfcB6SlWEz+RUskXoUnYA8ryvs71VJwvdp3zCYOCVnhjg3
XI30bXOC40+Td2A85PCLF/qs+YbIwUiHf+Ma0r68Oj0A78vGt996CdDpIxb7
8mupV+1hSxitIMZJUq0VeXYiHSRHgf9UE/hP9tujB68EacAk9R4HzI+1d8u7
yZ1kgZiGjI4EK5jBw9idLNM4PzfJCYygsUMMPPZtd466wt8XRoOYf3U7yK+J
ysMDKc86SX2ljQOR6Gdq5aS8ruPIUwmRb5FolgIXaiJwoRk79lVSbW7QxO5i
gtf/T2o6d96IWyLZXWJJtgvO4GIkaYT3xyDebyWiF03QkvWXY6P9DhDM2q6H
n5f1KsstUe0zKO3sQUebUjtwH9z0ET/vKf7S1w3ZOihlf2APDbMtbI7wTcD7
RcK+DeIOnzRRSue7sNNvbeD6l+/k/qmq1vYH3x6qoyAKXKiAwIUsKHChUgIX
YjDT0VehOQSnQm5dIveVtA5P6bHLoFAK/Ocugf/oHgzkGBndB/dPdpN93sfW
qindaDuATO2e8gyMi4HBHwFyXdZt6Nhe8VIcuVHgPyIE/jPNcOTr3nVcQGeZ
RNYlfhdyUeJpGBcaM9drnanbA7zthVM4bkK18RfjPDfaf/t4Y6mYEAR7SZJx
Et1ADnnxAl7UQoHzhBI4j9/mi7R+p9VI+7jhZ/y8r7zu83VXHkUc/Mus3LIs
0H3/JrleazjqxEJtuwH92WHkV0m9FWp+jJHrNR+jTeOVzEzoW+mNnPIDO6Bq
0wIZDym/6BU2u44Zba/1mP7Suws6XgNZb5nvzOT9r+ybkD0FzrPKdQXnGfuT
sNep+gAEN0yS++9uK12oLtbbiaKWru8dFpGAw6HqPTjOHGj9dF/uLnRBiO+A
b9RReGtLTT6XcTXSMjT/wol6KM5lbIlzmf8pvMKYAv9J/f/xn/8t8S4KPOQA
gYf8F+5hTIF7+BH6lsOEviU3oW/Z8oE5ybrwA7wYN9nHoPERjG6035sSGkXR
oUiGnvUy6KrbLOn9Jv1etG4kPCkPPSZwHt8rKziPJoHzrKHAYaIIHGaaujxr
cSwQdmvlXMN96CdDTkyv5bJFbL//1W9cJPQbubP+1dU88XtFV/Pk2wSR2XkN
+NjXewN/j2PO74IGLomh3qXSb+dyvUCWu3ZvzfIEqjyXelhSNAmx3Ir3Xi2Z
BKbyzzh+/CHV9cb5MhcVM5FRZ4gVu1kiKAekTrL/mUBvjaLvaGtnI/7Wc503
De2gR9VxEPPP5z+b+LRM6SJhgk8VLLvCp9pI8Km8clb0VLkJPdV8+hU91YXC
e8ddk1Jg7Nir+tOkcX7MYC7TFJKEiin4Y54Ef6yMgkf6geCRFpzt6Q6ScIIn
uQJyeJ337kWSE72ayJCCF7SO4AXxUehA5hA6kF0Uuqk7Cd1UJgo8/yyB5zeU
+akYs3rC0/Swizi/Gmd9NkDtb4bU1MWeBG20gb1/9YrxvjC+Wekj1YgSuufs
KLhwwx22pSPOAbzeCj/YOGlujWwo+AxhBJ/h7EHlB6sWh8DBddwxSm4Aubat
TjdW7EDWhH5gGqEfOEjoB3Ipsl5rTQwGi0sHA/C5OVODPYOsqS8qozgfpyLO
za1+hm48H6YHCU+LxPF1zDUT3judU0T7Kc6LjxPnxVv+/qvzZkDovDF1/ovv
7SbwPdGDqII9hgaG2f3J+Tb3Tt3475OT0r6tx7b5bl0HjMsG5PhBbeXu7A9T
0uso8EAPAg80XOYv+/R9Exgr+JHzc7F4wxa7ll/S7Otd1X7qsELs3CZyXMCv
LuVExm9pMNpQ5rl5G7i+T1jBD/fwGEzlLUif7OTkG+PbAU7D38j7DvtN1TDF
uUXpK1VjV7Y3cUDtawZyXI051Mih8K/0/wGAJHA4
     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "v"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->Tiny,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 1}, {-4494.648731020357, 4056.106110941192}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8502776892195997`*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"c673b9b9-8aa2-434b-ae29-5d24a3996989"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%28", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"c633d8fd-9b0c-47ce-b835-f2f0b21d2c9e"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJy9vXk0l9/39y+EvBtUKpVSUqkozZS8LpEhJUlSxkxRmUKGJkMqmafMQmYZ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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJxFmgXYVsXahXfMnheQUCREUUQMjg0qYlAKopSCCObx2IFgo4SBgAIqigIm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            "]], 
           Polygon3DBox[CompressedData["
1:eJw1m3fgV9P/x++95577aShURjZlKxVNmlqKtj1DyEy2UhIpZStlRKRhFF8r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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt13e4VcUVxuHDPZxz6YJUpfeuVFGKAtJ770QllIAUFQRBIEJMImCPokhT
URAEISAgD0qihGCeJ4qAJVQTsCCWKCVBpeRd2feP7+5Zv/nW7NlzZq/Zt+qo
Kf0m56RSqbcpQ4P9GZhOpZ4D14v/lT+Vqph1FdemWvSw+Ba++nx3iqfybear
in+b5wnvMXElOqFdJxhfb76WcuvIHYtNwjZiQ7BB2FJsA3YCG4qNwF7AtmCn
sMrGOyW+LhTzxWrzFeHrinXDfo39Fbte+3rsQ317xVXkfpWTsOibjw2jMfo3
Ybux83K3YnuxPTQ4Xyq1LZ5VblZ8K18HOi1uizfAJoqnyd0itzz+obgUlaT5
4l58bfkeiLXj28vXB2uPzccexf6G9cbaYfOwR7B3sUbyi8U8sOExZ2w333jz
uoLvp7fjN6Nu2o/xLec7wNdY7lXYEGwENg+bjl3CLqeTMd6R1wQrKR4ZPloj
vp4KYwPEg+XOkVsPS2M9sJ7YPVg17N/iFnQDNiJvH3wXMTWnxeIKdES7KlWO
38h9q2Pfi2+MfGyk3IZYQffohw3E7seuwwph/bFB2Oz8ye+Ri/XBetMqcRNj
VsYuaa/gWUkNtAtgfXkGyJ2FDeDrij2KLcP2Y3X5crDuWA9sKvYN3xPaLfCL
dC9PV+xG7ZP0G327+HpircWz5f4eewfrhDXDpmFzsDexmvJ/zts/sY9WZBP2
U946xXqdEPeQ20ru/eLfxbsptzvWEpuF/Rb7MzaN9xx2ns5iY3k6U/OYK99c
7C2+bthN2EzsQexPWC25F8UdQ9id2BS+hXxnqIC9MVtcO/YLT6cQ30S+Othl
cecQNgmrgZ0Xtwlho7HV8p/X7mC8QuL7eAZh3cWPx/PrO4gfope0v8RP0VS+
DnyNtO/iu0/fdp57sEexr6ig+c2Nd4iuE0cRm863la8d1hCbhN2LvY7dGvUA
m4LNwLZhHbGmcT9sNrYzng0rinXDumMPxNqbT0fsaWw19h5WFivvuhZbR/1y
zV/uMvP6D++ceL94XuB5nm7WroptcV0lfpFu0a6GvR61Re5+4xQlQ6Xa6Z+T
SZ5zMc8jdLe4BB3nKUZl+Hry9c0kaxlrmiu+In451pTaGru63K2ut1KtGIdv
Jv+GvHck3pU2+qro2+zaJZPUpKhN+7Bd4jXxe8ba6q+BbXOdhj+ufZoWmOdh
8VqeV6h97G18u+vV+KfGKk5ljdsragR2QdyUmmHjscLYP8TlYx2wzlgx7Kj4
QNRZ99gjLkSfYNdQEb5OfKWxz8UVQlh/rBT2mfjaGBPrh53GvtH+zngX6OtY
Y/o45kaF9XXkK4B9JC5NhWIPYyWxk+JyMSbWF6uC/VfcJJ4F+xVWHDsWc4t8
rAdWBDskrhi/HdYFK4odjnpIV2FdsTLYF+JK4cUGYJus4UZqnU3q2x9dG/GV
sx6LXJ/jWRo1J2qg/rlyF8h9I/Y41jj2I/YQtgPbGPte7kb82TjDed7HZmHH
xcfoPfF6ymBPiXfSq+Ll1Mc4S+PMpBWRJ79ErDe9y19MvDLqpPZmnpXx3mFF
skl/Sb6CNEM8k4prX5U/qRUfxRpg18Y+Muc347fKn5xRV6eTWh81/0zeelRK
J2dWnF1R9//A+yTdGGPoW+uaop3uWwB/EJtgbhOxJdqvUWN90/U9TU/F90mc
V/G82WRdY31baVcMv+sT4sfppqgB2DrXFlROe5R5jHPLR/Q/Q4tpgfuVcY+F
rpvEk/Uv410eNUreePx0nE3iHVHzsMlxhqWT9Yt1XCKva3x3iR92jyX8e6Im
YofjrEgnY6wyVhfsZvEivmex3XydsTbYQuwZ7C9YmndfxLgwdbM/TflKiX+B
/xJbgB2Ns8McjkRNwyfE3pR7xrV+iO92vmZyS/Pcho3GFmItMkm9yMlN6kLU
hxsySU3Kl5vUlKgtzTJJfbySTWpj1MimmaQmXc4mNTRqafNMUjOjSEZ9izrX
XH8Z7Hb3HaNrUfw2cXZhY7CJ2GuxJzJJTUrLXSd+NeYityx2B99YvoexQdjQ
+P2xt7CT2P3YNa6V6ay1+MZ1MDaMbz3fLr7PsOHYaKymdj78bHzXxZmOPSF+
Mt5/9x+IDcaWxfdafC9iP/BeMvZFqhDfKbnJ9+RB/SXoajokPhM1nucyVdQe
yPet63nxuXzJPPtideO8cI9e8vqb30Oxj7G62LicZB/GfjybN9dU1J14frk/
8aWj3se3iq6fY+0on9zWWGvs7viOiBqBtY/vGmxmfAvEPxJYK6yV5l1YNezH
qPXxrYNNwKpjV8QtQ9gUrHEmec8ues5l4uU0N5vMq0bec8fzz84ma1SNfsa+
j3ebpmp/Iv/jOOeiBhjva+PXoJruMYynfJwBEVMtbDiWwT6I+p/z/3KRaovl
YgeiNlMBrD12EJvnHl8Y/3M6IL4m3l+e6nEfvqH5k/+Z/pmT/A8Q/wscjtrN
d067YYhvVHxHYF+Kq8TaYwOxDrz1jD09J6nJUZv30Yk4x9PJ+XW7uAL9wFMv
hN0mt4/cPjwvYluxo7EXsL7YKmwbdgTrh/XDXsK2Y8ewevEs2CBsGPYY1iu+
B+KcwNZi+/Ine3dIOvnuie+fg+L6maTeXsgmtTFq5Jxssj+r5+3r2N+V+M7K
aRAy3h1YT77Ocp/BXsHexxpkktr6YzapyVGb+2v3x17me4PvONYwk9Tqn7JJ
rY2aO0B7ALaabwffp3nvYM908q7FO/eBeFwm+W7egM+gkeIeeCftxTxr9P1d
7v8AHv62NQ==
            "]], 
           Polygon3DBox[{{1610, 835, 658, 657, 930, 1421}}]},
          Annotation[#, "Charting`Private`Tag$16059#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, 
      {GrayLevel[1], EdgeForm[None], 
       StyleBox[GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJwtk0lSVEEQhus11V0LVu4YRGhBEPQGHADWrMQQaBplniHgHtyEKULdCAo0
M4YINMoMwg1wCsEv43+LjPwqI19V5p/50tmhpsGEc64BK8DuvXPb+Dcp58YJ
nMNbJFQG5wY5Z4l34feILxAvjfgOS2AH2A7xa/wD8nbwJfgs+ZvE35HfC+fh
T3AffAgvwT3wAfwRHoFP4HV4FD6FN+Ax+AzehIfhY3gNHoKP4FW4A96C38Pd
8D68CPfD3+BluB1eg+fhFngZnobr6f2Qmou8ar6En3ndeQU/hwfgDfLfkt8Y
qf9CrLNAGkzhdyPlXODz2Gf4Br8fSdsf+IogLdrQ5wvndeLn+Iz1i6/lrVZ4
hfhMQvFVeA5ug3PwrOmZUv23XjV8hT/EPZ5xT51XjtX1kDcnk+hNzgQ+E9e/
y9klNbtOcmuCdDf+6VVDCxwl1UsX/NurHqv/zkvz1ylpURrvQ23QDnUTfxQ0
D7vncdA82uE/XrPIwGVBu/UKfhI0Y7vzadDs7V3bwe/k5+ixKmj2HcRLgnR5
Cf/y0qcVTgftmd1fHrRnFrcaG+PejTPxHv/1moXVVh20i/Yv5FOave3/P699
tndNd9Pfai4OmlkzXBS0Wy/g/wRmdFg=
           "]], Polygon3DBox[CompressedData["

1:eJwtk8dSVUEURbv7Xp8DB6YJWBgwEdSRWGX4AqeO1JKsgKiAofQ//BMjKlBO
zJJM8ERAscpQ/oAZXbt2D269t87pcM4+u+u7Bo8MpBDCYb6S7/KKEB7we41g
3coQfhGswv1FCFvgH/AM3AdvglsrITyCbyTzb/Jv4TPk6+F15D/AF+FGeBvf
XdaOE/urC7lvkZ/z5HeSi/B7+ALcAJ9g/0P4Ons2wsvsmYcHyW+H15Nfgi/B
TfA/8gvwELwD/gnPwqfhzfCaXG8bXAufgifh0eT7T8IT8Ejy/qPwfCTHOTXw
MXgBbii9v7viXu4l19MDT8FjyfV3ws/gYXgr3Ad/Zf+e0vX2wtPka0rrszr3
21r4vuPwIusbyW+AO+Cn5G8n6/ud+Bu4t7A+TfA0658Q6yC2lvWP+d9eeP99
9q0in/h6iP1h/Rz5s4Xr263zojXoJrYLfh3dYxfcXvHZt5L90JbPv5msr2b6
Dh4oPOu98FK0BqpZPUnL8ehepYG0KJNnqRloFtJQ3pCm0lb1aPaaiWajmWnW
8qi8Ks36K+5BWj8P7k0a6V7dL2+qZtUuDeVtaSZvyRPSspnvRXS+kx6q8kuy
RjpvLNc2y5qDpWO661xeKw2khTSS9/Qm9Dakkd6O3pe0L/iu8H8/sU/R/Yxk
z+gOeUJvQe9nLtoz8o7u/BKd17rh3NtLYi2lz5BWmqHOHs1azcAH4DtZm1fw
vtK+01lV+FBprdS7NNDs9F4moz0oL8rz8r5iykn/q4V7Um+aqWarN6K3opo+
Rt+pWr/BE9FvSm9LNX2O1lS1yqPy+lS0d/8Di1GdqA==
           "]], 
          Polygon3DBox[CompressedData["
1:eJwl0MkuQ2EUB/CvalgSC7EVGy/gRawQWlraKlrTk3gTRIKVoTVWYlFDjU1Y
eQBjDL+bu/in5/zOud+9/foy5aFSSwihR9ok3R5CMRnCAbzWf7aGkGIzbJ9d
sQ+2o66p64kQXiRrPmYv73fXrG72Zm+aLbJT9sD+WI4tsTP2GOIXT7EFdsLu
0a+9LCuzY3bHftgEm2UVdsO+2AhLsXVWZZ36jJTYETuMdvXjUmB7+kt7757d
VB+rL/yHpkyab7MtGTR/ZplkfN58MvZo3t9hl82xqr7hjG/7BbbCzlmTdesH
7PaaNZx1m4gtupvojnJ2V6XIRiWt3oi+2axLPxx9N1tjFfbquTxbZjX2xBLu
7x+pbEWz
           "]], Polygon3DBox[{{1562, 479, 864, 692, 199, 1553}}]}],
        Lighting->{{"Ambient", 
           GrayLevel[0.8]}}]}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0jkvBVEYBuC5XPtykYiIcO2dtaCh0VkqiUjoRENBREMnGjoJCb+ABNER
0aITjRJ/wL7v6zMU7zzvl0xmzjkzZQOj3SORIAhmpV0Je5vLLVujQZDDDsbZ
y1oOspXj7OI0+znPBRnWNzjJnej/s/e5xEOu8JRbPPOuc6k1X/BS6vQrXku9
fsPCZGtig/mO99KoPzDORz5Jqf7MFynTX9nEN75Ls/7Bcn7ySyr0b/5IpR4k
OAep0hOYKEnSYj5xz5FbnvQ9ppvP9E19LTw8OTYvqwdc5C5nuM0JrnNNhvQ5
9nGKnRxjCwdYwx6WhN+GMcatI5vFzGIRM1nIDBYwnflMYx5zJVWPMYVZdJxB
RrivcA8Mt50a7pWrLtWRv2MIFvRo5P/f+AVhDzyq
        "]], 
       Line3DBox[CompressedData["
1:eJwl0DlOgmEUhtELAo2lHZ2NA2olJCobsDYuwLgAKF2eEwooqMiMjCpqXIUn
sXhy3vtXX/718/JJKRERp/pNRVR4kY5Y8fFMbfcxV3WZjOi4r9jlNXu8YZ+3
HLDCIe844j2rerNrHLPOCR845SNnbHDOJhdcy0Sk7D1v+/GGkYYqugf81pHd
55cO7R6XOrC73OUnO9qxP1hgm+/K269caN9uMcc5X7Rtz5j1lmduuad80qY9
YUMb9pjNxP+//AOMnDmY
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{1085, 1447, 1448, 1422, 1454, 1468, 718, 1525, 1519, 1520, 
        1380, 1424, 1837, 1282, 1423, 1408, 1409, 1846, 1283, 1086, 1528, 
        1529, 1284, 1087, 1663, 1285, 1088, 1664, 1286, 1089, 1665, 1287, 
        1090, 1666, 1563, 1753, 1091, 1667, 1288, 1092, 1668, 1289, 1093, 
        1669, 1290, 1094, 1670, 1291, 1095, 1671, 1292, 1096, 1672, 1293, 
        1097}], Line3DBox[{1098, 1407, 1564, 1845, 1429, 297, 1425, 332, 354, 
        299, 1381, 1838, 1294, 1477, 1476, 1527, 1295, 1099, 1673, 1296, 1100,
         1674, 1297, 1101, 1675, 1298, 1102, 1676, 1565, 1754, 1103, 1566, 
        1755, 1104, 1677, 1299, 1105, 1678, 1300, 1106, 1679, 1301, 1107, 
        1680, 1302, 1108, 1681, 1303, 1109}], 
       Line3DBox[{1111, 1567, 1756, 1110, 1410, 1568, 1847, 1430, 1431, 1371, 
        1382, 1652, 1834, 1510, 1509, 1508, 1682, 1304, 1112, 1683, 1305, 
        1113, 1684, 1306, 1114, 1685, 1307, 1115, 1686, 1569, 1757, 1116, 
        1570, 1758, 1117, 1571, 1759, 1118, 1687, 1308, 1119, 1688, 1309, 
        1120, 1689, 1310, 1121, 1690, 1311, 1122}], 
       Line3DBox[{1124, 1572, 1760, 1123, 1478, 1479, 1856, 1125, 1492, 1372, 
        1383, 1373, 1850, 1432, 1126, 1412, 1761, 1413, 1127, 1691, 1312, 
        1128, 1692, 1313, 1129, 1693, 1314, 1130, 1694, 1573, 1762, 1131, 
        1574, 1763, 1132, 1575, 1764, 1133, 1576, 1765, 1134, 1695, 1315, 
        1135, 1696, 1316, 1136, 1697, 1317, 1137}], 
       Line3DBox[{1139, 1577, 1766, 1138, 1578, 1767, 1140, 1411, 1433, 1768, 
        1643, 1455, 1141, 1374, 1414, 1375, 1434, 1142, 1644, 1769, 1415, 
        1143, 1865, 1530, 1531, 1144, 1698, 1318, 1145, 1699, 1579, 1770, 
        1146, 1580, 1771, 1147, 1581, 1772, 1148, 1582, 1773, 1149, 1583, 
        1774, 1150, 1700, 1319, 1151, 1701, 1320, 1152}], 
       Line3DBox[{1154, 1584, 1775, 1153, 1585, 1776, 1155, 1480, 1777, 1649, 
        1156, 1493, 1495, 1494, 1384, 1436, 1456, 1435, 1157, 1437, 1438, 
        1851, 1416, 1483, 1482, 1158, 1533, 1866, 1534, 1532, 1481, 1159, 
        1702, 1321, 1160, 1703, 1586, 1778, 1161, 1587, 1779, 1162, 1588, 
        1780, 1163, 1589, 1781, 1164, 1590, 1782, 1165, 1591, 1783, 1166, 
        1704, 1322, 1167}], 
       Line3DBox[{1171, 1705, 1323, 1169, 1706, 1324, 1173, 1707, 1325, 1175, 
        1418, 1708, 1326, 1442, 1484, 1857, 1650, 1443, 1459, 1327, 1439, 
        1647, 1709, 1420, 1328, 1179, 1710, 1329, 1181, 1712, 1713, 1330, 
        1183, 1714, 1331, 1185, 1715, 1332, 1187, 1716, 1333, 1189, 1717, 
        1334, 1191, 1718, 1335, 1193, 1719, 1336, 1195}], 
       Line3DBox[{1194, 1795, 1602, 1192, 1794, 1601, 1190, 1793, 1600, 1188, 
        1792, 1599, 1186, 1791, 1598, 1184, 1790, 1597, 1182, 1789, 1596, 
        1711, 1180, 1788, 1595, 1178, 1419, 1787, 1646, 1177, 1440, 1441, 
        1385, 1648, 1839, 1496, 1449, 1176, 1457, 1469, 1458, 1426, 1417, 
        1174, 1786, 1594, 1172, 1785, 1593, 1168, 1784, 1592, 1170}], 
       Line3DBox[{1197, 1603, 1796, 1196, 1720, 1337, 1198, 1721, 1338, 1199, 
        1722, 1339, 1200, 1645, 1723, 1340, 1511, 1641, 1724, 1471, 1521, 
        1341, 1427, 1849, 1451, 1452, 1400, 1513, 1342, 1512, 1862, 1485, 
        1486, 1604, 1858, 1201, 1725, 1343, 1202, 1726, 1344, 1203, 1727, 
        1345, 1204, 1728, 1346, 1205, 1729, 1347, 1206, 1730, 1348, 1207}], 
       Line3DBox[{1209, 1605, 1797, 1208, 1606, 1798, 1210, 1731, 1349, 1211, 
        1732, 1350, 1212, 1733, 1351, 1213, 1855, 1470, 1352, 1501, 1861, 
        1386, 1536, 1543, 1544, 1444, 1852, 1487, 1376, 1445, 1514, 1515, 
        1863, 1502, 1503, 1387, 1401, 1517, 1840, 1653, 1516, 1488, 1489, 
        1859, 1353, 1214, 1734, 1354, 1215, 1735, 1355, 1216, 1736, 1356, 
        1217, 1737, 1357, 1218}], 
       Line3DBox[{1220, 1607, 1799, 1219, 1608, 1800, 1221, 1609, 1801, 1222, 
        1738, 1358, 1223, 1739, 1359, 1224, 1740, 1360, 1225, 1867, 1535, 
        1361, 1546, 1868, 1421, 1610, 1848, 1504, 1388, 1539, 1545, 1841, 
        1656, 1446, 1377, 1474, 1654, 1835, 1522, 1428, 1453, 1389, 1402, 
        1853, 1461, 1462, 1460, 1506, 905, 1403, 1465, 1466, 1464, 1854, 1393,
         1405, 1362, 1226, 1860, 1490, 1491, 1363, 1227}], 
       Line3DBox[{1229, 1611, 1802, 1228, 1612, 1803, 1230, 1613, 1804, 1231, 
        1614, 1805, 1232, 1741, 1364, 1233, 1742, 1365, 1234, 1743, 1366, 
        1235, 1744, 1615, 1806, 1236, 1537, 1540, 1538, 1869, 1657, 1237, 
        1472, 1475, 1473, 1864, 1523, 1238, 1505, 1390, 1524, 903, 1463, 1239,
         1507, 1842, 1391, 1404, 1392, 1467, 1240, 1497, 1843, 1394, 1406, 
        1395, 1450, 1241, 1651, 1836, 1378, 1518, 1379, 1500, 1499, 1242}], 
       Line3DBox[{1244, 1616, 1807, 1243, 1617, 1808, 1245, 1618, 1809, 1246, 
        1619, 1810, 1247, 1620, 1811, 1248, 1745, 1367, 1249, 1746, 1368, 
        1250, 1747, 1621, 1812, 1251, 1622, 1813, 1252, 1623, 1814, 1253, 
        1541, 1542, 1815, 1655, 1548, 1254, 1550, 1658, 1870, 1549, 1547, 
        1255, 1748, 1369, 1256, 1844, 1396, 1498, 1397, 1526, 1257}], 
       Line3DBox[{1269, 1370, 1751, 1268, 1819, 1627, 1267, 1878, 1662, 1266, 
        1877, 1661, 1265, 1876, 1660, 1264, 1875, 1560, 1263, 1874, 1559, 
        1750, 1262, 1558, 1749, 1261, 1873, 1659, 1260, 1872, 1557, 1259, 
        1871, 1556, 1561}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{520, 919, 719, 1846, 521, 979, 885, 978, 732, 1838, 546, 
        1025, 886, 1011, 1834, 1012, 1013, 560, 941, 887, 1850, 940, 960, 961,
         575, 962, 1768, 920, 943, 772, 589, 1777, 982, 983, 784, 601, 1786, 
        796, 1707, 614, 808, 1721, 627, 819, 1731, 639, 1801, 831, 652, 1804, 
        839, 663, 1809, 850, 676, 1072}], 
       Line3DBox[{522, 435, 1529, 436, 363, 1527, 433, 408, 1682, 561, 1761, 
        274, 275, 1414, 231, 244, 1384, 232, 291, 1426, 278, 1708, 615, 809, 
        1722, 628, 820, 1732, 640, 832, 1738, 653, 1805, 840, 664, 1810, 851, 
        677, 1871, 1073}], 
       Line3DBox[{523, 720, 1663, 524, 733, 1673, 547, 746, 1683, 562, 759, 
        1691, 576, 1769, 921, 942, 922, 923, 944, 1851, 888, 934, 889, 945, 
        898, 1839, 953, 890, 947, 891, 986, 1857, 948, 924, 925, 1723, 629, 
        821, 1733, 641, 833, 1739, 654, 841, 1741, 665, 1811, 852, 678, 1872, 
        1074}], Line3DBox[{525, 721, 1664, 526, 734, 1674, 548, 747, 1684, 
        563, 760, 1692, 577, 1027, 1865, 1028, 1029, 1866, 440, 985, 984, 602,
         1787, 926, 946, 927, 1709, 928, 892, 1014, 893, 1724, 976, 974, 1855,
         975, 642, 834, 1740, 655, 842, 1742, 666, 853, 1745, 679, 1873, 1049,
         1055}], 
       Line3DBox[{527, 722, 1665, 528, 735, 1675, 549, 748, 1685, 564, 761, 
        1693, 578, 773, 1698, 590, 785, 1702, 603, 1788, 797, 1710, 616, 899, 
        935, 956, 1849, 955, 916, 1004, 1005, 1003, 1861, 900, 1032, 1030, 
        1867, 1031, 656, 843, 1743, 667, 854, 1746, 680, 1050, 1749, 1056}], 
       Line3DBox[{529, 723, 1666, 531, 736, 1676, 550, 749, 1686, 565, 762, 
        1694, 579, 774, 1699, 591, 786, 1703, 604, 798, 1711, 1712, 617, 987, 
        1015, 1862, 989, 990, 991, 992, 949, 994, 1852, 993, 950, 929, 1037, 
        1868, 930, 657, 844, 1744, 668, 855, 1747, 681, 1051, 1750, 1057}], 
       Line3DBox[{533, 725, 1667, 534, 1755, 738, 552, 1758, 751, 567, 1763, 
        764, 581, 1771, 776, 593, 1779, 788, 606, 1790, 800, 1714, 619, 811, 
        1725, 631, 901, 1019, 1840, 1020, 823, 644, 963, 964, 951, 1841, 1034,
         836, 659, 1039, 1040, 1869, 1038, 846, 670, 1813, 857, 683, 1875, 
        1079}], Line3DBox[{535, 726, 1668, 536, 739, 1677, 553, 1759, 752, 
        568, 1764, 765, 582, 1772, 777, 594, 1780, 789, 607, 1791, 801, 1715, 
        620, 812, 1726, 632, 995, 824, 1859, 645, 895, 936, 1835, 1021, 1022, 
        660, 1023, 977, 1864, 1008, 847, 671, 1814, 858, 684, 1876, 1052, 
        1058}], Line3DBox[{537, 727, 1669, 538, 740, 1678, 554, 753, 1687, 
        569, 1765, 766, 583, 1773, 778, 595, 1781, 790, 608, 1792, 802, 1716, 
        621, 813, 1727, 633, 825, 1734, 646, 902, 965, 967, 1853, 968, 972, 
        971, 1024, 903, 969, 1035, 1036, 672, 1045, 1815, 1033, 1043, 859, 
        685, 1877, 1053, 1059}], 
       Line3DBox[{539, 728, 1670, 540, 741, 1679, 555, 754, 1688, 570, 767, 
        1695, 584, 1774, 779, 596, 1782, 791, 609, 1793, 803, 1717, 622, 814, 
        1728, 634, 826, 1735, 647, 904, 966, 905, 1009, 917, 1010, 906, 1842, 
        970, 907, 1046, 1047, 1870, 1041, 1044, 1042, 686, 1878, 1054, 1060}],
        Line3DBox[{541, 729, 1671, 542, 742, 1680, 556, 755, 1689, 571, 768, 
        1696, 585, 780, 1700, 597, 1783, 792, 610, 1794, 804, 1718, 623, 815, 
        1729, 635, 827, 1736, 648, 908, 973, 1854, 909, 918, 1001, 910, 1843, 
        954, 911, 673, 860, 1748, 687, 1819, 868, 1061}], 
       Line3DBox[{543, 730, 1672, 544, 743, 1681, 557, 756, 1690, 572, 769, 
        1697, 586, 781, 1701, 598, 793, 1704, 611, 1795, 805, 1719, 624, 816, 
        1730, 636, 828, 1737, 649, 996, 1860, 997, 998, 999, 1000, 1836, 952, 
        896, 1002, 912, 1844, 913, 688, 869, 1751, 702, 1084}], 
       Line3DBox[{915, 897, 931, 957, 1026, 718, 518, 958, 959, 938, 1845, 
        731, 545, 1756, 744, 558, 1760, 757, 573, 1766, 770, 587, 1775, 782, 
        599, 1784, 794, 1705, 612, 1796, 806, 625, 1797, 817, 637, 1799, 829, 
        650, 1802, 837, 661, 1807, 848, 674, 1070}], 
       Line3DBox[{937, 362, 932, 287, 1837, 519, 295, 933, 332, 355, 333, 939,
         1847, 745, 559, 980, 1856, 981, 758, 574, 1767, 771, 588, 1776, 783, 
        600, 1785, 795, 1706, 613, 807, 1720, 626, 1798, 818, 638, 1800, 830, 
        651, 1803, 838, 662, 1808, 849, 675, 1071}], 
       Line3DBox[{1078, 1874, 682, 856, 1812, 669, 845, 1806, 658, 835, 1848, 
        1007, 1018, 1017, 643, 822, 1863, 1016, 1006, 894, 630, 810, 1858, 
        988, 618, 1713, 799, 1789, 605, 787, 1778, 592, 775, 1770, 580, 763, 
        1762, 566, 750, 1757, 551, 737, 1754, 532, 724, 1753, 530}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJzsvGdQVk23ris5qCBJVJICoiAgiBIMNEEkiiJRkZyT5AySM5IlZ4mC5CQg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     "]], {}},
  Axes->True,
  AxesLabel->{
    FormBox["F", TraditionalForm], 
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     SubscriptBox["\[CapitalPi]", "v"], TraditionalForm]},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->Medium,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 2231.6228}, {0, 1}, {-4494.648731020357, 4056.106110941192}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.0658078786292524`, -2.879213895149692, 1.4227371197198615`},
  ViewVertical->{-0.14596250077284606`, 0.394308644946848, 
   0.9073123171699574}]], "Output",
 CellChangeTimes->{3.850277677479054*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"013be8fc-c0e5-4955-b3e0-45aa8c5f0479"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8480151178114634`*^9, 
  3.8480151196294127`*^9}},ExpressionUUID->"9c4d9f59-41de-424f-8d20-\
94568269f585"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.848015227466572*^9},
 NumberMarks->False,ExpressionUUID->"37d8ca36-013e-48f7-be3a-da83d2db8e0d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.84801507827269*^9, 
  3.848015080484478*^9}},ExpressionUUID->"13b7fea7-91ef-452d-adc9-\
b2584d7f0e8c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.848014893575144*^9, 3.848014922486579*^9}, 
   3.8480152251419487`*^9},ExpressionUUID->"28246105-0a7a-4ad2-8eb1-\
135638e2c921"]
}, Open  ]],

Cell[CellGroupData[{

Cell["The profit", "Subsubsection",
 CellChangeTimes->{{3.847924418570229*^9, 
  3.84792444014956*^9}},ExpressionUUID->"0281982b-a1bd-4da0-a559-\
e29fec1c6f95"],

Cell[TextData[{
 "1.  If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "aa63cf88-5cd8-43e7-8681-880655480f06"],
 ",  which satisfied with ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"F", "\[GreaterEqual]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"\[Theta]", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]}]}]]}]}], ")"}], 
     
     RowBox[{"1", "-", "\[Alpha]"}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "ccac281a-676d-4387-909b-4237ae36ecbd"],
 " (the dark region) then the effort is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", "=", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},ExpressionUUID->
  "cd8b2db8-9c12-43ac-9688-0e3dac578f8e"],
 ", the contract [p,\[Alpha]] satellite owner offered is ",
 Cell[BoxData[
  RowBox[{"p", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "6ff14ceb-8efd-4d59-bf87-14439d173a2b"],
 ". The profit of vehicle manufacture is ",
 Cell[BoxData[
  RowBox[{
   StyleBox[
    FractionBox["1", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["(",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       SuperscriptBox["f", "2"],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["16",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["cv",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["k",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "k", " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     SuperscriptBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{
        StyleBox["\[Theta]",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["-",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{
         StyleBox["\[Alpha]",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[" ",
          FontColor->RGBColor[1, 0, 0]], "\[Theta]"}]}], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}], "2"], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}],
      FontColor->RGBColor[1, 0, 0]]}], 
    StyleBox[")",
     FontColor->RGBColor[1, 0, 0]]}]}]], "Input",
  CellChangeTimes->{3.847924712498953*^9},ExpressionUUID->
  "cdc12554-b550-47da-b86e-29c436a59609"],
 "\nwhich can be written as ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", " ", 
       RowBox[{"4", 
        RowBox[{"k", " ", "[", " ", 
         RowBox[{
          RowBox[{"F", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Alpha]"}], "-", " ", 
          RowBox[{"3", 
           SuperscriptBox["\[Alpha]", "2"], "k"}], " ", "-", " ", 
          RowBox[{"\[Theta]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"4", "-", "\[Alpha]"}], ")"}]}]}], "  ", "]"}]}]}], 
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "a4a91f45-d4c1-4fac-a2da-27f095c73e72"],
 "\nThe profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]], 
  "Output",
  CellChangeTimes->{3.8479302329592333`*^9},ExpressionUUID->
  "b57c834f-89c2-4552-86c9-cd1403fbd427"],
 "\nwich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"4", 
       RowBox[{"k\[Alpha]", " ", "[", 
        RowBox[{"\[Alpha]k", " ", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Theta]", " ", "-", "F"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", "]"}]}]}], 
     RowBox[{"8", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cs"}], 
   TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "2c81e138-763d-4437-b3c8-b1a2c506c5f1"],
 "\nThe premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", " ", "=", " ", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}]}]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.8479348396322403`*^9},ExpressionUUID->
  "2f830876-312a-483f-a7b1-862ecf326788"],
 "\nthe whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"3", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "-", 
       RowBox[{"4", 
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox["k", "2"]}], "+", " ", 
       RowBox[{"4", "k", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", "\[Theta]", " ", "\[Alpha]"}], "-", 
          RowBox[{"\[Alpha]", " ", "F"}], "-", " ", 
          RowBox[{"4", "\[Theta]"}]}], " ", ")"}], "  "}]}], 
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv", "-", 
     "Cs"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "f972d55d-84df-4e83-80e5-e421a7d30946"],
 "\n2. If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], "<", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "f625cdde-ca87-4648-8871-b02762d3af20"],
 ", which satisfied with ",
 StyleBox["F<",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"\[Theta]", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]}]}]]}]}], ")"}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "e54a6e46-7e79-44f6-a152-a9a3390f1930"],
 "=",
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", 
      StyleBox["A",
       FontColor->RGBColor[0, 1, 0]]}]}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]],
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "7a29bc5d-024c-43a1-91ea-53500401bc34"],
 "\n  the effort is ",
 Cell[BoxData[
  RowBox[{"e", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"\[Theta]", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", ")"}]}]]}], 
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e03632a3-eb0d-4c47-8433-876f1d596cff"],
 "=",
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
    StyleBox["A",
     FontColor->RGBColor[0, 1, 0]]}], 
   RowBox[{"k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "3db1f195-f14c-4857-bb98-754f4cc950a5"],
 "\n  The premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", "=", 
    FractionBox[
     RowBox[{"k", "-", 
      StyleBox["A",
       FontColor->RGBColor[0, 1, 0]]}], 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935852462887*^9},ExpressionUUID->
  "dbc83464-f9b7-4518-a5d1-0f327f56bf69"],
 "\n  the price is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", 
       StyleBox["A",
        FontColor->RGBColor[0, 1, 0]]}], "-", 
      RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "Text",
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]], "Section",
  ExpressionUUID->"39ef509c-e638-48da-afe4-406cb401ee6b"],
 "\n  The profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "cv", " ", "k"}], "+", 
      RowBox[{"cs", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "cv", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]}]], 
  "Output",
  CellChangeTimes->{3.847936282163821*^9},ExpressionUUID->
  "c86ae260-3899-4113-b050-59469cbf70bc"],
 "\n   which can be written as \n  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[{
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
      SqrtBox[
       RowBox[{"k", "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Cv", "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
         SuperscriptBox["k\[Alpha]", "2"], "+", 
         RowBox[{"\[Theta]", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}]]}], "-", " ", 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "F"}], "+", 
        RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "2"], 
      SuperscriptBox["\[Alpha]", "2"], " "}]}], 
    SuperscriptBox[
     RowBox[{"k", "(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]}],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "6c678633-9381-48bf-aba0-7e87fdd1c41a"],
 "\n   \:4ee4 A=",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"k", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Cv", "(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
      SuperscriptBox["k\[Alpha]", "2"], "+", 
      RowBox[{"\[Theta]", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}]], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "883d4772-2424-4f1a-9872-b6ed0f80f275"],
 "\n    ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["A",
        FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[" ",
       FontColor->RGBColor[0, 1, 0]], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], " ", "-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "929d1b73-4a14-45dc-a95c-40b16daf21be"],
 "\n   the profit of vehicle manufacture is 0\n  the whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["A",
        FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[" ",
       FontColor->RGBColor[0, 1, 0]], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "-", " ", "Cs", "-", 
    RowBox[{"2", "Cv"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "7cd2dd5e-8fc7-4f11-bb06-a22d9f1f73c9"]
}], "Text",
 CellChangeTimes->CompressedData["
1:eJwl0VtMkmEAxnEUDxuhY6GbWCszSSEiJitPrElbzbWhQJSk5tQssIsOJJtt
iC2MiZmWpZmZXSRlFonLXOS8MK1p2WxcpNVXG5BZ7VOHztacHd7n6+LZ7/7/
bCo7qT0aymKxUsngh/nMsgMPaKUlymaAJnlaDYyOyG+EAtfgNWhv2tACT6V6
b8DrGUkdMCfPNnuQOP7oFg0LJ7tz8omrSzRj57BDA2mNUQencuNLYcXpwBEo
SgoEYSKnaBXqApIQPfFheXc4jHpxlQvfSVxR8BWVwofy0QEBdL83y2Db3Bc5
7Ch0KwuI3c9myqDO+60SFu912WBn1eabUJ21xglb5Xn9MCXQNAgbfol8UJJv
9UPrsHMeijtUy9DeqxYWEneKfclw7eQuO1xnbmUMtDfVw5fCoUY4cXa2GVb5
i29DVa/pDrxHfXXCyri++1DKy34K5ydyx6AmLO41HN/IFR4jdg1qt8ByRbYE
qg8XbYO/qcUd0FzATYem9X+m4YroDAXreBE+yGFP+WG94vt2IzFu+W4G7NE7
TlSg70JXJRxNFFtgySdFDaT276uDDvkhxo+xoT/hRV8Mo/CNawWmlQ4x8h4L
Io8TM/VZjLsjtXw4VuKOhZdDZNHVxPSZ/1YbPz+B0j2WAVgbrhBY0Zs9wtiw
daEWXmq70AAdmng230N+PBeMhd6RtwKouuJJgDH9Bm9wmFY6ZU7G0ARV8iLx
fCclgmGB5r7o57Sy5a/BA3XS1mkeMWx5zg/dS5wf0G7uoeE/Pc+gzw==
  
  "],ExpressionUUID->"36d553c9-3aad-48d4-a08d-73a1fd1d399d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847924489206353*^9, 
  3.847924492216268*^9}},ExpressionUUID->"ec71bb38-b09a-4b2b-8986-\
bb5a753d0fef"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  StyleBox[
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "k"], "-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{"1", "-", "e"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
   3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
   3.847924648199932*^9, 3.847924685117815*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"841f9291-2acb-4220-adca-07d18a6040be"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["Profitv",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847924690622993*^9, 3.847924698170673*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"d3632420-bae9-42be-b4fe-f0ae6123cbcf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", "16"], " ", "k", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], "2"]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479246991643353`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"80b0dc2e-9b1b-4f8b-ad19-cfe3212997f6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", "16"], " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], "2"]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"8538c5e9-6aad-4c07-9550-7dbb94552b65"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "cv", " ", "k"}], 
    "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", 
     SuperscriptBox["f", "2"]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"\[Alpha]", "-", "1"}], ")"}], " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], ")"}]}], "+", "\[Theta]", "+", 
       RowBox[{"2", " ", "\[Alpha]", " ", "k"}]}], ")"}]}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["k", "2"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]", " ", "k"}], "+", 
    RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]", " ", "k"}], "-", 
    RowBox[{"16", " ", "\[Theta]", " ", "k"}]}], ")"}]}]], "Input",
 CellChangeTimes->{
  3.847924712498953*^9, {3.847930179156178*^9, 3.847930203666594*^9}},
 CellLabel->"Out[12]=",ExpressionUUID->"d6474aa7-64af-435c-bf77-1486141978f3"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["Profits",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
   3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
   3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
   3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
   3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
   3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
   3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
   3.847327173378199*^9, 3.847327174529965*^9}, 3.8479246620467*^9, {
   3.847930222200666*^9, 3.847930228444067*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"a823bed7-b6be-44b2-a821-55297e72265d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"f", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.847930229492119*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"c5921dae-88f9-4b50-98e3-eec5ec023460"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"19e9f715-96e4-448d-8e34-d74bc76fd4d0"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847956019043461*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"6c2ddec8-c765-4485-8d8e-b9e35b314411"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.847924555288002*^9, 3.847924579583168*^9}, {
  3.847934822238427*^9, 3.847934824031643*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"5cd605fc-953a-4b56-9797-ea3ea45df450"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.847934824987306*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"dcb7b113-e1e5-4faf-a057-482ed23186b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.847934832531761*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"f9320f6a-e7fe-4747-aa1f-45b8c1de16af"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", "\[Alpha]"}], 
      RowBox[{"1", "-", "\[Alpha]"}]], "-", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479348396322403`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"72f8a440-22e2-4a97-b384-9c8431587ae2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Profit", ":=", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "k"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "cv", " ", "k"}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", "1"}], ")"}], " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], ")"}]}], "+", "\[Theta]", 
         "+", 
         RowBox[{"2", " ", "\[Alpha]", " ", "k"}]}], ")"}]}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["k", "2"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]", " ", "k"}], "+", 
      RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]", " ", "k"}], "-", 
      RowBox[{"16", " ", "\[Theta]", " ", "k"}]}], ")"}]}], "+", 
   StyleBox[
    RowBox[{
     FractionBox["1", 
      RowBox[{"8", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["f", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
       RowBox[{"8", " ", "cs", " ", "k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"2", " ", "f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           "\[Theta]"}]}], ")"}]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}],
    FontColor->RGBColor[
     1, 0, 0]]}]}], "\[IndentingNewLine]", "Profit", "\[IndentingNewLine]"}], \
"Input",
 CellChangeTimes->{{3.847935333603198*^9, 3.8479353339129*^9}, {
  3.859837727062409*^9, 3.8598377688365173`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"3b6a5cb2-ff2e-4514-a2d4-b0fb8dcdbdd8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cv", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
     RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"8", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
   RowBox[{"8", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.859837774619*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"5953a9b4-220f-4739-b44c-97f8b5ee5a00"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%3", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"74c8678a-910b-4efd-90d0-b253ca7978b3"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "16"}], " ", "cv", " ", "k"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"32", " ", "cv", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"28", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"12", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"6", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859837845057287*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"589424f3-972b-4013-b885-0e60f2e435fc"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8598377627531767`*^9, 
  3.859837772373698*^9}},ExpressionUUID->"2e064495-2fb3-4009-8cf0-\
58da525bd63a"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{"p", "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", "k"}], "-", 
       RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"cv", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"k", " ", "\[Theta]"}], "-", 
       RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{"1", "-", "e"}]}]}], "Input",
 CellChangeTimes->{{3.847935295005026*^9, 3.847935296128132*^9}, {
  3.8479353359847393`*^9, 3.8479353733194113`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cb6f494c-4f4a-4256-9b72-334742c01583"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.84793537908976*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"f40cc7d2-f49a-442d-a647-a96332b128d2"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8479353804994383`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"afb5e284-531d-4b6d-ac16-82d62a84eddd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"63aa661c-a8a4-437b-9ac6-880eb45e7b4a"],

Cell[CellGroupData[{

Cell[BoxData[{
 FractionBox[
  RowBox[{
   RowBox[{"k", " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
  RowBox[{"k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
    ")"}]}]], "\[IndentingNewLine]", "r"}], "Input",
 CellChangeTimes->{{3.84793584707749*^9, 3.847935847377784*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"d1d0d3cc-92df-4c90-a70f-3e45e1ce3e26"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"k", " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
  RowBox[{"k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8479358493528833`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"1c3cf1d5-51bb-4caf-8dd9-944d146574e6"],

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479358493644876`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"571acab8-af95-44a4-8487-e5a3af8054ba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", "k"}]], 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"1581094b-afd8-498f-8d42-4e63c59e5717"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "k"}], "+", 
   SqrtBox[
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
  RowBox[{"k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.847935852462887*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"a31b6c93-dc02-4a88-bfac-642267ce8018"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.847936263965149*^9, 3.8479362678468943`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d6e585e1-94a5-406e-9fdd-526767bba4ea"],

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8479362713096046`*^9, 3.847936277755987*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"2f791f32-caef-45bb-8b22-0a3a968ca6af"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"(", 
    RowBox[{"f", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
        ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.847936346214878*^9, 
  3.847936349408337*^9}},ExpressionUUID->"6130ceb5-e0fa-4de4-af48-\
73a1c1778f00"],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%12", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"40e84319-5b18-4ed2-85bd-094a362768dd"],

Cell[BoxData[
 StyleBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "cv", " ", "k"}], "+", 
      RowBox[{"cs", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "cv", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847964584858333*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"42e72882-bfe5-46fd-9791-f8cc11b7c250"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.84793635465425*^9, 3.8479363574333267`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"10e960c5-0e56-4ecd-bfdf-0bab50c9e3fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "k"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}], "2"]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", "k"}]], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Alpha]"}], "+", 
          SuperscriptBox["\[Alpha]", "2"]}]], "-", 
        FractionBox[
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
             "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"cv", " ", "k"}], "-", 
               RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
               RowBox[{"cv", " ", "k", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"k", " ", "\[Theta]"}], "-", 
               RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
           ")"}]}], 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Alpha]"}], "+", 
          SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479363581673527`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"73e58433-4667-4cbd-b106-bce0683929d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%14", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"0dd13f0d-6c50-4258-ba9a-6ee97938d736"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.847936361036421*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"905399b3-f01c-4f67-9d15-cfc3078b6d09"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847936362647744*^9, 
  3.847936368644384*^9}},ExpressionUUID->"e1587e4a-4a04-4863-a006-\
9c750bb01571"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.847924407974386*^9, 3.847924413158493*^9}, {
  3.8479359700655127`*^9, 
  3.847935971782037*^9}},ExpressionUUID->"dc439114-3e03-4cad-a451-\
32671fc8cf63"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["x", "2"]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.84769724535986*^9, 3.847697246398696*^9}, {
  3.8476976370168047`*^9, 3.84769765739952*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"0f2aa289-3110-474e-93e7-0f248b258d5f"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJw9Vnk01YsaNVWiZEg6B1eZijhJhiZ9psxUphKdyBhdQ4nSDUeOEqKuS4ZC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    "], {{
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{50, 158, 159, 1, 130, 106, 154, 86, 150, 126, 156, 70, 
         146, 122, 155, 102, 152, 128, 58, 142, 118, 98, 151, 127, 82, 148, 
         124, 104, 51, 137, 113, 93, 77, 147, 123, 103, 65, 144, 120, 100, 84,
          2, 131, 107, 87, 71, 59, 143, 119, 99, 83, 52, 138, 114, 94, 78, 66,
          3, 132, 108, 88, 72, 60, 53, 139, 115, 95, 79, 67, 4, 133, 109, 89, 
         73, 61, 54, 140, 116, 96, 80, 68, 5, 134, 110, 90, 74, 62, 55, 6, 
         135, 111, 91, 75, 63, 56, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 136, 112,
          92, 76, 64, 57, 141, 117, 97, 81, 69, 145, 121, 101, 85, 149, 125, 
         105, 153, 129, 157}}]]}, {}, {}, {}}, {{}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{1, 130, 106, 154, 86, 150, 126, 156, 70, 146, 122, 155, 102, 
         152, 128, 58, 142, 118, 98, 151, 127, 82, 148, 124, 104, 51, 137, 
         113, 93, 77, 147, 123, 103, 65, 144, 120, 100, 84, 2, 131, 107, 87, 
         71, 59, 143, 119, 99, 83, 52, 138, 114, 94, 78, 66, 3, 132, 108, 88, 
         72, 60, 53, 139, 115, 95, 79, 67, 4, 133, 109, 89, 73, 61, 54, 140, 
         116, 96, 80, 68, 5, 134, 110, 90, 74, 62, 55, 6, 135, 111, 91, 75, 
         63, 56, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 
         23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 
         40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 136, 112, 92, 76, 64, 57, 
         141, 117, 97, 81, 69, 145, 121, 101, 85, 149, 125, 105, 153, 129, 
         157, 50}]},
       Annotation[#, "Charting`Private`Tag$18617#1"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {-0.9999999591836739, 0.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.847697658232091*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"df040ecb-0c58-4727-b6d3-77a17567c96a"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.8476892556465797`*^9, 3.847689325179659*^9, {3.847689533110952*^9, 
   3.84768954340709*^9}},ExpressionUUID->"77932dda-c064-426a-982f-\
c1d7ec106995"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.84768909144269*^9, 
  3.84768917219283*^9}},ExpressionUUID->"4d9a46c6-36b9-4768-9225-\
20d53c684abb"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8476891863882523`*^9, 
  3.847689189026194*^9}},ExpressionUUID->"cb8f1d0f-c1d1-463e-9a3d-\
e9582f658b0a"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847688792131218*^9, 
  3.847688793789572*^9}},ExpressionUUID->"d799f237-14fb-44d0-9448-\
7976390397a5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8473540301198053`*^9, 
  3.8473540323304157`*^9}},ExpressionUUID->"3a74ce3a-5924-4749-8673-\
adaed4b1fd08"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
       RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "\[Equal]", "0"}], ",", "cv"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.847354035311178*^9, 3.847354098862706*^9}, {
  3.8473541303243427`*^9, 3.847354169593449*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"18b7c587-3ffe-4701-af11-9b4d14d079a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"cv", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["f", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"4", " ", "f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", "f", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}]}], 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847354180686543*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"f87c14f9-e61b-49e1-ac89-dbfb61ed42d5"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"f", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cs", ":=", "10"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}]}], "Input",
 CellChangeTimes->{{3.847354209823102*^9, 3.847354216597509*^9}, {
   3.847357941101108*^9, 3.847357941739118*^9}, {3.847360837546256*^9, 
   3.8473608381226597`*^9}, {3.8473632443211403`*^9, 
   3.8473632631163883`*^9}, {3.84736335752695*^9, 3.8473633833916683`*^9}, {
   3.847363741318405*^9, 3.847363749852013*^9}, 3.847364261936534*^9, 
   3.847364297900353*^9, {3.8473643359578533`*^9, 3.847364382837758*^9}, {
   3.8473644424985456`*^9, 3.847364444853985*^9}, 3.8473943180037003`*^9, 
   3.8473943694080267`*^9, {3.8473946703191547`*^9, 3.847394691828817*^9}, {
   3.847395050823168*^9, 3.847395066991469*^9}, {3.847419219507722*^9, 
   3.84741924212076*^9}, {3.847602580733951*^9, 
   3.847602581477099*^9}},ExpressionUUID->"8ce436b3-9111-46ff-ba6e-\
82b6ad2febce"],

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "50"}]}], "Input",ExpressionUUID->"6617e46c-8f34-453e-\
87af-007b0ab78b65"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847354219599223*^9, 3.847354227266488*^9}, 
   3.8473543831490498`*^9, 3.8473544618920317`*^9, {3.847354733197661*^9, 
   3.847354733867347*^9}, {3.847354809495083*^9, 3.847354810371008*^9}, 
   3.847357511196437*^9, {3.8473621383995237`*^9, 3.8473621389877977`*^9}, {
   3.847363062700527*^9, 3.847363063561039*^9}, {3.8473631589931707`*^9, 
   3.847363159919074*^9}, 
   3.847363242599824*^9},ExpressionUUID->"bb258706-2fbc-418a-b92e-\
752c44a28e9b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847363226304027*^9, 
  3.847363227665243*^9}},ExpressionUUID->"fd567ef2-b67b-4637-a86b-\
ce1afc3ca1c5"],

Cell[BoxData[{
 RowBox[{"cv1", ":=", 
  FractionBox[
   RowBox[{
    SuperscriptBox["f", "2"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "f", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "f", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"cv2", ":=", 
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", "k"}]], "-", "cs", "-", 
   "\[Theta]"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", 
  RowBox[{
   RowBox[{"2", "k"}], "-", "f"}]}]}], "Input",
 CellChangeTimes->{{3.847336145827076*^9, 3.847336147224826*^9}, {
   3.847354258727007*^9, 3.8473542736639423`*^9}, 3.8473618453110332`*^9, {
   3.847363181659953*^9, 3.847363182731653*^9}, {3.84736349449508*^9, 
   3.847363527379133*^9}, {3.847364386433651*^9, 3.847364387748576*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"7d6d4444-7462-4e5e-a830-5c096b44b719"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"y1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{"cv1", ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", 
      RowBox[{"-", "100"}], ",", "500"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"cv2", ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", 
       RowBox[{"-", "100"}], ",", "500"}], "}"}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"y1", ",", "y2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8473619607549257`*^9, 3.847362047480617*^9}, {
  3.847362204435007*^9, 3.847362231583696*^9}, {3.847363456110361*^9, 
  3.847363489280283*^9}, {3.8473635316687803`*^9, 3.847363535438205*^9}, {
  3.847363625150469*^9, 3.847363705510386*^9}, {3.847363877481494*^9, 
  3.847363901271538*^9}, {3.847364125298094*^9, 3.84736415337288*^9}, {
  3.847364185871833*^9, 3.847364196179553*^9}, {3.847364563403957*^9, 
  3.8473646246475153`*^9}, {3.847394055219233*^9, 3.847394057869857*^9}, {
  3.847394714626569*^9, 3.847394720897143*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"8edb5757-7138-4af2-9e9b-33f1f0abe760"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVjHk41HkcgMkjlMfikSQllCNKqCFXH7KkcoZmybFIchTGzDjm+/thbYfY
HNWWCJuttSnkyBWfpdJaK4tMRGTYTCZJtJTY+uN93r/eVyPwpPvRFWJiYk5f
+GqlzcUdy8tMrLXyb/V194d8VyW+2SwT2y/rFyjY+oM2SX0ZPcFEvf5kg0dG
/mDaF/xB0MXEZpkOHyMFf/A+s2XT4yImxm7ly8p3+UGB6AYrc++X/vjj2ikn
P9haXaKqcfowBowomxnt9wUb+7JQWzkvlLsd1Ntu5wM99ed4G4fcccGvIS1B
5AXne/8ytH3ggsERBr43hO4grJUOZ4gccXej9GUxWWeQtZ246HtxLxq7NXsW
V30LE8mnCq57WuCuEjOfBUlLuJItMS6Q3IY2R/fAqLIObKt7OTH2x1Lz/ooB
zZEGBbRwGjrBKNaCgMR1pqhrgubq2i+mMhjADlN77cW1QR0vlskFMxvoWFeW
29i4D2Htgfc2sg7AVMxNympzwfMmSa2Nfk6Q2TZperbkEMq+OWLL/sUNQuoy
ZDS0DqMoUvfWTK8HfMgvL+wb8Eal0rKsuPnDILPIfhgW64fehnXT/HFv8DRl
MvaOBqBFwDt+vqIfUAxp7tLNQFSbfHr1WmoA/GRk21PqGIxCXvv5IvVASLYK
3zkpFYLfvclr0a0MgiEfonft3jFkJpVX5OkfheWbqfx8u+O4Jez5WGtrCPyY
npnULgrDZI5DLx9CoXxwWmo2JgKTvs9aEVVzHD7Xz0fOTEai0/WZ2IYD4eD0
s+rZVuoklkhdvP7+YQQ4jhSujI6Lwu4WZ+Vh/xOQRd/zeG4VjQVH/m1znjkJ
toWvauIXo5GkD+c+rYqCZ4JOzfBbMah4ic/yTYoGyx/uZK8MYeHUjunffaxj
YEZi18hBhVhUa+CK583HwNuUKiGnJhYrpld9rG5hwVy+htu1EDZm3Gtytadj
IWJKNlBFmoNdepRj+QE2VHQIXolXcdB7m19h5ioOfEotd73kxkXGptvKlQ85
oMwQz3AVcjG+ScqwLJMLze5KnR1pcSgxlfKrhnMcbG/KSMnbGI+zj2WaItfH
gwfSdwoa4tE0Z3nu01g8NOS2mme7J2DL1Jp0saIE4NjVD6QOJmDlnOmDFxGJ
MC82mbdwIhFFGQneJvo86HM9FfloNhG5awzk28d5oCouyDFm8zB0n/CYeTkB
R0MLIeszD4tk2zZoRFKw1vFNUHU8wewLalcioiiwliaj/YkEU9VilGpZFFDp
XL0lQjDUYMNqlwQKXMdK5e1TCG4/yJrnnabA8h8Vu540gvXn1HueFVGwvnDO
WnCVYM+quDOZfRToK7am9t8n+CD7b4nBfgruxN6S/6+ZYI2qFq0zRIF73lKw
UgvB3K2d7CYBBRPm4yHOjwgG7N8cJJqmwKO68klzJ0HR2S6rfatpsC7w3HV5
mOALBe26HDka2IdeO9x9SfDJlcSdwwo0tHUINTsEBO+WaOtzVGi4L6dnvPyK
YNyfPJXiLTSInvxWHThNMMytO+etLg0LpTmrE2cI+vTrfGNhQIOWi1AvZ5ag
tbBbstv4y2+0t7llnuCOaN3kDQwa7HvDTAc+EtRcIIuhu2kYTAvnvlskqJTc
w62ypOHcSj4tvUxQUkbv/fIeGpgOt13VxSn8H7IQa7k=
       "]]},
     Annotation[#, "Charting`Private`Tag$5952#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-100, 500}, {-480.0701452988337, 125.28697284985435`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8473620893116198`*^9, 3.84736216036169*^9, {3.847362205639351*^9, 
   3.8473622371259613`*^9}, {3.84736292411313*^9, 3.8473629339443293`*^9}, 
   3.8473630048121843`*^9, 3.8473630836087713`*^9, 3.847363188310705*^9, 
   3.847363275113927*^9, {3.847363370199079*^9, 3.847363389281693*^9}, 
   3.8473636445746517`*^9, {3.8473636884216547`*^9, 3.847363706030356*^9}, {
   3.847363756826844*^9, 3.8473637692568693`*^9}, {3.84736388278305*^9, 
   3.847363922584797*^9}, {3.847364128220512*^9, 3.847364154727872*^9}, {
   3.847364193540873*^9, 3.8473641975255003`*^9}, {3.847364281594758*^9, 
   3.847364304803941*^9}, {3.847364345902073*^9, 3.8473643918883257`*^9}, 
   3.8473644556689262`*^9, 3.8473940609395027`*^9, 3.8473943339818363`*^9, 
   3.847394375679747*^9, {3.8473946814544888`*^9, 3.847394728603396*^9}, {
   3.847395057828477*^9, 3.847395074259604*^9}, 3.847419247666587*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"871b1922-4195-435c-9ad3-e3547c7df059"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nc8Vf8fB3A0UMqIEmVUyvwmZEbvbPfeI2Rc0uUOK3sr46JEEiIVmaEh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       "]]},
     Annotation[#, "Charting`Private`Tag$5999#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-100, 500}, {-59.999981661155985`, 246.2499785714288}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8473620893116198`*^9, 3.84736216036169*^9, {3.847362205639351*^9, 
   3.8473622371259613`*^9}, {3.84736292411313*^9, 3.8473629339443293`*^9}, 
   3.8473630048121843`*^9, 3.8473630836087713`*^9, 3.847363188310705*^9, 
   3.847363275113927*^9, {3.847363370199079*^9, 3.847363389281693*^9}, 
   3.8473636445746517`*^9, {3.8473636884216547`*^9, 3.847363706030356*^9}, {
   3.847363756826844*^9, 3.8473637692568693`*^9}, {3.84736388278305*^9, 
   3.847363922584797*^9}, {3.847364128220512*^9, 3.847364154727872*^9}, {
   3.847364193540873*^9, 3.8473641975255003`*^9}, {3.847364281594758*^9, 
   3.847364304803941*^9}, {3.847364345902073*^9, 3.8473643918883257`*^9}, 
   3.8473644556689262`*^9, 3.8473940609395027`*^9, 3.8473943339818363`*^9, 
   3.847394375679747*^9, {3.8473946814544888`*^9, 3.847394728603396*^9}, {
   3.847395057828477*^9, 3.847395074259604*^9}, 3.8474192477579193`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"4d682311-adc0-4281-984c-ff6f41fd111e"],

Cell[BoxData[
 GraphicsBox[{{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVjHk41HkcgMkjlMfikSQllCNKqCFXH7KkcoZmybFIchTGzDjm+/thbYfY
HNWWCJuttSnkyBWfpdJaK4tMRGTYTCZJtJTY+uN93r/eVyPwpPvRFWJiYk5f
+GqlzcUdy8tMrLXyb/V194d8VyW+2SwT2y/rFyjY+oM2SX0ZPcFEvf5kg0dG
/mDaF/xB0MXEZpkOHyMFf/A+s2XT4yImxm7ly8p3+UGB6AYrc++X/vjj2ikn
P9haXaKqcfowBowomxnt9wUb+7JQWzkvlLsd1Ntu5wM99ed4G4fcccGvIS1B
5AXne/8ytH3ggsERBr43hO4grJUOZ4gccXej9GUxWWeQtZ246HtxLxq7NXsW
V30LE8mnCq57WuCuEjOfBUlLuJItMS6Q3IY2R/fAqLIObKt7OTH2x1Lz/ooB
zZEGBbRwGjrBKNaCgMR1pqhrgubq2i+mMhjADlN77cW1QR0vlskFMxvoWFeW
29i4D2Htgfc2sg7AVMxNympzwfMmSa2Nfk6Q2TZperbkEMq+OWLL/sUNQuoy
ZDS0DqMoUvfWTK8HfMgvL+wb8Eal0rKsuPnDILPIfhgW64fehnXT/HFv8DRl
MvaOBqBFwDt+vqIfUAxp7tLNQFSbfHr1WmoA/GRk21PqGIxCXvv5IvVASLYK
3zkpFYLfvclr0a0MgiEfonft3jFkJpVX5OkfheWbqfx8u+O4Jez5WGtrCPyY
npnULgrDZI5DLx9CoXxwWmo2JgKTvs9aEVVzHD7Xz0fOTEai0/WZ2IYD4eD0
s+rZVuoklkhdvP7+YQQ4jhSujI6Lwu4WZ+Vh/xOQRd/zeG4VjQVH/m1znjkJ
toWvauIXo5GkD+c+rYqCZ4JOzfBbMah4ic/yTYoGyx/uZK8MYeHUjunffaxj
YEZi18hBhVhUa+CK583HwNuUKiGnJhYrpld9rG5hwVy+htu1EDZm3Gtytadj
IWJKNlBFmoNdepRj+QE2VHQIXolXcdB7m19h5ioOfEotd73kxkXGptvKlQ85
oMwQz3AVcjG+ScqwLJMLze5KnR1pcSgxlfKrhnMcbG/KSMnbGI+zj2WaItfH
gwfSdwoa4tE0Z3nu01g8NOS2mme7J2DL1Jp0saIE4NjVD6QOJmDlnOmDFxGJ
MC82mbdwIhFFGQneJvo86HM9FfloNhG5awzk28d5oCouyDFm8zB0n/CYeTkB
R0MLIeszD4tk2zZoRFKw1vFNUHU8wewLalcioiiwliaj/YkEU9VilGpZFFDp
XL0lQjDUYMNqlwQKXMdK5e1TCG4/yJrnnabA8h8Vu540gvXn1HueFVGwvnDO
WnCVYM+quDOZfRToK7am9t8n+CD7b4nBfgruxN6S/6+ZYI2qFq0zRIF73lKw
UgvB3K2d7CYBBRPm4yHOjwgG7N8cJJqmwKO68klzJ0HR2S6rfatpsC7w3HV5
mOALBe26HDka2IdeO9x9SfDJlcSdwwo0tHUINTsEBO+WaOtzVGi4L6dnvPyK
YNyfPJXiLTSInvxWHThNMMytO+etLg0LpTmrE2cI+vTrfGNhQIOWi1AvZ5ag
tbBbstv4y2+0t7llnuCOaN3kDQwa7HvDTAc+EtRcIIuhu2kYTAvnvlskqJTc
w62ypOHcSj4tvUxQUkbv/fIeGpgOt13VxSn8H7IQa7k=
        "]]},
      Annotation[#, "Charting`Private`Tag$5952#1"]& ]}, {}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nc8Vf8fB3A0UMqIEmVUyvwmZEbvbPfeI2Rc0uUOK3sr46JEEiIVmaEh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        "]]},
      Annotation[#, "Charting`Private`Tag$5999#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-100, 500}, {-480.0701452988337, 125.28697284985435`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8473620893116198`*^9, 3.84736216036169*^9, {3.847362205639351*^9, 
   3.8473622371259613`*^9}, {3.84736292411313*^9, 3.8473629339443293`*^9}, 
   3.8473630048121843`*^9, 3.8473630836087713`*^9, 3.847363188310705*^9, 
   3.847363275113927*^9, {3.847363370199079*^9, 3.847363389281693*^9}, 
   3.8473636445746517`*^9, {3.8473636884216547`*^9, 3.847363706030356*^9}, {
   3.847363756826844*^9, 3.8473637692568693`*^9}, {3.84736388278305*^9, 
   3.847363922584797*^9}, {3.847364128220512*^9, 3.847364154727872*^9}, {
   3.847364193540873*^9, 3.8473641975255003`*^9}, {3.847364281594758*^9, 
   3.847364304803941*^9}, {3.847364345902073*^9, 3.8473643918883257`*^9}, 
   3.8473644556689262`*^9, 3.8473940609395027`*^9, 3.8473943339818363`*^9, 
   3.847394375679747*^9, {3.8473946814544888`*^9, 3.847394728603396*^9}, {
   3.847395057828477*^9, 3.847395074259604*^9}, 3.847419247801301*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"64ae008f-ae68-4062-bf83-92945ae7c672"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8473641397521067`*^9, 
  3.8473641397530746`*^9}},ExpressionUUID->"6122043e-c384-49d1-bd89-\
b048b452b53f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cs", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", "k"}], "+", 
    RowBox[{"2", "\[Alpha]", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k"}], "-", 
    RowBox[{"3", "\[Alpha]", " ", "k"}], "-", 
    RowBox[{"4", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
   RowBox[{"4", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"cv", ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.847654464069997*^9, 3.847654483854211*^9}, {
   3.84765460511515*^9, 3.8476546293197536`*^9}, {3.8476547739672413`*^9, 
   3.847654780197926*^9}, {3.847654824888487*^9, 3.8476548489471827`*^9}, 
   3.847655429388072*^9},ExpressionUUID->"ddd49d68-cb77-47cf-ba13-\
772ea7070e40"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVxXk4lHkAB/DBOBpHjpJzrtc5M6K29lGtft/SdqC2ktq0hUmOKEdshVar
hjylJmsRyYPoREqKMmPlKKIHZT1LW0g29HRo5J1x7O4fn+fDE0ds3afOYDA2
/uf/834Ray0KPL2y/Fbk11mOCA1dXK8d3FASqb/w6By2CLNNshNc7lGyaP+o
0thKhLy6NI4mN5XcpYJmbM1ECHeLPfCVc4HUZO7S9DIUoUsVkvGRc400Jqw1
yWaIoN07YP+eU01errdydukXoqAlP2qU84To9jcH+RcKUVae2hu+8C9C5YfL
nS2ECCYdF8aiB4n+FdUJzVwBDg45DlaWvSPzavD3TrYALN5J+1euH0mPbxfP
OssRZw1bBQX+4yTs+80db80cIe7dJtd4OkGqay32c6QOiGo8KY6wVxK7VbnZ
3XMcUBGp5222YZoEGmh9k3HGHgXxYSMuOxjYHSqrqmPaIyl/asuXMTU4GASU
jEvswOh6jYdxGjCWVQuL59jBLiboyDaBJqpUfjmNSbZ4o8jarlurBccTH2PG
mLbwGNp/LD1KBzuz212TEmyw6Y1UyGazcPW+OD1zgsLII/Hxx6W6aOL376g4
SmGhUbe1u58+CixKtVZ85oNFFAF94wb44ae9vNZDfKx77/uV72OIO8Jg25YR
HnrqA9V8RUZYrsWTrwvk4e6phj1chRHOCRobWt9yEaQZ+7q93RgFfVV3ZHu4
2Bsdf1cvxwSaFbbWkXIOnIOF7V4B86At3zDj18TGM2ORbuyy+Uj4R+e2031r
PChLyhVpmOL34otuOg+tEK8m2Pz0pSkcf2nNrbtuCVZf3PqDlQugCA+y/fmS
BYZKeBn5CWYI/PAi2fWyOTIczJnVPubYkPa6pifDDNKcoOYArgVaZPImSdYC
+GbsbtcbtoBUS3fGOd8Uk2uK6XyZJVpCP2nfPz8fg0Orj9SnWOGq/813Xpnz
UOi2yLItwBqqaPVLcokJSiWxRsFObIyaOQlIijFSfPZ6aijYMH/xqP9BmhGW
9hVcS2njoP6mIsw00RDZjrmlbZ5cMF0mc1XMuUisS8v2rOYi2W2FZnK/HjZa
+hS32PAgOby9kfWYhVUHm3cZpfIg77FYeq1TB/lWYpunCh4GIud7aNzRgs2j
K5mbdvHxo0u1weF7TEid6gWdMj4WWy0VDDWqI2ic2fFEQMGADI8YXGdAXPGZ
m3qOgouxpOpy4DQJT/Ke8jhPoWP4oY2x9zSJ9a78U+83CtG1X9ITV02TU4rY
s9JMCpUhgRG+7GlStoxWZeVRcJW7Oxj2TBH6j9nukhsUEK6eE+85RaSdemkN
zRRCmxKPbV2sIjlFB0KSn1BgXbw3KueqSFFMu/v6Vgo3oj7sdJqrIlWmUmVr
O4X3Vn7f6owpSZ+vSUjXCwpRh1Z+qC1WEvtBc/eBQQrp3Gl/R3MlcamMY18e
omAxseRZpraSLJf00vuGKTxvDXdjTtDEyz7v1rsRCqaH+8xfddIkOozL/vSJ
Qk7bg86MMzRJ+O5X+vY4BX7RONTjaSLRH3geo6DQd0RYHhFKk+zyotOTkxTY
NrmnPdbSpPA4M7hGSaGE7qTvLaHJjS37VidMUfB/xgqxpWhSyW+yXjlDQa14
dXe6EU1k43b07CyFwri4NQwGTf4FiMAiEg==
       "]]},
     Annotation[#, "Charting`Private`Tag$4623#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 1.5625002551020448`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 10}, {1.5625002551020448`, 14.062499744897961`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.847654622296715*^9, 3.847654630162591*^9}, 
   3.847654780805894*^9, {3.847654833100295*^9, 3.847654851396055*^9}},
 CellLabel->"Out[35]=",ExpressionUUID->"1e0dfb8f-f864-48d4-930b-5e0bdc88dab9"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.847654354363174*^9, 3.847654425560055*^9}, {
  3.8476544728955708`*^9, 
  3.847654479403387*^9}},ExpressionUUID->"5e316958-01ff-4bfa-a4ac-\
d18d162a05eb"],

Cell[BoxData[{
 RowBox[{"cv1", ":=", 
  FractionBox[
   RowBox[{
    SuperscriptBox["f", "2"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "f", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "f", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"cv2", ":=", 
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", "k"}]], "-", "cs", "-", 
   "\[Theta]"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", 
  RowBox[{
   RowBox[{"2", "k"}], "-", "f"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cs", ":=", "50"}]}], "Input",
 CellChangeTimes->{{3.847655433316271*^9, 3.847655434169815*^9}, {
  3.847655590811797*^9, 3.8476556588682957`*^9}, {3.847665300328245*^9, 
  3.847665306350069*^9}},ExpressionUUID->"e045815c-dff0-4e10-a970-\
8bb379763104"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"cv1", ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "1000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.84765544237197*^9, 3.8476554769590797`*^9}, {
  3.8476555505525513`*^9, 3.8476555543838177`*^9}, {3.8476653287855387`*^9, 
  3.8476653294907007`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"456b04e2-d0e6-4189-b21c-aa1e1b3d9ba0"],

Cell[BoxData[
 GraphicsBox[{{}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1000}, {0., 0.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.847655453514386*^9, 3.847655477710791*^9}, 
   3.8476555553133*^9, {3.847655626463472*^9, 3.8476556635956984`*^9}, {
   3.847665322265934*^9, 3.8476653301834517`*^9}},
 CellLabel->"Out[11]=",ExpressionUUID->"03a6996d-6a75-4f4d-8b5b-ff85124ea4af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"cv2", ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "0", ",", "500"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.847655494746065*^9, 3.847655508203582*^9}, {
  3.847655558110861*^9, 3.847655559850231*^9}},
 CellLabel->
  "In[107]:=",ExpressionUUID->"9eb01501-79cb-49e6-afb5-35b394cbc110"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVlGk41AkAh2dly6QcSVuSo0kX7eRoo2X8DBFGInlsm2PGFY8wznH9pxzj
SJtjRjnKTBFRKq1Cjv8Tm5rtWTmXUGFruyQjSVq2PrzP++n9+upywlz95SgU
itNXvvmN7AvLNuA5o2OYNbNIZ5MR5XHGNpI2SyPn4WdZO9gkT3EiYJ2kx/Iv
ReZTNX02mdByiSIvGbcs8s1ZrbOZTf53JsVpTjxtSZwyZetqsskWedn0tHgJ
4qS3kjuWsUmtn7fZTYnVYPYq+IVkxIfc39/+flJMwz8NN3aeTvEhkZuiuDfK
BMYP5U0LHL1J1Wn367m+DKQciKymhniSjDs8lyQVGzySrFuR7/ErKY5suTrs
YQ+TkcodwT0e5BP7ke552/1ASZ3TsKk76e8YP8HpdMFMjRuXoXOQtGqcle8M
dYPWreDiz+ecScX6Ucr6UXdk1yaXSN7tI/Wn7ELNM34Bz1iZ5bfJitzToEFa
yB2BzuaMe1sajMhr9t5698K8QCmfu8zUkSebl6ssqGb6YJ/AcGhs405o1F8a
ut7GxibeXMSBvVbYmDLPbVzri7ImbaNWqSO8jKh56YF++G377lgD94NQ3eZU
1l7qD5nAU8ao9ECYhXNYiCwAX8x7z4fXesGmMN0g9cejKFmb8YeeIwftq4gL
S9OC4KNiGOL2tYsN33GB1ReMMk8H5uVlQZCoqwnllEPwwUT5ouuhEMQO3GLQ
fI+hv8igm7c0HO1jOUM3xaGISXjAovZwYdNFk1MYCINLM2ff4/JI1Ic2ho8L
w3G89oUs8EY0MtcSg/FGXAykPySVq2Kxs0t83m6EixoFfl/Wkzi8ny/d+jE1
AoKni/5RGokIcWisPqIbibumTrWNlgSaK4xPfpJG4vbg7+OHXI9DuvW+Lyso
Cnvt7vdm8E5gar3Zd8ny0RhtpqifFCdjYgN1/u2VaBSnzjoxX6eg3PrDhLJD
DP7Ore4Z1UuDEY9hcfRDDGjGy1LJVAESHl1M4+XHot/ldlhebzpGip7nBdN5
aM3oUkvUy4R6lOBL7gAP0jeHKwXFWaBymd7cmDi0kIfMr1Oy0Z3oqSXQjQer
dKFRkH0KdZ/dLiQ+iMfmYiWjFRqncbAkUFs/IAF2FWvyjjrkoIM1+ElJJREV
gbsf/qCZi486AX9W1SRiRtk17+14LiwDOzlbHZLwk3cat6w6D15NZ9yHZEkw
NKPbFWbkw3RXgrVtDoFMykVj6WEh+hOY27/PJ1AmHchK8hIi+i5VtV1EICvA
im7IEaLW+ewTq2ICrWrV3oVBQhgE18VZXCJQb/3M6xhPCJ3SyWsmTQQ+znX1
0wqEoFL9NGkvCYhbu69Iu4SodNZfMvaagE0bpyq9TwjbAtkr8QSBm2f1ZmwG
hUilnbitNU1gtt46gnwmxILFeVeNBQJKnaPL70wKIYsYyFBdzUeWS3ldy0oR
chpKwx6t4WOSyxEcVxWBTgl0P72Oj01+rmVMdRFCTs3QVmrzMdEs7ejQFOFF
xapWhe18qNttuNqnL0Lqu8HyDgM+hmfC/y2ki0DbJckW0PmIjJkN9TIWwecu
/bD8Lj4W35b4v9wjwoLCLNp28/Fp7E7vVYYI55xbtiTv4aOpamVuJFME84I0
JSsLPlxs8orMbEV4/O1blnzUXLOfWrQX4X9+C0J0
       "]]},
     Annotation[#, "Charting`Private`Tag$11026#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 500}, {-137.49999489795866`, 1362.4999438775517`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.847655508976307*^9, 3.847655560442718*^9, {3.847655600521154*^9, 
   3.847655609832424*^9}, 3.8476556675691843`*^9},
 CellLabel->
  "Out[107]=",ExpressionUUID->"bf3d756e-b8b4-4af2-bfa6-815e067fadbe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"cv1", ",", "cv2"}], "]"}]], "Input",
 CellChangeTimes->{{3.847655513415637*^9, 3.8476555261154222`*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"29ea26f0-04f0-425a-934a-6e190c2ecf79"],

Cell[BoxData[
 TemplateBox[{
  "Show", "gcomb", 
   "\"Could not combine the graphics objects in \
\\!\\(\\*RowBox[{\\\"Show\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"0.0019531249999999996`\\\", \\\" \\\", RowBox[{\\\"(\\\", \
RowBox[{RowBox[{\\\"-\\\", \\\"30000.`\\\"}], \\\"+\\\", \
RowBox[{\\\"96.`\\\", \\\" \\\", \\\"f\\\"}], \\\"+\\\", \
RowBox[{\\\"0.64`\\\", \\\" \\\", SuperscriptBox[\\\"f\\\", \\\"2\\\"]}]}], \
\\\")\\\"}]}], \\\",\\\", RowBox[{RowBox[{\\\"-\\\", \\\"150\\\"}], \
\\\"+\\\", RowBox[{FractionBox[\\\"1\\\", \\\"200\\\"], \\\" \\\", \
SuperscriptBox[RowBox[{\\\"(\\\", RowBox[{\\\"50\\\", \\\"+\\\", \\\"f\\\"}], \
\\\")\\\"}], \\\"2\\\"]}]}]}], \\\"]\\\"}]\\).\"", 2, 108, 4, 
   34228200945299275488, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.847655949129579*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[108]:=",ExpressionUUID->"b9501a4f-4560-4ba5-\
a2b7-20ea50b66063"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"0.0019531249999999996`", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "30000.`"}], "+", 
      RowBox[{"96.`", " ", "f"}], "+", 
      RowBox[{"0.64`", " ", 
       SuperscriptBox["f", "2"]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"-", "150"}], "+", 
    RowBox[{
     FractionBox["1", "200"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"50", "+", "f"}], ")"}], "2"]}]}]}], "]"}]], "Output",
 CellChangeTimes->{3.847655949143214*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"34ea2f87-0f53-4da7-bd47-c65ba4752817"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.847662860628374*^9, 
  3.847662861398926*^9}},ExpressionUUID->"2798c88c-6388-494f-970d-\
fe16add6181b"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
       RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "\[Equal]", "0"}], ",", "cv"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.847354035311178*^9, 3.847354098862706*^9}, {
  3.8473541303243427`*^9, 3.847354169593449*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e3c0ea2d-254f-46b6-9bfe-e3efdca60c4e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"cv", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["f", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"4", " ", "f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", "f", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}]}], 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    SuperscriptBox["f", "2"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "f", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "f", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]}], "Input",
 CellChangeTimes->{{3.847663033451133*^9, 3.847663038309585*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"191e964f-c70c-4e92-be68-d71b02796a92"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"cv", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["f", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"4", " ", "f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "f", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", "f", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}]}], 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847663039815507*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"b8b96cf9-656d-48c6-a2a1-537fbc73a545"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"5", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}], ")"}], " ", "\[Theta]"}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847663051389965*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"0d87be24-3b0d-4948-9de9-2954fd70d589"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
       RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "\[Equal]", "0"}], ",", "f"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.847662908174068*^9, 3.847662909026216*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"1aafa5f8-2263-487f-b33c-d2bc6f7a6450"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox["\[Theta]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "+", 
     FractionBox["\[Theta]", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.847663011009983*^9, 3.8476630214457417`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"a7c6ea88-c628-4a1d-819c-c8cc23806bf8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox["\[Theta]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]]}], ")"}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847663022494676*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"63fca38a-9bc8-4b83-bea6-0094923290fc"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"f1", ":=", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{
  3.847663061099681*^9, {3.8476818543156776`*^9, 3.847681856392284*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e1699319-36e0-4b82-97af-a7f52c635b38"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
       RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "\[Equal]", "0"}], ",", "k"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8476629410599194`*^9, 3.847662966938016*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"00d998e2-5fd7-4d0b-a90f-8289cfa0c287"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"k", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"24", " ", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "16"}], " ", "cv"}], "+", 
        RowBox[{"32", " ", "cv", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "f", " ", "\[Alpha]"}], "-", 
        RowBox[{"16", " ", "cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"4", " ", "f", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"16", " ", "\[Theta]"}], "+", 
        RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"16", " ", "cv"}], "-", 
              RowBox[{"32", " ", "cv", " ", "\[Alpha]"}], "-", 
              RowBox[{"4", " ", "f", " ", "\[Alpha]"}], "+", 
              RowBox[{"16", " ", "cv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"4", " ", "f", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"16", " ", "\[Theta]"}], "-", 
              RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}], 
            "2"], "-", 
           RowBox[{"48", " ", 
            SuperscriptBox["\[Alpha]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["f", "2"]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "-", 
              RowBox[{
               SuperscriptBox["f", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"2", " ", "f", " ", "\[Theta]"}], "+", 
              RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
              
              RowBox[{"2", " ", "f", " ", 
               SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
              SuperscriptBox["\[Theta]", "2"], "+", 
              RowBox[{"2", " ", "\[Alpha]", " ", 
               SuperscriptBox["\[Theta]", "2"]}], "-", 
              RowBox[{
               SuperscriptBox["\[Alpha]", "2"], " ", 
               SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"24", " ", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "16"}], " ", "cv"}], "+", 
        RowBox[{"32", " ", "cv", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "f", " ", "\[Alpha]"}], "-", 
        RowBox[{"16", " ", "cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"4", " ", "f", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"16", " ", "\[Theta]"}], "+", 
        RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"16", " ", "cv"}], "-", 
              RowBox[{"32", " ", "cv", " ", "\[Alpha]"}], "-", 
              RowBox[{"4", " ", "f", " ", "\[Alpha]"}], "+", 
              RowBox[{"16", " ", "cv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"4", " ", "f", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"16", " ", "\[Theta]"}], "-", 
              RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}], 
            "2"], "-", 
           RowBox[{"48", " ", 
            SuperscriptBox["\[Alpha]", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["f", "2"]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["f", "2"], " ", "\[Alpha]"}], "-", 
              RowBox[{
               SuperscriptBox["f", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"2", " ", "f", " ", "\[Theta]"}], "+", 
              RowBox[{"4", " ", "f", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
              
              RowBox[{"2", " ", "f", " ", 
               SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
              SuperscriptBox["\[Theta]", "2"], "+", 
              RowBox[{"2", " ", "\[Alpha]", " ", 
               SuperscriptBox["\[Theta]", "2"]}], "-", 
              RowBox[{
               SuperscriptBox["\[Alpha]", "2"], " ", 
               SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8476629675109262`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"584e8624-8976-4048-8c53-29824f9dd3fa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", "\[Theta]"}], ")"}]}], "-", 
       RowBox[{"2", "\[Alpha]", " ", "k"}]}], 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "\[Equal]", "0"}], ",", 
   "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8476629754764433`*^9, 3.847662976862311*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"55c4449d-3ff3-4133-858b-f8a1083985a8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Theta]", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "f"}], "+", 
        RowBox[{"4", " ", "k"}], "+", 
        FractionBox[
         RowBox[{"12", " ", "k"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"8", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"f", " ", "k"}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["k", "2"]}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["k", "2"], " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}]}]]}], 
         SqrtBox[
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "f"}], "+", 
        RowBox[{"4", " ", "k"}], "+", 
        FractionBox[
         RowBox[{"12", " ", "k"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "+", 
        FractionBox[
         RowBox[{"8", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"f", " ", "k"}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["k", "2"]}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["k", "2"], " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}]}]]}], 
         SqrtBox[
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]]]}], ")"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.847662977698132*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"0b9b6e89-1ed2-4e89-a1a0-091dc66e6108"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
    RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
    RowBox[{"cv", ":=", "50"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847681801034974*^9, 3.847681804852509*^9}, {
  3.847681861235153*^9, 3.847681898271284*^9}, {3.847682182829908*^9, 
  3.8476822001114283`*^9}},ExpressionUUID->"fae17a98-e785-48de-9f91-\
2b3b44903467"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"f1", ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.4"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.847681888538349*^9, 3.847681902574073*^9}, {
   3.847681963489369*^9, 3.847682003918338*^9}, 3.847682068626465*^9, {
   3.847683005144575*^9, 3.8476830063646517`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"f6e4c45d-1cc9-425e-8b30-e86ad6193ca9"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV2Hk4VP0XAHBJCGmxL1lKpcTba8nSci4hlaiELKUUkUppLlLhLVs7kjVF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       "]]},
     Annotation[#, "Charting`Private`Tag$4987#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.4101981931522},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageMargins->0.,
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.4}, {335.4101981931522, 349.99999918367354`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.847681903473312*^9, 3.847682004652739*^9, 
  3.847683008266033*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"453f1eed-a8b0-4a3b-a001-357591a74bbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "50"}], "\[IndentingNewLine]", 
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "\[IndentingNewLine]", 
 RowBox[{"f2", ":=", 
  RowBox[{"k", "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"f1", ",", 
   RowBox[{"{", 
    RowBox[{"cv", ",", "0", ",", "50"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"f2", ",", 
   RowBox[{"{", 
    RowBox[{"cv", ",", "0", ",", "50"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.84768208894136*^9, 3.847682170505115*^9}, {
  3.8476822030399237`*^9, 
  3.8476822557633953`*^9}},ExpressionUUID->"8c0b3545-3ef6-4817-b989-\
4ec77c2de019"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVz3k41HkAx3Hm0ZDjUZZCyrGtmrZllJ0kmo9jxreDIltTHorCYIY5fjqs
1e3OUSmVJiqxFKVV4UFsKCl28tSGSM8mVg9RjGvY2T8+z/t5/fmxDIryCaap
qal5qvZ/rdKVN2TL7m28HBKsu3ZMgIdaDHMhP50tY3TpBI0LUHe45OZK/jV2
2dBtWqZCgEamOJTOL2XrRu99PTQpwNNUORkLrWXPWC9dVDQrwDPHkxWfQ1vZ
8vBcxTItIZozO8X9oT1s+aZBD9oSITZXa3r1hQ6zjSYDuaUQ4oUea76Gvxpu
PNEfHcwUwjWd87hgmxZstBrk698JEWw7pWentwBPbZ1iUq0j4ckIHlnkYYhK
vcDzidGRKGv/LfqZgzEcz6RZV9dEYoPBqlKNo2awpl9/nqAXhdDps1fzeRY4
4xDRzdsThajGT2tLPa2w02lzbUJeFJL30H9QCpajNqebtm4oCvubfg2x41tj
5o3luWJTEeo0Tbwjdq9E3d6iMW9nEewWHrswQK3C1KaKwJIgEfZ9dV7tJVgN
m4nGkztOi5AnazBTnLHB7ECGza0iEe6nOXbKfZi4E9gToN8qAlXpvP3qVjuQ
ppc9bV9EqG3OH03yW4N4VgthGYkR5rG+Ooy3Fs8Uj5XTLDFyCu3KI8LtkZ2y
odzfT4zMr9XHRYd+RuxOsawnToy+ouiDfAkLXtbZGm3XxHjCPZt94sQ6zEvr
Fu34Uwz1bR0f0o85oMHVSrb1HzHUXB6o5x5Zjzv6LsmUhgSJixWe8gRHuJrH
aK9YIYFoz/56xckN4BWIPvh5SNB73P4AO8sJsm0VXMNwCQzPXepIynPGa6M7
ZtMpEtxasOpI05WN4HAexYiKJaiTmHNWFLMRc5jmG/hCAplFrpmzL7Cmhvmt
77ME1bFTavw2QNJ/MKFARwrLLZoz3+9yATvDTtm5Woo/Whkpb9tdMDySZnl3
ixSpjbNMC39XpO8sfjsikOKcdCB8X5crpEse0t+mSBFrtEzfarcbkicP8tSL
pPidMa+Zeu8Gcx0Lo4xmKejf1E3qAtxhkO0R/LJfigLmvTjZJ3fwjQdthfMp
MIKKvJRCDtxFLVlbGRQ6N1WU/TLIgYb2UeFHLgX5jZif2FIuWm/K370JoTBx
39vJapSLyqzs1sRTFOYeScrjIz1wkR4bdyqPwhYmlxM75oHzJmWcV48pNPnb
hkVICWLb2mIG3lEw2M+vuhpNkL+43jCim0IAP0+v7RDBAV1y+7PK45Lvyuxj
CTYnGbQP91BYnqiYUp4i+PdyPn28l8KxstrUjAsENgc+KNT7KDhqbr9bXkHA
XVKoYzxEIV43idZfRbCcLuFdUvmvhfW+pjUEtKH266bDFPhm9pNx9QR/O4cw
l36hcNHO2JU8J3iVU2ljNUrhm9/7Vx1dBKYc8ujHcQoINLHW6yEw1y7rvq1y
SojPYXYvwYLhBzQbBQUr8ROzmx8J5uWddWNOUPCOLwwWDhFcCsgqtJ+ikJPS
+/DaF4K4rs6qcpX7M0y15aME55NrWljTqj9XUktYCgK3Od4nhxkKLbkNamGT
BI3zF45UqLz41qzPlWkC35bgCUclhaDidfkvlAQd/F3KKpVL7ooUc3ME7up9
c06zFP4D6VA13Q==
       "]]},
     Annotation[#, "Charting`Private`Tag$4443#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 231.66248149685708`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 50}, {231.66248149685708`, 335.88989248128587`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.847682164820772*^9, 3.8476821719720383`*^9}, 
   3.847682212939323*^9, 3.847682245130104*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"0c1cd849-9328-42e2-8b3b-61db81fe2837"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxFxW0w03EcAPBxMnXtQsrD7TwsyZyyZXkYM9RQmoedLg/HiWb/eQhDqKWh
E201D5fqMJzHuPMwSXJLcx6iHC1vwh26y8PV9eChhUb1wvf34nMfq5hkDlcb
h8Ox//k/Saqpk5l3euzdo0e2SMKkzL2VWW31tlg1PExJ5eli7fAbicpvg9cP
j9Lze7/yJuCxkpnUZd4cfEGBD1jkfYfHCU77dSJxnnt7S1mvmwL1YK7DFoFK
0IfZZO7Po75GsHzqVsaoiwnsZmjXrnObCPO2S6saQi3h5OElx3Y2Cb4Xrntc
k2gNx47cjKNiNrASbxqcEGYLUw1E5SvpdnD0GsM+INEerpUNEdX3T8FdD+gz
Kg4FTn/JCKq6SIX7xxpWiyJOw3xfVwU/1BGubKZ2J8TT4JI1RW5K5hl4sSXj
OiZwggd9Sh/n5TnDWoHTn6QiFxjn9VyrJtsVLjRWs1V36XBKeOyAOt8NXsil
XWU+dIeNyp5MF9Uy4EZ9u+yRCg9YKbBgnWhlwjLLGiIjxBNWCLdw2CTayh//
59hlL/jZBFn8cQotGd6hWEZ6w2VpK/HRs2jhEfNDpLCz8FPyvrH0ebTuupap
Muoc3ETpzJEtockxLQGaJBY8c75XfukLWlV34yQzzQf+3RXsTlpF774QdBdc
84X9KT4s4QZ6JNKBn5DmBxvGYn1VGegorJYwmYn+JTgspwnR1oXqLc0dtEje
LykuR9PxQR3dveiCg0Xay33o9wYDIWav0BiRtpkzgH5ENfH2e4tej5j/MD2L
9rxiakOYQ4vjOFnMBTQpdZBY/xkdXNDMTfqGrhQv9FT/QC8Xmx1QraJFFZI2
JzX6Xc0Qjr+JNm7c4VRso2NanRvGNei2jhT17i76L8FoINM=
       "]]},
     Annotation[#, "Charting`Private`Tag$4485#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 50}, {0., 49.99999897959184}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.847682164820772*^9, 3.8476821719720383`*^9}, 
   3.847682212939323*^9, 3.8476822452035*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"3f6598e8-e4af-4e67-87bd-12e669153b96"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{851, 799},
WindowMargins->{{-24, Automatic}, {Automatic, 0}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2348a438-fd70-47d4-99bf-37bae871a901"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 416, 8, 94, "Chapter",ExpressionUUID->"f89ef293-692e-4ecb-80d1-b0c9b69c3023"],
Cell[999, 32, 401, 8, 81, "Text",ExpressionUUID->"78abf3ce-2707-4e2e-af94-39462d25073e"],
Cell[CellGroupData[{
Cell[1425, 44, 1482, 36, 94, "Input",ExpressionUUID->"b0c1ce44-4c72-413d-89c7-77d016108ffb"],
Cell[2910, 82, 2157, 62, 117, "Output",ExpressionUUID->"1b90e0a6-5cbd-45b7-a204-7e9d22385b8c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5104, 149, 224, 4, 44, "Input",ExpressionUUID->"59d7a380-1a23-4cd4-b1fb-bda63391cda1"],
Cell[5331, 155, 221, 4, 34, "Output",ExpressionUUID->"bfe72a22-497a-4d97-8763-55c77a35436a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5589, 164, 259, 5, 44, "Input",ExpressionUUID->"e4eb6cfc-732f-424d-aca7-a23909a91390"],
Cell[5851, 171, 308, 8, 51, "Output",ExpressionUUID->"21ebee3f-f5a7-4be3-b8de-e729f3f0c406"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6196, 184, 359, 7, 71, "Input",ExpressionUUID->"d4b15535-e795-4906-b2a1-060e4eeb9ddf"],
Cell[6558, 193, 225, 3, 34, "Output",ExpressionUUID->"e162ba3a-1b36-4faa-ab7c-7d0c78c0bb94"]
}, Open  ]],
Cell[6798, 199, 223, 4, 44, "Input",ExpressionUUID->"8ca1e0a9-3a23-493a-a8d1-ea0e4d7f83b5"],
Cell[CellGroupData[{
Cell[7046, 207, 460, 12, 71, "Input",ExpressionUUID->"9d61ce4b-3ef1-4fef-998a-e9a06a171a26"],
Cell[7509, 221, 402, 12, 51, "Output",ExpressionUUID->"84e7d6e3-51da-4bd2-a57d-5352b3f21d57"],
Cell[7914, 235, 739, 23, 53, "Output",ExpressionUUID->"9d4c9689-8417-4e30-adbf-1de3fbcd54e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8690, 263, 770, 24, 63, "Input",ExpressionUUID->"dea0f4ed-4446-4108-8938-eaedff498571"],
Cell[9463, 289, 713, 17, 53, "Output",ExpressionUUID->"af725cde-337b-4b8e-836d-947909e753a3"]
}, Open  ]],
Cell[10191, 309, 257, 5, 44, "Input",ExpressionUUID->"9dbcc97b-80ed-4865-9aa3-3d876dc4264a"],
Cell[CellGroupData[{
Cell[10473, 318, 1282, 35, 97, "Input",ExpressionUUID->"679e6216-a5f9-4196-81a3-7f97e6edd371"],
Cell[11758, 355, 752, 20, 55, "Output",ExpressionUUID->"7a65a4f3-919b-4a5d-be7d-d06ec6cddba1"]
}, Open  ]],
Cell[12525, 378, 948, 27, 94, "Input",ExpressionUUID->"7d009ab8-d864-4ef6-81a7-3d3c1e4180fc"],
Cell[CellGroupData[{
Cell[13498, 409, 177, 2, 30, "Input",ExpressionUUID->"5e7943ab-7c39-4757-87fc-ec89e0c5ec6a"],
Cell[13678, 413, 1728, 51, 56, "Output",ExpressionUUID->"84dc2a75-7947-4e48-a97a-cd68c0cf9d95"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15443, 469, 1790, 52, 110, "Input",ExpressionUUID->"35f6723e-a6ee-4a6b-a571-29c4855825bf"],
Cell[17236, 523, 149, 2, 34, "Output",ExpressionUUID->"be37a142-5284-4c9e-bffc-6062750f3baa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17422, 530, 224, 4, 30, "Input",ExpressionUUID->"8629591a-fabb-4ce2-8cb1-3aae0307cc31"],
Cell[17649, 536, 1591, 45, 70, "Output",ExpressionUUID->"b63e45a1-8da9-48f5-a7ba-5a93d62045b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19277, 586, 1644, 46, 85, "Input",ExpressionUUID->"9ae7edb9-c444-4431-85f7-4b50465409fc"],
Cell[20924, 634, 464, 11, 53, "Output",ExpressionUUID->"ad4282ce-d917-42b8-ab6d-2fd0bffbc96e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21425, 650, 154, 3, 30, "Input",ExpressionUUID->"7accabe5-2f74-44db-8a1e-c6eb969a6652"],
Cell[21582, 655, 1677, 51, 62, "Output",ExpressionUUID->"334d6b9a-de7e-4632-a023-8a1a67a74391"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23296, 711, 153, 2, 30, "Input",ExpressionUUID->"8c7170a3-5955-4bcf-aede-130c715fd28f"],
Cell[23452, 715, 1677, 51, 62, "Output",ExpressionUUID->"afede14a-1f18-486d-8a6c-90ba4838003c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25166, 771, 1736, 52, 73, "Input",ExpressionUUID->"f07d5e6c-1f3e-4f19-b3a6-a4c0a2f8ce2b"],
Cell[26905, 825, 1727, 53, 62, "Output",ExpressionUUID->"6a59670c-16a7-42c0-b10c-136073ec2d4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28669, 883, 223, 4, 30, "Input",ExpressionUUID->"00ea9387-d47b-441b-945a-e9b7b8ecad41"],
Cell[28895, 889, 2190, 68, 105, "Output",ExpressionUUID->"b84a4454-62bb-471c-a397-8080f199fa13"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31122, 962, 2268, 69, 119, "Input",ExpressionUUID->"1c556a7a-4ff5-4a63-8962-32f91f994071"],
Cell[33393, 1033, 464, 11, 53, "Output",ExpressionUUID->"2305d44a-d27a-4b89-9ec0-30a67249b374"]
}, Open  ]],
Cell[33872, 1047, 472, 14, 50, "Input",ExpressionUUID->"769d6e80-290e-457a-9a23-df6b38e573b6"],
Cell[CellGroupData[{
Cell[34369, 1065, 223, 4, 30, "Input",ExpressionUUID->"4ebd8f92-bde0-48d5-b6df-24a6fa6e2044"],
Cell[34595, 1071, 1891, 59, 97, "Output",ExpressionUUID->"879957d4-de97-49b2-a834-02e28d790675"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36523, 1135, 1937, 61, 110, "Input",ExpressionUUID->"69bc43d8-bb55-42b5-a0ca-85c91b9b3b9d"],
Cell[38463, 1198, 844, 27, 56, "Output",ExpressionUUID->"14505492-ec8a-4d79-8fd8-3fb65cd964af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39344, 1230, 1938, 61, 110, "Input",ExpressionUUID->"febbe65e-d053-4384-ae36-013e415f0487"],
Cell[41285, 1293, 845, 27, 56, "Output",ExpressionUUID->"7c297ea7-8964-4c78-ac1c-c6a080497d87"]
}, Open  ]],
Cell[42145, 1323, 880, 28, 67, "Input",ExpressionUUID->"1c57d661-624e-46d4-99ff-0272f608e4b1"],
Cell[43028, 1353, 763, 23, 50, "Input",ExpressionUUID->"50278d09-bd22-4a30-8489-b03363faca25"],
Cell[CellGroupData[{
Cell[43816, 1380, 178, 2, 30, "Input",ExpressionUUID->"0d59bff6-601f-481b-9a23-5ffac7465f5e"],
Cell[43997, 1384, 987, 32, 53, "Output",ExpressionUUID->"f1723621-f75d-4868-b69f-7a52987e09cd"]
}, Open  ]],
Cell[44999, 1419, 1029, 33, 63, "Input",ExpressionUUID->"fd339db5-53a6-488d-bd69-7a1d92b52c01"],
Cell[46031, 1454, 421, 13, 50, "Input",ExpressionUUID->"f1b2b0a8-3947-4b8c-b5ff-5fb37bf57539"],
Cell[CellGroupData[{
Cell[46477, 1471, 3744, 100, 219, "Section",ExpressionUUID->"c43be20e-b860-4e48-8f63-70335f0dd634"],
Cell[CellGroupData[{
Cell[50246, 1575, 537, 11, 77, "Subsection",ExpressionUUID->"f3bc96cf-d47e-44a9-baa2-f65c018c03c1"],
Cell[50786, 1588, 122, 3, 20, "Outline5",ExpressionUUID->"13c316a7-14cb-4933-80e9-eb620d4530b1"],
Cell[50911, 1593, 154, 3, 30, "Input",ExpressionUUID->"7dc2b592-a563-4551-8063-19d6a8ebfe7f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[51126, 1603, 482, 9, 94, "Chapter",ExpressionUUID->"e9ef37e5-5840-4701-a3d3-715ddcc1d84f"],
Cell[51611, 1614, 2047, 57, 73, "Input",ExpressionUUID->"df6a5b40-f01e-4353-a005-04dfcce0b2d9"],
Cell[53661, 1673, 311, 5, 30, "Input",ExpressionUUID->"3631e16e-c62b-40de-8b70-a0510b42e69b"],
Cell[CellGroupData[{
Cell[53997, 1682, 229, 4, 44, "Input",ExpressionUUID->"960f8f75-fb45-4bc4-9185-e57218ed4b2a"],
Cell[54229, 1688, 372, 7, 34, "Output",ExpressionUUID->"58c166f1-bef1-4769-a93b-4803f09abb54"]
}, Open  ]],
Cell[54616, 1698, 154, 3, 30, "Input",ExpressionUUID->"2f816093-c96b-489b-aa0e-f9c19908bd16"],
Cell[54773, 1703, 250, 5, 44, "Input",ExpressionUUID->"dde3d98b-b808-4c03-ab10-6e0e04a8df15"],
Cell[55026, 1710, 425, 12, 46, "Input",ExpressionUUID->"23074524-3753-43ea-8fe5-a252c8f119a9"],
Cell[CellGroupData[{
Cell[55476, 1726, 254, 4, 67, "Section",ExpressionUUID->"93dc1a04-d5a5-41a6-96b8-1ee76a5f46e6"],
Cell[55733, 1732, 1631, 43, 52, "Input",ExpressionUUID->"4e933050-1967-4545-957e-28ad0de47d03"],
Cell[57367, 1777, 562, 16, 30, "Input",ExpressionUUID->"3f30e25c-5acf-4342-922b-083e36c2a71a"],
Cell[CellGroupData[{
Cell[57954, 1797, 229, 4, 44, "Input",ExpressionUUID->"ce339a3e-2dad-444f-a4be-d04d1ba3e484"],
Cell[58186, 1803, 318, 8, 34, "Output",ExpressionUUID->"d1d487c0-74b7-4dc1-be02-42fd7f6b958a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58541, 1816, 256, 5, 44, "Input",ExpressionUUID->"7ebb04c8-9d56-443e-abde-86bfd00647ec"],
Cell[58800, 1823, 348, 9, 49, "Output",ExpressionUUID->"99a19e5c-0a07-4224-a3d5-d6b8c8aa05f3"]
}, Open  ]],
Cell[59163, 1835, 353, 7, 58, "Text",ExpressionUUID->"60329021-94ee-44ed-b4ca-b8c2c3634ce7"],
Cell[59519, 1844, 312, 7, 46, "Input",ExpressionUUID->"7caaff70-731e-46c4-8ffe-7f3310177044"],
Cell[CellGroupData[{
Cell[59856, 1855, 178, 2, 30, "Input",ExpressionUUID->"7d02fe51-5094-4f04-a23c-ca998f93c9d4"],
Cell[60037, 1859, 893, 26, 53, "Output",ExpressionUUID->"418dd4e6-a3f4-4a81-b0b0-289bcbd0db43"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60967, 1890, 905, 27, 63, "Input",ExpressionUUID->"92547672-c369-4234-a0ef-0157453edda6"],
Cell[61875, 1919, 774, 23, 53, "Output",ExpressionUUID->"6bde9ca3-400c-4e3a-aca6-f42e215a4e1a"]
}, Open  ]],
Cell[62664, 1945, 593, 18, 45, "Text",ExpressionUUID->"23105795-0de0-4c4a-830e-9c7ee50eaf1c"],
Cell[63260, 1965, 153, 3, 30, "Input",ExpressionUUID->"01f52498-ff43-42ef-ba72-70c4437945c8"],
Cell[CellGroupData[{
Cell[63438, 1972, 620, 13, 130, "Input",ExpressionUUID->"3d5d3f38-2635-42e8-ae2d-b4e9d8ffe07e"],
Cell[64061, 1987, 3533, 77, 232, "Output",ExpressionUUID->"89e05a87-7ff0-4bec-b908-b090dc845825"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67631, 2069, 905, 27, 63, "Input",ExpressionUUID->"6e625413-416f-4db1-8663-c55c30fb6931"],
Cell[68539, 2098, 776, 23, 53, "Output",ExpressionUUID->"74f1b57a-d135-4288-bc13-7a24bd837420"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69352, 2126, 256, 5, 44, "Input",ExpressionUUID->"cbcdf7ea-d8bf-44b2-9ce3-1fef358325bc"],
Cell[69611, 2133, 1869, 48, 104, "Output",ExpressionUUID->"2b1e09d6-8708-4d61-829d-112cf0aea1ac"]
}, Open  ]],
Cell[71495, 2184, 1179, 32, 82, "Text",ExpressionUUID->"3171090d-6c12-4d6e-9074-179be96e923f"],
Cell[CellGroupData[{
Cell[72699, 2220, 258, 4, 54, "Subsection",ExpressionUUID->"0d6f9c0c-a4c5-4fe2-9cbc-964e6992534e"],
Cell[72960, 2226, 177, 3, 30, "Input",ExpressionUUID->"68528879-7e8a-4b52-bb5f-6ab5b2d59223"],
Cell[CellGroupData[{
Cell[73162, 2233, 414, 11, 59, "Input",ExpressionUUID->"3ade093b-190b-4f6a-b304-d79b6624b221"],
Cell[73579, 2246, 394, 11, 52, "Output",ExpressionUUID->"21b840ac-b369-4e75-8da5-251a8920257d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74010, 2262, 775, 22, 93, "Input",ExpressionUUID->"d7afe2a1-c52d-4650-8a04-f595281fb5d0"],
Cell[74788, 2286, 851, 27, 52, "Output",ExpressionUUID->"8dc8fb3a-7e7b-4adc-879c-cb8b23444aa1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75676, 2318, 896, 30, 62, "Input",ExpressionUUID->"a96be9df-3398-4785-a02e-d4e898a51d54"],
Cell[76575, 2350, 525, 13, 54, "Output",ExpressionUUID->"5412fbb8-df2d-40df-bcc1-46cc8a71b0e5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77137, 2368, 256, 5, 44, "Input",ExpressionUUID->"eb1f6e3a-7aae-49a8-b951-81658fc40f23"],
Cell[77396, 2375, 3986, 111, 136, "Output",ExpressionUUID->"0ec683d8-dd5c-42bd-8d86-81ecd33516e4"]
}, Open  ]],
Cell[81397, 2489, 575, 17, 37, "Text",ExpressionUUID->"99eed773-8890-40db-bede-aff764205365"],
Cell[81975, 2508, 154, 3, 30, "Input",ExpressionUUID->"e9c51bce-572e-4ee9-8b43-5328b60b5e47"],
Cell[CellGroupData[{
Cell[82154, 2515, 1892, 54, 86, "Input",ExpressionUUID->"d78683ec-9c95-485e-b7d1-c6457044d2f2"],
Cell[84049, 2571, 800, 25, 77, "Output",ExpressionUUID->"52fe38d0-ec1d-4143-b36d-ef0a5b6e9079"]
}, Open  ]],
Cell[84864, 2599, 154, 3, 30, "Input",ExpressionUUID->"7d4711c2-4882-46c9-94a4-742019e44448"],
Cell[85021, 2604, 300, 5, 30, "Input",ExpressionUUID->"9a381a33-3761-4d15-88d9-43bf79926846"],
Cell[CellGroupData[{
Cell[85346, 2613, 845, 22, 130, "Input",ExpressionUUID->"094ef031-e8eb-42b1-a1d1-3ecda3ce249a"],
Cell[86194, 2637, 3585, 78, 229, "Output",ExpressionUUID->"24d023a2-97b0-497e-80a9-53e183ff1358"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89816, 2720, 739, 19, 116, "Input",ExpressionUUID->"a42e8bea-c8bf-4d51-a462-f6945edcea5b"],
Cell[90558, 2741, 3803, 87, 257, "Output",ExpressionUUID->"331350f7-80dd-43a8-b647-ce0b2826adc7"]
}, Open  ]],
Cell[94376, 2831, 154, 3, 30, "Input",ExpressionUUID->"581d2360-652d-48d9-b906-a93a9686085d"],
Cell[94533, 2836, 156, 3, 30, "Input",ExpressionUUID->"fba24c98-feae-48e3-913a-f003837d3d04"],
Cell[94692, 2841, 150, 3, 30, "Input",ExpressionUUID->"8d0feab3-2254-4afe-8100-958f6a99ffe5"],
Cell[94845, 2846, 152, 3, 30, "Input",ExpressionUUID->"764dc862-3b04-4f66-8cae-1754fc8775c8"],
Cell[95000, 2851, 154, 3, 30, "Input",ExpressionUUID->"9a86c54b-05f9-442d-be1b-0111f390cdab"],
Cell[95157, 2856, 154, 3, 30, "Input",ExpressionUUID->"d470f2da-f68b-407e-8779-428adc7a45b8"],
Cell[95314, 2861, 237, 4, 51, "Text",ExpressionUUID->"0845686d-011d-4964-82b7-81c7bd176bec"],
Cell[95554, 2867, 3120, 73, 214, "Text",ExpressionUUID->"e530130d-f676-4a24-b14f-b42820ae9f41"],
Cell[98677, 2942, 561, 16, 30, "Input",ExpressionUUID->"5cdd0a2e-8801-4ca8-a186-a56af772509e"],
Cell[CellGroupData[{
Cell[99263, 2962, 178, 2, 30, "Input",ExpressionUUID->"38583170-4d78-483b-b2ec-1919cfa060f8"],
Cell[99444, 2966, 582, 17, 49, "Output",ExpressionUUID->"e754ccb6-2dfe-4989-92e3-8cb14d6e3de9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100063, 2988, 609, 18, 59, "Input",ExpressionUUID->"654d7d56-ea75-4bfd-a159-c5e78eba6662"],
Cell[100675, 3008, 466, 13, 49, "Output",ExpressionUUID->"43cdfa10-bc6e-48cb-b8a0-3e225d45b7e5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101178, 3026, 255, 5, 44, "Input",ExpressionUUID->"4a30be2c-478b-40f2-abe2-6a16d87b4edc"],
Cell[101436, 3033, 387, 10, 51, "Output",ExpressionUUID->"d21fec8f-c41b-4666-a514-85438a7de983"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101860, 3048, 608, 17, 59, "Input",ExpressionUUID->"4cb2cc5d-fc6d-4bf8-892b-c9593dfa7dae"],
Cell[102471, 3067, 600, 18, 52, "Output",ExpressionUUID->"9da2b422-89ae-4282-8b22-e5309c4047df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103108, 3090, 250, 4, 56, "Subsubsection",ExpressionUUID->"b3710180-2cd2-42a1-a801-588d905c633e"],
Cell[103361, 3096, 431, 10, 46, "Input",ExpressionUUID->"5e16cf81-1fb1-4888-bfb1-14d41384308b"],
Cell[103795, 3108, 398, 10, 48, "Input",ExpressionUUID->"095c52bb-5f57-4a6a-99e7-55a70af14711"],
Cell[104196, 3120, 692, 23, 30, "Input",ExpressionUUID->"2ce6d1f6-4746-4a95-9d1b-17065b846439"],
Cell[CellGroupData[{
Cell[104913, 3147, 180, 2, 30, "Input",ExpressionUUID->"05610bfc-8a75-49e7-ab89-e10a6fa1b47a"],
Cell[105096, 3151, 1162, 36, 51, "Output",ExpressionUUID->"7e1094b4-7651-44e4-b97d-cf4e602ec026"]
}, Open  ]],
Cell[CellGroupData[{
Cell[106295, 3192, 1208, 37, 101, "Input",ExpressionUUID->"78178d28-c35e-497f-84a0-297977fe1dbf"],
Cell[107506, 3231, 741, 21, 55, "Output",ExpressionUUID->"24663679-c0fd-46d1-9d5e-c6e1ca0113b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108284, 3257, 226, 4, 44, "Input",ExpressionUUID->"74635b29-56c2-42ef-bcf9-4757ad358d80"],
Cell[108513, 3263, 556, 15, 53, "Output",ExpressionUUID->"5d14acf6-e28d-48d9-ab5a-20f8b6e4b484"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109106, 3283, 581, 16, 63, "Input",ExpressionUUID->"0a67d927-c6e5-493b-8d64-13fe1216a5d7"],
Cell[109690, 3301, 609, 17, 53, "Output",ExpressionUUID->"867de7a0-6d00-461c-bee5-44aef6c975c7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110336, 3323, 256, 5, 44, "Input",ExpressionUUID->"c1a3d397-8012-4136-aeae-db299097603a"],
Cell[110595, 3330, 575, 16, 55, "Output",ExpressionUUID->"78149117-572b-42d6-b8ac-2518cb561885"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111207, 3351, 860, 23, 65, "Input",ExpressionUUID->"17498d39-86aa-4d8b-ae1e-82328b47525e"],
Cell[112070, 3376, 509, 16, 51, "Output",ExpressionUUID->"766fad5b-2581-4914-9cce-db3a3f3cce02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112616, 3397, 267, 5, 44, "Input",ExpressionUUID->"f652f117-85bb-46b2-991c-e989c9069f10"],
Cell[112886, 3404, 408, 11, 54, "Output",ExpressionUUID->"bc6576a2-8b86-4ced-a4ec-2b1cd27e9a1a"]
}, Open  ]],
Cell[113309, 3418, 416, 10, 51, "Input",ExpressionUUID->"561471c2-bccc-4747-bbd7-582751967f92"],
Cell[113728, 3430, 526, 13, 52, "Input",ExpressionUUID->"62e51fda-d402-4017-807d-357ef1b9844d"],
Cell[CellGroupData[{
Cell[114279, 3447, 147, 2, 30, "Input",ExpressionUUID->"23d142f2-554a-475e-aca8-b75645fefff5"],
Cell[114429, 3451, 672, 13, 24, "Message",ExpressionUUID->"d4bf9dd5-1ea6-4ee6-8971-1f0d9a2d7942"],
Cell[115104, 3466, 508, 14, 55, "Output",ExpressionUUID->"c1886549-89a4-4f31-a49e-1c5af8645a01"]
}, Open  ]],
Cell[115627, 3483, 152, 3, 30, "Input",ExpressionUUID->"d7cbc635-e17b-43d8-a928-51addea798e9"],
Cell[115782, 3488, 1777, 52, 90, "Text",ExpressionUUID->"d1036128-0519-436f-8179-1fbf1ed587b8"],
Cell[117562, 3542, 1445, 38, 58, "Input",ExpressionUUID->"cd931e67-b50f-4a0b-af0f-e2c297f2bd56"],
Cell[CellGroupData[{
Cell[119032, 3584, 186, 2, 30, "Input",ExpressionUUID->"bfb6f295-72b2-4319-9874-d1685b9730e2"],
Cell[119221, 3588, 1280, 36, 59, "Output",ExpressionUUID->"77da0405-a8f6-4e0b-b8b4-76cdf0f22931"]
}, Open  ]],
Cell[120516, 3627, 1302, 37, 71, "Input",ExpressionUUID->"b12278ee-a3c0-4557-8a03-355aeca33ee7"],
Cell[121821, 3666, 1034, 29, 100, "Input",ExpressionUUID->"887a2269-53fe-4d71-8ebc-202bea59e988"],
Cell[122858, 3697, 959, 27, 62, "Input",ExpressionUUID->"3855912e-156e-4f92-bc94-b9dd2cfccd15"],
Cell[CellGroupData[{
Cell[123842, 3728, 3580, 114, 177, "Input",ExpressionUUID->"becf1cc3-bd5d-43a2-ba07-a4e24674eecf"],
Cell[127425, 3844, 1912, 59, 82, "Output",ExpressionUUID->"80876deb-20d8-4164-b8f6-762b2889034d"]
}, Open  ]],
Cell[129352, 3906, 824, 23, 59, "Input",ExpressionUUID->"cff0784b-5e18-492b-b2c2-c87747d0d65e"],
Cell[CellGroupData[{
Cell[130201, 3933, 2401, 72, 190, "Input",ExpressionUUID->"7b8d2695-c89e-42ce-bef8-26aa24328a90"],
Cell[132605, 4007, 8331, 155, 234, "Output",ExpressionUUID->"f523c6f8-c9af-477f-b2a3-181798325897"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140973, 4167, 758, 16, 101, "Input",ExpressionUUID->"e65fb674-e6fb-48a9-9721-77d19b8acef0"],
Cell[141734, 4185, 2468, 60, 234, "Output",ExpressionUUID->"d748a448-f770-4d65-adb7-66f1c179574c"],
Cell[144205, 4247, 9318, 174, 234, "Output",ExpressionUUID->"8eb82a5c-9e26-461c-862d-943fc63cc160"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153560, 4426, 153, 3, 30, "Input",ExpressionUUID->"cb104ff9-999c-4dcf-aa62-3d7b98bb7ef5"],
Cell[153716, 4431, 9278, 173, 234, "Output",ExpressionUUID->"a6b15b86-5aff-4989-b502-5f0000f062ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163031, 4609, 862, 21, 44, "Input",ExpressionUUID->"60a91420-7d69-4fe5-8102-1a36bf340be0"],
Cell[163896, 4632, 13293, 238, 234, "Output",ExpressionUUID->"e6467b8f-a67d-4e51-a557-9419d5c37664"]
}, Open  ]],
Cell[CellGroupData[{
Cell[177226, 4875, 223, 5, 44, "Input",ExpressionUUID->"a4558259-dc55-4c9e-acb3-0eece3b849b9"],
Cell[177452, 4882, 19299, 370, 288, "Output",ExpressionUUID->"0de43ea6-06cd-4925-947a-ee51e405985f"]
}, Open  ]],
Cell[196766, 5255, 217, 5, 44, "Input",ExpressionUUID->"9ca4e3f8-8d42-44d7-88fd-d205f58887ae"],
Cell[CellGroupData[{
Cell[197008, 5264, 1017, 28, 177, "Input",ExpressionUUID->"e8267133-4906-4721-9d5e-2f6264722e95"],
Cell[198028, 5294, 1110, 34, 61, "Output",ExpressionUUID->"0adbd10c-7628-41ad-96ad-14ecd24bef18"]
}, Open  ]],
Cell[199153, 5331, 1101, 34, 71, "Input",ExpressionUUID->"79595056-0012-489f-a8f7-3c78b5a13912"],
Cell[200257, 5367, 468, 15, 49, "Input",ExpressionUUID->"0aaaec65-ec17-42a8-b4c1-da5c70ab8d97"],
Cell[CellGroupData[{
Cell[200750, 5386, 1211, 32, 118, "Input",ExpressionUUID->"ca36ab1b-50f0-4afc-8ec0-9deeee457714"],
Cell[201964, 5420, 1908, 51, 129, "Output",ExpressionUUID->"1702c71e-b37c-49d2-899f-814eb013a846"]
}, Open  ]],
Cell[203887, 5474, 1961, 51, 183, "Input",ExpressionUUID->"3a8c044b-f5ef-4afe-9580-28ee9a978fdc"],
Cell[205851, 5527, 763, 23, 60, "Input",ExpressionUUID->"f7c25eef-21b5-4613-acf6-3b077a52b354"],
Cell[CellGroupData[{
Cell[206639, 5554, 2155, 60, 303, "Input",ExpressionUUID->"5b1ac833-c75c-4d6d-b257-30ae803feacc"],
Cell[208797, 5616, 2207, 69, 100, "Output",ExpressionUUID->"332b45e1-ed6c-43f4-bc29-0e8cf238c000"]
}, Open  ]],
Cell[CellGroupData[{
Cell[211041, 5690, 2088, 68, 113, "Input",ExpressionUUID->"7bf00459-b805-4356-8288-4b30a54786c0"],
Cell[213132, 5760, 771, 26, 59, "Output",ExpressionUUID->"df658a7f-4dc8-4bb1-b4c6-19db198cedc6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[213940, 5791, 1642, 42, 114, "Input",ExpressionUUID->"c0436408-3718-444d-b858-fab9c0d7382c"],
Cell[215585, 5835, 110027, 1809, 206, "Output",ExpressionUUID->"3f3d07ab-7946-4a76-8329-f401cc70cbbf"]
}, Open  ]],
Cell[325627, 7647, 99039, 1628, 205, "Input",ExpressionUUID->"21724e97-e117-4c8d-a6b1-432393bf0bff"],
Cell[424669, 9277, 150, 2, 30, "Input",ExpressionUUID->"1657e989-4b88-4cfa-8912-e7eac211ea6a"],
Cell[424822, 9281, 1190, 35, 114, "Input",ExpressionUUID->"381e0be7-1c45-4421-aba2-ecbbabcbe044"],
Cell[426015, 9318, 98107, 1613, 202, "Input",ExpressionUUID->"2b97fd13-4b7a-4ea7-abb5-ea2d0d141ab9"],
Cell[CellGroupData[{
Cell[524147, 10935, 1187, 35, 114, "Input",ExpressionUUID->"311fbd95-8b13-4756-93e4-a305d16432a3"],
Cell[525337, 10972, 99081, 1629, 232, "Output",ExpressionUUID->"1a04d8b6-9df6-4415-955d-a78232116926"]
}, Open  ]],
Cell[CellGroupData[{
Cell[624455, 12606, 1190, 35, 114, "Input",ExpressionUUID->"70a9a419-6868-4f6f-8d56-870cbb9898fb"],
Cell[625648, 12643, 96716, 1595, 206, "Output",ExpressionUUID->"deb2b307-38f9-46be-bcdb-14b28a6d9e30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[722401, 14243, 225, 5, 44, "Input",ExpressionUUID->"10855d33-1100-4562-9bbf-66f3c360311b"],
Cell[722629, 14250, 109970, 1808, 237, "Output",ExpressionUUID->"0dfe4a88-f769-4c45-bcb5-b74515dc61df"]
}, Open  ]],
Cell[832614, 16061, 110192, 1810, 217, "Input",ExpressionUUID->"d1187104-fafa-4fe4-bb95-198d84025207"],
Cell[942809, 17873, 532, 13, 44, "Input",ExpressionUUID->"47144c4f-6c62-48f1-8b80-a5d23e13d1b0"],
Cell[943344, 17888, 212, 5, 44, "Input",ExpressionUUID->"8547cfc1-176b-48f2-b7aa-8d7d5b512e6e"],
Cell[CellGroupData[{
Cell[943581, 17897, 1116, 33, 114, "Input",ExpressionUUID->"64e87d7d-37c8-4c3b-8cd9-6d95cf211938"],
Cell[944700, 17932, 98981, 1626, 236, "Output",ExpressionUUID->"388305d0-80a5-4bde-971e-70ce419ab941"]
}, Open  ]],
Cell[1043696, 19561, 1038, 32, 69, "Input",ExpressionUUID->"e86952be-635e-4d84-8a17-d059f210f979"],
Cell[1044737, 19595, 548, 16, 30, "Input",ExpressionUUID->"813b8d81-97cf-412a-853b-f0494a695eca"],
Cell[CellGroupData[{
Cell[1045310, 19615, 182, 3, 30, "Input",ExpressionUUID->"a16b43fb-b964-429f-98d7-60d0c8fe7578"],
Cell[1045495, 19620, 4173, 135, 201, "Output",ExpressionUUID->"c0402d0f-515d-4ade-a916-98a5af3fc566"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1049705, 19760, 168, 4, 44, "Input",ExpressionUUID->"465168eb-b8c9-4dcb-bb8e-e2743dced3b3"],
Cell[1049876, 19766, 746, 25, 57, "Output",ExpressionUUID->"f84798b7-8a79-423e-94aa-591c32f54db6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1050659, 19796, 1285, 37, 112, "Input",ExpressionUUID->"276a9712-9ced-451a-b37b-27a8f0f97229"],
Cell[1051947, 19835, 108844, 1783, 238, "Output",ExpressionUUID->"b81da8ea-e9b6-4a90-9f50-4a03ac1d29fc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1160828, 21623, 1164, 34, 112, "Input",ExpressionUUID->"1456a068-dc6e-482b-99b1-e7bd04e18ba8"],
Cell[1161995, 21659, 104516, 1713, 243, "Output",ExpressionUUID->"3a8ab2e7-6c7a-423f-9433-d4eafdac011b"]
}, Open  ]],
Cell[1266526, 23375, 224, 5, 44, "Input",ExpressionUUID->"13efb560-8499-4a7f-8ca0-c6bdf7e7c2e0"],
Cell[CellGroupData[{
Cell[1266775, 23384, 223, 5, 44, "Input",ExpressionUUID->"be3c552c-f9f0-4cc6-ba4e-a6d08900884f"],
Cell[1267001, 23391, 109016, 1790, 76, "Output",ExpressionUUID->"c673b9b9-8aa2-434b-ae29-5d24a3996989"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1376054, 25186, 225, 5, 44, "Input",ExpressionUUID->"c633d8fd-9b0c-47ce-b835-f2f0b21d2c9e"],
Cell[1376282, 25193, 109177, 1793, 274, "Output",ExpressionUUID->"013be8fc-c0e5-4955-b3e0-45aa8c5f0479"]
}, Open  ]],
Cell[1485474, 26989, 156, 3, 30, "Input",ExpressionUUID->"9c4d9f59-41de-424f-8d20-94568269f585"],
Cell[1485633, 26994, 144, 2, 30, "Input",ExpressionUUID->"37d8ca36-013e-48f7-be3a-da83d2db8e0d"],
Cell[1485780, 26998, 151, 3, 30, "Input",ExpressionUUID->"13b7fea7-91ef-452d-adc9-b2584d7f0e8c"],
Cell[1485934, 27003, 177, 3, 30, "Input",ExpressionUUID->"28246105-0a7a-4ad2-8eb1-135638e2c921"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1486148, 27011, 160, 3, 45, "Subsubsection",ExpressionUUID->"0281982b-a1bd-4da0-a559-e29fec1c6f95"],
Cell[1486311, 27016, 23595, 716, 833, "Text",ExpressionUUID->"36d553c9-3aad-48d4-a08d-73a1fd1d399d"],
Cell[1509909, 27734, 152, 3, 30, "Input",ExpressionUUID->"ec71bb38-b09a-4b2b-8986-bb5a753d0fef"],
Cell[1510064, 27739, 2438, 77, 181, "Input",ExpressionUUID->"841f9291-2acb-4220-adca-07d18a6040be"],
Cell[CellGroupData[{
Cell[1512527, 27820, 222, 4, 30, "Input",ExpressionUUID->"d3632420-bae9-42be-b4fe-f0ae6123cbcf"],
Cell[1512752, 27826, 1965, 62, 104, "Output",ExpressionUUID->"80b0dc2e-9b1b-4f8b-ad19-cfe3212997f6"]
}, Open  ]],
Cell[1514732, 27891, 2032, 63, 119, "Input",ExpressionUUID->"8538c5e9-6aad-4c07-9550-7dbb94552b65"],
Cell[1516767, 27956, 1569, 43, 100, "Input",ExpressionUUID->"d6474aa7-64af-435c-bf77-1486141978f3"],
Cell[CellGroupData[{
Cell[1518361, 28003, 790, 12, 30, "Input",ExpressionUUID->"a823bed7-b6be-44b2-a821-55297e72265d"],
Cell[1519154, 28017, 1409, 43, 55, "Output",ExpressionUUID->"c5921dae-88f9-4b50-98e3-eec5ec023460"]
}, Open  ]],
Cell[1520578, 28063, 1459, 44, 65, "Input",ExpressionUUID->"19e9f715-96e4-448d-8e34-d74bc76fd4d0"],
Cell[1522040, 28109, 1344, 41, 51, "Input",ExpressionUUID->"6c2ddec8-c765-4485-8d8e-b9e35b314411"],
Cell[CellGroupData[{
Cell[1523409, 28154, 227, 3, 30, "Input",ExpressionUUID->"5cd605fc-953a-4b56-9797-ea3ea45df450"],
Cell[1523639, 28159, 149, 2, 34, "Output",ExpressionUUID->"dcb7b113-e1e5-4faf-a057-482ed23186b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1523825, 28166, 148, 2, 30, "Input",ExpressionUUID->"f9320f6a-e7fe-4747-aa1f-45b8c1de16af"],
Cell[1523976, 28170, 417, 12, 52, "Output",ExpressionUUID->"72f8a440-22e2-4a97-b384-9c8431587ae2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1524430, 28187, 3075, 87, 186, "Input",ExpressionUUID->"3b6a5cb2-ff2e-4514-a2d4-b0fb8dcdbdd8"],
Cell[1527508, 28276, 2690, 79, 124, "Output",ExpressionUUID->"5953a9b4-220f-4739-b44c-97f8b5ee5a00"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1530235, 28360, 161, 3, 44, "Input",ExpressionUUID->"74c8678a-910b-4efd-90d0-b253ca7978b3"],
Cell[1530399, 28365, 1909, 53, 79, "Output",ExpressionUUID->"589424f3-972b-4013-b885-0e60f2e435fc"]
}, Open  ]],
Cell[1532323, 28421, 154, 3, 30, "Input",ExpressionUUID->"2e064495-2fb3-4009-8cf0-58da525bd63a"],
Cell[1532480, 28426, 1265, 33, 119, "Input",ExpressionUUID->"cb6f494c-4f4a-4256-9b72-334742c01583"],
Cell[CellGroupData[{
Cell[1533770, 28463, 146, 2, 30, "Input",ExpressionUUID->"f40cc7d2-f49a-442d-a647-a96332b128d2"],
Cell[1533919, 28467, 1910, 51, 129, "Output",ExpressionUUID->"afb5e284-531d-4b6d-ac16-82d62a84eddd"]
}, Open  ]],
Cell[1535844, 28521, 1961, 51, 183, "Input",ExpressionUUID->"63aa661c-a8a4-437b-9ac6-880eb45e7b4a"],
Cell[CellGroupData[{
Cell[1537830, 28576, 758, 22, 85, "Input",ExpressionUUID->"d1d0d3cc-92df-4c90-a70f-3e45e1ce3e26"],
Cell[1538591, 28600, 703, 21, 59, "Output",ExpressionUUID->"1c3cf1d5-51bb-4caf-8dd9-944d146574e6"],
Cell[1539297, 28623, 1973, 51, 129, "Output",ExpressionUUID->"571acab8-af95-44a4-8487-e5a3af8054ba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1541307, 28679, 2049, 54, 204, "Input",ExpressionUUID->"1581094b-afd8-498f-8d42-4e63c59e5717"],
Cell[1543359, 28735, 689, 21, 59, "Output",ExpressionUUID->"a31b6c93-dc02-4a88-bfac-642267ce8018"]
}, Open  ]],
Cell[1544063, 28759, 1509, 49, 73, "Input",ExpressionUUID->"d6e585e1-94a5-406e-9fdd-526767bba4ea"],
Cell[1545575, 28810, 180, 2, 30, "Input",ExpressionUUID->"2f791f32-caef-45bb-8b22-0a3a968ca6af"],
Cell[1545758, 28814, 3860, 105, 236, "Input",ExpressionUUID->"6130ceb5-e0fa-4de4-af48-73a1c1778f00"],
Cell[1549621, 28921, 163, 3, 44, "Input",ExpressionUUID->"40e84319-5b18-4ed2-85bd-094a362768dd"],
Cell[1549787, 28926, 3571, 96, 143, "Input",ExpressionUUID->"42e72882-bfe5-46fd-9791-f8cc11b7c250"],
Cell[CellGroupData[{
Cell[1553383, 29026, 179, 2, 30, "Input",ExpressionUUID->"10e960c5-0e56-4ecd-bfdf-0bab50c9e3fa"],
Cell[1553565, 29030, 7746, 207, 476, "Output",ExpressionUUID->"73e58433-4667-4cbd-b106-bce0683929d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1561348, 29242, 163, 3, 44, "Input",ExpressionUUID->"0dd13f0d-6c50-4258-ba9a-6ee97938d736"],
Cell[1561514, 29247, 149, 2, 34, "Output",ExpressionUUID->"905399b3-f01c-4f67-9d15-cfc3078b6d09"]
}, Open  ]],
Cell[1561678, 29252, 152, 3, 30, "Input",ExpressionUUID->"e1587e4a-4a04-4863-a006-9c750bb01571"],
Cell[1561833, 29257, 222, 4, 52, "Input",ExpressionUUID->"dc439114-3e03-4cad-a451-32671fc8cf63"],
Cell[CellGroupData[{
Cell[1562080, 29265, 427, 10, 46, "Input",ExpressionUUID->"0f2aa289-3110-474e-93e7-0f248b258d5f"],
Cell[1562510, 29277, 6890, 127, 231, "Output",ExpressionUUID->"df040ecb-0c58-4727-b6d3-77a17567c96a"]
}, Open  ]],
Cell[1569415, 29407, 201, 4, 30, "Input",ExpressionUUID->"77932dda-c064-426a-982f-c1d7ec106995"],
Cell[1569619, 29413, 169, 3, 52, "Input",ExpressionUUID->"4d9a46c6-36b9-4768-9225-20d53c684abb"],
Cell[1569791, 29418, 154, 3, 30, "Input",ExpressionUUID->"cb8f1d0f-c1d1-463e-9a3d-e9582f658b0a"],
Cell[1569948, 29423, 152, 3, 30, "Input",ExpressionUUID->"d799f237-14fb-44d0-9448-7976390397a5"],
Cell[1570103, 29428, 156, 3, 30, "Input",ExpressionUUID->"3a74ce3a-5924-4749-8673-adaed4b1fd08"],
Cell[CellGroupData[{
Cell[1570284, 29435, 1487, 40, 104, "Input",ExpressionUUID->"18b7c587-3ffe-4701-af11-9b4d14d079a7"],
Cell[1571774, 29477, 1599, 39, 83, "Output",ExpressionUUID->"f87c14f9-e61b-49e1-ac89-dbfb61ed42d5"]
}, Open  ]],
Cell[1573388, 29519, 992, 16, 94, "Input",ExpressionUUID->"8ce436b3-9111-46ff-ba6e-82b6ad2febce"],
Cell[1574383, 29537, 283, 5, 94, "Input",ExpressionUUID->"6617e46c-8f34-453e-87af-007b0ab78b65"],
Cell[1574669, 29544, 501, 8, 30, "Input",ExpressionUUID->"bb258706-2fbc-418a-b92e-752c44a28e9b"],
Cell[1575173, 29554, 152, 3, 30, "Input",ExpressionUUID->"fd567ef2-b67b-4637-a86b-ce1afc3ca1c5"],
Cell[1575328, 29559, 2058, 51, 121, "Input",ExpressionUUID->"7d6d4444-7462-4e5e-a830-5c096b44b719"],
Cell[CellGroupData[{
Cell[1577411, 29614, 1190, 26, 158, "Input",ExpressionUUID->"8edb5757-7138-4af2-9e9b-33f1f0abe760"],
Cell[1578604, 29642, 4319, 87, 239, "Output",ExpressionUUID->"871b1922-4195-435c-9ad3-e3547c7df059"],
Cell[1582926, 29731, 8258, 152, 237, "Output",ExpressionUUID->"4d682311-adc0-4281-984c-ff6f41fd111e"],
Cell[1591187, 29885, 10173, 185, 239, "Output",ExpressionUUID->"64ae008f-ae68-4062-bf83-92945ae7c672"]
}, Open  ]],
Cell[1601375, 30073, 156, 3, 30, "Input",ExpressionUUID->"6122043e-c384-49d1-bd89-b048b452b53f"],
Cell[CellGroupData[{
Cell[1601556, 30080, 1237, 31, 176, "Input",ExpressionUUID->"ddd49d68-cb77-47cf-ba13-772ea7070e40"],
Cell[1602796, 30113, 3556, 76, 241, "Output",ExpressionUUID->"1e0dfb8f-f864-48d4-930b-5e0bdc88dab9"]
}, Open  ]],
Cell[1606367, 30192, 203, 4, 30, "Input",ExpressionUUID->"5e316958-01ff-4bfa-a4ac-d18d162a05eb"],
Cell[1606573, 30198, 2140, 54, 205, "Input",ExpressionUUID->"e045815c-dff0-4e10-a970-8bb379763104"],
Cell[CellGroupData[{
Cell[1608738, 30256, 396, 8, 44, "Input",ExpressionUUID->"456b04e2-d0e6-4189-b21c-aa1e1b3d9ba0"],
Cell[1609137, 30266, 1671, 44, 228, "Output",ExpressionUUID->"03a6996d-6a75-4f4d-8b5b-ff85124ea4af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1610845, 30315, 341, 8, 44, "Input",ExpressionUUID->"9eb01501-79cb-49e6-afb5-35b394cbc110"],
Cell[1611189, 30325, 3552, 78, 229, "Output",ExpressionUUID->"bf3d756e-b8b4-4af2-bfa6-815e067fadbe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1614778, 30408, 235, 5, 44, "Input",ExpressionUUID->"29ea26f0-04f0-425a-934a-6e190c2ecf79"],
Cell[1615016, 30415, 927, 18, 40, "Message",ExpressionUUID->"b9501a4f-4560-4ba5-a2b7-20ea50b66063"],
Cell[1615946, 30435, 610, 19, 51, "Output",ExpressionUUID->"34ea2f87-0f53-4da7-bd47-c65ba4752817"]
}, Open  ]],
Cell[1616571, 30457, 278, 5, 136, "Input",ExpressionUUID->"2798c88c-6388-494f-970d-fe16add6181b"],
Cell[1616852, 30464, 1487, 40, 71, "Input",ExpressionUUID->"e3c0ea2d-254f-46b6-9bfe-e3efdca60c4e"],
Cell[CellGroupData[{
Cell[1618364, 30508, 2992, 73, 115, "Input",ExpressionUUID->"191e964f-c70c-4e92-be68-d71b02796a92"],
Cell[1621359, 30583, 1599, 39, 57, "Output",ExpressionUUID->"b8b96cf9-656d-48c6-a2a1-537fbc73a545"]
}, Open  ]],
Cell[1622973, 30625, 1315, 39, 56, "Input",ExpressionUUID->"0d87be24-3b0d-4948-9de9-2954fd70d589"],
Cell[1624291, 30666, 1435, 39, 71, "Input",ExpressionUUID->"1aafa5f8-2263-487f-b33c-d2bc6f7a6450"],
Cell[CellGroupData[{
Cell[1625751, 30709, 2799, 76, 130, "Input",ExpressionUUID->"a7c6ea88-c628-4a1d-819c-c8cc23806bf8"],
Cell[1628553, 30787, 1507, 41, 60, "Output",ExpressionUUID->"63fca38a-9bc8-4b83-bea6-0094923290fc"]
}, Open  ]],
Cell[1630075, 30831, 918, 25, 59, "Input",ExpressionUUID->"e1699319-36e0-4b82-97af-a7f52c635b38"],
Cell[CellGroupData[{
Cell[1631018, 30860, 1437, 39, 71, "Input",ExpressionUUID->"00d998e2-5fd7-4d0b-a90f-8289cfa0c287"],
Cell[1632458, 30901, 5323, 126, 202, "Output",ExpressionUUID->"584e8624-8976-4048-8c53-29824f9dd3fa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1637818, 31032, 1445, 39, 71, "Input",ExpressionUUID->"55c4449d-3ff3-4133-858b-f8a1083985a8"],
Cell[1639266, 31073, 2598, 71, 111, "Output",ExpressionUUID->"0b9b6e89-1ed2-4e89-a1a0-091dc66e6108"]
}, Open  ]],
Cell[1641879, 31147, 541, 12, 136, "Input",ExpressionUUID->"fae17a98-e785-48de-9f91-2b3b44903467"],
Cell[CellGroupData[{
Cell[1642445, 31163, 460, 10, 67, "Input",ExpressionUUID->"f6e4c45d-1cc9-425e-8b30-e86ad6193ca9"],
Cell[1642908, 31175, 7038, 135, 237, "Output",ExpressionUUID->"453f1eed-a8b0-4a3b-a001-357591a74bbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1649983, 31315, 1453, 39, 239, "Input",ExpressionUUID->"8c0b3545-3ef6-4817-b989-4ec77c2de019"],
Cell[1651439, 31356, 3514, 76, 240, "Output",ExpressionUUID->"0c1cd849-9328-42e2-8b3b-61db81fe2837"],
Cell[1654956, 31434, 2714, 63, 241, "Output",ExpressionUUID->"3f6598e8-e4af-4e67-87bd-12e669153b96"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

