(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    345679,      10223]
NotebookOptionsPosition[    320511,       9791]
NotebookOutlinePosition[    320958,       9809]
CellTagsIndexPosition[    320915,       9806]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "+", "b", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
   3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
   3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
   3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
   3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
   3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
   3.861053681512178*^9}, {3.861055518307404*^9, 3.861055554326591*^9}, 
   3.8610557742472477`*^9, {3.861055919099469*^9, 3.8610559217328777`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"22622599-c667-43d6-aa15-f482797f3c8c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.861055568582479*^9, 3.861055574674233*^9}, {
  3.861055688877303*^9, 3.861055689519437*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"4f77d919-d1fa-4195-a1cd-8b20e64ed93e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "kb"}], "+", 
  RowBox[{"l", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8610557948722982`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"65a49743-94a7-4f7d-9fb4-24d51c415c98"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.861055578971615*^9, 3.861055594968405*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"50bfafe3-1c8a-4bf2-a0c4-bf869f977761"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8610555962339573`*^9, 3.861055632507674*^9, 
  3.861055692405815*^9, 3.8610557961664877`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"68cdfb02-8974-4150-bb1f-e6557d78e4cf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.8610556977124453`*^9, 3.861055736241734*^9}, {
  3.861055800959203*^9, 3.861055802354056*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"f13d121a-a5af-4e5d-ab7b-5262f346b76d"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.8610557390172663`*^9, 3.861055741614846*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2c476e2b-46c0-4de5-aaa5-f1cbd9a777d6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861055742078331*^9, 3.86105580502885*^9, 
  3.8610558391252317`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"f004acfe-a386-40cd-ab03-80b7409d71f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"0884bae7-2907-4ccf-a0ae-4c7cbb750cb2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
  RowBox[{"2", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.8610558406091957`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"eba12880-9dd0-48a3-81d7-faf1358c3b61"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.861055745704218*^9, 3.861055753887*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"1116407f-ee87-4be1-a41c-7c60cd82fb27"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "kb", " ", "\[Beta]"}], "-", 
      RowBox[{"l", " ", "\[Beta]"}], "+", 
      RowBox[{"l", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861055754297542*^9, 3.8610558452130013`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"7e763498-5076-4d27-87dd-2800d69cf5e2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.861055851034358*^9, 3.861055852121978*^9}, {
  3.861055982233981*^9, 3.8610559830697317`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"5148b263-f211-457c-90a7-a4a9f8e772e5"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8610558572348547`*^9, 3.861055860156938*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"1f33de4e-3b07-4141-925f-1126b11f3336"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861055860693022*^9, 3.861055954895804*^9, 
  3.861055988875905*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"fd7b9306-7d09-44ef-9f00-a09180d397ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb"}], "-", "l", "+", 
       RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
       
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"8e5c315f-f266-4cec-a66a-c97fc1618a23"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "+", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.8610559915625763`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"6d52c2d1-bc5a-46eb-8700-3115eea6a5a7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8610558753437977`*^9, 3.8610558804672527`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"69138082-5f1e-4aae-8d0e-3574dab93b58"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "+", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "-", "\[Alpha]", "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.861055881296116*^9, 3.8610559661735163`*^9, 
  3.861055997546955*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"af48c0f3-d070-429b-9e66-59b9ecca51ba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.861055885089404*^9, 3.8610558900973587`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"7d1cc985-35c0-4a66-9008-4d61666adc19"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"l", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "+", 
      RowBox[{"b", " ", "p"}], "+", 
      RowBox[{"d", " ", "p"}], "-", 
      SuperscriptBox["p", "2"], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", 
      RowBox[{"b", " ", "p", " ", "\[Alpha]"}], "-", 
      RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.861055890648034*^9, {3.8610559709418287`*^9, 3.861056000433331*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"192bfb2f-77bd-4b5d-8a56-d362286d4c53"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "cs"}], "-", "csb", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "+", 
        RowBox[{"l", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "kb"}]]}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861056012771757*^9, 3.86105603127322*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"ceb7ea2e-0b05-450c-a1e0-f8a2728f1b3b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d", "-", 
     RowBox[{"2", " ", "p"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"l", "-", 
     RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
  RowBox[{"2", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.861056032135511*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"e56d65e8-7660-4105-8927-343ce9cbe559"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861056038254333*^9, 3.8610560471984663`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"7882acac-75a3-49c6-b071-506ddfcb652d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.861056094310585*^9, 3.8610560977125893`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"652c90e8-39fd-485c-9e5a-85b778036ad4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861056098728978*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"602b47df-132e-465f-bc4e-5c01c542ed41"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"b", " ", "p"}], "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"b", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Input",
 CellChangeTimes->{{3.8610560783952007`*^9, 3.861056087517043*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"415ea9f5-9eb0-480d-8c88-755564d619cd"],

Cell[CellGroupData[{

Cell[BoxData["l"], "Input",
 CellChangeTimes->{3.8610561035927687`*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"a393655d-1721-4599-945e-32dedb5ed001"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861056104101927*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"c61b3fff-1fc3-4505-97e7-8c530d3e6ae3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
     "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"6f9e11ba-cff0-4ba9-bb99-6b49e93e819f"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861056106035079*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"a7854474-d40a-4812-bccf-14286ffe931a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.86105611016556*^9},
 CellLabel->"In[22]:=",ExpressionUUID->"a87f4dc9-0e9c-4c99-abf7-ddee58574d71"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
       "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
        "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.86105611053996*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"71edc607-3fb5-4065-a414-2d05eebe8a2d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%22", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[23]:=",ExpressionUUID->"44754003-ce44-4a6c-8527-0396d282ac7a"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8610561131414347`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"15a48fcd-d460-46b6-8750-4755869c30a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.8610561153472977`*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"9b2ca569-a8f5-4cc6-b9bb-8b42e90492c9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "kb"}], "-", "\[Theta]", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
        "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}],
          "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.86105611574618*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"b281d954-1f6d-4d2c-ab52-1fa36e3c2ef8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%24", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"f6d4f3c7-2e7a-4d4b-9d33-8b47f4d49684"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"16", " ", "kb"}], "-", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861056117728375*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"ed39829c-34d0-49d8-8358-f58e01bfa02e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861056147334969*^9, 3.861056165185671*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"eb83b968-87d7-4f6d-92e6-a62f08981d83"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "b"}], "+", 
      SuperscriptBox["b", "2"], "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"16", " ", "kb"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "b"}], "+", 
      SuperscriptBox["b", "2"], "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "kb"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861056166081455*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"121cb83d-89df-40dd-890c-7471081ae143"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "\[Equal]",
     "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861056170319293*^9, 3.861056176672995*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"488bb8cc-7969-4b03-bf18-3c55542ee27b"],

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "b"}], "+", 
      SuperscriptBox["b", "2"], "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "b"}], "+", 
      SuperscriptBox["b", "2"], "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "kb"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", "\[Eta]"}], "Input",
 CellChangeTimes->{{3.861056838622169*^9, 
  3.8610569230833187`*^9}},ExpressionUUID->"4e7aeac6-447a-4a8e-96ca-\
1c5ddd12ed77"],

Cell[TextData[{
 StyleBox["We solve this game by backward induction. By checking the Hessian \
matrix, we find that \[Pi]SA  is jointly concave in p and l, when ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "8fb17b22-c59d-491a-be05-3f26016647fa"],
 StyleBox[".in this paper, we consider the case with ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "-", 
     RowBox[{"16", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "-", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]], "<"}]],ExpressionUUID->
  "c4e9b356-f4e1-4f1e-8816-1d74862a8b01"],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "f174fe90-b7ef-46c0-a9b5-ae721655d02b"],
 ", which is the common situation because it means launch successfully \
propability is above zero and below one.",
 StyleBox["\ne = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     StyleBox[
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     StyleBox[
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], "+", "\[Alpha]", "+", 
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "eb798018-583a-4df4-911c-6f872787e2d3"],
 StyleBox[", that ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   StyleBox["\[Eta]",
    FontColor->RGBColor[0, 0, 1]], 
   RowBox[{"16", " ", 
    StyleBox["kb",
     FontColor->RGBColor[0, 0, 1]], 
    StyleBox[" ",
     FontColor->RGBColor[0, 0, 1]], 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "2098b69c-c182-4323-8e7c-e7851585f518"],
 StyleBox[", where  ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Eta]", "=", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     StyleBox[
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["-",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], "-", "\[Alpha]", "-", 
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    StyleBox["=",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}],
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{
         StyleBox["1",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["+",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["d",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["+",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox["b",
          FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}], "2"]}], "-", 
     RowBox[{"8", 
      StyleBox[
       RowBox[{"\[Alpha]", 
        StyleBox["kb",
         FontColor->RGBColor[0, 0, 1]]}]]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "4", "\[Theta]"}]}]}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "545c6310-a409-4df0-baea-bf0e7ca17f39"],
 StyleBox["\n\nr = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Beta]", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      StyleBox["\[Eta]",
       FontColor->RGBColor[0, 0, 1]], 
      RowBox[{"16", " ", 
       StyleBox["kb",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "37eac394-ae14-4e67-8eb5-e2310c97c31f"],
 StyleBox[",\np =",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{" ", 
    RowBox[{"1", "+", "d", "+", 
     StyleBox["b",
      FontColor->RGBColor[0, 0, 1]]}]}], 
   RowBox[{" ", "2"}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "9482f49c-2846-461d-9cb8-abc0a8edbd74"],
 StyleBox[",",
  FontColor->RGBColor[1, 0, 0]],
 "\nl=",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{"(", 
     RowBox[{"1", "-", 
      StyleBox[
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
       FontColor->RGBColor[0, 0, 1]], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       StyleBox[
        RowBox[{"-", "2"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["b",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}],
        FontColor->RGBColor[0, 0, 1]]}], "-", "\[Alpha]", "-", 
      RowBox[{"8", " ", 
       StyleBox["kb",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "=", 
   FractionBox[
    RowBox[{"\[Eta]", "-", 
     RowBox[{"8", "\[Theta]", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{3.861056106035079*^9},ExpressionUUID->
  "d749e434-f7f7-4221-81d4-24cad736240c"]
}], "Text",
 CellChangeTimes->{
  3.861056224153466*^9, {3.861056305626143*^9, 3.861056391345166*^9}, {
   3.861056442270257*^9, 3.861056446602331*^9}, {3.861056554346162*^9, 
   3.861056590604822*^9}, {3.8610566680161133`*^9, 3.861056676446127*^9}, {
   3.861056826040263*^9, 3.8610568339466887`*^9}, {3.861056931303484*^9, 
   3.861056940587831*^9}, {3.86105698620573*^9, 3.8610570000090027`*^9}, {
   3.861057064683057*^9, 3.861057070105824*^9}, {3.8610571576969843`*^9, 
   3.8610571715624447`*^9}, {3.861057221382699*^9, 3.861057246758726*^9}, {
   3.86105730484378*^9, 3.861057331875882*^9}, {3.8610582349186277`*^9, 
   3.861058237908719*^9}},ExpressionUUID->"b2fd4a2f-7dee-4417-8218-\
11580e5b4cb5"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.861354763135537*^9, 
  3.861354763497374*^9}},ExpressionUUID->"86801f2c-a9bd-4d09-bf56-\
715e2f51cd95"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.86135475370887*^9, 3.861354757423744*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"10767379-1cd5-4766-9f9c-1e47138931dd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
      "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
           "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"16", " ", "kb"}], "-", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
           "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}],
          "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861354758530883*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"bd0f93cd-8be9-4b1c-9fc1-a632b5afdf1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%9", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"3cfc1947-7244-45f7-b4d8-00f1e53d67fc"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"128", " ", "cs", " ", "kb"}], "-", 
    RowBox[{"128", " ", "csb", " ", "kb"}], "+", 
    RowBox[{
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["b", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"256", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "+", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861354767447896*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"959ea299-8ab1-4805-a46c-846eae0666b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.861354785549317*^9, 3.861354789529354*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"b265efd6-aae4-419e-be99-ebbb553a5e55"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
      "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
      "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861354790723647*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"f37e8123-fe7d-4bca-8b24-8388afc05d13"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%11", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"08795263-6444-4283-aa48-028ae25b1e5c"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
    RowBox[{
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["b", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "-", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cv", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"192", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"320", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          RowBox[{"8", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8613547940303087`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"cf439fb9-9b7f-4f6a-8532-773ba8e9aa71"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}], 
   "2"]}]], "Output",
 CellChangeTimes->{{3.861354951075582*^9, 3.8613549566121492`*^9}},
 CellLabel->"Out[16]=",ExpressionUUID->"ac0f8e80-cd0c-4e51-8b1a-8364650179c0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}],
     "2"]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"502314f7-34a4-422f-9101-13ceca22d6f6"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{3.861355010173764*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"30393d1a-7d8e-4f97-a169-11fd378799cc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"SW", ":=", 
  RowBox[{"Profits", "+", "Profitv", "+", "CS"}]}]], "Input",
 CellLabel->"In[21]:=",ExpressionUUID->"b143a65a-1aab-40d7-9bce-0a9921c7b34b"],

Cell[CellGroupData[{

Cell[BoxData["SW"], "Input",
 CellChangeTimes->{{3.861355059141673*^9, 3.861355060843017*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"c282eb88-4593-41f5-bf02-6df8d950ea90"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cv", "-", "cvb", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}],
     "2"]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
      "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
           "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"16", " ", "kb"}], "-", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
           "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
   "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}],
          "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355061846346*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"1bc6690d-32f9-421b-84fa-b36de2748988"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%22", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[23]:=",ExpressionUUID->"a535688b-c2d4-47e4-89ee-ca45292d7c76"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"3", "+", 
    RowBox[{"32", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cs", " ", "kb"}], "-", 
    RowBox[{"256", " ", "csb", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["b", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"6", " ", "\[Alpha]"}], "-", 
    RowBox[{"80", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"48", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cv", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"24", " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
    RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"448", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"192", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"48", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"96", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"48", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"18", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"9", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861355065526116*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"bc389569-6f92-411f-bac2-6db94e76b624"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8613550231587467`*^9, 
  3.861355049236875*^9}},ExpressionUUID->"c295f4ad-f5cf-4b84-9723-\
7e68c8b06eb1"],

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   StyleBox[
   "Derivation of the sensitivity analysis for Model NG. How ", "Chapter",
    StripOnInput->False],
   StyleBox["d,k,\[Theta] ", "Chapter",
    StripOnInput->False,
    FontColor->RGBColor[1, 0, 0]],
   StyleBox[" and  will affect these optimal decisions:", "Chapter",
    StripOnInput->False]
  }], "Text",
   CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
    3.861313192952869*^9, 3.861313222945232*^9}},ExpressionUUID->
   "01230cc9-50f6-4426-99f6-97e8a3e89589"],
  TextCell[
   Row[{
     Style[
     "Derivation of the sensitivity analysis for Model NG. How ", "Chapter"], 
     
     Style["d,k,\[Theta] ", "Chapter", FontColor -> RGBColor[1, 0, 0]], 
     Style[" and  will affect these optimal decisions:", "Chapter"]}], "Text",
    CellChangeTimes -> {{3.8612482456430283`*^9, 3.861248286696662*^9}, {
    3.861313192952869*^9, 3.861313222945232*^9}}]]], "Output",
 CellChangeTimes->{{3.861354951075582*^9, 3.8613549566182137`*^9}},
 CellLabel->"Out[17]=",ExpressionUUID->"2b24f72e-49f1-4a2e-9dec-7f36ce55326f"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"16", " ", "kb"}], "-", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"b", " ", "p"}], "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"b", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"128", " ", "cs", " ", "kb"}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "-", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "-", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], 
    "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"SW", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"32", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cs", " ", "kb"}], "-", 
     RowBox[{"256", " ", "csb", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]"}], "-", 
     RowBox[{"80", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"48", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"24", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"448", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"192", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"96", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"18", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"9", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.86135467339951*^9, 3.861354730785445*^9}, {
  3.861354802807075*^9, 3.8613548227017097`*^9}, {3.8613551331748543`*^9, 
  3.861355152101324*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"fcd0bcce-a5b1-491b-8734-a07770779830"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"d4ac5266-9360-4bdc-94e8-\
63da62fcee26"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861355487136073*^9, 3.861355503365728*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"36865790-2be2-483b-a593-5136f61dedf9"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861355504279214*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"a334d6d7-27a7-4bd0-878f-5d560ae0cdfb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[33]:=",ExpressionUUID->"636bff0c-d9b4-4d08-8d23-a3f6365b5056"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"1", "+", "b", "+", "d"}], 
   RowBox[{"8", " ", "kb"}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861356039390182*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"aad606bf-de63-41ec-9b2e-b814598ac81c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485121834106`*^9, 3.861248535667307*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"e8d42eeb-8727-4b59-a5d9-99197053dcd2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
   "\[Beta]"}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613555238742113`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"21984930-68d0-4cf2-a50b-fcc964d95a7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[35]:=",ExpressionUUID->"63306ba9-13f5-4990-b14e-6f17f3bcdfbf"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"8", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.861355526182228*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"d1e754aa-0eca-4a09-b8d1-f5ae2efdaa05"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248538260623*^9, 3.86124854625562*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"fa515dee-1843-4b60-befa-ef0b6991a5ad"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   FractionBox["1", "2"], "+", 
   FractionBox["b", "2"], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", 
   FractionBox["d", "2"], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
   FractionBox["\[Alpha]", "2"], "-", 
   FractionBox[
    RowBox[{"b", " ", "\[Alpha]"}], "2"], "-", 
   FractionBox[
    RowBox[{"d", " ", "\[Alpha]"}], "2"]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861355540007183*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"8fae8c56-ea99-4a42-94bb-c4462c44a8d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    FractionBox["1", "2"], "+", 
    FractionBox["b", "2"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", 
    FractionBox["d", "2"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
    FractionBox["\[Alpha]", "2"], "-", 
    FractionBox[
     RowBox[{"b", " ", "\[Alpha]"}], "2"], "-", 
    FractionBox[
     RowBox[{"d", " ", "\[Alpha]"}], "2"]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[37]:=",ExpressionUUID->"18b02d66-c536-4ba4-b9e3-ecdc73e1aea9"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "b", "+", "d"}], 
  RowBox[{"4", "-", 
   RowBox[{"4", " ", "\[Alpha]"}]}]]], "Output",
 CellChangeTimes->{3.861355543180388*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"29ae2e5e-4101-46e2-a201-a3521481c783"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248565914627*^9, 3.86124856972899*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"35f7871b-cb56-43c2-b6fc-2ae924678879"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.86135555854335*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"c67e7285-4c59-4e1d-b374-abcacef33d03"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248582790799*^9, 3.861248589982791*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"162ea125-050b-4112-be23-fa9243139a38"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861355567665118*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"460b490a-7307-483c-8a49-359ce7ad682c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%39", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[40]:=",ExpressionUUID->"5ee29e88-8ef9-4269-b8ae-00262d7f623b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355576800043*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"8191f1ff-9219-4d97-acee-e135d1a930e2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485977999077`*^9, 3.86124862532718*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"76f9204b-b496-4e0c-8e02-24ba19f308ba"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.86135558910231*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"0f596fbb-fcac-4d93-9cc3-7649db470d7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%41", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[42]:=",ExpressionUUID->"679f06b7-2752-49ca-a039-37fe62076831"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355591256983*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"cf416d9b-bf1b-4638-afcf-a0e5a959e4c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612486502431192`*^9, 3.861248653478381*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"34eec4d6-951e-480f-ae8c-513730cf92a9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]], "Output",
 CellChangeTimes->{3.861355606694087*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"700bf854-a1c7-417a-9d32-4676ad86ff11"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248637509153*^9, 3.8612486403131037`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"b3be08ac-ece4-4cba-a084-037c86afd90c"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"18", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"18", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"36", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861355615059842*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"cb03775d-29a9-4980-9e03-8dc3a4ba2227"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%44", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[45]:=",ExpressionUUID->"2d9c6b61-04c7-4af7-a75b-ac523513f7b2"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "-", 
     RowBox[{"16", " ", "kb"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"6", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"6", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"3", " ", "\[Alpha]"}], "+", 
     RowBox[{"24", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}], "+", 
     RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",\

 CellChangeTimes->{3.861355617255086*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"dab62930-88f5-486a-9366-2e1eb5dbfb8a"]
}, Open  ]],

Cell[TextData[StyleBox["kb", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249011919739*^9, 3.861249013901259*^9}, {
   3.8613556745513268`*^9, 
   3.8613556791992617`*^9}},ExpressionUUID->"ccc0f5bd-3182-4064-886f-\
7c9efd15dbb3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249028324807*^9, 3.861249033275959*^9}, 
   3.861355662277903*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"3b25e725-e688-46a8-9eff-3482f6494e89"],

Cell[BoxData[
 RowBox[{
  FractionBox["\[Alpha]", 
   RowBox[{"2", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.86135563250181*^9, 3.861355662931871*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"0c7fe123-2027-45a6-bacb-71294c7e408b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["\[Alpha]", 
    RowBox[{"2", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox["kb", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"d84108cd-485c-4e9e-9eba-f9dbbbdac1a4"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["kb", "2"]}]]}]], "Output",
 CellChangeTimes->{3.861355664739793*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"e25bc7b6-4371-4a1c-af19-ab0797fd7819"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249057645466*^9, 3.8612490686913433`*^9}, 
   3.8613556848469763`*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"a5a95690-c04c-4c68-b172-1312e649e785"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "16"}], "+", 
      RowBox[{"8", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"16", " ", "kb"}], "-", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861355685589377*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"375938f2-591f-42ba-87d5-88c557939a37"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "16"}], "+", 
       RowBox[{"8", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox["kb", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"16", " ", "kb"}], "-", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[50]:=",ExpressionUUID->"93b76d8d-2552-4611-a525-a46c9f27b27e"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox["b", "2"], "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"16", " ", 
   SuperscriptBox["kb", "2"]}]]], "Output",
 CellChangeTimes->{3.8613556873077297`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"ac826077-037f-4f9a-baf9-729672fa8225"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249083926429*^9, 3.861249084910692*^9}, {
   3.861249116522406*^9, 3.861249118236779*^9}, 3.861355701989264*^9},
 CellLabel->"In[51]:=",ExpressionUUID->"7957b8f2-b2e0-4bdd-bbd1-25fda1331409"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Alpha]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.861355703105155*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"7faae952-4ad9-4b17-831f-ca887abc5836"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249139095232*^9, 3.86124914379568*^9}, 
   3.861355712484576*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"74a55e8c-b2da-4adc-ba34-03fe0a78787b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861355713259906*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"3c5ebfbf-48b4-4af8-98e8-6f5af8e618d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249146429496*^9, 3.861249160423946*^9}, 
   3.8613557232282877`*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"9229001f-aaf2-4b25-a697-2d56d1cce99f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "128"}], " ", "cs"}], "-", 
     RowBox[{"128", " ", "csb"}], "-", 
     RowBox[{"16", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "cs", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "csb", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
     
     RowBox[{"32", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
     
     RowBox[{"32", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "csb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"128", " ", "cs", " ", "kb"}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613557238378468`*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"61bcc719-a499-4150-a6d9-5e45e331d6d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%53", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[54]:=",ExpressionUUID->"8148a72f-4ff2-46b1-bb02-c92435f1f973"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355726118887*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"228fd36a-c629-4e67-bb83-149e54e110cf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249240872067*^9, 3.861249247161824*^9}, {
   3.8613542357816467`*^9, 3.861354236513658*^9}, 3.861355738295782*^9},
 CellLabel->"In[55]:=",ExpressionUUID->"7ffa79f9-4233-4839-bd09-9ae9cb9c276f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "256"}], " ", "cv"}], "-", 
     RowBox[{"256", " ", "cvb"}], "+", 
     RowBox[{"16", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"32", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"32", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"384", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "-", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "-", 
           RowBox[{"8", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355738899746*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"faf1b65f-8ca3-4a7e-b7f0-07407c72b2fe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%55", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[56]:=",ExpressionUUID->"fdfbcbb6-ad9e-411c-8c6e-45062f92f221"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"192", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613557413406267`*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"7c267371-5de8-4c26-993f-850a2bae5a66"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"y1", ":=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
   RowBox[{"16", "\[Alpha]", " ", "kb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"16", "\[Alpha]", " ", "kb"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"192", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", "y1"}], "Input",
 CellChangeTimes->{{3.86183230218478*^9, 3.861832362196158*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"502df721-a551-4df8-857d-aa0fe26f7cf6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  RowBox[{
   SuperscriptBox["b", "4"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["b", "3"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
  RowBox[{"2", " ", "\[Alpha]"}], "-", 
  SuperscriptBox["\[Alpha]", "2"], "-", 
  RowBox[{"192", " ", 
   SuperscriptBox["kb", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"8", " ", "\[Theta]"}], "+", 
  RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
  RowBox[{"8", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{"32", " ", "\[Alpha]", " ", 
   SuperscriptBox["\[Theta]", "2"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", 
   SuperscriptBox["\[Theta]", "2"]}], "-", 
  RowBox[{"4", " ", "d", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"4", " ", "b", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"6", " ", "d"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
  RowBox[{"16", " ", "kb", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8618323650574512`*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"899dc8d1-d941-4fd5-ba64-98bbce02e055"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%2", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"9fb2c422-61f4-4c97-ab8e-e4b467c0c6a7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861832367652074*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"5ec71b49-f565-4913-b363-295876dbc3c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{
  3.8612495232221518`*^9, {3.861251176934113*^9, 3.861251199247745*^9}, 
   3.861355753133234*^9},
 CellLabel->"In[57]:=",ExpressionUUID->"e04045c6-9ef1-4e41-aaab-78e59b313a01"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8613557537680483`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"034a4146-f075-4c35-abd9-1fee709f9938"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251202780447*^9, 3.861251207030128*^9}, 
   3.8613557623609943`*^9},
 CellLabel->"In[58]:=",ExpressionUUID->"8205945c-97fa-4543-812a-8967adb242b0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"32", "-", 
     RowBox[{"256", " ", "cs"}], "-", 
     RowBox[{"256", " ", "csb"}], "-", 
     RowBox[{"256", " ", "cv"}], "-", 
     RowBox[{"256", " ", "cvb"}], "-", 
     RowBox[{"80", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cs", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "csb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "\[Alpha]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cs", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "csb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"32", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"32", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "-", 
     RowBox[{"256", " ", "\[Theta]"}], "+", 
     RowBox[{"448", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"32", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cs", " ", "kb"}], "-", 
     RowBox[{"256", " ", "csb", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]"}], "-", 
     RowBox[{"80", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"48", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"24", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"448", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"192", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"96", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"18", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"9", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"8", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613557629062223`*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"695e5983-6353-4926-a375-16f88b7cea49"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%58", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[59]:=",ExpressionUUID->"2bb8d5c3-51d7-40b7-b71a-5d57ae266472"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"24", " ", "\[Theta]"}], "-", 
     RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"96", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"12", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"12", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861355767583869*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"b5aee721-6953-41e0-9e68-5119e92b50df"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", Cell[TextData[StyleBox[
  "\[Theta]", "Chapter"]], "Text",
   CellChangeTimes->{
    3.861248485984922*^9, {3.861249019985586*^9, 3.861249022197942*^9}},
   ExpressionUUID->"09df329b-3060-469f-a48e-82b7c0abfc35"]}]], "Input",
 CellChangeTimes->{{3.861355776296237*^9, 
  3.861355776814032*^9}},ExpressionUUID->"1ac28e4b-02b5-4173-97c8-\
e766532e74cb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251420607563*^9, 3.861251424437109*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"cd39fc84-81ac-43e5-9c8f-908aade20032"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861355785635529*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"94d9c025-b709-48e9-9aaa-f9ffb06c30b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "4"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[61]:=",ExpressionUUID->"dd7d0926-3589-4976-97ca-aa662d8f0b63"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"4", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.861355787897264*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"a8e3d87e-1fff-46be-9b8d-20b605831169"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251434245288*^9, 3.861251440854623*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"60a617ad-0fd2-45ee-b932-1b6e7fcc1bfb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "-", 
     RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861355796803481*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"65ab2001-522e-42fc-af96-7fe894511a81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[63]:=",ExpressionUUID->"9cdf4a82-8ff4-4a83-9038-fc2ed732c27d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"4", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.8613557987668037`*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"7a691ed0-e0b1-4ea2-82b4-c5cec906df7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251449822323*^9, 3.861251461670189*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"eab168fa-ed6a-4f19-be63-b14e260998cc"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861355808777335*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"d08121c4-4221-46fc-8aa7-bae92fe801b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515165075274`*^9, 3.861251520397028*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"d3b2150e-1bcd-44b9-a5e8-ffaebc8f786f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8613558222039623`*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"e7002bfd-c86a-44ac-a829-bf97f10becf3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515253354683`*^9, 3.861251540210231*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"2157f59d-9837-4c19-a10d-636b40b2e48d"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"8", "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"64", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"32", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.8613558451291237`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"3be84402-78e3-4c93-afd8-e79b30e16504"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"8", "-", 
     RowBox[{"16", " ", "\[Alpha]"}], "+", 
     RowBox[{"64", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"32", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"32", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[67]:=",ExpressionUUID->"166caeb8-362b-4e2b-88e1-ab27dfe72b20"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861355847863192*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"16345504-7962-4f80-9711-0aca4a65b29f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613558844596786`*^9, 3.861355896949232*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"85fe5016-4489-4d0f-9c79-e664dbe0f715"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"8", "-", 
    RowBox[{"256", " ", "kb"}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"320", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"32", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.8613558980435*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"f780ab0f-4176-42bb-bfdb-c1250480d0db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"8", "-", 
     RowBox[{"256", " ", "kb"}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"16", " ", "\[Alpha]"}], "+", 
     RowBox[{"320", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"32", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"32", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[69]:=",ExpressionUUID->"77105c8c-ed0f-4b33-88f9-d2b32447b7db"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"32", " ", "kb"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8613559004660254`*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"2d47973c-6659-4f10-8330-c4c9ce6d2c09"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861355904022402*^9, 3.86135591695012*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"2532da99-d443-46a9-a6ec-5aa407199e86"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861355917949387*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"52cf63ec-cc7f-42b6-90e8-234c7165ecdd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861355919805997*^9, 3.861355926893667*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"30b70b5e-e5b2-4397-b498-649ff3c97627"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"24", "-", 
    RowBox[{"256", " ", "kb"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"48", " ", "d", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"48", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"48", " ", "\[Alpha]"}], "+", 
    RowBox[{"448", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"192", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"96", " ", "\[Theta]"}], "-", 
    RowBox[{"192", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.86135592792306*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"85759b29-c7ab-4052-8726-baabf84db000"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"24", "-", 
     RowBox[{"256", " ", "kb"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"48", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"48", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"48", " ", "\[Alpha]"}], "+", 
     RowBox[{"448", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"96", " ", "\[Theta]"}], "-", 
     RowBox[{"192", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"96", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[72]:=",ExpressionUUID->"a9635d32-84ff-4cc9-a58b-ffc8ee0c2245"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    RowBox[{"32", " ", "kb"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"6", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"6", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"3", " ", "\[Alpha]"}], "-", 
    RowBox[{"24", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861355930978174*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"1a2f9063-ab2a-448f-b016-e51ead5070bc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   StyleBox[".2", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["When", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["contract", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["launch", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["is", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["acceptal", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["for", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["VM", "Chapter",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[":", "Chapter",
     FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]"}]}]}]], "Input",
 CellChangeTimes->{{3.861681707830474*^9, 3.861681708192264*^9}, {
  3.8616818081290207`*^9, 
  3.861681834804942*^9}},ExpressionUUID->"97a82ba9-0a05-49bb-bb6e-\
573d0620c955"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "+", "b", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
   3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
   3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
   3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
   3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
   3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
   3.861053681512178*^9}, {3.861055518307404*^9, 3.861055554326591*^9}, 
   3.8610557742472477`*^9, {3.861055919099469*^9, 3.8610559217328777`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"b2ec7bfc-6dc1-46ac-9d6a-e316302aa1ad"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]}], "Input",
 CellChangeTimes->{{3.8610556977124453`*^9, 3.861055736241734*^9}, {
  3.861055800959203*^9, 3.861055802354056*^9}, {3.861736480542513*^9, 
  3.861736481177373*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"5d90646b-150f-44a0-a219-b12c3fc5682c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitv", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616818904846277`*^9, 3.861681906956009*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"b3578550-328b-44c4-b8fd-7204f3a6fd42"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "kb"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "+", "cvb", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["kb"]]}], 
      RowBox[{
       FractionBox["1", "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "kb"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "kb"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "+", "cvb", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["kb"]]}], 
      RowBox[{
       FractionBox["1", "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "kb"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.861736492272715*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"bd05b796-3829-45ad-b7ef-2a994f2443e6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
    FractionBox["\[Theta]", "kb"], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"cv", "+", "cvb", "-", 
        RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     SqrtBox["kb"]]}], 
   RowBox[{
    FractionBox["1", "kb"], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], "kb"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.861682275473695*^9, 3.86168232427803*^9}, {
  3.861736508785391*^9, 3.861736509875758*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"aacdd317-5e4a-461d-b252-c61cb2d43d27"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8617365111002493`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"13e80679-c5e0-431f-b251-da6129d5fc8a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Input",
 CellChangeTimes->{{3.861736843149665*^9, 3.8617368488277807`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"ce1be964-e901-4f61-930d-85a9c86142e7"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8617368572172337`*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"461d5fe9-9a38-486d-a111-d00e2348c33f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
    RowBox[{
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox["kb"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8617368576557713`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"f6d2e3fc-f2e3-4fbc-acb5-7ac4cb9d03e9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox["kb"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
    ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"5236f94f-c7cf-4a80-80a7-154701942461"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
  RowBox[{
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8617368608905573`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"e996849b-b59a-4143-8c5f-9cc526e0ac6b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.861736948480525*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"5dcaa0cc-5b77-4e8a-9db0-ba37d512be13"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "kb"}], "-", "\[Theta]", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617369491174383`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"a708ae7f-efbb-4050-993e-5719d0263817"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "\[Theta]", "-", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
     ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"1ac60d9a-30ad-40c0-b3b9-7ff3341cd676"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SqrtBox["kb"]}], "+", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861736951060532*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"fe949ff0-6b08-4af6-ab20-bfc10bbff3bb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.861737043302474*^9, 3.861737052257009*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"d4c7577b-d9be-4019-887e-a17b6e14dda8"],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.861737054016695*^9, 3.861737059033628*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"b252de20-c628-4913-a573-b972ae30673d"],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d", "+", "b"}], "2"]}]], "Input",
 CellChangeTimes->{{3.8617370620975847`*^9, 3.861737079966044*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"be59198a-7ae9-4d33-ac01-c4399e7bb068"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861737081670052*^9, 3.86173708547757*^9}, {
  3.861737120580894*^9, 3.86173712199349*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"fbb310dd-50ba-4c71-9c9e-87540f52d3a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["kb"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617371228039017`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"3d3d6344-bf2d-438c-9be7-5b469384bc33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%17", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"17f26d6a-ce2b-44f1-a72c-246a173c0259"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861737128726554*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"80dd1941-c327-4f4d-8a85-e05ae186c74e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["kb"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["kb"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}], 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.861737137739292*^9, 3.861737145861573*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"2734a024-b714-4b46-86d8-9666e6b3ec26"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861737147905596*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"56b77ff4-37a3-4324-aa14-b76ba0ee2960"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"85f9cb54-dd8a-4144-919e-\
db6775cb1996"],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
    "2"]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d", "+", "b"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "+", 
   RowBox[{
    FractionBox["1", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SqrtBox["kb"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d", "+", "b"}], ")"}], 
    "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SW", ":=", 
   RowBox[{
    RowBox[{"-", "cs"}], "-", "csb", "+", 
    RowBox[{
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", 
         SqrtBox["kb"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"4", " ", 
       SqrtBox["kb"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "8"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"]}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861744572596211*^9, 3.861744604364624*^9}, {
  3.861744644572977*^9, 
  3.86174480705926*^9}},ExpressionUUID->"18c181ff-b183-4f13-8289-\
5fb47c9b6d4c"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"311e9972-2f49-44b9-94ae-\
c40d0dafa928"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861695456134532*^9, 3.86169545959162*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"0697031f-f113-4183-82c0-7ddaa585a57a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8617448225779676`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"2965273d-b8d7-49e7-8b77-5abc48ee38a1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861744845472147*^9, 3.8617448519936113`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"e9fa7a8a-e1e3-4c03-a0bb-5a747b95c166"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.86174485336444*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"f98429ca-11f6-43e6-ae20-f205dd47e670"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861744874602292*^9, 3.8617448785115757`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"432acba8-bf4c-4def-a093-1c8cf72020be"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861744879044697*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"003ec3c0-2c6a-4630-8a58-3a7e408d4426"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SqrtBox["kb"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[20]:=",ExpressionUUID->"e5963afa-9815-45cd-80c0-3282bd513d1f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{"2", " ", 
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861744881179736*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"1f37698f-a36a-4c34-b103-5a2ab171af51"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861745005182477*^9, 3.8617450080844393`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"f2bd0b5e-f9da-45ae-a7e0-f7c96c0e05e9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]], "Output",
 CellChangeTimes->{3.861745008606542*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"ce9ad13f-1292-4869-b390-30aa9265823c"]
}, Open  ]],

Cell[TextData[StyleBox["kb", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861616017426148*^9, 3.861616018912632*^9}, 
   3.861745095869121*^9},ExpressionUUID->"5ec6b820-c00b-4822-a1e2-\
1ec9ef337486"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617450617683153`*^9, 3.86174506488369*^9}, 
   3.861745097815997*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"c03905fb-c07c-4434-b7fc-e4d498dc5694"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SqrtBox["kb"]}]], "-", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861745065636195*^9, 3.8617450990098753`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"39a67659-08b4-45ab-b1a8-3fb142603ea1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     FractionBox["\[Alpha]", 
      RowBox[{"2", " ", 
       SqrtBox["kb"]}]], "-", 
     FractionBox[
      SuperscriptBox["\[Alpha]", "2"], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"fc36dd34-229a-4232-9845-43d00e0c0bf0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cv", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"cvb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
  RowBox[{"2", " ", 
   SuperscriptBox["kb", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861745100591271*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"c5ca76ab-ce1d-4a8f-ad9f-4a6d3954acf4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861745214908535*^9, 3.861745218202643*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"1eb6d4e0-109e-4936-853b-9d06c4222a60"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["kb"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861745218715928*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"3349dd95-10ad-4214-ada5-cf1fdd15497f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"2", " ", 
          SqrtBox["kb"]}]]}], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[26]:=",ExpressionUUID->"724fd5c9-e567-4b89-9027-5c613fcc9da0"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cv", "+", "cvb", "-", 
     RowBox[{"cv", " ", "\[Alpha]"}], "-", 
     RowBox[{"cvb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox["kb", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861745220857687*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"5c345bc1-d331-4034-a536-bcc5d8916e39"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861745320524662*^9, 3.861745323442819*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"de5531a0-841e-4786-930d-7d2d031ba06c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     SqrtBox["kb"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
   FractionBox[
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
    SqrtBox["kb"]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861745323801879*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"47870d90-643d-4965-8303-092a9beba5f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{
      SqrtBox["kb"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
    FractionBox[
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
     SqrtBox["kb"]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"61bfd334-2733-4d2a-bf37-3cbd67ca89b3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     SqrtBox["kb"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
   FractionBox[
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
    SqrtBox["kb"]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861745325993544*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"55bb34b0-46be-4da2-9a15-e0166aba5fdb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616977887216*^9, 3.861697795991705*^9}, {
  3.861745460374744*^9, 3.861745461066736*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"0624b405-8b89-410f-b5ea-721564e6cfec"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "\[Alpha]"}], "-", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "-", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["kb"]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["kb"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       SqrtBox["kb"]]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["\[Alpha]", 
        RowBox[{"2", " ", 
         SqrtBox["kb"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}]], "Output",\

 CellChangeTimes->{3.8617454614002047`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"43978bda-7516-4345-a8d2-9667ac6cd75f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%29", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[30]:=",ExpressionUUID->"eabbe7de-395f-4c20-a3b4-2264234f8cb0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "-", "\[Theta]", "-", 
    RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "d", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", "d", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"cvb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861745463479477*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"2701462e-2ab3-481a-ba3e-bb59a6a0d081"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 
   3.861616023208786*^9}},ExpressionUUID->"d4b7714d-d0ec-47ce-bc25-\
5bede3164055"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617466050977983`*^9, 3.86174660879852*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"e044887e-29bf-4811-b9a8-012ef1f98ce8"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "-", "\[Alpha]"}], 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.861746609619177*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"84962d6b-45da-49cc-b64b-9d3f1dfc1ff9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "-", "\[Alpha]"}], 
    RowBox[{"2", " ", 
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[32]:=",ExpressionUUID->"3dbac673-5c87-4ae5-8bf3-c89bb76bf26b"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   SqrtBox["kb"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.8617466255871267`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"2f8af0b2-ed9f-4e85-a3e9-00a46136e3ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861746667394491*^9, 3.8617466703271627`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"35f7c0a1-4374-4651-9308-5092cb7eb58f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
  RowBox[{"2", " ", 
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861746670962805*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"883b033c-88ff-4eeb-99c1-d3237860b9ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[34]:=",ExpressionUUID->"117c3fd2-1081-4be8-b5de-d499a5ff4afd"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.861746673520009*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"92155e93-f98a-46a4-bd9f-756358faccfb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.86174668943569*^9, 3.861746693662462*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"8db3824f-29c7-4fe8-8227-ed98ebb66586"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861746694423976*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"61ad718f-84a7-4541-99b7-64950b2dd78b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
    FractionBox[
     RowBox[{
      SqrtBox["kb"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[36]:=",ExpressionUUID->"b8fe003c-90d9-46d7-90f8-54d2993afd94"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8617466966472816`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"7e276a5b-5cb6-49a0-8b50-783ce7265aa4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861746932277059*^9, 3.8617469388680887`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"1843a9f8-3613-4f05-a879-7358518eb2da"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]", "-", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"8", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617469398759604`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"117de74f-6382-429f-a6b0-3154beec8b02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%37", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[38]:=",ExpressionUUID->"52836904-ec69-43d5-8145-84c3dfba8508"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"8", " ", "cvb"}], "-", 
    RowBox[{"2", " ", "d"}], "-", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"8", " ", "cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]",
     "+", 
    RowBox[{"16", " ", "cvb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "cvb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861746942919076*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"789e09bf-5c6e-43d2-8094-8940b0bf1317"]
}, Open  ]]
},
WindowSize->{606, 730},
WindowMargins->{{53, Automatic}, {Automatic, 24}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"9d8602b4-0b32-4bb0-be6a-cb8b42a6ecd1"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2134, 60, 94, "Input",ExpressionUUID->"22622599-c667-43d6-aa15-f482797f3c8c"],
Cell[CellGroupData[{
Cell[2717, 84, 276, 5, 44, "Input",ExpressionUUID->"4f77d919-d1fa-4195-a1cd-8b20e64ed93e"],
Cell[2996, 91, 321, 8, 34, "Output",ExpressionUUID->"65a49743-94a7-4f7d-9fb4-24d51c415c98"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3354, 104, 256, 5, 44, "Input",ExpressionUUID->"50bfafe3-1c8a-4bf2-a0c4-bf869f977761"],
Cell[3613, 111, 423, 10, 52, "Output",ExpressionUUID->"68cdfb02-8974-4150-bb1f-e6557d78e4cf"]
}, Open  ]],
Cell[4051, 124, 364, 8, 49, "Input",ExpressionUUID->"f13d121a-a5af-4e5d-ab7b-5262f346b76d"],
Cell[CellGroupData[{
Cell[4440, 136, 179, 2, 30, "Input",ExpressionUUID->"2c476e2b-46c0-4de5-aaa5-f1cbd9a777d6"],
Cell[4622, 140, 626, 18, 52, "Output",ExpressionUUID->"f004acfe-a386-40cd-ab03-80b7409d71f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5285, 163, 606, 18, 62, "Input",ExpressionUUID->"0884bae7-2907-4ccf-a0ae-4c7cbb750cb2"],
Cell[5894, 183, 588, 17, 52, "Output",ExpressionUUID->"eba12880-9dd0-48a3-81d7-faf1358c3b61"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6519, 205, 254, 5, 44, "Input",ExpressionUUID->"1116407f-ee87-4be1-a41c-7c60cd82fb27"],
Cell[6776, 212, 511, 12, 52, "Output",ExpressionUUID->"7e763498-5076-4d27-87dd-2800d69cf5e2"]
}, Open  ]],
Cell[7302, 227, 462, 11, 49, "Input",ExpressionUUID->"5148b263-f211-457c-90a7-a4a9f8e772e5"],
Cell[CellGroupData[{
Cell[7789, 242, 180, 2, 30, "Input",ExpressionUUID->"1f33de4e-3b07-4141-925f-1126b11f3336"],
Cell[7972, 246, 1341, 40, 92, "Output",ExpressionUUID->"fd7b9306-7d09-44ef-9f00-a09180d397ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9350, 291, 1351, 41, 105, "Input",ExpressionUUID->"8e5c315f-f266-4cec-a66a-c97fc1618a23"],
Cell[10704, 334, 687, 20, 52, "Output",ExpressionUUID->"6d52c2d1-bc5a-46eb-8700-3115eea6a5a7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11428, 359, 226, 4, 44, "Input",ExpressionUUID->"69138082-5f1e-4aae-8d0e-3574dab93b58"],
Cell[11657, 365, 888, 27, 52, "Output",ExpressionUUID->"af48c0f3-d070-429b-9e66-59b9ecca51ba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12582, 397, 259, 5, 44, "Input",ExpressionUUID->"7d1cc985-35c0-4a66-9008-4d61666adc19"],
Cell[12844, 404, 920, 24, 57, "Output",ExpressionUUID->"192bfb2f-77bd-4b5d-8a56-d362286d4c53"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13801, 433, 793, 22, 62, "Input",ExpressionUUID->"ceb7ea2e-0b05-450c-a1e0-f8a2728f1b3b"],
Cell[14597, 457, 410, 11, 52, "Output",ExpressionUUID->"e56d65e8-7660-4105-8927-343ce9cbe559"]
}, Open  ]],
Cell[15022, 471, 259, 5, 44, "Input",ExpressionUUID->"7882acac-75a3-49c6-b071-506ddfcb652d"],
Cell[CellGroupData[{
Cell[15306, 480, 521, 15, 86, "Input",ExpressionUUID->"652c90e8-39fd-485c-9e5a-85b778036ad4"],
Cell[15830, 497, 336, 9, 50, "Output",ExpressionUUID->"602b47df-132e-465f-bc4e-5c01c542ed41"]
}, Open  ]],
Cell[16181, 509, 805, 20, 54, "Input",ExpressionUUID->"415ea9f5-9eb0-480d-8c88-755564d619cd"],
Cell[CellGroupData[{
Cell[17011, 533, 150, 2, 30, "Input",ExpressionUUID->"a393655d-1721-4599-945e-32dedb5ed001"],
Cell[17164, 537, 1608, 47, 131, "Output",ExpressionUUID->"c61b3fff-1fc3-4505-97e7-8c530d3e6ae3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18809, 589, 1671, 49, 211, "Input",ExpressionUUID->"6f9e11ba-cff0-4ba9-bb99-6b49e93e819f"],
Cell[20483, 640, 1213, 37, 79, "Output",ExpressionUUID->"a7854474-d40a-4812-bccf-14286ffe931a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21733, 682, 147, 2, 30, "Input",ExpressionUUID->"a87f4dc9-0e9c-4c99-abf7-ddee58574d71"],
Cell[21883, 686, 3555, 101, 257, "Output",ExpressionUUID->"71edc607-3fb5-4065-a414-2d05eebe8a2d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25475, 792, 163, 3, 44, "Input",ExpressionUUID->"44754003-ce44-4a6c-8527-0396d282ac7a"],
Cell[25641, 797, 1142, 34, 77, "Output",ExpressionUUID->"15a48fcd-d460-46b6-8750-4755869c30a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26820, 836, 150, 2, 30, "Input",ExpressionUUID->"9b2ca569-a8f5-4cc6-b9bb-8b42e90492c9"],
Cell[26973, 840, 3717, 103, 256, "Output",ExpressionUUID->"b281d954-1f6d-4d2c-ab52-1fa36e3c2ef8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30727, 948, 163, 3, 44, "Input",ExpressionUUID->"f6d4f3c7-2e7a-4d4b-9d33-8b47f4d49684"],
Cell[30893, 953, 1218, 36, 77, "Output",ExpressionUUID->"ed39829c-34d0-49d8-8358-f58e01bfa02e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32148, 994, 1422, 40, 145, "Input",ExpressionUUID->"eb83b968-87d7-4f6d-92e6-a62f08981d83"],
Cell[33573, 1036, 845, 22, 55, "Output",ExpressionUUID->"121cb83d-89df-40dd-890c-7471081ae143"]
}, Open  ]],
Cell[34433, 1061, 1364, 39, 145, "Input",ExpressionUUID->"488bb8cc-7969-4b03-bf18-3c55542ee27b"],
Cell[35800, 1102, 850, 23, 76, "Input",ExpressionUUID->"4e7aeac6-447a-4a8e-96ca-1c5ddd12ed77"],
Cell[36653, 1127, 9746, 300, 327, "Text",ExpressionUUID->"b2fd4a2f-7dee-4417-8218-11580e5b4cb5"],
Cell[46402, 1429, 206, 4, 73, "Input",ExpressionUUID->"86801f2c-a9bd-4d09-bf56-715e2f51cd95"],
Cell[CellGroupData[{
Cell[46633, 1437, 176, 2, 30, "Input",ExpressionUUID->"10767379-1cd5-4766-9f9c-1e47138931dd"],
Cell[46812, 1441, 11130, 323, 714, "Output",ExpressionUUID->"bd0f93cd-8be9-4b1c-9fc1-a632b5afdf1f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57979, 1769, 162, 3, 44, "Input",ExpressionUUID->"3cfc1947-7244-45f7-b4d8-00f1e53d67fc"],
Cell[58144, 1774, 4901, 137, 209, "Output",ExpressionUUID->"959ea299-8ab1-4805-a46c-846eae0666b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63082, 1916, 178, 2, 30, "Input",ExpressionUUID->"b265efd6-aae4-419e-be99-ebbb553a5e55"],
Cell[63263, 1920, 6671, 197, 418, "Output",ExpressionUUID->"f37e8123-fe7d-4bca-8b24-8388afc05d13"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69971, 2122, 163, 3, 44, "Input",ExpressionUUID->"08795263-6444-4283-aa48-028ae25b1e5c"],
Cell[70137, 2127, 5015, 141, 230, "Output",ExpressionUUID->"cf439fb9-9b7f-4f6a-8532-773ba8e9aa71"],
Cell[75155, 2270, 455, 13, 49, "Output",ExpressionUUID->"ac0f8e80-cd0c-4e51-8b1a-8364650179c0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75647, 2288, 452, 14, 60, "Input",ExpressionUUID->"502314f7-34a4-422f-9101-13ceca22d6f6"],
Cell[76102, 2304, 275, 7, 51, "Output",ExpressionUUID->"30393d1a-7d8e-4f97-a169-11fd378799cc"]
}, Open  ]],
Cell[76392, 2314, 176, 3, 30, "Input",ExpressionUUID->"b143a65a-1aab-40d7-9bce-0a9921c7b34b"],
Cell[CellGroupData[{
Cell[76593, 2321, 173, 2, 30, "Input",ExpressionUUID->"c282eb88-4593-41f5-bf02-6df8d950ea90"],
Cell[76769, 2325, 14752, 433, 919, "Output",ExpressionUUID->"1bc6690d-32f9-421b-84fa-b36de2748988"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91558, 2763, 163, 3, 44, "Input",ExpressionUUID->"a535688b-c2d4-47e4-89ee-ca45292d7c76"],
Cell[91724, 2768, 6153, 173, 251, "Output",ExpressionUUID->"bc389569-6f92-411f-bac2-6db94e76b624"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97914, 2946, 154, 3, 30, "Input",ExpressionUUID->"c295f4ad-f5cf-4b84-9723-7e68c8b06eb1"],
Cell[98071, 2951, 1105, 24, 159, "Output",ExpressionUUID->"2b24f72e-49f1-4a2e-9dec-7f36ce55326f"]
}, Open  ]],
Cell[99191, 2978, 19712, 553, 1284, "Input",ExpressionUUID->"fcd0bcce-a5b1-491b-8734-a07770779830"],
Cell[118906, 3533, 150, 3, 59, "Text",ExpressionUUID->"d4ac5266-9360-4bdc-94e8-63da62fcee26"],
Cell[CellGroupData[{
Cell[119081, 3540, 222, 4, 44, "Input",ExpressionUUID->"36865790-2be2-483b-a593-5136f61dedf9"],
Cell[119306, 3546, 646, 20, 53, "Output",ExpressionUUID->"a334d6d7-27a7-4bd0-878f-5d560ae0cdfb"]
}, Open  ]],
Cell[119967, 3569, 676, 21, 63, "Input",ExpressionUUID->"636bff0c-d9b4-4d08-8d23-a3f6365b5056"],
Cell[120646, 3592, 272, 7, 49, "Input",ExpressionUUID->"aad606bf-de63-41ec-9b2e-b814598ac81c"],
Cell[CellGroupData[{
Cell[120943, 3603, 224, 4, 44, "Input",ExpressionUUID->"e8d42eeb-8727-4b59-a5d9-99197053dcd2"],
Cell[121170, 3609, 753, 24, 53, "Output",ExpressionUUID->"21984930-68d0-4cf2-a50b-fcc964d95a7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121960, 3638, 785, 25, 63, "Input",ExpressionUUID->"63306ba9-13f5-4990-b14e-6f17f3bcdfbf"],
Cell[122748, 3665, 303, 8, 52, "Output",ExpressionUUID->"d1e754aa-0eca-4a09-b8d1-f5ae2efdaa05"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123088, 3678, 221, 4, 44, "Input",ExpressionUUID->"fa515dee-1843-4b60-befa-ef0b6991a5ad"],
Cell[123312, 3684, 821, 26, 62, "Output",ExpressionUUID->"8fae8c56-ea99-4a42-94bb-c4462c44a8d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124170, 3715, 859, 28, 72, "Input",ExpressionUUID->"18b02d66-c536-4ba4-b9e3-ecdc73e1aea9"],
Cell[125032, 3745, 256, 6, 52, "Output",ExpressionUUID->"29ae2e5e-4101-46e2-a201-a3521481c783"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125325, 3756, 221, 4, 44, "Input",ExpressionUUID->"35f7871b-cb56-43c2-b6fc-2ae924678879"],
Cell[125549, 3762, 168, 3, 50, "Output",ExpressionUUID->"c67e7285-4c59-4e1d-b374-abcacef33d03"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125754, 3770, 228, 4, 44, "Input",ExpressionUUID->"162ea125-050b-4112-be23-fa9243139a38"],
Cell[125985, 3776, 3391, 104, 165, "Output",ExpressionUUID->"460b490a-7307-483c-8a49-359ce7ad682c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129413, 3885, 163, 3, 44, "Input",ExpressionUUID->"5ee29e88-8ef9-4269-b8ae-00262d7f623b"],
Cell[129579, 3890, 1254, 38, 77, "Output",ExpressionUUID->"8191f1ff-9219-4d97-acee-e135d1a930e2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130870, 3933, 229, 4, 44, "Input",ExpressionUUID->"76f9204b-b496-4e0c-8e02-24ba19f308ba"],
Cell[131102, 3939, 3445, 107, 163, "Output",ExpressionUUID->"0f596fbb-fcac-4d93-9cc3-7649db470d7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134584, 4051, 163, 3, 44, "Input",ExpressionUUID->"679f06b7-2752-49ca-a039-37fe62076831"],
Cell[134750, 4056, 1254, 38, 77, "Output",ExpressionUUID->"cf416d9b-bf1b-4638-afcf-a0e5a959e4c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[136041, 4099, 225, 4, 44, "Input",ExpressionUUID->"34eec4d6-951e-480f-ae8c-513730cf92a9"],
Cell[136269, 4105, 249, 6, 50, "Output",ExpressionUUID->"700bf854-a1c7-417a-9d32-4676ad86ff11"]
}, Open  ]],
Cell[CellGroupData[{
Cell[136555, 4116, 225, 4, 44, "Input",ExpressionUUID->"b3be08ac-ece4-4cba-a084-037c86afd90c"],
Cell[136783, 4122, 3936, 124, 165, "Output",ExpressionUUID->"cb03775d-29a9-4980-9e03-8dc3a4ba2227"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140756, 4251, 163, 3, 44, "Input",ExpressionUUID->"2d9c6b61-04c7-4af7-a75b-ac523513f7b2"],
Cell[140922, 4256, 1337, 40, 100, "Output",ExpressionUUID->"dab62930-88f5-486a-9366-2e1eb5dbfb8a"]
}, Open  ]],
Cell[142274, 4299, 255, 5, 59, "Text",ExpressionUUID->"ccc0f5bd-3182-4064-886f-7c9efd15dbb3"],
Cell[CellGroupData[{
Cell[142554, 4308, 249, 5, 44, "Input",ExpressionUUID->"3b25e725-e688-46a8-9eff-3482f6494e89"],
Cell[142806, 4315, 1391, 42, 116, "Output",ExpressionUUID->"0c7fe123-2027-45a6-bacb-71294c7e408b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144234, 4362, 1418, 43, 185, "Input",ExpressionUUID->"d84108cd-485c-4e9e-9eba-f9dbbbdac1a4"],
Cell[145655, 4407, 500, 14, 55, "Output",ExpressionUUID->"e25bc7b6-4371-4a1c-af19-ab0797fd7819"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146192, 4426, 253, 5, 44, "Input",ExpressionUUID->"a5a95690-c04c-4c68-b172-1312e649e785"],
Cell[146448, 4433, 1575, 48, 120, "Output",ExpressionUUID->"375938f2-591f-42ba-87d5-88c557939a37"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148060, 4486, 1637, 50, 189, "Input",ExpressionUUID->"93b76d8d-2552-4611-a525-a46c9f27b27e"],
Cell[149700, 4538, 543, 15, 57, "Output",ExpressionUUID->"ac826077-037f-4f9a-baf9-729672fa8225"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150280, 4558, 295, 5, 44, "Input",ExpressionUUID->"7957b8f2-b2e0-4bdd-bbd1-25fda1331409"],
Cell[150578, 4565, 299, 8, 51, "Output",ExpressionUUID->"7faae952-4ad9-4b17-831f-ca887abc5836"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150914, 4578, 248, 5, 44, "Input",ExpressionUUID->"74a55e8c-b2da-4adc-ba34-03fe0a78787b"],
Cell[151165, 4585, 149, 2, 34, "Output",ExpressionUUID->"3c5ebfbf-48b4-4af8-98e8-6f5af8e618d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[151351, 4592, 257, 5, 44, "Input",ExpressionUUID->"9229001f-aaf2-4b25-a697-2d56d1cce99f"],
Cell[151611, 4599, 6785, 189, 338, "Output",ExpressionUUID->"61bcc719-a499-4150-a6d9-5e45e331d6d6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158433, 4793, 163, 3, 44, "Input",ExpressionUUID->"8148a72f-4ff2-46b1-bb02-c92435f1f973"],
Cell[158599, 4798, 3265, 96, 144, "Output",ExpressionUUID->"228fd36a-c629-4e67-bb83-149e54e110cf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161901, 4899, 303, 5, 44, "Input",ExpressionUUID->"7ffa79f9-4233-4839-bd09-9ae9cb9c276f"],
Cell[162207, 4906, 6945, 194, 338, "Output",ExpressionUUID->"faf1b65f-8ca3-4a7e-b7f0-07407c72b2fe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169189, 5105, 163, 3, 44, "Input",ExpressionUUID->"fdfbcbb6-ad9e-411c-8c6e-45062f92f221"],
Cell[169355, 5110, 3268, 96, 144, "Output",ExpressionUUID->"7c267371-5de8-4c26-993f-850a2bae5a66"]
}, Open  ]],
Cell[CellGroupData[{
Cell[172660, 5211, 4044, 115, 189, "Input",ExpressionUUID->"502df721-a551-4df8-857d-aa0fe26f7cf6"],
Cell[176707, 5328, 3628, 111, 170, "Output",ExpressionUUID->"899dc8d1-d941-4fd5-ba64-98bbce02e055"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180372, 5444, 161, 3, 44, "Input",ExpressionUUID->"9fb2c422-61f4-4c97-ab8e-e4b467c0c6a7"],
Cell[180536, 5449, 148, 2, 34, "Output",ExpressionUUID->"5ec71b49-f565-4913-b363-295876dbc3c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180721, 5456, 277, 6, 44, "Input",ExpressionUUID->"e04045c6-9ef1-4e41-aaab-78e59b313a01"],
Cell[181001, 5464, 151, 2, 34, "Output",ExpressionUUID->"034a4146-f075-4c35-abd9-1fee709f9938"]
}, Open  ]],
Cell[CellGroupData[{
Cell[181189, 5471, 252, 5, 44, "Input",ExpressionUUID->"8205945c-97fa-4543-812a-8967adb242b0"],
Cell[181444, 5478, 8878, 245, 447, "Output",ExpressionUUID->"695e5983-6353-4926-a375-16f88b7cea49"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190359, 5728, 163, 3, 44, "Input",ExpressionUUID->"2bb8d5c3-51d7-40b7-b71a-5d57ae266472"],
Cell[190525, 5733, 3318, 97, 144, "Output",ExpressionUUID->"b5aee721-6953-41e0-9e68-5119e92b50df"]
}, Open  ]],
Cell[193858, 5833, 397, 8, 84, "Input",ExpressionUUID->"1ac28e4b-02b5-4173-97c8-e766532e74cb"],
Cell[CellGroupData[{
Cell[194280, 5845, 229, 4, 44, "Input",ExpressionUUID->"cd39fc84-81ac-43e5-9c8f-908aade20032"],
Cell[194512, 5851, 354, 10, 52, "Output",ExpressionUUID->"94d9c025-b709-48e9-9aaa-f9ffb06c30b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[194903, 5866, 374, 11, 62, "Input",ExpressionUUID->"dd7d0926-3589-4976-97ca-aa662d8f0b63"],
Cell[195280, 5879, 193, 4, 51, "Output",ExpressionUUID->"a8e3d87e-1fff-46be-9b8d-20b605831169"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195510, 5888, 229, 4, 44, "Input",ExpressionUUID->"60a617ad-0fd2-45ee-b932-1b6e7fcc1bfb"],
Cell[195742, 5894, 392, 11, 52, "Output",ExpressionUUID->"65ab2001-522e-42fc-af96-7fe894511a81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[196171, 5910, 413, 12, 62, "Input",ExpressionUUID->"9cdf4a82-8ff4-4a83-9038-fc2ed732c27d"],
Cell[196587, 5924, 220, 5, 51, "Output",ExpressionUUID->"7a691ed0-e0b1-4ea2-82b4-c5cec906df7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[196844, 5934, 229, 4, 44, "Input",ExpressionUUID->"eab168fa-ed6a-4f19-be63-b14e260998cc"],
Cell[197076, 5940, 269, 7, 52, "Output",ExpressionUUID->"d08121c4-4221-46fc-8aa7-bae92fe801b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197382, 5952, 231, 4, 44, "Input",ExpressionUUID->"d3b2150e-1bcd-44b9-a5e8-ffaebc8f786f"],
Cell[197616, 5958, 151, 2, 34, "Output",ExpressionUUID->"e7002bfd-c86a-44ac-a829-bf97f10becf3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197804, 5965, 237, 4, 44, "Input",ExpressionUUID->"2157f59d-9837-4c19-a10d-636b40b2e48d"],
Cell[198044, 5971, 1924, 58, 123, "Output",ExpressionUUID->"3be84402-78e3-4c93-afd8-e79b30e16504"]
}, Open  ]],
Cell[CellGroupData[{
Cell[200005, 6034, 1990, 59, 169, "Input",ExpressionUUID->"166caeb8-362b-4e2b-88e1-ab27dfe72b20"],
Cell[201998, 6095, 1140, 34, 77, "Output",ExpressionUUID->"16345504-7962-4f80-9711-0aca4a65b29f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[203175, 6134, 237, 4, 44, "Input",ExpressionUUID->"85fe5016-4489-4d0f-9c79-e664dbe0f715"],
Cell[203415, 6140, 1913, 57, 123, "Output",ExpressionUUID->"f780ab0f-4176-42bb-bfdb-c1250480d0db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205365, 6202, 1982, 58, 169, "Input",ExpressionUUID->"77105c8c-ed0f-4b33-88f9-d2b32447b7db"],
Cell[207350, 6262, 1179, 35, 77, "Output",ExpressionUUID->"2d47973c-6659-4f10-8330-c4c9ce6d2c09"]
}, Open  ]],
Cell[CellGroupData[{
Cell[208566, 6302, 229, 4, 44, "Input",ExpressionUUID->"2532da99-d443-46a9-a6ec-5aa407199e86"],
Cell[208798, 6308, 149, 2, 34, "Output",ExpressionUUID->"52cf63ec-cc7f-42b6-90e8-234c7165ecdd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[208984, 6315, 230, 4, 44, "Input",ExpressionUUID->"30b70b5e-e5b2-4397-b498-649ff3c97627"],
Cell[209217, 6321, 1604, 47, 123, "Output",ExpressionUUID->"85759b29-c7ab-4052-8726-baabf84db000"]
}, Open  ]],
Cell[CellGroupData[{
Cell[210858, 6373, 1662, 48, 169, "Input",ExpressionUUID->"a9635d32-84ff-4cc9-a58b-ffc8ee0c2245"],
Cell[212523, 6423, 1225, 36, 77, "Output",ExpressionUUID->"1a2f9063-ab2a-448f-b016-e51ead5070bc"]
}, Open  ]],
Cell[213763, 6462, 1886, 55, 148, "Input",ExpressionUUID->"97a82ba9-0a05-49bb-bb6e-573d0620c955"],
Cell[215652, 6519, 2134, 60, 94, "Input",ExpressionUUID->"b2ec7bfc-6dc1-46ac-9d6a-e316302aa1ad"],
Cell[217789, 6581, 682, 17, 90, "Input",ExpressionUUID->"5d90646b-150f-44a0-a219-b12c3fc5682c"],
Cell[CellGroupData[{
Cell[218496, 6602, 264, 5, 44, "Input",ExpressionUUID->"b3578550-328b-44c4-b8fd-7204f3a6fd42"],
Cell[218763, 6609, 2303, 63, 147, "Output",ExpressionUUID->"bd05b796-3829-45ad-b7ef-2a994f2443e6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[221103, 6677, 1171, 31, 90, "Input",ExpressionUUID->"aacdd317-5e4a-461d-b252-c61cb2d43d27"],
Cell[222277, 6710, 951, 28, 60, "Output",ExpressionUUID->"13e80679-c5e0-431f-b251-da6129d5fc8a"]
}, Open  ]],
Cell[223243, 6741, 1023, 29, 82, "Input",ExpressionUUID->"ce1be964-e901-4f61-930d-85a9c86142e7"],
Cell[CellGroupData[{
Cell[224291, 6774, 150, 2, 30, "Input",ExpressionUUID->"461d5fe9-9a38-486d-a111-d00e2348c33f"],
Cell[224444, 6778, 2176, 64, 201, "Output",ExpressionUUID->"f6d2e3fc-f2e3-4fbc-acb5-7ac4cb9d03e9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226657, 6847, 2331, 68, 305, "Input",ExpressionUUID->"5236f94f-c7cf-4a80-80a7-154701942461"],
Cell[228991, 6917, 820, 26, 60, "Output",ExpressionUUID->"e996849b-b59a-4143-8c5f-9cc526e0ac6b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[229848, 6948, 148, 2, 30, "Input",ExpressionUUID->"5dcaa0cc-5b77-4e8a-9db0-ba37d512be13"],
Cell[229999, 6952, 2309, 67, 201, "Output",ExpressionUUID->"a708ae7f-efbb-4050-993e-5719d0263817"]
}, Open  ]],
Cell[CellGroupData[{
Cell[232345, 7024, 2461, 70, 326, "Input",ExpressionUUID->"1ac60d9a-30ad-40c0-b3b9-7ff3341cd676"],
Cell[234809, 7096, 895, 28, 64, "Output",ExpressionUUID->"fe949ff0-6b08-4af6-ab20-bfc10bbff3bb"]
}, Open  ]],
Cell[235719, 7127, 888, 27, 62, "Input",ExpressionUUID->"d4c7577b-d9be-4019-887e-a17b6e14dda8"],
Cell[236610, 7156, 967, 29, 64, "Input",ExpressionUUID->"b252de20-c628-4913-a573-b972ae30673d"],
Cell[237580, 7187, 252, 5, 48, "Input",ExpressionUUID->"be59198a-7ae9-4d33-ac01-c4399e7bb068"],
Cell[CellGroupData[{
Cell[237857, 7196, 225, 3, 30, "Input",ExpressionUUID->"fbb310dd-50ba-4c71-9c9e-87540f52d3a4"],
Cell[238085, 7201, 7443, 227, 489, "Output",ExpressionUUID->"3d3d6344-bf2d-438c-9be7-5b469384bc33"]
}, Open  ]],
Cell[CellGroupData[{
Cell[245565, 7433, 163, 3, 44, "Input",ExpressionUUID->"17f26d6a-ce2b-44f1-a72c-246a173c0259"],
Cell[245731, 7438, 7339, 223, 473, "Output",ExpressionUUID->"80dd1941-c327-4f4d-8a85-e05ae186c74e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[253107, 7666, 4078, 123, 453, "Input",ExpressionUUID->"2734a024-b714-4b46-86d8-9666e6b3ec26"],
Cell[257188, 7791, 149, 2, 34, "Output",ExpressionUUID->"56b77ff4-37a3-4324-aa14-b76ba0ee2960"]
}, Open  ]],
Cell[257352, 7796, 428, 10, 203, "Text",ExpressionUUID->"85f9cb54-dd8a-4144-919e-db6775cb1996"],
Cell[257783, 7808, 10084, 309, 929, "Input",ExpressionUUID->"18c181ff-b183-4f13-8289-5fb47c9b6d4c"],
Cell[267870, 8119, 150, 3, 59, "Text",ExpressionUUID->"311e9972-2f49-44b9-94ae-c40d0dafa928"],
Cell[CellGroupData[{
Cell[268045, 8126, 221, 4, 44, "Input",ExpressionUUID->"0697031f-f113-4183-82c0-7ddaa585a57a"],
Cell[268269, 8132, 151, 2, 34, "Output",ExpressionUUID->"2965273d-b8d7-49e7-8b77-5abc48ee38a1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268457, 8139, 224, 4, 44, "Input",ExpressionUUID->"e9fa7a8a-e1e3-4c03-a0bb-5a747b95c166"],
Cell[268684, 8145, 168, 3, 50, "Output",ExpressionUUID->"f98429ca-11f6-43e6-ae20-f205dd47e670"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268889, 8153, 230, 4, 44, "Input",ExpressionUUID->"432acba8-bf4c-4def-a093-1c8cf72020be"],
Cell[269122, 8159, 1461, 46, 84, "Output",ExpressionUUID->"003ec3c0-2c6a-4630-8a58-3a7e408d4426"]
}, Open  ]],
Cell[CellGroupData[{
Cell[270620, 8210, 1520, 48, 130, "Input",ExpressionUUID->"e5963afa-9815-45cd-80c0-3282bd513d1f"],
Cell[272143, 8260, 970, 30, 64, "Output",ExpressionUUID->"1f37698f-a36a-4c34-b103-5a2ab171af51"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273150, 8295, 225, 4, 44, "Input",ExpressionUUID->"f2bd0b5e-f9da-45ae-a7e0-f7c96c0e05e9"],
Cell[273378, 8301, 249, 6, 50, "Output",ExpressionUUID->"ce9ad13f-1292-4869-b390-30aa9265823c"]
}, Open  ]],
Cell[273642, 8310, 223, 4, 59, "Text",ExpressionUUID->"5ec6b820-c00b-4822-a1e2-1ec9ef337486"],
Cell[CellGroupData[{
Cell[273890, 8318, 250, 5, 44, "Input",ExpressionUUID->"c03905fb-c07c-4434-b7fc-e4d498dc5694"],
Cell[274143, 8325, 1767, 56, 121, "Output",ExpressionUUID->"39a67659-08b4-45ab-b1a8-3fb142603ea1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[275947, 8386, 1809, 57, 142, "Input",ExpressionUUID->"fc36dd34-229a-4232-9845-43d00e0c0bf0"],
Cell[277759, 8445, 970, 30, 58, "Output",ExpressionUUID->"c5ca76ab-ce1d-4a8f-ad9f-4a6d3954acf4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[278766, 8480, 223, 4, 44, "Input",ExpressionUUID->"1eb6d4e0-109e-4936-853b-9d06c4222a60"],
Cell[278992, 8486, 1939, 61, 127, "Output",ExpressionUUID->"3349dd95-10ad-4214-ada5-cf1fdd15497f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[280968, 8552, 2010, 62, 148, "Input",ExpressionUUID->"724fd5c9-e567-4b89-9027-5c613fcc9da0"],
Cell[282981, 8616, 906, 26, 58, "Output",ExpressionUUID->"5c345bc1-d331-4034-a536-bcc5d8916e39"]
}, Open  ]],
Cell[CellGroupData[{
Cell[283924, 8647, 223, 4, 44, "Input",ExpressionUUID->"de5531a0-841e-4786-930d-7d2d031ba06c"],
Cell[284150, 8653, 1450, 46, 73, "Output",ExpressionUUID->"47870d90-643d-4965-8303-092a9beba5f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[285637, 8704, 1506, 47, 120, "Input",ExpressionUUID->"61bfd334-2733-4d2a-bf37-3cbd67ca89b3"],
Cell[287146, 8753, 1450, 46, 73, "Output",ExpressionUUID->"55bb34b0-46be-4da2-9a15-e0166aba5fdb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[288633, 8804, 276, 5, 44, "Input",ExpressionUUID->"0624b405-8b89-410f-b5ea-721564e6cfec"],
Cell[288912, 8811, 8770, 268, 502, "Output",ExpressionUUID->"43978bda-7516-4345-a8d2-9667ac6cd75f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[297719, 9084, 163, 3, 44, "Input",ExpressionUUID->"eabbe7de-395f-4c20-a3b4-2264234f8cb0"],
Cell[297885, 9089, 5654, 155, 231, "Output",ExpressionUUID->"2701462e-2ab3-481a-ba3e-bb59a6a0d081"]
}, Open  ]],
Cell[303554, 9247, 209, 4, 59, "Text",ExpressionUUID->"d4b7714d-d0ec-47ce-bc25-5bede3164055"],
Cell[CellGroupData[{
Cell[303788, 9255, 230, 4, 44, "Input",ExpressionUUID->"e044887e-29bf-4811-b9a8-012ef1f98ce8"],
Cell[304021, 9261, 838, 25, 57, "Output",ExpressionUUID->"84962d6b-45da-49cc-b64b-9d3f1dfc1ff9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304896, 9291, 873, 26, 103, "Input",ExpressionUUID->"3dbac673-5c87-4ae5-8bf3-c89bb76bf26b"],
Cell[305772, 9319, 684, 20, 57, "Output",ExpressionUUID->"2f8af0b2-ed9f-4e85-a3e9-00a46136e3ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306493, 9344, 231, 4, 44, "Input",ExpressionUUID->"35f7c0a1-4374-4651-9308-5092cb7eb58f"],
Cell[306727, 9350, 854, 26, 57, "Output",ExpressionUUID->"883b033c-88ff-4eeb-99c1-d3237860b9ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[307618, 9381, 890, 27, 70, "Input",ExpressionUUID->"117c3fd2-1081-4be8-b5de-d499a5ff4afd"],
Cell[308511, 9410, 723, 21, 57, "Output",ExpressionUUID->"92155e93-f98a-46a4-bd9f-756358faccfb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[309271, 9436, 228, 4, 44, "Input",ExpressionUUID->"8db3824f-29c7-4fe8-8227-ed98ebb66586"],
Cell[309502, 9442, 933, 29, 68, "Output",ExpressionUUID->"61ad718f-84a7-4541-99b7-64950b2dd78b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310472, 9476, 972, 30, 81, "Input",ExpressionUUID->"b8fe003c-90d9-46d7-90f8-54d2993afd94"],
Cell[311447, 9508, 935, 29, 68, "Output",ExpressionUUID->"7e276a5b-5cb6-49a0-8b50-783ce7265aa4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312419, 9542, 237, 4, 44, "Input",ExpressionUUID->"1843a9f8-3613-4f05-a879-7358518eb2da"],
Cell[312659, 9548, 5086, 155, 261, "Output",ExpressionUUID->"117de74f-6382-429f-a6b0-3154beec8b02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[317782, 9708, 163, 3, 44, "Input",ExpressionUUID->"52836904-ec69-43d5-8145-84c3dfba8508"],
Cell[317948, 9713, 2547, 75, 118, "Output",ExpressionUUID->"789e09bf-5c6e-43d2-8094-8940b0bf1317"]
}, Open  ]]
}
]
*)

