(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    440874,      13002]
NotebookOptionsPosition[    414550,      12554]
NotebookOutlinePosition[    414957,      12571]
CellTagsIndexPosition[    414914,      12568]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "+", "b", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
   3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
   3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
   3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
   3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
   3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
   3.861053681512178*^9}, {3.861055518307404*^9, 3.861055554326591*^9}, 
   3.8610557742472477`*^9, {3.861055919099469*^9, 3.8610559217328777`*^9}, {
   3.861057966952702*^9, 3.8610579706934757`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"0a8450bf-6e8c-477c-887b-bec43298eb05"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.861057987270919*^9, 3.861057996855096*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f618d3c9-0aa9-469d-b6d8-716b016bda56"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "kb"}], "+", 
  RowBox[{"l", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8610579978342543`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"e7a25d41-b28c-49ee-8685-a4b8cafc98d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellLabel->"In[5]:=",ExpressionUUID->"eee8ae12-b33f-48b4-aafb-27e66fd27ca5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.86105801512379*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"6d07e6d5-3143-4777-8cd5-1805e7053d97"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.861058020918169*^9, 3.861058025580061*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"c9e24fb0-b49e-41cb-a348-68790e778ba0"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.861058028666112*^9, 3.861058029933641*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"f6fc5614-3497-405e-9d07-2a5111ddaf3e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861058030403159*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"8c32312e-03a9-4798-959f-8b0ae18329b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.861058031921524*^9, 3.8610580366692657`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"bc84b579-b197-40fb-9257-3201590407ff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb"}], "-", "l", "+", 
        RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861058036976218*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"0854fa23-853a-423b-bf50-7a7581fefa89"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.861058045966938*^9, 3.861058051095303*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"ed831bca-9180-4815-9958-8d7e47e8c290"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861058053661334*^9, 3.861058058417302*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"277be849-4ca2-4b68-b8b4-608c66c3ba06"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "kb"}], "-", "l", "+", 
         RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861058058829356*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"d14d60cb-df6a-4fa8-a501-2ff8794f188d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "kb"}], "-", "l", "+", 
          RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
       
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"76ff4277-0df5-45cb-b233-0ee5553ca8f9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "cs", " ", "kb"}], "-", 
    RowBox[{"2", " ", "csb", " ", "kb"}], "-", 
    RowBox[{"2", " ", "kb", " ", "l", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb"}], "+", 
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
      ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "+", 
       
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "g", " ", "kb"}], "+", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb"}], "+", "l", "-", 
          RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861058061843617*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"e9ff30df-af47-4de6-8941-3db047733d02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.861058064401333*^9, 3.861058075870428*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"2f2b8316-8c7a-46a4-aa71-e50cab5a89be"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], "+", 
       
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], "+", 
    RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb"}], "+", 
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
      ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "g", " ", "kb"}], "+", 
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb"}], "+", "l", "-", 
          RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861058076640563*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"afe6c91a-5425-45ff-b78e-6dcb20c8be58"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8610580781225967`*^9, 3.861058083369733*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"5e4d266f-5548-4d69-97c4-db287c6e3686"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"l", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "+", 
      RowBox[{"b", " ", "p"}], "+", 
      RowBox[{"d", " ", "p"}], "-", 
      SuperscriptBox["p", "2"], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", 
      RowBox[{"b", " ", "p", " ", "\[Alpha]"}], "-", 
      RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.86105808392807*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"0b8f6ba0-32f9-4f27-8c4a-e12e01b6d299"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", "kb"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "cs", " ", "kb"}], "-", 
      RowBox[{"2", " ", "csb", " ", "kb"}], "-", 
      RowBox[{"2", " ", "kb", " ", "l", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cs", "+", 
         RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "kb"}], "+", 
         RowBox[{"l", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}],
         ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", "b", "+", "d", "-", "p"}], ")"}], " ", "p"}], 
         "+", 
         RowBox[{"l", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"l", "-", 
         RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cs", "+", 
         RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "g", " ", "kb"}], "+", 
         RowBox[{"\[Beta]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "kb"}], "+", "l", "-", 
            RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
        ")"}]}]}], ")"}]}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861058106969984*^9, 3.861058117082728*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"1e50a26d-cfcd-4808-ab72-4a1d99cf542e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d", "-", 
     RowBox[{"2", " ", "p"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"l", "-", 
     RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
  RowBox[{"2", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.861058118234249*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"2fd3106e-4b4c-4db1-baf0-bea023ca193c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861058120413207*^9, 3.861058124909651*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"629550b9-4baa-4a9c-84a5-0653d7b26e88"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861058125445621*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"89faddc8-454b-485d-b11e-2a00a7431458"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.861058128365158*^9, 3.861058134777886*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"69e35faa-1d8f-43f3-9905-8393992fa34c"],

Cell[BoxData[
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"b", " ", "p"}], "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"b", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Input",
 CellChangeTimes->{{3.8610581387289886`*^9, 3.861058146001137*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"91e1c1b6-2eb5-4195-bdeb-08dc5471c7fb"],

Cell[CellGroupData[{

Cell[BoxData["l"], "Input",
 CellChangeTimes->{3.861058148459506*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"5daab8fa-45cd-4612-a2c0-142689f21227"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861058149019717*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"b7d34ab2-89f1-425f-815c-9d81a4c70c6b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], 
     "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
     "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"29b1a8fc-dd6b-42fe-9a7c-5d37c3f01e4f"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861058151451569*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"dbabfd02-264f-4a03-ad14-1a3c309695ee"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"l", ":=", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]}]], "Input",
 CellChangeTimes->{{3.861058176699623*^9, 3.861058186237854*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"d60e137b-825a-47c4-881b-d20e6d03232b"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8610581884988937`*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"a0f6d5d4-e9a8-489b-8238-6ebab316ef24"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "-", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8610581888729467`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"4d4498b9-9dc6-44fa-aa81-293253bcb752"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"7bebfa6f-1306-4e02-a571-6e28d43002d1"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
   RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861058191571783*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"2cb6be2d-2638-4c5f-b8c0-34d35bff31ec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.861058193545129*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"ffac8ee2-5c1d-498a-b7e3-b065f986559a"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "kb"}], "-", "\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861058194235092*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"4c2900c4-7ac0-4254-b7fa-c4d3dc0f771d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%23", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"2a2be239-6fb2-4dff-bcd8-712be0f80b2c"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"16", " ", "kb"}], "-", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861058196612452*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"9df3bd3d-ce9b-4d3a-87f4-12edec3cd8b3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.861058218021414*^9, 
  3.861058218195327*^9}},ExpressionUUID->"25ab59ef-27a4-4368-8cb8-\
9991b11e587d"],

Cell[TextData[{
 StyleBox["We solve this game by backward induction. By checking the Hessian \
matrix, we find that \[Pi]SA  is jointly concave in p and l, when ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "fda65be3-0c90-4fd7-b9df-61b16090868d"],
 StyleBox[".in this paper, we consider the case with ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "-", 
     RowBox[{"16", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", 
        StyleBox["b",
         FontColor->RGBColor[0, 0, 1]]}], ")"}], "2"], "-", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]], "<"}]],ExpressionUUID->
  "547d526f-449d-4d91-839e-bf50b72059de"],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "kb"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "ddaee437-e9e5-4a37-9411-a1ceac1c538e"],
 ", which is the common situation because it means launch successfully \
propability is above zero and below one.",
 StyleBox["\ne = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    StyleBox[
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
     FontColor->RGBColor[0, 0, 1]], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     StyleBox[
      RowBox[{"+", "2"}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[" ",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["b",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[" ",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[" ",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}],
      FontColor->RGBColor[0, 0, 1]]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", 
     StyleBox["g",
      FontColor->RGBColor[0, 1, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[0, 1, 0]], "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]],ExpressionUUID->
  "13bafa05-5d0b-4d3c-9f0e-ba12cbad4d75"],
 StyleBox[", that ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox["\[Lambda]", 
   RowBox[{"16", " ", 
    StyleBox["kb",
     FontColor->RGBColor[0, 0, 1]], 
    StyleBox[" ",
     FontColor->RGBColor[0, 0, 1]], 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "dc1bb7a4-e686-45d5-971a-bc68899a2950"],
 StyleBox[", where  ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Lambda]", "=", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     StyleBox[
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["-",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
      FontColor->RGBColor[0, 0, 1]], "-", "\[Alpha]", "-", 
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    StyleBox["=",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}],
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{
         StyleBox["1",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["+",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["d",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["+",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox["b",
          FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}], "2"]}], "-", 
     RowBox[{"8", 
      StyleBox[
       RowBox[{"\[Alpha]", 
        StyleBox["kb",
         FontColor->RGBColor[0, 0, 1]]}]], 
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}],
       FontColor->RGBColor[0, 1, 0]]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "4", "\[Theta]"}]}]}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "a48e71c6-fae7-4892-86d6-4bc125b51bf9"],
 StyleBox["\n\nr = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Beta]", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox["\[Lambda]", 
      RowBox[{"16", " ", 
       StyleBox["kb",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "7de16597-d384-4f3c-93e2-7298cb57807e"],
 StyleBox[",\np =",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{" ", 
    RowBox[{"1", "+", "d", "+", 
     StyleBox["b",
      FontColor->RGBColor[0, 0, 1]]}]}], 
   RowBox[{" ", "2"}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "c6d47d4f-d771-4b3d-bd60-a29ccd47b0b2"],
 StyleBox[",",
  FontColor->RGBColor[1, 0, 0]],
 "\nl=",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{"(", 
     RowBox[{"1", "-", 
      StyleBox[
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}],
       FontColor->RGBColor[0, 0, 1]], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       StyleBox[
        RowBox[{"-", "2"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["b",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}],
        FontColor->RGBColor[0, 0, 1]]}], "-", "\[Alpha]", "-", 
      RowBox[{"8", " ", 
       StyleBox["kb",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], "\[Alpha]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "=", 
   FractionBox[
    RowBox[{"\[Lambda]", "-", 
     RowBox[{"8", "\[Theta]", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{3.861056106035079*^9},ExpressionUUID->
  "5610f13f-a995-4d81-8ccd-ec5fcae6d682"]
}], "Text",
 CellChangeTimes->{
  3.861058222961648*^9, {3.8610582762459297`*^9, 3.861058281363036*^9}, {
   3.8610583438468943`*^9, 3.8610584042656612`*^9}, {3.8610584343329487`*^9, 
   3.861058504623004*^9}},ExpressionUUID->"66f87bcd-c228-4576-95b8-\
b9322660b621"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8610583521907473`*^9, 
  3.861058372882812*^9}},ExpressionUUID->"be3bd97c-743c-4105-9583-\
40587042696b"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.861356413274641*^9, 
  3.861356413468384*^9}},ExpressionUUID->"f0a2ec39-f847-47f4-a186-\
5a343655ebe0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"16", " ", "kb"}], "-", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"l", ":=", 
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], 
    ")"}]}]}], "\[IndentingNewLine]", "Profits"}], "Input",
 CellChangeTimes->{{3.8613564760910473`*^9, 3.8613565742785263`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"f30730d2-9a2e-4755-b78b-54f23884e421"],

Cell[BoxData["Profits"], "Output",
 CellChangeTimes->{3.861356577865189*^9, 3.861776362424734*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"6f834412-ec7b-4328-8813-ba38797027f0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%13", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"b29e0715-9f98-4a9f-9243-00d53f468372"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    RowBox[{"128", " ", "cs", " ", "kb"}], "-", 
    RowBox[{"128", " ", "csb", " ", "kb"}], "+", 
    RowBox[{"128", " ", "cs", " ", "g", " ", "kb"}], "+", 
    RowBox[{
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["b", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"256", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"256", " ", "cs", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "+", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "cs", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["g", "2"], " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], 
    "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "kb"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "kb"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861356582099206*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"cc1200a1-a121-4ae9-a26a-5f6f2c87fc81"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Profits", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"128", " ", "cs", " ", "kb"}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb"}], "+", 
     RowBox[{"128", " ", "cs", " ", "g", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"256", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"256", " ", "cs", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "g", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "cs", " ", "g", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], 
     "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "g", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "kb"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"8", " ", "g", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"6", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "kb"}], "-", 
           RowBox[{"8", " ", "g", " ", "kb"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.861776389155067*^9, 3.861776400030258*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"6382a681-a1d3-463a-87e8-688bdca31b73"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.861356584375238*^9, 3.861356587813238*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"38db2e26-d462-4de2-a518-4badb76a5848"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356588348482*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"cd8ddd19-d241-48a3-8bba-f59bba9bd78f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%15", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"a5383fac-ce9e-4ce6-baa3-615b076ad4f9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "256"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "256"}], " ", "cv"}], "-", 
    RowBox[{"256", " ", "cvb"}], "-", 
    RowBox[{
     FractionBox["1", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
     RowBox[{"16", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"16", " ", "kb"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "-", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"kb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"kb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8613565910574427`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"d50621de-27a2-4549-bdab-80f7df53e212"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Profitv", ":=", 
  RowBox[{
   FractionBox["1", "256"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "256"}], " ", "cv"}], "-", 
     RowBox[{"256", " ", "cvb"}], "-", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "32", " ", 
      "\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "16", " ", 
      "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"16", " ", "kb"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "-", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"kb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"kb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}], "+", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}]}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.8617764180999327`*^9, 3.861776429544183*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"8f9b3669-e75f-421a-9677-68d06941dee9"],

Cell[BoxData[
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "2"], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d", "+", "b", "-", "p"}], ")"}], "2"]}]}]], "Input",
 CellChangeTimes->{{3.861356595981249*^9, 3.86135662427566*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"468b6f87-2585-4b79-a8ae-c09f7e451f58"],

Cell[CellGroupData[{

Cell[BoxData["CS"], "Input",
 CellChangeTimes->{{3.861356626325097*^9, 3.8613566266247263`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"05f7334e-8205-422e-a76e-a392464982c5"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}], 
   "2"]}]], "Output",
 CellChangeTimes->{3.861356627230669*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"bfe251d1-872a-44da-8cb5-6d16f31e8e34"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}],
     "2"]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"120ef1fb-5d71-47ee-950c-de40d92b0167"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{3.861356629202142*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"049542f8-d4bc-4c30-abba-ca0e5cdb2841"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"SW", ":=", 
  RowBox[{"Profits", "+", "Profitv", "+", "CS"}]}]], "Input",
 CellChangeTimes->{{3.861356630920244*^9, 3.861356646186103*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"3a01fee7-aaa1-4ad3-82b6-e49f6bdbd517"],

Cell[CellGroupData[{

Cell[BoxData["SW"], "Input",
 CellChangeTimes->{{3.8613566493966618`*^9, 3.86135665009851*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"9118ad90-d7cf-49ba-8d4e-70a746218ae5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cv", "-", "cvb", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], ")"}],
     "2"]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"16", " ", "kb"}], "-", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613566505702457`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"2c10e0b3-2a40-41f3-a278-f14221e95750"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"038e56d4-906f-4111-98bb-b6445609ae92"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"3", "+", 
    RowBox[{"32", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cs", " ", "kb"}], "-", 
    RowBox[{"256", " ", "csb", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cv", " ", "kb"}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb"}], "+", 
    RowBox[{"256", " ", "cs", " ", "g", " ", "kb"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["b", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"6", " ", "\[Alpha]"}], "-", 
    RowBox[{"80", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"512", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"48", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"512", " ", "cs", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"48", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cv", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"256", " ", "cvb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"48", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"256", " ", "cs", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"192", " ", 
     SuperscriptBox["g", "2"], " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"24", " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "kb", " ", "\[Theta]"}], "-", 
    RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"448", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], 
    "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"192", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"48", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"96", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"48", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"18", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"9", " ", 
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"8", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861356654186152*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"724c09a7-4ae2-45e0-983e-518e3434d601"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"8cb27f4e-3380-430b-aa45-\
4fc4bc613c10"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"ee33dc93-4357-4f47-8ba0-\
5da45a2ccad1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612484996040707`*^9, 3.861248503353421*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"e4614b99-6dc2-404e-b449-988cccb1300c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861356710859501*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"0c7110ed-789f-4c22-9be7-8ab77182587c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"eb74d6e5-de8c-4050-9889-0dc99d679570"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "b", "+", "d"}], 
  RowBox[{"8", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.861356713069686*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"d48e1c9f-bd94-4daa-8ecb-0f9b4e17330a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485121834106`*^9, 3.861248535667307*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"108f69e4-e8fe-4b04-a3c6-b11602754ae3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
   "\[Beta]"}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613567230261993`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"b9d0335a-1326-447d-b2b7-ddad2fc68dee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[26]:=",ExpressionUUID->"ed859008-4ff8-44a8-a38a-b64162ee9756"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"8", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.861356725008906*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"b87658bc-0081-4b65-a787-e5d7c8ff88bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613567318549147`*^9, 3.8613567379311943`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"b181bf78-048d-49f8-8869-ce5c0d8b44b5"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861356739027619*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"96a91f89-fd51-4e5f-801e-b895ea1cfa4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"f4b3e99b-9ee2-4be6-b451-43c3d488d26c"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "b", "+", "d"}], 
  RowBox[{"4", "-", 
   RowBox[{"4", " ", "\[Alpha]"}]}]]], "Output",
 CellChangeTimes->{3.861356740917602*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"be144fa6-7037-4f0e-864e-6d484fdc859e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248565914627*^9, 3.86124856972899*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"c47430ec-1a79-4b36-a94b-543b596ae522"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.861356752087037*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"811e519f-ed2e-46fe-aa11-8d0c2aee9088"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248582790799*^9, 3.861248589982791*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"8c418bea-9d64-42cf-92d8-ff0dc556080f"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]"}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"16", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861356765780061*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"926612ea-7e0a-41ea-a3da-72b81ad44cc2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%30", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[31]:=",ExpressionUUID->"aec2cdef-a04c-4e9f-a42d-7fca8c43a0b0"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613567687350607`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"d94ee271-7b79-4cf8-882d-2a58e7ef6f99"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485977999077`*^9, 3.86124862532718*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"24573da4-d0b0-4bff-b60e-9a487e22f76b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     "\[Alpha]"}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Theta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861356780756176*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"0d74f5e5-9c86-41a5-9b8c-483aa5a55274"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%32", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[33]:=",ExpressionUUID->"a724888e-d30f-4952-bdba-3609d2fb501a"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356783511971*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"3035dac8-5689-400a-a9b6-c277d3334ec2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612486502431192`*^9, 3.861248653478381*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"92643d81-d6a9-4ce3-a7fc-955daebbeb93"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861356797460235*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"e2ee970a-129a-40d6-8a26-a8f03b008da4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
    ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[35]:=",ExpressionUUID->"f0dd76ec-d913-4d3f-beb7-5cbff9f4f9ee"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "b", "+", "d"}], ")"}]}]], "Output",
 CellChangeTimes->{3.861356802797509*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"fb71cb07-fb67-4e5f-8470-0bf8856708b6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248637509153*^9, 3.8612486403131037`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"21e89bba-37e9-4161-8c6c-36a1a793808a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
    ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Theta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"16", " ", "kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861356811207056*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"0c73d5a3-0e20-4754-8d17-3b25d3ad88cb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%36", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[37]:=",ExpressionUUID->"fdc27e4a-df62-421a-8596-84a1c652757b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "-", 
     RowBox[{"16", " ", "kb"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"6", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"6", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"3", " ", "\[Alpha]"}], "+", 
     RowBox[{"24", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"24", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}], "+", 
     RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",\

 CellChangeTimes->{3.8613568151732397`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"8943f793-efb9-4084-b74d-2d85737534f1"]
}, Open  ]],

Cell[TextData[StyleBox["kb", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249011919739*^9, 3.861249013901259*^9}, 
   3.86135684025345*^9},ExpressionUUID->"9ae6a133-42cd-492f-a991-\
70591e145960"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249028324807*^9, 3.861249033275959*^9}, 
   3.8613568428544903`*^9},
 CellLabel->"In[39]:=",ExpressionUUID->"dfd94792-43eb-449b-bdc1-cefddd655b8a"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"8", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["kb", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{{3.8613568356321697`*^9, 3.8613568450958967`*^9}},
 CellLabel->"Out[39]=",ExpressionUUID->"e22f94a0-f450-4fa8-90d1-35ebb20f352b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"8", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[40]:=",ExpressionUUID->"4b6d19b7-3fb2-4f23-94c6-594451cc2b59"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["kb", "2"]}]]}]], "Output",
 CellChangeTimes->{3.861356847178754*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"2d91e554-6885-4e00-a912-ae408dfcfb31"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249057645466*^9, 3.8612490686913433`*^9}, 
   3.861356865269322*^9},
 CellLabel->"In[41]:=",ExpressionUUID->"138377f0-287a-41fa-b48a-47344661fe4c"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "16"}], "+", 
      RowBox[{"8", " ", "\[Alpha]"}], "+", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"16", " ", "kb"}], "-", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861356866860017*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"757b4211-9d0e-48ba-a65a-e290ff0b1c6e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "16"}], "+", 
       RowBox[{"8", " ", "\[Alpha]"}], "+", 
       RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox["kb", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"16", " ", "kb"}], "-", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[42]:=",ExpressionUUID->"14ac3325-b4f6-489f-b870-48d3a565ff75"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     SuperscriptBox["b", "2"], "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"16", " ", 
   SuperscriptBox["kb", "2"]}]]], "Output",
 CellChangeTimes->{3.861356868669469*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"5520162e-a87a-4d6f-a3ee-e1b7e2ef9633"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249083926429*^9, 3.861249084910692*^9}, {
   3.861249116522406*^9, 3.861249118236779*^9}, 3.861356898263054*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"1b7e518f-7abd-4b10-900f-1bdc7ec7481d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"8", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{{3.8613568932304897`*^9, 3.8613568990671673`*^9}},
 CellLabel->"Out[44]=",ExpressionUUID->"e25e3352-8284-4e6b-8399-00e855fe7486"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"8", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[45]:=",ExpressionUUID->"89e180d3-9a1a-4194-aaf6-41a88a7925d9"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861356900939838*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"2d80c545-d9d8-459e-816b-f7e7e9d6fff3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249139095232*^9, 3.86124914379568*^9}, 
   3.8613569159604673`*^9},
 CellLabel->"In[46]:=",ExpressionUUID->"df85ca8b-8290-4367-9069-c7557eb6d17b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861356916688549*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"402a39ad-0fbe-40ce-af8a-8b512714225e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249146429496*^9, 3.861249160423946*^9}, {
  3.8613569249144783`*^9, 3.861356925839871*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"9c3aceb2-4b93-41af-a538-126ae2b4e030"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "16"}], "+", 
         RowBox[{"8", " ", "\[Alpha]"}], "+", 
         RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
      
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", 
        SuperscriptBox["kb", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"16", " ", "kb"}], "-", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"8", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["kb", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861356926681034*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"637949ee-0ca7-44e5-a7e8-79e111945205"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%47", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"65349b47-2b79-45d8-99a6-acb99266a65e"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356930742072*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"f902d2ee-4217-482d-85b4-6905f46a1984"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249240872067*^9, 3.861249247161824*^9}, {
   3.8613542357816467`*^9, 3.861354236513658*^9}, 3.861356942891773*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"5365007e-b2eb-45b0-adf3-a826831873a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", 
    SuperscriptBox["kb", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"8", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["kb", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356946215921*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"84683115-a667-4cec-9f28-316dd947bce2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%49", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[50]:=",ExpressionUUID->"e271987f-927a-4064-94bc-03a8f48df5cd"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"192", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356948952585*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"11c40b45-fdcf-4cfc-b90e-045b1dc1b85c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861356956656288*^9, 3.8613569638113956`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"7d4dc407-6e0f-41e5-9b9e-793f7b9c0be8"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861356964837748*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"46faedf2-fa11-4b4b-91ac-3d67c7ca36b3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.861356966334242*^9, 3.861356972801148*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"95e6c968-2c11-451a-ba86-d5113d6933b1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"128", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", 
    SuperscriptBox["kb", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "16"}], "+", 
         RowBox[{"8", " ", "\[Alpha]"}], "+", 
         RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
      
      RowBox[{"16", " ", "kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", 
        SuperscriptBox["kb", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"16", " ", "kb"}], "-", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"8", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["kb", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"8", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["kb", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861356973946504*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"07023f6f-ffaf-4c2f-afc8-7350a347b4b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%52", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[53]:=",ExpressionUUID->"6b5757d6-13a8-464d-802f-b828391253ca"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["b", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["b", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]"}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"24", " ", "\[Theta]"}], "-", 
     RowBox[{"48", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"96", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"12", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"12", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["b", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"6", " ", "d"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861356978012838*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"7333578d-849c-439b-a8e8-968cb7776a5e"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249019985586*^9, 
   3.861249022197942*^9}},ExpressionUUID->"30c28278-3621-4d8b-b72e-\
7777b6681f41"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251420607563*^9, 3.861251424437109*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"e434c703-5beb-44d2-9df6-c127eac52c99"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861357000229702*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"fefe0912-8cb4-4f29-a838-8da1518f5ce1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "4"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[55]:=",ExpressionUUID->"313ea049-40a4-4f47-833f-d2d470bd48a8"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"4", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.861357001911058*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"3afa6a5a-2eb2-4be9-b128-99c74735f681"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251434245288*^9, 3.861251440854623*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"80376a85-0a02-4c6d-9065-712956e333d4"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "-", 
     RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861357010452581*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"0943f56c-761e-4339-a3bb-b34cd3dfccd6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[57]:=",ExpressionUUID->"c924c106-a9a9-40bc-acc0-a405b228fe93"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"4", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.861357012733891*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"a414b21a-9428-4c89-8c7d-ebe82e9fda4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251449822323*^9, 3.861251461670189*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"a3feacfa-6b93-4a2c-bfd3-be19c32fcafa"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"4", "-", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861357025548023*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"d5d95d6b-1bf9-4e2f-8d0e-abbaff79b9fa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"4", "-", 
     RowBox[{"4", " ", "\[Alpha]"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[59]:=",ExpressionUUID->"a14c064b-f1aa-44c6-856e-41b691290726"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613570278199787`*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"83c1c847-c0d9-4299-acfb-eef94327b42f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515165075274`*^9, 3.861251520397028*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"72350bbd-76e5-4044-83f9-7457269db1c8"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861357042859969*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"7e85be8a-452f-4694-87a2-67b1f23a7686"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515253354683`*^9, 3.861251540210231*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"da7e988e-5d81-46ba-90d7-6c72cd11adb6"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]", " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861357052131181*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"bcf6eb60-a921-4a62-8140-bf7ff0935e08"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%61", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[62]:=",ExpressionUUID->"cca424de-3e4e-411b-8e1d-2a9382df8d05"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
   RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
   RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861357057587598*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"1b3c3069-d3d8-4928-aceb-2a07c0e96f3d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861357070330974*^9, 3.8613570882152*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"88bd2559-feff-4788-a4ac-f4482f06c619"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]"}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Theta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861357089210452*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"fbfdc2c0-425f-45e8-9d91-956d915a13f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%63", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[64]:=",ExpressionUUID->"43b952e8-fe8d-4df8-9ee4-c509326b898b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"32", " ", "kb"}], "+", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
   RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"32", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613570920805693`*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"be50bb19-eca4-41c2-b8ad-d58295ffd01e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861357116050982*^9, 3.8613571262955103`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"5b39a827-041f-46f0-a18b-58566c746080"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861357127290946*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"c438b8a4-cdd9-41f3-bf1c-a6101c9a4d07"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.86135712920049*^9, 3.86135713595024*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"02b72cc7-0d41-4ed0-9192-7484db5bb387"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Theta]"}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"8", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"16", " ", "kb"}], "-", 
          RowBox[{
           SuperscriptBox["b", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
          "+", 
          RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}], "-", 
          RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]", " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861357144922401*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"dbec397d-0c71-4874-b173-1d2cd17bfb83"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%66", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[67]:=",ExpressionUUID->"1cbce003-d1d9-44df-99ce-38044914034d"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    RowBox[{"32", " ", "kb"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"6", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"6", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"3", " ", "\[Alpha]"}], "-", 
    RowBox[{"24", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861357148116478*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"65063cda-dbf6-4163-926e-32a70052fcdd"]
}, Open  ]],

Cell[TextData[StyleBox["g", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249019985586*^9, 3.861249022197942*^9}, {
   3.861776466632141*^9, 
   3.861776468009016*^9}},ExpressionUUID->"516de55e-a4f7-4b21-be43-\
1face100cf3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861776470343877*^9, 3.861776474089851*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"42cdea6a-eea4-416b-bdae-6a2de84a1ca4"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Alpha]", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861776474463516*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"8abe4da2-a1cc-41a6-a09e-69b346d3cde7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861776493734522*^9, 3.861776495444421*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"a6a9258b-8f46-49c5-9c69-b290f1cdbcf4"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861776495779801*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"a85fc90c-4fda-435e-a381-7fae08a60f25"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861776530826879*^9, 3.861776533786303*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"069bd203-bb19-4101-8afd-388f8917d0bb"],

Cell[BoxData[
 FractionBox[
  RowBox[{"kb", " ", "\[Alpha]"}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861776534166314*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"339a14a5-ba71-4d95-b2b0-7bd6d6130b77"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861776639480749*^9, 3.86177664538519*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"ff270b0f-e08c-4021-932b-10b2b551321c"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "256"], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{"256", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"128", " ", "\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "-", 
    FractionBox[
     RowBox[{"16", " ", "\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["b", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}], "-", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861776645863413*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"6523108d-b8ba-45e0-9b05-5b1c6c37ce35"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", "256"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"256", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
     FractionBox[
      RowBox[{"128", " ", "\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "-", 
     FractionBox[
      RowBox[{"16", " ", "\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"49f871eb-809c-4c6d-96cc-b0b48eac5cc2"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861776648022336*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"268e642e-e7b7-408f-8119-4ec5ee92131d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861776974557291*^9, 3.861776980253496*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"4c965650-4014-4bda-b168-e1668e4283ae"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"128", " ", "cs", " ", "kb"}], "+", 
    RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["b", "2"], " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"32", " ", "d", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["d", "2"], " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"32", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.861776981201847*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"2f804e15-f52c-4cc5-8ced-1ef397a9f2bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%15", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"38deeb00-8699-48bf-89eb-26f31ef4438d"],

Cell[BoxData[
 RowBox[{"cs", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861776983024893*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"21619674-945e-4dd4-9e25-3bbdc31e6aae"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617772335929213`*^9, 3.861777236663371*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"fcad5ba0-0a22-4c88-9ea5-d76b55406fb0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"128", " ", "cs", " ", "kb"}], "+", 
     RowBox[{"16", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"256", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["b", "2"], " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"32", " ", "d", " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"32", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "256"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"256", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
     FractionBox[
      RowBox[{"128", " ", "\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "-", 
     FractionBox[
      RowBox[{"16", " ", "\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["b", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", 
         RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617772375113783`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"762d948f-5de1-4d6a-9857-70d479c53f9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%17", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"dc711243-3b07-45dd-9b5f-9093a5385cc7"],

Cell[BoxData[
 RowBox[{"cs", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"6", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"6", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"3", " ", "\[Alpha]"}], "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"24", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861777239723465*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"f8787228-afb9-41b2-8ad2-d16001277b4c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   StyleBox[".2", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["When", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["contract", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["launch", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["is", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["acceptal", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["for", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["VM", "Chapter",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[":", "Chapter",
     FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]"}]}]}]], "Input",
 CellChangeTimes->{{3.861681707830474*^9, 3.861681708192264*^9}, {
  3.8616818081290207`*^9, 
  3.861681834804942*^9}},ExpressionUUID->"b5565c34-045e-477e-8b48-\
5fac22b612bd"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "+", "b", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
   3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
   3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
   3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
   3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
   3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
   3.861053681512178*^9}, {3.861055518307404*^9, 3.861055554326591*^9}, 
   3.8610557742472477`*^9, {3.861055919099469*^9, 3.8610559217328777`*^9}, {
   3.8617525978023376`*^9, 3.8617526158068647`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2a6e0546-da13-41ba-905b-bd319021b314"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]}], "Input",
 CellChangeTimes->{{3.8610556977124453`*^9, 3.861055736241734*^9}, {
  3.861055800959203*^9, 3.861055802354056*^9}, {3.861736480542513*^9, 
  3.861736481177373*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"b0520696-7957-4fb1-8851-3423cd0f42bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitv", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616818904846277`*^9, 3.861681906956009*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"ee5616e8-16d7-435f-9bed-b26c1a75f5b1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "kb"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "+", "cvb", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["kb"]]}], 
      RowBox[{
       FractionBox["1", "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "kb"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "kb"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "+", "cvb", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["kb"]]}], 
      RowBox[{
       FractionBox["1", "kb"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "kb"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.8617526466884947`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"8ecfcd63-c39e-4711-8cef-d759e41d3ed8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
    FractionBox["\[Theta]", "kb"], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "kb"], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"cv", "+", "cvb", "-", 
        RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cvb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     SqrtBox["kb"]]}], 
   RowBox[{
    FractionBox["1", "kb"], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]"}], "kb"], "+", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], "kb"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.861752649398416*^9, 3.8617526550953617`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"b151cd83-dec8-474f-9f74-3f0893b2e78c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861752655692037*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"240c4761-754c-4bb4-8ec4-fe25ffca9914"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
    "2"]]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d", "+", "b"}], "2"]}]}], "Input",
 CellChangeTimes->{{3.861752673013567*^9, 3.861752704984498*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"ff6986f0-fc80-4523-bb98-e8b72f711a68"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861752706879302*^9, 3.861752709175581*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"c542bd62-67dd-45f5-b3d2-541603c54ef4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["kb"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
  
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["kb"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["kb"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617527100250187`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"9b747a81-feed-4c65-a6ee-d391d8303b5b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["kb"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.861752764528617*^9, 3.861752765736408*^9}},
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"55b1c7df-47cf-415f-8ea2-0b469fa93ada"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cs", " ", "g"}], "+", 
  FractionBox[
   RowBox[{"g", " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.861752713249011*^9, 3.861752766518169*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"e1e72ed0-a1c0-4be2-9d32-f51812371af7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
       ")"}]}], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8617529709668713`*^9, 3.861752981724044*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"79b8df9c-03db-4414-9837-b2cd409e3cfe"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["kb"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}]], "Output",\

 CellChangeTimes->{3.861752982208454*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a0865d5c-f807-4411-a512-50300094ad8c"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"b1fe3452-7f76-436f-841e-\
cab6253d7762"],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
    "2"]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d", "+", "b"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["kb"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["kb"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "+", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["kb"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d", "+", "b"}], ")"}], 
    "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SW", ":=", 
   RowBox[{
    RowBox[{"-", "cs"}], "-", "csb", "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox["kb"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       SqrtBox["kb"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "b", "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
         ")"}]}], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]",
            "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["kb"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
    "+", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{
          SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        RowBox[{
         SqrtBox["kb"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]",
            "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["kb"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
    "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "g"}], "+", 
       FractionBox[
        RowBox[{"\[Beta]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SqrtBox["kb"]}], "+", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
        RowBox[{
         SqrtBox["kb"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]",
            "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["kb"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "8"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"]}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861744572596211*^9, 3.861744604364624*^9}, {
  3.861744644572977*^9, 3.86174480705926*^9}, {3.861764088490222*^9, 
  3.8617640962297*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"40409770-50b3-44b7-bc9e-ecbb7f72b9c4"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"20a02142-60e2-480d-81df-\
25b73ae31a76"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861695456134532*^9, 3.86169545959162*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"9ba3e3c5-836b-4a22-b029-ff29f3c3d235"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8617448225779676`*^9, 3.8617641258430147`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"cc30e083-0b53-4700-bef8-255ff6f3a937"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861744874602292*^9, 3.8617448785115757`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"8bc5709c-c007-496a-b06a-25d178d412d7"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
       ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8617642879288273`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"204efb18-62dc-43e2-8810-c791a8dd6094"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"371caa17-38d3-47a8-ac79-7b43b9451533"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{"2", " ", 
   SqrtBox["kb"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861764289782769*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"b6159b78-91d2-4d31-8b68-eb8b2137a715"]
}, Open  ]],

Cell[TextData[StyleBox["kb", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861616017426148*^9, 3.861616018912632*^9}, 
   3.861745095869121*^9},ExpressionUUID->"ba9a145d-a258-427b-8670-\
0d7714df6d9c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617450617683153`*^9, 3.86174506488369*^9}, 
   3.861745097815997*^9},
 CellLabel->"In[26]:=",ExpressionUUID->"4505cc0c-4caa-42a4-a8c9-c76d487a2720"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SqrtBox["kb"]}]], "-", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861764451911368*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"0523ee69-8793-427f-ba71-5942dc3653ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     FractionBox["\[Alpha]", 
      RowBox[{"2", " ", 
       SqrtBox["kb"]}]], "-", 
     FractionBox[
      SuperscriptBox["\[Alpha]", "2"], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"a5e2cd7f-3dfb-41ff-8d5b-5f307082ba79"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cv", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"cvb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
  RowBox[{"2", " ", 
   SuperscriptBox["kb", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861764453756608*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"b5bfaa7a-ff46-4de8-a768-289cf332761b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616977887216*^9, 3.861697795991705*^9}, {
  3.861745460374744*^9, 3.861745461066736*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"d02f4f45-22c4-42a5-b00f-8012d2dd8c76"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
       FractionBox[
        RowBox[{
         SqrtBox["kb"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
       FractionBox[
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
        SqrtBox["kb"]]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["kb"]]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["kb"]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["kb"]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["kb"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["kb"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SqrtBox["kb"]}]], "-", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        FractionBox["\[Alpha]", 
         RowBox[{"2", " ", 
          SqrtBox["kb"]}]], "-", 
        FractionBox[
         SuperscriptBox["\[Alpha]", "2"], 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["kb", 
        RowBox[{"3", "/", "2"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
  
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           RowBox[{"2", " ", 
            SqrtBox["kb"]}]]}], "+", 
         FractionBox[
          SuperscriptBox["\[Alpha]", "2"], 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["kb"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["kb"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["kb", 
        RowBox[{"3", "/", "2"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox["kb"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861764590694742*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"399b0aa3-1d9e-42b0-9bda-29122de5ec23"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%28", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"b9cba375-0dfe-4eec-818c-69494045f913"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "+", 
    RowBox[{"16", " ", "g", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "-", "\[Theta]", "-", 
    RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "d", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "b", " ", "d", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
    RowBox[{"16", " ", "g", " ", 
     SuperscriptBox["kb", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"cvb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8617645971411343`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"2e698936-2b80-4c0b-a4f8-256de7c20592"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"y", ":=", 
  RowBox[{
   RowBox[{"-", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", 
    "\[Theta]"}]}]}]], "Input",
 CellChangeTimes->{{3.861764845142591*^9, 3.861765021950613*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"a6f3fa1e-41a9-4170-8035-9edcb7761ae7"],

Cell[CellGroupData[{

Cell[BoxData["y"], "Input",
 CellChangeTimes->{3.861764999016171*^9},
 CellLabel->"In[34]:=",ExpressionUUID->"aebd5634-1a5e-49ce-9066-ca97b2140bb7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "d", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", "d", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{{3.861764999776215*^9, 3.861765026057364*^9}},
 CellLabel->"Out[34]=",ExpressionUUID->"75521faf-6fff-49cb-bbf4-8e9bb2115aa8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[36]:=",ExpressionUUID->"5f4101cf-6316-4a42-b57d-1a40a885ef6c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861765061266212*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"10c12e32-d79a-4af5-8e2a-5fd84ab97280"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"y1", ":=", 
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["kb", "2"], " ", 
    SuperscriptBox["\[Alpha]", "3"]}], "+", 
   RowBox[{"16", " ", "g", " ", 
    SuperscriptBox["kb", "2"], " ", 
    SuperscriptBox["\[Alpha]", "3"]}], "-", "\[Theta]", "-", 
   RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"8", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
   
   RowBox[{
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "b", " ", "d", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"8", " ", "kb", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"8", " ", "g", " ", "kb", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SuperscriptBox["\[Theta]", "2"]}], "+", 
   RowBox[{"8", " ", "\[Alpha]", " ", 
    SuperscriptBox["\[Theta]", "2"]}], "-", 
   RowBox[{"4", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SuperscriptBox["\[Theta]", "2"]}], "-", 
   RowBox[{"16", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
   RowBox[{"16", " ", "g", " ", 
    SuperscriptBox["kb", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
   RowBox[{"cv", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
   RowBox[{"cvb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "d", "+", "b"}], ")"}], "2"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", 
    "\[Theta]"}]}]}]], "Input",
 CellChangeTimes->{{3.86176682816994*^9, 3.861766852639842*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"754bf79e-0091-4014-80b4-3e6c06c8e7ec"],

Cell[CellGroupData[{

Cell[BoxData["y1"], "Input",
 CellChangeTimes->{{3.861766855634562*^9, 3.861766856281086*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"da6e1fbf-3aee-4563-87f3-11aa933cf7a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"16", " ", 
   SuperscriptBox["kb", "2"], " ", 
   SuperscriptBox["\[Alpha]", "3"]}], "+", 
  RowBox[{"16", " ", "g", " ", 
   SuperscriptBox["kb", "2"], " ", 
   SuperscriptBox["\[Alpha]", "3"]}], "-", "\[Theta]", "-", 
  RowBox[{"2", " ", "b", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "d", " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", "d", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "b", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["b", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "b", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"8", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "d", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", "b", " ", "d", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"8", " ", "kb", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"8", " ", "g", " ", "kb", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{"8", " ", "\[Alpha]", " ", 
   SuperscriptBox["\[Theta]", "2"]}], "-", 
  RowBox[{"4", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", 
   SuperscriptBox["\[Theta]", "2"]}], "-", 
  RowBox[{"16", " ", 
   SuperscriptBox["kb", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
  RowBox[{"16", " ", "g", " ", 
   SuperscriptBox["kb", 
    RowBox[{"3", "/", "2"}]], " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
  RowBox[{"cv", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
  RowBox[{"cvb", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8617668571402493`*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"115fc392-c5b0-4a84-8626-33712575261b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%47", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"38abd696-9e41-4064-ab8c-e6a9a261002b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cv", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
  RowBox[{"cvb", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "b", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "3"]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
      "\[Theta]"}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", 
      SuperscriptBox["kb", 
       RowBox[{"3", "/", "2"}]], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861766859541453*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"79a12ea0-704d-4dce-a893-129d3f833b51"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 
   3.861616023208786*^9}},ExpressionUUID->"88e53abe-287a-4bc8-b4d3-\
7f3e868d9937"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861769051051571*^9, 3.861769053801083*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"6592871e-b8ee-4756-b984-9ef698b25036"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "-", "\[Alpha]"}], 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.8617690549318523`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"dc338c5d-5578-4f54-bbbe-0bfa347d350c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616999932022142`*^9, 3.8617000030266333`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"df835959-cddf-4f78-a40c-c7702ebc5ffd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
       FractionBox[
        RowBox[{
         SqrtBox["kb"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["kb"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         SqrtBox["kb"], " ", "\[Alpha]"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      FractionBox[
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["kb"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["kb"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "b", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "b", "-", "d"}], ")"}]}], "+", "d"}], 
        ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["kb"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.8617691340979767`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"c50c25bd-c29a-46c7-9d17-501905fd6a34"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%50", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[51]:=",ExpressionUUID->"b503e2ae-76c8-41a7-b17f-dc27b12e4713"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"8", " ", "cvb"}], "-", 
    RowBox[{"2", " ", "d"}], "-", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "b", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"8", " ", "cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]",
     "+", 
    RowBox[{"16", " ", "cvb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "cvb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"8", " ", "g", " ", 
     SqrtBox["kb"], " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SqrtBox["kb"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861769138146181*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"6df0a851-df1a-41d5-bc65-5ed23a6c2438"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"y", ":=", 
  RowBox[{
   RowBox[{"-", "1"}], "-", 
   RowBox[{"8", " ", "cvb"}], "-", 
   RowBox[{"2", " ", "d"}], "-", 
   SuperscriptBox["d", "2"], "+", 
   RowBox[{
    SuperscriptBox["b", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "b", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"8", " ", "cv", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]", 
   "+", 
   RowBox[{"16", " ", "cvb", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
   RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
   RowBox[{"8", " ", "cvb", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"8", " ", "kb", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"12", " ", "\[Theta]"}], "+", 
   RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"16", " ", 
    SqrtBox["kb"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
   RowBox[{"8", " ", "g", " ", 
    SqrtBox["kb"], " ", "\[Alpha]", " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"]}]}]}]], "Input",
 CellChangeTimes->{{3.861769227518566*^9, 3.861769267654357*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"4c5ef924-f944-4e95-a48e-4279ab67e8e7"],

Cell[CellGroupData[{

Cell[BoxData["y"], "Input",
 CellChangeTimes->{3.861769270051512*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"4c5311c6-1656-4339-937c-dd0b452b174c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  RowBox[{"8", " ", "cvb"}], "-", 
  RowBox[{"2", " ", "d"}], "-", 
  SuperscriptBox["d", "2"], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "b", "+", "d"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["b", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"2", " ", "b", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
  RowBox[{"8", " ", "cv", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]", 
  "+", 
  RowBox[{"16", " ", "cvb", " ", "\[Alpha]"}], "+", 
  RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
  RowBox[{
   SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
  RowBox[{"8", " ", "kb", " ", "\[Alpha]"}], "-", 
  RowBox[{"8", " ", "g", " ", "kb", " ", "\[Alpha]"}], "-", 
  RowBox[{"8", " ", "cvb", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"8", " ", "kb", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"12", " ", "\[Theta]"}], "+", 
  RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"16", " ", 
   SqrtBox["kb"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
  RowBox[{"8", " ", "g", " ", 
   SqrtBox["kb"], " ", "\[Alpha]", " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"cvb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}]], "Output",
 CellChangeTimes->{3.861769270717355*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"c30bca97-e22c-4bbc-b83b-41d1470dfecd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%53", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[54]:=",ExpressionUUID->"7eb7ce6a-8de4-432d-b537-4b3918b498c6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "4"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "cv"}], "+", 
    RowBox[{"2", " ", "cvb"}], "-", 
    RowBox[{"4", " ", "cv", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "cvb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "cv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "cvb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"3", " ", "\[Theta]"}], "-", 
    RowBox[{"3", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SqrtBox["kb"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
    RowBox[{"2", " ", "g", " ", 
     SqrtBox["kb"], " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8617692767218943`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"9384f6c2-f1d6-4553-b03b-9d1eac3a0cc2"]
}, Open  ]],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{
  3.861769628368952*^9},ExpressionUUID->"b45728ad-4a04-4d18-b771-\
b8f6941a09a6"],

Cell[TextData[StyleBox["g", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 3.861616023208786*^9}, {
   3.861770713654767*^9, 
   3.8617707146618567`*^9}},ExpressionUUID->"26c2e9fc-4f82-4959-aec2-\
598354400470"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861770716902018*^9, 3.86177072014432*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"a0a6191b-e392-40a2-afe9-2c8103e5dca5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8617707205193357`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"cca3a3d1-0695-42ad-aca1-c4b492a911d1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861770722089489*^9, 3.861770740088258*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"bcd6be0d-69fa-4409-a0a7-aa9cb2f86062"],

Cell[BoxData[
 RowBox[{"cs", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{{3.861770734768174*^9, 3.861770741037922*^9}},
 CellLabel->"Out[57]=",ExpressionUUID->"ce1134da-534a-4c18-8a00-1b482f67d051"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"cs", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["kb"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[58]:=",ExpressionUUID->"7d61eb2e-c73d-4ebb-827d-9baf5e36ed56"],

Cell[BoxData[
 RowBox[{"cs", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["kb"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.8617707430956173`*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"c74b80be-552f-46f5-a329-181f805e25cd"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861770709730171*^9, 
  3.861770710717842*^9}},ExpressionUUID->"b2e999b6-4354-49d4-a2a0-\
51ff652f490b"]
},
WindowSize->{770, 730},
WindowMargins->{{-21, Automatic}, {1, Automatic}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"35545cf6-2049-40e5-af7e-15c9cf45b26d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2237, 63, 73, "Input",ExpressionUUID->"0a8450bf-6e8c-477c-887b-bec43298eb05"],
Cell[CellGroupData[{
Cell[2820, 87, 227, 4, 44, "Input",ExpressionUUID->"f618d3c9-0aa9-469d-b6d8-716b016bda56"],
Cell[3050, 93, 321, 8, 34, "Output",ExpressionUUID->"e7a25d41-b28c-49ee-8685-a4b8cafc98d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3408, 106, 190, 4, 44, "Input",ExpressionUUID->"eee8ae12-b33f-48b4-aafb-27e66fd27ca5"],
Cell[3601, 112, 349, 9, 52, "Output",ExpressionUUID->"6d07e6d5-3143-4777-8cd5-1805e7053d97"]
}, Open  ]],
Cell[3965, 124, 313, 7, 49, "Input",ExpressionUUID->"c9e24fb0-b49e-41cb-a348-68790e778ba0"],
Cell[CellGroupData[{
Cell[4303, 135, 177, 2, 30, "Input",ExpressionUUID->"f6fc5614-3497-405e-9d07-2a5111ddaf3e"],
Cell[4483, 139, 578, 17, 52, "Output",ExpressionUUID->"8c32312e-03a9-4798-959f-8b0ae18329b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5098, 161, 258, 5, 44, "Input",ExpressionUUID->"bc84b579-b197-40fb-9257-3201590407ff"],
Cell[5359, 168, 453, 12, 52, "Output",ExpressionUUID->"0854fa23-853a-423b-bf50-7a7581fefa89"]
}, Open  ]],
Cell[5827, 183, 410, 10, 49, "Input",ExpressionUUID->"ed831bca-9180-4815-9958-8d7e47e8c290"],
Cell[CellGroupData[{
Cell[6262, 197, 178, 2, 30, "Input",ExpressionUUID->"277be849-4ca2-4b68-b8b4-608c66c3ba06"],
Cell[6443, 201, 1395, 43, 52, "Output",ExpressionUUID->"d14d60cb-df6a-4fa8-a501-2ff8794f188d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7875, 249, 1456, 45, 62, "Input",ExpressionUUID->"76ff4277-0df5-45cb-b233-0ee5553ca8f9"],
Cell[9334, 296, 1652, 51, 51, "Output",ExpressionUUID->"e9ff30df-af47-4de6-8941-3db047733d02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11023, 352, 222, 4, 44, "Input",ExpressionUUID->"2f2b8316-8c7a-46a4-aa71-e50cab5a89be"],
Cell[11248, 358, 1963, 61, 73, "Output",ExpressionUUID->"afe6c91a-5425-45ff-b78e-6dcb20c8be58"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13248, 424, 259, 5, 44, "Input",ExpressionUUID->"5e4d266f-5548-4d69-97c4-db287c6e3686"],
Cell[13510, 431, 933, 24, 57, "Output",ExpressionUUID->"0b8f6ba0-32f9-4f27-8c4a-e12e01b6d299"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14480, 460, 1823, 53, 142, "Input",ExpressionUUID->"1e50a26d-cfcd-4808-ab72-4a1d99cf542e"],
Cell[16306, 515, 410, 11, 52, "Output",ExpressionUUID->"2fd3106e-4b4c-4db1-baf0-bea023ca193c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16753, 531, 257, 5, 44, "Input",ExpressionUUID->"629550b9-4baa-4a9c-84a5-0653d7b26e88"],
Cell[17013, 538, 336, 9, 50, "Output",ExpressionUUID->"89faddc8-454b-485d-b11e-2a00a7431458"]
}, Open  ]],
Cell[17364, 550, 299, 7, 47, "Input",ExpressionUUID->"69e35faa-1d8f-43f3-9905-8393992fa34c"],
Cell[17666, 559, 868, 21, 54, "Input",ExpressionUUID->"91e1c1b6-2eb5-4195-bdeb-08dc5471c7fb"],
Cell[CellGroupData[{
Cell[18559, 584, 148, 2, 30, "Input",ExpressionUUID->"5daab8fa-45cd-4612-a2c0-142689f21227"],
Cell[18710, 588, 1671, 48, 93, "Output",ExpressionUUID->"b7d34ab2-89f1-425f-815c-9d81a4c70c6b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20418, 641, 1741, 51, 133, "Input",ExpressionUUID->"29b1a8fc-dd6b-42fe-9a7c-5d37c3f01e4f"],
Cell[22162, 694, 1197, 35, 57, "Output",ExpressionUUID->"dbabfd02-264f-4a03-ad14-1a3c309695ee"]
}, Open  ]],
Cell[23374, 732, 1282, 37, 54, "Input",ExpressionUUID->"d60e137b-825a-47c4-881b-d20e6d03232b"],
Cell[CellGroupData[{
Cell[24681, 773, 150, 2, 30, "Input",ExpressionUUID->"a0f6d5d4-e9a8-489b-8238-6ebab316ef24"],
Cell[24834, 777, 2593, 75, 183, "Output",ExpressionUUID->"4d4498b9-9dc6-44fa-aa81-293253bcb752"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27464, 857, 163, 3, 44, "Input",ExpressionUUID->"7bebfa6f-1306-4e02-a571-6e28d43002d1"],
Cell[27630, 862, 1132, 33, 55, "Output",ExpressionUUID->"2cb6be2d-2638-4c5f-b8c0-34d35bff31ec"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28799, 900, 148, 2, 30, "Input",ExpressionUUID->"ffac8ee2-5c1d-498a-b7e3-b065f986559a"],
Cell[28950, 904, 2735, 78, 183, "Output",ExpressionUUID->"4c2900c4-7ac0-4254-b7fa-c4d3dc0f771d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31722, 987, 163, 3, 44, "Input",ExpressionUUID->"2a2be239-6fb2-4dff-bcd8-712be0f80b2c"],
Cell[31888, 992, 1282, 37, 77, "Output",ExpressionUUID->"9df3bd3d-ce9b-4d3a-87f4-12edec3cd8b3"]
}, Open  ]],
Cell[33185, 1032, 206, 4, 73, "Input",ExpressionUUID->"25ab59ef-27a4-4368-8cb8-9991b11e587d"],
Cell[33394, 1038, 9748, 310, 322, "Text",ExpressionUUID->"66f87bcd-c228-4576-95b8-b9322660b621"],
Cell[43145, 1350, 154, 3, 30, "Input",ExpressionUUID->"be3bd97c-743c-4105-9583-40587042696b"],
Cell[43302, 1355, 206, 4, 73, "Input",ExpressionUUID->"f0a2ec39-f847-47f4-a186-5a343655ebe0"],
Cell[CellGroupData[{
Cell[43533, 1363, 3810, 114, 356, "Input",ExpressionUUID->"f30730d2-9a2e-4755-b78b-54f23884e421"],
Cell[47346, 1479, 176, 2, 34, "Output",ExpressionUUID->"6f834412-ec7b-4328-8813-ba38797027f0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47559, 1486, 163, 3, 44, "Input",ExpressionUUID->"b29e0715-9f98-4a9f-9243-00d53f468372"],
Cell[47725, 1491, 6160, 168, 230, "Output",ExpressionUUID->"cc1200a1-a121-4ae9-a26a-5f6f2c87fc81"]
}, Open  ]],
Cell[53900, 1662, 6377, 169, 271, "Input",ExpressionUUID->"6382a681-a1d3-463a-87e8-688bdca31b73"],
Cell[CellGroupData[{
Cell[60302, 1835, 178, 2, 30, "Input",ExpressionUUID->"38db2e26-d462-4de2-a518-4badb76a5848"],
Cell[60483, 1839, 5907, 172, 312, "Output",ExpressionUUID->"cd8ddd19-d241-48a3-8bba-f59bba9bd78f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66427, 2016, 163, 3, 44, "Input",ExpressionUUID->"a5383fac-ce9e-4ce6-baa3-615b076ad4f9"],
Cell[66593, 2021, 6350, 181, 339, "Output",ExpressionUUID->"d50621de-27a2-4549-bdab-80f7df53e212"]
}, Open  ]],
Cell[72958, 2205, 6430, 181, 471, "Input",ExpressionUUID->"8f9b3669-e75f-421a-9677-68d06941dee9"],
Cell[79391, 2388, 330, 8, 47, "Input",ExpressionUUID->"468b6f87-2585-4b79-a8ae-c09f7e451f58"],
Cell[CellGroupData[{
Cell[79746, 2400, 175, 2, 30, "Input",ExpressionUUID->"05f7334e-8205-422e-a76e-a392464982c5"],
Cell[79924, 2404, 429, 13, 49, "Output",ExpressionUUID->"bfe251d1-872a-44da-8cb5-6d16f31e8e34"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80390, 2422, 452, 14, 60, "Input",ExpressionUUID->"120ef1fb-5d71-47ee-950c-de40d92b0167"],
Cell[80845, 2438, 275, 7, 51, "Output",ExpressionUUID->"049542f8-d4bc-4c30-abba-ca0e5cdb2841"]
}, Open  ]],
Cell[81135, 2448, 241, 4, 30, "Input",ExpressionUUID->"3a01fee7-aaa1-4ad3-82b6-e49f6bdbd517"],
Cell[CellGroupData[{
Cell[81401, 2456, 174, 2, 30, "Input",ExpressionUUID->"9118ad90-d7cf-49ba-8d4e-70a746218ae5"],
Cell[81578, 2460, 13298, 389, 768, "Output",ExpressionUUID->"2c10e0b3-2a40-41f3-a278-f14221e95750"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94913, 2854, 163, 3, 44, "Input",ExpressionUUID->"038e56d4-906f-4111-98bb-b6445609ae92"],
Cell[95079, 2859, 7357, 203, 272, "Output",ExpressionUUID->"724c09a7-4ae2-45e0-983e-518e3434d601"]
}, Open  ]],
Cell[102451, 3065, 428, 10, 155, "Text",ExpressionUUID->"8cb27f4e-3380-430b-aa45-4fc4bc613c10"],
Cell[102882, 3077, 150, 3, 59, "Text",ExpressionUUID->"ee33dc93-4357-4f47-8ba0-5da45a2ccad1"],
Cell[CellGroupData[{
Cell[103057, 3084, 224, 4, 44, "Input",ExpressionUUID->"e4614b99-6dc2-404e-b449-988cccb1300c"],
Cell[103284, 3090, 646, 20, 53, "Output",ExpressionUUID->"0c7110ed-789f-4c22-9be7-8ab77182587c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103967, 3115, 676, 21, 63, "Input",ExpressionUUID->"eb74d6e5-de8c-4050-9889-0dc99d679570"],
Cell[104646, 3138, 226, 5, 52, "Output",ExpressionUUID->"d48e1c9f-bd94-4daa-8ecb-0f9b4e17330a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104909, 3148, 224, 4, 44, "Input",ExpressionUUID->"108f69e4-e8fe-4b04-a3c6-b11602754ae3"],
Cell[105136, 3154, 753, 24, 53, "Output",ExpressionUUID->"b9d0335a-1326-447d-b2b7-ddad2fc68dee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105926, 3183, 785, 25, 63, "Input",ExpressionUUID->"ed859008-4ff8-44a8-a38a-b64162ee9756"],
Cell[106714, 3210, 303, 8, 52, "Output",ExpressionUUID->"b87658bc-0081-4b65-a787-e5d7c8ff88bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107054, 3223, 226, 4, 44, "Input",ExpressionUUID->"b181bf78-048d-49f8-8869-ce5c0d8b44b5"],
Cell[107283, 3229, 698, 22, 55, "Output",ExpressionUUID->"96a91f89-fd51-4e5f-801e-b895ea1cfa4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108018, 3256, 733, 24, 65, "Input",ExpressionUUID->"f4b3e99b-9ee2-4be6-b451-43c3d488d26c"],
Cell[108754, 3282, 256, 6, 52, "Output",ExpressionUUID->"be144fa6-7037-4f0e-864e-6d484fdc859e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109047, 3293, 221, 4, 44, "Input",ExpressionUUID->"c47430ec-1a79-4b36-a94b-543b596ae522"],
Cell[109271, 3299, 169, 3, 50, "Output",ExpressionUUID->"811e519f-ed2e-46fe-aa11-8d0c2aee9088"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109477, 3307, 228, 4, 44, "Input",ExpressionUUID->"8c418bea-9d64-42cf-92d8-ff0dc556080f"],
Cell[109708, 3313, 13587, 416, 468, "Output",ExpressionUUID->"926612ea-7e0a-41ea-a3da-72b81ad44cc2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123332, 3734, 163, 3, 44, "Input",ExpressionUUID->"aec2cdef-a04c-4e9f-a42d-7fca8c43a0b0"],
Cell[123498, 3739, 1320, 39, 52, "Output",ExpressionUUID->"d94ee271-7b79-4cf8-882d-2a58e7ef6f99"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124855, 3783, 229, 4, 44, "Input",ExpressionUUID->"24573da4-d0b0-4bff-b60e-9a487e22f76b"],
Cell[125087, 3789, 6398, 199, 165, "Output",ExpressionUUID->"0d74f5e5-9c86-41a5-9b8c-483aa5a55274"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131522, 3993, 163, 3, 44, "Input",ExpressionUUID->"a724888e-d30f-4952-bdba-3609d2fb501a"],
Cell[131688, 3998, 1318, 39, 52, "Output",ExpressionUUID->"3035dac8-5689-400a-a9b6-c277d3334ec2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133043, 4042, 225, 4, 44, "Input",ExpressionUUID->"92643d81-d6a9-4ce3-a7fc-955daebbeb93"],
Cell[133271, 4048, 398, 12, 50, "Output",ExpressionUUID->"e2ee970a-129a-40d6-8a26-a8f03b008da4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133706, 4065, 420, 13, 60, "Input",ExpressionUUID->"f0dd76ec-d913-4d3f-beb7-5cbff9f4f9ee"],
Cell[134129, 4080, 249, 6, 50, "Output",ExpressionUUID->"fb71cb07-fb67-4e5f-8470-0bf8856708b6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134415, 4091, 225, 4, 44, "Input",ExpressionUUID->"21e89bba-37e9-4161-8c6c-36a1a793808a"],
Cell[134643, 4097, 18799, 576, 603, "Output",ExpressionUUID->"0c73d5a3-0e20-4754-8d17-3b25d3ad88cb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153479, 4678, 163, 3, 44, "Input",ExpressionUUID->"fdc27e4a-df62-421a-8596-84a1c652757b"],
Cell[153645, 4683, 1404, 41, 52, "Output",ExpressionUUID->"8943f793-efb9-4084-b74d-2d85737534f1"]
}, Open  ]],
Cell[155064, 4727, 222, 4, 59, "Text",ExpressionUUID->"9ae6a133-42cd-492f-a991-70591e145960"],
Cell[CellGroupData[{
Cell[155311, 4735, 251, 5, 44, "Input",ExpressionUUID->"dfd94792-43eb-449b-bdc1-cefddd655b8a"],
Cell[155565, 4742, 1474, 43, 56, "Output",ExpressionUUID->"e22f94a0-f450-4fa8-90d1-35ebb20f352b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157076, 4790, 1505, 45, 67, "Input",ExpressionUUID->"4b6d19b7-3fb2-4f23-94c6-594451cc2b59"],
Cell[158584, 4837, 500, 14, 55, "Output",ExpressionUUID->"2d91e554-6885-4e00-a912-ae408dfcfb31"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159121, 4856, 251, 5, 44, "Input",ExpressionUUID->"138377f0-287a-41fa-b48a-47344661fe4c"],
Cell[159375, 4863, 1694, 50, 53, "Output",ExpressionUUID->"757b4211-9d0e-48ba-a65a-e290ff0b1c6e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161106, 4918, 1758, 52, 64, "Input",ExpressionUUID->"14ac3325-b4f6-489f-b870-48d3a565ff75"],
Cell[162867, 4972, 541, 15, 57, "Output",ExpressionUUID->"5520162e-a87a-4d6f-a3ee-e1b7e2ef9633"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163445, 4992, 295, 5, 44, "Input",ExpressionUUID->"1b7e518f-7abd-4b10-900f-1bdc7ec7481d"],
Cell[163743, 4999, 446, 12, 54, "Output",ExpressionUUID->"e25e3352-8284-4e6b-8399-00e855fe7486"]
}, Open  ]],
Cell[CellGroupData[{
Cell[164226, 5016, 443, 14, 64, "Input",ExpressionUUID->"89e180d3-9a1a-4194-aaf6-41a88a7925d9"],
Cell[164672, 5032, 370, 11, 54, "Output",ExpressionUUID->"2d80c545-d9d8-459e-816b-f7e7e9d6fff3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[165079, 5048, 250, 5, 44, "Input",ExpressionUUID->"df85ca8b-8290-4367-9069-c7557eb6d17b"],
Cell[165332, 5055, 149, 2, 34, "Output",ExpressionUUID->"402a39ad-0fbe-40ce-af8a-8b512714225e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[165518, 5062, 280, 5, 44, "Input",ExpressionUUID->"9c3aceb2-4b93-41af-a538-126ae2b4e030"],
Cell[165801, 5069, 16157, 476, 537, "Output",ExpressionUUID->"637949ee-0ca7-44e5-a7e8-79e111945205"]
}, Open  ]],
Cell[CellGroupData[{
Cell[181995, 5550, 163, 3, 44, "Input",ExpressionUUID->"65349b47-2b79-45d8-99a6-acb99266a65e"],
Cell[182161, 5555, 3536, 103, 79, "Output",ExpressionUUID->"f902d2ee-4217-482d-85b4-6905f46a1984"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185734, 5663, 303, 5, 44, "Input",ExpressionUUID->"5365007e-b2eb-45b0-adf3-a826831873a1"],
Cell[186040, 5670, 9500, 282, 305, "Output",ExpressionUUID->"84683115-a667-4cec-9f28-316dd947bce2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195577, 5957, 163, 3, 44, "Input",ExpressionUUID->"e271987f-927a-4064-94bc-03a8f48df5cd"],
Cell[195743, 5962, 3537, 103, 79, "Output",ExpressionUUID->"11c40b45-fdcf-4cfc-b90e-045b1dc1b85c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[199317, 6070, 226, 4, 44, "Input",ExpressionUUID->"7d4dc407-6e0f-41e5-9b9e-793f7b9c0be8"],
Cell[199546, 6076, 149, 2, 34, "Output",ExpressionUUID->"46faedf2-fa11-4b4b-91ac-3d67c7ca36b3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[199732, 6083, 224, 4, 44, "Input",ExpressionUUID->"95e6c968-2c11-451a-ba86-d5113d6933b1"],
Cell[199959, 6089, 22139, 651, 743, "Output",ExpressionUUID->"07023f6f-ffaf-4c2f-afc8-7350a347b4b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[222135, 6745, 163, 3, 44, "Input",ExpressionUUID->"6b5757d6-13a8-464d-802f-b828391253ca"],
Cell[222301, 6750, 3590, 104, 102, "Output",ExpressionUUID->"7333578d-849c-439b-a8e8-968cb7776a5e"]
}, Open  ]],
Cell[225906, 6857, 207, 4, 59, "Text",ExpressionUUID->"30c28278-3621-4d8b-b72e-7777b6681f41"],
Cell[CellGroupData[{
Cell[226138, 6865, 229, 4, 44, "Input",ExpressionUUID->"e434c703-5beb-44d2-9df6-c127eac52c99"],
Cell[226370, 6871, 354, 10, 52, "Output",ExpressionUUID->"fefe0912-8cb4-4f29-a838-8da1518f5ce1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226761, 6886, 374, 11, 62, "Input",ExpressionUUID->"313ea049-40a4-4f47-833f-d2d470bd48a8"],
Cell[227138, 6899, 193, 4, 51, "Output",ExpressionUUID->"3afa6a5a-2eb2-4be9-b128-99c74735f681"]
}, Open  ]],
Cell[CellGroupData[{
Cell[227368, 6908, 229, 4, 44, "Input",ExpressionUUID->"80376a85-0a02-4c6d-9065-712956e333d4"],
Cell[227600, 6914, 392, 11, 52, "Output",ExpressionUUID->"0943f56c-761e-4339-a3bb-b34cd3dfccd6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228029, 6930, 413, 12, 62, "Input",ExpressionUUID->"c924c106-a9a9-40bc-acc0-a405b228fe93"],
Cell[228445, 6944, 218, 5, 51, "Output",ExpressionUUID->"a414b21a-9428-4c89-8c7d-ebe82e9fda4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228700, 6954, 229, 4, 44, "Input",ExpressionUUID->"a3feacfa-6b93-4a2c-bfd3-be19c32fcafa"],
Cell[228932, 6960, 376, 11, 54, "Output",ExpressionUUID->"d5d95d6b-1bf9-4e2f-8d0e-abbaff79b9fa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[229345, 6976, 400, 13, 64, "Input",ExpressionUUID->"a14c064b-f1aa-44c6-856e-41b691290726"],
Cell[229748, 6991, 271, 7, 52, "Output",ExpressionUUID->"83c1c847-c0d9-4299-acfb-eef94327b42f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[230056, 7003, 231, 4, 44, "Input",ExpressionUUID->"72350bbd-76e5-4044-83f9-7457269db1c8"],
Cell[230290, 7009, 149, 2, 34, "Output",ExpressionUUID->"7e85be8a-452f-4694-87a2-67b1f23a7686"]
}, Open  ]],
Cell[CellGroupData[{
Cell[230476, 7016, 237, 4, 44, "Input",ExpressionUUID->"da7e988e-5d81-46ba-90d7-6c72cd11adb6"],
Cell[230716, 7022, 10265, 302, 396, "Output",ExpressionUUID->"bcf6eb60-a921-4a62-8140-bf7ff0935e08"]
}, Open  ]],
Cell[CellGroupData[{
Cell[241018, 7329, 163, 3, 44, "Input",ExpressionUUID->"cca424de-3e4e-411b-8e1d-2a9382df8d05"],
Cell[241184, 7334, 1132, 33, 55, "Output",ExpressionUUID->"1b3c3069-d3d8-4928-aceb-2a07c0e96f3d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[242353, 7372, 233, 4, 44, "Input",ExpressionUUID->"88bd2559-feff-4788-a4ac-f4482f06c619"],
Cell[242589, 7378, 5746, 176, 230, "Output",ExpressionUUID->"fbfdc2c0-425f-45e8-9d91-956d915a13f4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248372, 7559, 163, 3, 44, "Input",ExpressionUUID->"43b952e8-fe8d-4df8-9ee4-c509326b898b"],
Cell[248538, 7564, 1170, 34, 55, "Output",ExpressionUUID->"be50bb19-eca4-41c2-b8ad-d58295ffd01e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[249745, 7603, 232, 4, 44, "Input",ExpressionUUID->"5b39a827-041f-46f0-a18b-58566c746080"],
Cell[249980, 7609, 149, 2, 34, "Output",ExpressionUUID->"c438b8a4-cdd9-41f3-bf1c-a6101c9a4d07"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250166, 7616, 228, 4, 44, "Input",ExpressionUUID->"02b72cc7-0d41-4ed0-9192-7484db5bb387"],
Cell[250397, 7622, 12630, 374, 484, "Output",ExpressionUUID->"dbec397d-0c71-4874-b173-1d2cd17bfb83"]
}, Open  ]],
Cell[CellGroupData[{
Cell[263064, 8001, 163, 3, 44, "Input",ExpressionUUID->"1cbce003-d1d9-44df-99ce-38044914034d"],
Cell[263230, 8006, 1288, 37, 52, "Output",ExpressionUUID->"65063cda-dbf6-4163-926e-32a70052fcdd"]
}, Open  ]],
Cell[264533, 8046, 250, 5, 59, "Text",ExpressionUUID->"516de55e-a4f7-4b21-be43-1face100cf3e"],
Cell[CellGroupData[{
Cell[264808, 8055, 222, 4, 44, "Input",ExpressionUUID->"42cdea6a-eea4-416b-bdae-6a2de84a1ca4"],
Cell[265033, 8061, 298, 8, 49, "Output",ExpressionUUID->"8abe4da2-a1cc-41a6-a09e-69b346d3cde7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[265368, 8074, 222, 4, 44, "Input",ExpressionUUID->"a6a9258b-8f46-49c5-9c69-b290f1cdbcf4"],
Cell[265593, 8080, 305, 8, 52, "Output",ExpressionUUID->"a85fc90c-4fda-435e-a381-7fae08a60f25"]
}, Open  ]],
Cell[CellGroupData[{
Cell[265935, 8093, 222, 4, 44, "Input",ExpressionUUID->"069bd203-bb19-4101-8afd-388f8917d0bb"],
Cell[266160, 8099, 301, 8, 55, "Output",ExpressionUUID->"339a14a5-ba71-4d95-b2b0-7bd6d6130b77"]
}, Open  ]],
Cell[CellGroupData[{
Cell[266498, 8112, 227, 4, 44, "Input",ExpressionUUID->"ff270b0f-e08c-4021-932b-10b2b551321c"],
Cell[266728, 8118, 1792, 52, 60, "Output",ExpressionUUID->"6523108d-b8ba-45e0-9b05-5b1c6c37ce35"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268557, 8175, 1852, 53, 70, "Input",ExpressionUUID->"49f871eb-809c-4c6d-96cc-b0b48eac5cc2"],
Cell[270412, 8230, 1306, 37, 59, "Output",ExpressionUUID->"268e642e-e7b7-408f-8119-4ec5ee92131d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[271755, 8272, 228, 4, 44, "Input",ExpressionUUID->"4c965650-4014-4bda-b168-e1668e4283ae"],
Cell[271986, 8278, 1847, 48, 79, "Output",ExpressionUUID->"2f804e15-f52c-4cc5-8ced-1ef397a9f2bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273870, 8331, 163, 3, 44, "Input",ExpressionUUID->"38deeb00-8699-48bf-89eb-26f31ef4438d"],
Cell[274036, 8336, 1311, 37, 59, "Output",ExpressionUUID->"21619674-945e-4dd4-9e25-3bbdc31e6aae"]
}, Open  ]],
Cell[CellGroupData[{
Cell[275384, 8378, 225, 4, 44, "Input",ExpressionUUID->"fcad5ba0-0a22-4c88-9ea5-d76b55406fb0"],
Cell[275612, 8384, 3631, 102, 127, "Output",ExpressionUUID->"762d948f-5de1-4d6a-9857-70d479c53f9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[279280, 8491, 163, 3, 44, "Input",ExpressionUUID->"dc711243-3b07-45dd-9b5f-9093a5385cc7"],
Cell[279446, 8496, 1360, 38, 82, "Output",ExpressionUUID->"f8787228-afb9-41b2-8ad2-d16001277b4c"]
}, Open  ]],
Cell[280821, 8537, 1886, 55, 113, "Input",ExpressionUUID->"b5565c34-045e-477e-8b48-5fac22b612bd"],
Cell[282710, 8594, 2239, 63, 73, "Input",ExpressionUUID->"2a6e0546-da13-41ba-905b-bd319021b314"],
Cell[284952, 8659, 682, 17, 90, "Input",ExpressionUUID->"b0520696-7957-4fb1-8851-3423cd0f42bf"],
Cell[CellGroupData[{
Cell[285659, 8680, 264, 5, 44, "Input",ExpressionUUID->"ee5616e8-16d7-435f-9bed-b26c1a75f5b1"],
Cell[285926, 8687, 2305, 63, 76, "Output",ExpressionUUID->"8ecfcd63-c39e-4711-8cef-d759e41d3ed8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[288268, 8755, 1125, 30, 90, "Input",ExpressionUUID->"b151cd83-dec8-474f-9f74-3f0893b2e78c"],
Cell[289396, 8787, 949, 28, 60, "Output",ExpressionUUID->"240c4761-754c-4bb4-8ec4-fe25ffca9914"]
}, Open  ]],
Cell[290360, 8818, 2713, 87, 219, "Input",ExpressionUUID->"ff6986f0-fc80-4523-bb98-e8b72f711a68"],
Cell[CellGroupData[{
Cell[293098, 8909, 178, 2, 30, "Input",ExpressionUUID->"c542bd62-67dd-45f5-b3d2-541603c54ef4"],
Cell[293279, 8913, 7440, 226, 251, "Output",ExpressionUUID->"9b747a81-feed-4c65-a6ee-d391d8303b5b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[300756, 9144, 4306, 125, 154, "Input",ExpressionUUID->"55b1c7df-47cf-415f-8ea2-0b469fa93ada"],
Cell[305065, 9271, 1152, 32, 65, "Output",ExpressionUUID->"e1e72ed0-a1c0-4be2-9d32-f51812371af7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306254, 9308, 2469, 75, 135, "Input",ExpressionUUID->"79b8df9c-03db-4414-9837-b2cd409e3cfe"],
Cell[308726, 9385, 2514, 76, 84, "Output",ExpressionUUID->"a0865d5c-f807-4411-a512-50300094ad8c"]
}, Open  ]],
Cell[311255, 9464, 428, 10, 107, "Text",ExpressionUUID->"b1fe3452-7f76-436f-841e-cab6253d7762"],
Cell[311686, 9476, 18417, 551, 969, "Input",ExpressionUUID->"40409770-50b3-44b7-bc9e-ecbb7f72b9c4"],
Cell[330106, 10029, 150, 3, 59, "Text",ExpressionUUID->"20a02142-60e2-480d-81df-25b73ae31a76"],
Cell[CellGroupData[{
Cell[330281, 10036, 221, 4, 44, "Input",ExpressionUUID->"9ba3e3c5-836b-4a22-b029-ff29f3c3d235"],
Cell[330505, 10042, 175, 2, 34, "Output",ExpressionUUID->"cc30e083-0b53-4700-bef8-255ff6f3a937"]
}, Open  ]],
Cell[CellGroupData[{
Cell[330717, 10049, 230, 4, 44, "Input",ExpressionUUID->"8bc5709c-c007-496a-b06a-25d178d412d7"],
Cell[330950, 10055, 1357, 44, 64, "Output",ExpressionUUID->"204efb18-62dc-43e2-8810-c791a8dd6094"]
}, Open  ]],
Cell[CellGroupData[{
Cell[332344, 10104, 1409, 45, 77, "Input",ExpressionUUID->"371caa17-38d3-47a8-ac79-7b43b9451533"],
Cell[333756, 10151, 970, 30, 64, "Output",ExpressionUUID->"b6159b78-91d2-4d31-8b68-eb8b2137a715"]
}, Open  ]],
Cell[334741, 10184, 223, 4, 59, "Text",ExpressionUUID->"ba9a145d-a258-427b-8670-0d7714df6d9c"],
Cell[CellGroupData[{
Cell[334989, 10192, 250, 5, 44, "Input",ExpressionUUID->"4505cc0c-4caa-42a4-a8c9-c76d487a2720"],
Cell[335242, 10199, 1743, 56, 70, "Output",ExpressionUUID->"0523ee69-8793-427f-ba71-5942dc3653ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[337022, 10260, 1809, 57, 84, "Input",ExpressionUUID->"a5e2cd7f-3dfb-41ff-8d5b-5f307082ba79"],
Cell[338834, 10319, 970, 30, 58, "Output",ExpressionUUID->"b5bfaa7a-ff46-4de8-a768-289cf332761b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[339841, 10354, 276, 5, 44, "Input",ExpressionUUID->"d02f4f45-22c4-42a5-b00f-8012d2dd8c76"],
Cell[340120, 10361, 19726, 602, 799, "Output",ExpressionUUID->"399b0aa3-1d9e-42b0-9bda-29122de5ec23"]
}, Open  ]],
Cell[CellGroupData[{
Cell[359883, 10968, 163, 3, 44, "Input",ExpressionUUID->"b9cba375-0dfe-4eec-818c-69494045f913"],
Cell[360049, 10973, 6744, 182, 164, "Output",ExpressionUUID->"2e698936-2b80-4c0b-a4f8-256de7c20592"]
}, Open  ]],
Cell[366808, 11158, 1803, 42, 52, "Input",ExpressionUUID->"a6f3fa1e-41a9-4170-8035-9edcb7761ae7"],
Cell[CellGroupData[{
Cell[368636, 11204, 148, 2, 30, "Input",ExpressionUUID->"aebd5634-1a5e-49ce-9066-ca97b2140bb7"],
Cell[368787, 11208, 1743, 40, 56, "Output",ExpressionUUID->"75521faf-6fff-49cb-bbf4-8e9bb2115aa8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370567, 11253, 1769, 41, 71, "Input",ExpressionUUID->"5f4101cf-6316-4a42-b57d-1a40a885ef6c"],
Cell[372339, 11296, 149, 2, 34, "Output",ExpressionUUID->"10c12e32-d79a-4af5-8e2a-5fd84ab97280"]
}, Open  ]],
Cell[372503, 11301, 6088, 163, 131, "Input",ExpressionUUID->"754bf79e-0091-4014-80b4-3e6c06c8e7ec"],
Cell[CellGroupData[{
Cell[378616, 11468, 173, 2, 30, "Input",ExpressionUUID->"da6e1fbf-3aee-4563-87f3-11aa933cf7a1"],
Cell[378792, 11472, 5894, 162, 125, "Output",ExpressionUUID->"115fc392-c5b0-4a84-8626-33712575261b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[384723, 11639, 163, 3, 44, "Input",ExpressionUUID->"38abd696-9e41-4064-ab8c-e6a9a261002b"],
Cell[384889, 11644, 3726, 112, 87, "Output",ExpressionUUID->"79a12ea0-704d-4dce-a893-129d3f833b51"]
}, Open  ]],
Cell[388630, 11759, 209, 4, 59, "Text",ExpressionUUID->"88e53abe-287a-4bc8-b4d3-7f3e868d9937"],
Cell[CellGroupData[{
Cell[388864, 11767, 229, 4, 44, "Input",ExpressionUUID->"6592871e-b8ee-4756-b984-9ef698b25036"],
Cell[389096, 11773, 840, 25, 57, "Output",ExpressionUUID->"dc338c5d-5578-4f54-bbbe-0bfa347d350c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[389973, 11803, 239, 4, 44, "Input",ExpressionUUID->"df835959-cddf-4f78-a40c-c7702ebc5ffd"],
Cell[390215, 11809, 8694, 267, 286, "Output",ExpressionUUID->"c50c25bd-c29a-46c7-9d17-501905fd6a34"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398946, 12081, 163, 3, 44, "Input",ExpressionUUID->"b503e2ae-76c8-41a7-b17f-dc27b12e4713"],
Cell[399112, 12086, 3194, 93, 97, "Output",ExpressionUUID->"6df0a851-df1a-41d5-bc65-5ed23a6c2438"]
}, Open  ]],
Cell[402321, 12182, 2660, 77, 58, "Input",ExpressionUUID->"4c5ef924-f944-4e95-a48e-4279ab67e8e7"],
Cell[CellGroupData[{
Cell[405006, 12263, 148, 2, 30, "Input",ExpressionUUID->"4c5311c6-1656-4339-937c-dd0b452b174c"],
Cell[405157, 12267, 2545, 76, 58, "Output",ExpressionUUID->"c30bca97-e22c-4bbc-b83b-41d1470dfecd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[407739, 12348, 163, 3, 44, "Input",ExpressionUUID->"7eb7ce6a-8de4-432d-b537-4b3918b498c6"],
Cell[407905, 12353, 1997, 54, 69, "Output",ExpressionUUID->"9384f6c2-f1d6-4553-b03b-9d1eac3a0cc2"]
}, Open  ]],
Cell[409917, 12410, 129, 3, 30, "Input",ExpressionUUID->"b45728ad-4a04-4d18-b771-b8f6941a09a6"],
Cell[410049, 12415, 254, 5, 59, "Text",ExpressionUUID->"26c2e9fc-4f82-4959-aec2-598354400470"],
Cell[CellGroupData[{
Cell[410328, 12424, 221, 4, 44, "Input",ExpressionUUID->"a0a6191b-e392-40a2-afe9-2c8103e5dca5"],
Cell[410552, 12430, 151, 2, 34, "Output",ExpressionUUID->"cca3a3d1-0695-42ad-aca1-c4b492a911d1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[410740, 12437, 228, 4, 44, "Input",ExpressionUUID->"bcd6be0d-69fa-4409-a0a7-aa9cb2f86062"],
Cell[410971, 12443, 1121, 31, 65, "Output",ExpressionUUID->"ce1134da-534a-4c18-8a00-1b482f67d051"]
}, Open  ]],
Cell[CellGroupData[{
Cell[412129, 12479, 1148, 34, 76, "Input",ExpressionUUID->"7d61eb2e-c73d-4ebb-827d-9baf5e36ed56"],
Cell[413280, 12515, 1099, 31, 65, "Output",ExpressionUUID->"c74b80be-552f-46f5-a329-181f805e25cd"]
}, Open  ]],
Cell[414394, 12549, 152, 3, 30, "Input",ExpressionUUID->"b2e999b6-4354-49d4-a2a0-51ff652f490b"]
}
]
*)

