(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    432011,      13102]
NotebookOptionsPosition[    405681,      12659]
NotebookOutlinePosition[    406089,      12676]
CellTagsIndexPosition[    406046,      12673]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
  3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
  3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
  3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
  3.861053681512178*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"55fd3c7d-2ae3-4431-97c2-89dd2c71b531"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"1a7a2666-23ff-4ceb-b0f5-e63d73e33b9c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"l", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{{3.861053257091681*^9, 3.861053262497595*^9}, {
   3.861053519646049*^9, 3.861053532766823*^9}, 3.861053702569044*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"d99a4e77-0a63-4988-8973-8ceb7c7705df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellLabel->"In[5]:=",ExpressionUUID->"f2acc39c-1404-456c-9c7b-19ca4f03ce82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861053270987978*^9, 3.861053703799449*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"426e797e-9828-4852-b801-8763046346f6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.8610532780811377`*^9, 3.86105327913593*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"062854cd-c314-4f83-af07-ce9c604f2a51"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellLabel->"In[7]:=",ExpressionUUID->"af6a0666-3e6c-4eab-a7b1-3775dd6058c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.86105328807652*^9, 3.8610535601993523`*^9, 
  3.8610537088490143`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"f895fc3c-009f-43db-b798-648ed97ee12c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellLabel->"In[8]:=",ExpressionUUID->"672f9d18-7675-46f5-8ae7-656d988b1dfd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "-", "l", "+", 
        RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861053309862481*^9, 3.861053563199614*^9, 
  3.8610537109331627`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"e9bb4c57-8f41-40bc-a49a-5970ed01dee5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellLabel->"In[9]:=",ExpressionUUID->"1ee75e90-2296-4bc0-9779-4d832b3cf576"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellLabel->"In[10]:=",ExpressionUUID->"edf978c2-19d2-4ea6-8ba1-4d33fde50c92"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k"}], "-", "l", "+", 
         RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861053336724321*^9, 3.861053577316752*^9, 
  3.861053716112112*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"81895db0-fea6-48be-a9a9-2daf063de6a2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k"}], "-", "l", "+", 
          RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"179e46c1-f2cc-49a6-91f7-a475450963d8"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "cs", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
    RowBox[{
     SuperscriptBox["l", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p", " ", "\[Theta]"}], 
    "+", 
    RowBox[{"l", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["p", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8610537188686132`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"347969d1-ddf5-489d-9050-406953f32523"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "l"}], "]"}]], "Input",
 CellLabel->"In[12]:=",ExpressionUUID->"1cc9076e-cb9b-403d-bdd1-e986237ccc85"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "l", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861053348421033*^9, 3.861053603639591*^9, 
  3.86105372475484*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"3c67a87a-e964-41ca-83af-fc0cd0444ebb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellLabel->"In[13]:=",ExpressionUUID->"6613e4dd-fc6a-418d-8be4-82a2071cb7c4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"l", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "+", 
      RowBox[{"d", " ", "p"}], "-", 
      SuperscriptBox["p", "2"], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", 
      RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8610533593738337`*^9, 3.861053608512151*^9, 
  3.8610537264623404`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"ce57cbbb-7158-4339-baf2-71a835a2ce68"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", "k"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "cs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
      RowBox[{
       SuperscriptBox["l", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p", " ", "\[Theta]"}],
       "+", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["p", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", 
          "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}],
         ")"}]}]}], ")"}]}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8610533651732473`*^9, 3.861053378720413*^9}, 
   3.861053621110057*^9, 3.861053739580958*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"c24b34c5-3a2f-449d-94cd-f2ed40d34ac8"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "\[Theta]"}], "-", 
   RowBox[{"p", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{
  3.8610534044458103`*^9, {3.861053622629068*^9, 3.861053645076572*^9}, 
   3.861053740803722*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"e39adbdc-797a-49ab-8654-b4d72882a87f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.86105342057023*^9, 3.8610534287547007`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"625b4c4c-cfdd-438b-b8d9-7a8d17bed66d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.8610534293777723`*^9, {3.8610536260025187`*^9, 3.8610536496623363`*^9}, 
   3.861053746886313*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"2a3da7b7-307b-4a5c-b668-860b9f91e5ec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}], "\[IndentingNewLine]", "l"}], "Input",
 CellChangeTimes->{{3.861053772265349*^9, 3.861053791190922*^9}, {
  3.861054094839044*^9, 3.861054095173009*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"46bc50e9-ac81-4a8b-a6c7-8e29d025e840"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861054111707676*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"9383781d-9ca6-4247-928d-d96b4500d77d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "+", "d"}], "2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"5494c2f7-6b58-4435-86e0-4a25a6915b14"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "-", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"8", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861054113591381*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"657e6bfc-ab96-4f45-84bd-03f411743995"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8610537931944637`*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"fc0c29d8-21f0-488d-89c0-a10c349cbe16"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"1", "+", "d"}], "2"], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"1", "+", "d"}], "2"], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861053793559709*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"ad2e3f56-9ac8-49ff-96b2-a7000ec081a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%18", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"2a2e5e95-707d-42b1-8587-dd2e3d96d853"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"8", " ", "k"}], "-", 
      RowBox[{"8", " ", "g", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8610537963604116`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"7b98acd2-167f-49d8-8e63-45f26b46b1e5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.861053798734082*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"07640780-01d0-495a-b74b-f4473abc3487"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"1", "+", "d"}], "2"], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861053799422203*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"958f409e-7f35-405a-9c6b-1b0d4f4d2cbf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%20", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"81f9db75-f089-4664-9dc3-847f37d8f146"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"8", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
        RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861053801340972*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"ad6e1d7a-fd4f-43b7-8d26-797bb1d1351c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "\[Equal]", 
     "0"}], ",", "\[Alpha]"}], "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.861054007644217*^9, 3.861054018245656*^9}, {
  3.861054902157628*^9, 3.86105492591016*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"55cb19c7-f9bb-4e71-a37c-6d0ad9f9c1fe"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"16", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "-", 
      RowBox[{"8", " ", "g", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Equal]", "0"}], 
   ",", "\[Alpha]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8610549723849173`*^9, 3.861054986674879*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"16118d30-7c50-43d2-ba30-14bd8ac96264"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"16", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "-", 
      RowBox[{"8", " ", "g", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861055000491314*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"8b7e1a2d-674c-4e3a-ae6e-9ea5619554ad"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "-", 
      RowBox[{"8", " ", "g", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861055000498146*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"710bcb80-28d2-424c-82ee-cf5b09d34dd2"]
}, Open  ]],

Cell[TextData[{
 StyleBox["1. When the contract launch price is the optimal price for SA:\n", 
  "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["\nWe solve this game by backward induction. By checking the \
Hessian matrix, we find that \[Pi]SA  is jointly concave in p and l, when ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "k", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "eb085465-3055-46a7-9146-d960a226571e"],
 StyleBox[".in this paper, we consider the case with ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "-", 
     RowBox[{"16", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "-", 
     RowBox[{"8", " ", "k", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]], "<"}]],ExpressionUUID->
  "835bfde2-cb06-4ffc-aba0-088717793721"],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "k", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "17fe35ea-8493-4e32-a6d6-753128e5effa"],
 ", which is the common situation because it means launch successfully \
propability is above zero and below one.",
 StyleBox["\ne = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]", 
     StyleBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}],
      FontColor->RGBColor[0, 0, 1]]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e53298fb-dfb0-4c1e-8489-7f2904c8df68"],
 StyleBox[", that ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox["\[Psi]", 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "2bed71fa-1616-426c-b4c3-762b0cbfba63"],
 StyleBox[", where  ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Psi]", "=", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    StyleBox["=",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}],
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "d"}], ")"}],
        FontColor->RGBColor[1, 0, 0]], "2"]}], "-", 
     RowBox[{"8", "\[Alpha]k", 
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}],
       FontColor->RGBColor[0, 0, 1]]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "4", "\[Theta]"}]}]}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "49776d69-4fbd-4364-9518-63f7bc6a5ea2"],
 StyleBox["\n\nr = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Beta]", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox["\[Psi]", 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "5ec3f8f2-404c-4536-9f03-680cb099e852"],
 StyleBox[",\np =",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{" ", 
    RowBox[{"1", "+", "d"}]}], 
   RowBox[{" ", "2"}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "5f130771-d3de-4941-8757-a4649cca2cda"],
 StyleBox[",\nl = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]],
  CellChangeTimes->{
   3.8610051649431353`*^9, {3.8610075180671883`*^9, 3.861007519575964*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "d90d1b1b-9006-4cea-ae2d-a947585119e9"],
 StyleBox[" = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    StyleBox["\[Psi]",
     FontColor->RGBColor[0, 0, 1]], "-", 
    RowBox[{"8", "\[Theta]", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]],
  CellChangeTimes->{
   3.8610051649431353`*^9, {3.8610075180671883`*^9, 3.861007519575964*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "44e8d26a-fde4-4460-943e-ded02b199409"]
}], "Text",
 CellChangeTimes->{
  3.861053834379322*^9, {3.861053871833085*^9, 3.861053885847558*^9}, {
   3.861053996601655*^9, 3.861054068112754*^9}, {3.861054136147478*^9, 
   3.861054202840315*^9}, {3.861054401436378*^9, 3.861054409479253*^9}, {
   3.8610550163752213`*^9, 3.8610550356686907`*^9}, {3.861681662207465*^9, 
   3.861681662531735*^9}, {3.861681741087111*^9, 
   3.8616817747970552`*^9}},ExpressionUUID->"2143614c-c3ce-4101-86b0-\
1320831aec67"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.861353419196454*^9, 3.861353423918604*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"3f8b77b4-6f85-44fd-9f86-b7981374d3b8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613534247261057`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"cd2f624c-addb-47a2-bdb7-734901923b0f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%8", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"e70dfba0-e6b8-484e-9632-92e019efa6f7"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"256", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "g", " ", "k", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "-", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "g", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"192", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["g", "2"], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "g", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "g", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "g"}], ")"}], " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "g"}], ")"}], " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861353427788968*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"ca11a152-0ad6-4327-b403-30fbfe00b3e9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861353431491354*^9, 3.861353434527341*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"813820e9-6a51-4692-9548-70b61d633772"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
            RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861353435091346*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"aefd998e-ebdb-4c36-9da6-5f9dd3bf0c8c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%10", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"e3727321-eab2-4c52-a48f-4387137a9c5f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"128", " ", "cs", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "g", " ", "k", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "+", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "g", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["g", "2"], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "g", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "g", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861353437361101*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"455c0cc9-0af5-4347-9a08-4e148968e3cc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}]], "Input",
 CellChangeTimes->{{3.861353493890038*^9, 3.861353532162258*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"45079712-60e6-48bc-bea8-cdb81844b220"],

Cell[BoxData[
 RowBox[{"SW", ":=", 
  RowBox[{"Profits", "+", "Profitv", "+", "CS"}]}]], "Input",
 CellChangeTimes->{{3.86135353494991*^9, 3.8613535573792973`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"ec4d27a4-c612-4690-ae14-f5ef0c50597c"],

Cell[CellGroupData[{

Cell[BoxData["SW"], "Input",
 CellChangeTimes->{{3.861353560803957*^9, 3.8613535623481417`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"cb1060f5-09d1-4904-a27c-a324a93d5e7f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
            RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861353562771101*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"15096e73-c132-4c14-b623-9c61540ee7d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%14", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"b2add1d5-795a-4595-b53c-4abca009bf8b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"12", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"64", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"2", " ", "g"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["g", "2"]}]}], ")"}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       RowBox[{"16", " ", "cv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"16", " ", "cs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"3", " ", "\[Alpha]"}], "-", 
       RowBox[{"3", " ", "g", " ", "\[Alpha]"}], "+", 
       RowBox[{"16", " ", "\[Theta]"}], "-", 
       RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "g", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861353566655361*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"0db542f0-a269-4a73-899a-163af2aa703e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"+", 
     FractionBox["1", "8"]}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], "2"]}], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"32", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], "2"], 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "\[Alpha]",
        " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "\[Alpha]",
        " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8616835691416273`*^9, 3.861683583519001*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"f3b530fb-b9e0-4336-9293-173d11ff059f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"12", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"64", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"2", " ", "g"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["g", "2"]}]}], ")"}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
         ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"16", " ", "cs", " ", "g", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"16", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          RowBox[{"3", " ", "g"}], "-", 
          RowBox[{"12", " ", "\[Theta]"}], "+", 
          RowBox[{"4", " ", "g", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8616835846540527`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"6fdbf553-3a0b-4a95-afd9-4e0460a33a42"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"6de44d36-1a9f-407a-8ca0-\
c6e05d0b2d96"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"8", " ", "k"}], "-", 
       RowBox[{"8", " ", "g", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
         RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"Profitv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "g", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "g", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "g", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], 
     "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "g", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "g"}], ")"}], " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "g"}], ")"}], " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"128", " ", "cs", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "g", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "g", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "g", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], 
     "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "g", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SW", ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"256", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"12", " ", 
       SuperscriptBox["d", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["d", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"64", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"2", " ", "g"}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["g", "2"]}]}], ")"}], " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "-", 
         RowBox[{"16", " ", "cv", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"16", " ", "cs", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"3", " ", "\[Alpha]"}], "-", 
         RowBox[{"3", " ", "g", " ", "\[Alpha]"}], "+", 
         RowBox[{"16", " ", "\[Theta]"}], "-", 
         RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"4", " ", "g", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}],
       "-", 
      RowBox[{"4", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"3", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
           ")"}]}], "-", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{"3", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
           ")"}]}], "-", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8613533191881237`*^9, 3.8613533536643343`*^9}, {
  3.86135345230765*^9, 3.861353480004467*^9}, {3.861353512566572*^9, 
  3.86135351321592*^9}, {3.861353574636325*^9, 3.8613535775427094`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e5194063-fb56-4f74-b6b3-f1d67e6f6956"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"cf454cf4-5b9f-44b6-96e4-\
c423ce4ff10d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353590774642*^9, 3.861353593876211*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"550d00d2-bb1a-49c5-b8bd-130f4322ca39"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613535954975452`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"76cd7e8c-669a-464c-8a8c-45a89cd5cd2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"8bc0f865-3930-43dd-ad0c-1a905e8b772b"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], 
  RowBox[{"8", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8613535979991913`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"d203b0ff-2b1d-4891-aac5-5374fb45dff9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613536121054153`*^9, 3.861353616751729*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"4bd7ceef-da59-4f6f-b35c-18eac6c56af3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
   "\[Beta]"}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613536174231367`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"0abc7e9a-073d-478b-bc48-1df7179ba03d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"a33bb8fe-cfae-4005-89ef-db225cf8d236"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"8", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.861353619447398*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"60450297-f20d-4bf6-8774-cc9e54cd789d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353637969092*^9, 3.8613536424970903`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"4b05c590-f011-40e7-b1b1-351c210ae0ec"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   FractionBox["1", "2"], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
   FractionBox["d", "2"], "+", 
   FractionBox[
    RowBox[{"1", "+", "d"}], "2"], "-", 
   FractionBox["\[Alpha]", "2"], "-", 
   FractionBox[
    RowBox[{"d", " ", "\[Alpha]"}], "2"]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861353643710033*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"c38d7651-0373-420b-ba91-a31a2b9555c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    FractionBox["1", "2"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
    FractionBox["d", "2"], "+", 
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"], "-", 
    FractionBox["\[Alpha]", "2"], "-", 
    FractionBox[
     RowBox[{"d", " ", "\[Alpha]"}], "2"]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"f5fa0492-0741-4c08-9be8-09ce086963ec"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], 
  RowBox[{"4", "-", 
   RowBox[{"4", " ", "\[Alpha]"}]}]]], "Output",
 CellChangeTimes->{3.861353646346902*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"2a807453-a6f3-4083-8e39-01776e2840d1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353660832643*^9, 3.8613536690207243`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"eaa665c0-43a2-464c-a11b-2cb94fb46778"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.8613536704580812`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"f574e767-8a0e-40da-ae8e-0c41ad3cb4c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353675367622*^9, 3.861353683467754*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"cdf6521c-4281-428a-bc90-b36e3e6ee050"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "2"], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
       FractionBox["d", "2"], "+", 
       FractionBox[
        RowBox[{"1", "+", "d"}], "2"], "-", 
       FractionBox["\[Alpha]", "2"], "-", 
       FractionBox[
        RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "4"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
          FractionBox["d", "2"], "+", 
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "-", 
          FractionBox["\[Alpha]", "2"], "-", 
          FractionBox[
           RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861353684099291*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"63ecc6b5-60c4-47bc-a466-4f718d08f0fb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%23", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"416d62ea-1630-4661-81cd-fc26c28e7ee2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"8", " ", "k"}], "-", 
        StyleBox[
         RowBox[{"8", " ", "g", " ", "k"}],
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["+",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Input",
 CellChangeTimes->{3.861353720357052*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"a844b7e3-fed0-4f86-a6e2-f73364f29d90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353737085981*^9, 3.861353738420162*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"5d594ada-da6c-4978-92fe-68335fb410c2"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.86135373957155*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"d3017130-8c5d-4568-82db-1f65ef990880"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%25", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[26]:=",ExpressionUUID->"2d7becb3-04bd-45d6-a5f6-173f1844dee5"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", 
      RowBox[{"(", 
       StyleBox[
        RowBox[{"1", "+", "g"}],
        FontColor->RGBColor[1, 0, 0]], ")"}], " ", "k", " ", "\[Alpha]"}], 
     "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"64", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Input",
 CellChangeTimes->{3.8613537517881737`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"0ad29fd8-4da4-4ea1-ada6-9c6d55f93d71"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612486502431192`*^9, 3.861248653478381*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"3f42152b-ffb1-4ab6-a2d3-e5e44b8f26ff"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], "4"]], "Output",
 CellChangeTimes->{3.8613537706211557`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"8693630f-75eb-4e25-a5b4-0c8f91d25f5a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248637509153*^9, 3.8612486403131037`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"a8a62fc7-b5db-41fb-a541-b0f40a046adb"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"1", "+", "d"}], "4"], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "4"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
          FractionBox["d", "2"], "+", 
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "-", 
          FractionBox["\[Alpha]", "2"], "-", 
          FractionBox[
           RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", 
      FractionBox["d", "2"], "+", 
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "-", 
      FractionBox["\[Alpha]", "2"], "-", 
      FractionBox[
       RowBox[{"d", " ", "\[Alpha]"}], "2"]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.8613537800684032`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"2cdb4f37-9c95-4318-b97a-60d2d4c3fe26"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%28", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"2d767c24-657d-42b4-a00c-e79221c777b1"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"64", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"6", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], 
        ")"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861353816954146*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"725a669f-0ada-4972-96ca-3a6b13bc3135"],

Cell[TextData[StyleBox["k", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249011919739*^9, 
   3.861249013901259*^9}},ExpressionUUID->"398b4578-cc32-4d08-89db-\
6cd377df0c95"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249028324807*^9, 3.861249033275959*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"6aa9bb15-3fa3-4f9e-9e94-3ecc6ee5e3e6"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"8", " ", "k"}], "-", 
       RowBox[{"8", " ", "g", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861353831350944*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"15b4ee9c-ffd4-457c-927b-8e55dc5519b4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"8", "-", 
       RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"8", " ", "k"}], "-", 
        RowBox[{"8", " ", "g", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[31]:=",ExpressionUUID->"f34d2087-3365-434e-b52c-a5a34c81e3b7"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"D", "[", 
   RowBox[{"r", ",", "k"}], "]"}],
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{{3.86135384307349*^9, 3.86135385516286*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"bcb15edc-4bc2-4a77-9b76-e3d22e152eb2"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"]}]]}]], "Output",
 CellChangeTimes->{3.861353856154168*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"b99005ea-889c-4ca1-b416-7c05915c3e0e"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
      RowBox[{"g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
         RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.86135385615812*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"e48a765a-71e9-4e32-9b7e-b4066d11932e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
       RowBox[{"g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
          RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[34]:=",ExpressionUUID->"7f333e4d-46b8-4388-86b5-a9e1832bebab"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861353863703122*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"0fa1559b-3036-4944-9c32-6605aafec552"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861353867765656*^9, 3.861353872623465*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"1a8a909f-f584-44bf-a589-2b2cb8729bff"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861353873909151*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"bf6fe457-6b8b-402b-9b5a-e4d47fb621f4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[36]:=",ExpressionUUID->"fc2d6192-10b3-4396-b2b2-d08f7654fc3c"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861353887124354*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"29e46bef-f7b1-409c-9ee9-890ac0253ba0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613539403694763`*^9, 3.861353944959594*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"49500460-af10-4ca9-9b1c-d7685481f0f8"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861353946198331*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"5810e274-2b5b-4918-80af-09cab2901e6a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613539547292*^9, 3.861353962241681*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"b62da1b9-5f3c-4c19-97f4-4ca04ad68404"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
         RowBox[{"g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
            RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"8", "-", 
          RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.8613539631979723`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"57a65512-3944-419d-9a90-b46f7e14d0b9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%38", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[39]:=",ExpressionUUID->"5faaf32d-7da4-4ff9-bf89-ea31dd4a57d9"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", 
   RowBox[{"128", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "64"}], " ", 
        StyleBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "g"}], ")"}], "2"],
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox[" ",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox[
         SuperscriptBox["k", "2"],
         FontColor->RGBColor[1, 0, 0]]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}], 
   ")"}]}]], "Input",
 CellChangeTimes->{3.861353978714225*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"68cad228-f1c3-4660-a3f8-9d505b5808c5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"y2", ":=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
   RowBox[{"16", "\[Alpha]", " ", "k", 
    RowBox[{"(", 
     RowBox[{"1", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "64"}], " ", 
         StyleBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "g"}], ")"}], "2"],
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[" ",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[
          SuperscriptBox["k", "2"],
          FontColor->RGBColor[1, 0, 0]]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", "y2"}], "Input",
 CellChangeTimes->{{3.861832202576578*^9, 3.861832235078733*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"57138407-0bfa-4565-9b56-be09fba66ffc"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "4"}], " ", 
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{"4", " ", "d", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
  RowBox[{"2", " ", "\[Alpha]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
  RowBox[{"16", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
  RowBox[{
   SuperscriptBox["\[Alpha]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "64"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}], "2"], " ", 
      SuperscriptBox["k", "2"]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}]], "Output",\

 CellChangeTimes->{3.861832236080944*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"82a02212-0972-4145-b0d4-1bd33a1643cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%23", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"213ac6d8-7b47-45e9-95b9-4121ddbfe04b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861832237742505*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"b57c7e9a-ceae-4a26-b031-fe5143ba8885"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613539839347267`*^9, 3.861353992434057*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"ea190eeb-734c-45cf-9738-10d4ae471c0d"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"256", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"8", "-", 
          RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861353993364915*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"074e8a40-7e00-4259-8e03-95a667a18aa5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%40", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[41]:=",ExpressionUUID->"f07b7b5f-f2a2-4a40-b9f2-d68c698e20a4"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"64", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"2", " ", "g"}], "+", 
        SuperscriptBox["g", "2"]}], ")"}], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}
    ]}]}]], "Output",
 CellChangeTimes->{3.861353996095647*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"e01df94a-3d85-410a-9f38-1bec9df1e4a8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"y1", ":=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
   RowBox[{"16", "\[Alpha]", " ", "k", 
    RowBox[{"(", 
     RowBox[{"1", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], " ", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "g"}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"16", "\[Alpha]", " ", "k"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"64", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"2", " ", "g"}], "+", 
        SuperscriptBox["g", "2"]}], ")"}], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
    ")"}]}]}], "\[IndentingNewLine]", "y1"}], "Input",
 CellChangeTimes->{{3.861831761123672*^9, 3.861831823474901*^9}, {
  3.861831860292506*^9, 3.861831863527515*^9}, {3.861831900790147*^9, 
  3.8618319443719387`*^9}, {3.861831980109166*^9, 3.861831986667197*^9}, {
  3.861832100272862*^9, 3.861832107131427*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"0e4326d0-dd5c-4b49-af7e-3ccc248ead81"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "4"}], " ", 
   SuperscriptBox["d", "3"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{
   SuperscriptBox["d", "4"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
  RowBox[{"64", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "+", 
     RowBox[{"2", " ", "g"}], "+", 
     SuperscriptBox["g", "2"]}], ")"}], " ", 
   SuperscriptBox["k", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"4", " ", "d", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
  RowBox[{"2", " ", "\[Alpha]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], "+", 
  RowBox[{"16", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"\[Alpha]", "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], 
   "2"]}]], "Output",
 CellChangeTimes->{
  3.86183183119554*^9, 3.861831865417286*^9, {3.8618319026367064`*^9, 
   3.861831922314452*^9}, 3.861831957298853*^9, 3.861831991809099*^9, 
   3.861832108241859*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"cec7f8b9-fa26-4c1a-89fa-aae25c6d7d6d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%20", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"54668963-aa10-4029-9fe1-391a0c332e1a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861832109979171*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"bc137c7e-514b-497f-8675-e32e749ba22a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861354032511303*^9, 3.861354037970663*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"587eb989-5c51-42eb-9e1c-2ce5616d181a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861354038632864*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"e4e40901-b6c0-43ce-add2-4e6cb7a050f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861354040537871*^9, 3.8613540433942537`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"a08f0fc8-520c-466f-ac7a-bca91d71314b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"256", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "-", 
      RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
         RowBox[{"g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
            RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"8", "-", 
          RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"8", "-", 
          RowBox[{"8", " ", "g"}]}], ")"}], " ", "\[Alpha]"}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"8", " ", "g", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861354044144536*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"e6a9776f-7afe-446d-8918-e43c83677e36"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%43", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[44]:=",ExpressionUUID->"62c9690a-d64c-481b-ac14-d049de91c35c"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"64", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"2", " ", "g"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["g", "2"]}]}], ")"}], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"12", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "+", 
         RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861354047771679*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"2b1abee9-360d-4044-a946-72a7daf42631"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249019985586*^9, 
   3.861249022197942*^9}},ExpressionUUID->"1b14e7ff-49bb-4dce-8ade-\
c988a9245473"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861354068198099*^9, 3.861354074231593*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"70970e28-798c-457d-bb81-efa6a0bc5c14"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613540751926603`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"28243852-74fc-471b-86bb-bced4d930fcc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "4"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[46]:=",ExpressionUUID->"0d68f339-d23a-44f8-83a2-2c2544b89fe0"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861354077693679*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"d967861a-83eb-4aea-8688-ed75124e747b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251434245288*^9, 3.861251440854623*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"416165c8-b03d-4a65-afbb-7ad96c162560"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"4", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.86135408748772*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"aba8e5ed-c111-42c3-86db-f811920ff036"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251449822323*^9, 3.861251461670189*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"bb32702c-625f-4c2b-8e80-2fbd441bf1ff"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861354095586369*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"df495768-6733-49ea-a93d-e8ec8848c72b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515165075274`*^9, 3.861251520397028*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"8ee8dded-5dd8-4b20-9e70-082422aa2f21"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8613541079449863`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"56531f31-e8b5-48bf-ba3e-2abd0acaf0f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515253354683`*^9, 3.861251540210231*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"9ada0fa1-00e1-40d8-9ee9-e289424c3087"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["\[Alpha]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"32", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "+", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861354116221743*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"3105d690-d647-4f73-93f1-9fd5d9a50ebc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%50", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[51]:=",ExpressionUUID->"0b0ece08-c56d-4e49-9752-4bb7c9a199c5"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
   RowBox[{"8", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8613541187426453`*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"b605331b-d890-4db8-96c8-800fde119437"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613541825452747`*^9, 3.861354186817088*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"0fb77a65-9b0e-4f84-984c-d76140105b88"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8613541879820127`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"1936430e-9d32-4a29-a5b0-638a1c42cc9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861354189584564*^9, 3.861354192714037*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"7ebb7455-a275-4438-8a52-3ed6cd402d53"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"8", " ", "k"}], "-", 
       RowBox[{"8", " ", "g", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "+", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"1", "+", "d"}], "2"], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}], "-", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]",
           "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], ")"}]}]}], 
  "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
          RowBox[{"8", " ", "k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "\[Alpha]", "+", 
             RowBox[{"g", " ", "\[Alpha]"}]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"8", " ", "g", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861354193867628*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"adc4f297-730c-42f7-8188-1527b6d03ecf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%53", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[54]:=",ExpressionUUID->"6d30cde9-a0fe-4da3-9e2f-ef995dc6cd9f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"6", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"8", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"4", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", "g"}], ")"}], " ", "\[Alpha]"}]}], ")"}]}], 
   "+", 
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861354197237681*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"75a5e559-d1b9-41d3-bd5b-b2687db99cbc"]
}, Open  ]],

Cell[TextData[StyleBox["g", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249019985586*^9, 3.861249022197942*^9}, {
   3.861773217824276*^9, 
   3.8617732191058064`*^9}},ExpressionUUID->"19dee3ef-b9ac-4566-b9da-\
e312d947091b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861773221325624*^9, 3.86177322375537*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5d7e1862-8df1-4f58-ad07-eb5df67ce89e"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Alpha]", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861773224351654*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"a41e104d-0506-4960-ae1b-240e86d1a696"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.86177323317243*^9, 3.861773236125758*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"0f72b0bb-e77a-4743-8e8e-ad7dedbdd627"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Alpha]", " ", "\[Beta]"}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8617732367267933`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"463e07ec-b3b1-4ca3-ae46-5dce9a993140"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861773238837881*^9, 3.861773251879117*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"1f2226d6-edb2-44ec-a602-354319cfdbe7"],

Cell[BoxData[
 FractionBox[
  RowBox[{"k", " ", "\[Alpha]"}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.86177325250294*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"fe335262-9fc7-4549-9e8b-f59d96273f79"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617732602002563`*^9, 3.861773262582962*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"51aa1fb5-f8b1-47ca-8dd3-dea504913172"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861773263127344*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"cfc83569-ff2b-4d68-a53b-c3120fa1d8be"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.8617732644603558`*^9, 3.8617732714743013`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"91343714-a691-4a9f-b31d-812c1366bc4e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"128", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"32", " ", "d", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["d", "2"], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"128", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.861773272087201*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"58dfdadd-613e-4dec-828c-18ee1e4e22c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"128", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"128", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"de2fa53d-4388-4aa1-a6eb-e78f37cc2943"],

Cell[BoxData[
 RowBox[{"cs", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"8", " ", "g", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861773274736067*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"900ff46a-61f5-42ba-bb57-1b03651c60c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861773277829068*^9, 3.861773291817732*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"54f0ec40-f8b1-4d7a-b294-0cc5999e92b4"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"32", " ", "d", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["d", "2"], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "g", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.86177329254453*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a613999b-2aff-4c0a-b478-8c78156b865b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"128", " ", "g", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"f670d3d2-2a17-4518-997c-e6d03a1734e2"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.8617733014368563`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"8c380769-0c43-4d9d-b5c5-f0fa403574a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861773306562605*^9, 3.861773313581609*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"25f3675b-fab0-410f-9ed6-eb2c932d3e4d"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "96"}], " ", "d", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"48", " ", 
     SuperscriptBox["d", "2"], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{"64", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"6", " ", "g"}]}], ")"}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"16", " ", "cs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"3", " ", "\[Alpha]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861773314185585*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"31ed8424-621d-4755-98da-9be26bde4eb7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "96"}], " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"48", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
     
     RowBox[{"64", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"6", " ", "g"}]}], ")"}], " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"16", " ", "cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"3", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
   "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"c56beaa8-6c54-4f50-b44a-cac8c9a988f6"],

Cell[BoxData[
 RowBox[{"cs", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "+", 
      RowBox[{"6", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"24", " ", "g", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861773316436969*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"a28169e3-ec8a-4bfd-b78e-3c903a8d70fe"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   StyleBox[".2", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["When", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["contract", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["launch", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["is", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["the", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["acceptal", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["price", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["for", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ", "Chapter",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["VM", "Chapter",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[":", "Chapter",
     FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]"}]}]}]], "Input",
 CellChangeTimes->{{3.861681707830474*^9, 3.861681708192264*^9}, {
  3.8616818081290207`*^9, 
  3.861681834804942*^9}},ExpressionUUID->"78983380-eb6c-454d-8fe3-\
57374fe2677a"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
  3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861053217212502*^9, 
  3.8610532211473427`*^9}, {3.861053508740391*^9, 3.861053513902051*^9}, {
  3.861053550374921*^9, 3.861053555031969*^9}, {3.861053657633584*^9, 
  3.861053681512178*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"1d339ec5-1990-4d2e-a561-6eca806bdc8e"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]}], "Input",
 CellChangeTimes->{{3.86168432677932*^9, 3.861684327337453*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"2e339dc4-0781-44a4-b6f3-12cb4a0fe9b9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitv", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616818904846277`*^9, 3.861681906956009*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"35b3532f-11e2-4e17-b29d-6d8e29f904fd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "k"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["k"]]}], 
      RowBox[{
       FractionBox["1", "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "k"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "k"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["k"]]}], 
      RowBox[{
       FractionBox["1", "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "k"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.8616819077879143`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"7c308161-9cb2-4d68-95d4-35606c30806a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
    FractionBox["\[Theta]", "k"], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"cv", "-", 
        RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     SqrtBox["k"]]}], 
   RowBox[{
    FractionBox["1", "k"], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], "k"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.861682275473695*^9, 3.86168232427803*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"7fdb0ace-f368-49ca-a53d-b45d5364e71b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8616822910086203`*^9, 3.861682325183996*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"c77b91b1-2681-44da-82a8-e6dee7e31514"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Input",
 CellChangeTimes->{{3.861682331059888*^9, 3.861682341286317*^9}, {
  3.8616825426661863`*^9, 3.86168254287246*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"47b5c540-85e5-43fc-bbc9-394454d7104f"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8616825271743603`*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"e70c54c6-0160-4bc9-ae3b-579bdeed1d1a"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{{3.8616825285287313`*^9, 3.861682545380088*^9}},
 CellLabel->"Out[11]=",ExpressionUUID->"09dbbfb5-f600-49e5-bb98-c8d24d70d585"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
        "+", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"0b3aec12-e3fb-4b9f-8b59-7592f43dc1f7"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    SqrtBox["k"], " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
  RowBox[{
   SqrtBox["k"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861682550717836*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"8fd581e0-9b09-49a3-aa27-d60c98bcc235"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.861685553693561*^9, 3.861685559506888*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"b16caaa0-1166-40eb-afaf-de7d11a35f93"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.8616836030855503`*^9, 3.861683607663855*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"c053e80c-bedf-43fb-b526-a80305074031"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
        "+", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
        "+", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}], "2"], 
   
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"\[Theta]", "+", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}],
            "+", 
           RowBox[{"2", " ", 
            SqrtBox["k"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861683608178576*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"084b32f6-ea35-404b-a2d9-ccb42aa1bffb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%14", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"40f666b5-611c-4953-ae11-c7a94064bd12"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861683609998825*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"70b79de1-023e-46aa-b127-a580d8713ac7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861683611154293*^9, 3.861683613642522*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"ff83f48a-9d76-4591-90eb-1e4f4bd74171"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
  
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["k"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8616836140277*^9, 3.861685565312327*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"f12342cf-88f6-4716-88e2-7b11e697fa91"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%8", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"74de262e-ae3a-4624-b58e-2f2ac41be457"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["k"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8616855684393597`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"8b065b1e-7cf3-4d42-9244-520bad68841c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%16", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"82f16ceb-3985-45c7-abc8-31e9b6182d1f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", "r"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861683616606441*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"c61238d4-369b-43e7-a817-4f2a75e816bc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "cs"}], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       SqrtBox["k"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["p", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       SqrtBox["k"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
     " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cs", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}],
     "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "g"}], "+", "r"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}],
            "+", 
           RowBox[{"2", " ", 
            SqrtBox["k"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
   ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616842333975687`*^9, 3.861684263176339*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"7e720aae-e908-431a-9bbe-79008097d7f4"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{{3.8616842382332277`*^9, 3.8616842640624866`*^9}},
 CellLabel->"Out[22]=",ExpressionUUID->"41a98462-c661-4d08-8973-4c25770910e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellLabel->"In[23]:=",ExpressionUUID->"1fe65045-1534-4165-83ff-2a55fba26dc4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861684282989031*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"6d4bb144-da09-43ba-b239-16e830bbf0af"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}]], "Input",
 CellChangeTimes->{{3.861570916730033*^9, 3.8615709224476357`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"8e1d947b-37a0-4eb8-b531-bad3aa222587"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861684333315053*^9, 3.8616843370083103`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"8d51e187-4fe7-4c79-9741-88fe15bf67c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], "-", 
  
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["k"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861684338022339*^9, 3.8616856068873568`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"04a0b6bc-dd6c-4984-9449-154a063c7da1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%11", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"fec67697-6900-412d-8c29-154ec5c4e6af"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "g"}], "+", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["k"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861685609735833*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"8fcf5a6c-0351-4688-b498-098b60ce4971"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["k"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.861685707149048*^9, 3.8616857084597692`*^9}, 
   3.861685870777515*^9},
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"7cc08580-bca3-43b6-a604-c7894b971dba"],

Cell[BoxData[
 RowBox[{
  RowBox[{"cs", " ", "g"}], "+", 
  FractionBox[
   RowBox[{"g", " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.861684340922872*^9, 3.8616857096109743`*^9, 
  3.861685872165111*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"967c9d00-0c8e-44ce-aeed-e39c02a31b86"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["y"], "Input",
 CellChangeTimes->{3.8616875580997553`*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"5190d3dd-51ae-4d3a-94fc-c06339daf857"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.8616875587379827`*^9, 3.861687573687611*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"2114b47d-a8eb-4712-b95b-99590592a1fc"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"373eafe5-2e13-4556-8052-\
d7acaf88d170"],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["Profits",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox[":=",
   FontColor->RGBColor[1, 0, 0]], 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["k"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"SW", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "16"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", 
      SuperscriptBox["k", 
       RowBox[{"3", "/", "2"}]], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"2", " ", "d"}], "-", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "cv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"8", " ", "cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}], "+", 
        RowBox[{"6", " ", "d", " ", "\[Alpha]"}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "+", 
        RowBox[{"16", " ", "\[Theta]"}], "+", 
        RowBox[{"8", " ", "g", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       ")"}]}]}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.861614941853983*^9, 3.8616149703323603`*^9}, {
  3.861615025310981*^9, 3.861615064032671*^9}, {3.8616953495830803`*^9, 
  3.8616954034684687`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"ae33480f-50d4-4c54-839e-15edfd269bd1"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"5e9155ac-2249-4254-b80c-\
5bf46705a04c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861695456134532*^9, 3.86169545959162*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"944f761b-e1b6-4680-9f93-46427cf6824b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8616954601310883`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"ed5c0c38-a965-441e-893a-2ec0b0140525"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615151245542*^9, 3.861615158867182*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"138eb6d8-30d9-42ec-8546-fc1299c7607a"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861695665791888*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"ff0793f4-e7b3-4db5-af67-2af0da2d4ecd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[45]:=",ExpressionUUID->"4ff07244-9aac-4d6d-baa0-4e5e21736179"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["k"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{"2", " ", 
   SqrtBox["k"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8616956674854307`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"7c28b8dd-e70f-441a-8d6a-717057f5915c"]
}, Open  ]],

Cell[TextData[StyleBox["k", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861616017426148*^9, 
   3.861616018912632*^9}},ExpressionUUID->"405702cc-03dd-4485-b9c2-\
53ea12b33a04"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616160280508327`*^9, 3.861616031936205*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"376a8fea-3415-477c-96ff-e04b93058926"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SqrtBox["k"]}]], "-", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{{3.861697465519651*^9, 3.8616974726642036`*^9}},
 CellLabel->"Out[47]=",ExpressionUUID->"44d7744d-6cc8-4e0b-a9c5-06e9ce97c5c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     FractionBox["\[Alpha]", 
      RowBox[{"2", " ", 
       SqrtBox["k"]}]], "-", 
     FractionBox[
      SuperscriptBox["\[Alpha]", "2"], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      SqrtBox["k"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"6d5c9f53-12a3-4bcf-9b4c-5b0812a1febb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cv", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
  RowBox[{"2", " ", 
   SuperscriptBox["k", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.8616974743850937`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"2d1d93b9-93cd-49c0-8a82-5b2e16de37b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616977887216*^9, 3.861697795991705*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"a407301c-933a-449c-89c4-cc0176cfd825"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "\[Alpha]"}], "-", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "-", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["k"]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["k"]]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       SqrtBox["k"]]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["\[Alpha]", 
        RowBox[{"2", " ", 
         SqrtBox["k"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["k"]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["k"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["k"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           RowBox[{"2", " ", 
            SqrtBox["k"]}]]}], "+", 
         FractionBox[
          SuperscriptBox["\[Alpha]", "2"], 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
     FractionBox[
      RowBox[{"\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["k"]}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861697796859253*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"b71590e4-989a-4e11-b7dc-a21077d02800"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%49", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[50]:=",ExpressionUUID->"4e229334-4b6d-4264-aace-b4fc948e451c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "g"}], ")"}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "-", 
    RowBox[{"8", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "g"}], ")"}], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
     "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]", 
     " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"16", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "g"}], ")"}], " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861697802536797*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"c9e7610c-80a5-4a1b-a088-61b2b80daeb0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861698689843152*^9, 3.8616986963181753`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"9d2afeee-9306-482b-ae6e-5e05628ae1ed"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"g", "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox["cv", 
        RowBox[{"8", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"cv", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], 
        RowBox[{"4", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"cv", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], 
        RowBox[{"8", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"cv", " ", "\[Alpha]"}], 
        RowBox[{"8", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"cv", " ", "\[Alpha]"}], 
        RowBox[{
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SuperscriptBox["\[Alpha]", "3"]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
       FractionBox[
        RowBox[{"cv", " ", "\[Theta]"}], 
        RowBox[{"2", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"cv", " ", "\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{"2", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{
         SqrtBox["k"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
       FractionBox[
        RowBox[{"\[Theta]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "d"}], "+", 
           SuperscriptBox["d", "2"], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"8", " ", 
         SuperscriptBox["k", 
          RowBox[{"3", "/", "2"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "+", 
       FractionBox[
        RowBox[{"cv", " ", "\[Alpha]"}], 
        RowBox[{
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SuperscriptBox["\[Alpha]", "3"]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{
         SqrtBox["k"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.861698697549597*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"f778e9d1-d4a4-4ae4-9fcd-d04623f31342"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox["cv", 
      RowBox[{"8", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"cv", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"cv", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"cv", " ", "\[Alpha]"}], 
      RowBox[{"8", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"cv", " ", "\[Alpha]"}], 
      RowBox[{
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SuperscriptBox["\[Alpha]", "3"]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
     FractionBox[
      RowBox[{"cv", " ", "\[Theta]"}], 
      RowBox[{"2", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"cv", " ", "\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{"2", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
     FractionBox[
      RowBox[{"\[Theta]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox["k", 
        RowBox[{"3", "/", "2"}]], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "+", 
     FractionBox[
      RowBox[{"cv", " ", "\[Alpha]"}], 
      RowBox[{
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SuperscriptBox["\[Alpha]", "3"]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.861698717224671*^9, 3.861698732694488*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"ab223563-ba49-4ef0-9b20-6768f50f4241"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "16"}], " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "+", 
    RowBox[{"8", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
     "\[Theta]"}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]", 
     " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", "k", " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861698733860951*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"3f6b3a66-0750-4672-9f08-860a96803cdd"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 
   3.861616023208786*^9}},ExpressionUUID->"017785f6-a511-4d1b-a3ce-\
4c69beb12959"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616999932022142`*^9, 3.8617000030266333`*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"04e0fb13-2a0d-4b32-a30e-91fdc8d6f487"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]", "-", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"8", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "g"}], "+", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SqrtBox["k"]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.861700004143498*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"52c88cb2-b098-4b8e-a40e-0e9adcbd3a1b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%54", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[55]:=",ExpressionUUID->"20f1c703-e4ba-43b1-8e60-c22a222c9af0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{"2", " ", "d"}], "-", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]",
     "+", 
    RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"8", " ", "g", " ", 
     SqrtBox["k"], " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8617000071995897`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"b1ff08ce-d8d0-40a3-954e-47ade05e6070"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8616998115541067`*^9, 3.8616998192195253`*^9}, 
   3.861699967151093*^9},ExpressionUUID->"487c0e96-c401-4223-b3d7-\
1faf6bec7871"],

Cell[TextData[StyleBox["g", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 3.861616023208786*^9}, {
   3.861770713654767*^9, 
   3.8617707146618567`*^9}},ExpressionUUID->"d990de25-6b37-4697-ae7e-\
29c6770f3dac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.861771434484807*^9, 3.86177144143441*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"debfd25a-f4f7-42b0-ab2d-b244bf43696d"],

Cell[BoxData[
 RowBox[{"cs", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.861771441865892*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"29e4d143-2ee1-4b71-baad-1f70f00fc86f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"cs", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"58d12866-a26a-446a-8ec8-b745a655156c"],

Cell[BoxData[
 RowBox[{"cs", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.861771444057425*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"ba96ccc8-4dac-43d6-88fa-abb151075100"]
}, Open  ]]
},
WindowSize->{730, 730},
WindowMargins->{{Automatic, 110}, {Automatic, 15}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5f403bd8-d573-4ccd-981d-df6d0dd2ce21"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2014, 59, 73, "Input",ExpressionUUID->"55fd3c7d-2ae3-4431-97c2-89dd2c71b531"],
Cell[CellGroupData[{
Cell[2597, 83, 161, 3, 44, "Input",ExpressionUUID->"1a7a2666-23ff-4ceb-b0f5-e63d73e33b9c"],
Cell[2761, 88, 414, 9, 34, "Output",ExpressionUUID->"d99a4e77-0a63-4988-8973-8ceb7c7705df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3212, 102, 190, 4, 44, "Input",ExpressionUUID->"f2acc39c-1404-456c-9c7b-19ca4f03ce82"],
Cell[3405, 108, 371, 9, 51, "Output",ExpressionUUID->"426e797e-9828-4852-b801-8763046346f6"]
}, Open  ]],
Cell[3791, 120, 313, 7, 48, "Input",ExpressionUUID->"062854cd-c314-4f83-af07-ce9c604f2a51"],
Cell[CellGroupData[{
Cell[4129, 131, 111, 1, 30, "Input",ExpressionUUID->"af6a0666-3e6c-4eab-a7b1-3775dd6058c3"],
Cell[4243, 134, 627, 18, 51, "Output",ExpressionUUID->"f895fc3c-009f-43db-b798-648ed97ee12c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4907, 157, 190, 4, 44, "Input",ExpressionUUID->"672f9d18-7675-46f5-8ae7-656d988b1dfd"],
Cell[5100, 163, 500, 13, 51, "Output",ExpressionUUID->"e9bb4c57-8f41-40bc-a49a-5970ed01dee5"]
}, Open  ]],
Cell[5615, 179, 342, 9, 48, "Input",ExpressionUUID->"1ee75e90-2296-4bc0-9779-4d832b3cf576"],
Cell[CellGroupData[{
Cell[5982, 192, 112, 1, 30, "Input",ExpressionUUID->"edf978c2-19d2-4ea6-8ba1-4d33fde50c92"],
Cell[6097, 195, 1416, 44, 90, "Output",ExpressionUUID->"81895db0-fea6-48be-a9a9-2daf063de6a2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7550, 244, 1422, 44, 103, "Input",ExpressionUUID->"179e46c1-f2cc-49a6-91f7-a475450963d8"],
Cell[8975, 290, 1422, 46, 74, "Output",ExpressionUUID->"347969d1-ddf5-489d-9050-406953f32523"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10434, 341, 156, 3, 44, "Input",ExpressionUUID->"1cc9076e-cb9b-403d-bdd1-e986237ccc85"],
Cell[10593, 346, 986, 31, 53, "Output",ExpressionUUID->"3c67a87a-e964-41ca-83af-fc0cd0444ebb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11616, 382, 191, 4, 44, "Input",ExpressionUUID->"6613e4dd-fc6a-418d-8be4-82a2071cb7c4"],
Cell[11810, 388, 892, 23, 57, "Output",ExpressionUUID->"ce57cbbb-7158-4339-baf2-71a835a2ce68"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12739, 416, 1632, 49, 118, "Input",ExpressionUUID->"c24b34c5-3a2f-449d-94cd-f2ed40d34ac8"],
Cell[14374, 467, 824, 25, 51, "Output",ExpressionUUID->"e39adbdc-797a-49ab-8654-b4d72882a87f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15235, 497, 258, 5, 44, "Input",ExpressionUUID->"625b4c4c-cfdd-438b-b8d9-7a8d17bed66d"],
Cell[15496, 504, 354, 9, 51, "Output",ExpressionUUID->"2a3da7b7-307b-4a5c-b668-860b9f91e5ec"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15887, 518, 958, 24, 119, "Input",ExpressionUUID->"46bc50e9-ac81-4a8b-a6c7-8e29d025e840"],
Cell[16848, 544, 1280, 39, 94, "Output",ExpressionUUID->"9383781d-9ca6-4247-928d-d96b4500d77d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18165, 588, 1323, 39, 174, "Input",ExpressionUUID->"5494c2f7-6b58-4435-86e0-4a25a6915b14"],
Cell[19491, 629, 892, 28, 57, "Output",ExpressionUUID->"657e6bfc-ab96-4f45-84bd-03f411743995"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20420, 662, 150, 2, 30, "Input",ExpressionUUID->"fc0c29d8-21f0-488d-89c0-a10c349cbe16"],
Cell[20573, 666, 2826, 83, 183, "Output",ExpressionUUID->"ad2e3f56-9ac8-49ff-96b2-a7000ec081a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23436, 754, 163, 3, 44, "Input",ExpressionUUID->"2a2e5e95-707d-42b1-8587-dd2e3d96d853"],
Cell[23602, 759, 829, 25, 55, "Output",ExpressionUUID->"7b98acd2-167f-49d8-8e63-45f26b46b1e5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24468, 789, 148, 2, 30, "Input",ExpressionUUID->"07640780-01d0-495a-b74b-f4473abc3487"],
Cell[24619, 793, 2969, 85, 182, "Output",ExpressionUUID->"958f409e-7f35-405a-9c6b-1b0d4f4d2cbf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27625, 883, 163, 3, 44, "Input",ExpressionUUID->"81f9db75-f089-4664-9dc3-847f37d8f146"],
Cell[27791, 888, 1033, 32, 56, "Output",ExpressionUUID->"ad6e1d7a-fd4f-43b7-8d26-797bb1d1351c"]
}, Open  ]],
Cell[28839, 923, 1174, 32, 91, "Input",ExpressionUUID->"55cb19c7-f9bb-4e71-a37c-6d0ad9f9c1fe"],
Cell[CellGroupData[{
Cell[30038, 959, 1546, 45, 113, "Input",ExpressionUUID->"16118d30-7c50-43d2-ba30-14bd8ac96264"],
Cell[31587, 1006, 645, 17, 57, "Output",ExpressionUUID->"8b7e1a2d-674c-4e3a-ae6e-9ea5619554ad"],
Cell[32235, 1025, 607, 16, 57, "Output",ExpressionUUID->"710bcb80-28d2-424c-82ee-cf5b09d34dd2"]
}, Open  ]],
Cell[32857, 1044, 7435, 228, 440, "Text",ExpressionUUID->"2143614c-c3ce-4101-86b0-1320831aec67"],
Cell[CellGroupData[{
Cell[40317, 1276, 177, 2, 30, "Input",ExpressionUUID->"3f8b77b4-6f85-44fd-9f86-b7981374d3b8"],
Cell[40497, 1280, 5048, 154, 295, "Output",ExpressionUUID->"cd2f624c-addb-47a2-bdb7-734901923b0f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45582, 1439, 161, 3, 44, "Input",ExpressionUUID->"e70dfba0-e6b8-484e-9632-92e019efa6f7"],
Cell[45746, 1444, 3555, 95, 165, "Output",ExpressionUUID->"ca11a152-0ad6-4327-b403-30fbfe00b3e9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49338, 1544, 178, 2, 30, "Input",ExpressionUUID->"813820e9-6a51-4692-9548-70b61d633772"],
Cell[49519, 1548, 8835, 263, 497, "Output",ExpressionUUID->"aefd998e-ebdb-4c36-9da6-5f9dd3bf0c8c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58391, 1816, 163, 3, 44, "Input",ExpressionUUID->"e3727321-eab2-4c52-a48f-4387137a9c5f"],
Cell[58557, 1821, 3644, 99, 165, "Output",ExpressionUUID->"455c0cc9-0af5-4347-9a08-4e148968e3cc"]
}, Open  ]],
Cell[62216, 1923, 317, 8, 48, "Input",ExpressionUUID->"45079712-60e6-48bc-bea8-cdb81844b220"],
Cell[62536, 1933, 243, 4, 30, "Input",ExpressionUUID->"ec4d27a4-c612-4690-ae14-f5ef0c50597c"],
Cell[CellGroupData[{
Cell[62804, 1941, 175, 2, 30, "Input",ExpressionUUID->"cb1060f5-09d1-4904-a27c-a324a93d5e7f"],
Cell[62982, 1945, 11361, 341, 630, "Output",ExpressionUUID->"15096e73-c132-4c14-b623-9c61540ee7d6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74380, 2291, 163, 3, 44, "Input",ExpressionUUID->"b2add1d5-795a-4595-b53c-4abca009bf8b"],
Cell[74546, 2296, 3530, 109, 144, "Output",ExpressionUUID->"0db542f0-a269-4a73-899a-163af2aa703e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78113, 2410, 11449, 338, 787, "Input",ExpressionUUID->"f3b530fb-b9e0-4336-9293-173d11ff059f"],
Cell[89565, 2750, 3307, 103, 121, "Output",ExpressionUUID->"6fdbf553-3a0b-4a95-afd9-4e0460a33a42"]
}, Open  ]],
Cell[92887, 2856, 428, 10, 155, "Text",ExpressionUUID->"6de44d36-1a9f-407a-8ca0-c6e05d0b2d96"],
Cell[93318, 2868, 13861, 393, 778, "Input",ExpressionUUID->"e5194063-fb56-4f74-b6b3-f1d67e6f6956"],
Cell[107182, 3263, 150, 3, 59, "Text",ExpressionUUID->"cf454cf4-5b9f-44b6-96e4-c423ce4ff10d"],
Cell[CellGroupData[{
Cell[107357, 3270, 222, 4, 44, "Input",ExpressionUUID->"550d00d2-bb1a-49c5-b8bd-130f4322ca39"],
Cell[107582, 3276, 523, 16, 53, "Output",ExpressionUUID->"76cd7e8c-669a-464c-8a8c-45a89cd5cd2b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108142, 3297, 547, 17, 63, "Input",ExpressionUUID->"8bc0f865-3930-43dd-ad0c-1a905e8b772b"],
Cell[108692, 3316, 217, 5, 52, "Output",ExpressionUUID->"d203b0ff-2b1d-4891-aac5-5374fb45dff9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108946, 3326, 224, 4, 44, "Input",ExpressionUUID->"4bd7ceef-da59-4f6f-b35c-18eac6c56af3"],
Cell[109173, 3332, 620, 20, 53, "Output",ExpressionUUID->"0abc7e9a-073d-478b-bc48-1df7179ba03d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109830, 3357, 648, 21, 63, "Input",ExpressionUUID->"a33bb8fe-cfae-4005-89ef-db225cf8d236"],
Cell[110481, 3380, 292, 8, 52, "Output",ExpressionUUID->"60450297-f20d-4bf6-8774-cc9e54cd789d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110810, 3393, 224, 4, 44, "Input",ExpressionUUID->"4b05c590-f011-40e7-b1b1-351c210ae0ec"],
Cell[111037, 3399, 654, 21, 62, "Output",ExpressionUUID->"c38d7651-0373-420b-ba91-a31a2b9555c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111728, 3425, 687, 23, 72, "Input",ExpressionUUID->"f5fa0492-0741-4c08-9be8-09ce086963ec"],
Cell[112418, 3450, 246, 6, 52, "Output",ExpressionUUID->"2a807453-a6f3-4083-8e39-01776e2840d1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112701, 3461, 224, 4, 44, "Input",ExpressionUUID->"eaa665c0-43a2-464c-a11b-2cb94fb46778"],
Cell[112928, 3467, 171, 3, 50, "Output",ExpressionUUID->"f574e767-8a0e-40da-ae8e-0c41ad3cb4c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113136, 3475, 228, 4, 44, "Input",ExpressionUUID->"cdf6521c-4281-428a-bc90-b36e3e6ee050"],
Cell[113367, 3481, 12262, 381, 638, "Output",ExpressionUUID->"63ecc6b5-60c4-47bc-a466-4f718d08f0fb"]
}, Open  ]],
Cell[125644, 3865, 163, 3, 44, "Input",ExpressionUUID->"416d62ea-1630-4661-81cd-fc26c28e7ee2"],
Cell[125810, 3870, 1075, 33, 54, "Input",ExpressionUUID->"a844b7e3-fed0-4f86-a6e2-f73364f29d90"],
Cell[CellGroupData[{
Cell[126910, 3907, 228, 4, 44, "Input",ExpressionUUID->"5d594ada-da6c-4978-92fe-68335fb410c2"],
Cell[127141, 3913, 5326, 171, 245, "Output",ExpressionUUID->"d3017130-8c5d-4568-82db-1f65ef990880"]
}, Open  ]],
Cell[132482, 4087, 163, 3, 44, "Input",ExpressionUUID->"2d7becb3-04bd-45d6-a5f6-173f1844dee5"],
Cell[132648, 4092, 1002, 31, 54, "Input",ExpressionUUID->"0ad29fd8-4da4-4ea1-ada6-9c6d55f93d71"],
Cell[CellGroupData[{
Cell[133675, 4127, 225, 4, 44, "Input",ExpressionUUID->"3f42152b-ffb1-4ab6-a2d3-e5e44b8f26ff"],
Cell[133903, 4133, 194, 4, 51, "Output",ExpressionUUID->"8693630f-75eb-4e25-a5b4-0c8f91d25f5a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134134, 4142, 225, 4, 44, "Input",ExpressionUUID->"a8a62fc7-b5db-41fb-a541-b0f40a046adb"],
Cell[134362, 4148, 16224, 508, 807, "Output",ExpressionUUID->"2cdb4f37-9c95-4318-b97a-60d2d4c3fe26"]
}, Open  ]],
Cell[150601, 4659, 163, 3, 44, "Input",ExpressionUUID->"2d767c24-657d-42b4-a00c-e79221c777b1"],
Cell[150767, 4664, 1239, 39, 49, "Input",ExpressionUUID->"725a669f-0ada-4972-96ca-3a6b13bc3135"],
Cell[152009, 4705, 200, 4, 59, "Text",ExpressionUUID->"398b4578-cc32-4d08-89db-6cd377df0c95"],
Cell[CellGroupData[{
Cell[152234, 4713, 222, 4, 44, "Input",ExpressionUUID->"6aa9bb15-3fa3-4f9e-9e94-3ecc6ee5e3e6"],
Cell[152459, 4719, 1143, 36, 56, "Output",ExpressionUUID->"15b4ee9c-ffd4-457c-927b-8e55dc5519b4"]
}, Open  ]],
Cell[153617, 4758, 1189, 37, 67, "Input",ExpressionUUID->"f34d2087-3365-434e-b52c-a5a34c81e3b7"],
Cell[CellGroupData[{
Cell[154831, 4799, 564, 16, 89, "Input",ExpressionUUID->"bcb15edc-4bc2-4a77-9b76-e3d22e152eb2"],
Cell[155398, 4817, 365, 10, 55, "Output",ExpressionUUID->"b99005ea-889c-4ca1-b416-7c05915c3e0e"],
Cell[155766, 4829, 1399, 44, 58, "Output",ExpressionUUID->"e48a765a-71e9-4e32-9b7e-b4066d11932e"]
}, Open  ]],
Cell[157180, 4876, 1454, 45, 101, "Input",ExpressionUUID->"7f333e4d-46b8-4388-86b5-a9e1832bebab"],
Cell[158637, 4923, 454, 13, 54, "Input",ExpressionUUID->"0fa1559b-3036-4944-9c32-6605aafec552"],
Cell[CellGroupData[{
Cell[159116, 4940, 222, 4, 44, "Input",ExpressionUUID->"1a8a909f-f584-44bf-a589-2b2cb8729bff"],
Cell[159341, 4946, 412, 12, 54, "Output",ExpressionUUID->"bf6fe457-6b8b-402b-9b5a-e4d47fb621f4"]
}, Open  ]],
Cell[159768, 4961, 436, 14, 64, "Input",ExpressionUUID->"fc2d6192-10b3-4396-b2b2-d08f7654fc3c"],
Cell[160207, 4977, 422, 13, 51, "Input",ExpressionUUID->"29e46bef-f7b1-409c-9ee9-890ac0253ba0"],
Cell[CellGroupData[{
Cell[160654, 4994, 224, 4, 44, "Input",ExpressionUUID->"49500460-af10-4ca9-9b1c-d7685481f0f8"],
Cell[160881, 5000, 149, 2, 34, "Output",ExpressionUUID->"5810e274-2b5b-4918-80af-09cab2901e6a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161067, 5007, 226, 4, 44, "Input",ExpressionUUID->"b62da1b9-5f3c-4c19-97f4-4ca04ad68404"],
Cell[161296, 5013, 14500, 439, 745, "Output",ExpressionUUID->"57a65512-3944-419d-9a90-b46f7e14d0b9"]
}, Open  ]],
Cell[175811, 5455, 163, 3, 44, "Input",ExpressionUUID->"5faaf32d-7da4-4ff9-bf89-ea31dd4a57d9"],
Cell[175977, 5460, 2224, 72, 100, "Input",ExpressionUUID->"68cad228-f1c3-4660-a3f8-9d505b5808c5"],
Cell[CellGroupData[{
Cell[178226, 5536, 3189, 96, 124, "Input",ExpressionUUID->"57138407-0bfa-4565-9b56-be09fba66ffc"],
Cell[181418, 5634, 2738, 88, 82, "Output",ExpressionUUID->"82a02212-0972-4145-b0d4-1bd33a1643cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184193, 5727, 163, 3, 44, "Input",ExpressionUUID->"213ac6d8-7b47-45e9-95b9-4121ddbfe04b"],
Cell[184359, 5732, 149, 2, 57, "Output",ExpressionUUID->"b57c7e9a-ceae-4a26-b031-fe5143ba8885"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184545, 5739, 230, 4, 44, "Input",ExpressionUUID->"ea190eeb-734c-45cf-9738-10d4ae471c0d"],
Cell[184778, 5745, 7906, 246, 454, "Output",ExpressionUUID->"074e8a40-7e00-4259-8e03-95a667a18aa5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[192721, 5996, 163, 3, 44, "Input",ExpressionUUID->"f07b7b5f-f2a2-4a40-b9f2-d68c698e20a4"],
Cell[192887, 6001, 2068, 64, 102, "Output",ExpressionUUID->"e01df94a-3d85-410a-9f38-1bec9df1e4a8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[194992, 6070, 3195, 91, 124, "Input",ExpressionUUID->"0e4326d0-dd5c-4b49-af7e-3ccc248ead81"],
Cell[198190, 6163, 2895, 89, 84, "Output",ExpressionUUID->"cec7f8b9-fa26-4c1a-89fa-aae25c6d7d6d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[201122, 6257, 163, 3, 44, "Input",ExpressionUUID->"54668963-aa10-4029-9fe1-391a0c332e1a"],
Cell[201288, 6262, 149, 2, 34, "Output",ExpressionUUID->"bc137c7e-514b-497f-8675-e32e749ba22a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[201474, 6269, 223, 4, 44, "Input",ExpressionUUID->"587eb989-5c51-42eb-9e1c-2ce5616d181a"],
Cell[201700, 6275, 149, 2, 34, "Output",ExpressionUUID->"e4e40901-b6c0-43ce-add2-4e6cb7a050f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[201886, 6282, 225, 4, 44, "Input",ExpressionUUID->"a08f0fc8-520c-466f-ac7a-bca91d71314b"],
Cell[202114, 6288, 19386, 588, 1023, "Output",ExpressionUUID->"e6a9776f-7afe-446d-8918-e43c83677e36"]
}, Open  ]],
Cell[CellGroupData[{
Cell[221537, 6881, 163, 3, 44, "Input",ExpressionUUID->"62c9690a-d64c-481b-ac14-d049de91c35c"],
Cell[221703, 6886, 2170, 67, 102, "Output",ExpressionUUID->"2b1abee9-360d-4044-a946-72a7daf42631"]
}, Open  ]],
Cell[223888, 6956, 207, 4, 59, "Text",ExpressionUUID->"1b14e7ff-49bb-4dce-8ade-c988a9245473"],
Cell[CellGroupData[{
Cell[224120, 6964, 229, 4, 44, "Input",ExpressionUUID->"70970e28-798c-457d-bb81-efa6a0bc5c14"],
Cell[224352, 6970, 355, 10, 52, "Output",ExpressionUUID->"28243852-74fc-471b-86bb-bced4d930fcc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[224744, 6985, 373, 11, 62, "Input",ExpressionUUID->"0d68f339-d23a-44f8-83a2-2c2544b89fe0"],
Cell[225120, 6998, 192, 4, 50, "Output",ExpressionUUID->"d967861a-83eb-4aea-8688-ed75124e747b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225349, 7007, 229, 4, 44, "Input",ExpressionUUID->"416165c8-b03d-4a65-afbb-7ad96c162560"],
Cell[225581, 7013, 216, 5, 50, "Output",ExpressionUUID->"aba8e5ed-c111-42c3-86db-f811920ff036"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225834, 7023, 229, 4, 44, "Input",ExpressionUUID->"bb32702c-625f-4c2b-8e80-2fbd441bf1ff"],
Cell[226066, 7029, 269, 7, 52, "Output",ExpressionUUID->"df495768-6733-49ea-a93d-e8ec8848c72b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226372, 7041, 231, 4, 44, "Input",ExpressionUUID->"8ee8dded-5dd8-4b20-9e70-082422aa2f21"],
Cell[226606, 7047, 151, 2, 34, "Output",ExpressionUUID->"56531f31-e8b5-48bf-ba3e-2abd0acaf0f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226794, 7054, 237, 4, 44, "Input",ExpressionUUID->"9ada0fa1-00e1-40d8-9ee9-e289424c3087"],
Cell[227034, 7060, 8871, 266, 509, "Output",ExpressionUUID->"3105d690-d647-4f73-93f1-9fd5d9a50ebc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[235942, 7331, 163, 3, 44, "Input",ExpressionUUID->"0b0ece08-c56d-4e49-9752-4bb7c9a199c5"],
Cell[236108, 7336, 828, 24, 55, "Output",ExpressionUUID->"b605331b-d890-4db8-96c8-800fde119437"]
}, Open  ]],
Cell[CellGroupData[{
Cell[236973, 7365, 232, 4, 44, "Input",ExpressionUUID->"0fb77a65-9b0e-4f84-984c-d76140105b88"],
Cell[237208, 7371, 151, 2, 34, "Output",ExpressionUUID->"1936430e-9d32-4a29-a5b0-638a1c42cc9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[237396, 7378, 230, 4, 44, "Input",ExpressionUUID->"7ebb7455-a275-4438-8a52-3ed6cd402d53"],
Cell[237629, 7384, 11197, 340, 680, "Output",ExpressionUUID->"adc4f297-730c-42f7-8188-1527b6d03ecf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248863, 7729, 163, 3, 44, "Input",ExpressionUUID->"6d30cde9-a0fe-4da3-9e2f-ef995dc6cd9f"],
Cell[249029, 7734, 981, 32, 55, "Output",ExpressionUUID->"75a5e559-d1b9-41d3-bd5b-b2687db99cbc"]
}, Open  ]],
Cell[250025, 7769, 252, 5, 59, "Text",ExpressionUUID->"19dee3ef-b9ac-4566-b9da-e312d947091b"],
Cell[CellGroupData[{
Cell[250302, 7778, 220, 4, 44, "Input",ExpressionUUID->"5d7e1862-8df1-4f58-ad07-eb5df67ce89e"],
Cell[250525, 7784, 297, 8, 49, "Output",ExpressionUUID->"a41e104d-0506-4960-ae1b-240e86d1a696"]
}, Open  ]],
Cell[CellGroupData[{
Cell[250859, 7797, 221, 4, 44, "Input",ExpressionUUID->"0f72b0bb-e77a-4743-8e8e-ad7dedbdd627"],
Cell[251083, 7803, 307, 8, 52, "Output",ExpressionUUID->"463e07ec-b3b1-4ca3-ae46-5dce9a993140"]
}, Open  ]],
Cell[CellGroupData[{
Cell[251427, 7816, 222, 4, 44, "Input",ExpressionUUID->"1f2226d6-edb2-44ec-a602-354319cfdbe7"],
Cell[251652, 7822, 299, 8, 55, "Output",ExpressionUUID->"fe335262-9fc7-4549-9e8b-f59d96273f79"]
}, Open  ]],
Cell[CellGroupData[{
Cell[251988, 7835, 224, 4, 44, "Input",ExpressionUUID->"51aa1fb5-f8b1-47ca-8dd3-dea504913172"],
Cell[252215, 7841, 149, 2, 34, "Output",ExpressionUUID->"cfc83569-ff2b-4d68-a53b-c3120fa1d8be"]
}, Open  ]],
Cell[CellGroupData[{
Cell[252401, 7848, 232, 4, 44, "Input",ExpressionUUID->"91343714-a691-4a9f-b31d-812c1366bc4e"],
Cell[252636, 7854, 1397, 38, 79, "Output",ExpressionUUID->"58dfdadd-613e-4dec-828c-18ee1e4e22c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254070, 7897, 1457, 41, 119, "Input",ExpressionUUID->"de2fa53d-4388-4aa1-a6eb-e78f37cc2943"],
Cell[255530, 7940, 983, 29, 59, "Output",ExpressionUUID->"900ff46a-61f5-42ba-bb57-1b03651c60c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256550, 7974, 228, 4, 44, "Input",ExpressionUUID->"54f0ec40-f8b1-4d7a-b294-0cc5999e92b4"],
Cell[256781, 7980, 1225, 33, 79, "Output",ExpressionUUID->"a613999b-2aff-4c0a-b478-8c78156b865b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[258043, 8018, 1281, 36, 119, "Input",ExpressionUUID->"f670d3d2-2a17-4518-997c-e6d03a1734e2"],
Cell[259327, 8056, 951, 27, 59, "Output",ExpressionUUID->"8c380769-0c43-4d9d-b5c5-f0fa403574a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[260315, 8088, 223, 4, 44, "Input",ExpressionUUID->"25f3675b-fab0-410f-9ed6-eb2c932d3e4d"],
Cell[260541, 8094, 1365, 41, 79, "Output",ExpressionUUID->"31ed8424-621d-4755-98da-9be26bde4eb7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261943, 8140, 1426, 44, 119, "Input",ExpressionUUID->"c56beaa8-6c54-4f50-b44a-cac8c9a988f6"],
Cell[263372, 8186, 995, 29, 59, "Output",ExpressionUUID->"a28169e3-ec8a-4bfd-b78e-3c903a8d70fe"]
}, Open  ]],
Cell[264382, 8218, 1886, 55, 152, "Input",ExpressionUUID->"78983380-eb6c-454d-8fe3-57374fe2677a"],
Cell[266271, 8275, 2014, 59, 73, "Input",ExpressionUUID->"1d339ec5-1990-4d2e-a561-6eca806bdc8e"],
Cell[268288, 8336, 963, 29, 107, "Input",ExpressionUUID->"2e339dc4-0781-44a4-b6f3-12cb4a0fe9b9"],
Cell[CellGroupData[{
Cell[269276, 8369, 264, 5, 44, "Input",ExpressionUUID->"35b3532f-11e2-4e17-b29d-6d8e29f904fd"],
Cell[269543, 8376, 1975, 57, 147, "Output",ExpressionUUID->"7c308161-9cb2-4d68-95d4-35606c30806a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[271555, 8438, 966, 27, 90, "Input",ExpressionUUID->"7fdb0ace-f368-49ca-a53d-b45d5364e71b"],
Cell[272524, 8467, 866, 26, 60, "Output",ExpressionUUID->"c77b91b1-2681-44da-82a8-e6dee7e31514"]
}, Open  ]],
Cell[273405, 8496, 962, 28, 59, "Input",ExpressionUUID->"47b5c540-85e5-43fc-bbc9-394454d7104f"],
Cell[CellGroupData[{
Cell[274392, 8528, 150, 2, 30, "Input",ExpressionUUID->"e70c54c6-0160-4bc9-ae3b-579bdeed1d1a"],
Cell[274545, 8532, 1852, 57, 69, "Output",ExpressionUUID->"09dbbfb5-f600-49e5-bb98-c8d24d70d585"]
}, Open  ]],
Cell[CellGroupData[{
Cell[276434, 8594, 1886, 57, 116, "Input",ExpressionUUID->"0b3aec12-e3fb-4b9f-8b59-7592f43dc1f7"],
Cell[278323, 8653, 660, 21, 60, "Output",ExpressionUUID->"8fd581e0-9b09-49a3-aa27-d60c98bcc235"]
}, Open  ]],
Cell[278998, 8677, 724, 22, 62, "Input",ExpressionUUID->"b16caaa0-1166-40eb-afaf-de7d11a35f93"],
Cell[CellGroupData[{
Cell[279747, 8703, 180, 2, 30, "Input",ExpressionUUID->"c053e80c-bedf-43fb-b526-a80305074031"],
Cell[279930, 8707, 7656, 231, 382, "Output",ExpressionUUID->"084b32f6-ea35-404b-a2d9-ccb42aa1bffb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[287623, 8943, 163, 3, 44, "Input",ExpressionUUID->"40f666b5-611c-4953-ae11-c7a94064bd12"],
Cell[287789, 8948, 149, 2, 34, "Output",ExpressionUUID->"70b79de1-023e-46aa-b127-a580d8713ac7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[287975, 8955, 177, 2, 30, "Input",ExpressionUUID->"ff83f48a-9d76-4591-90eb-1e4f4bd74171"],
Cell[288155, 8959, 6152, 194, 409, "Output",ExpressionUUID->"f12342cf-88f6-4716-88e2-7b11e697fa91"]
}, Open  ]],
Cell[CellGroupData[{
Cell[294344, 9158, 161, 3, 44, "Input",ExpressionUUID->"74de262e-ae3a-4624-b58e-2f2ac41be457"],
Cell[294508, 9163, 5881, 185, 334, "Output",ExpressionUUID->"8b065b1e-7cf3-4d42-9244-520bad68841c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[300426, 9353, 163, 3, 44, "Input",ExpressionUUID->"82f16ceb-3985-45c7-abc8-31e9b6182d1f"],
Cell[300592, 9358, 5218, 164, 272, "Output",ExpressionUUID->"c61238d4-369b-43e7-a817-4f2a75e816bc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305847, 9527, 5500, 165, 332, "Input",ExpressionUUID->"7e720aae-e908-431a-9bbe-79008097d7f4"],
Cell[311350, 9694, 1202, 38, 66, "Output",ExpressionUUID->"41a98462-c661-4d08-8973-4c25770910e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312589, 9737, 191, 4, 44, "Input",ExpressionUUID->"1fe65045-1534-4165-83ff-2a55fba26dc4"],
Cell[312783, 9743, 273, 7, 51, "Output",ExpressionUUID->"6d4bb144-da09-43ba-b239-16e830bbf0af"]
}, Open  ]],
Cell[313071, 9753, 242, 5, 48, "Input",ExpressionUUID->"8e1d947b-37a0-4eb8-b531-bad3aa222587"],
Cell[CellGroupData[{
Cell[313338, 9762, 180, 2, 30, "Input",ExpressionUUID->"8d51e187-4fe7-4c79-9741-88fe15bf67c3"],
Cell[313521, 9766, 6400, 202, 424, "Output",ExpressionUUID->"04a0b6bc-dd6c-4984-9449-154a063c7da1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319958, 9973, 163, 3, 44, "Input",ExpressionUUID->"fec67697-6900-412d-8c29-154ec5c4e6af"],
Cell[320124, 9978, 5919, 185, 334, "Output",ExpressionUUID->"8fcf5a6c-0351-4688-b498-098b60ce4971"]
}, Open  ]],
Cell[CellGroupData[{
Cell[326080, 10168, 3665, 114, 263, "Input",ExpressionUUID->"7cc08580-bca3-43b6-a604-c7894b971dba"],
Cell[329748, 10284, 1066, 31, 65, "Output",ExpressionUUID->"967c9d00-0c8e-44ce-aeed-e39c02a31b86"]
}, Open  ]],
Cell[CellGroupData[{
Cell[330851, 10320, 150, 2, 30, "Input",ExpressionUUID->"5190d3dd-51ae-4d3a-94fc-c06339daf857"],
Cell[331004, 10324, 175, 2, 34, "Output",ExpressionUUID->"2114b47d-a8eb-4712-b95b-99590592a1fc"]
}, Open  ]],
Cell[331194, 10329, 428, 10, 155, "Text",ExpressionUUID->"373eafe5-2e13-4556-8052-d7acaf88d170"],
Cell[331625, 10341, 11227, 350, 818, "Input",ExpressionUUID->"ae33480f-50d4-4c54-839e-15edfd269bd1"],
Cell[342855, 10693, 150, 3, 59, "Text",ExpressionUUID->"5e9155ac-2249-4254-b80c-5bf46705a04c"],
Cell[CellGroupData[{
Cell[343030, 10700, 221, 4, 44, "Input",ExpressionUUID->"944f761b-e1b6-4680-9f93-46427cf6824b"],
Cell[343254, 10706, 151, 2, 34, "Output",ExpressionUUID->"ed5c0c38-a965-441e-893a-2ec0b0140525"]
}, Open  ]],
Cell[CellGroupData[{
Cell[343442, 10713, 228, 4, 44, "Input",ExpressionUUID->"138eb6d8-30d9-42ec-8546-fc1299c7607a"],
Cell[343673, 10719, 1127, 36, 66, "Output",ExpressionUUID->"ff0793f4-e7b3-4db5-af67-2af0da2d4ecd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[344837, 10760, 1176, 38, 78, "Input",ExpressionUUID->"4ff07244-9aac-4d6d-baa0-4e5e21736179"],
Cell[346016, 10800, 794, 25, 64, "Output",ExpressionUUID->"7c28b8dd-e70f-441a-8d6a-717057f5915c"]
}, Open  ]],
Cell[346825, 10828, 200, 4, 59, "Text",ExpressionUUID->"405702cc-03dd-4485-b9c2-53ea12b33a04"],
Cell[CellGroupData[{
Cell[347050, 10836, 224, 4, 44, "Input",ExpressionUUID->"376a8fea-3415-477c-96ff-e04b93058926"],
Cell[347277, 10842, 1433, 46, 70, "Output",ExpressionUUID->"44d7744d-6cc8-4e0b-a9c5-06e9ce97c5c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[348747, 10893, 1463, 47, 84, "Input",ExpressionUUID->"6d5c9f53-12a3-4bcf-9b4c-5b0812a1febb"],
Cell[350213, 10942, 699, 21, 57, "Output",ExpressionUUID->"2d1d93b9-93cd-49c0-8a82-5b2e16de37b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[350949, 10968, 226, 4, 44, "Input",ExpressionUUID->"a407301c-933a-449c-89c4-cc0176cfd825"],
Cell[351178, 10974, 16095, 506, 789, "Output",ExpressionUUID->"b71590e4-989a-4e11-b7dc-a21077d02800"]
}, Open  ]],
Cell[CellGroupData[{
Cell[367310, 11485, 163, 3, 44, "Input",ExpressionUUID->"4e229334-4b6d-4264-aace-b4fc948e451c"],
Cell[367476, 11490, 2804, 86, 122, "Output",ExpressionUUID->"c9e7610c-80a5-4a1b-a088-61b2b80daeb0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370317, 11581, 259, 5, 44, "Input",ExpressionUUID->"9d2afeee-9306-482b-ae6e-5e05628ae1ed"],
Cell[370579, 11588, 8510, 242, 448, "Output",ExpressionUUID->"f778e9d1-d4a4-4ae4-9fcd-d04623f31342"]
}, Open  ]],
Cell[CellGroupData[{
Cell[379126, 11835, 7806, 233, 454, "Input",ExpressionUUID->"ab223563-ba49-4ef0-9b20-6768f50f4241"],
Cell[386935, 12070, 2395, 72, 92, "Output",ExpressionUUID->"3f6b3a66-0750-4672-9f08-860a96803cdd"]
}, Open  ]],
Cell[389345, 12145, 209, 4, 59, "Text",ExpressionUUID->"017785f6-a511-4d1b-a3ce-4c69beb12959"],
Cell[CellGroupData[{
Cell[389579, 12153, 239, 4, 44, "Input",ExpressionUUID->"04e0fb13-2a0d-4b32-a30e-91fdc8d6f487"],
Cell[389821, 12159, 9710, 304, 467, "Output",ExpressionUUID->"52c88cb2-b098-4b8e-a40e-0e9adcbd3a1b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[399568, 12468, 163, 3, 44, "Input",ExpressionUUID->"20f1c703-e4ba-43b1-8e60-c22a222c9af0"],
Cell[399734, 12473, 2188, 63, 97, "Output",ExpressionUUID->"b1ff08ce-d8d0-40a3-954e-47ade05e6070"]
}, Open  ]],
Cell[401937, 12539, 179, 3, 30, "Input",ExpressionUUID->"487c0e96-c401-4223-b3d7-1faf6bec7871"],
Cell[402119, 12544, 254, 5, 59, "Text",ExpressionUUID->"d990de25-6b37-4697-ae7e-29c6770f3dac"],
Cell[CellGroupData[{
Cell[402398, 12553, 226, 4, 44, "Input",ExpressionUUID->"debfd25a-f4f7-42b0-ab2d-b244bf43696d"],
Cell[402627, 12559, 983, 29, 65, "Output",ExpressionUUID->"29e4d143-2ee1-4b71-baad-1f70f00fc86f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[403647, 12593, 1032, 32, 76, "Input",ExpressionUUID->"58d12866-a26a-446a-8ec8-b745a655156c"],
Cell[404682, 12627, 983, 29, 88, "Output",ExpressionUUID->"ba96ccc8-4dac-43d6-88fa-abb151075100"]
}, Open  ]]
}
]
*)

