(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    144040,       3943]
NotebookOptionsPosition[    124922,       3643]
NotebookOutlinePosition[    125369,       3661]
CellTagsIndexPosition[    125326,       3658]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Basic Model
\
\>", "Text",
 CellChangeTimes->{{3.846535984490662*^9, 
  3.846535998405435*^9}},ExpressionUUID->"88149d14-1940-4d50-a331-\
6c39144cf1e0"],

Cell[BoxData[
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}]], "Input",
 CellLabel->"In[1]:=",ExpressionUUID->"887c03d9-14ac-4323-8bf0-ee4446f30342"],

Cell[BoxData[
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
   "cs"}]}]], "Input",
 CellChangeTimes->{3.846536854010676*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"ab083342-577c-4656-8143-bcce7c721fa6"],

Cell[TextData[{
 StyleBox["Optimal e",
  FontColor->RGBColor[1, 0, 0]],
 "\n"
}], "Text",
 CellChangeTimes->{{3.846536070383237*^9, 
  3.846536072016327*^9}},ExpressionUUID->"dd3501b9-8a78-4d3b-928f-\
35af537957b0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"228017d1-48b8-47d2-9924-01b1a07ca8af"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.846536088620317*^9, 3.846536878349188*^9, 
  3.846819435337447*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"a03b94d0-a46b-4edd-955d-c5aa5e389a50"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}], "\[Equal]",
     "0"}], ",", "e"}], "]"}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"2d4552d0-22da-46bf-aea7-a383970087d8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], "}"}], "}"}], "\[IndentingNewLine]"}]], \
"Input",
 CellChangeTimes->{{3.846819526181683*^9, 
  3.846819533114544*^9}},ExpressionUUID->"831e5dd9-d497-474b-82cb-\
c4885c55c4cc"],

Cell[TextData[StyleBox["the breakeven of insurance company",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846819443203999*^9, 
  3.846819457369639*^9}},ExpressionUUID->"e5e4d1f3-0119-4f59-b354-\
b0af5732c838"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Profiti", "=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8468194751479893`*^9, 3.846819510230877*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"ff6b00cf-9384-44b7-a16a-8c56d5f59c61"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.846819511825795*^9, 3.846819541110244*^9}},
 CellLabel->"Out[7]=",ExpressionUUID->"cfb1f1a7-67a0-4df3-ac57-808c21215fa7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "Profiti", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"07539c5f-ecb8-482e-af64-5658eebf4ddf"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"r", "-", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], ")"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846819545139987*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"ba8fa183-e22b-4dca-bbc1-d6ff4f713677"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.84681969255449*^9, 3.846819700022492*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"a3a3e9b9-cc91-44b8-8bd3-64137ac46b68"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
      RowBox[{"p", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846819701188225*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"ade9b380-f348-4895-b11c-a340762d32cf"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465361560389442`*^9, 3.846536156115282*^9}, {
  3.846536884095088*^9, 
  3.8465368871763773`*^9}},ExpressionUUID->"846a4207-4fd0-4d9a-accf-\
d5c50e7d12c5"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FormBox[
   FractionBox[
    RowBox[{"\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "p"}], "+", "p"}], 
    RowBox[{"2", " ", "k"}]],
   TraditionalForm]}]], "Input",
 CellChangeTimes->{{3.846536250481976*^9, 3.846536256115622*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"881eb2d6-614f-4099-a5a1-f31b84754669"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846536261654269*^9, 3.846536266370331*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"0ee46df4-e504-4a46-a4dc-e91a510b8469"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846536267149044*^9, 3.846536906250978*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"4e85b555-b12a-4012-bfaf-6622494a4b64"]
}, Open  ]],

Cell[TextData[StyleBox["Optimal a",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846536276563113*^9, 
  3.846536282320259*^9}},ExpressionUUID->"a3e623e6-f214-4458-98a2-\
330f95967371"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846536269792304*^9, 3.8465363371590853`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"b4224e3d-0197-48e1-9090-f9f401994b54"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "p"}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846536339455461*^9, 3.846536911468644*^9, 
  3.8465369667577553`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"2298773e-6b5c-41e6-943f-d39ae90d0096"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "p"}], "-", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"26d765e8-f933-4ac9-9535-eeb00c86a2e9"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846536978725464*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"bfc15b37-e20a-46a3-90e5-d011af279ea3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
      RowBox[{"2", " ", "k"}]]}], "\[Equal]", "0"}], ",", "\[Alpha]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8465363788433104`*^9, 3.84653640169312*^9}, {
   3.846536477424024*^9, 3.846536477843495*^9}, 3.8465370154013977`*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"e7bfaf5f-7ecf-470b-ac96-8eb1eb3ef0e9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "F"}], "-", 
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "p"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.84653647995811*^9, 3.846536924683457*^9, 
  3.846536956141035*^9, 3.846537017581379*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"62c53a08-88b1-4e96-b2f2-2a71218a5b03"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "F"}], "-", 
    RowBox[{"2", " ", "k"}], "+", 
    RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "p"}]]}]], "Input",
 CellChangeTimes->{{3.846536515352498*^9, 3.8465365197332373`*^9}, {
  3.846537039421904*^9, 3.8465370407367897`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"3bdd4a38-5a16-439a-9c6c-22268bfe9452"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846536523178487*^9, 3.8465365250569553`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"0faccfc3-ab32-4b45-a024-7c883e1850c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", 
     RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
      "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "F"}], "-", 
           RowBox[{"2", " ", "k"}], "+", 
           RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
          RowBox[{"2", " ", "p"}]]}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846536559394546*^9, 3.846537045131261*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"8784aa4f-2ff2-4fb8-84b1-afe938cd7ff3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
       "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "F"}], "-", 
            RowBox[{"2", " ", "k"}], "+", 
            RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
           RowBox[{"2", " ", "p"}]]}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"70a2f243-ea17-49fe-aa63-c656cf2db25c"],

Cell[CellGroupData[{

Cell[BoxData[{
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"8", " ", "cs", " ", "k"}], "+", 
   RowBox[{"4", " ", "F", " ", "k"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}], "-", 
   RowBox[{"8", " ", "k", " ", "p"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"8", " ", "k"}]], "\[IndentingNewLine]", 
 RowBox[{"Factor", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.846537090997854*^9, 3.8465370960111027`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"c5c2c81e-6ca8-46f3-9fbf-a0e5bdf69e07"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"8", " ", "cs", " ", "k"}], "+", 
   RowBox[{"4", " ", "F", " ", "k"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}], "-", 
   RowBox[{"8", " ", "k", " ", "p"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"8", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846537097018372*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"944c8c1a-1886-42e4-b72d-b21703778a7e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"8", " ", "cs", " ", "k"}], "+", 
   RowBox[{"4", " ", "F", " ", "k"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}], "-", 
   RowBox[{"8", " ", "k", " ", "p"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"8", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846537097025791*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"9299091e-da05-48ea-b455-2c3700c4f962"]
}, Open  ]],

Cell[TextData[StyleBox["Profit",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846536586435648*^9, 
  3.846536619469329*^9}},ExpressionUUID->"5459e5ed-e607-45b7-9f12-\
fbe29c8832ce"],

Cell[BoxData[
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}]], "Input",
 CellLabel->"In[18]:=",ExpressionUUID->"1618411f-f107-4287-be47-01b4e0073bae"],

Cell[BoxData[
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
   "cs"}]}]], "Input",
 CellChangeTimes->{3.846536849794606*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"c25ee6ca-5bfb-4874-b163-7ddd89393129"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FormBox[
   FractionBox[
    RowBox[{"\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "p"}], "+", "p"}], 
    RowBox[{"2", " ", "k"}]],
   TraditionalForm]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "F"}], "-", 
    RowBox[{"2", " ", "k"}], "+", 
    RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "p"}]]}]}], "Input",
 CellChangeTimes->{{3.8465366429134903`*^9, 3.846536662945819*^9}, {
  3.8465371242287703`*^9, 3.8465371255216093`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"f0ad7c99-e4e0-4126-9b89-e6e15acdc0d1"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.846536820661045*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"06a52d71-746a-4c18-bf65-2e2c6872a240"],

Cell[BoxData[
 FractionBox[
  RowBox[{"p", "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", "\[Theta]"}], 
  
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846536821228407*^9, 3.8465371287736073`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"8050d35f-926f-43b8-9c7a-3b6f78371118"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"F", "+", 
       RowBox[{"2", " ", "k"}], "-", 
       RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"785441a5-f79a-4699-ad61-27f6a2129f6e"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "+", 
   RowBox[{"2", " ", "k"}], "+", "\[Theta]"}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8465371386471663`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"4d257c15-6bfd-4a14-b851-7b4318f1ec24"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["\[Alpha]"], "Input",
 CellChangeTimes->{{3.8465368250182667`*^9, 3.846536825550365*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"173f7ae0-48a8-4796-98c9-1937ef6155f0"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnXlsFccZwP1sfODnmyuFVByODRLBjkhamgABHziADYRURImNCJAA4Y+A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    "], {{0, 40.}, {79., 0}}, {0, 
    255},
    ColorFunction->RGBColor,
    ImageResolution->144],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSizeRaw->{79., 40.},
  PlotRange->{{0, 79.}, {0, 40.}}]], "Output",
 CellChangeTimes->{3.846536826424662*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"54730e85-4415-4a95-ac38-f77c53e3e657"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846536677669713*^9, 3.846536680328548*^9}, {
  3.84653679276537*^9, 3.846536793844863*^9}, {3.846536834986656*^9, 
  3.846536837042934*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"d2f78ded-2cc9-4887-a5df-ba9fb4d0bcdd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", 
     RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
      "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "F"}], "-", 
           RowBox[{"2", " ", "k"}], "+", 
           RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
          RowBox[{"2", " ", "p"}]]}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8465368374878483`*^9, 3.84653715920395*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"a2cb4342-04b4-497e-a28e-0385e3eca082"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
       "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "F"}], "-", 
            RowBox[{"2", " ", "k"}], "+", 
            RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
           RowBox[{"2", " ", "p"}]]}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"45c33c05-2d3e-4356-bf79-bf4fd92d41f3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"8", " ", "cs", " ", "k"}], "+", 
   RowBox[{"4", " ", "F", " ", "k"}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}], "-", 
   RowBox[{"8", " ", "k", " ", "p"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"8", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846537161256836*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"dc565482-8de6-4ab8-a798-19a7db5ad27c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.846536711457856*^9, 3.846536716871997*^9}, {
  3.84653677090038*^9, 3.846536773964375*^9}, {3.846537172276259*^9, 
  3.8465371747780447`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"603e60e6-873a-49ac-b6bf-e977b231220c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "F"}], "-", 
     RowBox[{"2", " ", "k"}], "+", 
     RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], ")"}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
      "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
      "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "F"}], "-", 
        RowBox[{"2", " ", "k"}], "+", 
        RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "p"}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
       "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846537175389929*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"9ddc9a97-9183-47c4-b621-d4435b26e780"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "F"}], "-", 
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], ")"}]}], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
       "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"p", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
       "\[Theta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"-", "F"}], "-", 
         RowBox[{"2", " ", "k"}], "+", 
         RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
        RowBox[{"2", " ", "p"}]]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"F", "+", 
           RowBox[{"2", " ", "k"}], "-", 
           RowBox[{"2", " ", "p"}], "-", "\[Theta]"}], ")"}]}], "+", 
        "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"8c720d37-00d3-49e8-9f50-c209f6913949"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"16", " ", "cv", " ", "k"}], "-", 
   RowBox[{"4", " ", "F", " ", "k"}], "-", 
   RowBox[{"12", " ", 
    SuperscriptBox["k", "2"]}], "+", 
   RowBox[{"16", " ", "k", " ", "p"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"16", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846537178003066*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"586add8d-b790-4523-9234-929f68a2e78a"]
}, Open  ]],

Cell[TextData[StyleBox["Insurance Model",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846537290007017*^9, 
  3.846537293500519*^9}},ExpressionUUID->"f2450ce6-c45a-4100-9829-\
cfa830bcbef1"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{"\[Beta]", 
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846537333334669*^9, 3.846537334807583*^9}, {
  3.846538136843462*^9, 3.8465381622678337`*^9}, {3.846538368410698*^9, 
  3.84653836878587*^9}, {3.8465389446023893`*^9, 3.8465389486866302`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c8a16a58-c7fb-43f1-a376-ae5062a9e0f3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Profits", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
    RowBox[{"e", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
    RowBox[{"r", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", "cs", "+", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "e"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}]}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.846537354551845*^9, 3.8465373808872633`*^9}, {
  3.84653813005853*^9, 3.846538135111216*^9}, {3.846538879266057*^9, 
  3.846538888448881*^9}, {3.846538934295512*^9, 3.846538942566218*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"eef1b5bf-187e-4c1c-a57b-7c7e416b3670"],

Cell[TextData[StyleBox["Optimal e",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846537414368281*^9, 
  3.846537418286862*^9}},ExpressionUUID->"509d11dc-75e8-4cf8-87a9-\
136dfe74066e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.846537422647358*^9, 3.8465374309470663`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"0ac5022f-b6b0-4bd1-b30c-193a8946ecfe"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.846537431337264*^9, 3.846538054193959*^9, 
  3.8465381809438066`*^9, 3.84653873850259*^9, 3.846538914721953*^9, 
  3.846539535385503*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"b36fee77-3b42-4d02-8683-a35a29e23731"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8465374359347887`*^9, 3.84653744319718*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"6ac56f85-a1c8-4800-8f8f-51cbff366755"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846537443570705*^9, 3.846538056955853*^9, 
  3.846538184306095*^9, 3.846538741361114*^9, 3.846538916866088*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"446cc1b3-88e1-4d24-80fe-10f017c1eb0f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FormBox[
   FractionBox[
    RowBox[{"\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "p"}], "+", "p"}], 
    RowBox[{"2", " ", "k"}]],
   TraditionalForm]}]], "Input",
 CellChangeTimes->{{3.8465374598468513`*^9, 3.8465374636027613`*^9}, 
   3.846537943458269*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"e5e0e945-5ae7-4125-955b-fc265b35da5e"],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
    RowBox[{"p", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.846819981967142*^9, 3.846819985137355*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"41d198ba-ddd7-4d67-91e1-c34fd46e8c66"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Profits", ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
     RowBox[{"e", 
      RowBox[{"(", 
       RowBox[{"F", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
     RowBox[{"r", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", "cs", "+", 
     
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "e"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}]}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.846820027740901*^9, 3.846820035270544*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"8752f1e9-5383-4f9b-9fcf-c08ebd86e646"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8468200429780817`*^9, 3.846820046310217*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"12999f00-207d-4cf4-9680-699acf42de49"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
      RowBox[{"p", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846820047335149*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"7bd38fda-abf4-480d-aee0-6c3bcf26d2f0"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
       RowBox[{"p", " ", "\[Beta]"}], "+", 
       RowBox[{"p", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"49364352-059c-4ee8-9b23-b5a3cf317455"],

Cell[CellGroupData[{

Cell[BoxData[{
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "+", 
   RowBox[{"F", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]], "\[IndentingNewLine]", 
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]}], "Input",
 CellChangeTimes->{{3.846820722380982*^9, 3.846820733555428*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"2ff5a8e9-e1b4-4e15-aba7-b7d4f425d777"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "+", 
   RowBox[{"F", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846820734356188*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"14bd98d0-7511-4c91-b3f9-94e379b4f66f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"F", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "p", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846820734389613*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"bf8c6eab-3487-4218-9e3e-d5b9c96b1911"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.846820741458708*^9, 3.846820748082016*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"af527bc5-b6f9-499a-bbc5-ab65d59273d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "-", 
      RowBox[{"F", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8468207493195543`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"8a2d3c84-fbc7-4328-84b2-a8fce3cfdc02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "+", 
     RowBox[{"F", " ", 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"2", " ", "k"}]], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846820820794923*^9, 3.8468208471260977`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"7c4c9b52-121c-4684-8148-eb58908c27ca"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "F"}], " ", "p"}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
     ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8468208481548986`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"1fc1d606-854f-45a2-9568-adc46b80aec3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846820854711504*^9, 3.846820863165291*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"32598e5c-ec9c-4cb0-af64-d07e0b8ac2ee"],

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "F"}], "-", 
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "p"}]]}], "}"}], "}"}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"F", "-", 
    RowBox[{"F", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]}], "Input",
 CellChangeTimes->{{3.8468209290111933`*^9, 3.84682099268498*^9}, {
  3.846821051190875*^9, 3.846821087104978*^9}, {3.846821176100851*^9, 
  3.846821195602059*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"61b784e9-e487-4f85-bb4a-6af1010e3523"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FormBox[
   FractionBox[
    RowBox[{"\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "p"}], "+", "p"}], 
    RowBox[{"2", " ", "k"}]],
   TraditionalForm]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"e30cf5c1-de87-417f-b550-b7446ecc7aa9"],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
    RowBox[{"p", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"380f60d1-4c46-4110-8c83-76e417fda899"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", "cs", "+", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", "Profits"}], "Input",
 CellChangeTimes->{{3.846821265689818*^9, 3.846821271850088*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"e47d17de-dc4e-4104-89bf-5a43dad3ef1b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"F", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"F", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{"F", "-", 
        RowBox[{"F", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"F", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"F", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}], "-", 
      FractionBox[
       RowBox[{"\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"F", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"F", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"F", "-", 
         RowBox[{"F", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"\[Theta]", "+", 
       FractionBox[
        RowBox[{"F", "-", 
         RowBox[{"F", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"F", "-", 
           RowBox[{"F", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8468212724334297`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"e915df60-de3d-4c13-958a-5e448c4a8126"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%8", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"df8e6c64-60f1-4d20-937b-b42c03a872fa"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["F", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"8", " ", "cs", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"2", " ", "F", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
  RowBox[{"8", " ", "k", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.846821274682845*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"cd6b48d6-11ce-46f2-8919-f6221b953dfe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["F", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", "F", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], ",", 
   "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8468212521761417`*^9, 3.846821259012125*^9}, {
  3.8468212969038773`*^9, 3.846821306240526*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"0e041e2e-3bef-4746-a039-6bdf33415661"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["F", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"16", " ", "cs", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "F", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "+", "\[Theta]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "F", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "-", "\[Theta]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["F", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"8", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", "F", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
   RowBox[{"4", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]]}]], "Output",
 CellChangeTimes->{3.846821315631693*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"70536385-f49d-4e3c-87eb-d4b3b71732d1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%12", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"a0489245-9c4f-48a6-8e26-ac86582eed4d"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "-", 
   RowBox[{"F", " ", "\[Alpha]"}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]]], "Output",
 CellChangeTimes->{3.846821317827537*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"fa7b1a38-e174-483b-b950-e60fec801913"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846821331436146*^9, 3.846821342610861*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"8f55da89-f1a3-4cfc-a9c4-2dc001b691d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "-", "\[Theta]"}], 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846821358354609*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"31cbc0ee-f3b2-433e-ad95-3886151d920b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"F", "-", "\[Theta]"}], 
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]]}]], "Input",
 CellChangeTimes->{{3.846821405981732*^9, 3.846821408432712*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"bf153cf9-a649-4da1-b19e-2f86441930c1"],

Cell[CellGroupData[{

Cell[BoxData["p"], "Input",
 CellChangeTimes->{3.8468213858380423`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"4cb7decd-804c-428e-a027-bdc5e227e9cb"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "-", 
   FractionBox[
    RowBox[{"F", " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]], "-", 
   FractionBox[
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]], "-", "\[Theta]", "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"F", "-", "\[Theta]"}], ")"}], " ", "\[Theta]"}], 
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox[
       RowBox[{"F", "-", "\[Theta]"}], 
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", "\[Theta]"}]]}], ")"}], 
    "2"]}]]], "Output",
 CellChangeTimes->{{3.846821387833836*^9, 3.84682141222103*^9}},
 CellLabel->"Out[17]=",ExpressionUUID->"b141d355-2ce0-4434-9ea7-26d50b131043"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.846821413996945*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"e57e40a9-10d6-487b-82d9-4ea0b4eee1a6"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8468211629746513`*^9, 
  3.846821162976123*^9}},ExpressionUUID->"bfa5a467-6530-434b-8ff2-\
4c1beb7c5f9b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846821164557199*^9, 
  3.846821164560018*^9}},ExpressionUUID->"f12b5f29-0304-4b61-8e4b-\
00db2e314447"],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846821103590863*^9, 
  3.846821103592067*^9}},ExpressionUUID->"3b2c1918-37cb-463f-a0f8-\
40b2ff729387"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit", "reclim2", 
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{RowBox[{\\\"-\\\", \\\"F\\\"}], \\\"-\\\", \
RowBox[{\\\"2\\\", \\\" \\\", \\\"k\\\"}], \\\"+\\\", RowBox[{\\\"2\\\", \\\" \
\\\", \\\"p\\\"}], \\\"+\\\", \\\"\[Theta]\\\"}]\\).\"", 2, 6, 5, 
   34222738040910710887, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.846821056684923*^9, 3.846821089224597*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[5]:=",ExpressionUUID->"d8d8cbc1-e3f9-4ac1-a8c6-\
6508cb53b302"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8468211009633713`*^9, 
  3.846821100964506*^9}},ExpressionUUID->"ad7a7db0-0a5c-4fdf-af98-\
6c971f9fb10a"],

Cell[CellGroupData[{

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846821046047433*^9, 
  3.846821046051126*^9}},ExpressionUUID->"54400895-95ce-48d4-8d8e-\
a6efddd87d08"],

Cell[BoxData[
 TemplateBox[{
  "$RecursionLimit", "reclim2", 
   "\"Recursion depth of \\!\\(\\*RowBox[{\\\"1024\\\"}]\\) exceeded during \
evaluation of \\!\\(\\*RowBox[{\\\"F\\\", \\\"-\\\", RowBox[{\\\"F\\\", \\\" \
\\\", \\\"\[Alpha]\\\"}], \\\"-\\\", RowBox[{\\\"2\\\", \\\" \\\", \\\"k\\\", \
\\\" \\\", \\\"\[Alpha]\\\"}], \\\"-\\\", \\\"\[Theta]\\\", \\\"+\\\", \
RowBox[{\\\"\[Alpha]\\\", \\\" \\\", \\\"\[Theta]\\\"}]}]\\).\"", 2, 2, 1, 
   34222738040910710887, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.84682099426458*^9, 3.846821031333646*^9, {3.846821095882298*^9, 
   3.84682109719466*^9}},ExpressionUUID->"faa6cc09-7567-4461-98c6-\
b84d813d862d"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846821040475936*^9, 
  3.84682104047707*^9}},ExpressionUUID->"15e319c1-c1d3-449d-955c-\
9213778695f6"],

Cell["Optimal \[Alpha]", "Text",
 CellChangeTimes->{{3.846537591094715*^9, 3.846537595051195*^9}, {
  3.846537733513912*^9, 
  3.8465377369239817`*^9}},ExpressionUUID->"fb226a9d-c063-4ebe-ab40-\
7cc637a4db1a"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846537740139475*^9, 3.846537746462007*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"67adc948-d4c9-4173-96cf-7115dc8dbbdc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.846537947541877*^9, 3.846537952306979*^9}, 
   3.8465380695052843`*^9, 3.846538537471569*^9, 3.8465387630754967`*^9, 
   3.846538992355124*^9, 3.84653919382309*^9, 3.846539570466185*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"ce726aa0-7f3f-47ee-abeb-edbf931f1115"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "-", 
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"43661970-715e-499f-9774-21eaf3e4bcde"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.84653957528529*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"ba9f05a0-b224-4df1-ace0-776f0ca803a8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.84653775737827*^9, 3.846537762166931*^9}, {
  3.846538100598855*^9, 3.8465381013901787`*^9}, {3.8465385708485527`*^9, 
  3.846538574945712*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"dbbb0ade-e2e3-41cd-acdf-19e55bd2040f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "p"}], "-", 
  RowBox[{"p", " ", "r"}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"p", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846538001856124*^9, 3.846538102686171*^9, 
  3.846538576093095*^9, 3.846538770234627*^9, 3.846539026105794*^9, 
  3.84653920720907*^9, 3.846539586558732*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"69944615-4516-408b-b1cf-57689ba2effc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "p"}], "-", 
   RowBox[{"p", " ", "r"}], "-", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"p", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"98571ebb-8f05-4b6d-a8a4-93c2f520365f"],

Cell[BoxData[
 FractionBox[
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "F"}], "+", 
     RowBox[{"2", " ", "p"}], "-", 
     RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "r", "-", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"cs", " ", "\[Beta]"}], "-", 
     RowBox[{"p", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "p", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
     "\[Theta]", "-", 
     RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846539598595235*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"fc4ead7d-2d3e-474d-9b50-9daf9ff212a7"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537898993843*^9, 3.846537901031777*^9}, 
   3.8465380092050953`*^9},ExpressionUUID->"40fb2d69-18bb-47df-8f68-\
b45e5225fc14"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846537772129882*^9, 3.8465377809728537`*^9}, {
  3.846537908805842*^9, 3.846537909874536*^9}, {3.846538014803108*^9, 
  3.846538018569347*^9}, {3.846538820763879*^9, 3.846538821729541*^9}, {
  3.846539057670697*^9, 3.846539059125618*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"542e113a-a0bf-4939-8754-d6fef3ee6d01"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "r"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}]}], "Input",
 CellChangeTimes->{{3.846539757191717*^9, 3.846539768411496*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"7d6b09ee-8b13-442f-9a07-abd389fe6a65"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.846539769702654*^9, 3.846541014944241*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"916de0ac-d611-4b96-a7fe-c3b3e1e95986"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.84654101760599*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"35d3cd9a-1f07-4211-9445-5531efa81276"],

Cell[BoxData[
 FractionBox[
  RowBox[{"p", "+", "\[Theta]", "-", 
   FractionBox[
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", 
     RowBox[{"2", " ", "p"}], "+", 
     RowBox[{"2", " ", "k", " ", "r"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
     RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846541018672386*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"457410c5-fa4a-4f59-bf41-cb4d46d45b3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"p", "+", "\[Theta]", "-", 
    FractionBox[
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"e8f3f0fc-9276-42e8-bf60-178b595d7bb9"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "+", 
   RowBox[{"2", " ", "k"}], "+", 
   RowBox[{"2", " ", "k", " ", "r"}], "-", 
   RowBox[{"cs", " ", "\[Beta]"}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
   RowBox[{"p", " ", "\[Beta]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
  RowBox[{
   RowBox[{"4", " ", "k"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Beta]"}]}]]], "Output",
 CellChangeTimes->{3.84654102138407*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"89bd7267-3fc1-4c3b-b613-36f51566d49f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.846538626525086*^9, 3.846538629953847*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"15f0e205-3190-4dfd-a7ee-17d191ec0e93"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "r"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "r"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "r"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "r"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "+", "\[Theta]", "-", 
       FractionBox[
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "k", " ", "r"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
         RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8465397839372263`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"0e65a47a-032b-445b-a375-68bd5390af2c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%16", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"8c247d85-4c80-40c4-bfb7-57800ab69f41"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["F", "2"], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"]}], "+", 
    RowBox[{"16", " ", "k", " ", "p"}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "r"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["r", "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["k", "2"], " ", "\[Beta]"}], "-", 
    RowBox[{"28", " ", "k", " ", "p", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "r", " ", "\[Beta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "r", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "p", " ", "r", " ", "\[Beta]"}], "+", 
    RowBox[{
     SuperscriptBox["cs", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{"2", " ", "cs", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{"12", " ", "k", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "r", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "r", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Beta]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Beta]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "F", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "cs"}], " ", "\[Beta]"}], "-", 
       RowBox[{"p", " ", "\[Beta]"}], "+", 
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "r", "+", "\[Beta]"}], ")"}]}], "+", 
       "\[Theta]", "-", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.846539786698444*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"6faec2a3-61a9-4593-9872-991ef8b9f458"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846539892595077*^9, 3.846539896779059*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"88987b19-7aed-4abe-84a8-c903b81da816"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "r"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"F", "+", 
       RowBox[{"2", " ", "k"}], "-", 
       RowBox[{"2", " ", "p"}], "+", 
       RowBox[{"2", " ", "k", " ", "r"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
       RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"F", "+", 
       RowBox[{"2", " ", "k"}], "-", 
       RowBox[{"2", " ", "p"}], "+", 
       RowBox[{"2", " ", "k", " ", "r"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
       RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "+", "\[Theta]", "-", 
       FractionBox[
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "k", " ", "r"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
         RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "r"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{"F", "+", 
           RowBox[{"2", " ", "k"}], "-", 
           RowBox[{"2", " ", "p"}], "+", 
           RowBox[{"2", " ", "k", " ", "r"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
           RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
           RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
          RowBox[{"2", " ", "p", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}]}], 
     ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846539897674659*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"c88cf312-ad1a-45b9-80c4-36d91c8a75a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%18", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"01a35251-5333-4fe6-9de6-acdf4332d47b"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["F", "2"], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"]}], "-", 
     RowBox[{"8", " ", "k", " ", "p"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "r"}], "-", 
     RowBox[{"8", " ", "k", " ", "p", " ", "r"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["r", "2"]}], "+", 
     RowBox[{"4", " ", "cs", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "r", "-", "\[Beta]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "\[Beta]"}], ")"}]}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "\[Beta]"}], "+", 
     RowBox[{"12", " ", "k", " ", "p", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "r", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "p", " ", "r", " ", "\[Beta]"}], "+", 
     RowBox[{
      SuperscriptBox["cs", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "k", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", "r", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "r", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Beta]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Beta]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p", " ", "\[Beta]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     RowBox[{"2", " ", "F", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "r", "-", "\[Beta]"}], ")"}]}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"p", " ", "\[Beta]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.846539900729933*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"9bf071b0-2d0f-4a8f-ba8b-d6c47779ee7d"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465399314913187`*^9, 
  3.8465399345830584`*^9}},ExpressionUUID->"aac10ff4-494b-4f69-a88c-\
12f8d5f262bf"],

Cell[TextData[{
 StyleBox["Block chain",
  FontColor->RGBColor[1, 0, 0]],
 "\n"
}], "Text",
 CellChangeTimes->{{3.846539941372456*^9, 3.84653995560294*^9}, {
  3.846540323901919*^9, 
  3.84654033007788*^9}},ExpressionUUID->"69e9e9de-8e02-47c2-a5ce-\
5d944dfad278"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", 
   "cb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", "cs", "+", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846537333334669*^9, 3.846537334807583*^9}, {
   3.846538136843462*^9, 3.8465381622678337`*^9}, {3.846538368410698*^9, 
   3.84653836878587*^9}, {3.8465389446023893`*^9, 3.8465389486866302`*^9}, {
   3.8465403417247133`*^9, 3.846540394312958*^9}, {3.846540441582058*^9, 
   3.8465404480810003`*^9}, 3.846540607918838*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"d9ae15e1-ff39-477b-9ce2-3aee469cc4a0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.84654045342173*^9, 3.8465404680263433`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"f72a4df8-5f7d-48f7-8799-55a34ab5c9d2"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "eb", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8465404686537952`*^9, 3.846540515931375*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"b2714824-2897-4c2c-a326-4824af714e2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8465404875614367`*^9, 3.8465405251872997`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"c18801f2-092d-4252-9553-961991a8a31d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"eb", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846540525624682*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"487f9ac8-e055-46ea-841d-f6ab654fe791"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.846540551898*^9, 3.846540567089303*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"478b7236-7dea-4f3c-9903-9b58f47b4415"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846540569319394*^9, 3.846540572511381*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"b843ec60-40e7-4d78-94d5-b8724ee2eaec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"rb", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846540573118333*^9, 3.846540619689108*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"3c01d21a-1086-4919-92de-31802d728c64"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.84654057500454*^9, 3.8465405789985237`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"98974420-f478-46b4-b3f7-6e7f907cb497"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "p"}], "-", 
  RowBox[{"p", " ", "rb"}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"p", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846540579991098*^9, 3.8465406230279913`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"08328fd9-917a-4b0c-a079-570e5e6771c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846540582725955*^9, 3.846540590078484*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"184146d0-998a-4d29-969b-2038a46003c9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "k", " ", "rb"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8465405908442307`*^9, 3.846540625306553*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a4815e69-91e2-4908-a4eb-5b8ce4ba25fa"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "rb"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.846540845132092*^9, 3.846540853991012*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"a809f847-b1fa-429d-b1c1-320339198442"],

Cell[CellGroupData[{

Cell[BoxData["eb"], "Input",
 CellChangeTimes->{{3.846540856052163*^9, 3.846540864277875*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"417bae3a-3646-457c-b957-3420e1e0ff61"],

Cell[BoxData[
 FractionBox[
  RowBox[{"p", "+", "\[Theta]", "-", 
   FractionBox[
    RowBox[{"F", "+", 
     RowBox[{"2", " ", "k"}], "-", 
     RowBox[{"2", " ", "p"}], "+", 
     RowBox[{"2", " ", "k", " ", "rb"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
     RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{{3.846540856423229*^9, 3.846540864707534*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"d8a6228e-ffef-455d-b091-1cfb714c8742"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"p", "+", "\[Theta]", "-", 
    FractionBox[
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "k", " ", "rb"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"4f6deceb-f4c6-4b17-9c1c-5d5854cfdce5"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "+", 
   RowBox[{"2", " ", "k"}], "+", 
   RowBox[{"2", " ", "k", " ", "rb"}], "-", 
   RowBox[{"cs", " ", "\[Beta]"}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Beta]"}], "-", 
   RowBox[{"p", " ", "\[Beta]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
  RowBox[{
   RowBox[{"4", " ", "k"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Beta]"}]}]]], "Output",
 CellChangeTimes->{3.846540868138627*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"87dc6853-72d5-489b-b803-e2c6f3282f2a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.846540924464014*^9, 3.846540926487893*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"31afcdd2-9838-4cf4-be55-292e539753f9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cb"}], "-", "cv", "+", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "rb"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "rb"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "rb"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "rb"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "+", "\[Theta]", "-", 
       FractionBox[
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "k", " ", "rb"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
         RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846540928938903*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"35208df4-d733-4d49-a8c6-1b12b60f0f59"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", "%20", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"baad2ded-24e1-4c11-a0ae-804dfe3aeb20"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["F", "2"]}], "+", 
     RowBox[{"16", " ", "cb", " ", "k"}], "+", 
     RowBox[{"16", " ", "cv", " ", "k"}], "+", 
     RowBox[{"4", " ", "F", " ", "k"}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["k", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", "p"}], "-", 
     RowBox[{"4", " ", "F", " ", "k", " ", "rb"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb"}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["rb", "2"]}], "+", 
     RowBox[{"2", " ", "cs", " ", "F", " ", "\[Beta]"}], "-", 
     RowBox[{"32", " ", "cb", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"4", " ", "cs", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"32", " ", "cv", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"4", " ", "F", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"24", " ", 
      SuperscriptBox["k", "2"], " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "F", " ", "p", " ", "\[Beta]"}], "+", 
     RowBox[{"28", " ", "k", " ", "p", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "cs", " ", "k", " ", "rb", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "p", " ", "rb", " ", "\[Beta]"}], "-", 
     RowBox[{
      SuperscriptBox["cs", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"16", " ", "cb", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"4", " ", "cs", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"16", " ", "cv", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"2", " ", "cs", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"12", " ", "k", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"2", " ", "F", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "F", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "cs", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
     SuperscriptBox["\[Theta]", "2"], "+", 
     RowBox[{"2", " ", "\[Beta]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{
      SuperscriptBox["\[Beta]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846540931594551*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"76ca95f6-19bf-441f-92d6-630553d5ea53"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"6dfbe981-d39b-4e7a-934b-c6b0e165865b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["F", "2"], "-", 
    RowBox[{"16", " ", "cv", " ", "k"}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"]}], "+", 
    RowBox[{"16", " ", "k", " ", "p"}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "rb"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["rb", "2"]}], "-", 
    RowBox[{"16", " ", "cb", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"32", " ", "cv", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["k", "2"], " ", "\[Beta]"}], "-", 
    RowBox[{"28", " ", "k", " ", "p", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "rb", " ", "\[Beta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "rb", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "p", " ", "rb", " ", "\[Beta]"}], "+", 
    RowBox[{
     SuperscriptBox["cs", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{"2", " ", "cs", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{"12", " ", "k", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "rb", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "rb", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    
    RowBox[{"2", " ", "cs", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Beta]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Beta]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "F", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "cs"}], " ", "\[Beta]"}], "-", 
       RowBox[{"p", " ", "\[Beta]"}], "+", 
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "rb", "+", "\[Beta]"}], ")"}]}], "+", 
       "\[Theta]", "-", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8465409338576927`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"72fab97c-3c3b-476f-8bdf-5fea6866d597"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8465409503012037`*^9, 3.846540954291366*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"d9399de1-a9fc-4afe-b077-85f9c7e0de97"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"F", "+", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "p"}], "+", 
    RowBox[{"2", " ", "k", " ", "rb"}], "-", 
    RowBox[{"cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], "-", 
  RowBox[{"rb", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"F", "+", 
       RowBox[{"2", " ", "k"}], "-", 
       RowBox[{"2", " ", "p"}], "+", 
       RowBox[{"2", " ", "k", " ", "rb"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
       RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"F", "+", 
       RowBox[{"2", " ", "k"}], "-", 
       RowBox[{"2", " ", "p"}], "+", 
       RowBox[{"2", " ", "k", " ", "rb"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
       RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "+", "\[Theta]", "-", 
       FractionBox[
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "k", " ", "rb"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
         RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "+", "\[Theta]", "-", 
      FractionBox[
       RowBox[{"F", "+", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "p"}], "+", 
        RowBox[{"2", " ", "k", " ", "rb"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{"F", "+", 
           RowBox[{"2", " ", "k"}], "-", 
           RowBox[{"2", " ", "p"}], "+", 
           RowBox[{"2", " ", "k", " ", "rb"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Beta]"}], "+", 
           RowBox[{"p", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
           RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
          RowBox[{"2", " ", "p", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]]}], ")"}]}]}], 
     ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846540954956749*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"ccd162c2-787e-4b20-af23-8d05d6f61663"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%23", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"15627d1a-9d0b-42bd-b404-68f2cba9096b"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["F", "2"], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"]}], "-", 
     RowBox[{"8", " ", "k", " ", "p"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb"}], "-", 
     RowBox[{"8", " ", "k", " ", "p", " ", "rb"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["rb", "2"]}], "+", 
     RowBox[{"4", " ", "cs", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "rb", "-", "\[Beta]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "\[Beta]"}], ")"}]}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "\[Beta]"}], "+", 
     RowBox[{"12", " ", "k", " ", "p", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "p", " ", "rb", " ", "\[Beta]"}], "+", 
     RowBox[{
      SuperscriptBox["cs", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "k", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Beta]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Beta]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p", " ", "\[Beta]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     RowBox[{"2", " ", "F", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "rb", "-", "\[Beta]"}], ")"}]}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"p", " ", "\[Beta]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.846540957972886*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"181f0613-1299-4588-8d79-4b1fa68c4f81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", "%24", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"83445ccb-1857-4630-b4b3-904b9e442c4a"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["F", "2"], "-", 
     RowBox[{"8", " ", "cs", " ", "k"}], "+", 
     RowBox[{"4", " ", "F", " ", "k"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"]}], "-", 
     RowBox[{"8", " ", "k", " ", "p"}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", "rb"}], "+", 
     RowBox[{"4", " ", "F", " ", "k", " ", "rb"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb"}], "-", 
     RowBox[{"8", " ", "k", " ", "p", " ", "rb"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["rb", "2"]}], "-", 
     RowBox[{"2", " ", "cs", " ", "F", " ", "\[Beta]"}], "+", 
     RowBox[{"12", " ", "cs", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"4", " ", "F", " ", "k", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "\[Beta]"}], "-", 
     RowBox[{"2", " ", "F", " ", "p", " ", "\[Beta]"}], "+", 
     RowBox[{"12", " ", "k", " ", "p", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "cs", " ", "k", " ", "rb", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"], " ", "rb", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "p", " ", "rb", " ", "\[Beta]"}], "+", 
     RowBox[{
      SuperscriptBox["cs", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "cs", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"2", " ", "cs", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "-", 
     RowBox[{"4", " ", "k", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", 
      SuperscriptBox["\[Beta]", "2"]}], "+", 
     RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "F", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", "k", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "p", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "k", " ", "rb", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", "p", " ", 
      SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Beta]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Beta]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.84654096084236*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"3017bb3d-3c34-4b6a-a2c2-7b62ae626df0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537602514443*^9, 3.846537634215119*^9}, 
   3.846537716440543*^9},ExpressionUUID->"05effea5-100d-4148-b5a1-\
85a03ad5c4eb"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537610306696*^9, 3.8465376162218447`*^9}, 
   3.8465377070807047`*^9},ExpressionUUID->"42323150-3c57-4b59-836a-\
db2b3dfb0574"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537705882586*^9, 
  3.846537705883918*^9}},ExpressionUUID->"b2a2ab7a-3c23-4e5c-b42e-\
44650f6a6bbe"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.8465377028851433`*^9},
 NumberMarks->False,ExpressionUUID->"45b32136-6fbc-48f0-b4be-7ee0110d141f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465377013268538`*^9, 
  3.846537701328177*^9}},ExpressionUUID->"e5ee6322-008c-4b17-950d-\
6a58a9d20750"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.846537699452113*^9},
 NumberMarks->False,ExpressionUUID->"cfacc1d4-a0d2-4244-a1f4-596cc0e1aa84"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465376973120403`*^9, 
  3.8465376973126583`*^9}},ExpressionUUID->"b6a5f2d1-009f-466e-b765-\
a5f5d06e093d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537470408169*^9, 3.846537481057173*^9}, {
  3.846537582592525*^9, 
  3.8465375856075277`*^9}},ExpressionUUID->"2633dd0d-a2b9-4126-9995-\
8cdd875a6ed3"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465375625505447`*^9, 
  3.846537562552252*^9}},ExpressionUUID->"325ae6f6-5799-45cc-be55-\
d15820da6496"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.846537560167521*^9},
 NumberMarks->False,ExpressionUUID->"5d031c5d-28f6-477e-bd2d-953238cbaae7"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537557664792*^9, 
  3.846537557666696*^9}},ExpressionUUID->"0d0cbf8b-83fe-415f-a8a4-\
b30ef80afd6b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537521769968*^9, 
  3.846537551613035*^9}},ExpressionUUID->"00b89c89-addf-4c4a-9cca-\
e30e38e1845f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846537549744602*^9, 
  3.846537549819791*^9}},ExpressionUUID->"b7f70344-8ff0-4852-a989-\
fe84ad6e5809"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465375301473827`*^9, 
  3.846537564263575*^9}},ExpressionUUID->"b69c871e-9164-44ac-b5b1-\
b30737776c15"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465375653326597`*^9, 
  3.8465375653332977`*^9}},ExpressionUUID->"684a35de-dc39-4dc2-b65a-\
26ff98428f3f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.84653740557331*^9, 
  3.846537407847415*^9}},ExpressionUUID->"18b26366-03ea-493c-a4a5-\
d0865f2757b2"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846536778602003*^9, 
  3.84653677948416*^9}},ExpressionUUID->"8a047095-20af-440b-9362-\
ab96e7e7100b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.8465367829594507`*^9},
 NumberMarks->False,ExpressionUUID->"b6df1546-eb94-42b9-8775-47862afb223d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846536785056573*^9, 
  3.8465367850581284`*^9}},ExpressionUUID->"4d90c295-3325-4362-a00e-\
0e0e12653c6e"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846536682886218*^9, 3.846536685270018*^9}, {
  3.846536790497167*^9, 
  3.846536792123879*^9}},ExpressionUUID->"801ac8ab-e90c-4a87-b228-\
84367b720ffd"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8465367873160553`*^9, 
  3.846536789316128*^9}},ExpressionUUID->"f2f33b89-2e98-446d-a21f-\
e7f5274c1792"]
},
WindowSize->{665, 182},
WindowMargins->{{Automatic, 199}, {1, Automatic}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1a2dfd49-2f82-43a7-9354-3bc71a976bd9"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 162, 6, 58, "Text",ExpressionUUID->"88149d14-1940-4d50-a331-6c39144cf1e0"],
Cell[723, 28, 458, 13, 30, "Input",ExpressionUUID->"887c03d9-14ac-4323-8bf0-ee4446f30342"],
Cell[1184, 43, 421, 13, 30, "Input",ExpressionUUID->"ab083342-577c-4656-8143-bcce7c721fa6"],
Cell[1608, 58, 215, 7, 58, "Text",ExpressionUUID->"dd3501b9-8a78-4d3b-928f-35af537957b0"],
Cell[CellGroupData[{
Cell[1848, 69, 161, 3, 44, "Input",ExpressionUUID->"228017d1-48b8-47d2-9924-01b1a07ca8af"],
Cell[2012, 74, 365, 9, 34, "Output",ExpressionUUID->"a03b94d0-a46b-4edd-955d-c5aa5e389a50"]
}, Open  ]],
Cell[2392, 86, 383, 11, 44, "Input",ExpressionUUID->"2d4552d0-22da-46bf-aea7-a383970087d8"],
Cell[2778, 99, 398, 12, 68, InheritFromParent,ExpressionUUID->"831e5dd9-d497-474b-82cb-c4885c55c4cc"],
Cell[3179, 113, 227, 4, 35, "Text",ExpressionUUID->"e5e4d1f3-0119-4f59-b354-b0af5732c838"],
Cell[CellGroupData[{
Cell[3431, 121, 496, 14, 30, "Input",ExpressionUUID->"ff6b00cf-9384-44b7-a16a-8c56d5f59c61"],
Cell[3930, 137, 601, 17, 49, "Output",ExpressionUUID->"cfb1f1a7-67a0-4df3-ac57-808c21215fa7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4568, 159, 166, 3, 44, "Input",ExpressionUUID->"07539c5f-ecb8-482e-af64-5658eebf4ddf"],
Cell[4737, 164, 583, 17, 51, "Output",ExpressionUUID->"ba8fa183-e22b-4dca-bbc1-d6ff4f713677"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5357, 186, 255, 5, 44, "Input",ExpressionUUID->"a3a3e9b9-cc91-44b8-8bd3-64137ac46b68"],
Cell[5615, 193, 484, 12, 51, "Output",ExpressionUUID->"ade9b380-f348-4895-b11c-a340762d32cf"]
}, Open  ]],
Cell[6114, 208, 205, 4, 30, InheritFromParent,ExpressionUUID->"846a4207-4fd0-4d9a-accf-d5c50e7d12c5"],
Cell[6322, 214, 348, 9, 46, "Input",ExpressionUUID->"881eb2d6-614f-4099-a5a1-f31b84754669"],
Cell[CellGroupData[{
Cell[6695, 227, 177, 2, 30, "Input",ExpressionUUID->"0ee46df4-e504-4a46-a4dc-e91a510b8469"],
Cell[6875, 231, 564, 16, 50, "Output",ExpressionUUID->"4e85b555-b12a-4012-bfaf-6622494a4b64"]
}, Open  ]],
Cell[7454, 250, 202, 4, 35, "Text",ExpressionUUID->"a3e623e6-f214-4458-98a2-330f95967371"],
Cell[CellGroupData[{
Cell[7681, 258, 237, 4, 44, "Input",ExpressionUUID->"b4224e3d-0197-48e1-9090-f9f401994b54"],
Cell[7921, 264, 630, 19, 50, "Output",ExpressionUUID->"2298773e-6b5c-41e6-943f-d39ae90d0096"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8588, 288, 609, 19, 60, "Input",ExpressionUUID->"26d765e8-f933-4ac9-9535-eeb00c86a2e9"],
Cell[9200, 309, 421, 11, 51, "Output",ExpressionUUID->"bfc15b37-e20a-46a3-90e5-d011af279ea3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9658, 325, 641, 16, 61, "Input",ExpressionUUID->"e7bfaf5f-7ecf-470b-ac96-8eb1eb3ef0e9"],
Cell[10302, 343, 477, 12, 54, "Output",ExpressionUUID->"62c53a08-88b1-4e96-b2f2-2a71218a5b03"]
}, Open  ]],
Cell[10794, 358, 421, 10, 51, "Input",ExpressionUUID->"3bdd4a38-5a16-439a-9c6c-22268bfe9452"],
Cell[CellGroupData[{
Cell[11240, 372, 180, 2, 30, "Input",ExpressionUUID->"0faccfc3-ab32-4b45-a024-7c883e1850c1"],
Cell[11423, 376, 1079, 33, 61, "Output",ExpressionUUID->"8784aa4f-2ff2-4fb8-84b1-afe938cd7ff3"]
}, Open  ]],
Cell[12517, 412, 1100, 34, 70, "Input",ExpressionUUID->"70a2f243-ea17-49fe-aa63-c656cf2db25c"],
Cell[CellGroupData[{
Cell[13642, 450, 654, 15, 87, InheritFromParent,ExpressionUUID->"c5c2c81e-6ca8-46f3-9fbf-a0e5bdf69e07"],
Cell[14299, 467, 567, 14, 54, "Output",ExpressionUUID->"944c8c1a-1886-42e4-b72d-b21703778a7e"],
Cell[14869, 483, 567, 14, 54, "Output",ExpressionUUID->"9299091e-da05-48ea-b455-2c3700c4f962"]
}, Open  ]],
Cell[15451, 500, 199, 4, 35, "Text",ExpressionUUID->"5459e5ed-e607-45b7-9f12-fbe29c8832ce"],
Cell[15653, 506, 459, 13, 30, "Input",ExpressionUUID->"1618411f-f107-4287-be47-01b4e0073bae"],
Cell[16115, 521, 422, 13, 30, "Input",ExpressionUUID->"c25ee6ca-5bfb-4874-b163-7ddd89393129"],
Cell[16540, 536, 630, 17, 89, "Input",ExpressionUUID->"f0ad7c99-e4e0-4126-9b89-e6e15acdc0d1"],
Cell[CellGroupData[{
Cell[17195, 557, 148, 2, 30, "Input",ExpressionUUID->"06a52d71-746a-4c18-bf65-2e2c6872a240"],
Cell[17346, 561, 438, 12, 57, "Output",ExpressionUUID->"8050d35f-926f-43b8-9c7a-3b6f78371118"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17821, 578, 432, 12, 67, "Input",ExpressionUUID->"785441a5-f79a-4699-ad61-27f6a2129f6e"],
Cell[18256, 592, 258, 6, 51, "Output",ExpressionUUID->"4d257c15-6bfd-4a14-b851-7b4318f1ec24"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18551, 603, 180, 2, 30, "Input",ExpressionUUID->"173f7ae0-48a8-4796-98c9-1937ef6155f0"],
Cell[18734, 607, 6329, 109, 57, "Output",ExpressionUUID->"54730e85-4415-4a95-ac38-f77c53e3e657"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25100, 721, 275, 4, 30, "Input",ExpressionUUID->"d2f78ded-2cc9-4887-a5df-ba9fb4d0bcdd"],
Cell[25378, 727, 1080, 33, 61, "Output",ExpressionUUID->"a2cb4342-04b4-497e-a28e-0385e3eca082"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26495, 765, 1100, 34, 70, "Input",ExpressionUUID->"45c33c05-2d3e-4356-bf79-bf4fd92d41f3"],
Cell[27598, 801, 567, 14, 54, "Output",ExpressionUUID->"dc565482-8de6-4ab8-a798-19a7db5ad27c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28202, 820, 277, 4, 30, InheritFromParent,ExpressionUUID->"603e60e6-873a-49ac-b6bf-e977b231220c"],
Cell[28482, 826, 1733, 56, 116, "Output",ExpressionUUID->"9ddc9a97-9183-47c4-b621-d4435b26e780"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30252, 887, 1799, 57, 131, "Input",ExpressionUUID->"8c720d37-00d3-49e8-9f50-c209f6913949"],
Cell[32054, 946, 571, 14, 54, "Output",ExpressionUUID->"586add8d-b790-4523-9234-929f68a2e78a"]
}, Open  ]],
Cell[32640, 963, 208, 4, 35, "Text",ExpressionUUID->"f2450ce6-c45a-4100-9829-cfa830bcbef1"],
Cell[32851, 969, 1027, 28, 52, "Input",ExpressionUUID->"c8a16a58-c7fb-43f1-a376-ae5062a9e0f3"],
Cell[33881, 999, 941, 26, 52, "Input",ExpressionUUID->"eef1b5bf-187e-4c1c-a57b-7c7e416b3670"],
Cell[34825, 1027, 202, 4, 35, "Text",ExpressionUUID->"509d11dc-75e8-4cf8-87a9-136dfe74066e"],
Cell[CellGroupData[{
Cell[35052, 1035, 229, 4, 44, "Input",ExpressionUUID->"0ac5022f-b6b0-4bd1-b30c-193a8946ecfe"],
Cell[35284, 1041, 435, 10, 34, "Output",ExpressionUUID->"b36fee77-3b42-4d02-8683-a35a29e23731"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35756, 1056, 257, 5, 44, "Input",ExpressionUUID->"6ac56f85-a1c8-4800-8f8f-51cbff366755"],
Cell[36016, 1063, 440, 10, 49, "Output",ExpressionUUID->"446cc1b3-88e1-4d24-80fe-10f017c1eb0f"]
}, Open  ]],
Cell[36471, 1076, 378, 10, 46, "Input",ExpressionUUID->"e5e0e945-5ae7-4125-955b-fc265b35da5e"],
Cell[36852, 1088, 441, 10, 48, "Input",ExpressionUUID->"41d198ba-ddd7-4d67-91e1-c34fd46e8c66"],
Cell[37296, 1100, 859, 26, 73, "Input",ExpressionUUID->"8752f1e9-5383-4f9b-9fcf-c08ebd86e646"],
Cell[CellGroupData[{
Cell[38180, 1130, 179, 2, 30, "Input",ExpressionUUID->"12999f00-207d-4cf4-9680-699acf42de49"],
Cell[38362, 1134, 1255, 38, 89, "Output",ExpressionUUID->"7bd38fda-abf4-480d-aee0-6c3bcf26d2f0"]
}, Open  ]],
Cell[39632, 1175, 1303, 39, 101, "Input",ExpressionUUID->"49364352-059c-4ee8-9b23-b5a3cf317455"],
Cell[CellGroupData[{
Cell[40960, 1218, 843, 23, 88, InheritFromParent,ExpressionUUID->"2ff5a8e9-e1b4-4e15-aba7-b7d4f425d777"],
Cell[41806, 1243, 740, 21, 55, "Output",ExpressionUUID->"14bd98d0-7511-4c91-b3f9-94e379b4f66f"],
Cell[42549, 1266, 555, 15, 53, "Output",ExpressionUUID->"bf8c6eab-3487-4218-9e3e-d5b9c96b1911"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43141, 1286, 256, 5, 44, "Input",ExpressionUUID->"af527bc5-b6f9-499a-bbc5-ab65d59273d8"],
Cell[43400, 1293, 576, 16, 55, "Output",ExpressionUUID->"8a2d3c84-fbc7-4328-84b2-a8fce3cfdc02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44013, 1314, 860, 23, 65, "Input",ExpressionUUID->"7c4c9b52-121c-4684-8148-eb58908c27ca"],
Cell[44876, 1339, 511, 16, 51, "Output",ExpressionUUID->"1fc1d606-854f-45a2-9568-adc46b80aec3"]
}, Open  ]],
Cell[45402, 1358, 264, 5, 44, "Input",ExpressionUUID->"32598e5c-ec9c-4cb0-af64-d07e0b8ac2ee"],
Cell[45669, 1365, 911, 24, 96, InheritFromParent,ExpressionUUID->"61b784e9-e487-4f85-bb4a-6af1010e3523"],
Cell[46583, 1391, 282, 8, 46, "Input",ExpressionUUID->"e30cf5c1-de87-417f-b550-b7446ecc7aa9"],
Cell[46868, 1401, 375, 9, 48, "Input",ExpressionUUID->"380f60d1-4c46-4110-8c83-76e417fda899"],
Cell[CellGroupData[{
Cell[47268, 1414, 780, 23, 52, "Input",ExpressionUUID->"e47d17de-dc4e-4104-89bf-5a43dad3ef1b"],
Cell[48051, 1439, 5219, 148, 184, "Output",ExpressionUUID->"e915df60-de3d-4c13-958a-5e448c4a8126"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53307, 1592, 161, 3, 44, "Input",ExpressionUUID->"df8e6c64-60f1-4d20-937b-b42c03a872fa"],
Cell[53471, 1597, 1188, 37, 57, "Output",ExpressionUUID->"cd6b48d6-11ce-46f2-8919-f6221b953dfe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54696, 1639, 1396, 41, 67, "Input",ExpressionUUID->"0e041e2e-3bef-4746-a039-6bdf33415661"],
Cell[56095, 1682, 2584, 80, 124, "Output",ExpressionUUID->"70536385-f49d-4e3c-87eb-d4b3b71732d1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58716, 1767, 163, 3, 44, "Input",ExpressionUUID->"a0489245-9c4f-48a6-8e26-ac86582eed4d"],
Cell[58882, 1772, 523, 15, 55, "Output",ExpressionUUID->"fa7b1a38-e174-483b-b950-e60fec801913"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59442, 1792, 264, 5, 44, "Input",ExpressionUUID->"8f55da89-f1a3-4cfc-a9c4-2dc001b691d6"],
Cell[59709, 1799, 357, 9, 51, "Output",ExpressionUUID->"31cbc0ee-f3b2-433e-ad95-3886151d920b"]
}, Open  ]],
Cell[60081, 1811, 320, 7, 48, "Input",ExpressionUUID->"bf153cf9-a649-4da1-b19e-2f86441930c1"],
Cell[CellGroupData[{
Cell[60426, 1822, 150, 2, 30, "Input",ExpressionUUID->"4cb7decd-804c-428e-a027-bdc5e227e9cb"],
Cell[60579, 1826, 1054, 32, 72, "Output",ExpressionUUID->"b141d355-2ce0-4434-9ea7-26d50b131043"],
Cell[61636, 1860, 149, 2, 34, "Output",ExpressionUUID->"e57e40a9-10d6-487b-82d9-4ea0b4eee1a6"]
}, Open  ]],
Cell[61800, 1865, 154, 3, 30, InheritFromParent,ExpressionUUID->"bfa5a467-6530-434b-8ff2-4c1beb7c5f9b"],
Cell[61957, 1870, 152, 3, 30, InheritFromParent,ExpressionUUID->"f12b5f29-0304-4b61-8e4b-00db2e314447"],
Cell[CellGroupData[{
Cell[62134, 1877, 152, 3, 30, InheritFromParent,ExpressionUUID->"3b2c1918-37cb-463f-a0f8-40b2ff729387"],
Cell[62289, 1882, 609, 12, 24, "Message",ExpressionUUID->"d8d8cbc1-e3f9-4ac1-a8c6-6508cb53b302"]
}, Open  ]],
Cell[62913, 1897, 154, 3, 30, InheritFromParent,ExpressionUUID->"ad7a7db0-0a5c-4fdf-af98-6c971f9fb10a"],
Cell[CellGroupData[{
Cell[63092, 1904, 152, 3, 30, InheritFromParent,ExpressionUUID->"54400895-95ce-48d4-8d8e-a6efddd87d08"],
Cell[63247, 1909, 745, 15, 24, "Message",ExpressionUUID->"faa6cc09-7567-4461-98c6-b84d813d862d"]
}, Open  ]],
Cell[64007, 1927, 151, 3, 30, InheritFromParent,ExpressionUUID->"15e319c1-c1d3-449d-955c-9213778695f6"],
Cell[64161, 1932, 209, 4, 35, "Text",ExpressionUUID->"fb226a9d-c063-4ebe-ab40-7cc637a4db1a"],
Cell[CellGroupData[{
Cell[64395, 1940, 177, 2, 30, "Input",ExpressionUUID->"67adc948-d4c9-4173-96cf-7115dc8dbbdc"],
Cell[64575, 1944, 1136, 32, 50, "Output",ExpressionUUID->"ce726aa0-7f3f-47ee-abeb-edbf931f1115"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65748, 1981, 1009, 31, 60, "Input",ExpressionUUID->"43661970-715e-499f-9774-21eaf3e4bcde"],
Cell[66760, 2014, 993, 31, 50, "Output",ExpressionUUID->"ba9f05a0-b224-4df1-ace0-776f0ca803a8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67790, 2050, 335, 6, 44, "Input",ExpressionUUID->"dbbb0ade-e2e3-41cd-acdf-19e55bd2040f"],
Cell[68128, 2058, 1159, 34, 50, "Output",ExpressionUUID->"69944615-4516-408b-b1cf-57689ba2effc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69324, 2097, 1064, 33, 60, "Input",ExpressionUUID->"98571ebb-8f05-4b6d-a8a4-93c2f520365f"],
Cell[70391, 2132, 706, 18, 51, "Output",ExpressionUUID->"fc4ead7d-2d3e-474d-9b50-9daf9ff212a7"]
}, Open  ]],
Cell[71112, 2153, 177, 3, 30, InheritFromParent,ExpressionUUID->"40fb2d69-18bb-47df-8f68-b45e5225fc14"],
Cell[71292, 2158, 459, 8, 44, "Input",ExpressionUUID->"542e113a-a0bf-4939-8754-d6fef3ee6d01"],
Cell[CellGroupData[{
Cell[71776, 2170, 1266, 33, 95, InheritFromParent,ExpressionUUID->"7d6b09ee-8b13-442f-9a07-abd389fe6a65"],
Cell[73045, 2205, 743, 19, 54, "Output",ExpressionUUID->"916de0ac-d611-4b96-a7fe-c3b3e1e95986"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73825, 2229, 146, 2, 30, "Input",ExpressionUUID->"35d3cd9a-1f07-4211-9445-5531efa81276"],
Cell[73974, 2233, 696, 18, 60, "Output",ExpressionUUID->"457410c5-fa4a-4f59-bf41-cb4d46d45b3c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74707, 2256, 724, 19, 71, "Input",ExpressionUUID->"e8f3f0fc-9276-42e8-bf60-178b595d7bb9"],
Cell[75434, 2277, 540, 13, 76, "Output",ExpressionUUID->"89bd7267-3fc1-4c3b-b613-36f51566d49f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76011, 2295, 178, 2, 30, "Input",ExpressionUUID->"15f0e205-3190-4dfd-a7ee-17d191ec0e93"],
Cell[76192, 2299, 3223, 87, 177, "Output",ExpressionUUID->"0e65a47a-032b-445b-a375-68bd5390af2c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79452, 2391, 163, 3, 44, "Input",ExpressionUUID->"8c247d85-4c80-40c4-bfb7-57800ab69f41"],
Cell[79618, 2396, 3169, 78, 144, "Output",ExpressionUUID->"6faec2a3-61a9-4593-9872-991ef8b9f458"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82824, 2479, 178, 2, 30, "Input",ExpressionUUID->"88987b19-7aed-4abe-84a8-c903b81da816"],
Cell[83005, 2483, 3812, 104, 209, "Output",ExpressionUUID->"c88cf312-ad1a-45b9-80c4-36d91c8a75a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86854, 2592, 163, 3, 44, "Input",ExpressionUUID->"01a35251-5333-4fe6-9de6-acdf4332d47b"],
Cell[87020, 2597, 3086, 79, 121, "Output",ExpressionUUID->"9bf071b0-2d0f-4a8f-ba8b-d6c47779ee7d"]
}, Open  ]],
Cell[90121, 2679, 156, 3, 30, "Input",ExpressionUUID->"aac10ff4-494b-4f69-a88c-12f8d5f262bf"],
Cell[90280, 2684, 264, 8, 58, "Text",ExpressionUUID->"69e9e9de-8e02-47c2-a5ce-5d944dfad278"],
Cell[90547, 2694, 1421, 39, 52, "Input",ExpressionUUID->"d9ae15e1-ff39-477b-9ce2-3aee469cc4a0"],
Cell[CellGroupData[{
Cell[91993, 2737, 229, 4, 44, "Input",ExpressionUUID->"f72a4df8-5f7d-48f7-8799-55a34ab5c9d2"],
Cell[92225, 2743, 343, 8, 34, "Output",ExpressionUUID->"b2714824-2897-4c2c-a326-4824af714e2b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92605, 2756, 261, 5, 44, "Input",ExpressionUUID->"c18801f2-092d-4252-9553-961991a8a31d"],
Cell[92869, 2763, 350, 9, 49, "Output",ExpressionUUID->"487f9ac8-e055-46ea-841d-f6ab654fe791"]
}, Open  ]],
Cell[93234, 2775, 310, 7, 46, "Input",ExpressionUUID->"478b7236-7dea-4f3c-9903-9b58f47b4415"],
Cell[CellGroupData[{
Cell[93569, 2786, 178, 2, 30, "Input",ExpressionUUID->"b843ec60-40e7-4d78-94d5-b8724ee2eaec"],
Cell[93750, 2790, 993, 30, 50, "Output",ExpressionUUID->"3c01d21a-1086-4919-92de-31802d728c64"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94780, 2825, 230, 4, 44, "Input",ExpressionUUID->"98974420-f478-46b4-b3f7-6e7f907cb497"],
Cell[95013, 2831, 1048, 32, 50, "Output",ExpressionUUID->"08328fd9-917a-4b0c-a079-570e5e6771c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96098, 2868, 264, 5, 44, "Input",ExpressionUUID->"184146d0-998a-4d29-969b-2038a46003c9"],
Cell[96365, 2875, 747, 19, 54, "Output",ExpressionUUID->"a4815e69-91e2-4908-a4eb-5b8ce4ba25fa"]
}, Open  ]],
Cell[97127, 2897, 665, 16, 51, "Input",ExpressionUUID->"a809f847-b1fa-429d-b1c1-320339198442"],
Cell[CellGroupData[{
Cell[97817, 2917, 173, 2, 30, "Input",ExpressionUUID->"417bae3a-3646-457c-b957-3420e1e0ff61"],
Cell[97993, 2921, 722, 18, 60, "Output",ExpressionUUID->"d8a6228e-ffef-455d-b091-1cfb714c8742"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98752, 2944, 726, 19, 71, "Input",ExpressionUUID->"4f6deceb-f4c6-4b17-9c1c-5d5854cfdce5"],
Cell[99481, 2965, 543, 13, 53, "Output",ExpressionUUID->"87dc6853-72d5-489b-b803-e2c6f3282f2a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100061, 2983, 178, 2, 30, "Input",ExpressionUUID->"31afcdd2-9838-4cf4-be55-292e539753f9"],
Cell[100242, 2987, 3237, 87, 178, "Output",ExpressionUUID->"35208df4-d733-4d49-a8c6-1b12b60f0f59"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103516, 3079, 161, 3, 44, "Input",ExpressionUUID->"baad2ded-24e1-4c11-a0ae-804dfe3aeb20"],
Cell[103680, 3084, 3509, 78, 144, "Output",ExpressionUUID->"76ca95f6-19bf-441f-92d6-630553d5ea53"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107226, 3167, 163, 3, 44, "Input",ExpressionUUID->"6dfbe981-d39b-4e7a-934b-c6b0e165865b"],
Cell[107392, 3172, 3384, 83, 144, "Output",ExpressionUUID->"72fab97c-3c3b-476f-8bdf-5fea6866d597"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110813, 3260, 180, 2, 30, "Input",ExpressionUUID->"d9399de1-a9fc-4afe-b077-85f9c7e0de97"],
Cell[110996, 3264, 3819, 104, 209, "Output",ExpressionUUID->"ccd162c2-787e-4b20-af23-8d05d6f61663"]
}, Open  ]],
Cell[CellGroupData[{
Cell[114852, 3373, 163, 3, 44, "Input",ExpressionUUID->"15627d1a-9d0b-42bd-b404-68f2cba9096b"],
Cell[115018, 3378, 3089, 78, 121, "Output",ExpressionUUID->"181f0613-1299-4588-8d79-4b1fa68c4f81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118144, 3461, 161, 3, 44, "Input",ExpressionUUID->"83445ccb-1857-4630-b4b3-904b9e442c4a"],
Cell[118308, 3466, 3205, 71, 142, "Output",ExpressionUUID->"3017bb3d-3c34-4b6a-a2c2-7b62ae626df0"]
}, Open  ]],
Cell[121528, 3540, 175, 3, 30, "Input",ExpressionUUID->"05effea5-100d-4148-b5a1-85a03ad5c4eb"],
Cell[121706, 3545, 179, 3, 30, "Input",ExpressionUUID->"42323150-3c57-4b59-836a-db2b3dfb0574"],
Cell[121888, 3550, 152, 3, 30, InheritFromParent,ExpressionUUID->"b2a2ab7a-3c23-4e5c-b42e-44650f6a6bbe"],
Cell[122043, 3555, 146, 2, 30, "Input",ExpressionUUID->"45b32136-6fbc-48f0-b4be-7ee0110d141f"],
Cell[122192, 3559, 154, 3, 30, InheritFromParent,ExpressionUUID->"e5ee6322-008c-4b17-950d-6a58a9d20750"],
Cell[122349, 3564, 144, 2, 30, "Input",ExpressionUUID->"cfacc1d4-a0d2-4244-a1f4-596cc0e1aa84"],
Cell[122496, 3568, 156, 3, 30, InheritFromParent,ExpressionUUID->"b6a5f2d1-009f-466e-b765-a5f5d06e093d"],
Cell[122655, 3573, 203, 4, 30, "Input",ExpressionUUID->"2633dd0d-a2b9-4126-9995-8cdd875a6ed3"],
Cell[122861, 3579, 154, 3, 30, InheritFromParent,ExpressionUUID->"325ae6f6-5799-45cc-be55-d15820da6496"],
Cell[123018, 3584, 144, 2, 30, "Input",ExpressionUUID->"5d031c5d-28f6-477e-bd2d-953238cbaae7"],
Cell[123165, 3588, 152, 3, 30, InheritFromParent,ExpressionUUID->"0d0cbf8b-83fe-415f-a8a4-b30ef80afd6b"],
Cell[123320, 3593, 152, 3, 30, "Input",ExpressionUUID->"00b89c89-addf-4c4a-9cca-e30e38e1845f"],
Cell[123475, 3598, 152, 3, 30, InheritFromParent,ExpressionUUID->"b7f70344-8ff0-4852-a989-fe84ad6e5809"],
Cell[123630, 3603, 154, 3, 30, "Input",ExpressionUUID->"b69c871e-9164-44ac-b5b1-b30737776c15"],
Cell[123787, 3608, 156, 3, 30, InheritFromParent,ExpressionUUID->"684a35de-dc39-4dc2-b65a-26ff98428f3f"],
Cell[123946, 3613, 151, 3, 30, "Input",ExpressionUUID->"18b26366-03ea-493c-a4a5-d0865f2757b2"],
Cell[124100, 3618, 151, 3, 30, InheritFromParent,ExpressionUUID->"8a047095-20af-440b-9362-ab96e7e7100b"],
Cell[124254, 3623, 146, 2, 30, "Input",ExpressionUUID->"b6df1546-eb94-42b9-8775-47862afb223d"],
Cell[124403, 3627, 154, 3, 30, InheritFromParent,ExpressionUUID->"4d90c295-3325-4362-a00e-0e0e12653c6e"],
Cell[124560, 3632, 201, 4, 30, "Input",ExpressionUUID->"801ac8ab-e90c-4a87-b228-84367b720ffd"],
Cell[124764, 3638, 154, 3, 30, InheritFromParent,ExpressionUUID->"f2f33b89-2e98-446d-a21f-e7f5274c1792"]
}
]
*)

