(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     40599,       1128]
NotebookOptionsPosition[     35348,       1037]
NotebookOutlinePosition[     35755,       1054]
CellTagsIndexPosition[     35712,       1051]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.860787928805213*^9, 
  3.8607879294562387`*^9}},ExpressionUUID->"25cd83f3-96d1-47c4-b51b-\
7910747fa0ab"],

Cell["\<\
base model
the SO search for a VM and insurance company by himself, and contract with \
the VM directly which is timingly and complex.
\
\>", "Text",
 CellChangeTimes->{{3.86078885003302*^9, 3.860788950474168*^9}, {
  3.8607890469051228`*^9, 
  3.8607890903156767`*^9}},ExpressionUUID->"88a72b05-1f08-46d1-8409-\
c31bd0f3ff05"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "T"}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}, {3.860789119271019*^9, 
  3.860789151993615*^9}, {3.8607898875725183`*^9, 3.860789917761677*^9}, {
  3.860790353067281*^9, 
  3.860790369832913*^9}},ExpressionUUID->"f2737787-1993-4c0c-9888-\
7bbca07806b3"],

Cell["\<\



if the SO purchase the launch service from LS seviser instead of the VM, and \
the LS will help to contact an insurer whose premium rate is lower than above \
insurance company because of the communication of LS.\
\>", "Text",
 CellChangeTimes->{{3.860787939837331*^9, 3.8607879909947042`*^9}, {
  3.860788549122925*^9, 3.86078866137249*^9}, {3.8607888432676*^9, 
  3.860788843548465*^9}},ExpressionUUID->"6ea8d12b-3046-4350-9e8a-\
ebd9f6cbcc13"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", " ", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"\[Beta]", " ", "r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "s"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "s"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitl", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "s"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "s"}], "-", 
   RowBox[{"\[Alpha]", " ", "p"}], "-", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{"\[Tau]", " ", "s", "*", "s"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "s"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "s"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"\[Beta]", " ", "r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "s"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "s"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
   3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
   3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
   3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
   3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
   3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
   3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
   3.847327173378199*^9, 3.847327174529965*^9}, {3.8603003667072268`*^9, 
   3.86030040172586*^9}, {3.860645781341642*^9, 3.86064578203906*^9}, 
   3.860788009170361*^9, {3.860788092929365*^9, 3.860788117312982*^9}, {
   3.860788148455525*^9, 3.860788173087738*^9}, {3.860788234598999*^9, 
   3.860788258650222*^9}, {3.860788290969801*^9, 3.860788293520134*^9}, {
   3.860788344639511*^9, 3.860788345202272*^9}, 3.8607884448834457`*^9, {
   3.8607885151622972`*^9, 3.860788534487196*^9}, {3.8607886924058037`*^9, 
   3.860788781183587*^9}, {3.860788826547406*^9, 3.860788829043755*^9}, 
   3.860789655950025*^9, {3.860789687897196*^9, 3.860789699016264*^9}, {
   3.860789739989245*^9, 3.860789742551983*^9}, {3.860789924947322*^9, 
   3.860789925733371*^9}, {3.860790054228705*^9, 3.860790056461171*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"929a04c8-bd58-434a-b21b-3a25356a58a8"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.860789296557962*^9, 
  3.8607892999767838`*^9}},ExpressionUUID->"84e9e38b-6ea0-4847-8e26-\
e54ef9aeebdd"],

Cell[TextData[{
 StyleBox["Solve: model 2", "Subtitle"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.8607893058201647`*^9, 
  3.860789333406563*^9}},ExpressionUUID->"62ed50b5-0278-4fc5-897c-\
676dba36fb4c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.860789337034244*^9, 3.860789347873683*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"56b66cc2-5e98-48fc-91c0-c0238dc5d1a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{{3.860789348726863*^9, 3.8607893655551987`*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"1d3fc683-12df-45cc-b965-d364a0a0c38f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8607893727143917`*^9, 3.8607893950370293`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"b2d53885-7677-4b01-a780-d6f1e4d95917"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.860789396164287*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"e2a6dc31-d22d-4ea5-b1d4-61eb5abf0490"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.860789415485256*^9, 3.860789417331024*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"4be51a27-f7c5-4d15-bdc2-b4186f67d0da"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.860789419590115*^9, 3.860789421950746*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"d3675c95-338b-4187-9ccf-8d7a987c9f34"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"s", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"s", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.860789422393186*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"5f2a1a03-7f38-4e1f-a35e-47da297c8434"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.8607894415478897`*^9, 3.8607894489930677`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"05b01e02-b947-4342-b43b-ba389517c38c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "p", "+", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
     RowBox[{"2", " ", "k", " ", "\[Beta]"}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k"}], "-", "p", "+", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
   RowBox[{"2", " ", "k", " ", "\[Beta]"}]]}]}], "Input",
 CellChangeTimes->{{3.86078946685605*^9, 3.860789475966975*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"c30bf36a-b7a6-4b27-8de4-01db84e8490a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "p", "+", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
     RowBox[{"2", " ", "k", " ", "\[Beta]"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.860790100880262*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"62fd6ca5-f249-4001-a9e9-756de720c5d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitl"], "Input",
 CellChangeTimes->{{3.860789486122098*^9, 3.860789489204208*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"aa11274a-d207-4a6c-9fda-53eea52ad1c6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "p"}], " ", "\[Alpha]"}], "+", 
  RowBox[{"s", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"s", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  RowBox[{
   SuperscriptBox["s", "2"], " ", "\[Tau]"}]}]], "Output",
 CellChangeTimes->{
  3.860789489960835*^9, 3.860789935019702*^9, {3.860790074624483*^9, 
   3.860790104333642*^9}},
 CellLabel->"Out[8]=",ExpressionUUID->"dff6de32-439b-4754-ab13-19730008ed67"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "p"}], " ", "\[Alpha]"}], "+", 
   RowBox[{"s", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"s", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   RowBox[{
    SuperscriptBox["s", "2"], " ", "\[Tau]"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"6b83b427-3c2b-4d77-9097-97fb55c5cbcd"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["p", "2"]}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}], "+", 
   RowBox[{"s", " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", 
         RowBox[{"s", " ", "\[Tau]"}]}], ")"}]}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860790107990384*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"e8883a66-bb60-41de-9e76-e94e65914858"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "s"}], "]"}]], "Input",
 CellChangeTimes->{{3.860789502928536*^9, 3.8607895070411882`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"eb48b328-8405-40d4-9f8a-0e6ecdd008f2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"p", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Theta]", 
   "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "k", " ", "s", " ", "\[Tau]"}], "+", 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"\[Alpha]", "-", 
      RowBox[{"s", " ", "\[Tau]"}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860789507986285*^9, 3.8607901769682417`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"f57b67fb-4132-4516-aa56-df69694e47b3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "s"}], "]"}]], "Input",
 CellChangeTimes->{{3.860789511385318*^9, 3.860789527520692*^9}, 
   3.860790181245842*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"6cf2e336-ef23-452d-a187-dee986505828"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"s", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{"p", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8607895219185047`*^9, 3.8607901826025677`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"c033cfbc-d239-40d5-8b5b-ebd13adf21d4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"s", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{"p", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}]], "Input",
 CellChangeTimes->{{3.860790197530676*^9, 3.860790205056217*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"8f5b0226-806b-494c-b977-17b324a7c837"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.860790207913122*^9, 3.860790211801672*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"e3ae9e72-e038-4d5a-b71c-37e8db0fb820"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
          RowBox[{"p", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "p", "+", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"p", "+", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
          RowBox[{"p", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"p", "+", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
         RowBox[{"p", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"p", "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{"p", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"4", " ", "k", " ", "\[Tau]"}]]}]], "Output",
 CellChangeTimes->{3.8607902122087173`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"dd6d869b-6392-4544-89ba-9bbd68b2eafb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%13", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"4bd68dc6-43c7-4272-846d-b1cbab05edd5"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "\[Tau]"}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["p", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "4"]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Tau]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "k", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"], "+", 
        RowBox[{"f", " ", "\[Tau]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", "p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], " ", 
         "\[Theta]"}], "+", 
        RowBox[{"2", " ", "k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"], "+", 
           RowBox[{"f", " ", "\[Tau]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.86079021396695*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"82843a4d-1b67-40d5-9a93-a8db39ce3781"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860790216286249*^9, 3.8607902208576803`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"a10fba48-8914-4ef2-ba33-78948d513c38"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "4"]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], " ", 
        "\[Theta]"}], "+", 
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[Alpha]"}], "+", 
          SuperscriptBox["\[Alpha]", "2"], "+", 
          RowBox[{"f", " ", "\[Tau]"}]}], ")"}]}]}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox["k", "2"], " ", "\[Tau]"}]]}]], "Output",
 CellChangeTimes->{3.860790221372407*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"3a419d04-9403-40db-8d0e-95bba6205381"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860790223331586*^9, 3.860790229030998*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"1720b4fb-6a4f-4725-9662-46db48ad3847"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8607902297335043`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"fdc488ee-a98a-4265-ad9f-e8775544851e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]],
   FontColor->RGBColor[1, 0, 0]]}]], "Input",
 CellChangeTimes->{{3.860790248677071*^9, 3.860790255038145*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"4319119d-cc74-487c-9888-c059bc4a041d"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.860790257926063*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"f9492f05-a499-48f9-b453-b16bc8ac3ee8"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860790259159974*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"8f6c0cf9-0de2-4fa9-a991-23ec7f788f8a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"c8654099-8e4f-44de-9f54-2ac462d5f205"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "+", 
    RowBox[{"f", " ", "\[Tau]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8607902729262342`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"5da60aa3-4591-48c6-844f-4f92f2bfd56d"],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.860790276309873*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"0acba5d2-a211-492f-8dba-82d3ac06d679"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
  RowBox[{"2", " ", "k", " ", "\[Beta]"}]]], "Output",
 CellChangeTimes->{3.860790277610992*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"c033e41e-2615-4d5b-8764-1a57618d7f60"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
   RowBox[{"2", " ", "k", " ", "\[Beta]"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"3f282fad-60ba-4e18-912f-29e369162115"],

Cell[BoxData[
 StyleBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
     RowBox[{"f", " ", "\[Tau]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     "\[Beta]"}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8607902936104918`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"3d8a95a1-50e1-4e11-83c9-26d5e2c58b22"],

Cell[CellGroupData[{

Cell[BoxData["s"], "Input",
 CellChangeTimes->{3.860790315844955*^9},
 CellLabel->"In[22]:=",ExpressionUUID->"68bcf345-ad95-480c-80f2-d6cb991202f2"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "-", 
   FractionBox[
    RowBox[{"2", " ", "\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
  RowBox[{"4", " ", "k", " ", "\[Tau]"}]]], "Output",
 CellChangeTimes->{3.8607903170334873`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"b1ed4701-fb59-4a2a-9148-3977933912f1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", "f", " ", "k", " ", "\[Tau]"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], 
   RowBox[{"4", " ", "k", " ", "\[Tau]"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[23]:=",ExpressionUUID->"5ff5a91d-b43f-48e0-98c6-0046f4f48463"],

Cell[BoxData[
 StyleBox[
  FractionBox["f", 
   RowBox[{"2", "-", 
    RowBox[{"2", " ", "\[Alpha]"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.860790325631106*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"b1552a8b-e278-4cf6-99b6-4636bb0fcc06"]
},
WindowSize->{808, 730},
WindowMargins->{{Automatic, 93}, {Automatic, 22}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7e686644-b353-4b72-9863-c6f4ce07c399"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 154, 3, 30, "Input",ExpressionUUID->"25cd83f3-96d1-47c4-b51b-7910747fa0ab"],
Cell[715, 25, 337, 9, 104, "Text",ExpressionUUID->"88a72b05-1f08-46d1-8409-c31bd0f3ff05"],
Cell[1055, 36, 2134, 59, 73, "Input",ExpressionUUID->"f2737787-1993-4c0c-9888-7bbca07806b3"],
Cell[3192, 97, 459, 11, 127, "Text",ExpressionUUID->"6ea8d12b-3046-4350-9e8a-ebd9f6cbcc13"],
Cell[3654, 110, 3178, 77, 94, "Input",ExpressionUUID->"929a04c8-bd58-434a-b21b-3a25356a58a8"],
Cell[6835, 189, 208, 4, 73, "Input",ExpressionUUID->"84e9e38b-6ea0-4847-8e26-e54ef9aeebdd"],
Cell[7046, 195, 202, 6, 69, "Text",ExpressionUUID->"62ed50b5-0278-4fc5-897c-676dba36fb4c"],
Cell[CellGroupData[{
Cell[7273, 205, 227, 4, 44, "Input",ExpressionUUID->"56b66cc2-5e98-48fc-91c0-c0238dc5d1a6"],
Cell[7503, 211, 344, 8, 34, "Output",ExpressionUUID->"1d3fc683-12df-45cc-b965-d364a0a0c38f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7884, 224, 260, 5, 44, "Input",ExpressionUUID->"b2d53885-7677-4b01-a780-d6f1e4d95917"],
Cell[8147, 231, 349, 9, 49, "Output",ExpressionUUID->"e2a6dc31-d22d-4ea5-b1d4-61eb5abf0490"]
}, Open  ]],
Cell[8511, 243, 312, 7, 46, "Input",ExpressionUUID->"4be51a27-f7c5-4d15-bdc2-b4186f67d0da"],
Cell[CellGroupData[{
Cell[8848, 254, 177, 2, 30, "Input",ExpressionUUID->"d3675c95-338b-4187-9ccf-8d7a987c9f34"],
Cell[9028, 258, 597, 17, 49, "Output",ExpressionUUID->"5f2a1a03-7f38-4e1f-a35e-47da297c8434"]
}, Open  ]],
Cell[9640, 278, 260, 5, 44, "Input",ExpressionUUID->"05b01e02-b947-4342-b43b-ba389517c38c"],
Cell[CellGroupData[{
Cell[9925, 287, 649, 17, 92, InheritFromParent,ExpressionUUID->"c30bf36a-b7a6-4b27-8de4-01db84e8490a"],
Cell[10577, 306, 402, 10, 53, "Output",ExpressionUUID->"62fd6ca5-f249-4001-a9e9-756de720c5d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11016, 321, 177, 2, 30, "Input",ExpressionUUID->"aa11274a-d207-4a6c-9fda-53eea52ad1c6"],
Cell[11196, 325, 885, 26, 50, "Output",ExpressionUUID->"dff6de32-439b-4754-ab13-19730008ed67"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12118, 356, 844, 25, 60, "Input",ExpressionUUID->"6b83b427-3c2b-4d77-9097-97fb55c5cbcd"],
Cell[12965, 383, 1079, 34, 55, "Output",ExpressionUUID->"e8883a66-bb60-41de-9e76-e94e65914858"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14081, 422, 224, 4, 44, "Input",ExpressionUUID->"eb48b328-8405-40d4-9f8a-0e6ecdd008f2"],
Cell[14308, 428, 624, 17, 53, "Output",ExpressionUUID->"f57b67fb-4132-4516-aa56-df69694e47b3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14969, 450, 283, 6, 44, "Input",ExpressionUUID->"6cf2e336-ef23-452d-a187-dee986505828"],
Cell[15255, 458, 579, 13, 54, "Output",ExpressionUUID->"c033cfbc-d239-40d5-8b5b-ebd13adf21d4"]
}, Open  ]],
Cell[15849, 474, 508, 11, 51, "Input",ExpressionUUID->"8f5b0226-806b-494c-b977-17b324a7c837"],
Cell[CellGroupData[{
Cell[16382, 489, 178, 2, 30, "Input",ExpressionUUID->"e3ae9e72-e038-4d5a-b71c-37e8db0fb820"],
Cell[16563, 493, 2669, 72, 119, "Output",ExpressionUUID->"dd6d869b-6392-4544-89ba-9bbd68b2eafb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19269, 570, 163, 3, 44, "Input",ExpressionUUID->"4bd68dc6-43c7-4272-846d-b1cbab05edd5"],
Cell[19435, 575, 1738, 53, 77, "Output",ExpressionUUID->"82843a4d-1b67-40d5-9a93-a8db39ce3781"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21210, 633, 224, 4, 44, "Input",ExpressionUUID->"a10fba48-8914-4ef2-ba33-78948d513c38"],
Cell[21437, 639, 1007, 31, 57, "Output",ExpressionUUID->"3a419d04-9403-40db-8d0e-95bba6205381"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22481, 675, 257, 5, 44, "Input",ExpressionUUID->"1720b4fb-6a4f-4725-9662-46db48ad3847"],
Cell[22741, 682, 728, 19, 57, "Output",ExpressionUUID->"fdc488ee-a98a-4265-ad9f-e8775544851e"]
}, Open  ]],
Cell[23484, 704, 727, 18, 54, "Input",ExpressionUUID->"4319119d-cc74-487c-9888-c059bc4a041d"],
Cell[CellGroupData[{
Cell[24236, 726, 148, 2, 30, "Input",ExpressionUUID->"f9492f05-a499-48f9-b453-b16bc8ac3ee8"],
Cell[24387, 730, 1278, 33, 68, "Output",ExpressionUUID->"8f6c0cf9-0de2-4fa9-a991-23ec7f788f8a"]
}, Open  ]],
Cell[25680, 766, 1321, 34, 79, "Input",ExpressionUUID->"c8654099-8e4f-44de-9f54-2ac462d5f205"],
Cell[27004, 802, 444, 13, 54, InheritFromParent,ExpressionUUID->"5da60aa3-4591-48c6-844f-4f92f2bfd56d"],
Cell[CellGroupData[{
Cell[27473, 819, 148, 2, 30, "Input",ExpressionUUID->"0acba5d2-a211-492f-8dba-82d3ac06d679"],
Cell[27624, 823, 1328, 34, 70, "Output",ExpressionUUID->"c033e41e-2615-4d5b-8764-1a57618d7f60"]
}, Open  ]],
Cell[28967, 860, 1372, 35, 81, "Input",ExpressionUUID->"3f282fad-60ba-4e18-912f-29e369162115"],
Cell[30342, 897, 478, 15, 52, InheritFromParent,ExpressionUUID->"3d8a95a1-50e1-4e11-83c9-26d5e2c58b22"],
Cell[CellGroupData[{
Cell[30845, 916, 148, 2, 30, "Input",ExpressionUUID->"68bcf345-ad95-480c-80f2-d6cb991202f2"],
Cell[30996, 920, 2001, 51, 69, "Output",ExpressionUUID->"b1ed4701-fb59-4a2a-9148-3977933912f1"]
}, Open  ]],
Cell[33012, 974, 2060, 52, 113, "Input",ExpressionUUID->"5ff5a91d-b43f-48e0-98c6-0046f4f48463"],
Cell[35075, 1028, 269, 7, 49, InheritFromParent,ExpressionUUID->"b1552a8b-e278-4cf6-99b6-4636bb0fcc06"]
}
]
*)

