(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20569,        587]
NotebookOptionsPosition[     17576,        526]
NotebookOutlinePosition[     17983,        543]
CellTagsIndexPosition[     17940,        540]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Vehicle Manufacture provide the insurance contract", "Subsubsection",
 CellChangeTimes->{{3.848104118896777*^9, 3.848104151387396*^9}, {
  3.848104370131413*^9, 3.84810437594263*^9}, {3.848863189420504*^9, 
  3.848863194249926*^9}},ExpressionUUID->"c4104fc4-1e58-4865-a537-\
12a339521379"],

Cell["", "Text",
 CellChangeTimes->{{3.848104385919751*^9, 
  3.848104400864058*^9}},ExpressionUUID->"120096a8-a378-4036-8159-\
752bd83f08b9"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Profitv2", ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Alpha]", "+", "r"}], " ", ")"}], "p"}], "+", 
     RowBox[{"e", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
     RowBox[{"k", "*", 
      RowBox[{"(", 
       RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "e"}], ")"}], "l"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"Profits2", ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "+", "r"}], ")"}]}], " ", "p"}], "+", 
     RowBox[{"e", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
     "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "e"}], ")"}], "l"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVsoQ3EAx/Hl/qCZ0horl1wjSRmntZcjlz3QMpmm1GJ40l4kpoTmMK2t
ppmUB0UuGy0my5CMZE2dJkUuKw+KHTxIJC3/33n49nn85nUZ1D1xAoFASoLy
m3PGts7RMxRlgUlMsxMuC1WrUHeZfwgfRtqO4ce1+RQOzmWc8UqCr16iqYH5
hgVG/x80cqkxmJmtsQeIJ61vszBLZyup3OBoq1lUAYXWMAWLAqVymPiY0Q17
D8p4ZVluHxz+YnnZuirxpot8ChS87Gi7FHqY+lw4Ubwlg9UvEd5n0y4NQ2/x
jVD4M9QMUx0XvEf3CWo4/trXAafMA3tPxHCs1gddk1prspuj7yShebhn0KhS
iAblmhb+7ixN1xD1nxELFDs6nVAUuuLVs2mLsEq574ajtg8PDC30e6Ei2MJC
e3rhLYzacqLQ0+R/hyUrneUUcZsa4/0Hj0fnlQ==
  "],
 CellLabel->"In[1]:=",ExpressionUUID->"4a756eab-39ee-4a70-aff2-be48fb3dfd80"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv2", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.848104664598665*^9, 3.848104671911406*^9}, {
  3.84810473982862*^9, 3.848104740196376*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"08f51f3e-7bfd-4aec-bb67-4ed77ef44b55"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "l", "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{{3.848104712212619*^9, 3.848104740669177*^9}, 
   3.848214001256998*^9, {3.848214256103435*^9, 3.848214256202073*^9}, 
   3.848289500997913*^9, 3.8482910243868713`*^9, 3.84838801066656*^9, 
   3.848388507263544*^9, 3.848388990487537*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"4afd40bc-c10f-4f99-8e47-670e39dddbd3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "l", "+", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"4a000507-bbd7-411c-971a-862fc4017ea9"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", "l", "+", "p", "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.848388013421197*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"1d7356d9-814d-4093-8ea7-fbcf8d3843ed"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.848104744674477*^9, 3.8481047521684437`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"99df6298-ff5e-4935-a9d5-2dcb11fbbda6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"l", "+", "p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.848104752573028*^9, 3.848214320014268*^9, 
  3.848289511518546*^9, 3.848291034709696*^9, 3.848388030157817*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"96600243-a712-402a-8e06-9037bbb1cbf9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "+", "p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.8481048249668217`*^9, 3.848104835657762*^9}, {
  3.8482143357487917`*^9, 3.8482143363167667`*^9}, {3.8482895182142153`*^9, 
  3.848289526843791*^9}, {3.848291063580426*^9, 3.84829106598512*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"5857cf19-6ade-4b96-bcd3-e06e6ecbd635"],

Cell[CellGroupData[{

Cell[BoxData["Profits2"], "Input",
 CellChangeTimes->{{3.848104838357605*^9, 3.848104842379342*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"fe577cc9-e326-4c32-b475-f88e85941af1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "r"}], "-", "\[Alpha]"}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "+", "p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"l", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.84810484285979*^9, 3.8482143450851717`*^9, 3.8482895315382957`*^9, 
   3.848291069504608*^9, 3.848388047827832*^9, 3.848388520737953*^9, {
   3.848388977339872*^9, 3.848389007311387*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"00740432-7a57-47f2-bd3a-0395b65c0d68"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "r"}], "-", "\[Alpha]"}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "+", "p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[6]:=",ExpressionUUID->"6d05b582-82ab-42bf-9095-4b120d73e11d"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "cs", " ", "k"}], "+", 
    RowBox[{"2", " ", "k", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{"r", "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "+", 
    RowBox[{"l", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k"}], "+", "l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8483890094487543`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"491b4209-e53d-4d10-ae02-9510d41a43d3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.84810484837087*^9, 3.8481048546305943`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"281034c5-5724-4545-b1ad-2c9988294be3"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"l", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"r", "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.848104857182847*^9, 3.848214356289773*^9, 
  3.848289540066895*^9, 3.848291077701613*^9, 3.848388065728842*^9, 
  3.8483885286150303`*^9, 3.84838902618167*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"435d0a08-e9b3-4043-a569-8d3d4093ea97"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "r"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "+", "p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"94f7b447-9342-4bd8-b3b4-180acd33385b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "r"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "+", 
        RowBox[{"p", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "k"], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"l", "+", "p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "k"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.848388539915304*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"ea4fdbee-502c-44c1-9232-bb896fbe5e22"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.848104861935554*^9, 3.8481048696633577`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"70edf559-cbc8-4b5d-8e84-ba67e93da0df"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", "l", "-", 
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.848104870212381*^9, 3.8482143846881847`*^9, 
  3.84828958271769*^9, 3.8482911207615213`*^9, 3.84838806950597*^9, 
  3.8483885629286327`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"365ccf1d-f012-4b22-ba9a-6a7e00bcc46d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", "l", "-", 
    RowBox[{"2", " ", "k", " ", "r"}], "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", "e"}], "Input",
 CellChangeTimes->{{3.8481048855459223`*^9, 3.848104903244361*^9}, {
   3.8482144130180883`*^9, 3.848214413936398*^9}, {3.848289598308992*^9, 
   3.8482896110241613`*^9}, 3.848291152792323*^9, 3.848388085114826*^9, {
   3.8483881758095512`*^9, 3.8483881760958548`*^9}, 3.848388572093648*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"fa0f48cc-2c47-4912-82de-2e55a255ca34"],

Cell[BoxData[
 FractionBox[
  RowBox[{"l", "+", "\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", "l", "-", 
     RowBox[{"2", " ", "k", " ", "r"}], "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", "l", "-", 
       RowBox[{"2", " ", "k", " ", "r"}], "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.848388176896761*^9, 3.8483885731570253`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"601a1483-4acb-4d67-905d-cbbab9a395b4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"l", "+", "\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", "l", "-", 
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", "l", "-", 
        RowBox[{"2", " ", "k", " ", "r"}], "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"b5f16458-5fe7-4dc6-a759-954d0ceec944"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "+", "l", "-", 
   RowBox[{"2", " ", "k", " ", "r"}], "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{
   RowBox[{"4", " ", "k"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Alpha]"}]}]]], "Output",
 CellChangeTimes->{3.848388598854879*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"8c3b5702-7525-456e-bb05-8886bfbbe259"]
}, Open  ]],

Cell[TextData[{
 "if the satellite owner ask for the panelty is f , then the optimal effort \
is ",
 Cell[BoxData[
  RowBox[{
   FractionBox["1", "4"], 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"f", "+", "\[Theta]", "+", "l"}], "k"], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"2", "r"}], "-", 
       RowBox[{"2", "\[Alpha]"}]}], 
      RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]], "Input",
  CellChangeTimes->{{3.848105030379233*^9, 3.848105207260725*^9}},
  ExpressionUUID->"8645c05a-05a3-4412-acc6-95a4ecfe9d1e"]
}], "Text",
 CellChangeTimes->{{3.848105219057414*^9, 3.8481052307810593`*^9}, {
  3.8481052659335012`*^9, 3.84810531732458*^9}, {3.848105427378352*^9, 
  3.848105432731785*^9}, {3.848214492312891*^9, 3.848214492313941*^9}, {
  3.848291946900476*^9, 3.848291999458827*^9}, {3.848388731329288*^9, 
  3.848388793955283*^9}},ExpressionUUID->"86ccd518-8f84-41e5-9b71-\
2ead508d4900"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{Automatic, 159}, {Automatic, 0}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5846cdc6-d3f3-4bbb-b8c9-b334b05bf958"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 295, 4, 45, "Subsubsection",ExpressionUUID->"c4104fc4-1e58-4865-a537-12a339521379"],
Cell[878, 28, 142, 3, 35, "Text",ExpressionUUID->"120096a8-a378-4036-8159-752bd83f08b9"],
Cell[1023, 33, 1724, 47, 136, "Input",ExpressionUUID->"4a756eab-39ee-4a70-aff2-be48fb3dfd80"],
Cell[CellGroupData[{
Cell[2772, 84, 276, 5, 44, "Input",ExpressionUUID->"08f51f3e-7bfd-4aec-bb67-4ed77ef44b55"],
Cell[3051, 91, 543, 11, 34, "Output",ExpressionUUID->"4afd40bc-c10f-4f99-8e47-670e39dddbd3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3631, 107, 349, 10, 44, "Input",ExpressionUUID->"4a000507-bbd7-411c-971a-862fc4017ea9"],
Cell[3983, 119, 289, 6, 34, "Output",ExpressionUUID->"1d7356d9-814d-4093-8ea7-fbcf8d3843ed"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4309, 130, 258, 5, 44, "Input",ExpressionUUID->"99df6298-ff5e-4935-a9d5-2dcb11fbbda6"],
Cell[4570, 137, 450, 10, 51, "Output",ExpressionUUID->"96600243-a712-402a-8e06-9037bbb1cbf9"]
}, Open  ]],
Cell[5035, 150, 473, 9, 48, "Input",ExpressionUUID->"5857cf19-6ade-4b96-bcd3-e06e6ecbd635"],
Cell[CellGroupData[{
Cell[5533, 163, 178, 2, 30, "Input",ExpressionUUID->"fe577cc9-e326-4c32-b475-f88e85941af1"],
Cell[5714, 167, 1014, 29, 51, "Output",ExpressionUUID->"00740432-7a57-47f2-bd3a-0395b65c0d68"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6765, 201, 880, 27, 61, "Input",ExpressionUUID->"6d05b582-82ab-42bf-9095-4b120d73e11d"],
Cell[7648, 230, 912, 26, 51, "Output",ExpressionUUID->"491b4209-e53d-4d10-ae02-9510d41a43d3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8597, 261, 222, 4, 44, "Input",ExpressionUUID->"281034c5-5724-4545-b1ad-2c9988294be3"],
Cell[8822, 267, 1054, 30, 51, "Output",ExpressionUUID->"435d0a08-e9b3-4043-a569-8d3d4093ea97"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9913, 302, 804, 25, 61, "Input",ExpressionUUID->"94f7b447-9342-4bd8-b3b4-180acd33385b"],
Cell[10720, 329, 883, 28, 51, "Output",ExpressionUUID->"ea4fdbee-502c-44c1-9232-bb896fbe5e22"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11640, 362, 258, 5, 44, "Input",ExpressionUUID->"70edf559-cbc8-4b5d-8e84-ba67e93da0df"],
Cell[11901, 369, 795, 20, 55, "Output",ExpressionUUID->"365ccf1d-f012-4b22-ba9a-6a7e00bcc46d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12733, 394, 882, 19, 76, "Input",ExpressionUUID->"fa0f48cc-2c47-4912-82de-2e55a255ca34"],
Cell[13618, 415, 1210, 31, 61, "Output",ExpressionUUID->"601a1483-4acb-4d67-905d-cbbab9a395b4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14865, 451, 1227, 32, 71, "Input",ExpressionUUID->"b5f16458-5fe7-4dc6-a759-954d0ceec944"],
Cell[16095, 485, 522, 12, 52, "Output",ExpressionUUID->"8c3b5702-7525-456e-bb05-8886bfbbe259"]
}, Open  ]],
Cell[16632, 500, 928, 23, 40, "Text",ExpressionUUID->"86ccd518-8f84-41e5-9b71-2ead508d4900"]
}, Open  ]]
}
]
*)

