(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    153433,       4205]
NotebookOptionsPosition[    145428,       4068]
NotebookOutlinePosition[    145836,       4085]
CellTagsIndexPosition[    145793,       4082]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["VM provide Insurance Model\nin this version, if the \
launch is failed, the VM will compensate the prepay price and a part of the \
satellite", "Subtitle"]], "Chapter",
 CellChangeTimes->{{3.846994013564211*^9, 3.8469940156856823`*^9}, {
   3.846994857600985*^9, 3.846994859748948*^9}, {3.846994896420465*^9, 
   3.8469949852663383`*^9}, {3.848290085053608*^9, 3.848290093282737*^9}, {
   3.859522497675735*^9, 3.8595225305314913`*^9}, {3.85952315316416*^9, 
   3.8595231614996567`*^9}, {3.8597602402897778`*^9, 3.8597602937101*^9}, 
   3.85979665335849*^9},ExpressionUUID->"fc99b250-0ba5-48f1-817f-\
d7d7be76a4ec"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", " ", "+", 
   RowBox[{"rv", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs", 
    " "}]}]}]}], "Input",
 CellChangeTimes->{{3.859523183391809*^9, 3.8595232702712507`*^9}, 
   3.859523301231385*^9, {3.859523359773033*^9, 3.8595233880562153`*^9}, {
   3.8597602120399733`*^9, 3.8597602277068853`*^9}, {3.859760302474897*^9, 
   3.859760309836288*^9}, {3.859796521214561*^9, 3.8597965532627974`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0ebda099-248a-4ee0-a753-b8aa0b898904"],

Cell[BoxData[Cell["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", 
  "Section",
  CellChangeTimes->{{3.8470724126182137`*^9, 3.847072424750353*^9}, {
   3.8470751753004932`*^9, 3.8470751937801857`*^9}},ExpressionUUID->
  "b78997ea-f449-441e-b87a-1e1d5ef0cf5c"]], "Input",
 CellChangeTimes->{{3.859796622410101*^9, 
  3.85979663381136*^9}},ExpressionUUID->"3f1d72a3-cb13-4e4f-a679-\
c5cc9fa49da4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.859796657087399*^9, 3.859796666400095*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"4c2f89f9-2a65-4eca-b739-120d5bceefd2"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.859796668528393*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"70418c16-5abe-41f2-af9f-f2027cdeae95"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8597966739604263`*^9, 3.859796680619852*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"89c4d3bd-6544-451f-9262-6473f3c299d2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.859796681429503*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"1b3dd1fb-36d4-44df-b1e1-8b90e2c09777"]
}, Open  ]],

Cell["\<\
We now solve the Stackelberg game  by using backward induction. First, given \
any contingent price p , by considering the first-order condition of Profitv, \
the vehicle manufacture\[CloseCurlyQuote]s best response is given as\
\>", "Text",
 CellChangeTimes->{
  3.859523510932461*^9},ExpressionUUID->"0796e200-d3d5-4427-ad0e-\
a38b84aa5094"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.8595235217349167`*^9, 3.859523523126156*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"c4a9c144-031c-4999-af1e-7d24c16bc829"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.859796727510536*^9, 3.859796766295093*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"4802d7f8-00b7-494e-96cd-b260a56eaddc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"cs", " ", "rv"}], "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.8597967328391027`*^9, 3.8597967676178083`*^9}, 
   3.8597968371433897`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"9b339e93-c567-4f8e-b508-b5c5c31ced3a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"cs", " ", "rv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"b857e098-86c5-43e8-ab7c-f965a5d3fa91"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"4", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "rv"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{
     SuperscriptBox["cs", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.859796839505548*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"5acab5b5-b7e3-482f-9f7a-727c6327f109"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.859796778500732*^9, 3.8597967858279657`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"7f7096b6-f0f7-4137-a090-0f7b7d82e486"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[Sqrt]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
            "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
            RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
       ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Sqrt]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
            "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
            RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
       ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.859796787066036*^9, 3.859796845758847*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"311306a5-99e1-4cd0-9d43-e5ba81e5c533"]
}, Open  ]],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \np \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
         "Cs"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k\[Beta]Cs"}]}]]}], " ", 
     "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "Cs"}]}], ")"}]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"db85f412-ded7-4a1e-95fe-4d6648e14ae8"]
}], "Text",
 CellChangeTimes->{{3.847074732349956*^9, 3.8470751175043583`*^9}, {
  3.8595297618573933`*^9, 3.85952992161112*^9}, {3.859969041039275*^9, 
  3.8599690417177563`*^9}},ExpressionUUID->"bf0d6258-f365-442a-ad63-\
d4c260bee41b"],

Cell[CellGroupData[{

Cell["The SO\[CloseCurlyQuote]s Price", "Section",
 CellChangeTimes->{{3.8470724126182137`*^9, 3.847072424750353*^9}, {
  3.8470751753004932`*^9, 3.8470751937801857`*^9}, {3.859523930111232*^9, 
  3.859523940459605*^9}},ExpressionUUID->"7593db6a-c03f-43b7-9460-\
11ba51e31088"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Profits", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
    RowBox[{"e", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
    " ", "-", 
    RowBox[{"rv", " ", "cs"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs"}]}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]}], "Input",
 CellChangeTimes->{{3.859796944836114*^9, 3.859796945471277*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"5dabae4e-e6c1-4e8b-aab7-8552f6b63bff"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.859796949316442*^9, 3.859796951767305*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"d033b628-9cc2-4531-8551-b8b6423dd2d3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"cs", " ", "rv"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859796952439353*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"ee177933-ca83-419b-93bb-504cbf49842f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"cs", " ", "rv"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"0180d167-727d-4b7f-a900-0d6f01f7e724"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"cs", " ", "rv"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859796974254971*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"f666d857-ed39-44c6-8eff-ecb55f9af9e9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.859797047086543*^9, 3.859797055697833*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"db754ce6-77fd-47f5-b151-d01585b29638"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", "\[Alpha]", "-", 
  FractionBox[
   RowBox[{"cs", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.859797056391963*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"95abfbd6-8d43-453e-8cb2-88002bb85427"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.859797060137726*^9, 3.859797066903133*^9}, 
   3.8597971202189074`*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"c4894a5f-0ecd-467f-9d3c-4a9257115a5b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859797068369794*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"6e506ad2-a50d-4343-b8cc-c17fd5f2bf36"]
}, Open  ]],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2", "\[Beta]", " ", "Cs"}]}], 
     
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "a7afaabb-9114-4d69-91f0-1402884d39d2"],
 "\ns.t.  p \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
         "Cs"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k\[Beta]Cs"}]}]]}], " ", 
     "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "Cs"}]}], ")"}]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"6658ada7-6c0a-4247-bf6c-25b0c311943b"],
 "( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{{3.847336159830171*^9, 3.84733640202722*^9}, {
  3.859530201612129*^9, 3.859530251500495*^9}, {3.859797145227207*^9, 
  3.859797147237903*^9}, {3.8599690518098707`*^9, 
  3.859969052647489*^9}},ExpressionUUID->"ab0ce393-4ec7-4a58-8d88-\
dce68ed2c67b"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8597976907176657`*^9, 3.85979772110006*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"a41b2ada-468a-43c1-b0b2-c81b11bf6a7d"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]p"], "Input",
 CellChangeTimes->{{3.859797725920314*^9, 3.859797729010977*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"8c959f1e-b386-4efa-aa6f-494a0b7adc49"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "+", 
     RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
         
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "k", " ", "rv", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
         RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.859797729762748*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"2cb2a701-5927-40d2-8b1a-aae69a12042a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[26]:=",ExpressionUUID->"83b99ad7-45dd-46d4-9879-5a57738fd221"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SqrtBox[
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"rv", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
           "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.859797738581349*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"7e4b7781-6779-4f09-b576-be9a671feff0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.859797787991025*^9, 3.859797794667536*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"1a93301e-8cc9-4744-aee4-d8b4178ebb25"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rv", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
               "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859797795486858*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"277e5119-9821-4f7b-a4ea-7eae974aa4c5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"rv", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
             "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], 
  "]"}]], "Input",
 CellChangeTimes->{{3.859797877885207*^9, 3.859797894524969*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"a4266d79-09ed-4ed0-812b-4b433b16d94a"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SqrtBox[
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"rv", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
           "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]"}]]], "Output",
 CellChangeTimes->{3.859797895690583*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"630f43f9-de94-441f-945d-d62470eb47c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["The profit", "Subsubsection",
 CellChangeTimes->{{3.847924418570229*^9, 
  3.84792444014956*^9}},ExpressionUUID->"82642af5-0f49-4bcc-b073-\
3f868e88a6f9"],

Cell[TextData[{
 "1.  If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "39dfe9e5-39c6-48e7-ba0e-449624d68d65"],
 ",  which satisfied with ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"F", "\[GreaterEqual]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"\[Theta]", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}], 
            StyleBox["-",
             FontColor->RGBColor[0, 0, 1]], 
            StyleBox[
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}],
             FontColor->RGBColor[0, 0, 1]]}]}]}]]}]}], ")"}], 
     RowBox[{"1", "-", "\[Alpha]"}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "7009873a-c49f-42c0-b3cb-5a5fccf3f1e5"],
 " (the dark region) then the effort is ",
 Cell[BoxData[
  RowBox[{
   StyleBox["e",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["=",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox[
     FractionBox["1", "4"],
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     StyleBox["(",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox[
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "k"],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["+",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       FractionBox["\[Theta]", "k"],
       FontColor->RGBColor[0, 0, 1]]}], 
     StyleBox[")",
      FontColor->RGBColor[1, 0, 0]]}]}]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},ExpressionUUID->
  "0165f127-6011-44fa-9cf7-14b0dd48a4b5"],
 ", the contract [p,\[Alpha]] satellite owner offered is ",
 Cell[BoxData[
  RowBox[{"p", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]", 
      StyleBox[
       RowBox[{"-", "2"}],
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox[" ",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox["cs",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox[" ",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox["\[Beta]",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", " ", "\[Alpha]"}], " ", ")"}],
       FontColor->RGBColor[0, 0, 1]]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "b2bd5135-f3db-4898-ade6-4b6cd53b22b3"],
 ". The profit of vehicle manufacture is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"\[IndentingNewLine]", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"16", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "+", 
       RowBox[{
        SuperscriptBox["f", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
       RowBox[{"16", " ", "cv", " ", "k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
       RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
       RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], 
       "-", 
       RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
       RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       SuperscriptBox["\[Theta]", "2"], "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", 
        SuperscriptBox["\[Theta]", "2"]}], "-", 
       RowBox[{"2", " ", "f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}],
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.847924712498953*^9},ExpressionUUID->
  "ff569ce6-dc81-4935-a028-2a42c3a1ccfb"],
 "\nwhich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", " ", 
       RowBox[{"4", 
        RowBox[{"k", " ", "[", " ", 
         RowBox[{
          RowBox[{"F", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Alpha]"}], "-", " ", 
          RowBox[{"3", 
           SuperscriptBox["\[Alpha]", "2"], "k"}], " ", "-", " ", 
          RowBox[{"\[Theta]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"4", "-", "\[Alpha]"}], ")"}]}]}], "  ", "]"}]}], "-", 
       StyleBox[
        RowBox[{"16", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k", " ", "\[Beta]", " ", 
         "Cs"}],
        FontColor->RGBColor[0, 0, 1]]}], 
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]],
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["-",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["Cv",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["+",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[
     RowBox[{"rv", " ", "Cs"}],
     FontColor->RGBColor[0, 0, 1]]}], TraditionalForm]],ExpressionUUID->
  "05f06482-586e-4656-9ea5-08ec9a4f4a70"],
 "\nThe profit of satellite owner is \n",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"8", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"8", " ", "cs", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"rv", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", "\[Beta]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}],
         ")"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.859798220947733*^9},ExpressionUUID->
  "b7fd412d-057d-4543-9c61-da26945115a3"],
 "\nwich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"4", 
       RowBox[{"k\[Alpha]", " ", "[", 
        RowBox[{"\[Alpha]k", " ", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Theta]", " ", "-", "F"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", "]"}], 
       StyleBox[
        RowBox[{"+", "8"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["k",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["\[Beta]",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["Cs",
        FontColor->RGBColor[0, 0, 1]]}]}], 
     RowBox[{"8", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       StyleBox["rv",
        FontColor->RGBColor[0, 0, 1]]}], ")"}], "Cs"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "33a567e5-1b65-465a-8033-76c614e5840f"],
 "\n\nthe whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"3", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "-", " ", 
       RowBox[{"4", 
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox["k", "2"]}], "+", " ", 
       RowBox[{"4", "k", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "\[Alpha]"}], " ", "F"}], "-", 
          RowBox[{"4", "\[Theta]"}], " ", "+", " ", 
          RowBox[{"3", "\[Alpha]\[Theta]"}]}], " ", ")"}], "  "}]}], 
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv", "-", 
     "Cs"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "e2a8f6d9-a9aa-4e67-831b-52c4b8a44c80"],
 ", the same.\nCompared with the insurance model, the whole supply chain \
efficiency doesn\[CloseCurlyQuote]t change, but for SO it is fitable for the \
SO to choose the insurance from the vm."
}], "Text",
 CellChangeTimes->{
  3.859797952600697*^9, {3.859797992824482*^9, 3.8597979928258247`*^9}, {
   3.85979841051749*^9, 3.8597984549188232`*^9}, {3.859798487569722*^9, 
   3.859798510359433*^9}, {3.859802119501501*^9, 3.859802135277437*^9}, {
   3.859802169069734*^9, 3.8598022947769117`*^9}, {3.859832383564674*^9, 
   3.859832445762204*^9}, {3.859833261791877*^9, 3.859833285496353*^9}, {
   3.859835964958392*^9, 3.8598359891418858`*^9}, {3.85983608192282*^9, 
   3.85983612978391*^9}, {3.8598374981040277`*^9, 3.859837498925662*^9}, {
   3.859837613026691*^9, 3.859837690333281*^9}, {3.859838534314684*^9, 
   3.859838586275271*^9}, 
   3.8598602496747437`*^9},ExpressionUUID->"6ce32179-d96f-4155-a196-\
60abbccbb97b"],

Cell[TextData[{
 "2.If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], "<", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "6e5246c1-7032-480e-ba9f-47dd55ca2463"],
 ", which satisfied with ",
 StyleBox["F<",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"\[Theta]", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}], 
           StyleBox["-",
            FontColor->RGBColor[0, 0, 1]], 
           StyleBox[
            RowBox[{"cs", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"rv", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
               "\[Beta]"}], ")"}]}],
            FontColor->RGBColor[0, 0, 1]]}]}]}]]}]}], ")"}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "e492a36b-57ad-4729-90b5-f2b59e071b82"],
 "=",
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", 
      StyleBox["E",
       FontColor->RGBColor[0, 1, 0]]}]}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]],
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "b97280ef-6b90-4684-a0ef-9860594e2cbc"],
 "\n\nthe effort is ",
 Cell[BoxData[
  RowBox[{"e", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], " ", "+", 
         StyleBox[
          RowBox[{"cs", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"\[Beta]", "-", 
             RowBox[{"rv", " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}],
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox["+",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox[
          RowBox[{"\[Theta]", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}],
          FontColor->RGBColor[0, 0, 1]]}], ")"}]}]]}], 
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "46b03da0-fbdf-4839-b869-ff9a80c9cf67"],
 "=",
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
    StyleBox["E",
     FontColor->RGBColor[0, 1, 0]]}], 
   RowBox[{"k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "db99204e-0226-483a-be8f-88d6746119fd"],
 "\n\n  the price is ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
         StyleBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "k", " ", "rv", 
           " ", "Cs"}],
          FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox["+",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k\[Beta]Cs"}],
         FontColor->RGBColor[0, 0, 1]]}]]}], " ", "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", 
        StyleBox[
         RowBox[{"+", "\[Beta]"}],
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox[" ",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox["Cs",
         FontColor->RGBColor[0, 0, 1]]}], ")"}]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"b9eabd12-8d2a-4e77-a9f6-006ab4ce81ba"],
 "=",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", 
       StyleBox["E",
        FontColor->RGBColor[0, 1, 0]]}], "-", 
      RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"\[Theta]", "+", 
         StyleBox[" ",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox[
          RowBox[{"\[Beta]", " ", "Cs"}],
          FontColor->RGBColor[0, 0, 1]]}], 
        StyleBox[")",
         FontColor->RGBColor[0, 0, 1]]}]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "Text",
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]], "Section",
  ExpressionUUID->"b5664b67-5b47-407b-b195-68f1100f1cfe"],
 "\n  The profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "cv", " ", "k"}], "+", 
        RowBox[{"cs", " ", "k", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
        RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "cv", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"f", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"f", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
        RowBox[{"f", " ", "\[Alpha]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
        RowBox[{"\[Theta]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]}],
     "\[IndentingNewLine]", 
    StyleBox[
     RowBox[{
      FractionBox["1", 
       RowBox[{"k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "cs"}], " ", "k"}], "-", 
        RowBox[{"2", " ", "cv", " ", "k"}], "+", 
        RowBox[{"cs", " ", "k", " ", "rv"}], "+", 
        RowBox[{"2", " ", "cs", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"2", " ", "cv", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"f", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"cs", " ", "k", " ", "rv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"f", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
        RowBox[{"f", " ", "\[Alpha]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
        RowBox[{"\[Theta]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
                "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}]}]}],
     FontColor->RGBColor[1, 0, 0]]}], ")"}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847936282163821*^9},ExpressionUUID->
  "27cfef7d-f491-41cc-bb32-d6f05b6f1207"],
 "\n   which can be written as \n  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[{
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"Cv", "(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
          SuperscriptBox["k\[Alpha]", "2"], "+", 
          RowBox[{"\[Theta]", "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}], 
        StyleBox["-",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox[
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
          "Cs"}],
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox["+",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "kCs"}],
         FontColor->RGBColor[0, 0, 1]]}]]}], "-", " ", 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "F"}], "+", 
        RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "2"], 
      SuperscriptBox["\[Alpha]", "2"]}], " ", "-", 
     RowBox[{"(", 
      StyleBox[
       RowBox[{
        RowBox[{
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Beta]", " ", "k", " ", 
        "Cs"}],
       FontColor->RGBColor[0, 0, 1]]}]}], 
    SuperscriptBox[
     RowBox[{"k", "(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]}],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "04655209-e0a8-4466-8cce-248ed29c0416"],
 "\n   \:4ee4 E=",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{
     RowBox[{"k", "[", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Cv", "(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
       SuperscriptBox["k\[Alpha]", "2"], "+", 
       RowBox[{"\[Theta]", "(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}], 
     StyleBox["-",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
       "Cs"}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["+",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "kCs"}],
      FontColor->RGBColor[0, 0, 1]]}]], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "a61fb74b-9dbc-4f0d-8e6a-a2075021b600"],
 "   > A\n    ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["E",
        FontColor->RGBColor[0, 1, 0]]}], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], 
       StyleBox[
        RowBox[{"-", " ", 
         RowBox[{"(", 
          StyleBox[
           RowBox[{"1", "-", "\[Alpha]"}],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[")",
           FontColor->RGBColor[0, 0, 1]]}]}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["\[Beta]",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["k",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["Cs",
        FontColor->RGBColor[0, 0, 1]], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], " ", "-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e001b6c7-a7f3-4668-a074-68fc512650ec"],
 "\n   the profit of vehicle manufacture is 0\n  the whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["E",
        FontColor->RGBColor[0, 1, 0]]}], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], 
       StyleBox[
        RowBox[{"-", " ", 
         RowBox[{"(", 
          StyleBox[
           RowBox[{"1", "-", "\[Alpha]"}],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[")",
           FontColor->RGBColor[0, 0, 1]]}]}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["\[Beta]",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["k",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["Cs",
        FontColor->RGBColor[0, 0, 1]], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], " ", "-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "9fcb18b8-9acd-401c-bd46-6d20a9c8a3da"],
 "\n\n",
 StyleBox["Proof\n1. ps>pvA", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.859798072112734*^9, 3.859798074452166*^9}, {
  3.8597982459525833`*^9, 3.859798254190143*^9}, {3.859802142364277*^9, 
  3.8598021426158953`*^9}, {3.8598023090829067`*^9, 3.859802318580015*^9}, {
  3.859802363394071*^9, 3.859802406410096*^9}, {3.859802457561942*^9, 
  3.859802522281177*^9}, {3.859802555679253*^9, 3.85980261584836*^9}, {
  3.859802651253437*^9, 3.8598026512546873`*^9}, {3.859802687746234*^9, 
  3.859802688456304*^9}, {3.859802763019541*^9, 3.859802763930236*^9}, {
  3.859842962411262*^9, 3.8598430525321617`*^9}, {3.859844167142151*^9, 
  3.8598442400083437`*^9}, {3.859844350476961*^9, 3.859844350478691*^9}, {
  3.859844385279729*^9, 3.859844465612514*^9}, {3.859862218324942*^9, 
  3.859862219815596*^9}, {3.859969063616014*^9, 
  3.859969064053691*^9}},ExpressionUUID->"16555dc7-5c7f-42cb-946e-\
df7f010da1b2"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]}], "Input",
 CellChangeTimes->{{3.85979810480413*^9, 3.85979810829318*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"32ba7dd8-dccd-4aac-89fd-9c17737ae952"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", " ", "+", 
   RowBox[{"rv", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs", 
    " "}]}]}]}], "Input",
 CellChangeTimes->{{3.859798113819522*^9, 3.859798137024147*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"eb2ed337-ac0c-4d33-b412-30a0245e7703"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8597983824798117`*^9},
 CellLabel->"In[3]:=",ExpressionUUID->"d668fb00-377c-4165-b456-93d897ea1a78"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
       RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
       "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8597983838644457`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"f1d96306-480e-4495-aee6-7635c05d5869"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"ec8d1045-edec-4f68-abf6-d1a861a5c44e"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["f", "k"], "+", 
     FractionBox[
      RowBox[{"2", " ", "\[Alpha]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
     FractionBox["\[Theta]", "k"]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8597983926232653`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"9f05ff5c-991b-4436-81dc-0d1bbf67f4ed"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Profitv", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.859798063438011*^9, 3.859798065887302*^9}, {
  3.8597981461947002`*^9, 3.8597981505882597`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"03a5c1aa-9407-450f-804b-b788dbf9c620"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"cs", " ", "rv"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8597981510605907`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"c7801ea6-7ae9-4a21-813e-c6de1c94c71e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%35", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[36]:=",ExpressionUUID->"ea2b55ef-e8e7-4ae2-889d-edd035951f62"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "+", 
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cv", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
     RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], 
     "-", 
     RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
     RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.859798169589432*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"66145c61-85f0-4ba5-afca-117819558a90"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.859798172253503*^9, 3.8597981743895187`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"1bbb3b83-ba18-4476-baa9-c1330fc0874a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"cs", " ", "rv"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.85979817498111*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"9ce06534-8847-4a54-85e8-b8c4ac02c25d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%37", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[38]:=",ExpressionUUID->"7d5ddd11-c248-447c-bccf-ecda52475534"],

Cell[BoxData[{
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"rv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{" "}],
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{
  3.859798220947733*^9, {3.859833323239085*^9, 3.859833355246172*^9}, {
   3.8598371721136723`*^9, 3.859837201518243*^9}, 
   3.8598372504213676`*^9},ExpressionUUID->"68ac08e8-b470-4f1c-8a54-\
d46ff14f70f7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["Profit",
   FontColor->GrayLevel[0]], 
  StyleBox["=",
   FontColor->GrayLevel[0]], 
  RowBox[{
   StyleBox[
    FractionBox["1", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["(",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     StyleBox[
      RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "cv", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
       SuperscriptBox["\[Alpha]", "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"16", " ", "k", " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      SuperscriptBox["\[Theta]", "2"],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["+",
      FontColor->GrayLevel[0]], 
     RowBox[{
      StyleBox["2",
       FontColor->GrayLevel[0]], 
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cs", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"rv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"4", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     RowBox[{"2", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}]}], 
    StyleBox[")",
     FontColor->RGBColor[1, 0, 0]]}]}]}]], "Input",
 CellChangeTimes->{{3.859837254039163*^9, 3.8598372550304203`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"083375c6-e5f0-4f1c-9ee5-04c42d6d0f70"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"rv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", "\[Beta]"}], ")"}]}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"4", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}], "-", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.859837255815111*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"cdfc9647-ed09-41f3-9e28-6466efec5761"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "Profit", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"d51b4dc2-9000-403a-baad-7723e01842ab"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "16"}], " ", "cv", " ", "k"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"32", " ", "cv", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"28", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"12", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"6", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859837257888122*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"5d3ecf30-ceec-4435-a3bf-c803ef59c3ea"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"2.", " ", "ps"}], "<", "pvA"}], "Chapter"]], "Input",
 CellChangeTimes->{{3.859798259615045*^9, 
  3.859798265136422*^9}},ExpressionUUID->"2a709416-09a0-4684-a415-\
d6c5682750d5"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "+", 
     RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", "k"}], "-", 
         RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
         RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
         
         RowBox[{"cv", " ", "k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "k", " ", "rv", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
         RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
         RowBox[{"k", " ", "\[Theta]"}], "-", 
         RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", " ", "+", 
   RowBox[{"rv", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs", 
    " "}]}]}]}], "Input",
 CellChangeTimes->{{3.85979810480413*^9, 3.85979810829318*^9}, {
  3.859798294514423*^9, 3.8597983059345417`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"b7e57b2c-08de-442c-b813-8a3f9660ba70"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8598023463050823`*^9},
 CellLabel->"In[5]:=",ExpressionUUID->"5c56925f-2779-4d57-a996-50e253aa66eb"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", 
       RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
           "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
           RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
      ")"}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Sqrt]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", "k"}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
            RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
            RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
            "+", 
            RowBox[{"cv", " ", "k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", "k", " ", "rv", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
            RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
            RowBox[{"k", " ", "\[Theta]"}], "-", 
            RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
       ")"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859802348120369*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"56d03de3-3aae-4b9a-9ec8-dae5f5622d51"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%5", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[6]:=",ExpressionUUID->"bf4b30a1-105f-487f-8a4b-acab715a2725"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"k", " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"cs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"rv", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Beta]"}],
          ")"}]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
  RowBox[{"k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.859802350310995*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"26d7afaf-0c50-49cb-8757-aed1bd4202bd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.859798309492571*^9, 3.859798314504745*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"64b92f92-d8fd-43a9-8ea1-0d010a5df2e1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"cs", " ", "rv"}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
             "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
             RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "k"}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
              RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
              RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
              "+", 
              RowBox[{"cv", " ", "k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              
              RowBox[{"k", " ", "\[Theta]"}], "-", 
              RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
         ")"}]}]}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "k"}]], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
             "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
             RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "k"}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
              RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
              RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
              "+", 
              RowBox[{"cv", " ", "k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              
              RowBox[{"k", " ", "\[Theta]"}], "-", 
              RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
         ")"}]}]}]}], ")"}], "2"]}], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", "k"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "+", 
           RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
           "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cv", " ", "k"}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
               RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
               RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}],
                "+", 
               RowBox[{"cv", " ", "k", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
               RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
               RowBox[{"k", " ", "\[Theta]"}], "-", 
               RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
           ")"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
            RowBox[{"cs", " ", "\[Beta]"}], "+", 
            RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
            "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[Sqrt]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cv", " ", "k"}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
                RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
                RowBox[{
                "2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
                RowBox[{"cv", " ", "k", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{
                 SuperscriptBox["k", "2"], " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
                RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], 
                "+", 
                RowBox[{"k", " ", "\[Theta]"}], "-", 
                RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
               ")"}]}]}]}], ")"}]}]}]}], ")"}]}]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", "k"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "+", 
           RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
           "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cv", " ", "k"}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
               RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
               RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}],
                "+", 
               RowBox[{"cv", " ", "k", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
               RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
               RowBox[{"k", " ", "\[Theta]"}], "-", 
               RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
           ")"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
            RowBox[{"cs", " ", "\[Beta]"}], "+", 
            RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
            "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[Sqrt]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cv", " ", "k"}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
                RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
                RowBox[{
                "2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
                RowBox[{"cv", " ", "k", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{
                 SuperscriptBox["k", "2"], " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
                RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], 
                "+", 
                RowBox[{"k", " ", "\[Theta]"}], "-", 
                RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
               ")"}]}]}]}], ")"}]}]}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8597983150705442`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"717daa85-fccd-4135-a6a2-c9584402afa4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%45", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[46]:=",ExpressionUUID->"56f95a77-0b87-4b93-a6de-f441cf8efd7f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.859798318241802*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"f94340c8-62f7-42ce-9ae9-9a9dc4f8379e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.859798322442514*^9, 3.85979832479678*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"3f6a23f3-6860-4753-a221-d9d3ebbfee73"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"cs", " ", "rv"}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "k"}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
              RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
              RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
              "+", 
              RowBox[{"cv", " ", "k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              
              RowBox[{"k", " ", "\[Theta]"}], "-", 
              RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
         ")"}]}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", "k"}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
             RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
             RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
             "+", 
             RowBox[{"cv", " ", "k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", "k", " ", "rv", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
             RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
             RowBox[{"k", " ", "\[Theta]"}], "-", 
             RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "k"}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
              RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
              RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
              "+", 
              RowBox[{"cv", " ", "k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              
              RowBox[{"k", " ", "\[Theta]"}], "-", 
              RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
         ")"}]}]}]}], ")"}]}]}], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", "k"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "+", 
           RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
           "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cv", " ", "k"}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
               RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
               RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}],
                "+", 
               RowBox[{"cv", " ", "k", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["k", "2"], " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "-", 
               RowBox[{"cs", " ", "k", " ", "rv", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
               RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
               RowBox[{"k", " ", "\[Theta]"}], "-", 
               RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
           ")"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
            RowBox[{"cs", " ", "\[Beta]"}], "+", 
            RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
            "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[Sqrt]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cv", " ", "k"}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
                RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
                RowBox[{
                "2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
                RowBox[{"cv", " ", "k", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{
                 SuperscriptBox["k", "2"], " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "-", 
                RowBox[{"cs", " ", "k", " ", "rv", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
                RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], 
                "+", 
                RowBox[{"k", " ", "\[Theta]"}], "-", 
                RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
               ")"}]}]}]}], ")"}]}]}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859798325591955*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"36cbdc98-b072-44dc-b0e4-452257e23609"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%47", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"1a1dc755-5a1f-4823-b578-5a928e3bbd4f"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "cs"}], " ", "k"}], "-", 
      RowBox[{"2", " ", "cv", " ", "k"}], "+", 
      RowBox[{"cs", " ", "k", " ", "rv"}], "+", 
      RowBox[{"2", " ", "cs", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"2", " ", "cv", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"cs", " ", "k", " ", "rv", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rv", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
              "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rv", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
              "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rv", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
              "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rv", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
              "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"rv", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
              "\[Beta]"}], ")"}]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}]}]}],
   FontColor->RGBColor[1, 0, 0]], ")"}]], "Input",
 CellChangeTimes->{3.859798344707191*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"0ca9fdb4-5a5c-459f-bfb4-cc73a1e4e26e"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{749, 824},
WindowMargins->{{Automatic, -122}, {1, Automatic}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"56c9740d-1d93-49ea-a951-c4b0fc90269e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 639, 9, 126, "Chapter",ExpressionUUID->"fc99b250-0ba5-48f1-817f-d7d7be76a4ec"],
Cell[1222, 33, 1352, 38, 52, "Input",ExpressionUUID->"0ebda099-248a-4ee0-a753-b8aa0b898904"],
Cell[2577, 73, 406, 7, 56, "Input",ExpressionUUID->"3f1d72a3-cb13-4e4f-a679-c5cc9fa49da4"],
Cell[CellGroupData[{
Cell[3008, 84, 227, 4, 44, "Input",ExpressionUUID->"4c2f89f9-2a65-4eca-b739-120d5bceefd2"],
Cell[3238, 90, 358, 9, 34, "Output",ExpressionUUID->"70418c16-5abe-41f2-af9f-f2027cdeae95"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3633, 104, 258, 5, 44, "Input",ExpressionUUID->"89c4d3bd-6544-451f-9262-6473f3c299d2"],
Cell[3894, 111, 393, 10, 50, "Output",ExpressionUUID->"1b3dd1fb-36d4-44df-b1e1-8b90e2c09777"]
}, Open  ]],
Cell[4302, 124, 353, 7, 58, "Text",ExpressionUUID->"0796e200-d3d5-4427-ad0e-a38b84aa5094"],
Cell[4658, 133, 357, 8, 47, "Input",ExpressionUUID->"c4a9c144-031c-4999-af1e-7d24c16bc829"],
Cell[CellGroupData[{
Cell[5040, 145, 178, 2, 30, "Input",ExpressionUUID->"4802d7f8-00b7-494e-96cd-b260a56eaddc"],
Cell[5221, 149, 1368, 39, 91, "Output",ExpressionUUID->"9b339e93-c567-4f8e-b508-b5c5c31ced3a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6626, 193, 1360, 39, 104, "Input",ExpressionUUID->"b857e098-86c5-43e8-ab7c-f965a5d3fa91"],
Cell[7989, 234, 1158, 32, 74, "Output",ExpressionUUID->"5acab5b5-b7e3-482f-9f7a-727c6327f109"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9184, 271, 259, 5, 44, "Input",ExpressionUUID->"7f7096b6-f0f7-4137-a090-0f7b7d82e486"],
Cell[9446, 278, 3156, 74, 173, "Output",ExpressionUUID->"311306a5-99e1-4cd0-9d43-e5ba81e5c533"]
}, Open  ]],
Cell[12617, 355, 1652, 45, 82, "Text",ExpressionUUID->"bf0d6258-f365-442a-ad63-d4c260bee41b"],
Cell[CellGroupData[{
Cell[14294, 404, 277, 4, 67, "Section",ExpressionUUID->"7593db6a-c03f-43b7-9460-11ba51e31088"],
Cell[14574, 410, 832, 25, 68, "Input",ExpressionUUID->"5dabae4e-e6c1-4e8b-aab7-8552f6b63bff"],
Cell[CellGroupData[{
Cell[15431, 439, 178, 2, 30, "Input",ExpressionUUID->"d033b628-9cc2-4531-8551-b8b6423dd2d3"],
Cell[15612, 443, 896, 26, 51, "Output",ExpressionUUID->"ee177933-ca83-419b-93bb-504cbf49842f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16545, 474, 932, 27, 61, "Input",ExpressionUUID->"0180d167-727d-4b7f-a900-0d6f01f7e724"],
Cell[17480, 503, 921, 27, 51, "Output",ExpressionUUID->"f666d857-ed39-44c6-8eff-ecb55f9af9e9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18438, 535, 222, 4, 44, "Input",ExpressionUUID->"db754ce6-77fd-47f5-b151-d01585b29638"],
Cell[18663, 541, 931, 29, 51, "Output",ExpressionUUID->"95abfbd6-8d43-453e-8cb2-88002bb85427"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19631, 575, 285, 6, 44, "Input",ExpressionUUID->"c4894a5f-0ecd-467f-9d3c-4a9257115a5b"],
Cell[19919, 583, 707, 19, 55, "Output",ExpressionUUID->"6e506ad2-a50d-4343-b8cc-c17fd5f2bf36"]
}, Open  ]],
Cell[20641, 605, 2421, 70, 133, "Text",ExpressionUUID->"ab0ce393-4ec7-4a58-8d88-dce68ed2c67b"],
Cell[23065, 677, 2039, 49, 167, "Input",ExpressionUUID->"a41b2ada-468a-43c1-b0b2-c81b11bf6a7d"],
Cell[CellGroupData[{
Cell[25129, 730, 187, 2, 30, "Input",ExpressionUUID->"8c959f1e-b386-4efa-aa6f-494a0b7adc49"],
Cell[25319, 734, 1941, 49, 104, "Output",ExpressionUUID->"2cb2a701-5927-40d2-8b1a-aae69a12042a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27297, 788, 1989, 49, 143, "Input",ExpressionUUID->"83b99ad7-45dd-46d4-9879-5a57738fd221"],
Cell[29289, 839, 1253, 36, 62, "Output",ExpressionUUID->"7e4b7781-6779-4f09-b576-be9a671feff0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30579, 880, 257, 5, 44, "Input",ExpressionUUID->"1a93301e-8cc9-4744-aee4-d8b4178ebb25"],
Cell[30839, 887, 2317, 70, 82, "Output",ExpressionUUID->"277e5119-9821-4f7b-a4ea-7eae974aa4c5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33193, 962, 2171, 68, 94, "Input",ExpressionUUID->"a4266d79-09ed-4ed0-812b-4b433b16d94a"],
Cell[35367, 1032, 1123, 32, 59, "Output",ExpressionUUID->"630f43f9-de94-441f-945d-d62470eb47c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36527, 1069, 160, 3, 45, "Subsubsection",ExpressionUUID->"82642af5-0f49-4bcc-b073-3f868e88a6f9"],
Cell[36690, 1074, 13167, 379, 518, "Text",ExpressionUUID->"6ce32179-d96f-4155-a196-60abbccbb97b"],
Cell[49860, 1455, 24119, 692, 917, "Text",ExpressionUUID->"16555dc7-5c7f-42cb-946e-df7f010da1b2"],
Cell[73982, 2149, 859, 22, 91, "Input",ExpressionUUID->"32ba7dd8-dccd-4aac-89fd-9c17737ae952"],
Cell[74844, 2173, 1125, 35, 52, "Input",ExpressionUUID->"eb2ed337-ac0c-4d33-b412-30a0245e7703"],
Cell[CellGroupData[{
Cell[75994, 2212, 149, 2, 30, "Input",ExpressionUUID->"d668fb00-377c-4165-b456-93d897ea1a78"],
Cell[76146, 2216, 1280, 34, 61, "Output",ExpressionUUID->"f1d96306-480e-4495-aee6-7635c05d5869"]
}, Open  ]],
Cell[77441, 2253, 1322, 35, 72, "Input",ExpressionUUID->"ec8d1045-edec-4f68-abf6-d1a861a5c44e"],
Cell[78766, 2290, 467, 14, 49, InheritFromParent,ExpressionUUID->"9f05ff5c-991b-4436-81dc-0d1bbf67f4ed"],
Cell[CellGroupData[{
Cell[79258, 2308, 315, 5, 94, "Input",ExpressionUUID->"03a5c1aa-9407-450f-804b-b788dbf9c620"],
Cell[79576, 2315, 6576, 175, 331, "Output",ExpressionUUID->"c7801ea6-7ae9-4a21-813e-c6de1c94c71e"]
}, Open  ]],
Cell[86167, 2493, 163, 3, 44, "Input",ExpressionUUID->"ea2b55ef-e8e7-4ae2-889d-edd035951f62"],
Cell[86333, 2498, 2030, 52, 121, InheritFromParent,ExpressionUUID->"66145c61-85f0-4ba5-afca-117819558a90"],
Cell[CellGroupData[{
Cell[88388, 2554, 180, 2, 30, "Input",ExpressionUUID->"1bbb3b83-ba18-4476-baa9-c1330fc0874a"],
Cell[88571, 2558, 4108, 111, 211, "Output",ExpressionUUID->"9ce06534-8847-4a54-85e8-b8c4ac02c25d"]
}, Open  ]],
Cell[92694, 2672, 163, 3, 44, "Input",ExpressionUUID->"7d5ddd11-c248-447c-bccf-ecda52475534"],
Cell[92860, 2677, 1763, 54, 121, InheritFromParent,ExpressionUUID->"68ac08e8-b470-4f1c-8a54-d46ff14f70f7"],
Cell[CellGroupData[{
Cell[94648, 2735, 5102, 158, 185, "Input",ExpressionUUID->"083375c6-e5f0-4f1c-9ee5-04c42d6d0f70"],
Cell[99753, 2895, 2928, 80, 144, "Output",ExpressionUUID->"cdfc9647-ed09-41f3-9e28-6466efec5761"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102718, 2980, 165, 3, 44, "Input",ExpressionUUID->"d51b4dc2-9000-403a-baad-7723e01842ab"],
Cell[102886, 2985, 1909, 53, 102, "Output",ExpressionUUID->"5d3ecf30-ceec-4435-a3bf-c803ef59c3ea"]
}, Open  ]],
Cell[104810, 3041, 227, 6, 56, "Input",ExpressionUUID->"2a709416-09a0-4684-a415-d6c5682750d5"],
Cell[105040, 3049, 2751, 76, 222, "Input",ExpressionUUID->"b7e57b2c-08de-442c-b813-8a3f9660ba70"],
Cell[CellGroupData[{
Cell[107816, 3129, 149, 2, 30, "Input",ExpressionUUID->"5c56925f-2779-4d57-a996-50e253aa66eb"],
Cell[107968, 3133, 3149, 76, 176, "Output",ExpressionUUID->"56d03de3-3aae-4b9a-9ec8-dae5f5622d51"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111154, 3214, 161, 3, 44, "Input",ExpressionUUID->"bf4b30a1-105f-487f-8a4b-acab715a2725"],
Cell[111318, 3219, 1050, 32, 59, "Output",ExpressionUUID->"26d7afaf-0c50-49cb-8757-aed1bd4202bd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112405, 3256, 178, 2, 30, "Input",ExpressionUUID->"64b92f92-d8fd-43a9-8ea1-0d010a5df2e1"],
Cell[112586, 3260, 16257, 383, 785, "Output",ExpressionUUID->"717daa85-fccd-4135-a6a2-c9584402afa4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[128880, 3648, 163, 3, 44, "Input",ExpressionUUID->"56f95a77-0b87-4b93-a6de-f441cf8efd7f"],
Cell[129046, 3653, 149, 2, 34, "Output",ExpressionUUID->"f94340c8-62f7-42ce-9ae9-9a9dc4f8379e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129232, 3660, 177, 2, 30, "Input",ExpressionUUID->"3f6a23f3-6860-4753-a221-d9d3ebbfee73"],
Cell[129412, 3664, 9872, 234, 498, "Output",ExpressionUUID->"36cbdc98-b072-44dc-b0e4-452257e23609"]
}, Open  ]],
Cell[139299, 3901, 163, 3, 44, "Input",ExpressionUUID->"1a1dc755-5a1f-4823-b578-5a928e3bbd4f"],
Cell[139465, 3906, 5923, 157, 264, InheritFromParent,ExpressionUUID->"0ca9fdb4-5a5c-459f-bfb4-cc73a1e4e26e"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

