(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     97540,       2712]
NotebookOptionsPosition[     90976,       2597]
NotebookOutlinePosition[     91422,       2615]
CellTagsIndexPosition[     91379,       2612]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["VM provide Insurance Model", "Subtitle"]], "Chapter",
 CellChangeTimes->{{3.846994013564211*^9, 3.8469940156856823`*^9}, {
  3.846994857600985*^9, 3.846994859748948*^9}, {3.846994896420465*^9, 
  3.8469949852663383`*^9}, {3.848290085053608*^9, 3.848290093282737*^9}, {
  3.859522497675735*^9, 3.8595225305314913`*^9}, {3.85952315316416*^9, 
  3.8595231614996567`*^9}},ExpressionUUID->"f8cb3c37-fe51-4219-aefb-\
8523eb623b69"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", " ", "+", 
   RowBox[{"rv", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs"}]}]}]}], "Input",
 CellChangeTimes->{{3.859523183391809*^9, 3.8595232702712507`*^9}, 
   3.859523301231385*^9, {3.859523359773033*^9, 3.8595233880562153`*^9}, {
   3.859796500257413*^9, 3.859796505984356*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"6d067879-c627-4e89-869b-27eebbb7177c"],

Cell[CellGroupData[{

Cell["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", "Section",
 CellChangeTimes->{{3.8470724126182137`*^9, 3.847072424750353*^9}, {
  3.8470751753004932`*^9, 
  3.8470751937801857`*^9}},ExpressionUUID->"b83a4bb5-391e-41b6-85c6-\
e3d28616e865"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.859523428954639*^9, 3.8595234571076202`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"fbfff70a-dc48-40f2-9316-94676072db93"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.859523460468096*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"bf321a89-8369-440b-9da8-81aa8e713f66"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8595234782719917`*^9, 3.859523492415736*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"77c3a539-e25b-410e-bdbe-f543f9e636b5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.859523493573224*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"21d115d1-fc09-40f1-95c3-5fe937453c4d"]
}, Open  ]],

Cell["\<\
We now solve the Stackelberg game  by using backward induction. First, given \
any contingent price p , by considering the first-order condition of Profitv, \
the vehicle manufacture\[CloseCurlyQuote]s best response is given as\
\>", "Text",
 CellChangeTimes->{
  3.859523510932461*^9},ExpressionUUID->"5243f8ff-42ec-4899-8461-\
bb4df8bd2b42"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.8595235217349167`*^9, 3.859523523126156*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"d235abe1-940e-4d12-aa58-ab1bff2d12fd"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.859523534836254*^9, 3.859523537730504*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"71c11d90-c0f5-4b55-933e-3eed23ce8de8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"cs", " ", "rv"}], "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859523539602126*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"f6c94a32-03c8-48cc-a14f-3534fc9f5fb0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"cs", " ", "rv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"8bc76e1a-1ea3-4454-8ed0-5da2586484f6"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"4", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "rv"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{
     SuperscriptBox["cs", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8595235484662*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"998f5dc9-0d08-49f1-96d6-64a9c34d1866"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.859523570459963*^9, 3.8595235775571632`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"952c164a-a4ea-4049-9f54-9d7da6b5f3e1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
           "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
           RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "k"}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
           RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
           "+", 
           RowBox[{"cv", " ", "k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", "k", " ", "rv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
           RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
           RowBox[{"k", " ", "\[Theta]"}], "-", 
           RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.859523579996674*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"e754aefb-0c5a-48fa-81d9-e369a449771c"]
}, Open  ]],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \np \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
         "Cs"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "kCs"}]}]]}], " ", "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "Cs"}]}], ")"}]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"ebc5618e-83b1-478b-aae6-22eccf85713a"]
}], "Text",
 CellChangeTimes->{{3.847074732349956*^9, 3.8470751175043583`*^9}, {
  3.8595297618573933`*^9, 
  3.85952992161112*^9}},ExpressionUUID->"932533c8-a4f3-4a53-9d17-\
8290aaf0401d"],

Cell["", "Text",
 CellChangeTimes->{
  3.8595239033826923`*^9},ExpressionUUID->"d2f0538f-2064-4ec8-bcb5-\
b7e9e5c626ce"]
}, Open  ]],

Cell[CellGroupData[{

Cell["The SO\[CloseCurlyQuote]s Price", "Section",
 CellChangeTimes->{{3.8470724126182137`*^9, 3.847072424750353*^9}, {
  3.8470751753004932`*^9, 3.8470751937801857`*^9}, {3.859523930111232*^9, 
  3.859523940459605*^9}},ExpressionUUID->"a46b2048-9c97-4c93-be5a-\
1ebe249dfeb3"],

Cell[BoxData[{
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]}], "Input",
 CellChangeTimes->{{3.859523959724257*^9, 3.8595239766463118`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"1e38cdd1-02b9-404f-9979-9924dfc545d2"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8595239824947453`*^9, 3.8595239859134493`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"84cb86ed-6d08-4b0d-a424-fa920d3fd19b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"rv", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859523987691823*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"c84b535f-a4b5-4438-b19d-dde7f0f03239"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "-", 
   RowBox[{"rv", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"932568df-9763-41cc-bbad-f715b29bcbe6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"rv", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859523991107335*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"6fad09cf-72ad-40da-a485-c51f11170754"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8595239952376842`*^9, 3.859524002498004*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"27b2cb01-ac41-47aa-be0d-d1c5a6e468ac"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", "\[Alpha]", "-", 
  RowBox[{"rv", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{"cs", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8595240045027857`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"632b3a21-ee5a-450f-a435-6e0bf598bdd1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.85952400792696*^9, 3.859524014732863*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"f92541a9-9d12-4232-a1ba-fc4e5b6eda63"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], "}"}]
  ], "Input",
 CellChangeTimes->{3.859528498352263*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"941c0222-c68c-4a2e-8eae-00acb42dc23a"],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "rv"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2", "\[Beta]", " ", "Cs"}]}], 
     
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "ca871198-6b57-4961-b891-c94d871a100e"],
 "\ns.t.  p \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", 
      SqrtBox[
       RowBox[{
        RowBox[{"k", " ", 
         RowBox[{"cv", "\[CenterDot]", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox["k", "2"]}], " ", "+", " ", 
        RowBox[{"\[Theta]", " ", 
         RowBox[{"k", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "k", " ", "rv", " ", 
         "Cs"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "kCs"}]}]]}], " ", "-", 
     RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        RowBox[{"\[Beta]", " ", "Cs"}]}], ")"}]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"59086a49-b2b8-474c-b87e-6d733f2c045f"],
 "( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{{3.847336159830171*^9, 3.84733640202722*^9}, {
  3.859530201612129*^9, 
  3.859530251500495*^9}},ExpressionUUID->"3bcb7cfe-df61-49a8-9360-\
e804e74846a4"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "k"}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
          RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "k", " ", "rv", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"k", " ", "\[Theta]"}], "-", 
          RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.85952847214498*^9, 3.8595285119220047`*^9}, {
  3.85952855428201*^9, 3.859528566037332*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"1f5ea210-10ed-4c34-9be2-22f14451a2cb"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]p"], "Input",
 CellChangeTimes->{{3.8595285789407873`*^9, 3.8595285858833427`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"6c1fd249-da15-4636-ab74-3288a0fd63ec"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "+", 
     RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "k"}], "-", 
        RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
        RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"cs", " ", "k", " ", "rv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
        RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
        RowBox[{"k", " ", "\[Theta]"}], "-", 
        RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.859528586554318*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"4a69c81d-8af0-4214-821e-7dc17c5a047a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.859528596871077*^9, 3.859528608084786*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"41e08bbd-020e-4456-ac21-54d84f65b9c0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox["\[Alpha]", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox[
        RowBox[{"k", " ", "rv", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox[
        RowBox[{"cs", " ", "\[Beta]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
       FractionBox[
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
       FractionBox["\[Theta]", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Alpha]"}], "+", 
          SuperscriptBox["\[Alpha]", "2"]}]], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "k"}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv"}], "-", 
              RowBox[{"2", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
              RowBox[{"2", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], 
              "+", 
              RowBox[{"cv", " ", "k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "k", " ", "rv", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "k", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              
              RowBox[{"k", " ", "\[Theta]"}], "-", 
              RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
         ")"}]}]}], ")"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8595286095312357`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"1ace3668-3743-4507-8e93-815856733616"]
}, Open  ]],

Cell[TextData[{
 "1. if  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "s"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "1ed6b605-e3f6-4170-848b-55115049592f"]
}], "Text",
 CellChangeTimes->{{3.85953171757003*^9, 3.859531746174673*^9}, {
  3.859531918490419*^9, 
  3.8595319196370792`*^9}},ExpressionUUID->"3d4113f7-c06e-44e1-a129-\
e319643288e1"],

Cell[BoxData[{
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]}], "Input",
 CellChangeTimes->{{3.8595317608822403`*^9, 3.859531792484508*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"454676db-beca-4762-bc7b-8620b64819af"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.859531800338819*^9},
 CellLabel->"In[27]:=",ExpressionUUID->"c715b0ea-e6f3-46be-84fd-b688b63d7d17"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
       RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
       "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.859531800904449*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"4abd6148-aecf-4dcd-a87c-f6ee605934ab"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"685f0e9e-aec6-4172-8c44-04819d559cea"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["f", "k"], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "rv"}], ")"}], " ", "\[Alpha]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
     FractionBox["\[Theta]", "k"]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.859772036921536*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"6672d4a3-6255-4538-9e39-b78eba15a008"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv", " ", "+", 
   RowBox[{"rv", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rv", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", " ", "cs"}]}]}]}], "Input",
 CellChangeTimes->{{3.859531926920103*^9, 3.859531938454192*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"d2a0ae64-2c79-4987-a73a-57173a86284c"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.859531942347703*^9, 3.859531951883855*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"bc7af450-88b4-4841-9671-f420f0e5afac"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"cs", " ", "rv"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8595319523816833`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"78c14b59-7c3a-417e-b224-90635b74e944"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%31", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[32]:=",ExpressionUUID->"7f1aa7d4-88ca-41e0-b9ab-f8455ab14fc5"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["rv", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "rv", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859531955284275*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"c4fcd062-0090-4c7c-aec0-cc3c053d43e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.859531959936872*^9, 3.85953196539633*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"b374db2e-653e-4aa3-bda4-ef7e69b6dc15"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  RowBox[{"rv", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
  "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859531965879642*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"bce9f2e2-0200-42c8-a13a-9137126f943e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%33", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[34]:=",ExpressionUUID->"d832d2d1-d1c2-47fa-a324-83beec5e6cd0"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"8", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"8", " ", "cs", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", "\[Beta]", "+", 
       RowBox[{"rv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Beta]"}]}], ")"}]}]}], ")"}]}], "-", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "rv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", "\[Theta]", 
       "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.859531968399143*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"54972e81-9871-407f-90d8-281d3c868218"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859531706798231*^9, 3.859531708436433*^9}, {
  3.859531756102354*^9, 
  3.8595317570665207`*^9}},ExpressionUUID->"0a4498f1-d992-4e7e-b6cb-\
e2c81922ea80"],

Cell[BoxData[Cell["The profit", "Subsubsection",
  CellChangeTimes->{{3.847924418570229*^9, 3.84792444014956*^9}},
  ExpressionUUID->"d0e8f199-5c4c-4a67-8d11-079e5ed3d294"]], "Input",
 CellChangeTimes->{{3.859531450902179*^9, 3.859531453828323*^9}, {
  3.8595315371725817`*^9, 
  3.8595315396481857`*^9}},ExpressionUUID->"d909d87d-a753-4cf2-90ec-\
e17722ad2eab"],

Cell[TextData[{
 "1.  If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "769510e6-d882-4b81-bda3-b18867033a48"],
 ",  which satisfied with ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"F", "\[GreaterEqual]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]", 
        RowBox[{"(", 
         RowBox[{"1", "-", "rv"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"\[Theta]", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}], "-", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "rv", " ", "Cs"}],
             "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "Cs"}]}]}]}]]}]}], ")"}], 
     RowBox[{"1", "-", "\[Alpha]"}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "748c8f29-282e-4999-94a1-c6ac5acea443"],
 " (the dark region) then the effort is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", "=", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]", 
         RowBox[{"(", 
          RowBox[{"1", "+", "rv"}], ")"}]}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},ExpressionUUID->
  "ec7a0c40-ef7b-49ba-a427-7ee40206745d"],
 ", the contract [p,\[Alpha]] satellite owner offered is ",
 Cell[BoxData[
  RowBox[{"p", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "rv"}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2", "\[Beta]", " ", "Cs"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "451e5734-d6af-492d-be6e-bf2446fa9e92"],
 ". The profit of vehicle manufacture is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{
     StyleBox["(",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      RowBox[{
       StyleBox[
        SuperscriptBox["f", "2"],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[" ",
        FontColor->RGBColor[1, 0, 0]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       StyleBox["16",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[" ",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox["cv",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[" ",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox["k",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[" ",
        FontColor->RGBColor[1, 0, 0]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"12", " ", 
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"16", " ", "k", " ", "\[Theta]"}],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["+",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"4", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["+",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{
         StyleBox["\[Theta]",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["-",
          FontColor->RGBColor[1, 0, 0]], 
         RowBox[{
          StyleBox["\[Alpha]",
           FontColor->RGBColor[1, 0, 0]], 
          StyleBox[" ",
           FontColor->RGBColor[1, 0, 0]], "\[Theta]"}]}], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}], "2"], 
      StyleBox["-",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"2", " ", "f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox[")",
      FontColor->RGBColor[1, 0, 0]]}]}],
   FontColor->RGBColor[0, 1, 0]]], "Input",
  CellChangeTimes->{3.847924712498953*^9},ExpressionUUID->
  "a0458dc7-3e84-4d3c-a72b-15306f9c780a"],
 "\nwhich can be written as ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", 
       RowBox[{"4", 
        RowBox[{"k", " ", "[", 
         RowBox[{
          RowBox[{"3", 
           SuperscriptBox["\[Alpha]", "2"], "k"}], " ", "+", "  ", 
          RowBox[{"\[Theta]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"4", "-", "\[Alpha]"}], ")"}]}], "  ", "-", " ", 
          RowBox[{"F", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Alpha]"}]}], "]"}]}]}], 
      
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "2e618182-9c1a-4090-b4ee-8849768c3bc0"],
 "\n\n\n\n\nThe profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]], 
  "Output",
  CellChangeTimes->{3.8479302329592333`*^9},
  FontColor->RGBColor[0, 1, 0],ExpressionUUID->
  "60f7a47a-05f9-4691-9157-28dc92dfb5e7"],
 "\nwich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"4", 
       RowBox[{"k\[Alpha]", " ", "[", 
        RowBox[{"\[Alpha]k", " ", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Theta]", " ", "-", "F"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", "]"}]}]}], 
     RowBox[{"8", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cs"}], 
   TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "1972ecc5-0055-428a-9f6e-36fdd4c85e68"],
 "\nThe premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", " ", "=", " ", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}]}]}]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.8479348396322403`*^9},ExpressionUUID->
  "889b70ad-4011-480d-8fb7-1c2c780acd65"],
 "\nthe whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"15", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", " ", 
       RowBox[{"20", 
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox["k", "2"]}], "+", " ", 
       RowBox[{"4", "k", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "\[Theta]"}], " ", "+", " ", "\[Alpha]\[Theta]", " ", 
          "-", " ", 
          RowBox[{"3", "\[Alpha]F"}]}], ")"}], "  "}]}], 
      RowBox[{"16", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv", "-", 
     "Cs"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "91b40b00-f689-4a5a-8a0f-cc2e16613886"],
 "\n2. If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], "<", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "ad545a85-cb47-4ae1-b705-9cd9e10c0ad0"],
 ", which satisfied with ",
 StyleBox["F<",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"\[Theta]", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]}]}]]}]}], ")"}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "a62bcfc1-c45d-481a-9208-843e502274e0"],
 ",\n  the effort is ",
 Cell[BoxData[
  RowBox[{"e", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
     SqrtBox[
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"\[Theta]", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", ")"}]}]]}], 
    RowBox[{"k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "0372ef6b-5be6-44b8-bd73-2e0908080fd2"],
 "\n  The premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", "=", 
    FractionBox[
     RowBox[{"k", "-", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"\[Theta]", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]}], 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935852462887*^9},ExpressionUUID->
  "732040df-f74c-4a14-bcdb-9473fb3111b1"],
 "\n  the price is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", 
       SqrtBox[
        RowBox[{
         RowBox[{"k", " ", 
          RowBox[{"cv", "\[CenterDot]", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
         RowBox[{
          SuperscriptBox["\[Alpha]", "2"], 
          SuperscriptBox["k", "2"]}], " ", "+", " ", 
         RowBox[{"\[Theta]", " ", 
          RowBox[{"k", "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}], " ", "-", 
      RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "Text",
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]], "Subsection",
  ExpressionUUID->"5dd3f244-218a-4c7a-b1f0-16708a845d4e"],
 "\n  The profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "cv", " ", "k"}], "+", 
      RowBox[{"cs", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "cv", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"f", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]}]], 
  "Output",
  CellChangeTimes->{3.847936282163821*^9},ExpressionUUID->
  "eeed9d44-f22e-4aaf-8ea4-0f4f324aed17"],
 "\n   which can be written as \n  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[{
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
      SqrtBox[
       RowBox[{"k", "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Cv", "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
         SuperscriptBox["k\[Alpha]", "2"], "+", 
         RowBox[{"\[Theta]", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}]]}], "-", " ", 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "F"}], "+", 
        RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "2"], 
      SuperscriptBox["\[Alpha]", "2"], " "}]}], 
    SuperscriptBox[
     RowBox[{"k", "(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]}],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "c1cfa50d-4695-402d-a5dc-96f59c6530d0"],
 "\n   \:4ee4 A=",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"k", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Cv", "(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
      SuperscriptBox["k\[Alpha]", "2"], "+", 
      RowBox[{"\[Theta]", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}]], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e43201ec-8ce5-49ad-b39f-9025e1681c40"],
 "\n    ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["A",
        FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[" ",
       FontColor->RGBColor[0, 1, 0]], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], " ", "-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}]}], ")"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "f142cda3-7875-4d54-82fa-b360ae070447"],
 "\n   the profit of vehicle manufacture is 0\n  the whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"F", "+", "\[Theta]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", "\[Alpha]k"}]}], "]"}], "*", 
       StyleBox["A",
        FontColor->RGBColor[0, 1, 0]]}], 
      StyleBox[" ",
       FontColor->RGBColor[0, 1, 0]], "-", " ", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", " ", "F"}], "+", 
         RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "2"], 
       SuperscriptBox["\[Alpha]", "2"], " "}]}], 
     SuperscriptBox[
      RowBox[{"k", "(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "-", " ", "Cs", "-", 
    RowBox[{"2", "Cv"}]}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "1ed8efd2-65bb-44c5-ad65-263983b6eb4c"]
}], "Text",
 CellChangeTimes->{{3.8479244978416567`*^9, 3.847924540095396*^9}, {
   3.84792472972503*^9, 3.847924850719489*^9}, {3.84792490186488*^9, 
   3.84792490495502*^9}, {3.847924942568657*^9, 3.84792496113203*^9}, {
   3.847927612103428*^9, 3.847927652927586*^9}, {3.847928389275312*^9, 
   3.8479283914047832`*^9}, {3.847928460304885*^9, 3.84792848326*^9}, {
   3.847928584822124*^9, 3.847928607107594*^9}, {3.847929743098164*^9, 
   3.847929826876237*^9}, {3.84792986540275*^9, 3.847929901262289*^9}, {
   3.847929956617804*^9, 3.847929965411723*^9}, {3.847930009276952*^9, 
   3.84793006171145*^9}, {3.847930243682823*^9, 3.847930271154003*^9}, {
   3.847934477511183*^9, 3.847934743179035*^9}, {3.847934887275675*^9, 
   3.8479350054148397`*^9}, {3.847935193108474*^9, 3.8479352723509903`*^9}, {
   3.847935394475047*^9, 3.847935452496479*^9}, {3.84793575331159*^9, 
   3.847935763948141*^9}, {3.8479358611798697`*^9, 3.847935914425313*^9}, {
   3.847936298521426*^9, 3.8479363190364027`*^9}, {3.847937073962777*^9, 
   3.847937076701795*^9}, {3.847937108487657*^9, 3.847937141910861*^9}, {
   3.847937175233618*^9, 3.847937274965145*^9}, {3.847937307583899*^9, 
   3.847937327214435*^9}, {3.847937357534235*^9, 3.847937474001975*^9}, {
   3.847937602462516*^9, 3.847937624750527*^9}, {3.84795882437888*^9, 
   3.8479588345854053`*^9}, {3.847958882007372*^9, 3.8479588908863907`*^9}, {
   3.847958959589476*^9, 3.847958976386042*^9}, {3.8479602639409723`*^9, 
   3.847960291598874*^9}, {3.847960328189518*^9, 3.847960342719121*^9}, {
   3.84796300728864*^9, 3.8479630852174187`*^9}, {3.8479655562920732`*^9, 
   3.847965605154277*^9}, {3.847965665316744*^9, 3.8479656899020233`*^9}, {
   3.8479657623227367`*^9, 3.847965762787541*^9}, {3.847966640065168*^9, 
   3.847966640652532*^9}, {3.847966677431292*^9, 3.847966677918117*^9}, {
   3.847966776803108*^9, 3.84796677785452*^9}, {3.847966874563386*^9, 
   3.847966893511814*^9}, {3.8480057455001907`*^9, 3.848005745527981*^9}, {
   3.848007086950255*^9, 3.848007091883445*^9}, {3.8480078818756733`*^9, 
   3.848007886094136*^9}, {3.848008743474066*^9, 3.848008804174872*^9}, {
   3.855128600822453*^9, 3.8551287515469503`*^9}, {3.855128782523904*^9, 
   3.855128837798987*^9}, {3.859531567686796*^9, 3.8595315760505257`*^9}, {
   3.8595316391941853`*^9, 3.859531685411117*^9}, {3.859531876469816*^9, 
   3.859531909407146*^9}, {3.8595320060737047`*^9, 3.859532009509789*^9}, {
   3.8595320451643867`*^9, 3.859532117818492*^9}, 
   3.859532260159233*^9},ExpressionUUID->"61417da7-d820-40c8-9d9b-\
2084ce5b261a"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"\[CapitalDelta]", ":=", 
   RowBox[{
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["k", "2"], " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["rv", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
    RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", "rv", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "rv", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "cv", " ", "k"}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", "1"}], ")"}], " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], ")"}]}], "+", "\[Theta]", 
         "+", 
         RowBox[{"2", " ", "\[Alpha]", " ", "k"}]}], ")"}]}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["k", "2"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]", " ", "k"}], "+", 
      RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]", " ", "k"}], "-", 
      RowBox[{"16", " ", "\[Theta]", " ", "k"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8597723780039883`*^9, 3.859772397873755*^9}, {
  3.8597724343193407`*^9, 3.859772453027487*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"fd602bd5-2c7f-4a71-a056-88ad42ac93d7"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]"], "Input",
 CellChangeTimes->{{3.85977240798435*^9, 3.859772408884967*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"586cc130-0dee-4564-b0f2-ad0a2f6f7bce"],

Cell[BoxData[
 RowBox[{
  RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "-", 
  RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
  RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"8", " ", 
   SuperscriptBox["k", "2"], " ", "rv", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["k", "2"], " ", 
   SuperscriptBox["rv", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
  RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
  RowBox[{"4", " ", "k", " ", "rv", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
  RowBox[{"4", " ", "k", " ", "rv", " ", 
   SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
  RowBox[{"2", " ", "f", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
    ")"}]}], "+", 
  RowBox[{"2", " ", "f", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8597724103969088`*^9, 3.859772458937438*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"e4ea4ad7-9981-4c82-a418-58d7fbf52029"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"16", " ", "cs", " ", "k", " ", "rv"}], "-", 
   RowBox[{"32", " ", "cs", " ", "k", " ", "rv", " ", "\[Alpha]"}], "+", 
   RowBox[{"16", " ", "cs", " ", "k", " ", "rv", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"8", " ", 
    SuperscriptBox["k", "2"], " ", "rv", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox["rv", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"16", " ", "cs", " ", "k", " ", "\[Beta]"}], "+", 
   RowBox[{"16", " ", "cs", " ", "k", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
   
   RowBox[{"4", " ", "k", " ", "rv", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   
   RowBox[{"4", " ", "k", " ", "rv", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", "f", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}], "+", 
   RowBox[{"2", " ", "f", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[6]:=",ExpressionUUID->"3e8639f4-8f57-49ab-a851-422408f0893b"],

Cell[BoxData[
 RowBox[{"4", " ", "k", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", "cs", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"rv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Beta]"}], 
      ")"}]}], "+", 
    RowBox[{"rv", " ", "\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859772460738246*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"337f612a-ccd9-48ff-ac8a-1c069ef8bed0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%2", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"f05e2b07-fd0b-437c-8620-be01f31cfb3c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"4", " ", "cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"rv", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Beta]"}], 
     ")"}]}], "+", 
   RowBox[{"rv", " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "rv"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.859772417098328*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"c585a138-cec7-4331-8caa-52997b7a8cad"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{650, 730},
WindowMargins->{{Automatic, 7}, {Automatic, 42}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f13e0616-62a1-4ecf-848e-8208f6ea02fa"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 449, 6, 56, "Chapter",ExpressionUUID->"f8cb3c37-fe51-4219-aefb-8523eb623b69"],
Cell[1032, 30, 1330, 39, 52, "Input",ExpressionUUID->"6d067879-c627-4e89-869b-27eebbb7177c"],
Cell[CellGroupData[{
Cell[2387, 73, 254, 4, 67, "Section",ExpressionUUID->"b83a4bb5-391e-41b6-85c6-e3d28616e865"],
Cell[CellGroupData[{
Cell[2666, 81, 229, 4, 44, "Input",ExpressionUUID->"fbfff70a-dc48-40f2-9316-94676072db93"],
Cell[2898, 87, 358, 9, 34, "Output",ExpressionUUID->"bf321a89-8369-440b-9da8-81aa8e713f66"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3293, 101, 258, 5, 44, "Input",ExpressionUUID->"77c3a539-e25b-410e-bdbe-f543f9e636b5"],
Cell[3554, 108, 393, 10, 50, "Output",ExpressionUUID->"21d115d1-fc09-40f1-95c3-5fe937453c4d"]
}, Open  ]],
Cell[3962, 121, 353, 7, 81, "Text",ExpressionUUID->"5243f8ff-42ec-4899-8461-bb4df8bd2b42"],
Cell[4318, 130, 356, 8, 47, "Input",ExpressionUUID->"d235abe1-940e-4d12-aa58-ab1bff2d12fd"],
Cell[CellGroupData[{
Cell[4699, 142, 177, 2, 30, "Input",ExpressionUUID->"71c11d90-c0f5-4b55-933e-3eed23ce8de8"],
Cell[4879, 146, 1311, 38, 91, "Output",ExpressionUUID->"f6c94a32-03c8-48cc-a14f-3534fc9f5fb0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6227, 189, 1359, 39, 104, "Input",ExpressionUUID->"8bc76e1a-1ea3-4454-8ed0-5da2586484f6"],
Cell[7589, 230, 1155, 32, 74, "Output",ExpressionUUID->"998f5dc9-0d08-49f1-96d6-64a9c34d1866"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8781, 267, 258, 5, 44, "Input",ExpressionUUID->"952c164a-a4ea-4049-9f54-9d7da6b5f3e1"],
Cell[9042, 274, 3007, 72, 196, "Output",ExpressionUUID->"e754aefb-0c5a-48fa-81d9-e369a449771c"]
}, Open  ]],
Cell[12064, 349, 1591, 44, 105, "Text",ExpressionUUID->"932533c8-a4f3-4a53-9d17-8290aaf0401d"],
Cell[13658, 395, 120, 3, 35, "Text",ExpressionUUID->"d2f0538f-2064-4ec8-bcb5-b7e9e5c626ce"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13815, 403, 277, 4, 67, "Section",ExpressionUUID->"a46b2048-9c97-4c93-be5a-1ebe249dfeb3"],
Cell[14095, 409, 894, 27, 68, "Input",ExpressionUUID->"1e38cdd1-02b9-404f-9979-9924dfc545d2"],
Cell[CellGroupData[{
Cell[15014, 440, 182, 2, 30, "Input",ExpressionUUID->"84cb86ed-6d08-4b0d-a424-fa920d3fd19b"],
Cell[15199, 444, 988, 29, 73, "Output",ExpressionUUID->"c84b535f-a4b5-4438-b19d-dde7f0f03239"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16224, 478, 1027, 30, 102, "Input",ExpressionUUID->"932568df-9763-41cc-bbad-f715b29bcbe6"],
Cell[17254, 510, 1013, 30, 73, "Output",ExpressionUUID->"6fad09cf-72ad-40da-a485-c51f11170754"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18304, 545, 224, 4, 44, "Input",ExpressionUUID->"27b2cb01-ac41-47aa-be0d-d1c5a6e468ac"],
Cell[18531, 551, 974, 30, 51, "Output",ExpressionUUID->"632b3a21-ee5a-450f-a435-6e0bf598bdd1"]
}, Open  ]],
Cell[19520, 584, 256, 5, 44, "Input",ExpressionUUID->"f92541a9-9d12-4232-a1ba-fc4e5b6eda63"],
Cell[19779, 591, 771, 20, 52, InheritFromParent,ExpressionUUID->"941c0222-c68c-4a2e-8eae-00acb42dc23a"],
Cell[20553, 613, 2374, 70, 133, "Text",ExpressionUUID->"3bcb7cfe-df61-49a8-9360-e804e74846a4"],
Cell[22930, 685, 2151, 51, 167, "Input",ExpressionUUID->"1f5ea210-10ed-4c34-9be2-22f14451a2cb"],
Cell[CellGroupData[{
Cell[25106, 740, 191, 2, 30, "Input",ExpressionUUID->"6c1fd249-da15-4636-ab74-3288a0fd63ec"],
Cell[25300, 744, 1938, 48, 104, "Output",ExpressionUUID->"4a69c81d-8af0-4214-821e-7dc17c5a047a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27275, 797, 257, 5, 44, "Input",ExpressionUUID->"41e08bbd-020e-4456-ac21-54d84f65b9c0"],
Cell[27535, 804, 3476, 94, 174, "Output",ExpressionUUID->"1ace3668-3743-4507-8e93-815856733616"]
}, Open  ]],
Cell[31026, 901, 464, 14, 35, "Text",ExpressionUUID->"3d4113f7-c06e-44e1-a129-e319643288e1"],
Cell[31493, 917, 933, 24, 92, "Input",ExpressionUUID->"454676db-beca-4762-bc7b-8620b64819af"],
Cell[CellGroupData[{
Cell[32451, 945, 148, 2, 30, "Input",ExpressionUUID->"c715b0ea-e6f3-46be-84fd-b688b63d7d17"],
Cell[32602, 949, 1409, 36, 61, "Output",ExpressionUUID->"4abd6148-aecf-4dcd-a87c-f6ee605934ab"]
}, Open  ]],
Cell[34026, 988, 1455, 37, 104, "Input",ExpressionUUID->"685f0e9e-aec6-4172-8c44-04819d559cea"],
Cell[35484, 1027, 534, 16, 49, InheritFromParent,ExpressionUUID->"6672d4a3-6255-4538-9e39-b78eba15a008"],
Cell[36021, 1045, 1205, 37, 52, "Input",ExpressionUUID->"d2a0ae64-2c79-4987-a73a-57173a86284c"],
Cell[CellGroupData[{
Cell[37251, 1086, 178, 2, 30, "Input",ExpressionUUID->"bc7af450-88b4-4841-9671-f420f0e5afac"],
Cell[37432, 1090, 7254, 185, 459, "Output",ExpressionUUID->"78c14b59-7c3a-417e-b224-90635b74e944"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44723, 1280, 163, 3, 44, "Input",ExpressionUUID->"7f1aa7d4-88ca-41e0-b9ab-f8455ab14fc5"],
Cell[44889, 1285, 2553, 66, 144, "Output",ExpressionUUID->"c4fcd062-0090-4c7c-aec0-cc3c053d43e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47479, 1356, 177, 2, 30, "Input",ExpressionUUID->"b374db2e-653e-4aa3-bda4-ef7e69b6dc15"],
Cell[47659, 1360, 5216, 136, 325, "Output",ExpressionUUID->"bce9f2e2-0200-42c8-a13a-9137126f943e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52912, 1501, 163, 3, 44, "Input",ExpressionUUID->"d832d2d1-d1c2-47fa-a324-83beec5e6cd0"],
Cell[53078, 1506, 1686, 50, 79, "Output",ExpressionUUID->"54972e81-9871-407f-90d8-281d3c868218"]
}, Open  ]],
Cell[54779, 1559, 203, 4, 30, "Input",ExpressionUUID->"0a4498f1-d992-4e7e-b6cb-e2c81922ea80"],
Cell[54985, 1565, 362, 6, 40, "Input",ExpressionUUID->"d909d87d-a753-4cf2-90ec-e17722ad2eab"],
Cell[55350, 1573, 25775, 741, 1019, "Text",ExpressionUUID->"61417da7-d820-40c8-9d9b-2084ce5b261a"],
Cell[81128, 2316, 3820, 96, 182, "Input",ExpressionUUID->"fd602bd5-2c7f-4a71-a056-88ad42ac93d7"],
Cell[CellGroupData[{
Cell[84973, 2416, 184, 2, 30, "Input",ExpressionUUID->"586cc130-0dee-4564-b0f2-ad0a2f6f7bce"],
Cell[85160, 2420, 1683, 42, 77, "Output",ExpressionUUID->"e4ea4ad7-9981-4c82-a418-58d7fbf52029"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86880, 2467, 1719, 45, 92, "Input",ExpressionUUID->"3e8639f4-8f57-49ab-a851-422408f0893b"],
Cell[88602, 2514, 1034, 32, 56, "Output",ExpressionUUID->"337f612a-ccd9-48ff-ac8a-1c069ef8bed0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89673, 2551, 161, 3, 44, "Input",ExpressionUUID->"f05e2b07-fd0b-437c-8620-be01f31cfb3c"],
Cell[89837, 2556, 1099, 36, 55, "Output",ExpressionUUID->"c585a138-cec7-4331-8caa-52997b7a8cad"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

