(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     59894,       1773]
NotebookOptionsPosition[     50474,       1622]
NotebookOutlinePosition[     50882,       1639]
CellTagsIndexPosition[     50839,       1636]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Benchmark \n",
 StyleBox["the basic payoff function",
  FontWeight->"Bold",
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0, 0]]
}], "Text",
 CellChangeTimes->{{3.846401651571216*^9, 
  3.8464016711950502`*^9}},ExpressionUUID->"a394ee61-219a-465f-9032-\
3c6473f7656f"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Profits", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
    RowBox[{"e", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
    "cs"}]}]}]], "Input",
 CellChangeTimes->{
  3.846209364611114*^9, {3.846401604050585*^9, 3.846401611274037*^9}, 
   3.846401676943778*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"2bfb7c61-f218-47cb-bc3a-cc716fbd3a9a"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitc", ":=", 
  RowBox[{"Profitv", "+", "Profits"}]}]}], "Input",
 CellChangeTimes->{{3.84620927121496*^9, 3.846209288008996*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"cf541492-4f89-47b7-bec4-8b99bee6fe45"],

Cell[CellGroupData[{

Cell[BoxData["Profitc"], "Input",
 CellChangeTimes->{{3.846209290115368*^9, 3.846209292721463*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"298080fd-02c6-463c-b2fa-b5bd2c658e4d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "+", 
  RowBox[{"e", " ", 
   RowBox[{"(", 
    RowBox[{"F", "-", 
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{"e", " ", "p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.846209293661014*^9, 3.84620937408396*^9, 
  3.8462094127941637`*^9, 3.846402078299246*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"48f4dc4f-8636-40e7-8cfb-e02dc9f238ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "cv", "-", 
   RowBox[{
    SuperscriptBox["e", "2"], " ", "k"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
   RowBox[{"e", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"df9188b8-eb6f-4418-9b9b-e4cda66735f4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  RowBox[{"e", " ", "F"}], "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "-", "\[Theta]", "+", 
  RowBox[{"e", " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.846209421158983*^9, 3.846209500179124*^9, 
  3.846402094994486*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"31b4fb1a-7ab3-4993-8a5e-212c279b5f3d"]
}, Open  ]],

Cell[TextData[StyleBox["the constraints",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.84640182143366*^9, 3.846401836615322*^9}, {
  3.846401981709804*^9, 
  3.846401987660841*^9}},ExpressionUUID->"6bf959b9-8c17-40ee-9966-\
670685a332b2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.846209427709444*^9, 3.846209470452969*^9}},
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"d8ecedc2-135f-4b29-92f4-2205906a96ce"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{"F", "+", "\[Theta]", "-", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["F", "2"], "-", 
         RowBox[{"4", " ", "cs", " ", "k"}], "-", 
         RowBox[{"4", " ", "cv", " ", "k"}], "+", 
         RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
         SuperscriptBox["\[Theta]", "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", "\[Rule]", 
     FractionBox[
      RowBox[{"F", "+", "\[Theta]", "+", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["F", "2"], "-", 
         RowBox[{"4", " ", "cs", " ", "k"}], "-", 
         RowBox[{"4", " ", "cv", " ", "k"}], "+", 
         RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
         RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
         SuperscriptBox["\[Theta]", "2"]}]]}], 
      RowBox[{"2", " ", "k"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.846209471439115*^9, 3.8462095036510077`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"9bb85643-254d-4cc6-8162-b2515e97ab70"]
}, Open  ]],

Cell[TextData[StyleBox["The optimal of e",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846402181452138*^9, 
  3.846402186568548*^9}},ExpressionUUID->"063032f8-5d03-45da-86ca-\
08143ad79aaf"],

Cell["the first derivative", "Text",
 CellChangeTimes->{{3.846402224118956*^9, 3.846402227767962*^9}, {
  3.846402276470606*^9, 
  3.84640230134868*^9}},ExpressionUUID->"91c5ab85-b346-4a16-a28c-\
fb56a8def681"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitc", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.846209445107024*^9, 3.846209445108041*^9}, {
  3.846210150624776*^9, 3.846210165683264*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"39e70686-41a2-48d8-94a0-e90b73a34312"],

Cell[BoxData[
 RowBox[{"F", "-", 
  RowBox[{"2", " ", "e", " ", "k"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8462101782059593`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"3d953353-8df0-42ea-ba76-664c0b33d850"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"F", "-", 
     RowBox[{"2", " ", "e", " ", "k"}], "+", "\[Theta]"}], "\[Equal]", "0"}], 
   ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8462101839848547`*^9, 3.846210196704268*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"fd0a28a4-6f7b-469b-9474-7b920345061b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"F", "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8462101972245626`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"b77ddf0c-c3f8-4575-8ad1-7007f490de75"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", "%"}]], "Input",
 CellChangeTimes->{{3.846210333093611*^9, 3.846210340548347*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"ae0b9c28-6033-447a-87a0-0643faa958d9"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"F", "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{
  3.846210342451517*^9, {3.8462105428968077`*^9, 3.846210549394449*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"795af23f-8f6d-41ed-ba5b-816331478426"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.846210551502446*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"852f0b4c-ec45-4749-8c89-b2775872f959"],

Cell[BoxData[
 FractionBox[
  RowBox[{"F", "+", "\[Theta]"}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8462105523560543`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"f203f777-23ad-4f8a-b409-4b65c0fdb6b4"]
}, Open  ]],

Cell[TextData[StyleBox["the maximum profit of the centre supply chain at the \
optimal e",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846402335618883*^9, 
  3.846402415286175*^9}},ExpressionUUID->"eb6dec94-996a-4be1-80e0-\
2afd6cf29d1a"],

Cell[CellGroupData[{

Cell[BoxData["Profitc"], "Input",
 CellChangeTimes->{{3.846210558376494*^9, 3.84621056128833*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"b75201a4-4683-4659-96ba-78f5f961bd82"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"F", "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846210561878027*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"0fc7675d-75be-439d-bbc7-7a991d47bada"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "cv", "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"F", "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"F", "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"F", "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"759fc3fc-8258-4467-8a5b-87d667a06a1d"],

Cell[BoxData[{
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"4", " ", "cs", " ", "k"}], "-", 
   RowBox[{"4", " ", "cv", " ", "k"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"4", " ", "k"}]], "\[IndentingNewLine]", 
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}]}], "Input",
 CellChangeTimes->{{3.84621070851558*^9, 3.846210708961096*^9}, {
  3.8464024443220253`*^9, 
  3.846402455784593*^9}},ExpressionUUID->"dbfa5ba4-b44f-47e0-aabb-\
d5708db8f8bd"],

Cell[TextData[StyleBox["the maximum profit of the vehicle manufacture at that \
e",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846402481136752*^9, 
  3.8464025224167147`*^9}},ExpressionUUID->"f9e28cbe-8927-4996-b7ed-\
cd4a1a56df4f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["F", "2"], "-", 
   RowBox[{"4", " ", "cs", " ", "k"}], "-", 
   RowBox[{"4", " ", "cv", " ", "k"}], "+", 
   RowBox[{"2", " ", "F", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846210712157743*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"8cd15dfc-c225-4300-9e05-77ec505f46fe"],

Cell[TextData[{
 StyleBox["The insurance model ",
  FontWeight->"Bold",
  FontVariations->{"Underline"->True},
  FontColor->RGBColor[1, 0, 0]],
 "(satellite owner buy the insurance contract from the third party)\n"
}], "Text",
 CellChangeTimes->{{3.846402609304088*^9, 
  3.846402693017057*^9}},ExpressionUUID->"89afe516-b491-4dd4-8625-\
8723c5559ed6"],

Cell[TextData[StyleBox["the vehicle manufacture ",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846402702340436*^9, 
  3.846402716965856*^9}},ExpressionUUID->"973d4f70-5eea-4c9c-b49a-\
fd364b0ca384"],

Cell[TextData[StyleBox["he decide the optimal e",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846402725532193*^9, 
  3.846402734045746*^9}},ExpressionUUID->"7af213dd-c3a9-4467-83d9-\
cf434c2d02e5"],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.846210672779498*^9, 3.8462106800703382`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"6d39d5bf-5c31-4298-bb3b-da5c6e2ec73f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
  "\[Theta]"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}], "\[Equal]",
     "0"}], ",", "e"}], "]"}]}], "Input",
 CellChangeTimes->{{3.846210726357864*^9, 3.846210739631092*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f18e6606-cee0-4469-9bf1-ef357eb6ca94"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8462107406590967`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"f6e0b587-8a2c-4309-b45b-2a2ccac03309"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846210740665861*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"217fa292-0d70-475d-87ea-b60d0eacefdf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"e", ":=", 
   FractionBox[
    RowBox[{"p", "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.846210808930048*^9, 3.846210827355659*^9}, 
   3.846444305601678*^9},ExpressionUUID->"c03d37e9-13af-4d58-986c-\
a9a9e580d405"],

Cell[TextData[StyleBox["the maximum profit of vehicle manufacture",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.8464443125715714`*^9, 
  3.846444326486767*^9}},ExpressionUUID->"d6a2c1fa-d86f-474b-8194-\
c99d3604d623"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.846210831415937*^9, 3.846210833906035*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"27821968-234b-4c2b-936c-cc91c14bb866"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8462108346429977`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"383177cd-89b2-4ead-b605-6f0d375fa126"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "k"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"dac8529f-34ed-41f7-969a-982ec5fd389d"],

Cell[BoxData[{
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"\[Theta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "k"}], "+", "\[Theta]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"4", " ", "k"}]], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", 
   "cs"}]}]}], "Input",
 CellChangeTimes->{{3.8462112214769077`*^9, 3.8462112222266703`*^9}, 
   3.846444486242374*^9},ExpressionUUID->"2a603fd5-19b0-40c6-95c8-\
f17d51640b33"],

Cell[TextData[StyleBox["the satellite owner",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.846444497476715*^9, 
  3.846444505341422*^9}},ExpressionUUID->"4f7bfbca-e368-4508-9064-\
47ec5ab05120"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "cv", " ", "k"}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", "k"}], "+", "\[Theta]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846211293770145*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"87fa8211-6a79-4289-8e6b-3e10c2bbf117"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846211296912982*^9, 3.8462113074114923`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"ef1cf120-e4fc-459f-80cd-15cc7f73b2f2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.84621130840578*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"1b5fcf8e-fe2f-418e-b34d-58dccb24a1b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[14]:=",ExpressionUUID->"37cb7aee-21df-49fe-91bc-fbe71d22e873"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846211393216653*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"6920c596-334b-45ea-b7f3-bb8f30af746e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Profitcc", "=", 
  RowBox[{"Profits", "+", "Profitv"}]}]], "Input",
 CellChangeTimes->{{3.8462114243960323`*^9, 3.846211441455559*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"c47286ce-dee1-4e47-b338-541904fcca07"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846211441909966*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"65cf33ee-4413-4cb8-9896-ff6226d2b3c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "Profitcc", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"41f8c853-9fea-465e-ab21-74a85a5ab77b"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"4", " ", "cs", " ", "k"}], "+", 
    RowBox[{"4", " ", "cv", " ", "k"}], "-", 
    RowBox[{"2", " ", "F", " ", "p"}], "+", 
    SuperscriptBox["p", "2"], "+", 
    RowBox[{"2", " ", "F", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"2", " ", "F", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
    SuperscriptBox["\[Theta]", "2"]}], 
   RowBox[{"4", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846211445132003*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"6388adc7-827d-4b4d-98f8-116157867cd9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.846211479315372*^9, 3.846211491648209*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"60354f74-9e9b-4d6a-925f-5d232d3ba9cd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "p"}], "-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846211492440243*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"4250285d-cdcc-4bda-9cd3-b8520b3f7c2a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "p"}], "-", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"F", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"930640c8-e856-4261-a979-04f64bd6f508"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"F", "+", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "p"}], "+", 
      RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846211507224461*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"9144eec3-2a5f-4381-b951-70d52d667c8d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"F", "+", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "p"}], "+", 
         RowBox[{"2", " ", "p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
      RowBox[{"2", " ", "k"}]]}], "\[Equal]", "0"}], ",", "\[Alpha]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.846211557362887*^9, 3.8462115588732452`*^9}},
 NumberMarks->False,
 CellLabel->"In[20]:=",ExpressionUUID->"8d2ab3af-7b23-4b4a-9d5b-f097f1a2660b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "F"}], "-", 
      RowBox[{"2", " ", "k"}], "+", 
      RowBox[{"2", " ", "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "p"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.846211552237669*^9, 3.846211560135*^9}},
 CellLabel->"Out[20]=",ExpressionUUID->"abda7002-aa36-481e-a03f-747853df6774"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8462281700560207`*^9, 
  3.8462281700593357`*^9}},ExpressionUUID->"2fd7c741-1d60-4247-af61-\
8de8ec282dcb"],

Cell[BoxData[""], "Input",ExpressionUUID->"062f418b-cf66-40db-860a-c26c58f16708"],

Cell["\<\
2\:20e3\:fe0f   If the satellite owner buy insurance contract from the third \
party ( insurance company)

\
\>", "Text",
 CellChangeTimes->{{3.8462280002133923`*^9, 3.8462281416359463`*^9}, {
  3.846228175075988*^9, 3.846228184167919*^9}, {3.846228251287497*^9, 
  3.846228252133068*^9}, {3.846228287860087*^9, 
  3.846228289423696*^9}},ExpressionUUID->"cd5425fd-f620-4a0d-ab77-\
34795e3e5118"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846211539203393*^9, 
  3.846211564235084*^9}},ExpressionUUID->"e78ec828-06a6-4e64-8a24-\
70b7e1bc0784"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"F", "-", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], " ", ")"}], "p"}], "-", "cs", 
   "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "ri"}], ")"}], "p"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], " ", ")"}]}]}]}]}], "Input",\

 CellChangeTimes->{{3.846228358050795*^9, 3.846228398093357*^9}, {
  3.8462284687864103`*^9, 3.846228510512394*^9}, {3.846228588106646*^9, 
  3.846228629971093*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"257234fc-5265-4e8d-926d-e78f83e50443"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"32b811c9-dc2c-484e-a5ca-5ad1560c5715"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8462284054373198`*^9, 3.84622841275499*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f8089042-13a8-419a-9012-fe063062b991"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "ri"}], ")"}]}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846228413826522*^9, 3.8462286360050907`*^9, 
  3.846229678015501*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"9986a3b5-7dea-46bb-a163-709da9033918"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "ri"}], ")"}]}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"78cfcd05-f486-4952-9ad7-1c328218e38c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846229727906583*^9, 
  3.846229728288123*^9}},ExpressionUUID->"a17efeb9-004c-4b1d-86dd-\
796c0eaaa1ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "ri"}], ")"}]}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.846229698868548*^9, 3.84622969942836*^9}},
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"a7a00d82-cd09-4a30-90c9-18e70093eb91"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "k", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "ri"}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
      ")"}]}], "+", 
    RowBox[{"cs", " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846270322383416*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"eb0f31e5-a84b-4008-ad16-2645d99d042a"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846229712269134*^9, 
  3.8462297127984*^9}},ExpressionUUID->"c408e455-e006-4167-965e-b842c93035ec"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "cs"}], "-", 
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "ri"}], ")"}]}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "k"}]], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"p", "-", 
         RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
        RowBox[{"2", " ", "k"}]]}], ")"}]}]}], ",", "\[Alpha]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.846229578043709*^9, 3.846229592887637*^9}, 
   3.846229689563798*^9},
 CellLabel->"In[5]:=",ExpressionUUID->"81b2a11d-2f75-4990-b789-644bbe1be0a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "p"}], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846229594337805*^9, 3.846229691413479*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"f161ef05-2b71-484b-a10c-139c5ce352de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "p"}], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"d93bf413-01e3-42dd-8791-a438fb13dcb1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "p", "-", 
     RowBox[{"F", " ", "p"}]}], ")"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846229753425674*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"fe048cdb-af2b-4808-b1d4-2f2bc79b5f4a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "cs"}], "-", 
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "ri"}], ")"}]}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{"p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "k"}]], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"p", "-", 
         RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
        RowBox[{"2", " ", "k"}]]}], ")"}]}]}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.846229815429246*^9, 3.846229819959741*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"5d31b662-efc8-4427-bf3f-daa29f371a22"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", "ri", "-", "\[Alpha]", "+", 
  FractionBox[
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846229820545198*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"7a448af0-4939-4a3e-af08-651e10c83032"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "1"}], "-", "ri", "-", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{"p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"e3df6e80-b328-4ac2-aab7-3e8ba28f4263"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "ri"}], ")"}]}], "+", 
   RowBox[{"cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
     ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8462298243508368`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"8bffaefd-14a8-4134-90dd-fa98ce8050bc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "ri"}], ")"}]}], "+", 
      RowBox[{"cs", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "p", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}],
         ")"}]}]}], 
     RowBox[{"2", " ", "k"}]], "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",\

 CellChangeTimes->{{3.846229954444889*^9, 3.846229955132103*^9}},
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"b189bc4d-1eaa-4126-8dce-d9d79c08c0db"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "k", " ", "ri"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"F", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "cs"}], "-", 
    RowBox[{"2", " ", "k"}], "-", 
    RowBox[{"2", " ", "k", " ", "ri"}], "+", 
    RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"F", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]}], "Input",
 CellChangeTimes->{{3.846270407771462*^9, 3.846270416934596*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"5b0a48be-a43c-4710-8b22-10e94222a6e3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "k", " ", "ri"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"F", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.846270418048728*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"0e19f0e5-ff1e-4c7e-8832-10d04a242119"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.846270423884676*^9, 3.846270431007271*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"e5052858-4f1e-4e2a-832c-80b5958669c4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "ri"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "k", " ", "ri"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"F", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "k", " ", "ri"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"F", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F", "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"2", " ", "k"}], "-", 
      RowBox[{"2", " ", "k", " ", "ri"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"F", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "cs"}], "-", 
        RowBox[{"2", " ", "k"}], "-", 
        RowBox[{"2", " ", "k", " ", "ri"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"F", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "cs"}], "-", 
          RowBox[{"2", " ", "k"}], "-", 
          RowBox[{"2", " ", "k", " ", "ri"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"F", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "cs"}], "-", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "k", " ", "ri"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"F", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"\[Theta]", "+", 
       FractionBox[
        RowBox[{
         RowBox[{"-", "cs"}], "-", 
         RowBox[{"2", " ", "k"}], "-", 
         RowBox[{"2", " ", "k", " ", "ri"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"F", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "cs"}], "-", 
           RowBox[{"2", " ", "k"}], "-", 
           RowBox[{"2", " ", "k", " ", "ri"}], "+", 
           RowBox[{"cs", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
           RowBox[{"F", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846270431833397*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"7fef729b-b561-41cb-8b78-98ee43d45f1c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%18", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"ae89cb04-5d96-4624-9b6c-8c765df92233"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["cs", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "ri"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", "\[Theta]"}]}], ")"}]}], 
   "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "ri"}], ")"}]}], "+", "\[Theta]", "-", 
      RowBox[{"F", " ", "\[Theta]"}]}], ")"}], "2"]}], 
  RowBox[{"8", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.84627043546338*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"e802a41b-243d-456c-b971-eee2d8444209"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846211292005515*^9, 
  3.8462112920065517`*^9}},ExpressionUUID->"56c50794-b556-4cb8-8f04-\
3d9feca3fc68"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.8462094427896013`*^9},
 NumberMarks->False,ExpressionUUID->"b7fbd760-0acd-4880-bde4-d6b8b35c182c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.846209385936804*^9, 
  3.846209386559058*^9}},ExpressionUUID->"189d545a-e782-47d0-af33-\
62326445de52"]
},
WindowSize->{808, 730},
WindowMargins->{{273, Automatic}, {10, Automatic}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1e5e1e12-c894-48de-a8ae-bc45ab1361cf"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 304, 9, 58, "Text",ExpressionUUID->"a394ee61-219a-465f-9032-3c6473f7656f"],
Cell[865, 31, 542, 16, 52, "Input",ExpressionUUID->"2bfb7c61-f218-47cb-bc3a-cc716fbd3a9a"],
Cell[1410, 49, 617, 16, 52, "Input",ExpressionUUID->"cf541492-4f89-47b7-bec4-8b99bee6fe45"],
Cell[CellGroupData[{
Cell[2052, 69, 177, 2, 30, "Input",ExpressionUUID->"298080fd-02c6-463c-b2fa-b5bd2c658e4d"],
Cell[2232, 73, 676, 19, 34, "Output",ExpressionUUID->"48f4dc4f-8636-40e7-8cfb-e02dc9f238ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2945, 97, 634, 19, 46, "Input",ExpressionUUID->"df9188b8-eb6f-4418-9b9b-e4cda66735f4"],
Cell[3582, 118, 385, 9, 34, "Output",ExpressionUUID->"31b4fb1a-7ab3-4993-8a5e-212c279b5f3d"]
}, Open  ]],
Cell[3982, 130, 256, 5, 35, "Text",ExpressionUUID->"6bf959b9-8c17-40ee-9966-670685a332b2"],
Cell[CellGroupData[{
Cell[4263, 139, 278, 6, 44, "Input",ExpressionUUID->"d8ecedc2-135f-4b29-92f4-2205906a96ce"],
Cell[4544, 147, 1180, 30, 99, "Output",ExpressionUUID->"9bb85643-254d-4cc6-8162-b2515e97ab70"]
}, Open  ]],
Cell[5739, 180, 209, 4, 35, "Text",ExpressionUUID->"063032f8-5d03-45da-86ca-08143ad79aaf"],
Cell[5951, 186, 210, 4, 35, "Text",ExpressionUUID->"91c5ab85-b346-4a16-a28c-fb56a8def681"],
Cell[CellGroupData[{
Cell[6186, 194, 277, 5, 44, InheritFromParent,ExpressionUUID->"39e70686-41a2-48d8-94a0-e90b73a34312"],
Cell[6466, 201, 223, 4, 34, "Output",ExpressionUUID->"3d953353-8df0-42ea-ba76-664c0b33d850"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6726, 210, 341, 8, 44, "Input",ExpressionUUID->"fd0a28a4-6f7b-469b-9474-7b920345061b"],
Cell[7070, 220, 308, 8, 50, "Output",ExpressionUUID->"b77ddf0c-c3f8-4575-8ad1-7007f490de75"]
}, Open  ]],
Cell[7393, 231, 195, 3, 30, "Input",ExpressionUUID->"ae0b9c28-6033-447a-87a0-0643faa958d9"],
Cell[7591, 236, 298, 7, 47, "Input",ExpressionUUID->"795af23f-8f6d-41ed-ba5b-816331478426"],
Cell[CellGroupData[{
Cell[7914, 247, 148, 2, 30, "Input",ExpressionUUID->"852f0b4c-ec45-4749-8c89-b2775872f959"],
Cell[8065, 251, 224, 5, 50, "Output",ExpressionUUID->"f203f777-23ad-4f8a-b409-4b65c0fdb6b4"]
}, Open  ]],
Cell[8304, 259, 257, 5, 35, "Text",ExpressionUUID->"eb6dec94-996a-4be1-80e0-2afd6cf29d1a"],
Cell[CellGroupData[{
Cell[8586, 268, 177, 2, 30, "Input",ExpressionUUID->"b75201a4-4683-4659-96ba-78f5f961bd82"],
Cell[8766, 272, 987, 32, 53, "Output",ExpressionUUID->"0fc7675d-75be-439d-bbc7-7a991d47bada"]
}, Open  ]],
Cell[9768, 307, 1029, 33, 63, "Input",ExpressionUUID->"759fc3fc-8258-4467-8a5b-87d667a06a1d"],
Cell[10800, 342, 901, 25, 73, InheritFromParent,ExpressionUUID->"dbfa5ba4-b44f-47e0-aabb-d5708db8f8bd"],
Cell[11704, 369, 252, 5, 35, "Text",ExpressionUUID->"f9e28cbe-8927-4996-b7ed-cd4a1a56df4f"],
Cell[11959, 376, 463, 11, 53, "Output",ExpressionUUID->"8cd15dfc-c225-4300-9e05-77ec505f46fe"],
Cell[12425, 389, 352, 9, 58, "Text",ExpressionUUID->"89afe516-b491-4dd4-8625-8723c5559ed6"],
Cell[12780, 400, 217, 4, 35, "Text",ExpressionUUID->"973d4f70-5eea-4c9c-b49a-fd364b0ca384"],
Cell[13000, 406, 216, 4, 35, "Text",ExpressionUUID->"7af213dd-c3a9-4467-83d9-cf434c2d02e5"],
Cell[13219, 412, 229, 4, 44, "Input",ExpressionUUID->"6d39d5bf-5c31-4298-bb3b-da5c6e2ec73f"],
Cell[CellGroupData[{
Cell[13473, 420, 652, 19, 65, InheritFromParent,ExpressionUUID->"f18e6606-cee0-4469-9bf1-ef357eb6ca94"],
Cell[14128, 441, 320, 8, 34, "Output",ExpressionUUID->"f6e0b587-8a2c-4309-b45b-2a2ccac03309"],
Cell[14451, 451, 349, 9, 49, "Output",ExpressionUUID->"217fa292-0d70-475d-87ea-b60d0eacefdf"]
}, Open  ]],
Cell[14815, 463, 357, 9, 68, "Input",ExpressionUUID->"c03d37e9-13af-4d58-986c-a9a9e580d405"],
Cell[15175, 474, 236, 4, 35, "Text",ExpressionUUID->"d6a2c1fa-d86f-474b-8194-c99d3604d623"],
Cell[CellGroupData[{
Cell[15436, 482, 177, 2, 30, "Input",ExpressionUUID->"27821968-234b-4c2b-936c-cc91c14bb866"],
Cell[15616, 486, 871, 26, 53, "Output",ExpressionUUID->"383177cd-89b2-4ead-b605-6f0d375fa126"]
}, Open  ]],
Cell[16502, 515, 905, 27, 63, "Input",ExpressionUUID->"dac8529f-34ed-41f7-969a-982ec5fd389d"],
Cell[17410, 544, 1166, 36, 94, InheritFromParent,ExpressionUUID->"2a603fd5-19b0-40c6-95c8-f17d51640b33"],
Cell[18579, 582, 212, 4, 35, "Text",ExpressionUUID->"4f7bfbca-e368-4508-9064-47ec5ab05120"],
Cell[18794, 588, 775, 23, 53, "Output",ExpressionUUID->"87fa8211-6a79-4289-8e6b-3e10c2bbf117"],
Cell[CellGroupData[{
Cell[19594, 615, 180, 2, 30, "Input",ExpressionUUID->"ef1cf120-e4fc-459f-80cd-15cc7f73b2f2"],
Cell[19777, 619, 542, 16, 50, "Output",ExpressionUUID->"1b5fcf8e-fe2f-418e-b34d-58dccb24a1b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20356, 640, 569, 17, 60, "Input",ExpressionUUID->"37cb7aee-21df-49fe-91bc-fbe71d22e873"],
Cell[20928, 659, 568, 17, 50, "Output",ExpressionUUID->"6920c596-334b-45ea-b7f3-bb8f30af746e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21533, 681, 238, 4, 30, "Input",ExpressionUUID->"c47286ce-dee1-4e47-b338-541904fcca07"],
Cell[21774, 687, 1164, 36, 53, "Output",ExpressionUUID->"65cf33ee-4413-4cb8-9896-ff6226d2b3c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22975, 728, 168, 3, 44, "Input",ExpressionUUID->"41f8c853-9fea-465e-ab21-74a85a5ab77b"],
Cell[23146, 733, 772, 19, 53, "Output",ExpressionUUID->"6388adc7-827d-4b4d-98f8-116157867cd9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23955, 757, 235, 4, 44, "Input",ExpressionUUID->"60354f74-9e9b-4d6a-925f-5d232d3ba9cd"],
Cell[24193, 763, 581, 18, 50, "Output",ExpressionUUID->"4250285d-cdcc-4bda-9cd3-b8520b3f7c2a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24811, 786, 609, 19, 60, "Input",ExpressionUUID->"930640c8-e856-4261-a979-04f64bd6f508"],
Cell[25423, 807, 421, 11, 51, "Output",ExpressionUUID->"9144eec3-2a5f-4381-b951-70d52d667c8d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25881, 823, 589, 16, 61, "Input",ExpressionUUID->"8d2ab3af-7b23-4b4a-9d5b-f097f1a2660b"],
Cell[26473, 841, 430, 11, 54, "Output",ExpressionUUID->"abda7002-aa36-481e-a03f-747853df6774"]
}, Open  ]],
Cell[26918, 855, 156, 3, 30, "Input",ExpressionUUID->"2fd7c741-1d60-4247-af61-8de8ec282dcb"],
Cell[27077, 860, 81, 0, 30, "Input",ExpressionUUID->"062f418b-cf66-40db-860a-c26c58f16708"],
Cell[27161, 862, 405, 10, 82, "Text",ExpressionUUID->"cd5425fd-f620-4a0d-ab77-34795e3e5118"],
Cell[27569, 874, 152, 3, 30, "Input",ExpressionUUID->"e78ec828-06a6-4e64-8a24-70b7e1bc0784"],
Cell[27724, 879, 1168, 36, 52, "Input",ExpressionUUID->"257234fc-5265-4e8d-926d-e78f83e50443"],
Cell[28895, 917, 246, 6, 46, "Input",ExpressionUUID->"32b811c9-dc2c-484e-a5ca-5ad1560c5715"],
Cell[CellGroupData[{
Cell[29166, 927, 178, 2, 30, "Input",ExpressionUUID->"f8089042-13a8-419a-9012-fe063062b991"],
Cell[29347, 931, 927, 28, 50, "Output",ExpressionUUID->"9986a3b5-7dea-46bb-a163-709da9033918"]
}, Open  ]],
Cell[30289, 962, 915, 28, 60, "Input",ExpressionUUID->"78cfcd05-f486-4952-9ad7-1c328218e38c"],
Cell[31207, 992, 152, 3, 30, InheritFromParent,ExpressionUUID->"a17efeb9-004c-4b1d-86dd-796c0eaaa1ac"],
Cell[CellGroupData[{
Cell[31384, 999, 981, 29, 60, "Input",ExpressionUUID->"a7a00d82-cd09-4a30-90c9-18e70093eb91"],
Cell[32368, 1030, 773, 24, 51, "Output",ExpressionUUID->"eb0f31e5-a84b-4008-ad16-2645d99d042a"]
}, Open  ]],
Cell[33156, 1057, 148, 2, 30, InheritFromParent,ExpressionUUID->"c408e455-e006-4167-965e-b842c93035ec"],
Cell[CellGroupData[{
Cell[33329, 1063, 1037, 31, 60, "Input",ExpressionUUID->"81b2a11d-2f75-4990-b789-644bbe1be0a4"],
Cell[34369, 1096, 953, 30, 53, "Output",ExpressionUUID->"f161ef05-2b71-484b-a10c-139c5ce352de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35359, 1131, 971, 31, 63, "Input",ExpressionUUID->"d93bf413-01e3-42dd-8791-a438fb13dcb1"],
Cell[36333, 1164, 300, 8, 50, "Output",ExpressionUUID->"fe048cdb-af2b-4808-b1d4-2f2bc79b5f4a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36670, 1177, 1001, 29, 60, "Input",ExpressionUUID->"5d31b662-efc8-4427-bf3f-daa29f371a22"],
Cell[37674, 1208, 1156, 36, 50, "Output",ExpressionUUID->"7a448af0-4939-4a3e-af08-651e10c83032"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38867, 1249, 1203, 37, 100, "Input",ExpressionUUID->"e3df6e80-b328-4ac2-aab7-3e8ba28f4263"],
Cell[40073, 1288, 725, 24, 51, "Output",ExpressionUUID->"8bffaefd-14a8-4134-90dd-fa98ce8050bc"]
}, Open  ]],
Cell[40813, 1315, 920, 29, 61, "Input",ExpressionUUID->"b189bc4d-1eaa-4126-8dce-d9d79c08c0db"],
Cell[CellGroupData[{
Cell[41758, 1348, 1183, 35, 93, InheritFromParent,ExpressionUUID->"5b0a48be-a43c-4710-8b22-10e94222a6e3"],
Cell[42944, 1385, 681, 20, 53, "Output",ExpressionUUID->"0e19f0e5-ff1e-4c7e-8832-10d04a242119"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43662, 1410, 178, 2, 30, "Input",ExpressionUUID->"e5052858-4f1e-4e2a-832c-80b5958669c4"],
Cell[43843, 1414, 4787, 143, 168, "Output",ExpressionUUID->"7fef729b-b561-41cb-8b78-98ee43d45f1c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48667, 1562, 163, 3, 44, "Input",ExpressionUUID->"ae89cb04-5d96-4624-9b6c-8c765df92233"],
Cell[48833, 1567, 1164, 38, 55, "Output",ExpressionUUID->"e802a41b-243d-456c-b971-eee2d8444209"]
}, Open  ]],
Cell[50012, 1608, 154, 3, 30, InheritFromParent,ExpressionUUID->"56c50794-b556-4cb8-8f04-3d9feca3fc68"],
Cell[50169, 1613, 146, 2, 30, "Input",ExpressionUUID->"b7fbd760-0acd-4880-bde4-d6b8b35c182c"],
Cell[50318, 1617, 152, 3, 30, InheritFromParent,ExpressionUUID->"189d545a-e782-47d0-af33-62326445de52"]
}
]
*)

(* End of internal cache information *)

