(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    278203,       6984]
NotebookOptionsPosition[    265825,       6792]
NotebookOutlinePosition[    266230,       6809]
CellTagsIndexPosition[    266187,       6806]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox[" Blockchain Model\n", "Subtitle"],
 StyleBox["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", 
  "Section"]
}], "Text",
 CellChangeTimes->{{3.847746868691206*^9, 3.847746905078404*^9}, 
   3.860296191963736*^9},ExpressionUUID->"ff515021-3af4-4d65-85d1-\
a6b033ab88a5"],

Cell[BoxData[{
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.84774692485349*^9, 3.847746972128188*^9}, {
  3.847747397472211*^9, 3.8477474241671333`*^9}, {3.847747702882146*^9, 
  3.847747709330879*^9}, {3.847747747143688*^9, 3.8477477763814287`*^9}, {
  3.847749431163137*^9, 3.8477494324598417`*^9}, {3.84793877916921*^9, 
  3.847938800764226*^9}, {3.859451647703182*^9, 
  3.859451652258902*^9}},ExpressionUUID->"8f68aab6-8515-4506-b52d-\
c1d849ae4d65"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitvb", ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847747574908453*^9, 3.847747592385933*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"e4bb1fcc-ddcc-4724-b249-ed3a03575f07"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "eb", " ", "kb"}], "+", 
  RowBox[{"pb", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{
  3.847747593544777*^9, 3.847747717069852*^9, 3.847747781028591*^9, {
   3.8477494438937407`*^9, 3.84774946014732*^9}},
 CellLabel->"Out[4]=",ExpressionUUID->"196ac7da-34ac-4079-a41a-d9f2a123ff10"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8477475972713127`*^9, 3.847747624762442*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"f22fcff3-9030-48ab-9e20-4700177a8302"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"eb", "\[Rule]", 
    FractionBox[
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.847747625263291*^9, 3.847747719690132*^9, 
  3.847747787406109*^9, 3.847749469026313*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"38b01cd4-45c3-4784-93da-3832f7b770e4"]
}, Open  ]],

Cell[TextData[{
 "We now solve the Stackelberg game  by using backward induction. First, \
given any contingent price ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "B"], TraditionalForm]],ExpressionUUID->
  "cb96cb48-0860-44b3-90fc-518a3fd09273"],
 " , by considering the first-order condition of Profitv, the vehicle \
manufacture\[CloseCurlyQuote]s best response is given as\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "^", "B"}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", 
      SuperscriptBox["k", "B"]}]]}], TraditionalForm]],ExpressionUUID->
  "2dafc78c-2b70-408d-911d-1955f056fa5a"]
}], "Text",
 CellChangeTimes->{{3.847747807161421*^9, 3.8477478677589693`*^9}, {
  3.847753492899177*^9, 
  3.8477534933566113`*^9}},ExpressionUUID->"67cfae92-6228-4172-8a75-\
7832e9feb274"],

Cell[BoxData[
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.8477479605433083`*^9, 3.847747969736373*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"1ee85c53-644e-4d8e-8321-026955f58d27"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.847747912370103*^9, 3.847747917283164*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"59949d60-8951-4280-8ac9-ee7772287d1b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  RowBox[{"pb", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"pb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "kb"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.84774792468344*^9, 3.847747976136589*^9, 
  3.847749479902205*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"f1a5ffdb-dbd5-4a4c-9339-9267d8d7029c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", "cvb", "+", 
   RowBox[{"pb", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"pb", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "kb"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"e03cef33-70cc-45a9-b64b-894bec1f25eb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "cv", " ", "kb"}], "-", 
   RowBox[{"4", " ", "cvb", " ", "kb"}], "+", 
   SuperscriptBox["pb", "2"], "+", 
   RowBox[{"4", " ", "kb", " ", "pb", " ", "\[Alpha]"}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["pb", "2"], " ", "\[Alpha]"}], "+", 
   RowBox[{
    SuperscriptBox["pb", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"4", " ", "kb", " ", "\[Theta]"}], "+", 
   RowBox[{"2", " ", "pb", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "pb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"]}], 
  RowBox[{"4", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.847749483422139*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"c15ebc03-4397-44ef-a54f-fc798765e51d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847747934928581*^9, 3.847747945655068*^9}, {
  3.847747990074339*^9, 3.847747990316766*^9}, {3.847749510013332*^9, 
  3.847749510233822*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"96b7e3cd-41f1-4411-9d69-0d1058c9759c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pb", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "kb"}], "+", 
           RowBox[{"cvb", " ", "kb"}], "-", 
           RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", "\[Theta]"}], "-", 
           RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"pb", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", 
        SuperscriptBox["\[Alpha]", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "kb"}], "+", 
           RowBox[{"cvb", " ", "kb"}], "-", 
           RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", "\[Theta]"}], "-", 
           RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.847747946254937*^9, 3.8477479909637613`*^9, 
  3.847749511138077*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"90822e0c-4b9b-4458-b799-27740e6ef5d7"]
}, Open  ]],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \n",
 Cell[BoxData[
  FormBox["p", TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e8caf941-6e8a-4a83-aa50-66fc0442c780"],
 StyleBox["\[GreaterEqual] ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["k", "B"], 
        RowBox[{"(", 
         RowBox[{"cv", " ", "+", "cvb"}], ")"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox[
         SuperscriptBox["k", "B"], "2"]}], " ", "+", 
       RowBox[{
        SuperscriptBox["\[Theta]k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
   RowBox[{" ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847747946254937*^9, 3.8477479909637613`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "40512b83-52c8-4d11-812f-7812c7aedb10"]
}], "Text",
 CellChangeTimes->{
  3.847748022511788*^9, {3.8477492038365107`*^9, 3.847749241424397*^9}, {
   3.847749337927477*^9, 3.847749354337912*^9}, {3.847749518966936*^9, 
   3.8477496165223627`*^9}, {3.8477527105421*^9, 3.84775287548606*^9}, {
   3.847753473270898*^9, 
   3.847753474790654*^9}},ExpressionUUID->"9599649a-585b-44cc-8b4a-\
c4a5ebaf635f"],

Cell[TextData[{
 StyleBox["The IC\[CloseCurlyQuote]s Premium Rate Under Blockchain Model", 
  "Section"],
 "\nObserving the contract price p selected by the satellite owner, the \
insurance company can anticipate the vehicle manufacture\[CloseCurlyQuote]s \
effort e as given above. Operating in a competitive insurance market, the \
insurance company sets its premium rate r to breakeven in expectation. In \
other words, under the premium rate r that it offers, the insurance company\
\[CloseCurlyQuote]s expected profit,",
 StyleBox["r(\[Alpha] p+cs+f)",
  FontColor->RGBColor[1, 0, 0]],
 ", equals the expected coverage \n",
 StyleBox["(1-e) (\[Alpha] p+cs+f).",
  FontColor->RGBColor[1, 0, 0]],
 "\nSubstituting e given in",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847072090450409*^9, 3.847072097890996*^9}, {
   3.847074047134727*^9, 3.847074085951888*^9}},ExpressionUUID->
  "c21b5710-5241-4d7c-ba46-cfaf817fc9ea"],
 " , the insurance company breakeven condition can be satisfied if and only \
if",
 StyleBox[" p \[GreaterEqual] ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "IA"], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "68d7423d-59f2-490e-a9c2-f7ef15d52475"],
 StyleBox[" \[Congruent]",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"k", "^", "B"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "r"}], ")"}]}], "-", " ", "\[Theta]"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " "}]]],
  CellChangeTimes->{3.8470757908903217`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "c968a0f2-71fa-480e-b3be-65f924a3b294"],
 " ,which we refer as the ",
 StyleBox["insurance company\[CloseCurlyQuote]s underwriting constraint",
  FontColor->RGBColor[1, 0, 0]],
 ".  And the premium rate satisfied with ",
 Cell[BoxData[
  RowBox[{"r", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"]}], "-", 
     RowBox[{"p", 
      RowBox[{"(", 
       RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "B"]}]]}]],
  CellChangeTimes->{3.847327419294375*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "3a6cddab-9005-4d9d-9cfa-e2c9cf681f0c"]
}], "Text",
 CellChangeTimes->{{3.8477529191029577`*^9, 3.8477529268173313`*^9}, {
  3.8477530346284513`*^9, 3.847753035168612*^9}, {3.847753368807086*^9, 
  3.847753376803918*^9}, {3.84775342883288*^9, 3.8477534814311123`*^9}, {
  3.847753520141313*^9, 3.847753522236432*^9}, {3.8478701916038446`*^9, 
  3.847870195642421*^9}},ExpressionUUID->"44601121-fd8c-4dc3-b13b-\
afb7352ac955"],

Cell[BoxData[
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.859453260361512*^9},ExpressionUUID->"314118cf-f136-4b5b-b450-\
7507c7f388a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitib", "\[Equal]", "0"}], ",", "rb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847752971073448*^9, 3.8477529789299994`*^9}, {
   3.847753019292562*^9, 3.847753026650053*^9}, 
   3.859453261901173*^9},ExpressionUUID->"c719d7dc-86ab-4ed7-8868-\
806743ba3f1d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.847753028851544*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"2a64f571-61c5-471d-a6e0-8bf7e94bcf76"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["The SO\[CloseCurlyQuote]s Optimal Contract Under \
Blockchain Model", "Section"]], "Subsubsection",
 CellChangeTimes->{{3.8470768941909723`*^9, 3.847076937239661*^9}, {
  3.847753509270722*^9, 
  3.8477535139856033`*^9}},ExpressionUUID->"9ca49b08-764b-4465-9a31-\
a70b98ecacb7"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
    RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.847753541945079*^9, 3.847753558336581*^9}, 
   3.847964091568811*^9},ExpressionUUID->"a3663cf8-9bab-4193-b0d6-\
259c6401a5cf"],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.8477535625820827`*^9, 3.847753566996791*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"da58d7ae-e4af-4135-bb02-552c5bd8ab3d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"pb", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"pb", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8477535678323936`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"7fc1b3ba-ee9f-477f-a4cf-9743a1293bb5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", 
   RowBox[{"pb", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", "f", "+", 
       RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
       RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"pb", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"2f47487f-24f7-4ad5-b3df-4d1eb468a80f"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "cs", " ", "kb"}], "+", 
    RowBox[{"2", " ", "csb", " ", "kb"}], "-", 
    RowBox[{"f", " ", "pb"}], "+", 
    SuperscriptBox["pb", "2"], "+", 
    RowBox[{"f", " ", "pb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "kb", " ", "pb", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["pb", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["pb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"f", " ", "\[Theta]"}], "+", 
    RowBox[{"pb", " ", "\[Theta]"}], "-", 
    RowBox[{"pb", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.847753570292265*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"11713ef1-af1a-4ac8-9d24-83e855ea10f7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847753574086444*^9, 3.847753581733655*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"8ee53eea-d352-4ba6-9a32-b64a3f9596cf"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "f"}], "+", 
    RowBox[{"2", " ", "pb"}], "+", 
    RowBox[{"f", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "pb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "pb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.847753611377862*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"de7968b2-b5b9-4fb0-94ef-a007bff1a147"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847753617643852*^9, 3.847753625152431*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"6a05dfd3-dae1-4bba-87d4-69394b5ec63c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"pb", "\[Rule]", 
    StyleBox[
     FractionBox[
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
     FontColor->RGBColor[1, 0, 0]]}], "}"}], "}"}]], "Input",
 CellChangeTimes->{3.847753646410494*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"b693fdb6-2743-440d-aea7-516cafd7c4b9"],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "B"], " ", "\[Alpha]", " "}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "9ed93b4e-364a-4c9b-9515-3742e507055d"],
 "\ns.t.  p \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["k", "B"], 
         RowBox[{"(", 
          RowBox[{"cv", " ", "+", "cvb"}], ")"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox[
          SuperscriptBox["k", "B"], "2"]}], " ", "+", 
        RowBox[{
         SuperscriptBox["\[Theta]k", "B"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
    RowBox[{" ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"8df514c3-375f-4783-a2aa-4c1dc676d842"],
 " ( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{{3.847336159830171*^9, 3.84733640202722*^9}, {
  3.847753790831712*^9, 
  3.847753830464266*^9}},ExpressionUUID->"567cadd2-722a-4b29-bf0a-\
c95616a8dc2a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   StyleBox[
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["-",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", "\[CapitalDelta]p"}], "Input",
 CellChangeTimes->{{3.847753855785996*^9, 3.847753930690784*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"87b2e842-74b4-48a0-85f3-dca215d473eb"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", "kb"}], "+", 
       RowBox[{"cvb", " ", "kb"}], "-", 
       RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cv", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"cvb", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["kb", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"kb", " ", "\[Theta]"}], "-", 
       RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]]}]], "Output",
 CellChangeTimes->{3.847753931086432*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"04876032-56ea-436c-9693-c277eae0008e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[19]:=",ExpressionUUID->"1733062f-de8d-4921-966a-865f9590d3b1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SqrtBox[
     RowBox[{"kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.8477539337313538`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"7993e195-2393-4e70-874f-91b4600c6577"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.8477539534153643`*^9, 3.847753962764597*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"29c40d76-886f-4526-85da-a95936b391d2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"kb", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"kb", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8477539633715887`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"d0d0694b-504c-4e83-88d7-61a33ff68dd4"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"kb", ":=", "60"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
 RowBox[{"cvb", ":=", "10"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "80"}]}], "Input",
 CellChangeTimes->{{3.847753015242653*^9, 3.847753015412724*^9}, {
   3.847753925874901*^9, 3.847753927619275*^9}, 3.8477539744259777`*^9, {
   3.8477540671323137`*^9, 3.8477540720376873`*^9}, {3.847754146022307*^9, 
   3.847754151763549*^9}, {3.847772730898389*^9, 3.847772732935433*^9}, {
   3.8479415944516497`*^9, 3.847941597513698*^9}, {3.8480109751290417`*^9, 
   3.8480109764086313`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"3302e9fb-5e8b-4b53-a2da-9b31aa462672"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"kb", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       "2"]}]]}]]}], "\[IndentingNewLine]", 
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{"f1", ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.847753979765313*^9, 3.847754000981851*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"21ca83e5-2f0e-43e5-9687-553e8fe7532c"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1nk0VV0YBnBKhCKZp0pUFDKUyifvjkJSkhSJJISmaxaZ5zEkU0pknjPP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       "]]},
     Annotation[#, "Charting`Private`Tag$3087#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 259.22962936078045`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {259.22962936078045`, 1276.549186666849}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8477540347454243`*^9, 3.847754046084867*^9}, 
   3.847754164450485*^9, 3.8479416032630253`*^9, 3.8480108797234373`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"eb7d672d-8509-47a2-9f74-42c44de0aa62"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"f2", ":=", "1800"}], "\[IndentingNewLine]", 
 RowBox[{"pf2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{"f2", ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8477539923080482`*^9, 3.84775403093742*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"399f54d3-292a-4af5-8ae6-eecd386252ba"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ7ZX64uKBl6F2DCCgMMdhgah/W5dkiz2M38ixWb1T
cgqcHxG5cP2Hj0vgfO7/jTHucuvhfNXAdy8Od2+B88vPWdrP+LITzhffIniP
kXE/nL/tkfOZ8zaH4PxDWXOlI98cgfO/qtnyr809Ducz/VwtIK16Cs43+5+w
LXjdGTj/TIvJuWNa5+F8+Qmvf658dwHOf/39/r2rBpfg/CWvdp/i67sM5/PJ
Ln//5MkVOL8nc2vaApVrcP43h9VPMuqvw/klRke2iB2+AeffX3ek+6LiLTj/
d9aV2ZpVt+F8bUf2f2m778D57osU0zeK30OEl2y80sOY+3C+zptQ7uu+D+B8
Yf4PHEd+Ifgs+2evV57zEM7PNtl9k9P7EZy/2jNpwb5vCP7X11ICz6Y9hvO3
BrszT3F5AufXe7TO3/IMwVe863VjcetTON/KvGWKpNEzOD9G7vxPxssI/tdT
vY8KGp/D+TNY4kqCVF4g3H9v6yKmIwg+a21jiGXhSzifYWXc+kdCr+D8olnr
e4UOIfh7tTs4BPNew/mCXkU6TXxv4Pw7uhcuV+5B8DfMs1d5EvcWzo9dbyYo
+w/Bb2hd2Hhn1Ts4f+0L2dl8Pu/hfKUWEQ/2ZQj+dHnur///I/gADrYHKw==

       "]]},
     Annotation[#, "Charting`Private`Tag$3623#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0., 3600.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8477540316596537`*^9, 3.847941633544677*^9, 
  3.848010883683879*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"02fcf579-5981-4849-a302-ba44be747ec5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f1", ",", "f2", ",", "f3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.847754217284349*^9, 3.847754217604663*^9}, {
  3.847772770611889*^9, 3.847772773234223*^9}, {3.847941750574335*^9, 
  3.847941821068432*^9}, {3.84801091273982*^9, 3.8480109214708242`*^9}, {
  3.8480109927349043`*^9, 3.84801099313518*^9}, {3.848011922212268*^9, 
  3.848011931939597*^9}, {3.8480119795700483`*^9, 3.848012020880034*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"a7cba156-a00e-48f5-83ff-3f4f2432b707"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mXc8l9/7xylJKVLIjJKGJEpW5TooJA2hKEmlQaW38UbJzt4jK3tvssve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    
    "], {{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1nf8zVUYB3B+CEkiexRllFH2apKy9957hSQrDSqj0lSZZVPI3iuj0LBn
dpHsPaOo9/Pqj7fPc57v97r3nnPu+f5ytele56WERIkSJWZHwv+Z0z+H5WR6
UIWilNa/LlfwPm2I1+bS/01O4RWqUknvLjaqR1GMMsY35EqG0sA4PfvUbamp
Ts0O9XgaqzNxUJ2Eh9S/y6k0VWehp7quTMsedUuZg2rqyjI5bdlk3FxmoyOj
jRvJjLTngHFr+SCdKG5cVv4V31N+J5vJrHTgA+OGMgPt2G/cSj4QY3UteS87
1S1kdiaom8jMHFIn5WH1Efk1vahnnI5f1dVj7tUp2KweQwmeML4pV/Eh7amt
l4Zd6okkI7fxUfkNvakRa6OXki3qLynJk8a35Go+ogN3kUf/DzmNPrE+lOIp
/b/lGj6mI8nJq39MTqdvzEHsGZ7W/0eu5RM6kYJ8+n/KGbwa3yH2CCl5xLXj
8lv6USfWg7t51LUTciavxfrHnJCK/K6dlLN4PeYzvh/3kJp7ScN9pCUd95Oe
DGQkE5nJQlaykZ0cPMCD5CRX7MlYw5hrCnjvU3I2b1A/5irmkYKunZZzeJMG
MS8xZxRy7YycS//YVzwT88Njrp2V8xhAI56N+eFx187J+bxFY8rFa/Vvy+/5
lM4xZxTWPy8X8DZNKB//n/4d+QPDeDHmkSL6F+RC3qEpz8V76P8r1/EZXeK7
U1T/olzEQJpRId4jDhXWi8/pGvNBMb1LcjGDaM7z8R76idmg/oJuMUcU17ss
lzCYFrwQ76GfwI/q4bwU80YJvStyKUNoSTW9u9mq/oqK8Z7GSfhJPYLuMbeU
1Lsql/Euraiul4pt6rFUis9gnJSf1SN5mTrG97FbPSnmnlLG1+Ry3ov9YXw/
e9WtqaG+h+3qcVSOz2ecjF/UyRyCReSmOFvVpR2+XZjKcf7Uf1r24FvOckcv
n2zCF+xmY5xNshQvMiVeyzH9p+TLzOAMt/XyysZ8zi5+iXNalqQzk+O1/BG/
c/KoG/EZO/k5vpcsQScmxb0cjXOE3OqGDEv4/xn0U8yxLE5HJsa9HIlziofV
DfiU7fwYayqL0YEJcS+/xznJQ+r6fMI2NsQZKIvSnvFxL7/FeU8udT0+Zivr
4wyWRWjHuLiXw/o3yKmuy0dsYV2c71yP54lxHT5kMz/oHYx9EM8K49p8wCa+
11vLGlazKp47rGQFy1nGUpawmEUsZAHzmcdc5jCbWRyIfUwO71GLobEHmKm3
P34j8Xwyrsn7sb6xf/T2xe+NbMY1eC/WMvZG7Nn47ZLVuDrvxroxXS+5LExb
xsY88WucDWRRV2NIrBvTYi/Lx2nDVxxiT5w9ZFZXZXCsG9/E70E+Rmu+5GDs
6zjbyKSuwqBYN76O36YsRCvGcCD2sf6Tsnt8Zk5zTi+jrMzAWEem6pWTvZjN
BZLwKvO5QkFaMpr9see95jW5kGs8QfyRNY1TnHW9j5zLJTKwmBtU4p3YJ0yJ
tZe3eZ3EfvOL5HWejc9hvEzeoif/MovzJJDU9eXyb/oSf0TNk5cpEPcYL5F/
0YI7jGIfO2LPyX/oxwKuUpal3KRbrAcnOeP+3nIOF0lPRd6Ofc1k15+Rr8S+
i7mO70N+mjOSvWx3XxnZNdaOE7E2cU7KF3iLtUyKZ4p8lGaMiD3GtngGk079
PANYw8R4ZvGIuinDY4+xVe8kadUV6M9qJuht4USc48bP8SarGK83js0cJ41e
ed7gO8bq/Qd1A2mN
         "]]]}, {}, {}, {}, {}, {}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1Hecz3UcB/A77nB39jh7XKQSyZkpEhFCueq6cwvnjsqoFBVFSMloWA2r
0i40lZbVooG20qJooagUxfP98Mfz93q/35/H3ff3fX+/j1/G0DFZoxMTEhJG
+Ihs4uNr+RBX0ZdMOpn/JV9hBkMpQ4b5N3I5V3M+vc3KsVl9D205Q/+3fJXb
ydbX5At1MReoK7FNvZRcdW2+UpflBPW38mHy1HUZq75IVuNTdZFsSD91H1me
Yt7TF8j6DOdefY5Mp4Qv9UNk48Tje2in7ywPxX3K12S+rEcpM/WXyloMY7t+
sGwUvfpCWZmP1IWyAcvUg2QddqiTaKr+Tj7CNVysr85n6v6xe3UF3lffR3vO
1P8jX2cWJQw0q8LH6gdIppn+e/ko1zIgno1ZCh+o76cDZ+n/lW8wm1LKcaL5
TvkY4+L50JEu5oflWuYwnPI0N98lH2d87CDeGbqaH5HruCPeMypwkvkP8gmu
i3uId4QUTnb2o3yS68mK50EqpzjbLZ/ihnj+sRPSaOFsj3yaCbHPuD8qUonK
VKEq1ahODWpSi3RqU4e61KM+DWhIIxrThIx4J+MZxq451bV/kiuYyCWxq9gj
LZ39LFdyI9mxl9gZrZz9IldxU7xXnB374TRnv8pnmEQO3WI/tHb2m3yWyeRy
Tvyt+X9yPXdyWeyM0833yue4mUF0j/9n/r/cwF1cHnukjfk++TxTyKNHXMP8
qNzI3VwR906m+X75AlPJ59y4Rvyo8KaYy8jYB23NfpcvMo0CesY14neIt9Tz
GBU7op3ZH3I1t1BIr7iGeRneVs9ndOyN9mYH5EtMp4h+Zql8qF7EeXFNfVne
US9gTOyWDmYH5cvcymD6m6WxRb2Y3vEd9Em8q17IlWTpq/KJ+sHYPR31f8o1
3Bbvh74Gn6uHMEBdka3qJfSJ76dPZpM62Y/gMZlNlzE=
         "]]},
       Annotation[#, "Charting`Private`Tag$16872#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{361, 411, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 
         372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385,
          386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 
         399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 412, 410}]},
       Annotation[#, "Charting`Private`Tag$16872#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV02fcjmUYB+DHiwopMiIkIyNFpJIIRdllhUQZlQhRkVF2pFRmkb333qth
j5K907BXKXvVcX443v95nff1/p77vkauJm1qtk6WSCSa+zOSlUmJRBee5W6O
6f3EKEazSu8jniMdx/V+ZgzfGX9MedJzQm8ru9VDaEAB/tMby/fqrlTgHk7q
/cIe9VBepSAJxun/ILvxPBk4pXdcTuIdnmKb3l75NQ15iGScZQbtKMN4836U
3XmBjPzNbD7gtOcn5GRacZUllOQC8+nIDZaz3fx98htu0YgrLCYpeSJRSP7D
3Pge4w7yOstIYZwkzzEz1of3uMZSknteVl5iYXyPcWd5kxVM8NurZQ8qcplF
ZOI8c2jPGfNOyim05mkusoBO7PB8vxzGazzMv8zjw3gP/mIW71OOif5njexJ
JTLHWuudklNpQyl26h2Qw3mdR+K7Y+/018peVObeWAe9XRxUf0tjCpMy9kN/
nexNFbLEO8UZ45B6BE0owm3xrfrr5SdUJWvsc5wxflWPpCmPcnu8s/4G2Ydq
3BdrGGeKaWw07kt1ssWexr4znU3Gn/Ii2WPtYj2ZwWbjfrxEjjhDsR7MZBaz
mcNc5jGfBSxkEYtZwlKWsZwVcV/jTsbdi/sUdyTONVv8xmfU4P7Y51jPOCdx
n40/pyY541zF2sU+xl027k8tHoizFOvEYfUomlGUO1gb91t+QW1yxZmPufym
Hs0bFCMV6+J+yy+pQ26uxlx+V4/hTR4jNev1t8mveJk8XIu5/KEey1sUJw0b
9LfLAdQlL9djLn+qx9Gcx7mTjfo75EDq8SA3Yi5H1ON5mydIyyb9nXIQ9cnH
Tb3TchrvUpojekflBFrwJHexOc61HMwr5OeW3hk5nbY8w1G9Y3IiLSkRZ9md
/x9mcNL/
         "]]},
       Annotation[#, "Charting`Private`Tag$16872#3"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {0., 4038.49596468671}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.848010887382935*^9, 3.848010922175584*^9}, {
   3.848010989357554*^9, 3.8480109936781473`*^9}, {3.8480119168588943`*^9, 
   3.848011932750174*^9}, {3.8480119842815847`*^9, 3.8480120064242067`*^9}, 
   3.848012105489294*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"bf83ac57-69d1-4d86-9a54-9ed4d085807f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%48", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
      RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"HoldForm", "[", 
     RowBox[{"F", "-", "\[Alpha]"}], "]"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[49]:=",ExpressionUUID->"fbed3f2d-8e80-4586-a490-7ba1e501c28b"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mXc8l9/7xylJKVLIjJKGJEpW5TooJA2hKEmlQaW38UbJzt4jK3tvssve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    
    "], {{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1nf8zVUYB3B+CEkiexRllFH2apKy9957hSQrDSqj0lSZZVPI3iuj0LBn
dpHsPaOo9/Pqj7fPc57v97r3nnPu+f5ytele56WERIkSJWZHwv+Z0z+H5WR6
UIWilNa/LlfwPm2I1+bS/01O4RWqUknvLjaqR1GMMsY35EqG0sA4PfvUbamp
Ts0O9XgaqzNxUJ2Eh9S/y6k0VWehp7quTMsedUuZg2rqyjI5bdlk3FxmoyOj
jRvJjLTngHFr+SCdKG5cVv4V31N+J5vJrHTgA+OGMgPt2G/cSj4QY3UteS87
1S1kdiaom8jMHFIn5WH1Efk1vahnnI5f1dVj7tUp2KweQwmeML4pV/Eh7amt
l4Zd6okkI7fxUfkNvakRa6OXki3qLynJk8a35Go+ogN3kUf/DzmNPrE+lOIp
/b/lGj6mI8nJq39MTqdvzEHsGZ7W/0eu5RM6kYJ8+n/KGbwa3yH2CCl5xLXj
8lv6USfWg7t51LUTciavxfrHnJCK/K6dlLN4PeYzvh/3kJp7ScN9pCUd95Oe
DGQkE5nJQlaykZ0cPMCD5CRX7MlYw5hrCnjvU3I2b1A/5irmkYKunZZzeJMG
MS8xZxRy7YycS//YVzwT88Njrp2V8xhAI56N+eFx187J+bxFY8rFa/Vvy+/5
lM4xZxTWPy8X8DZNKB//n/4d+QPDeDHmkSL6F+RC3qEpz8V76P8r1/EZXeK7
U1T/olzEQJpRId4jDhXWi8/pGvNBMb1LcjGDaM7z8R76idmg/oJuMUcU17ss
lzCYFrwQ76GfwI/q4bwU80YJvStyKUNoSTW9u9mq/oqK8Z7GSfhJPYLuMbeU
1Lsql/Euraiul4pt6rFUis9gnJSf1SN5mTrG97FbPSnmnlLG1+Ry3ov9YXw/
e9WtqaG+h+3qcVSOz2ecjF/UyRyCReSmOFvVpR2+XZjKcf7Uf1r24FvOckcv
n2zCF+xmY5xNshQvMiVeyzH9p+TLzOAMt/XyysZ8zi5+iXNalqQzk+O1/BG/
c/KoG/EZO/k5vpcsQScmxb0cjXOE3OqGDEv4/xn0U8yxLE5HJsa9HIlziofV
DfiU7fwYayqL0YEJcS+/xznJQ+r6fMI2NsQZKIvSnvFxL7/FeU8udT0+Zivr
4wyWRWjHuLiXw/o3yKmuy0dsYV2c71yP54lxHT5kMz/oHYx9EM8K49p8wCa+
11vLGlazKp47rGQFy1nGUpawmEUsZAHzmcdc5jCbWRyIfUwO71GLobEHmKm3
P34j8Xwyrsn7sb6xf/T2xe+NbMY1eC/WMvZG7Nn47ZLVuDrvxroxXS+5LExb
xsY88WucDWRRV2NIrBvTYi/Lx2nDVxxiT5w9ZFZXZXCsG9/E70E+Rmu+5GDs
6zjbyKSuwqBYN76O36YsRCvGcCD2sf6Tsnt8Zk5zTi+jrMzAWEem6pWTvZjN
BZLwKvO5QkFaMpr9see95jW5kGs8QfyRNY1TnHW9j5zLJTKwmBtU4p3YJ0yJ
tZe3eZ3EfvOL5HWejc9hvEzeoif/MovzJJDU9eXyb/oSf0TNk5cpEPcYL5F/
0YI7jGIfO2LPyX/oxwKuUpal3KRbrAcnOeP+3nIOF0lPRd6Ofc1k15+Rr8S+
i7mO70N+mjOSvWx3XxnZNdaOE7E2cU7KF3iLtUyKZ4p8lGaMiD3GtngGk079
PANYw8R4ZvGIuinDY4+xVe8kadUV6M9qJuht4USc48bP8SarGK83js0cJ41e
ed7gO8bq/Qd1A2mN
         "]]]}, {}, {}, {}, {}, {}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1Hecz3UcB/A77nB39jh7XKQSyZkpEhFCueq6cwvnjsqoFBVFSMloWA2r
0i40lZbVooG20qJooagUxfP98Mfz93q/35/H3ff3fX+/j1/G0DFZoxMTEhJG
+Ihs4uNr+RBX0ZdMOpn/JV9hBkMpQ4b5N3I5V3M+vc3KsVl9D205Q/+3fJXb
ydbX5At1MReoK7FNvZRcdW2+UpflBPW38mHy1HUZq75IVuNTdZFsSD91H1me
Yt7TF8j6DOdefY5Mp4Qv9UNk48Tje2in7ywPxX3K12S+rEcpM/WXyloMY7t+
sGwUvfpCWZmP1IWyAcvUg2QddqiTaKr+Tj7CNVysr85n6v6xe3UF3lffR3vO
1P8jX2cWJQw0q8LH6gdIppn+e/ko1zIgno1ZCh+o76cDZ+n/lW8wm1LKcaL5
TvkY4+L50JEu5oflWuYwnPI0N98lH2d87CDeGbqaH5HruCPeMypwkvkP8gmu
i3uId4QUTnb2o3yS68mK50EqpzjbLZ/ihnj+sRPSaOFsj3yaCbHPuD8qUonK
VKEq1ahODWpSi3RqU4e61KM+DWhIIxrThIx4J+MZxq451bV/kiuYyCWxq9gj
LZ39LFdyI9mxl9gZrZz9IldxU7xXnB374TRnv8pnmEQO3WI/tHb2m3yWyeRy
Tvyt+X9yPXdyWeyM0833yue4mUF0j/9n/r/cwF1cHnukjfk++TxTyKNHXMP8
qNzI3VwR906m+X75AlPJ59y4Rvyo8KaYy8jYB23NfpcvMo0CesY14neIt9Tz
GBU7op3ZH3I1t1BIr7iGeRneVs9ndOyN9mYH5EtMp4h+Zql8qF7EeXFNfVne
US9gTOyWDmYH5cvcymD6m6WxRb2Y3vEd9Em8q17IlWTpq/KJ+sHYPR31f8o1
3Bbvh74Gn6uHMEBdka3qJfSJ76dPZpM62Y/gMZlNlzE=
         "]]},
       Annotation[#, "Charting`Private`Tag$16872#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{361, 411, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 
         372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385,
          386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 
         399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 412, 410}]},
       Annotation[#, "Charting`Private`Tag$16872#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV02fcjmUYB+DHiwopMiIkIyNFpJIIRdllhUQZlQhRkVF2pFRmkb333qth
j5K907BXKXvVcX443v95nff1/p77vkauJm1qtk6WSCSa+zOSlUmJRBee5W6O
6f3EKEazSu8jniMdx/V+ZgzfGX9MedJzQm8ru9VDaEAB/tMby/fqrlTgHk7q
/cIe9VBepSAJxun/ILvxPBk4pXdcTuIdnmKb3l75NQ15iGScZQbtKMN4836U
3XmBjPzNbD7gtOcn5GRacZUllOQC8+nIDZaz3fx98htu0YgrLCYpeSJRSP7D
3Pge4w7yOstIYZwkzzEz1of3uMZSknteVl5iYXyPcWd5kxVM8NurZQ8qcplF
ZOI8c2jPGfNOyim05mkusoBO7PB8vxzGazzMv8zjw3gP/mIW71OOif5njexJ
JTLHWuudklNpQyl26h2Qw3mdR+K7Y+/018peVObeWAe9XRxUf0tjCpMy9kN/
nexNFbLEO8UZ45B6BE0owm3xrfrr5SdUJWvsc5wxflWPpCmPcnu8s/4G2Ydq
3BdrGGeKaWw07kt1ssWexr4znU3Gn/Ii2WPtYj2ZwWbjfrxEjjhDsR7MZBaz
mcNc5jGfBSxkEYtZwlKWsZwVcV/jTsbdi/sUdyTONVv8xmfU4P7Y51jPOCdx
n40/pyY541zF2sU+xl027k8tHoizFOvEYfUomlGUO1gb91t+QW1yxZmPufym
Hs0bFCMV6+J+yy+pQ26uxlx+V4/hTR4jNev1t8mveJk8XIu5/KEey1sUJw0b
9LfLAdQlL9djLn+qx9Gcx7mTjfo75EDq8SA3Yi5H1ON5mydIyyb9nXIQ9cnH
Tb3TchrvUpojekflBFrwJHexOc61HMwr5OeW3hk5nbY8w1G9Y3IiLSkRZ9md
/x9mcNL/
         "]]},
       Annotation[#, "Charting`Private`Tag$16872#3"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->FormBox[
    TagBox[
     RowBox[{"F", "-", "\[Alpha]"}], HoldForm], TraditionalForm],
  PlotRange->{{0, 1}, {0., 4038.49596468671}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8480122727811813`*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"5866600f-3401-4e5d-a204-01b978fe38b0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.848010705667059*^9, 3.848011903418998*^9, {3.848012107869746*^9, 
   3.848012108452012*^9}},ExpressionUUID->"4823a407-e5ea-44b6-ab5c-\
f50db7364997"],

Cell[BoxData[
 RowBox[{"k", ":=", "100"}]], "Input",
 CellChangeTimes->{{3.847941715614503*^9, 3.84794171904033*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"0c44375d-e456-489e-a849-f4a7eb5a29d2"],

Cell[BoxData[
 RowBox[{"f3", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}]], "Input",\

 CellChangeTimes->{{3.8477727192432623`*^9, 3.847772719691123*^9}, {
  3.847772756955811*^9, 3.847772757954935*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"549835f5-8d7e-4d93-aa26-57df24514101"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pf3", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f2", ",", "f3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", "\[Rule]", "\[IndentingNewLine]", 
       RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.847772751176367*^9, 3.8477727533118563`*^9}, 
   3.8480109450241327`*^9, {3.8480110195619802`*^9, 3.8480110524791403`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"8428ea87-c660-41cb-9237-3a7e5fdb9fb3"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxdmHk4ld3XgDVJyFCUsQiNkiRTsbYhJCrhjZIUEkqSI8kQFWWIkFlmmfUz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    "], {{{}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GeometricTransformationBox[
        GraphicsGroupBox[
         PolygonBox[{{100, 45, 46, 47, 48, 49, 52, 50, 102, 415, 210, 261, 
          319, 384, 127, 216, 267, 325, 390, 152, 193, 244, 302, 367, 99, 168,
           209, 260, 318, 383, 126, 215, 266, 324, 389, 151, 192, 243, 301, 
          366, 98, 167, 208, 259, 317, 382, 125, 150, 191, 242, 300, 365, 97, 
          101}}]], {{0.23944912341061753`, 0.}}]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GeometricTransformationBox[GraphicsGroupBox[PolygonBox[CompressedData["

1:eJwl1FWwVmUUBuCfDuluOHTNgCCtNOfQcegUASVEUkEEZkiluzuUGVppJS5A
BQO4AJ1R2gQFlAtACeVZw8Vz1rvW3jP/Pt/37Z00YGTqiLSJRCINb/pTS+2u
FuCyvJ0pDKY2dejhWkGuyDuYyhDq0tO8EFflnUxjKKPMqnFfPslq6tHLrDDX
5F1MZxijzarzQD7FGurT26wI1+XdzIjf1zcmIxfi/2CM/CIP5c9Zywf6ZLLx
g74BfeSi3JD3MEduRU5mxvOrTcjEUlK5aL5AbUdeVtCV4eZj1Rqs4h/9ErUT
6/hCP09twxpys5wubIh7XJ+lprCa7CyjM+v50fVFagfWkp+VdONl1/qqxfhJ
Xqx2ZK88V21NLt6PNVabkpnv9AvV9uTjLf3bak3+lb9kvtyWPPEc+tlqS3Jw
Sf8K/eTi/Cx/HGsde6NvRha+14/gHfklHsmn2UBDXjUrwS/yJ7EOjGRcnEke
y2fYSCP6m5XkV3lfPFOcMcab1eaJ/BWbaMxrZqX4Td4f+xxnjHfN6vBU/prN
NGGAWRK/ywdiDeNM0ZSB5qW5KR+MPY19pxmDzMtwSz4UaxfrSXNeNy/LH/Lh
OEOxHrQgmRRa0orWtKEt7WhPBzrSiVQ604WudKN7vJvxDsZ7xRt+qxx/ykdi
n2M94x1isHl5bsufxrmKtYv3gSHmFbgjfxZnKdaJCWZ1+U/+hi1x5hhqVpG7
8tE483Ev75nV43/5W7bGOWGYWSX+ko+xNO5loll94mN0VvkwzkXi+XepMn/L
x1kW9zLJrAFpOKf/KM4Fw/VVuCefYHncy+R4T0jLef222JPYM6pShcpUoiIV
KE85ylKG0iRRipKUoDjFKEoRClOIghQgP/nISx5yk4uc5CA72XiBrGQhM5nI
SAbSk474Vtd8vkSJZw3QnNo=
          "]]], {{
        5.551115123125783*^-17, -9.094947017729282*^-13}}]}, {}, {}}, {{}, \
{}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{1, 51, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
         17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
         34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 100, 45, 46, 47, 48, 49, 
         52, 50}]},
       Annotation[#, "Charting`Private`Tag$9130#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1Hecz3UcB/DfIRXRtKU0tG1nhTt7jzMuDSvzcCfRNE5ltMk6ZFS0B2VE
pcwKRdGwV9OIosh+vh/+eN779X7/vr/7/R6f7/v7K90tKy0zKZFI9PGnipqu
Fmab/BbZ9CKZqtzltSJsl99mBL2pRkfzouyQ3+GJ+L8MMCvHv/JyplCdu82K
sVN+lyfJ4AGz8vwnr2AqNbjHrDi75Pd4Kj5fn0JeNur7MlCuwDF5JdMYrW/I
JWzW1+ReuQS75fd5Rm7CpYyM76+mciHjSWOT+QtqC65kEu3pZ/6gWpEcjutf
UtvwMqv0z6nNmMrlTKQdM+Iar49RGzGFAkygLdPZ4vWxaiumUYjJdOBOr92n
lmSPPE5tzQfys2pTLmNUnLFal4v4Qf+i2pKr6K8fpFbif3k1z8vNuSK+h/5p
tTEF2aqvRSf5avbKc+Os497o63ExP+ozGSxX5oT8JTOoTWezUvwiz4tzIIuH
Yic5KX/FTOrQxewafpU/jO8UO8bDZsmckr9mFil0NbuW3+SP4j7HjvGIWVVO
y2t4hVS6mZXmd3l+nGHsFHW53/w6/pAXxD2N+049uptfz5/ywji7OE/q08P8
BvbJi2KH4jxoQEMa0ZgmNKUZzWlBS1rRmjak0ZZ2tKcD6fFsxjMYzxU9fdaN
7Jc/jvsc5xnPEL3My3BAXhx7FWcXzwO9zW/ioLwkdinOiUfNqnFGXsursXOJ
878bN/OX/EnsfFzLY2bVOSuv47XYEzLMbuGQ/Cnj41oeN6tBgm+U2bEX9NXf
ymH5MybEtQwxq0kS3+rnxF7QT38bf8tLmRjXMjSeE3KxXv963JPYDfqb3c4/
8udMiusZZlaL3GzQvxG7Qfxg3sER+QsmM1Jfn3z8FO9luFybPHynfzP2hyx9
WY7Ky8hhlL4B+fk53ku2XIcL+F4/Uz0Hmd6twg==
         "]]},
       Annotation[#, "Charting`Private`Tag$9130#2"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.193878, 1.5}, {6.483962, 0.5}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{-0.020833333333333336`, 1.0208333333333333`}, {
   133.60871258966097`, 4178.576723278762}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.8477727615691233`*^9, {3.847941659581863*^9, 3.847941725585897*^9}, 
   3.848010899100109*^9, {3.848010939755777*^9, 3.848010945897724*^9}, 
   3.848010985839878*^9, {3.848011022549992*^9, 3.8480110536241217`*^9}},
 CellLabel->"Out[35]=",ExpressionUUID->"1f5ad202-929e-462c-91cc-c52bbcefe14f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf3", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", "None"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"HoldForm", "[", 
     RowBox[{"F", "-", "\[Alpha]"}], "]"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[37]:=",ExpressionUUID->"15fb8b02-92f6-436d-bfd2-e36c2dfb2a4b"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxdmHk4ld3XgDVJyFCUsQiNkiRTsbYhJCrhjZIUEkqSI8kQFWWIkFlmmfUz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    "], {{{}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GeometricTransformationBox[
        GraphicsGroupBox[
         PolygonBox[{{100, 45, 46, 47, 48, 49, 52, 50, 102, 415, 210, 261, 
          319, 384, 127, 216, 267, 325, 390, 152, 193, 244, 302, 367, 99, 168,
           209, 260, 318, 383, 126, 215, 266, 324, 389, 151, 192, 243, 301, 
          366, 98, 167, 208, 259, 317, 382, 125, 150, 191, 242, 300, 365, 97, 
          101}}]], {{0.3028723897866399, 361.9183718265813}}]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1FWwVmUUBuCfDuluOHTNgCCtNOfQcegUASVEUkEEZkiluzuUGVppJS5A
BQO4AJ1R2gQFlAtACeVZw8Vz1rvW3jP/Pt/37Z00YGTqiLSJRCINb/pTS+2u
FuCyvJ0pDKY2dejhWkGuyDuYyhDq0tO8EFflnUxjKKPMqnFfPslq6tHLrDDX
5F1MZxijzarzQD7FGurT26wI1+XdzIjf1zcmIxfi/2CM/CIP5c9Zywf6ZLLx
g74BfeSi3JD3MEduRU5mxvOrTcjEUlK5aL5AbUdeVtCV4eZj1Rqs4h/9ErUT
6/hCP09twxpys5wubIh7XJ+lprCa7CyjM+v50fVFagfWkp+VdONl1/qqxfhJ
Xqx2ZK88V21NLt6PNVabkpnv9AvV9uTjLf3bak3+lb9kvtyWPPEc+tlqS3Jw
Sf8K/eTi/Cx/HGsde6NvRha+14/gHfklHsmn2UBDXjUrwS/yJ7EOjGRcnEke
y2fYSCP6m5XkV3lfPFOcMcab1eaJ/BWbaMxrZqX4Td4f+xxnjHfN6vBU/prN
NGGAWRK/ywdiDeNM0ZSB5qW5KR+MPY19pxmDzMtwSz4UaxfrSXNeNy/LH/Lh
OEOxHrQgmRRa0orWtKEt7WhPBzrSiVQ604WudKN7vJvxDsZ7xRt+qxx/ykdi
n2M94x1isHl5bsufxrmKtYv3gSHmFbgjfxZnKdaJCWZ1+U/+hi1x5hhqVpG7
8tE483Ev75nV43/5W7bGOWGYWSX+ko+xNO5loll94mN0VvkwzkXi+XepMn/L
x1kW9zLJrAFpOKf/KM4Fw/VVuCefYHncy+R4T0jLef222JPYM6pShcpUoiIV
KE85ylKG0iRRipKUoDjFKEoRClOIghQgP/nISx5yk4uc5CA72XiBrGQhM5nI
SAbSk474Vtd8vkSJZw3QnNo=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{1, 51, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
         17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
         34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 100, 45, 46, 47, 48, 49, 
         52, 50}]},
       Annotation[#, "Charting`Private`Tag$9130#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1Hecz3UcB/DfIRXRtKU0tG1nhTt7jzMuDSvzcCfRNE5ltMk6ZFS0B2VE
pcwKRdGwV9OIosh+vh/+eN779X7/vr/7/R6f7/v7K90tKy0zKZFI9PGnipqu
Fmab/BbZ9CKZqtzltSJsl99mBL2pRkfzouyQ3+GJ+L8MMCvHv/JyplCdu82K
sVN+lyfJ4AGz8vwnr2AqNbjHrDi75Pd4Kj5fn0JeNur7MlCuwDF5JdMYrW/I
JWzW1+ReuQS75fd5Rm7CpYyM76+mciHjSWOT+QtqC65kEu3pZ/6gWpEcjutf
UtvwMqv0z6nNmMrlTKQdM+Iar49RGzGFAkygLdPZ4vWxaiumUYjJdOBOr92n
lmSPPE5tzQfys2pTLmNUnLFal4v4Qf+i2pKr6K8fpFbif3k1z8vNuSK+h/5p
tTEF2aqvRSf5avbKc+Os497o63ExP+ozGSxX5oT8JTOoTWezUvwiz4tzIIuH
Yic5KX/FTOrQxewafpU/jO8UO8bDZsmckr9mFil0NbuW3+SP4j7HjvGIWVVO
y2t4hVS6mZXmd3l+nGHsFHW53/w6/pAXxD2N+049uptfz5/ywji7OE/q08P8
BvbJi2KH4jxoQEMa0ZgmNKUZzWlBS1rRmjak0ZZ2tKcD6fFsxjMYzxU9fdaN
7Jc/jvsc5xnPEL3My3BAXhx7FWcXzwO9zW/ioLwkdinOiUfNqnFGXsursXOJ
878bN/OX/EnsfFzLY2bVOSuv47XYEzLMbuGQ/Cnj41oeN6tBgm+U2bEX9NXf
ymH5MybEtQwxq0kS3+rnxF7QT38bf8tLmRjXMjSeE3KxXv963JPYDfqb3c4/
8udMiusZZlaL3GzQvxG7Qfxg3sER+QsmM1Jfn3z8FO9luFybPHynfzP2hyx9
WY7Ky8hhlL4B+fk53ku2XIcL+F4/Uz0Hmd6twg==
         "]]},
       Annotation[#, "Charting`Private`Tag$9130#2"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], None},
  AxesOrigin->{0, 335.85711312411604`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.489796, 16.}, {6.941182, 0.5}},
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->FormBox[
    TagBox[
     RowBox[{"F", "-", "\[Alpha]"}], HoldForm], TraditionalForm],
  PlotRange->{{-0.020833333333333336`, 1.0208333333333333`}, {
   133.60871258966097`, 4178.576723278762}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.848011727366191*^9, 
  3.8480117285036173`*^9}},ExpressionUUID->"423639b5-05e8-4460-a4f0-\
22341d5dcd01"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf3", ",", 
   RowBox[{"Background", "\[Rule]", "White"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[36]:=",ExpressionUUID->"0ca23ea5-b5f7-4c81-afdf-3b36fc3f15ae"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxdmGk4ld/XgFWSkKGQMYRGSaUMxdpmiSQUhRQSIuEgGaJCIUJmmWUI/QxR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    
    "], {{{}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{100, 45, 46, 47, 48, 49, 52, 50, 102, 415, 210, 261, 319,
          384, 127, 216, 267, 325, 390, 152, 193, 244, 302, 367, 99, 168, 209,
          260, 318, 383, 126, 215, 266, 324, 389, 151, 192, 243, 301, 366, 98,
          167, 208, 259, 317, 382, 125, 150, 191, 242, 300, 365, 97, 101}}]]}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1FWwVmUUBuCfDuluOHTNgCCtNOfQcegUASVEUkEEZkiluzuUGVppJS5A
BQO4AJ1R2gQFlAtACeVZw8Vz1rvW3jP/Pt/37Z00YGTqiLSJRCINb/pTS+2u
FuCyvJ0pDKY2dejhWkGuyDuYyhDq0tO8EFflnUxjKKPMqnFfPslq6tHLrDDX
5F1MZxijzarzQD7FGurT26wI1+XdzIjf1zcmIxfi/2CM/CIP5c9Zywf6ZLLx
g74BfeSi3JD3MEduRU5mxvOrTcjEUlK5aL5AbUdeVtCV4eZj1Rqs4h/9ErUT
6/hCP09twxpys5wubIh7XJ+lprCa7CyjM+v50fVFagfWkp+VdONl1/qqxfhJ
Xqx2ZK88V21NLt6PNVabkpnv9AvV9uTjLf3bak3+lb9kvtyWPPEc+tlqS3Jw
Sf8K/eTi/Cx/HGsde6NvRha+14/gHfklHsmn2UBDXjUrwS/yJ7EOjGRcnEke
y2fYSCP6m5XkV3lfPFOcMcab1eaJ/BWbaMxrZqX4Td4f+xxnjHfN6vBU/prN
NGGAWRK/ywdiDeNM0ZSB5qW5KR+MPY19pxmDzMtwSz4UaxfrSXNeNy/LH/Lh
OEOxHrQgmRRa0orWtKEt7WhPBzrSiVQ604WudKN7vJvxDsZ7xRt+qxx/ykdi
n2M94x1isHl5bsufxrmKtYv3gSHmFbgjfxZnKdaJCWZ1+U/+hi1x5hhqVpG7
8tE483Ev75nV43/5W7bGOWGYWSX+ko+xNO5loll94mN0VvkwzkXi+XepMn/L
x1kW9zLJrAFpOKf/KM4Fw/VVuCefYHncy+R4T0jLef222JPYM6pShcpUoiIV
KE85ylKG0iRRipKUoDjFKEoRClOIghQgP/nISx5yk4uc5CA72XiBrGQhM5nI
SAbSk474Vtd8vkSJZw3QnNo=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{1, 51, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 
         17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
         34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 100, 45, 46, 47, 48, 49, 
         52, 50}]},
       Annotation[#, "Charting`Private`Tag$9130#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl1Hecz3UcB/DfIRXRtKU0tG1nhTt7jzMuDSvzcCfRNE5ltMk6ZFS0B2VE
pcwKRdGwV9OIosh+vh/+eN779X7/vr/7/R6f7/v7K90tKy0zKZFI9PGnipqu
Fmab/BbZ9CKZqtzltSJsl99mBL2pRkfzouyQ3+GJ+L8MMCvHv/JyplCdu82K
sVN+lyfJ4AGz8vwnr2AqNbjHrDi75Pd4Kj5fn0JeNur7MlCuwDF5JdMYrW/I
JWzW1+ReuQS75fd5Rm7CpYyM76+mciHjSWOT+QtqC65kEu3pZ/6gWpEcjutf
UtvwMqv0z6nNmMrlTKQdM+Iar49RGzGFAkygLdPZ4vWxaiumUYjJdOBOr92n
lmSPPE5tzQfys2pTLmNUnLFal4v4Qf+i2pKr6K8fpFbif3k1z8vNuSK+h/5p
tTEF2aqvRSf5avbKc+Os497o63ExP+ozGSxX5oT8JTOoTWezUvwiz4tzIIuH
Yic5KX/FTOrQxewafpU/jO8UO8bDZsmckr9mFil0NbuW3+SP4j7HjvGIWVVO
y2t4hVS6mZXmd3l+nGHsFHW53/w6/pAXxD2N+049uptfz5/ywji7OE/q08P8
BvbJi2KH4jxoQEMa0ZgmNKUZzWlBS1rRmjak0ZZ2tKcD6fFsxjMYzxU9fdaN
7Jc/jvsc5xnPEL3My3BAXhx7FWcXzwO9zW/ioLwkdinOiUfNqnFGXsursXOJ
878bN/OX/EnsfFzLY2bVOSuv47XYEzLMbuGQ/Cnj41oeN6tBgm+U2bEX9NXf
ymH5MybEtQwxq0kS3+rnxF7QT38bf8tLmRjXMjSeE3KxXv963JPYDfqb3c4/
8udMiusZZlaL3GzQvxG7Qfxg3sER+QsmM1Jfn3z8FO9luFybPHynfzP2hyx9
WY7Ky8hhlL4B+fk53ku2XIcL+F4/Uz0Hmd6twg==
         "]]},
       Annotation[#, "Charting`Private`Tag$9130#2"]& ]}}], InsetBox[
    StyleBox[Cell["I",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "e2e82975-2fcb-41b7-8cd1-377824dac5e3"],
     Background->GrayLevel[1.]], {0.3922345459597697, 1130.9961911369846}, {
    Left, Baseline},
    Alignment->{Left, Top}], 
   InsetBox["", {0.3945302730992303, 1204.4698824162497}, {Left, Baseline},
    Alignment->{Left, Top}], 
   InsetBox["", {0.3798352280242453, 1135.353526611625}, {Left, Baseline},
    Alignment->{Left, Top}], 
   InsetBox["", {0.44241770639891687, 1122.8825319773114}, {Left, Baseline},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell["I",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "e6e6afba-c10e-4d04-aaea-3d7ed9eefe6b"],
     FontSlant->"Italic",
     Background->GrayLevel[1.]], {0.44241770639891687, 1122.8825319773114}, {
    Left, Baseline},
    Alignment->{Left, Top}], 
   InsetBox["", {0.8796102435199504, 639.0680413449336}, {Left, Baseline},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell["II",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "3690087a-783f-420c-b383-d226af70b298"],
     FontSlant->"Italic",
     Background->GrayLevel[1.]], {0.8796102435199504, 639.0680413449336}, {
    Left, Baseline},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 335.85711312411604`},
  Background->GrayLevel[1],
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.193878, 1.5}, {6.483962, 0.5}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{-0.020833333333333336`, 1.0208333333333333`}, {
   133.60871258966097`, 4178.576723278762}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.848011124426475*^9, 3.848011125083213*^9}, {
  3.8480111706223917`*^9, 
  3.848011282413556*^9}},ExpressionUUID->"8fcbf035-90e6-491c-bbde-\
13d6d7635fa6"],

Cell[TextData[StyleBox["The Profit", "Subsubsection"]], "Text",
 CellChangeTimes->{{3.847941855174468*^9, 
  3.847941858392337*^9}},ExpressionUUID->"e2260fe4-d4d9-4199-b0ce-\
11835419931c"],

Cell[TextData[{
 "1.  If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "e7b991f9-316d-4d9d-bd3e-8c9edf3e146b"],
 ",  which satisfied with ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"F", "\[GreaterEqual]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["k", "B"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"cv", " ", "+", 
               StyleBox["cvb",
                FontColor->RGBColor[0, 0, 1]]}], ")"}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "B"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"\[Theta]", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]}]}]]}]}], ")"}], 
     
     RowBox[{"1", "-", "\[Alpha]"}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "af0666aa-fc3b-45cd-b2aa-14b427a67d6f"],
 " (the dark region) then the effort is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", "=", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], 
        SuperscriptBox["k", "B"]], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},ExpressionUUID->
  "2dbc2b29-bdbc-4370-9ca0-2a49f67192a0"],
 ", the contract [p,\[Alpha]] satellite owner offered is ",
 Cell[BoxData[
  RowBox[{
   SuperscriptBox["p", "B"], "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"], " ", "\[Alpha]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "5ff5a806-84ae-4d65-a7b2-72356cb7b0e0"],
 ". The profit of vehicle manufacture is ",
 Cell[BoxData[
  RowBox[{
   StyleBox[
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox["k", "B"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["(",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       SuperscriptBox["f", "2"],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["16",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["cv",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox["k",
        FontColor->RGBColor[1, 0, 0]], "B"], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["12",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        SuperscriptBox["k", "B"], ")"}], "2"], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       SuperscriptBox["\[Alpha]", "2"],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["16",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox["k",
        FontColor->RGBColor[1, 0, 0]], "B"], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["\[Theta]",
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["20",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox["k",
        FontColor->RGBColor[1, 0, 0]], "B"], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["\[Alpha]",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["\[Theta]",
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["4",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox["k",
        FontColor->RGBColor[1, 0, 0]], "B"], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       SuperscriptBox["\[Alpha]", "2"],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["\[Theta]",
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["+",
      FontColor->RGBColor[1, 0, 0]], 
     SuperscriptBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{
        StyleBox["\[Theta]",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["-",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{
         StyleBox["\[Alpha]",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[" ",
          FontColor->RGBColor[1, 0, 0]], "\[Theta]"}]}], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}], "2"], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["2",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["f",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}],
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       RowBox[{
        RowBox[{
         StyleBox["2",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox[" ",
          FontColor->RGBColor[1, 0, 0]], 
         SuperscriptBox[
          StyleBox["k",
           FontColor->RGBColor[1, 0, 0]], "B"], 
         StyleBox[" ",
          FontColor->RGBColor[1, 0, 0]], 
         StyleBox["\[Alpha]",
          FontColor->RGBColor[1, 0, 0]]}], 
        StyleBox["+",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["\[Theta]",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["-",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox[
         RowBox[{"\[Alpha]", " ", "\[Theta]"}],
         FontColor->RGBColor[1, 0, 0]]}], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}]}]}], 
    StyleBox[")",
     FontColor->RGBColor[1, 0, 0]]}]}]], "Input",
  CellChangeTimes->{3.847924712498953*^9},ExpressionUUID->
  "b1159b82-66ef-4544-ab87-d6caabce12b4"],
 "\nwhich can be written as ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", " ", 
       RowBox[{"4", 
        RowBox[{
         SuperscriptBox["k", "B"], " ", "[", 
         RowBox[{
          RowBox[{"F", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Alpha]"}], " ", "-", 
          " ", 
          RowBox[{"3", 
           SuperscriptBox["\[Alpha]", "2"], 
           SuperscriptBox[
            RowBox[{"k", " "}], "B"]}], "-", "  ", 
          RowBox[{"\[Theta]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"4", "-", "\[Alpha]"}], ")"}]}]}], "  ", "]"}]}]}], 
      RowBox[{"16", 
       SuperscriptBox["k", "B"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv", "-", 
     "Cvb"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "5e2615f7-aa2d-48d5-b3a8-2bba126c6c61"],
 "\nthe difference is ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"k", "-", 
       SuperscriptBox["k", "B"]}], ")"}], "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], 
       RowBox[{"(", 
        RowBox[{"F", "+", "\[Theta]"}], ")"}]}], "+", 
      RowBox[{"12", "k", " ", 
       SuperscriptBox["k", "B"], 
       SuperscriptBox["\[Alpha]", "2"]}]}], "]"}], 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["k", "B"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cvb"}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847963453774186*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "c79fcc0e-6602-4405-9a64-f2b7d533904e"],
 "\n\n\nThe profit of satellite owner i",
 StyleBox["s ",
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{"-", "cs"}], "-", "csb", "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"8", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Input",
  CellChangeTimes->{3.847957995368424*^9},ExpressionUUID->
  "43b4c74e-27ca-4e39-b8b1-8546257f3303"],
 "\nwich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"4", 
       SuperscriptBox["k", "B"], " ", 
       RowBox[{"\[Alpha]", "[", 
        RowBox[{"\[Alpha]k", " ", "+", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Theta]", " ", "-", " ", "F"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "a"}], ")"}]}]}], " ", "]"}]}]}], 
     RowBox[{"8", 
      SuperscriptBox["k", "B"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cs", "-", 
    "Csb"}], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "3ca95b14-3b98-4740-a114-1d307a68198f"],
 ",\nand the difference is ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"k", "-", 
       SuperscriptBox["k", "B"]}], ")"}], "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"]}], "-", 
      RowBox[{"4", "k", " ", 
       SuperscriptBox["k", "B"], 
       SuperscriptBox["\[Alpha]", "2"]}]}], "]"}], 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox["k", "B"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Csb"}]], "Input",
  
  CellChangeTimes->{3.847958675837242*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "6ae77d09-566e-48bb-b23f-1b6a806eacd2"],
 "\nThe premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", " ", "=", " ", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], 
         SuperscriptBox["k", "B"]]}], ")"}]}]}]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.8479348396322403`*^9},ExpressionUUID->
  "c3f1e3f9-600c-4317-b5a8-7f942368ff3e"],
 "\n\n2. If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], "<", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "d188319f-4d5b-4ab8-85de-9e8318a871f7"],
 ", which satisfied with ",
 StyleBox["F<",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["k", "B"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{
            SuperscriptBox["k", "B"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"\[Theta]", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]}]}]]}]}], ")"}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "cbbfc66f-07ab-41fe-ba88-fdefd562388c"],
 ",\n  the effort is ",
 Cell[BoxData[
  RowBox[{"e", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["k", "B"]}], " ", "\[Alpha]"}], "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["k", "B"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox["k", "B"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"\[Theta]", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", ")"}]}]]}], 
    RowBox[{
     SuperscriptBox["k", "B"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935384424481*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "6cd2465e-0c3d-426e-9ee3-281365f51d70"],
 "\n  The premium rate is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"r", "=", 
    FractionBox[
     RowBox[{
      SuperscriptBox["k", "B"], "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{
           SuperscriptBox["k", "B"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"\[Theta]", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]}], 
     RowBox[{
      SuperscriptBox["k", "B"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847935852462887*^9},ExpressionUUID->
  "5b64e74d-fe2b-42e2-afcf-e918a57f8671"],
 "\n  the price is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", 
       SqrtBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["k", "B"], " ", 
          RowBox[{"cv", "\[CenterDot]", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]}], " ", "+", " ", 
         RowBox[{
          SuperscriptBox["\[Alpha]", "2"], 
          SuperscriptBox[
           SuperscriptBox["k", "B"], "2"]}], " ", "+", " ", 
         RowBox[{"\[Theta]", " ", 
          RowBox[{
           SuperscriptBox["k", "B"], "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}], " ", "-", 
      RowBox[{"2", 
       SuperscriptBox["k", "B"], " ", "\[Alpha]"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "Text",
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]], "Subsubsection",
  ExpressionUUID->"c4d56703-a71f-4b21-9e5f-ea754f9c463d"],
 "\n  The profit of satellite owner is ",
 Cell[BoxData[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "kb"}], "+", 
      RowBox[{"csb", " ", "kb"}], "+", 
      RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
      RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
      RowBox[{"2", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"csb", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "cv", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "cvb", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"f", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["kb", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]}]], 
  "Output",
  CellChangeTimes->{3.847964515130542*^9},ExpressionUUID->
  "68e8e32f-bf10-4490-95fb-a06e7ada902b"],
 "\n   which can be written as \n  ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[{
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", 
         SuperscriptBox["\[Alpha]k", "B"]}]}], "]"}], "*", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["k", "B"], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Cv", "(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"], "+", 
         RowBox[{
          SuperscriptBox["k", "B"], 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"\[Theta]", "(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "]"}]]}], "-", " ", 
     RowBox[{
      SuperscriptBox["k", "B"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "F"}], "+", 
        RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], "  ", "-", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       SuperscriptBox["k", "B"], "2"], 
      SuperscriptBox["\[Alpha]", "2"], " "}]}], 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["k", "B"], "(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}], "+", "Csb", "+", 
      RowBox[{"2", 
       StyleBox["Cvb",
        FontColor->RGBColor[0, 0, 1]]}]}], ")"}]}], TraditionalForm]}],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "c21b4fc1-0610-4305-9d86-8fe1fb2c56c2"],
 "\n   \n   ",
 Cell[BoxData[{
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", 
         SuperscriptBox["\[Alpha]k", "B"]}]}], "]"}], "*", 
      StyleBox["B",
       FontColor->RGBColor[0, 1, 0]]}], "-", " ", 
     RowBox[{
      SuperscriptBox["k", "B"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", "F"}], "+", 
        RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], "  ", "-", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       SuperscriptBox["k", "B"], "2"], 
      SuperscriptBox["\[Alpha]", "2"], " "}]}], 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["k", "B"], "(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"-", " ", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", 
      RowBox[{"2", "Cv"}], "+", 
      RowBox[{"2", "Csb"}], "+", "Cvb"}], ")"}]}], TraditionalForm]}],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "eccf9e19-55c5-476d-93e3-b9be7c302220"],
 "\n   \n   and the difference is  ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"k", " ", 
      SuperscriptBox["k", "B"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "k", " ", 
       SuperscriptBox["k", "B"], 
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"(", 
        RowBox[{"k", "-", 
         SuperscriptBox["k", "B"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"F", "+", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["k", "B"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{
               SuperscriptBox["k", "B"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"\[Theta]", 
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]}], 
         "-", 
         RowBox[{
          SuperscriptBox["k", "B"], 
          SqrtBox[
           RowBox[{"k", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"\[Theta]", 
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]}]}], 
        ")"}]}], "+", 
      RowBox[{"2", 
       SuperscriptBox["\[Alpha]kk", "B"], 
       RowBox[{"(", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["k", "B"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{
              SuperscriptBox["k", "B"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"\[Theta]", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]], "-", 
         
         SqrtBox[
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"cvb", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"\[Theta]", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]}], 
        ")"}]}]}]}]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},ExpressionUUID->
  "4a955764-47d2-4bdc-b189-7e411a540208"],
 "\n    \:4ee4  A=",
 Cell[BoxData[
  SqrtBox[
   RowBox[{"k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      SuperscriptBox["k\[Alpha]", "2"], "+", 
      RowBox[{"\[Theta]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},
  FontWeight->"Plain",ExpressionUUID->
  "650241b1-1fd5-428b-8f0f-f855cdf7d478"],
 "\n         B=",
 Cell[BoxData[
  SqrtBox[
   RowBox[{
    SuperscriptBox["k", "B"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox["k", "B"], 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"\[Theta]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},
  FontWeight->"Plain",ExpressionUUID->
  "b2a8c58c-7feb-4108-a309-471bd93cf94c"],
 "\n         C=",
 Cell[BoxData[
  SqrtBox[
   RowBox[{"k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"\[Theta]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},
  FontWeight->"Plain",ExpressionUUID->
  "617b2013-1443-42a8-8b6a-a80545109617"],
 "\n         D=",
 Cell[BoxData[
  SqrtBox[
   RowBox[{
    SuperscriptBox["k", "B"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox["k", "B"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"\[Theta]", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}], ")"}]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},
  FontWeight->"Plain",ExpressionUUID->
  "29eef519-7782-4a0d-bc5e-b980bfd7d3d4"],
 "\n         A<B<C<D\n         ",
 Cell[BoxData[{
  StyleBox[
   FractionBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "k", " ", 
       SuperscriptBox["k", "B"], 
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"(", 
        RowBox[{"k", "-", 
         SuperscriptBox["k", "B"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"F", "+", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "*", 
          StyleBox["D",
           FontColor->RGBColor[0, 1, 0]]}], "-", 
         RowBox[{
          SuperscriptBox["k", "B"], 
          StyleBox["C",
           FontColor->RGBColor[0, 1, 0]]}]}], ")"}]}], "+", 
      RowBox[{"2", 
       SuperscriptBox["\[Alpha]kk", "B"], 
       RowBox[{"(", 
        StyleBox[
         RowBox[{"D", "-", "C"}],
         FontColor->RGBColor[0, 1, 0]], ")"}]}]}], ")"}], 
    RowBox[{"k", " ", 
     SuperscriptBox["k", "B"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]],
   FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{"Cs", "+", "Csb", "+", 
      RowBox[{"2", "Cv"}], "+", 
      RowBox[{"2", "Cvb"}]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847967113907933*^9},ExpressionUUID->
  "9741203e-5498-42e3-8375-6ac10778c78d"],
 "\n   the profit of vehicle manufacture is 0\n"
}], "Text",
 CellChangeTimes->{{3.8479244978416567`*^9, 3.847924540095396*^9}, {
   3.84792472972503*^9, 3.847924850719489*^9}, {3.84792490186488*^9, 
   3.84792490495502*^9}, {3.847924942568657*^9, 3.84792496113203*^9}, {
   3.847927612103428*^9, 3.847927652927586*^9}, {3.847928389275312*^9, 
   3.8479283914047832`*^9}, {3.847928460304885*^9, 3.84792848326*^9}, {
   3.847928584822124*^9, 3.847928607107594*^9}, {3.847929743098164*^9, 
   3.847929826876237*^9}, {3.84792986540275*^9, 3.847929901262289*^9}, {
   3.847929956617804*^9, 3.847929965411723*^9}, {3.847930009276952*^9, 
   3.84793006171145*^9}, {3.847930243682823*^9, 3.847930271154003*^9}, {
   3.847934477511183*^9, 3.847934743179035*^9}, {3.847934887275675*^9, 
   3.8479350054148397`*^9}, {3.847935193108474*^9, 3.8479352723509903`*^9}, {
   3.847935394475047*^9, 3.847935452496479*^9}, {3.84793575331159*^9, 
   3.847935763948141*^9}, {3.8479358611798697`*^9, 3.847935914425313*^9}, {
   3.847936298521426*^9, 3.8479363190364027`*^9}, {3.847937073962777*^9, 
   3.847937076701795*^9}, {3.847937108487657*^9, 3.847937141910861*^9}, {
   3.847937175233618*^9, 3.847937274965145*^9}, {3.847937307583899*^9, 
   3.847937327214435*^9}, {3.847937357534235*^9, 3.847937474001975*^9}, {
   3.847937602462516*^9, 3.847937624750527*^9}, {3.847942069523004*^9, 
   3.847942090753191*^9}, {3.847942127143778*^9, 3.8479422950147676`*^9}, {
   3.847955884466646*^9, 3.8479558851398573`*^9}, {3.8479603792849493`*^9, 
   3.847960468406014*^9}, 3.847962185815486*^9, {3.847962227584887*^9, 
   3.847962325418795*^9}, {3.847962818842535*^9, 3.847962820297686*^9}, {
   3.847962882929356*^9, 3.847962883469845*^9}, {3.847963089669218*^9, 
   3.847963107544808*^9}, {3.847963137815391*^9, 3.847963143487328*^9}, {
   3.84796332144972*^9, 3.8479633330793*^9}, {3.847963811105989*^9, 
   3.8479638764598083`*^9}, {3.84796394021677*^9, 3.847963971087967*^9}, {
   3.847964609300762*^9, 3.84796463459787*^9}, {3.847964977957171*^9, 
   3.847964980734397*^9}, {3.8479657520803547`*^9, 3.847965769672428*^9}, {
   3.847966917264567*^9, 3.8479670344649477`*^9}, {3.847967783315486*^9, 
   3.847967797797028*^9}, {3.847967981352139*^9, 3.847968023229401*^9}, {
   3.847968142213779*^9, 3.847968344404642*^9}, {3.847968387004593*^9, 
   3.847968439551346*^9}, {3.848006043085928*^9, 3.848006059113826*^9}, {
   3.848006111439641*^9, 3.848006118773435*^9}, {3.848006323376151*^9, 
   3.848006323837298*^9}, {3.848006999991753*^9, 3.8480070200588207`*^9}, {
   3.8480070977737103`*^9, 3.848007114645092*^9}, {3.848007770594715*^9, 
   3.8480077772989597`*^9}, {3.848007821726276*^9, 3.8480078379670773`*^9}, {
   3.848008810516165*^9, 3.84800883229671*^9}, {3.848008879788947*^9, 
   3.848009006240518*^9}, {3.848009387403159*^9, 3.848009423569223*^9}, {
   3.8480098808234243`*^9, 3.848009908548967*^9}, {3.848009981653326*^9, 
   3.848009981658471*^9}, {3.848010183804349*^9, 3.848010213185397*^9}, {
   3.848010353715703*^9, 3.8480103596931*^9}, {3.8480104011558323`*^9, 
   3.848010412491785*^9}, {3.848010504611109*^9, 3.8480105422886057`*^9}, {
   3.848010640543281*^9, 3.848010647843937*^9}, {3.859779150661853*^9, 
   3.8597791510049763`*^9}, {3.859779952750002*^9, 3.859779971215438*^9}, {
   3.859965209672768*^9, 3.85996521858247*^9}, {3.859970446403401*^9, 
   3.859970453997624*^9}, {3.85997082390142*^9, 
   3.859970826970696*^9}},ExpressionUUID->"82240fbc-68f6-4bc1-941c-\
e3f5582a9c52"],

Cell[TextData[StyleBox["Proof1:",
 FontColor->RGBColor[0, 1, 0]]], "Text",
 CellChangeTimes->{{3.847941920626692*^9, 3.8479419258953238`*^9}, 
   3.847963988424053*^9},ExpressionUUID->"577269fc-2dd4-4fa7-afa0-\
6b6f70e75b64"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.84794190829657*^9, 
  3.84794192408543*^9}},ExpressionUUID->"178ed4e0-11ac-4af2-898d-\
1f8fb6029f4a"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{"pb", "-", 
     RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "kb"}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", " ", 
  RowBox[{"1", "-", "eb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
   3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
   3.847924648199932*^9, 3.847924685117815*^9}, {3.8479419674620037`*^9, 
   3.847942045376278*^9}, {3.8479642719058247`*^9, 3.847964276241906*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"f2a6250e-9ca6-4342-ae2a-3a5765e13fa5"],

Cell[CellGroupData[{

Cell[BoxData["eb"], "Input",
 CellChangeTimes->{{3.8479420511366243`*^9, 3.847942052079001*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"83774665-f021-4b8c-9e28-0a8919c0cbe8"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.8479420525158253`*^9, 3.8479558162248983`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"c58ef2ab-cf51-448e-ac03-2cf21173f7b2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "kb"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[23]:=",ExpressionUUID->"ab6ca91f-55e1-47d9-a361-57feddfc267f"],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["f", "kb"], "+", 
     FractionBox[
      RowBox[{"2", " ", "\[Alpha]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
     FractionBox["\[Theta]", "kb"]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", "rb"}], "Input",
 CellChangeTimes->{{3.8479558368586273`*^9, 3.847955850074424*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"66977b16-ccfe-4e36-9d5b-95adf9313024"],

Cell[BoxData[
 RowBox[{"1", "-", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{{3.847955841250284*^9, 3.847955850610124*^9}},
 CellLabel->"Out[27]=",ExpressionUUID->"46e38521-a771-4c34-b79d-f7176f36e9a8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "-", 
   FractionBox[
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    RowBox[{"2", " ", "kb"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"e53236b2-be92-4c88-829c-e1fd482f321e"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"f", "+", 
    RowBox[{"2", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"4", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847955860357136*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"df117a65-7d5e-4084-8372-b51856d9e781"],

Cell[BoxData[
 RowBox[{"rb", ":=", 
  RowBox[{"1", "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]], "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.847957270171397*^9, 3.847957281422364*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"18cad1b8-9f23-40fc-914c-201c2c3d193f"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  StyleBox[
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"], "-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.847957285048397*^9, 3.8479572881491823`*^9}, {
  3.847957329160706*^9, 3.8479573991519623`*^9}, {3.84795763724333*^9, 
  3.847957638310865*^9}, {3.847957924470304*^9, 3.847957925683559*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"bd2e0255-ab7a-4a86-a65b-00d9d7bf290e"],

Cell[BoxData[
 StyleBox["Profitsb",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{{3.847955889583099*^9, 3.8479558980155373`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"2ecdb727-e5a4-4c9a-9d09-2694b01fd4f6"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"-", "cs"}], "-", "csb", "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]}]}]}],
   FontColor->RGBColor[1, 0, 0]], ")"}]], "Input",
 CellChangeTimes->{3.847958507613923*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"dac895c4-b3f7-4aad-917d-2de1e022c2f7"],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%26", "]"}]], "Input",
 CellChangeTimes->{{3.847957948980496*^9, 3.847957950582472*^9}},
 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"6087a3c7-8fee-4a29-8528-ceb60852884e"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847957995368424*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"d7442b4d-8383-40fb-9c06-b83124fa96e6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[CapitalDelta]Profitsb", ":=", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], " ", "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "cs"}], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"f", "-", 
            RowBox[{"f", " ", "\[Alpha]"}], "-", 
            RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
       ")"}]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 StyleBox["\[CapitalDelta]Profitsb",
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{
  3.847956085179269*^9, {3.847956189742201*^9, 3.847956234315984*^9}, 
   3.8479579847736464`*^9, {3.847958124155428*^9, 3.8479582284280243`*^9}, {
   3.8479582774608097`*^9, 3.847958301380353*^9}, {3.847958431210774*^9, 
   3.847958453299317*^9}, {3.847958549742934*^9, 3.84795859495512*^9}},
 NumberMarks->False,
 CellLabel->"In[35]:=",ExpressionUUID->"044c56de-5195-423b-9924-3a692b9b02ef"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "csb"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], "k"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"f", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.847958596073957*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"0ea64e9f-c542-496d-b921-3522d4647076"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%36", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[37]:=",ExpressionUUID->"98aaa104-f333-4e3c-ad3c-a884ddaf9533"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "k", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"k", "-", "kb"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"8", " ", "csb", " ", "k", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"], " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", "k", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{"k", "-", "kb"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      "\[Theta]"}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847958675837242*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"202975c9-94fc-4ac3-88fc-1fc73891160f"],

Cell[BoxData[
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb"}]}]], "Input",
 CellLabel->"In[38]:=",ExpressionUUID->"f6194633-8b29-426c-a299-0153113e5d19"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.847958702364094*^9, 3.847958705365234*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"02ed25d0-478c-47d1-944d-c09414e409da"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", "16"], " ", "kb", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], "2"]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.847958705960947*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"2b4a153b-b1f3-47e4-93ea-04cc1343876b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", "cvb", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", "16"], " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], "2"]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[40]:=",ExpressionUUID->"d2a2cc9c-a697-4237-8362-41537b716947"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cv", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
     RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.847958735092536*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"81bd2837-297a-425b-bfdf-1f5e9bad6536"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8479632140034657`*^9, 
  3.847963214189397*^9}},ExpressionUUID->"e8a8483b-1ac3-4f8c-86fe-\
1bc9b3bdaf71"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  StyleBox[
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"], "-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 StyleBox["Profitvb",
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{{3.847957285048397*^9, 3.8479572881491823`*^9}, {
  3.847957329160706*^9, 3.8479573991519623`*^9}, {3.84795763724333*^9, 
  3.847957638310865*^9}, {3.847957924470304*^9, 3.847957925683559*^9}, {
  3.847963238927195*^9, 3.8479632515890636`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"5c2e7d0e-4b01-4945-9044-7dc82622d795"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", "16"], " ", "kb", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], "2"]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]], "-", 
        FractionBox[
         RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479632521506243`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"522bc8c2-7bc6-4fd0-81b9-24fe797c60f8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", "cvb", "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", "16"], " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
       FractionBox[
        RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], "2"]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", "\[Alpha]"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], "-", 
         FractionBox[
          RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"7bed8ae0-6c97-43dd-9751-38c06c436ad3"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cv", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
     RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8479632932094383`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"b8f9dde6-5f81-45fc-96cc-a7db0ef16c1a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[CapitalDelta]Profitvb", ":=", 
  RowBox[{
   StyleBox[
    RowBox[{
     FractionBox["1", 
      RowBox[{"16", " ", "kb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
       RowBox[{
        SuperscriptBox["f", "2"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
       RowBox[{"16", " ", "cv", " ", "kb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"16", " ", "cvb", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["kb", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
       RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"4", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       SuperscriptBox["\[Theta]", "2"], "-", 
       RowBox[{"2", " ", "\[Alpha]", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], " ", 
        SuperscriptBox["\[Theta]", "2"]}], "-", 
       RowBox[{"2", " ", "f", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["-",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "k"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", "cv", " ", "k"}], 
      "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", "1"}], ")"}], "2"], " ", 
       SuperscriptBox["f", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Alpha]", "-", "1"}], ")"}], " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], ")"}]}], "+", "\[Theta]", 
         "+", 
         RowBox[{"2", " ", "\[Alpha]", " ", "k"}]}], ")"}]}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["k", "2"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]", " ", "k"}], "+", 
      RowBox[{"20", " ", "\[Alpha]", " ", "\[Theta]", " ", "k"}], "-", 
      RowBox[{"16", " ", "\[Theta]", " ", "k"}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", "\[CapitalDelta]Profitvb"}], "Input",\

 CellChangeTimes->{{3.8479633421864853`*^9, 3.847963366748219*^9}, {
  3.84796342207605*^9, 3.847963449942532*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"0cfc690e-f54d-40f2-a5bf-6dbe7541c0ea"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"16", " ", "cv", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
      RowBox[{"20", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "k", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "cv", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
     RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8479634511355553`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"7cc61103-0f29-4780-851f-b9611e1cb1f3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%11", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"acfbdb09-10ca-4bbd-b33f-07aad5965087"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "k", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"k", "-", "kb"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cvb", " ", "k", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["k", "2"], " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", "k", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{"k", "-", "kb"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]"}],
     "+", 
    RowBox[{"k", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"kb", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.847963453774186*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"0f2a8f88-4459-4bc5-a609-f1d978573701"]
}, Open  ]],

Cell["", "Text",ExpressionUUID->"200a9e89-dbf1-4077-a1fa-2339820fdba2"],

Cell[BoxData[
 StyleBox["Proof2",
  FontColor->RGBColor[0, 1, 0]]], "Input",
 CellChangeTimes->{{3.8479639946022167`*^9, 
  3.847964038749592*^9}},ExpressionUUID->"b200711e-de22-44b6-9b0e-\
cbfe3ddbf2cf"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", 
  RowBox[{"1", "-", "eb"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pb", ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.847964106171225*^9, {3.847964161422841*^9, 3.847964246228404*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"58aaa073-f9f1-4020-a157-ccc373e02412"],

Cell[BoxData[{
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", 
   "cvb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.847964249943891*^9, 3.847964256263855*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"96f27e4d-f6d4-4da0-9365-9efd63156de4"],

Cell[CellGroupData[{

Cell[BoxData["eb"], "Input",
 CellChangeTimes->{{3.847964547153378*^9, 3.847964548220456*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"84bf5830-1572-4f1d-b33a-25bd1359ac64"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "kb"}], "+", 
          RowBox[{"cvb", " ", "kb"}], "-", 
          RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cvb", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"kb", " ", "\[Theta]"}], "-", 
          RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", "kb"}], "+", 
           RowBox[{"cvb", " ", "kb"}], "-", 
           RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"kb", " ", "\[Theta]"}], "-", 
           RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       ")"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8479645487794867`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"a50bb387-0ace-4d85-bc77-e2e4d4e01c77"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%9", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"5b9c7ba3-5c15-4e2a-9c40-ad2921048bb8"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"kb", " ", "\[Alpha]"}], "-", 
   SqrtBox[
    RowBox[{"kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
  RowBox[{"kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.847964550817144*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"20af18ae-976e-4d39-8de4-95cc02bd712d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"kb", " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{"kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
   RowBox[{"kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.848007356767404*^9, 3.848007364275621*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"5b1a7ecc-aadd-4c64-b7c6-2ac3bc0935ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"eb", ",", "kb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8480073679365587`*^9, 3.848007376587162*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"a264a3aa-6e94-4e22-a96c-b0ddbcf35a58"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"kb", " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
    RowBox[{
     SuperscriptBox["kb", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", "-", 
    FractionBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"cvb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"2", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]]}], 
   RowBox[{"kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8480073770700808`*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"4e6f7aed-6362-4ea1-ae14-dc452db34e49"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"kb", " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     RowBox[{
      SuperscriptBox["kb", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"2", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]]}], 
    RowBox[{"kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"ac4ab642-5262-4a9e-8083-320509402843"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cv", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"cvb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
  RowBox[{"2", " ", "kb", " ", 
   SqrtBox[
    RowBox[{"kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"cvb", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]]], "Output",
 CellChangeTimes->{3.84800738039027*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"06946484-e107-42c3-9af6-8734b4fe1a1b"]
}, Open  ]],

Cell[TextData[StyleBox["eb \:5bf9kb\:6c42\:4e00\:9636\:5bfc\:6570\:ff0c\:5c0f\
\:4e8e0",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.848007438330864*^9, 3.848007474250327*^9}, {
  3.848007517720085*^9, 
  3.848007524639991*^9}},ExpressionUUID->"007c6395-f6f2-40e6-8cdc-\
e1f6627491ed"],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.8479644994611588`*^9, 3.84796450917488*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"1e1dae36-e2ae-4328-8636-a8b1447b87f1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
  "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "kb"}], "+", 
             RowBox[{"cvb", " ", "kb"}], "-", 
             RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
             RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cvb", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["kb", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"kb", " ", "\[Theta]"}], "-", 
             RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
         ")"}]}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"\[Theta]", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", "kb"}], "+", 
            RowBox[{"cvb", " ", "kb"}], "-", 
            RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
            RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
            RowBox[{"cv", " ", "kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cvb", " ", "kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"kb", " ", "\[Theta]"}], "-", 
            RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", "kb"}], "+", 
             RowBox[{"cvb", " ", "kb"}], "-", 
             RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
             RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
             RowBox[{"cv", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cvb", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["kb", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"kb", " ", "\[Theta]"}], "-", 
             RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
         ")"}]}]}]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.847964511124446*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"644a8a2c-d257-410e-ae83-fe36f430b660"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%7", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"7ec1c0c0-0b08-4f14-bfd1-5218950d6db8"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", 
   RowBox[{"kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"cs", " ", "kb"}], "+", 
    RowBox[{"csb", " ", "kb"}], "+", 
    RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
    RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
    RowBox[{"2", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "cv", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "cvb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"f", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"f", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
    RowBox[{"f", " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
    RowBox[{"\[Theta]", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}]], \
"Input",
 CellChangeTimes->{{3.8479670408103523`*^9, 
  3.847967046516635*^9}},ExpressionUUID->"ad1980be-0a31-4531-a7ce-\
11e33ce345d3"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]Profitsb2", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"kb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "kb"}], "+", 
      RowBox[{"csb", " ", "kb"}], "+", 
      RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
      RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
      RowBox[{"2", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"csb", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "cv", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "cvb", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"f", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["kb", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"f", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"f", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
      RowBox[{"\[Theta]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}], 
   "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "cv", " ", "k"}], "+", 
       RowBox[{"cs", " ", "k", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
       RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "cv", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"f", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"f", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
       RowBox[{"f", " ", "\[Alpha]", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
       RowBox[{"\[Theta]", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.847967050137803*^9, 3.847967094172741*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"9b3bde45-2d10-48dd-b812-4271040e1bb7"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]Profitsb2"], "Input",
 CellChangeTimes->{{3.8479670981808357`*^9, 3.847967108774981*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"2f4e235e-d7c9-42f4-924d-efeb0812e849"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "cv", " ", "k"}], "+", 
     RowBox[{"cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"4", " ", "cv", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"f", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "cv", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"f", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"f", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"f", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"\[Theta]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"cs", " ", "kb"}], "+", 
     RowBox[{"csb", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
     RowBox[{"2", " ", "cs", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"cs", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"f", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"f", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"f", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.847967110170185*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"137d28da-f4c5-4ee3-97d3-d46a94b9b00a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%12", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"cba80645-7908-45b1-ab66-1d7a768e3999"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"k", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"csb", " ", "k", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cvb", " ", "k", " ", "kb"}], "-", 
     RowBox[{"2", " ", "csb", " ", "k", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "cvb", " ", "k", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"csb", " ", "k", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "cvb", " ", "k", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "2"], " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "k", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"f", " ", "kb", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"f", " ", "kb", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"2", " ", "k", " ", "kb", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"kb", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"f", " ", "k", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"f", " ", "k", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"2", " ", "k", " ", "kb", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"k", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"k", " ", "\[Alpha]", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.847967113907933*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"7a9dfd11-3fb4-43a8-bae5-4bba316f223f"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.848015651464246*^9},ExpressionUUID->"768c7f15-3ae3-4b03-9f8d-\
09854568a647"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{0, Automatic}, {Automatic, 5}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"651947a8-e0b9-4e75-87e6-d374becec500"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 304, 7, 84, "Text",ExpressionUUID->"ff515021-3af4-4d65-85d1-a6b033ab88a5"],
Cell[865, 29, 1828, 55, 73, "Input",ExpressionUUID->"8f68aab6-8515-4506-b52d-c1d849ae4d65"],
Cell[CellGroupData[{
Cell[2718, 88, 229, 4, 44, "Input",ExpressionUUID->"e4bb1fcc-ddcc-4724-b249-ed3a03575f07"],
Cell[2950, 94, 419, 10, 34, "Output",ExpressionUUID->"196ac7da-34ac-4079-a41a-d9f2a123ff10"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3406, 109, 259, 5, 44, "Input",ExpressionUUID->"f22fcff3-9030-48ab-9e20-4700177a8302"],
Cell[3668, 116, 422, 10, 52, "Output",ExpressionUUID->"38b01cd4-45c3-4784-93da-3832f7b770e4"]
}, Open  ]],
Cell[4105, 129, 924, 25, 85, "Text",ExpressionUUID->"67cfae92-6228-4172-8a75-7832e9feb274"],
Cell[5032, 156, 318, 7, 49, "Input",ExpressionUUID->"1ee85c53-644e-4d8e-8321-026955f58d27"],
Cell[CellGroupData[{
Cell[5375, 167, 178, 2, 30, "Input",ExpressionUUID->"59949d60-8951-4280-8ac9-ee7772287d1b"],
Cell[5556, 171, 938, 27, 54, "Output",ExpressionUUID->"f1a5ffdb-dbd5-4a4c-9339-9267d8d7029c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6531, 203, 928, 27, 64, "Input",ExpressionUUID->"e03cef33-70cc-45a9-b64b-894bec1f25eb"],
Cell[7462, 232, 794, 19, 54, "Output",ExpressionUUID->"c15ebc03-4397-44ef-a54f-fc798765e51d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8293, 256, 356, 7, 44, "Input",ExpressionUUID->"96b7e3cd-41f1-4411-9d69-0d1058c9759c"],
Cell[8652, 265, 2525, 65, 150, "Output",ExpressionUUID->"90822e0c-4b9b-4458-b799-27740e6ef5d7"]
}, Open  ]],
Cell[11192, 333, 1839, 51, 71, "Text",ExpressionUUID->"9599649a-585b-44cc-8b4a-c4a5ebaf635f"],
Cell[13034, 386, 2976, 77, 258, "Text",ExpressionUUID->"44601121-fd8c-4dc3-b13b-afb7352ac955"],
Cell[16013, 465, 473, 16, 30, "Input",ExpressionUUID->"314118cf-f136-4b5b-b450-7507c7f388a2"],
Cell[CellGroupData[{
Cell[16511, 485, 321, 7, 44, "Input",ExpressionUUID->"c719d7dc-86ab-4ed7-8868-806743ba3f1d"],
Cell[16835, 494, 390, 10, 52, "Output",ExpressionUUID->"2a64f571-61c5-471d-a6e0-8bf7e94bcf76"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17262, 509, 302, 5, 56, "Subsubsection",ExpressionUUID->"9ca49b08-764b-4465-9a31-a70b98ecacb7"],
Cell[17567, 516, 1163, 36, 113, "Input",ExpressionUUID->"a3663cf8-9bab-4193-b0d6-259c6401a5cf"],
Cell[CellGroupData[{
Cell[18755, 556, 181, 2, 30, "Input",ExpressionUUID->"da58d7ae-e4af-4135-bb02-552c5bd8ab3d"],
Cell[18939, 560, 1190, 36, 92, "Output",ExpressionUUID->"7fc1b3ba-ee9f-477f-a4cf-9743a1293bb5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20166, 601, 1234, 37, 105, "Input",ExpressionUUID->"2f47487f-24f7-4ad5-b3df-4d1eb468a80f"],
Cell[21403, 640, 823, 20, 54, "Output",ExpressionUUID->"11713ef1-af1a-4ac8-9d24-83e855ea10f7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22263, 665, 223, 4, 44, "Input",ExpressionUUID->"8ee53eea-d352-4ba6-9a32-b64a3f9596cf"],
Cell[22489, 671, 576, 14, 54, "Output",ExpressionUUID->"de7968b2-b5b9-4fb0-94ef-a007bff1a147"]
}, Open  ]],
Cell[23080, 688, 258, 5, 44, "Input",ExpressionUUID->"6a05dfd3-dae1-4bba-87d4-69394b5ec63c"],
Cell[23341, 695, 633, 17, 52, "Input",ExpressionUUID->"b693fdb6-2743-440d-aea7-516cafd7c4b9"],
Cell[23977, 714, 2020, 60, 119, "Text",ExpressionUUID->"567cadd2-722a-4b29-bf0a-c95616a8dc2a"],
Cell[CellGroupData[{
Cell[26022, 778, 1748, 45, 177, "Input",ExpressionUUID->"87b2e842-74b4-48a0-85f3-dca215d473eb"],
Cell[27773, 825, 1427, 37, 102, "Output",ExpressionUUID->"04876032-56ea-436c-9693-c277eae0008e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29237, 867, 1545, 41, 169, "Input",ExpressionUUID->"1733062f-de8d-4921-966a-865f9590d3b1"],
Cell[30785, 910, 1067, 30, 62, "Output",ExpressionUUID->"7993e195-2393-4e70-874f-91b4600c6577"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31889, 945, 259, 5, 44, "Input",ExpressionUUID->"29c40d76-886f-4526-85da-a95936b391d2"],
Cell[32151, 952, 2107, 64, 82, "Output",ExpressionUUID->"d0d0694b-504c-4e83-88d7-61a33ff68dd4"]
}, Open  ]],
Cell[34273, 1019, 748, 12, 115, "Input",ExpressionUUID->"3302e9fb-5e8b-4b53-a2da-9b31aa462672"],
Cell[CellGroupData[{
Cell[35046, 1035, 2296, 72, 122, "Input",ExpressionUUID->"21ca83e5-2f0e-43e5-9687-553e8fe7532c"],
Cell[37345, 1109, 7896, 147, 234, "Output",ExpressionUUID->"eb7d672d-8509-47a2-9f74-42c44de0aa62"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45278, 1261, 377, 8, 65, "Input",ExpressionUUID->"399f54d3-292a-4af5-8ae6-eecd386252ba"],
Cell[45658, 1271, 2446, 60, 234, "Output",ExpressionUUID->"02fcf579-5981-4849-a302-ba44be747ec5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48141, 1336, 923, 21, 44, "Input",ExpressionUUID->"a7cba156-a00e-48f5-83ff-3f4f2432b707"],
Cell[49067, 1359, 19955, 349, 234, "Output",ExpressionUUID->"bf83ac57-69d1-4d86-9a54-9ed4d085807f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69059, 1713, 587, 15, 80, "Input",ExpressionUUID->"fbed3f2d-8e80-4586-a490-7ba1e501c28b"],
Cell[69649, 1730, 20003, 355, 258, "Output",ExpressionUUID->"5866600f-3401-4e5d-a204-01b978fe38b0"]
}, Open  ]],
Cell[89667, 2088, 200, 4, 30, "Input",ExpressionUUID->"4823a407-e5ea-44b6-ab5c-f50db7364997"],
Cell[89870, 2094, 196, 3, 30, "Input",ExpressionUUID->"0c44375d-e456-489e-a849-f4a7eb5a29d2"],
Cell[90069, 2099, 1828, 58, 81, "Input",ExpressionUUID->"549835f5-8d7e-4d93-aa26-57df24514101"],
Cell[CellGroupData[{
Cell[91922, 2161, 762, 19, 80, "Input",ExpressionUUID->"8428ea87-c660-41cb-9237-3a7e5fdb9fb3"],
Cell[92687, 2182, 12818, 228, 234, "Output",ExpressionUUID->"1f5ad202-929e-462c-91cc-c52bbcefe14f"]
}, Open  ]],
Cell[105520, 2413, 551, 14, 80, "Input",ExpressionUUID->"15fb8b02-92f6-436d-bfd2-e36c2dfb2a4b"],
Cell[106074, 2429, 12742, 230, 236, "Input",ExpressionUUID->"423639b5-05e8-4460-a4f0-22341d5dcd01"],
Cell[118819, 2661, 225, 5, 44, "Input",ExpressionUUID->"0ca23ea5-b5f7-4c81-afdf-3b36fc3f15ae"],
Cell[119047, 2668, 14029, 261, 230, "Input",ExpressionUUID->"8fcbf035-90e6-491c-bbde-13d6d7635fa6"],
Cell[133079, 2931, 189, 3, 40, "Text",ExpressionUUID->"e2260fe4-d4d9-4199-b0ce-11835419931c"],
Cell[133271, 2936, 38544, 1131, 1381, "Text",ExpressionUUID->"82240fbc-68f6-4bc1-941c-e3f5582a9c52"],
Cell[171818, 4069, 225, 4, 35, "Text",ExpressionUUID->"577269fc-2dd4-4fa7-afa0-6b6f70e75b64"],
Cell[172046, 4075, 150, 3, 30, "Input",ExpressionUUID->"178ed4e0-11ac-4af2-898d-1f8fb6029f4a"],
Cell[172199, 4080, 2540, 75, 202, "Input",ExpressionUUID->"f2a6250e-9ca6-4342-ae2a-3a5765e13fa5"],
Cell[CellGroupData[{
Cell[174764, 4159, 175, 2, 30, "Input",ExpressionUUID->"83774665-f021-4b8c-9e28-0a8919c0cbe8"],
Cell[174942, 4163, 1003, 27, 62, "Output",ExpressionUUID->"c58ef2ab-cf51-448e-ac03-2cf21173f7b2"]
}, Open  ]],
Cell[175960, 4193, 1014, 28, 72, "Input",ExpressionUUID->"ab6ca91f-55e1-47d9-a361-57feddfc267f"],
Cell[CellGroupData[{
Cell[176999, 4225, 525, 14, 72, "Input",ExpressionUUID->"66977b16-ccfe-4e36-9d5b-95adf9313024"],
Cell[177527, 4241, 1048, 28, 62, "Output",ExpressionUUID->"46e38521-a771-4c34-b79d-f7176f36e9a8"]
}, Open  ]],
Cell[178590, 4272, 1062, 29, 72, "Input",ExpressionUUID->"e53236b2-be92-4c88-829c-e1fd482f321e"],
Cell[179655, 4303, 579, 16, 50, "Input",ExpressionUUID->"df117a65-7d5e-4084-8372-b51856d9e781"],
Cell[180237, 4321, 473, 13, 49, "Input",ExpressionUUID->"18cad1b8-9f23-40fc-914c-201c2c3d193f"],
Cell[180713, 4336, 1664, 50, 118, "Input",ExpressionUUID->"bd2e0255-ab7a-4a86-a65b-00d9d7bf290e"],
Cell[182380, 4388, 225, 4, 30, "Input",ExpressionUUID->"2ecdb727-e5a4-4c9a-9d09-2694b01fd4f6"],
Cell[182608, 4394, 1556, 45, 52, "Input",ExpressionUUID->"dac895c4-b3f7-4aad-917d-2de1e022c2f7"],
Cell[184167, 4441, 229, 4, 44, "Input",ExpressionUUID->"6087a3c7-8fee-4a29-8528-ceb60852884e"],
Cell[184399, 4447, 1509, 45, 52, "Input",ExpressionUUID->"d7442b4d-8383-40fb-9c06-b83124fa96e6"],
Cell[CellGroupData[{
Cell[185933, 4496, 3321, 93, 168, "Input",ExpressionUUID->"044c56de-5195-423b-9924-3a692b9b02ef"],
Cell[189257, 4591, 2643, 82, 100, "Output",ExpressionUUID->"0ea64e9f-c542-496d-b921-3522d4647076"]
}, Open  ]],
Cell[191915, 4676, 163, 3, 44, "Input",ExpressionUUID->"98aaa104-f333-4e3c-ad3c-a884ddaf9533"],
Cell[192081, 4681, 1919, 54, 100, "Input",ExpressionUUID->"202975c9-94fc-4ac3-88fc-1fc73891160f"],
Cell[194003, 4737, 479, 13, 30, "Input",ExpressionUUID->"f6194633-8b29-426c-a299-0153113e5d19"],
Cell[CellGroupData[{
Cell[194507, 4754, 179, 2, 30, "Input",ExpressionUUID->"02ed25d0-478c-47d1-944d-c09414e409da"],
Cell[194689, 4758, 1981, 62, 104, "Output",ExpressionUUID->"2b4a153b-b1f3-47e4-93ea-04cc1343876b"]
}, Open  ]],
Cell[196685, 4823, 2050, 63, 119, "Input",ExpressionUUID->"d2a2cc9c-a697-4237-8362-41537b716947"],
Cell[198738, 4888, 1881, 50, 100, "Input",ExpressionUUID->"81bd2837-297a-425b-bfdf-1f5e9bad6536"],
Cell[200622, 4940, 208, 4, 73, "Input",ExpressionUUID->"e8a8483b-1ac3-4f8c-86fe-1bc9b3bdaf71"],
Cell[CellGroupData[{
Cell[200855, 4948, 1566, 44, 139, "Input",ExpressionUUID->"5c2e7d0e-4b01-4945-9044-7dc82622d795"],
Cell[202424, 4994, 1982, 62, 104, "Output",ExpressionUUID->"522bc8c2-7bc6-4fd0-81b9-24fe797c60f8"]
}, Open  ]],
Cell[204421, 5059, 2049, 63, 119, "Input",ExpressionUUID->"7bed8ae0-6c97-43dd-9751-38c06c436ad3"],
Cell[206473, 5124, 1882, 50, 100, "Input",ExpressionUUID->"b8f9dde6-5f81-45fc-96cc-a7db0ef16c1a"],
Cell[CellGroupData[{
Cell[208380, 5178, 3760, 100, 211, "Input",ExpressionUUID->"0cfc690e-f54d-40f2-a5bf-6dbe7541c0ea"],
Cell[212143, 5280, 3374, 92, 145, "Output",ExpressionUUID->"7cc61103-0f29-4780-851f-b9611e1cb1f3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215554, 5377, 163, 3, 44, "Input",ExpressionUUID->"acfbdb09-10ca-4bbd-b33f-07aad5965087"],
Cell[215720, 5382, 1829, 52, 79, "Output",ExpressionUUID->"0f2a8f88-4459-4bc5-a609-f1d978573701"]
}, Open  ]],
Cell[217564, 5437, 71, 0, 35, "Text",ExpressionUUID->"200a9e89-dbf1-4077-a1fa-2339820fdba2"],
Cell[217638, 5439, 204, 5, 30, "Input",ExpressionUUID->"b200711e-de22-44b6-9b0e-cbfe3ddbf2cf"],
Cell[217845, 5446, 1578, 40, 256, "Input",ExpressionUUID->"58aaa073-f9f1-4020-a157-ccc373e02412"],
Cell[219426, 5488, 1554, 50, 73, "Input",ExpressionUUID->"96f27e4d-f6d4-4da0-9365-9efd63156de4"],
Cell[CellGroupData[{
Cell[221005, 5542, 172, 2, 30, "Input",ExpressionUUID->"84bf5830-1572-4f1d-b33a-25bd1359ac64"],
Cell[221180, 5546, 2451, 64, 159, "Output",ExpressionUUID->"a50bb387-0ace-4d85-bc77-e2e4d4e01c77"]
}, Open  ]],
Cell[CellGroupData[{
Cell[223668, 5615, 162, 3, 44, "Input",ExpressionUUID->"5b9c7ba3-5c15-4e2a-9c40-ad2921048bb8"],
Cell[223833, 5620, 871, 26, 59, "Output",ExpressionUUID->"20af18ae-976e-4d39-8de4-95cc02bd712d"]
}, Open  ]],
Cell[224719, 5649, 941, 27, 60, "Input",ExpressionUUID->"5b1a7ecc-aadd-4c64-b7c6-2ac3bc0935ca"],
Cell[CellGroupData[{
Cell[225685, 5680, 225, 4, 44, "Input",ExpressionUUID->"a264a3aa-6e94-4e22-a96c-b0ddbcf35a58"],
Cell[225913, 5686, 2267, 68, 74, "Output",ExpressionUUID->"4e6f7aed-6362-4ea1-ae14-dc452db34e49"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228217, 5759, 2343, 69, 145, "Input",ExpressionUUID->"ac4ab642-5262-4a9e-8083-320509402843"],
Cell[230563, 5830, 998, 30, 61, "Output",ExpressionUUID->"06946484-e107-42c3-9af6-8734b4fe1a1b"]
}, Open  ]],
Cell[231576, 5863, 304, 6, 35, "Text",ExpressionUUID->"007c6395-f6f2-40e6-8cdc-e1f6627491ed"],
Cell[CellGroupData[{
Cell[231905, 5873, 179, 2, 30, "Input",ExpressionUUID->"1e1dae36-e2ae-4328-8636-a8b1447b87f1"],
Cell[232087, 5877, 4989, 128, 306, "Output",ExpressionUUID->"644a8a2c-d257-410e-ae83-fe36f430b660"]
}, Open  ]],
Cell[237091, 6008, 161, 3, 44, "Input",ExpressionUUID->"7ec1c0c0-0b08-4f14-bfd1-5218950d6db8"],
Cell[237255, 6013, 4649, 127, 252, "Input",ExpressionUUID->"ad1980be-0a31-4531-a7ce-11e33ce345d3"],
Cell[241907, 6142, 8512, 223, 395, "Input",ExpressionUUID->"9b3bde45-2d10-48dd-b812-4271040e1bb7"],
Cell[CellGroupData[{
Cell[250444, 6369, 197, 2, 30, "Input",ExpressionUUID->"2f4e235e-d7c9-42f4-924d-efeb0812e849"],
Cell[250644, 6373, 8056, 218, 332, "Output",ExpressionUUID->"137d28da-f4c5-4ee3-97d3-d46a94b9b00a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[258737, 6596, 163, 3, 44, "Input",ExpressionUUID->"cba80645-7908-45b1-ab66-1d7a768e3999"],
Cell[258903, 6601, 6763, 182, 267, "Output",ExpressionUUID->"7a9dfd11-3fb4-43a8-bae5-4bba316f223f"]
}, Open  ]],
Cell[265681, 6786, 128, 3, 30, "Input",ExpressionUUID->"768c7f15-3ae3-4b03-9f8d-09854568a647"]
}, Open  ]]
}
]
*)

