(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     71313,       1932]
NotebookOptionsPosition[     64878,       1819]
NotebookOutlinePosition[     65286,       1836]
CellTagsIndexPosition[     65243,       1833]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "\n",
 StyleBox["Blockchain Model--SA pay for BEL\n", "Subtitle"],
 StyleBox["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", "Section"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.8594477754364*^9, 3.8594478013069963`*^9}, 
   3.859447848801239*^9},ExpressionUUID->"8da70118-74ed-4ef1-86e6-\
26d1ad97f2f4"],

Cell[BoxData[{
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb", " ", "-", "cvb"}]}]}], "Input",
 CellChangeTimes->{{3.84774692485349*^9, 3.847746972128188*^9}, {
  3.847747397472211*^9, 3.8477474241671333`*^9}, {3.847747702882146*^9, 
  3.847747709330879*^9}, {3.847747747143688*^9, 3.8477477763814287`*^9}, {
  3.847749431163137*^9, 3.8477494324598417`*^9}, {3.84793877916921*^9, 
  3.847938800764226*^9}, {3.859447859574151*^9, 3.859447873769586*^9}, {
  3.8594484971353807`*^9, 3.859448502862301*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"06fa2129-7c21-4d8b-a4e6-74232a429dd9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitvb", ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847747574908453*^9, 3.847747592385933*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"9907c7dd-e61f-4f2c-b9f6-bedf58db12e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "eb", " ", "kb"}], "+", 
  RowBox[{"pb", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.859447906053748*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"ed2c5394-980c-43ea-a6d5-499bc8710fec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8477475972713127`*^9, 3.847747624762442*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"e4d26ebd-3078-4e62-8ebd-aa5b21fb3b60"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"eb", "\[Rule]", 
    FractionBox[
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.859447935758842*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"045c1f00-27a8-472e-8e3f-59be3f6a17a7"]
}, Open  ]],

Cell[TextData[{
 "We now solve the Stackelberg game  by using backward induction. First, \
given any contingent price ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "B"], TraditionalForm]],ExpressionUUID->
  "fa06be36-ffe6-4f22-9734-125fa55a66e7"],
 " , by considering the first-order condition of Profitv, the vehicle \
manufacture\[CloseCurlyQuote]s best response is given as\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "^", "B"}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "+", "\[Theta]"}], 
     RowBox[{"2", 
      SuperscriptBox["k", "B"]}]]}], TraditionalForm]],ExpressionUUID->
  "582c7312-2f36-4307-8a8d-2d4fdcf8e72f"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.8594479671801863`*^9, 
  3.8594479950407753`*^9}},ExpressionUUID->"5dfded16-bb8c-4e5b-9705-\
0033db33afac"],

Cell[BoxData[
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.8477479605433083`*^9, 3.847747969736373*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"1edb5d18-7f61-46ca-b234-9aed4bf11240"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.859448001783947*^9, 3.859448005727776*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"00f0560b-8850-4cfa-b12d-39a8e260b8c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"pb", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"pb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "kb"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8594480069936*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"70037904-6240-4d0e-bb96-c5db95b09629"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "+", 
   RowBox[{"pb", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"pb", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "kb"}]], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"356391f7-c78a-491a-af2d-bb84c0b1fbbf"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "cv", " ", "kb"}], "+", 
   RowBox[{
    SuperscriptBox["pb", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", "kb"}], "+", "\[Theta]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "pb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"4", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.8594480097704353`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"cf0f6104-b064-4192-ac24-a46cb7502d8c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847747934928581*^9, 3.847747945655068*^9}, {
  3.847747990074339*^9, 3.847747990316766*^9}, {3.847749510013332*^9, 
  3.847749510233822*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"7760dcc2-2bc2-448e-8c89-2717c75dc48e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pb", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "kb"}], "-", 
          RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"kb", " ", "\[Theta]"}], "-", 
          RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"pb", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", "kb"}], "-", 
          RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"cv", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"kb", " ", "\[Theta]"}], "-", 
          RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.859448041473843*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"c00eb01c-76d5-4fc2-a07f-e522e1767a89"]
}, Open  ]],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \n",
 Cell[BoxData[
  RowBox[{"pb", ">", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "kb"}], "-", 
        RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["kb", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"kb", " ", "\[Theta]"}], "-", 
        RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]]}]],
  CellChangeTimes->{3.859448041473843*^9},ExpressionUUID->
  "9e8f548c-95b2-4269-8e11-14bd779c39ef"]
}], "Text",
 CellChangeTimes->{{3.85944806502345*^9, 
  3.859448117148883*^9}},ExpressionUUID->"baf5aa37-09b4-413c-9689-\
23e912903e55"],

Cell[TextData[{
 StyleBox["The IC\[CloseCurlyQuote]s Premium Rate Under Blockchain Model", 
  "Section"],
 "\nObserving the contract price p selected by the satellite owner, the \
insurance company can anticipate the vehicle manufacture\[CloseCurlyQuote]s \
effort e as given above. Operating in a competitive insurance market, the \
insurance company sets its premium rate r to breakeven in expectation. In \
other words, under the premium rate r that it offers, the insurance company\
\[CloseCurlyQuote]s expected profit,",
 StyleBox["r(\[Alpha] p+cs+f)",
  FontColor->RGBColor[1, 0, 0]],
 ", equals the expected coverage \n",
 StyleBox["(1-e) (\[Alpha] p+cs+f).",
  FontColor->RGBColor[1, 0, 0]],
 "\nSubstituting e given in",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847072090450409*^9, 3.847072097890996*^9}, {
   3.847074047134727*^9, 3.847074085951888*^9}},ExpressionUUID->
  "f5ca7b44-ca82-466b-ab37-ea00004ae183"],
 " , the insurance company breakeven condition can be satisfied if and only \
if",
 StyleBox[" p \[GreaterEqual] ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "IA"], TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "6c2046d6-632e-4840-ae4f-96256e7b407a"],
 StyleBox[" \[Congruent]",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"k", "^", "B"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "r"}], ")"}]}], "-", " ", "\[Theta]"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " "}]]],
  CellChangeTimes->{3.8470757908903217`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "50789a63-a33a-47ae-96bc-b4337dc208bf"],
 " ,which we refer as the ",
 StyleBox["insurance company\[CloseCurlyQuote]s underwriting constraint",
  FontColor->RGBColor[1, 0, 0]],
 ".  And the premium rate satisfied with ",
 Cell[BoxData[
  RowBox[{"r", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"]}], "-", 
     RowBox[{"p", 
      RowBox[{"(", 
       RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "B"]}]]}]],
  CellChangeTimes->{3.847327419294375*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "4ab4fc3e-5bce-4652-b450-4fbb35ac626c"]
}], "Text",
 CellChangeTimes->{{3.8477529191029577`*^9, 3.8477529268173313`*^9}, {
  3.8477530346284513`*^9, 3.847753035168612*^9}, {3.847753368807086*^9, 
  3.847753376803918*^9}, {3.84775342883288*^9, 3.8477534814311123`*^9}, {
  3.847753520141313*^9, 3.847753522236432*^9}, {3.8478701916038446`*^9, 
  3.847870195642421*^9}},ExpressionUUID->"cd4aa122-c8d1-455a-b063-\
43463770f7a2"],

Cell[BoxData[
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{3.859448528328466*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"d9b09ccc-4498-44c3-81ff-ab17d5a7d3d3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitib", "\[Equal]", "0"}], ",", "rb"}], "]"}]], "Input",
 CellChangeTimes->{{3.847752971073448*^9, 3.8477529789299994`*^9}, {
   3.847753019292562*^9, 3.847753026650053*^9}, 3.8594485307424803`*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"4eb450a1-f7d3-47d5-acdd-f6aa6748565f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"rb", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.859448583656502*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"5c7992db-59bf-4242-8e46-1c2d13ec2f77"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859448546392169*^9, 
  3.859448546393196*^9}},ExpressionUUID->"d5bb36e8-fbe8-4b04-aa43-\
d72d323f6367"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["The SO\[CloseCurlyQuote]s Optimal Contract when she \
pay for the BEL", "Section"]], "Subsubsection",
 CellChangeTimes->{{3.8470768941909723`*^9, 3.847076937239661*^9}, {
  3.847753509270722*^9, 3.8477535139856033`*^9}, {3.859448212077497*^9, 
  3.859448226482435*^9}},ExpressionUUID->"100ae43e-10c0-4da8-b44d-\
0c7d244eac83"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
    RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb", "-", "cvb"}]}]}], "Input",
 CellChangeTimes->{{3.847753541945079*^9, 3.847753558336581*^9}, 
   3.847964091568811*^9, {3.859448234924757*^9, 3.8594482392899847`*^9}, 
   3.859448483882091*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"63b57c6a-6890-4163-a939-1e97c2548b22"],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.859448245046524*^9, 3.859448248183028*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"dc9d14a8-dc93-44e7-9988-f16aa4bbf5a8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cvb", "-", 
  RowBox[{"pb", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"pb", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859448249011818*^9, 3.859448334161148*^9, 
  3.8594486024499903`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"a2d6fa11-cd66-4278-8ced-963a216a81a1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", "cvb", "-", 
   RowBox[{"pb", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", "f", "+", 
       RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb"}], "-", "pb", "+", 
       RowBox[{"pb", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"pb", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"pb", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"9db77f90-bbef-4891-9547-982e77e080ac"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "cs", " ", "kb"}], "+", 
     RowBox[{"2", " ", "csb", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
     RowBox[{"f", " ", "pb"}], "+", 
     SuperscriptBox["pb", "2"], "+", 
     RowBox[{"f", " ", "pb", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "kb", " ", "pb", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["pb", "2"], " ", "\[Alpha]"}], "+", 
     RowBox[{
      SuperscriptBox["pb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"f", " ", "\[Theta]"}], "+", 
     RowBox[{"pb", " ", "\[Theta]"}], "-", 
     RowBox[{"pb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",\

 CellChangeTimes->{3.859448607650576*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"3d9f6c75-9526-43a8-8de5-716065173c63"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"D", "[", 
   RowBox[{"%", ",", "pb"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.859448351582663*^9, 3.8594483602746077`*^9}, 
   3.8594486180643044`*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"e5e300b9-8010-4af3-b52a-3fa809d8e524"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "f"}], "+", 
    RowBox[{"2", " ", "pb"}], "+", 
    RowBox[{"f", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "pb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "pb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.859448361624105*^9, 3.859448620940027*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"fb6222d9-df24-4b40-aab1-eb87eb098b90"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.85944840169116*^9, 3.859448416413166*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"121c8452-1aca-47e5-a47a-1b31b7eecdb9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"pb", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859448417529365*^9, 3.859448627583733*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"e1f49118-7f19-48dc-853a-f955feeda155"]
}, Open  ]],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "B"], " ", "\[Alpha]", " "}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "75bc1e32-c548-465f-8545-7dffb23bdb1d"],
 "\ns.t.  p \[GreaterEqual] ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["k", "B"], 
         RowBox[{"(", 
          RowBox[{"cv", " ", "+", "cvb"}], ")"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Alpha]", "2"], 
         SuperscriptBox[
          SuperscriptBox["k", "B"], "2"]}], " ", "+", 
        RowBox[{
         SuperscriptBox["\[Theta]k", "B"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
    RowBox[{" ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], TraditionalForm]], 
  "Subsection",ExpressionUUID->"af705767-62a5-4775-a26f-d9a82be4ec09"],
 " ( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{
  3.8594484438447857`*^9},ExpressionUUID->"18005770-317f-4c40-a3a2-\
9474f3709773"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   StyleBox[
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["-",
    FontColor->RGBColor[1, 0, 0]], 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "kb"}], "-", 
        RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["kb", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"kb", " ", "\[Theta]"}], "-", 
        RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]]}]}]], "Input",
 CellChangeTimes->{{3.859448762531652*^9, 3.859448764152492*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"69075f88-39c0-49f6-91ca-c8d173fe15d9"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]p"], "Input",
 CellLabel->"In[15]:=",ExpressionUUID->"f8bad67e-6668-4273-a625-d80e056d081d"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", "kb"}], "-", 
       RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cv", " ", "kb", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["kb", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"kb", " ", "\[Theta]"}], "-", 
       RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"]}]]}]], "Output",
 CellChangeTimes->{3.85944878457603*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"36b30de3-7e6f-492d-abd7-3a8a3db339f1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", "kb"}], "-", 
        RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", "kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["kb", "2"], " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"kb", " ", "\[Theta]"}], "-", 
        RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"ac941077-927d-4535-91d8-07c3cbfb6f59"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"4", " ", 
    SqrtBox[
     RowBox[{"kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.859448793539484*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"03126934-5ebe-4a85-80dc-0bae79be173e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.859448811909979*^9, 3.8594488197718782`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"334e5b24-49b5-4394-b491-699e9c900b5c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"kb", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"kb", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859448820910637*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"6e22bbf4-7bcf-45e6-a3e6-d94d2f731d46"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"kb", ":=", "60"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
 RowBox[{"cvb", ":=", "10"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"kb", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       "2"]}]]}]]}], "\[IndentingNewLine]", 
 RowBox[{"f2", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"kb", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}]}], "Input",\

 CellChangeTimes->{{3.859450205497529*^9, 3.859450229253463*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"477ccb54-2cd6-4b07-8754-a165b5188c10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pf3", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "f2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.8"}], "}"}], ",", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", "\[Rule]", "\[IndentingNewLine]", 
       RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "0.8", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.859450265037191*^9, 3.859450282953124*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"3569b35b-238b-47e3-83b8-92517f4f2c3e"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxFl3c81e/7x60UURIZURlFUilSSq63UZEKhfAxU1HpOGSErGNFRlkle++9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    "], {{{}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.2], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1VOUHgYQBtDd2LY3Nhrb9sZONtZubNu2nbaxbdspkjJp47RJ3aC9/9mH
O9/rnDNnZkLCIkLDowQFBQXzhfJBfirH0IFanGAxQyjJIebSj0uspRVnWM4I
CrCbafTkImtozCmWcpthXGMj96jMURZwi4FcYT13acs5VnKHUVxnE/f5qP/P
5FhuEsYFVlObkyxhKFfZQCkOM4/+XGYdrTnLCkZSkD1MpxdNOM0yhlOFYyxk
EO34Tz+fy3F0pA6lOcJ8BtCGQuxlBr1pStXgyMFsYTydqEsZPmEfMwmnGdUI
ZisT6Ew9ylKY/cwiguZUJwrbmEgX6lOOIhxgNn1oQQ2isp1JdKUB5SlKNHYw
mW40pALFiM5OptCdUCpSnBjEJBaxiUNc4hGfBCQkEYlJQlKSkZwUpCQVqUlD
WtKRngxkJBMhZCYLWclGdnKQk1zkJg95yccuptKDRlSiBAeZQ19aUpPjLGIw
7TnPKkZzg83BkXuWPzBD433POX5nEUd5QR9msocfaUQ3JrKFrylHLdoxgnXc
ohAFKUB+8pGXPOQmFznJQXaykZUsZCaETGQkA+lJR1rSkJpUpCQFyUlGUpKQ
mEQkJAHxiUdZatKW4azlJnEpQw3aMIw13CAOpalOa4aymuvEJpSuTAjsGV9R
imq0YgiruEYsGtKF8YE7wZeUpCotGcxKrhKTBnRmXOAuBm4kJahCCwaxgivE
oD6dGMtm7lOcXkxlB99SmTns5yeaM5DlXCY6EcxgNz9Qj3kc5AkdOcFrxrCJ
exTjDG9ZwGGe0ZOT/MIU/mQ731CJfznNG2bzF/t4TDP+4RgvGcAfLOMS0XjH
WX5jIX9zhOeEc4pfmc4uvqcucznAz4RxnFeMZiN3Kcp8DvGUHkxmGw+pyCz2
8oim9GcpF4lKb6axk++oQwdGsYE7FKE7k9jKAyrQhH4s4QKBn1mb9oxkPbcp
THka05fFnA+K/K//Aw883Zo=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], 
        LineBox[{1, 198, 151, 113, 84, 63, 51, 210, 163, 125, 96, 75, 2, 199, 
         152, 114, 85, 64, 219, 172, 134, 105, 52, 211, 164, 126, 97, 76, 223,
          176, 138, 109, 3, 200, 153, 115, 86, 227, 180, 142, 65, 220, 173, 
         135, 106, 232, 185, 147, 53, 212, 165, 127, 237, 190, 98, 230, 183, 
         145, 77, 224, 177, 139, 240, 193, 110, 234, 187, 248, 149, 243, 196, 
         251, 4, 201, 154, 245, 116, 236, 189, 249, 87, 228, 181, 247, 143, 
         241, 194, 250, 66, 221, 174, 246, 136, 239, 192, 107, 233, 186, 148, 
         242, 195, 54, 213, 166, 128, 238, 191, 99, 231, 184, 146, 78, 225, 
         178, 140, 111, 5, 202, 155, 117, 88, 229, 182, 144, 67, 222, 175, 
         137, 108, 55, 214, 167, 129, 100, 79, 6, 203, 156, 118, 89, 68, 56, 
         215, 168, 130, 101, 80, 7, 204, 157, 119, 90, 69, 57, 216, 169, 131, 
         102, 81, 8, 205, 158, 120, 91, 70, 58, 217, 170, 132, 103, 82, 9, 
         206, 159, 121, 92, 71, 59, 10, 207, 160, 122, 93, 72, 60, 11, 208, 
         161, 123, 94, 73, 61, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23,
          24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 
         41, 42, 43, 44, 45, 46, 47, 48, 49, 209, 162, 124, 95, 74, 62, 218, 
         171, 133, 104, 83, 226, 179, 141, 112, 235, 188, 150, 244, 197, 252, 
         50}]},
       Annotation[#, "Charting`Private`Tag$10689#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV0dVSFQAABNCL3d19RRS7O7AVFVRUsAM7EREbBWyxULG7u7sLRbHzwW8R
PTyc2dm3ndlgfELMgpBAIPCHv5xXUpnCIJ6xj2V05gGZLOIdJxjHKw6xipbc
ZAtzyeE4I3nBAb6xgo+c4Sd9eMwevpJMLqf4wUSyOcJ3VvOJs/wiz/4LMo0v
xPOWYwzmOftZzgdO04WH7CKJ95xkPK85TAqtuEUG8xjFSw6ykr48IYslTOKf
PRdlOlMZQlcesZvFTKA1t9nKfGLpl38Kl1jLNKLoRhvusI388+LoTwiXWcd0
oulOW+6ynQRGM4ACXGE9MxhKD9pxjx0sZAwDKchVNjCTYUTQnkJcYyOzGE5P
OlCY62xiNjH0oiNFKEoxilOCkpSiNGUoSznKU4GKVKIyVahKNapTg5rUojZ1
qEs9gtQnlAaE0ZBGhNOYJjSlGc25wWbmMILedOI+O0lkLJE8ZS9LmcwbjrKG
z5zjNy34DwIjYRU=
         "]]},
       Annotation[#, "Charting`Private`Tag$10689#2"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 244.9489745827529},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.8}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 0.8}, {244.9489745827529, 599.3100940371891}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.859450273820162*^9, 3.8594502840725183`*^9}},
 CellLabel->"Out[26]=",ExpressionUUID->"ef277ec8-c3ed-40e2-a079-00ac61871d75"]
}, Open  ]],

Cell["\<\
The profit:
\
\>", "Text",
 CellChangeTimes->{{3.859450343337944*^9, 
  3.859450349473587*^9}},ExpressionUUID->"43d0af90-9d39-4132-b8aa-\
127df6bd34a5"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{"pb", "-", 
     RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "kb"}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", " ", 
  RowBox[{"1", "-", "eb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb", "-", "cvb"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.85945039225144*^9, 3.859450418973852*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e12ca16f-e2c7-4c3a-a490-861d6ad6312d"],

Cell[CellGroupData[{

Cell[BoxData["eb"], "Input",
 CellChangeTimes->{{3.85945044020502*^9, 3.8594504437198133`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"413edbb3-dfd3-4fba-beac-8cb9d86e0e14"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "kb"}]]], "Output",
 CellChangeTimes->{3.859450444480567*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"a0770297-1cba-49ee-853a-19a2a24847ec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "kb"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"236dd620-81bc-4c73-8ab8-352e324cfef7"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["f", "kb"], "+", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]"}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
    FractionBox["\[Theta]", "kb"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859450450442974*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"20d3dc67-b786-4161-977c-383822d66457"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["rb"], "Input",
 CellChangeTimes->{{3.8594504537263203`*^9, 3.859450454793315*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"247dbbd5-49dd-4872-9ced-87df9305dc76"],

Cell[BoxData[
 RowBox[{"1", "-", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.859450455272242*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"0a8d8cc6-8195-4a1a-ac9d-f8911bf58051"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "-", 
   FractionBox[
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    RowBox[{"2", " ", "kb"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"b5e9896f-cc8a-4267-90d4-d7bde5fad96c"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "+", 
   RowBox[{"2", " ", "kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"4", " ", "kb", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.859450457272696*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"fff47a49-e9fb-4833-8ad1-817c07083073"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"rb", ":=", 
  RowBox[{"1", "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]], "-", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"eb", ":=", 
  StyleBox[
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"], "-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb", "-", "cvb"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.859450469486827*^9, 3.85945047110107*^9}, {
  3.859450526077877*^9, 3.859450554793116*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"4afa4a7c-a015-44f1-a0dd-0c2b59a8b030"],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.859450559342915*^9, 3.8594505639133463`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"9d7961c0-e316-4661-87bc-4f683b4b6ccf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cvb", "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", "\[Alpha]"}], 
       RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
     FractionBox[
      RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"f", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.859450564844936*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"6e6bdafc-e900-42dc-b25f-bd4b0543b6a3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", "cvb", "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"f", "+", "\[Theta]"}], "kb"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"006e0b67-118d-4028-aa8a-413b45e87bbc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cvb", "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.8594505734341383`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"db31caeb-478f-4d48-9e27-8972d2fa0663"]
}, Open  ]],

Cell[BoxData[""], "Input",ExpressionUUID->"80741104-ee07-4254-a638-ff09180b02e1"]
}, Open  ]]
},
WindowSize->{714, 730},
WindowMargins->{{Automatic, -40}, {Automatic, 16}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"75f94076-023f-430a-a1f8-98ac57dee0b9"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 330, 8, 130, "Text",ExpressionUUID->"8da70118-74ed-4ef1-86e6-26d1ad97f2f4"],
Cell[891, 30, 1898, 54, 94, "Input",ExpressionUUID->"06fa2129-7c21-4d8b-a4e6-74232a429dd9"],
Cell[CellGroupData[{
Cell[2814, 88, 229, 4, 44, "Input",ExpressionUUID->"9907c7dd-e61f-4f2c-b9f6-bedf58db12e4"],
Cell[3046, 94, 321, 8, 34, "Output",ExpressionUUID->"ed2c5394-980c-43ea-a6d5-499bc8710fec"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3404, 107, 259, 5, 44, "Input",ExpressionUUID->"e4d26ebd-3078-4e62-8ebd-aa5b21fb3b60"],
Cell[3666, 114, 353, 9, 52, "Output",ExpressionUUID->"045c1f00-27a8-472e-8e3f-59be3f6a17a7"]
}, Open  ]],
Cell[4034, 126, 882, 25, 131, "Text",ExpressionUUID->"5dfded16-bb8c-4e5b-9705-0033db33afac"],
Cell[4919, 153, 318, 7, 49, "Input",ExpressionUUID->"1edb5d18-7f61-46ca-b234-9aed4bf11240"],
Cell[CellGroupData[{
Cell[5262, 164, 178, 2, 30, "Input",ExpressionUUID->"00f0560b-8850-4cfa-b12d-39a8e260b8c1"],
Cell[5443, 168, 878, 26, 54, "Output",ExpressionUUID->"70037904-6240-4d0e-bb96-c5db95b09629"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6358, 199, 916, 27, 64, "Input",ExpressionUUID->"356391f7-c78a-491a-af2d-bb84c0b1fbbf"],
Cell[7277, 228, 782, 23, 54, "Output",ExpressionUUID->"cf0f6104-b064-4192-ac24-a46cb7502d8c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8096, 256, 355, 7, 44, "Input",ExpressionUUID->"7760dcc2-2bc2-448e-8c89-2717c75dc48e"],
Cell[8454, 265, 1901, 50, 127, "Output",ExpressionUUID->"c00eb01c-76d5-4fc2-a07f-e522e1767a89"]
}, Open  ]],
Cell[10370, 318, 1185, 31, 66, "Text",ExpressionUUID->"baf5aa37-09b4-413c-9689-23e912903e55"],
Cell[11558, 351, 2976, 77, 281, "Text",ExpressionUUID->"cd4aa122-c8d1-455a-b063-43463770f7a2"],
Cell[14537, 430, 491, 15, 30, "Input",ExpressionUUID->"d9b09ccc-4498-44c3-81ff-ab17d5a7d3d3"],
Cell[CellGroupData[{
Cell[15053, 449, 340, 6, 44, "Input",ExpressionUUID->"4eb450a1-f7d3-47d5-acdd-f6aa6748565f"],
Cell[15396, 457, 391, 10, 52, "Output",ExpressionUUID->"5c7992db-59bf-4242-8e46-1c2d13ec2f77"]
}, Open  ]],
Cell[15802, 470, 152, 3, 30, InheritFromParent,ExpressionUUID->"d5bb36e8-fbe8-4b04-aa43-d72d323f6367"],
Cell[CellGroupData[{
Cell[15979, 477, 350, 5, 56, "Subsubsection",ExpressionUUID->"100ae43e-10c0-4da8-b44d-0c7d244eac83"],
Cell[16332, 484, 1271, 37, 134, "Input",ExpressionUUID->"63b57c6a-6890-4163-a939-1e97c2548b22"],
Cell[CellGroupData[{
Cell[17628, 525, 179, 2, 30, "Input",ExpressionUUID->"dc9d14a8-dc93-44e7-9988-f16aa4bbf5a8"],
Cell[17810, 529, 1249, 37, 92, "Output",ExpressionUUID->"a2d6fa11-cd66-4278-8ced-963a216a81a1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19096, 571, 1246, 37, 105, "Input",ExpressionUUID->"9db77f90-bbef-4891-9547-982e77e080ac"],
Cell[20345, 610, 933, 24, 75, "Output",ExpressionUUID->"3d9f6c75-9526-43a8-8de5-716065173c63"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21315, 639, 290, 6, 65, InheritFromParent,ExpressionUUID->"e5e300b9-8010-4af3-b52a-3fa809d8e524"],
Cell[21608, 647, 598, 14, 54, "Output",ExpressionUUID->"fb6222d9-df24-4b40-aab1-eb87eb098b90"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22243, 666, 257, 5, 44, "Input",ExpressionUUID->"121c8452-1aca-47e5-a47a-1b31b7eecdb9"],
Cell[22503, 673, 599, 16, 55, "Output",ExpressionUUID->"e1f49118-7f19-48dc-853a-f955feeda155"]
}, Open  ]],
Cell[23117, 692, 1950, 59, 139, "Text",ExpressionUUID->"18005770-317f-4c40-a3a2-9474f3709773"],
Cell[25070, 753, 1434, 39, 102, "Input",ExpressionUUID->"69075f88-39c0-49f6-91ca-c8d173fe15d9"],
Cell[CellGroupData[{
Cell[26529, 796, 121, 1, 30, "Input",ExpressionUUID->"f8bad67e-6668-4273-a625-d80e056d081d"],
Cell[26653, 799, 1229, 33, 102, "Output",ExpressionUUID->"36b30de3-7e6f-492d-abd7-3a8a3db339f1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27919, 837, 1279, 35, 117, "Input",ExpressionUUID->"ac941077-927d-4535-91d8-07c3cbfb6f59"],
Cell[29201, 874, 895, 25, 62, "Output",ExpressionUUID->"03126934-5ebe-4a85-80dc-0bae79be173e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30133, 904, 259, 5, 44, "Input",ExpressionUUID->"334e5b24-49b5-4394-b491-699e9c900b5c"],
Cell[30395, 911, 1915, 59, 82, "Output",ExpressionUUID->"6e22bbf4-7bcf-45e6-a3e6-d94d2f731d46"]
}, Open  ]],
Cell[32325, 973, 3876, 122, 274, "Input",ExpressionUUID->"477ccb54-2cd6-4b07-8754-a165b5188c10"],
Cell[CellGroupData[{
Cell[36226, 1099, 686, 18, 80, "Input",ExpressionUUID->"3569b35b-238b-47e3-83b8-92517f4f2c3e"],
Cell[36915, 1119, 13341, 235, 237, "Output",ExpressionUUID->"ef277ec8-c3ed-40e2-a079-00ac61871d75"]
}, Open  ]],
Cell[50271, 1357, 162, 6, 58, "Text",ExpressionUUID->"43d0af90-9d39-4132-b8aa-127df6bd34a5"],
Cell[50436, 1365, 2263, 70, 223, "Input",ExpressionUUID->"e12ca16f-e2c7-4c3a-a490-861d6ad6312d"],
Cell[CellGroupData[{
Cell[52724, 1439, 173, 2, 30, "Input",ExpressionUUID->"413edbb3-dfd3-4fba-beac-8cb9d86e0e14"],
Cell[52900, 1443, 976, 27, 62, "Output",ExpressionUUID->"a0770297-1cba-49ee-853a-19a2a24847ec"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53913, 1475, 1013, 28, 72, "Input",ExpressionUUID->"236dd620-81bc-4c73-8ab8-352e324cfef7"],
Cell[54929, 1505, 414, 12, 52, "Output",ExpressionUUID->"20d3dc67-b786-4161-977c-383822d66457"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55380, 1522, 174, 2, 30, "Input",ExpressionUUID->"247dbbd5-49dd-4872-9ced-87df9305dc76"],
Cell[55557, 1526, 1023, 28, 62, "Output",ExpressionUUID->"0a8d8cc6-8195-4a1a-ac9d-f8911bf58051"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56617, 1559, 1062, 29, 72, "Input",ExpressionUUID->"b5e9896f-cc8a-4267-90d4-d7bde5fad96c"],
Cell[57682, 1590, 524, 14, 53, "Output",ExpressionUUID->"fff47a49-e9fb-4833-8ad1-817c07083073"]
}, Open  ]],
Cell[58221, 1607, 1935, 61, 201, "Input",ExpressionUUID->"4afa4a7c-a015-44f1-a0dd-0c2b59a8b030"],
Cell[CellGroupData[{
Cell[60181, 1672, 181, 2, 30, "Input",ExpressionUUID->"9d7961c0-e316-4661-87bc-4f683b4b6ccf"],
Cell[60365, 1676, 1436, 43, 100, "Output",ExpressionUUID->"6e6bdafc-e900-42dc-b25f-bd4b0543b6a3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61838, 1724, 1486, 44, 113, "Input",ExpressionUUID->"006e0b67-118d-4028-aa8a-413b45e87bbc"],
Cell[63327, 1770, 1439, 43, 100, "Output",ExpressionUUID->"db31caeb-478f-4d48-9e27-8972d2fa0663"]
}, Open  ]],
Cell[64781, 1816, 81, 0, 30, "Input",ExpressionUUID->"80741104-ee07-4254-a638-ff09180b02e1"]
}, Open  ]]
}
]
*)

