(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     32002,        869]
NotebookOptionsPosition[     29327,        818]
NotebookOutlinePosition[     29734,        835]
CellTagsIndexPosition[     29691,        832]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 StyleBox[
  RowBox[{"Blockchain", " ", 
   RowBox[{"Model", "--"}], "VM", " ", "leader"}], "Subtitle"], "\n", 
 StyleBox[
  RowBox[{"The", " ", 
   RowBox[{"SO", "'"}], "s", " ", "Effort", " ", "Under", " ", "Insurance", 
   " ", "Model"}], "Section"]}], "Input",
 CellChangeTimes->{{3.859451469465022*^9, 
  3.8594515050588007`*^9}},ExpressionUUID->"75a74793-df95-44ed-a4ee-\
4109b7b80cc1"],

Cell[BoxData[{
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   "csb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "pb"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Profitvb", ":=", 
   RowBox[{
    RowBox[{"\[Alpha]", " ", "pb"}], "+", 
    RowBox[{"eb", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
    RowBox[{"kb", "*", 
     RowBox[{"(", 
      RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.84774692485349*^9, 3.847746972128188*^9}, {
  3.847747397472211*^9, 3.8477474241671333`*^9}, {3.847747702882146*^9, 
  3.847747709330879*^9}, {3.847747747143688*^9, 3.8477477763814287`*^9}, {
  3.847749431163137*^9, 3.8477494324598417`*^9}, {3.84793877916921*^9, 
  3.847938800764226*^9}, {3.8594515624979887`*^9, 3.859451643321137*^9}, {
  3.8594519059088984`*^9, 3.859451921335861*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"7a7a4910-7af5-4f1b-ab75-fed66f353db2"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8594530186979113`*^9, 
  3.8594530187028437`*^9}},ExpressionUUID->"99af2956-4950-4c69-851b-\
6290fd3c1aa2"],

Cell["\<\
we assume the SA , to simplfy the question, we set the \[Alpha]=1- \
\[Beta]*pb, then the payoff of SA is :\
\>", "Text",
 CellChangeTimes->{{3.859451927750812*^9, 3.859452050061626*^9}, {
  3.859453039937043*^9, 
  3.859453050198208*^9}},ExpressionUUID->"a0037cfe-5c1f-4b8d-8185-\
20198fd6ce74"],

Cell[BoxData[
 RowBox[{"Profitsb2", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"\[Beta]", " ", "pb"}]}], ")"}]}], " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}]}], ")"}], "pb"}]}], 
     ")"}]}], "-", "cs", " ", "-", 
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}], "pb"}], "+", "cs", "+",
       "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], " ", ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}], " ", "pb"}], "+", "cs",
       "+", "f"}], ")"}]}], "-", "csb"}]}]], "Input",
 CellChangeTimes->{{3.8594520587305403`*^9, 3.859452076544445*^9}, 
   3.859452108271451*^9, {3.85945305438356*^9, 3.8594531347796297`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"16974854-80e4-4192-b50f-98d08ffa64db"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitsb2", ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859452087522633*^9, 3.8594521164600077`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"4e0089e6-b8b4-46a0-9355-22db64854da5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  RowBox[{"2", " ", "pb", " ", "\[Beta]"}], "-", 
  RowBox[{"2", " ", "eb", " ", "pb", " ", "\[Beta]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "eb"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "pb", " ", "\[Beta]"}]}], ")"}]}], "-", 
  RowBox[{"rb", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "pb", " ", "\[Beta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859452117158161*^9, 3.85945314200105*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"f994b317-3b4c-4445-b469-9527375ade81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8594521211161537`*^9, 3.8594521306451263`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"e06f9c6e-8834-4f37-8e81-841bf9938ec2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"pb", "\[Rule]", 
    FractionBox[
     RowBox[{"eb", "+", "rb"}], 
     RowBox[{"2", " ", "rb", " ", "\[Beta]"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8594521315202093`*^9, 3.859453145801064*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"01579329-5993-4936-911d-d93c936d508c"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"The", " ", 
    RowBox[{"IC", "'"}], "s", " ", "Premium", " ", "Rate"}], " ", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "Section"]], "Input",
 CellChangeTimes->{{3.859453179428543*^9, 
  3.859453203634452*^9}},ExpressionUUID->"65bf8622-a285-46f5-8238-\
511fe9dd057a"],

Cell[BoxData[{
 RowBox[{"Profitib", ":=", 
  RowBox[{
   RowBox[{"rb", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}], " ", "pb"}], "+", "cs",
       "+", "f"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}], " ", "pb"}], "+", "cs",
       "+", "f"}], ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"eb", "+", "rb"}], 
   RowBox[{"2", " ", "rb", " ", "\[Beta]"}]]}]}], "Input",
 CellChangeTimes->{{3.859453221799615*^9, 3.859453227558364*^9}, {
  3.859453466575992*^9, 3.859453472410043*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e993ae7c-d616-46e4-b138-54de54fbbfaf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"Profitib", "\[Equal]", "0"}], ",", "rb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859453241206469*^9, 3.85945325638657*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"ac503916-d896-4e79-b126-10b60da99146"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rb", "\[Rule]", 
     RowBox[{"1", "-", "eb"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rb", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["eb", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"4", " ", "f", " ", "\[Beta]"}]}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rb", "\[Rule]", 
     FractionBox["eb", 
      SqrtBox[
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"4", " ", "f", " ", "\[Beta]"}]}]]]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.859453265359044*^9, {3.859453480586802*^9, 3.859453499448471*^9}},
 CellLabel->"Out[3]=",ExpressionUUID->"ac4b8d38-105d-4c63-b923-c2a6713e0001"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"The", " ", 
   RowBox[{"VM", "'"}], "s", " ", "Optimal", " ", "Decision"}], 
  "Section"]], "Input",
 CellChangeTimes->{{3.859453294941037*^9, 
  3.8594533075528297`*^9}},ExpressionUUID->"c2b5aea2-c267-4116-9a6d-\
5018a4695103"],

Cell[BoxData[{
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"eb", "+", "rb"}], 
   RowBox[{"2", " ", "rb", " ", "\[Beta]"}]]}], "\[IndentingNewLine]", 
 RowBox[{"rb", ":=", 
  RowBox[{"1", "-", "eb"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}], " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"\[Beta]", " ", "pb"}]}], " ", ")"}]}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb"}]}]}], "Input",\

 CellChangeTimes->{{3.8594533254312553`*^9, 3.859453345889015*^9}, {
  3.8594535171293783`*^9, 3.859453520240615*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"38dc0ebb-de78-4680-8627-50cdc1b389ed"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.859453354393592*^9, 3.859453357645629*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"7a87c76f-26a3-4b51-9a51-8eb8ecbf321b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "-", 
  RowBox[{
   SuperscriptBox["eb", "2"], " ", "kb"}], "+", 
  FractionBox[
   RowBox[{"1", "-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "eb"}], ")"}]}]]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Beta]"}]], "+", 
  FractionBox["eb", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "eb"}], ")"}], "2"], " ", "\[Beta]"}]], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.859453358360651*^9, 3.859453530365176*^9, 
  3.8594536020712843`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"4f641119-303a-4f4e-80b9-19a91cfa7356"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", "cvb", "-", 
   RowBox[{
    SuperscriptBox["eb", "2"], " ", "kb"}], "+", 
   FractionBox[
    RowBox[{"1", "-", 
     FractionBox["1", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "eb"}], ")"}]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Beta]"}]], "+", 
   FractionBox["eb", 
    RowBox[{"4", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "eb"}], ")"}], "2"], " ", "\[Beta]"}]], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Theta]"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"ded6f8ea-78bf-4e7d-a664-ca14d0c9ac86"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "cv", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}], "+", 
    RowBox[{"4", " ", "cvb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "2"], " ", "kb", " ", "\[Beta]"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "3"], " ", "kb", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "eb", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "2"], " ", "\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}]]}]], "Output",
 CellChangeTimes->{3.859453533251834*^9, 3.859453608925981*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"58ebcbdc-e4d4-49c3-8e27-05ee5c38b524"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859453365945187*^9, 3.859453382440831*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"f9bc0284-d675-418f-ba6e-284634d09043"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"4", " ", "cv", " ", "\[Beta]"}], "+", 
     RowBox[{"4", " ", "cvb", " ", "\[Beta]"}], "-", 
     RowBox[{"8", " ", "eb", " ", "kb", " ", "\[Beta]"}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["eb", "2"], " ", "kb", " ", "\[Beta]"}], "+", 
     RowBox[{"8", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
     RowBox[{"8", " ", "eb", " ", "\[Beta]", " ", "\[Theta]"}]}], 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}]]}], "+", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "cv", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}], "+", 
    RowBox[{"4", " ", "cvb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "2"], " ", "kb", " ", "\[Beta]"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "3"], " ", "kb", " ", "\[Beta]"}], "-", 
    RowBox[{"4", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "eb", " ", "\[Beta]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["eb", "2"], " ", "\[Beta]", " ", "\[Theta]"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "eb"}], ")"}], "2"], " ", 
    "\[Beta]"}]]}]], "Output",
 CellChangeTimes->{3.859453383539867*^9, 3.859453542913563*^9, 
  3.859453619813138*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"5f04edeb-cc52-451b-a69d-57773979429d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859453398418365*^9, 3.859453407362144*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"5fd05f78-28a4-474c-84ee-e27c6c0f2362"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eb", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", "kb", " ", "\[Beta]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"6", " ", "kb", " ", "\[Beta]"}]], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "64"}], " ", 
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Beta]", "2"]}], "+", 
         RowBox[{"64", " ", "kb", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", 
          SuperscriptBox["\[Theta]", "2"]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"48", " ", 
         SuperscriptBox["2", 
          RowBox[{"2", "/", "3"}]], " ", "kb", " ", "\[Beta]", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "27"}], " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "2"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["kb", "3"], " ", 
             SuperscriptBox["\[Beta]", "3"]}], "-", 
            RowBox[{"24", " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
            RowBox[{"12", " ", "kb", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "3"]}], "+", 
            RowBox[{"3", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"27", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "4"]}], "-", 
               RowBox[{"32", " ", 
                SuperscriptBox["kb", "5"], " ", 
                SuperscriptBox["\[Beta]", "5"]}], "+", 
               RowBox[{"48", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
               RowBox[{"24", " ", 
                SuperscriptBox["kb", "3"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["kb", "2"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"6", " ", 
         SuperscriptBox["2", 
          RowBox[{"1", "/", "3"}]], " ", "kb", " ", "\[Beta]"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "27"}], " ", 
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Beta]", "2"]}], "+", 
          RowBox[{"16", " ", 
           SuperscriptBox["kb", "3"], " ", 
           SuperscriptBox["\[Beta]", "3"]}], "-", 
          RowBox[{"24", " ", 
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
          RowBox[{"12", " ", "kb", " ", 
           SuperscriptBox["\[Beta]", "3"], " ", 
           SuperscriptBox["\[Theta]", "2"]}], "-", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Beta]", "3"], " ", 
           SuperscriptBox["\[Theta]", "3"]}], "+", 
          RowBox[{"3", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"27", " ", 
              SuperscriptBox["kb", "4"], " ", 
              SuperscriptBox["\[Beta]", "4"]}], "-", 
             RowBox[{"32", " ", 
              SuperscriptBox["kb", "5"], " ", 
              SuperscriptBox["\[Beta]", "5"]}], "+", 
             RowBox[{"48", " ", 
              SuperscriptBox["kb", "4"], " ", 
              SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
             RowBox[{"24", " ", 
              SuperscriptBox["kb", "3"], " ", 
              SuperscriptBox["\[Beta]", "5"], " ", 
              SuperscriptBox["\[Theta]", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["kb", "2"], " ", 
              SuperscriptBox["\[Beta]", "5"], " ", 
              SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"eb", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", "kb", " ", "\[Beta]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"6", " ", "kb", " ", "\[Beta]"}]], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            SqrtBox["3"]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "64"}], " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "2"]}], "+", 
           RowBox[{"64", " ", "kb", " ", 
            SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
           RowBox[{"16", " ", 
            SuperscriptBox["\[Beta]", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"96", " ", 
         SuperscriptBox["2", 
          RowBox[{"2", "/", "3"}]], " ", "kb", " ", "\[Beta]", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "27"}], " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "2"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["kb", "3"], " ", 
             SuperscriptBox["\[Beta]", "3"]}], "-", 
            RowBox[{"24", " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
            RowBox[{"12", " ", "kb", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "3"]}], "+", 
            RowBox[{"3", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"27", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "4"]}], "-", 
               RowBox[{"32", " ", 
                SuperscriptBox["kb", "5"], " ", 
                SuperscriptBox["\[Beta]", "5"]}], "+", 
               RowBox[{"48", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
               RowBox[{"24", " ", 
                SuperscriptBox["kb", "3"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["kb", "2"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"12", " ", 
         SuperscriptBox["2", 
          RowBox[{"1", "/", "3"}]], " ", "kb", " ", "\[Beta]"}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "27"}], " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "2"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["kb", "3"], " ", 
            SuperscriptBox["\[Beta]", "3"]}], "-", 
           RowBox[{"24", " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"12", " ", "kb", " ", 
            SuperscriptBox["\[Beta]", "3"], " ", 
            SuperscriptBox["\[Theta]", "2"]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Beta]", "3"], " ", 
            SuperscriptBox["\[Theta]", "3"]}], "+", 
           RowBox[{"3", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"27", " ", 
               SuperscriptBox["kb", "4"], " ", 
               SuperscriptBox["\[Beta]", "4"]}], "-", 
              RowBox[{"32", " ", 
               SuperscriptBox["kb", "5"], " ", 
               SuperscriptBox["\[Beta]", "5"]}], "+", 
              RowBox[{"48", " ", 
               SuperscriptBox["kb", "4"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
              RowBox[{"24", " ", 
               SuperscriptBox["kb", "3"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", 
               SuperscriptBox["\[Theta]", "2"]}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["kb", "2"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", 
               SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"eb", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", "kb", " ", "\[Beta]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Theta]"}]}], 
       RowBox[{"6", " ", "kb", " ", "\[Beta]"}]], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            SqrtBox["3"]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "64"}], " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "2"]}], "+", 
           RowBox[{"64", " ", "kb", " ", 
            SuperscriptBox["\[Beta]", "2"], " ", "\[Theta]"}], "-", 
           RowBox[{"16", " ", 
            SuperscriptBox["\[Beta]", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"96", " ", 
         SuperscriptBox["2", 
          RowBox[{"2", "/", "3"}]], " ", "kb", " ", "\[Beta]", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "27"}], " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "2"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["kb", "3"], " ", 
             SuperscriptBox["\[Beta]", "3"]}], "-", 
            RowBox[{"24", " ", 
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
            RowBox[{"12", " ", "kb", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["\[Beta]", "3"], " ", 
             SuperscriptBox["\[Theta]", "3"]}], "+", 
            RowBox[{"3", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"27", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "4"]}], "-", 
               RowBox[{"32", " ", 
                SuperscriptBox["kb", "5"], " ", 
                SuperscriptBox["\[Beta]", "5"]}], "+", 
               RowBox[{"48", " ", 
                SuperscriptBox["kb", "4"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
               RowBox[{"24", " ", 
                SuperscriptBox["kb", "3"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["kb", "2"], " ", 
                SuperscriptBox["\[Beta]", "5"], " ", 
                SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"12", " ", 
         SuperscriptBox["2", 
          RowBox[{"1", "/", "3"}]], " ", "kb", " ", "\[Beta]"}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "27"}], " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "2"]}], "+", 
           RowBox[{"16", " ", 
            SuperscriptBox["kb", "3"], " ", 
            SuperscriptBox["\[Beta]", "3"]}], "-", 
           RowBox[{"24", " ", 
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Beta]", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"12", " ", "kb", " ", 
            SuperscriptBox["\[Beta]", "3"], " ", 
            SuperscriptBox["\[Theta]", "2"]}], "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["\[Beta]", "3"], " ", 
            SuperscriptBox["\[Theta]", "3"]}], "+", 
           RowBox[{"3", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"27", " ", 
               SuperscriptBox["kb", "4"], " ", 
               SuperscriptBox["\[Beta]", "4"]}], "-", 
              RowBox[{"32", " ", 
               SuperscriptBox["kb", "5"], " ", 
               SuperscriptBox["\[Beta]", "5"]}], "+", 
              RowBox[{"48", " ", 
               SuperscriptBox["kb", "4"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", "\[Theta]"}], "-", 
              RowBox[{"24", " ", 
               SuperscriptBox["kb", "3"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", 
               SuperscriptBox["\[Theta]", "2"]}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["kb", "2"], " ", 
               SuperscriptBox["\[Beta]", "5"], " ", 
               SuperscriptBox["\[Theta]", "3"]}]}]]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.859453625607356*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"770e4804-5182-4e1d-8ae8-6cbc31eceaf0"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{Automatic, 53}, {Automatic, 39}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"182912a3-39dc-4894-a73a-58952deac396"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 407, 10, 66, "Input",ExpressionUUID->"75a74793-df95-44ed-a4ee-4109b7b80cc1"],
Cell[968, 32, 1968, 56, 115, "Input",ExpressionUUID->"7a7a4910-7af5-4f1b-ab75-fed66f353db2"],
Cell[2939, 90, 156, 3, 30, InheritFromParent,ExpressionUUID->"99af2956-4950-4c69-851b-6290fd3c1aa2"],
Cell[3098, 95, 306, 7, 35, "Text",ExpressionUUID->"a0037cfe-5c1f-4b8d-8185-20198fd6ce74"],
Cell[3407, 104, 1231, 38, 52, "Input",ExpressionUUID->"16974854-80e4-4192-b50f-98d08ffa64db"],
Cell[CellGroupData[{
Cell[4663, 146, 232, 4, 44, "Input",ExpressionUUID->"4e0089e6-b8b4-46a0-9355-22db64854da5"],
Cell[4898, 152, 611, 16, 34, "Output",ExpressionUUID->"f994b317-3b4c-4445-b469-9527375ade81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5546, 173, 261, 5, 44, "Input",ExpressionUUID->"e06f9c6e-8834-4f37-8e81-841bf9938ec2"],
Cell[5810, 180, 342, 8, 53, "Output",ExpressionUUID->"01579329-5993-4936-911d-d93c936d508c"]
}, Open  ]],
Cell[6167, 191, 325, 8, 127, "Input",ExpressionUUID->"65bf8622-a285-46f5-8238-511fe9dd057a"],
Cell[6495, 201, 898, 27, 72, "Input",ExpressionUUID->"e993ae7c-d616-46e4-b138-54de54fbbfaf"],
Cell[CellGroupData[{
Cell[7418, 232, 263, 5, 44, "Input",ExpressionUUID->"ac503916-d896-4e79-b126-10b60da99146"],
Cell[7684, 239, 816, 24, 56, "Output",ExpressionUUID->"ac4b8d38-105d-4c63-b923-c2a6713e0001"]
}, Open  ]],
Cell[8515, 266, 264, 7, 50, "Input",ExpressionUUID->"c2b5aea2-c267-4116-9a6d-5018a4695103"],
Cell[8782, 275, 989, 28, 94, "Input",ExpressionUUID->"38dc0ebb-de78-4680-8627-50cdc1b389ed"],
Cell[CellGroupData[{
Cell[9796, 307, 178, 2, 30, "Input",ExpressionUUID->"7a87c76f-26a3-4b51-9a51-8eb8ecbf321b"],
Cell[9977, 311, 794, 24, 64, "Output",ExpressionUUID->"4f641119-303a-4f4e-80b9-19a91cfa7356"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10808, 340, 778, 24, 73, "Input",ExpressionUUID->"ded6f8ea-78bf-4e7d-a664-ca14d0c9ac86"],
Cell[11589, 366, 1018, 25, 55, "Output",ExpressionUUID->"58ebcbdc-e4d4-49c3-8e27-05ee5c38b524"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12644, 396, 222, 4, 44, "Input",ExpressionUUID->"f9bc0284-d675-418f-ba6e-284634d09043"],
Cell[12869, 402, 1638, 42, 102, "Output",ExpressionUUID->"5f04edeb-cc52-451b-a69d-57773979429d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14544, 449, 257, 5, 44, "Input",ExpressionUUID->"5fd05f78-28a4-474c-84ee-e27c6c0f2362"],
Cell[14804, 456, 14507, 359, 574, "Output",ExpressionUUID->"770e4804-5182-4e1d-8ae8-6cbc31eceaf0"]
}, Open  ]]
}
]
*)

