(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    138135,       3706]
NotebookOptionsPosition[    130563,       3578]
NotebookOutlinePosition[    130968,       3595]
CellTagsIndexPosition[    130925,       3592]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Blockchain Model\n", "Subtitle"],
 StyleBox["The VM\[CloseCurlyQuote]s Effort Under Insurance Model", 
  "Section"]
}], "Text",
 CellChangeTimes->{{3.847746868691206*^9, 
  3.847746905078404*^9}},ExpressionUUID->"bc3d98ee-de6f-424f-a005-\
b426776b8e00"],

Cell[BoxData[{
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb", "+", 
   RowBox[{"rvb", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rvb", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Beta]", " ", "cs"}], " ", "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.84774692485349*^9, 3.847746972128188*^9}, {
  3.847747397472211*^9, 3.8477474241671333`*^9}, {3.847747702882146*^9, 
  3.847747709330879*^9}, {3.847747747143688*^9, 3.8477477763814287`*^9}, {
  3.847749431163137*^9, 3.8477494324598417`*^9}, {3.84793877916921*^9, 
  3.847938800764226*^9}, {3.859451647703182*^9, 3.859451652258902*^9}, {
  3.8599630777766*^9, 3.859963160949695*^9}, {3.859963259890957*^9, 
  3.8599632610153418`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"73a7945c-fae9-4c47-8e27-0953f37672ff"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitvb", ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8599631872001343`*^9, 3.859963202930174*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"72ecdd6a-31dd-4576-b5ae-ff803c3dcc90"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "eb", " ", "kb"}], "+", 
  RowBox[{"pb", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
  RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.859963203720941*^9, 3.859963280190338*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"0d896393-8278-4601-a634-d7d72fa4c318"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "eb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859963214899311*^9, 3.859963245938238*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"5f6554b3-15d5-40f2-9502-bd10073e75ee"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"eb", "\[Rule]", 
    FractionBox[
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "kb"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.859963246438912*^9, 3.859963283098557*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"60a739cb-1934-49da-bce3-75a71719c058"]
}, Open  ]],

Cell[TextData[{
 "We now solve the Stackelberg game  by using backward induction. First, \
given any contingent price ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "B"], TraditionalForm]],ExpressionUUID->
  "9db81699-65f3-42a8-a8bb-550b0ac09435"],
 " , by considering the first-order condition of Profitv, the vehicle \
manufacture\[CloseCurlyQuote]s best response is given as\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "^", "B"}], "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "+", "\[Theta]", "+", 
      RowBox[{"\[Beta]", " ", "Cs"}]}], 
     RowBox[{"2", 
      SuperscriptBox["k", "B"]}]]}], TraditionalForm]],ExpressionUUID->
  "3fdc690c-d6f9-4c7e-940f-8d0b4b9eef51"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.847747807161421*^9, 3.8477478677589693`*^9}, {
  3.847753492899177*^9, 3.8477534933566113`*^9}, {3.85996334587191*^9, 
  3.8599633602397137`*^9}},ExpressionUUID->"085a58d7-785a-44f8-bbb1-\
85daf0d58d85"],

Cell[BoxData[
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", 
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "kb"}]]}]], "Input",
 CellChangeTimes->{{3.859963362985561*^9, 3.859963369330905*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"bca1d2d9-ea3e-494c-a753-bffa67c6aa2b"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.859963372291905*^9, 3.859963375977408*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"37dd9252-02ec-47d3-b44b-0ea43e15a9ff"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  RowBox[{"cs", " ", "rvb"}], "+", 
  RowBox[{"pb", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"pb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "kb"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859963376878377*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"aa328bd5-bea8-41cd-9598-409b1fb8a5ad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cv"}], "-", "cvb", "+", 
   RowBox[{"cs", " ", "rvb"}], "+", 
   RowBox[{"pb", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{"pb", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}], "2"], 
    RowBox[{"4", " ", "kb"}]], "-", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}], "-", 
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"a28c37b6-054d-4680-9751-607d8a0d45ee"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"4", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", "cv", " ", "kb"}], "-", 
    RowBox[{"4", " ", "cvb", " ", "kb"}], "+", 
    SuperscriptBox["pb", "2"], "+", 
    RowBox[{"4", " ", "cs", " ", "kb", " ", "rvb"}], "+", 
    RowBox[{"4", " ", "kb", " ", "pb", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["pb", "2"], " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["pb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "cs", " ", "kb", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "pb", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "pb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
    RowBox[{
     SuperscriptBox["cs", "2"], " ", 
     SuperscriptBox["\[Beta]", "2"]}], "-", 
    RowBox[{"4", " ", "kb", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "pb", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "pb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]", " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859963380831853*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"d793509a-ad25-4adf-a6fa-89fa08650d31"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859963383767556*^9, 3.859963393407571*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"4e2fc01f-4da4-4db7-b8df-233d843ede73"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"pb", "\[Rule]", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Alpha]"}], "+", 
          SuperscriptBox["\[Alpha]", "2"]}]], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "kb"}], "+", 
              RowBox[{"cvb", " ", "kb"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
              RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
              RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
              RowBox[{
              "2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"cv", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cvb", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["kb", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              RowBox[{"kb", " ", "\[Theta]"}], "-", 
              RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
          ")"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pb", "\[Rule]", 
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         StyleBox["\[Theta]",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox["+",
          FontColor->RGBColor[0, 0, 1]], 
         StyleBox[
          RowBox[{"\[Alpha]", " ", "\[Theta]"}],
          FontColor->RGBColor[0, 0, 1]], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", "kb"}], "+", 
             RowBox[{"cvb", " ", "kb"}], "-", 
             RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
             RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
             RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
             RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}],
              "+", 
             RowBox[{"cv", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cvb", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["kb", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
             RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
             
             RowBox[{"kb", " ", "\[Theta]"}], "-", 
             RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
        ")"}]}], "}"}]}],
    FontColor->GrayLevel[0]], 
   StyleBox["}",
    FontColor->GrayLevel[0]]}]}]], "Input",
 CellChangeTimes->{3.8599634554390717`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"75c55c55-da28-445c-9a32-dfa885407b67"],

Cell[TextData[{
 "Hence the vehicle manufacture\[CloseCurlyQuote]s participation condition, \
i.e., Profitv\[GreaterEqual]0, can be written as \n",
 Cell[BoxData[
  FormBox["p", TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "e260165a-d14a-4f37-99bf-8c9166861420"],
 StyleBox["\[GreaterEqual] ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["k", "B"], 
        RowBox[{"(", 
         RowBox[{"cv", " ", "+", 
          RowBox[{"cvb", 
           StyleBox[
            RowBox[{"-", "rvb"}],
            FontColor->RGBColor[0, 0, 1]], 
           StyleBox[" ",
            FontColor->RGBColor[0, 0, 1]], 
           StyleBox["cs",
            FontColor->RGBColor[0, 0, 1]]}]}], ")"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox[
         SuperscriptBox["k", "B"], "2"]}], " ", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Theta]", "+", 
          StyleBox[
           RowBox[{"\[Beta]", " ", "cs"}],
           FontColor->RGBColor[0, 0, 1]]}], ")"}], 
        SuperscriptBox["k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
     RowBox[{"(", " ", 
      RowBox[{"\[Theta]", "+", 
       StyleBox[
        RowBox[{"\[Beta]", " ", "cs"}],
        FontColor->RGBColor[0, 0, 1]]}], ")"}]}]}], 
   RowBox[{" ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847747946254937*^9, 3.8477479909637613`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "9b07b85a-d3b8-4397-b0e3-0afcfad7b348"]
}], "Text",
 CellChangeTimes->{
  3.847748022511788*^9, {3.8477492038365107`*^9, 3.847749241424397*^9}, {
   3.847749337927477*^9, 3.847749354337912*^9}, {3.847749518966936*^9, 
   3.8477496165223627`*^9}, {3.8477527105421*^9, 3.84775287548606*^9}, {
   3.847753473270898*^9, 3.847753474790654*^9}, {3.859963947641938*^9, 
   3.859963979465959*^9}, {3.859964060215619*^9, 3.859964061536788*^9}, {
   3.859964103030828*^9, 
   3.8599641356289463`*^9}},ExpressionUUID->"42c2bfb0-3d6d-43a7-a244-\
80ff8520e6cb"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["The SO\[CloseCurlyQuote]s Optimal Contract Under \
Blockchain Model", "Section"]], "Subsubsection",
 CellChangeTimes->{{3.8470768941909723`*^9, 3.847076937239661*^9}, {
  3.847753509270722*^9, 
  3.8477535139856033`*^9}},ExpressionUUID->"ca3839c7-c3ce-44d4-966b-\
41b91b827bc6"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]", "+", 
    RowBox[{"cs", " ", "\[Beta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rvb", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Beta]", " ", "cs"}], " ", "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.847753541945079*^9, 3.847753558336581*^9}, 
   3.847964091568811*^9, {3.859964176101807*^9, 3.859964192588747*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"f182f1df-f3a0-490e-8838-e8cec225bfc3"],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.859964196245604*^9, 3.8599641988143263`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"1b604f80-4e60-425c-8982-adc00df5e9db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"cs", " ", "rvb"}], "-", 
  RowBox[{"pb", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"pb", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.85996420112437*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"544c25d4-4ab8-4ba4-86c0-c8516b06b831"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "csb", "-", 
   RowBox[{"cs", " ", "rvb"}], "-", 
   RowBox[{"pb", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"pb", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   RowBox[{"cs", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"pb", "-", 
        RowBox[{"pb", " ", "\[Alpha]"}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "kb"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"cdc63833-d42b-47f1-acd3-d1a1c303dcb9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"cs", " ", "rvb"}], "-", 
  RowBox[{"pb", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"pb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8599642029450693`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"f3fcd2db-df85-409d-a7c7-6acb4e704ee3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.859964207623475*^9, 3.859964217083961*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"8777f605-014e-4274-9abb-7ad485100c34"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "+", 
      RowBox[{"pb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]], "-", "\[Alpha]", "-", 
  FractionBox[
   RowBox[{"cs", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "kb"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"pb", "-", 
      RowBox[{"pb", " ", "\[Alpha]"}], "+", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.8599642177181787`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"1bbcf201-ca02-4b87-9367-d5c2ac58cc8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "+", 
       RowBox[{"pb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]], "-", "\[Alpha]", "-", 
   FractionBox[
    RowBox[{"cs", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"2", " ", "kb"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"pb", "-", 
       RowBox[{"pb", " ", "\[Alpha]"}], "+", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "kb"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"c6189fae-c804-48b3-bcce-4252b2e9c9c0"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "pb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
    "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}]], "Output",
 CellChangeTimes->{3.859964219626718*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"4c561dc2-e2f5-40f4-93dd-3a0ea46d5aaa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "pb"}], "]"}]], "Input",
 CellChangeTimes->{{3.8599644115429497`*^9, 3.859964419216234*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"2667d60d-1d12-4bb4-aca1-b7f1c252bafb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"pb", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859964420120632*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"55635983-ca94-4d6e-9475-7f58df527b3a"]
}, Open  ]],

Cell[TextData[{
 "for the satellite owner, her unconstrained optimal contract (p,\[Alpha]) \
can be written as ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"p", "=", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"f", "-", "\[Theta]", "-", 
         RowBox[{"2", "cs", " ", "\[Beta]"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["k", "B"], " ", "\[Alpha]", " "}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{3.847335457059067*^9},ExpressionUUID->
  "c1f0cb37-2979-4e7b-b93a-71c17ecd09ab"],
 "\ns.t.  p \[GreaterEqual] ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["k", "B"], 
        RowBox[{"(", 
         RowBox[{"cv", " ", "+", 
          RowBox[{"cvb", 
           StyleBox[
            RowBox[{"-", "rvb"}],
            FontColor->RGBColor[0, 0, 1]], 
           StyleBox[" ",
            FontColor->RGBColor[0, 0, 1]], 
           StyleBox["cs",
            FontColor->RGBColor[0, 0, 1]]}]}], ")"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox[
         SuperscriptBox["k", "B"], "2"]}], " ", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Theta]", "+", 
          StyleBox[
           RowBox[{"\[Beta]", " ", "cs"}],
           FontColor->RGBColor[0, 0, 1]]}], ")"}], 
        SuperscriptBox["k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
     RowBox[{"(", " ", 
      RowBox[{"\[Theta]", "+", 
       StyleBox[
        RowBox[{"\[Beta]", " ", "cs"}],
        FontColor->RGBColor[0, 0, 1]]}], ")"}]}]}], 
   RowBox[{" ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847747946254937*^9, 3.8477479909637613`*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "fa1c53d2-c86b-464a-9444-badf8e49d9be"],
 " ( the level of price that vehicle manufacture will accept)"
}], "Text",
 CellChangeTimes->{{3.847336159830171*^9, 3.84733640202722*^9}, {
   3.847753790831712*^9, 3.847753830464266*^9}, {3.859964446031024*^9, 
   3.8599644464249783`*^9}, 3.8599645224877663`*^9, {3.859965506090678*^9, 
   3.8599655060910177`*^9}},ExpressionUUID->"71c10bd0-ce38-4e28-a8d0-\
90f28ac69dbe"],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]p", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
     RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "\[Alpha]"}], "+", 
      SuperscriptBox["\[Alpha]", "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      StyleBox["\[Theta]",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox["+",
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}],
       FontColor->RGBColor[0, 0, 1]], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "kb"}], "+", 
          RowBox[{"cvb", " ", "kb"}], "-", 
          RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
          RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
          "+", 
          RowBox[{"cv", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cvb", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"kb", " ", "\[Theta]"}], "-", 
          RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.859964543902564*^9, 3.8599645555642233`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"6d937feb-a3c5-4f10-b32c-bce0b211051d"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]p"], "Input",
 CellChangeTimes->{{3.859964559713873*^9, 3.859964562157236*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"ad622383-abb0-4b7b-8773-4d9d2f574a61"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "+", 
     RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
         "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
         RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8599645635982447`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"76e4e884-a294-4c78-b8ce-1f8661dde917"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"9beacf6e-c2d9-4af7-a733-dcdd5e9e2aaf"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", 
     SqrtBox[
      RowBox[{"kb", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"cvb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
         RowBox[{"kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "rvb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cs", " ", "\[Beta]"}], "-", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
         "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.859964566504538*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"485eafd9-f254-4ed9-9aa5-80651d0c4bf1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "f"}], "]"}]], "Input",
 CellChangeTimes->{{3.859964574978228*^9, 3.859964581589287*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"de51d7ec-b105-4965-a1a1-148b0450349d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"f", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"kb", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"kb", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", "rvb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cs", " ", "\[Beta]"}], "-", 
            RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
            "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.859964583204255*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"493daee5-41e8-4783-83b3-003a5a573322"]
}, Open  ]],

Cell[TextData[{
 StyleBox["\:4ee4  \:ff1aG=", "Section",
  FontSize->16],
 StyleBox[Cell[BoxData[
  RowBox[{"\[Sqrt]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"kb", 
      RowBox[{"(", 
       RowBox[{"cv", "+", 
        StyleBox["cvb",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox["-",
         FontColor->RGBColor[0, 0, 1]], 
        StyleBox[
         RowBox[{"rvb", " ", "cs"}],
         FontColor->RGBColor[0, 0, 1]]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        StyleBox[
         RowBox[{"\[Beta]", " ", "cs"}],
         FontColor->RGBColor[0, 0, 1]]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}]], "Section",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},
  FontSize->16,ExpressionUUID->"72d0c4d7-b22b-44c4-924d-7ed942a856ca"], 
  "Section"]
}], "Text",
 CellChangeTimes->{{3.859966484971912*^9, 3.8599664988134823`*^9}, {
  3.85996683775907*^9, 
  3.859966849173049*^9}},ExpressionUUID->"8697bb3e-df69-4c8b-a9a8-\
4220343086fe"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859966477715578*^9, 
  3.859966478712164*^9}},ExpressionUUID->"994c9b1a-b339-42fc-a0ce-\
13cf688beef2"],

Cell[TextData[{
 "1.  If the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "S"], ">", 
    SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
  "3b5da142-2a8a-4a99-bdd6-fe1adbefa696"],
 ",  which satisfied with ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"F", "\[GreaterEqual]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}], "+", 
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"kb", 
           RowBox[{"(", 
            RowBox[{"cv", "+", 
             StyleBox["cvb",
              FontColor->RGBColor[0, 0, 1]], 
             StyleBox["-",
              FontColor->RGBColor[0, 0, 1]], 
             StyleBox[
              RowBox[{"rvb", " ", "cs"}],
              FontColor->RGBColor[0, 0, 1]]}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Theta]", "+", 
             StyleBox[
              RowBox[{"\[Beta]", " ", "cs"}],
              FontColor->RGBColor[0, 0, 1]]}], ")"}], 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}]}], ")"}], 
     RowBox[{"1", "-", "\[Alpha]"}]]}],
   FontColor->RGBColor[1, 0, 0]]], "Output",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "25ca3860-d170-4dd4-9135-9239cc0e3aa6"],
 " =",
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", 
      StyleBox["G",
       FontColor->RGBColor[0, 1, 0]]}]}], 
    RowBox[{"1", "-", "\[Alpha]"}]],
   FontColor->RGBColor[1, 0, 0]]],
  GeneratedCell->False,
  CellAutoOverwrite->False,
  CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
  "aa9bbe90-7ded-4da9-a898-a0b1765d6504"],
 "(the dark region) then the effort is ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"e", "=", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"f", "+", "\[Theta]", "+", 
         StyleBox[
          RowBox[{"\[Beta]", " ", "cs"}],
          FontColor->RGBColor[0, 0, 1]]}], 
        SuperscriptBox["k", "B"]], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], ")"}]}]}],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},ExpressionUUID->
  "cf12be68-972e-4953-b045-b298efd472a4"],
 ", the contract [p,\[Alpha]] satellite owner offered is ",
 Cell[BoxData[
  RowBox[{"p", "=", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "-", "\[Theta]", "-", 
        RowBox[{"2", "cs", " ", "\[Beta]"}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["k", "B"], " ", "\[Alpha]", " "}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]}]],
  CellChangeTimes->{{3.847924446234275*^9, 3.847924447833972*^9}, {
    3.847924551165957*^9, 3.847924581711502*^9}, 3.847924612229691*^9, {
    3.847924648199932*^9, 3.847924685117815*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "beb1b25d-88ef-44ee-8027-14de6f81385f"],
 ". The profit of vehicle manufacture is ",
 Cell[BoxData[
  RowBox[{
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"16", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
      RowBox[{"16", " ", "cs", " ", "kb", " ", "rvb"}], "+", 
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"16", " ", "cv", " ", "kb", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"32", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "-", 
      
      RowBox[{"16", " ", "cvb", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["kb", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"16", " ", "cs", " ", "kb", " ", "rvb", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "-", 
      RowBox[{"16", " ", "cs", " ", "kb", " ", "\[Beta]"}], "+", 
      RowBox[{"16", " ", "cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], 
      "-", 
      RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
      RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"4", " ", "kb", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
      SuperscriptBox["\[Theta]", "2"], "-", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{
       SuperscriptBox["\[Alpha]", "2"], " ", 
       SuperscriptBox["\[Theta]", "2"]}], "-", 
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], 
  "Input",
  CellChangeTimes->{3.847924712498953*^9},ExpressionUUID->
  "1da6d3c4-67da-4430-95c2-6ff2f1e5fdc3"],
 "\n\nwhich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "+", " ", 
       RowBox[{"4", 
        RowBox[{
         SuperscriptBox["k", "B"], " ", "[", " ", 
         RowBox[{
          RowBox[{"F", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Alpha]"}], "-", " ", 
          RowBox[{"3", 
           SuperscriptBox["\[Alpha]", "2"], 
           SuperscriptBox[
            RowBox[{"k", " "}], "B"]}], "-", " ", 
          RowBox[{"\[Theta]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
           RowBox[{"(", 
            RowBox[{"4", "-", "\[Alpha]"}], ")"}]}]}], "  ", "]"}]}], "-", 
       StyleBox[
        RowBox[{"16", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "k", " ", "\[Beta]", " ", 
         "Cs"}],
        FontColor->RGBColor[0, 0, 1]]}], 
      RowBox[{"16", 
       SuperscriptBox["k", "B"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]],
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["-",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["Cv",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["+",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[
     RowBox[{"rv", " ", "Cs"}],
     FontColor->RGBColor[0, 0, 1]], 
    StyleBox["-",
     FontColor->RGBColor[0, 0, 1]], 
    StyleBox["Cvb",
     FontColor->RGBColor[0, 0, 1]]}], TraditionalForm]], "Subsubsection",
  ExpressionUUID->"e76e8c09-2426-48b3-9b79-20c232cbf888"],
 "\nThe profit of satellite owner is \n",
 Cell[BoxData[{
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"8", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["f", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"8", " ", "cs", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"rv", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
         "+", "\[Beta]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "f", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}],
         ")"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "8"}], " ", "csb", " ", "kb"}], "+", 
     RowBox[{
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"16", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"8", " ", "cs", " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"rvb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"4", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     SuperscriptBox["\[Theta]", "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}]}], ")"}]}]}], "Input",
  CellChangeTimes->{3.859798220947733*^9},ExpressionUUID->
  "23a80d7a-ea9d-427f-bd94-9db10d31d501"],
 "\nwich can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"4", 
       SuperscriptBox["k", "B"], 
       RowBox[{"\[Alpha]", " ", "[", 
        RowBox[{
         SuperscriptBox["\[Alpha]k", "B"], " ", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Theta]", " ", "-", "F"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], " ", "]"}], 
       StyleBox[
        RowBox[{"+", "8"}],
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}],
        FontColor->RGBColor[0, 0, 1]], 
       SuperscriptBox[
        StyleBox[
         RowBox[{"k", " "}],
         FontColor->RGBColor[0, 0, 1]], "B"], 
       StyleBox["\[Beta]",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 0, 1]], 
       StyleBox["Cs",
        FontColor->RGBColor[0, 0, 1]]}]}], 
     RowBox[{"8", 
      SuperscriptBox["k", "B"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       StyleBox["rv",
        FontColor->RGBColor[0, 0, 1]]}], ")"}], "Cs"}], "-", "Csb"}], 
   TraditionalForm]],
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "bb7dc2fc-f4d1-4f31-b96a-748b6b77f596"],
 "\n\nthe whole chain payoff is ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"3", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"F", "+", "\[Theta]"}], ")"}], "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], " ", "-", " ", 
       RowBox[{"4", 
        SuperscriptBox["\[Alpha]", "2"], 
        SuperscriptBox[
         SuperscriptBox["k", "B"], "2"]}], "+", " ", 
       RowBox[{"4", 
        SuperscriptBox["k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", "\[Alpha]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "\[Alpha]"}], " ", "F"}], "-", 
          RowBox[{"4", "\[Theta]"}], " ", "+", " ", 
          RowBox[{"3", "\[Alpha]\[Theta]"}]}], " ", ")"}], "  "}]}], 
      RowBox[{"16", 
       SuperscriptBox["k", "B"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], "-", "Cv", "-", 
     "Cs"}],
    FontColor->RGBColor[1, 0, 0]], TraditionalForm]],ExpressionUUID->
  "9d0ce739-fa34-4d9c-8bad-e568c947717e"],
 "-Cvb-Csb, the same.\nCompared with the insurance model, the whole supply \
chain efficiency doesn\[CloseCurlyQuote]t change, but for SO it is fitable \
for the SO to choose the insurance from the vm."
}], "Text",
 CellChangeTimes->{
  3.859797952600697*^9, {3.859797992824482*^9, 3.8597979928258247`*^9}, {
   3.85979841051749*^9, 3.8597984549188232`*^9}, {3.859798487569722*^9, 
   3.859798510359433*^9}, {3.859802119501501*^9, 3.859802135277437*^9}, {
   3.859802169069734*^9, 3.8598022947769117`*^9}, {3.859832383564674*^9, 
   3.859832445762204*^9}, {3.859833261791877*^9, 3.859833285496353*^9}, {
   3.859835964958392*^9, 3.8598359891418858`*^9}, {3.85983608192282*^9, 
   3.85983612978391*^9}, {3.8598374981040277`*^9, 3.859837498925662*^9}, {
   3.859837613026691*^9, 3.859837690333281*^9}, {3.859838534314684*^9, 
   3.859838586275271*^9}, 3.8598602496747437`*^9, {3.859964661770134*^9, 
   3.8599646674509583`*^9}, {3.8599647077855062`*^9, 3.859964710571143*^9}, {
   3.859964971418037*^9, 3.859965017305278*^9}, {3.859965050558683*^9, 
   3.859965120106574*^9}, {3.859965243769528*^9, 3.859965244349976*^9}, {
   3.859965363893175*^9, 3.859965371014966*^9}, {3.859965418507552*^9, 
   3.859965418508584*^9}, {3.859965514301715*^9, 3.859965523438321*^9}, {
   3.859966945157424*^9, 3.85996695879265*^9}, {3.859967025729485*^9, 
   3.859967031644054*^9}, {3.8599676388361*^9, 3.859967705200612*^9}, {
   3.859967742526573*^9, 3.859967743451955*^9}, {3.859968292694106*^9, 
   3.859968324381719*^9}, {3.859968445139039*^9, 3.8599684817088823`*^9}, {
   3.8599685440559387`*^9, 
   3.859968554496804*^9}},ExpressionUUID->"5eab1056-d934-42dc-b7a0-\
307cc13977c2"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{Cell[TextData[{
    "2.If the ",
    Cell[BoxData[
     FormBox[
      RowBox[{
       SuperscriptBox["p", "S"], "<", 
       SuperscriptBox["p", "VA"]}], TraditionalForm]],ExpressionUUID->
     "a8d25047-a2f1-49c8-9035-4cb9f54b4d18"],
    ", which satisfied with ",
    StyleBox["F<",
     FontColor->RGBColor[1, 0, 0]],
    Cell[BoxData[
     StyleBox[
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], "\[Theta]"}], "+", 
         RowBox[{"4", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"kb", 
             RowBox[{"(", 
              RowBox[{"cv", "+", 
               StyleBox["cvb",
                FontColor->RGBColor[0, 0, 1]], 
               StyleBox["-",
                FontColor->RGBColor[0, 0, 1]], 
               StyleBox[
                RowBox[{"rvb", " ", "cs"}],
                FontColor->RGBColor[0, 0, 1]]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Theta]", "+", 
               StyleBox[
                RowBox[{"\[Beta]", " ", "cs"}],
                FontColor->RGBColor[0, 0, 1]]}], ")"}], 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}]]}]}], ")"}], 
       RowBox[{"1", "-", "\[Alpha]"}]],
      FontColor->RGBColor[1, 0, 0]]], "Output",
     GeneratedCell->False,
     CellAutoOverwrite->False,
     CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
     "6e57ed6f-23c3-4837-93eb-4059ca5232ea"],
    "=",
    Cell[BoxData[
     StyleBox[
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", 
         StyleBox["G",
          FontColor->RGBColor[0, 1, 0]]}]}], 
       RowBox[{"1", "-", "\[Alpha]"}]],
      FontColor->RGBColor[1, 0, 0]]],
     GeneratedCell->False,
     CellAutoOverwrite->False,
     CellChangeTimes->{3.847688401388039*^9},ExpressionUUID->
     "d012d0e4-dd80-4c42-b87f-baec2f341444"],
    "\n\nthe effort is ",
    Cell[BoxData[
     RowBox[{"e", "=", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["k", "B"]}], " ", "\[Alpha]"}], "+", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["k", "B"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{
             SuperscriptBox["k", "B"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], " ", "+", 
            StyleBox[
             RowBox[{"cs", " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{"\[Beta]", "-", 
                RowBox[{"rv", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}]}],
             FontColor->RGBColor[0, 0, 1]], 
            StyleBox["+",
             FontColor->RGBColor[0, 0, 1]], 
            StyleBox[
             RowBox[{"\[Theta]", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Alpha]"}], ")"}]}],
             FontColor->RGBColor[0, 0, 1]]}], ")"}]}]]}], 
       RowBox[{
        SuperscriptBox["k", "B"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}]], "Output",
     GeneratedCell->False,
     CellAutoOverwrite->False,
     CellChangeTimes->{3.847935384424481*^9},
     FontColor->RGBColor[1, 0, 0],ExpressionUUID->
     "c410a1a0-da5f-4f58-883c-6f42b2acbd79"],
    "=",
    Cell[BoxData[
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "k"}], " ", "\[Alpha]"}], "+", 
       StyleBox["G",
        FontColor->RGBColor[0, 1, 0]]}], 
      RowBox[{"k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
     GeneratedCell->False,
     CellAutoOverwrite->False,
     CellChangeTimes->{3.847935384424481*^9},
     FontColor->RGBColor[1, 0, 0],ExpressionUUID->
     "99ea5ba4-d83b-4e55-9561-f15303c08ca8"],
    "\n\n  the price is ",
    Cell[BoxData[
     FormBox[
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{
            SuperscriptBox["k", "B"], 
            RowBox[{"(", 
             RowBox[{"cv", " ", "+", 
              RowBox[{"cvb", 
               StyleBox[
                RowBox[{"-", "rvb"}],
                FontColor->RGBColor[0, 0, 1]], 
               StyleBox[" ",
                FontColor->RGBColor[0, 0, 1]], 
               StyleBox["cs",
                FontColor->RGBColor[0, 0, 1]]}]}], ")"}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{
            SuperscriptBox["\[Alpha]", "2"], 
            SuperscriptBox[
             SuperscriptBox["k", "B"], "2"]}], " ", "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Theta]", "+", 
              StyleBox[
               RowBox[{"\[Beta]", " ", "cs"}],
               FontColor->RGBColor[0, 0, 1]]}], ")"}], 
            SuperscriptBox["k", "B"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], " ", ")"}]}]}]]}], " ", "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["k", "B"], " ", "\[Alpha]"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
         RowBox[{"(", " ", 
          RowBox[{"\[Theta]", "+", 
           StyleBox[
            RowBox[{"\[Beta]", " ", "cs"}],
            FontColor->RGBColor[0, 0, 1]]}], ")"}]}]}], 
       RowBox[{" ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]], TraditionalForm]], 
     "Subsection",ExpressionUUID->"a6501866-419f-42cd-8afb-36b32c26ce07"],
    "=",
    Cell[BoxData[
     FormBox[
      StyleBox[
       FractionBox[
        RowBox[{
         RowBox[{"2", 
          StyleBox["G",
           FontColor->RGBColor[0, 1, 0]]}], "-", 
         RowBox[{"2", "k", " ", "\[Alpha]"}], " ", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"\[Theta]", "+", 
            StyleBox[" ",
             FontColor->RGBColor[0, 0, 1]], 
            StyleBox[
             RowBox[{"\[Beta]", " ", "Cs"}],
             FontColor->RGBColor[0, 0, 1]]}], 
           StyleBox[")",
            FontColor->RGBColor[0, 0, 1]]}]}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], "Text",
       FontColor->RGBColor[1, 0, 0]], TraditionalForm]], "Section",
     ExpressionUUID->"4e5becd6-a510-46b9-9488-66af2520f09e"],
    "\n  The profit of satellite owner is ",
    Cell[BoxData[
     RowBox[{"\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"kb", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"csb", " ", "kb"}], "+", 
         RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
         RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
         RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"csb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"f", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "kb", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"rvb", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
            "\[Alpha]", "+", "\[Beta]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
         RowBox[{"f", " ", 
          SqrtBox[
           RowBox[{"kb", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
         RowBox[{"f", " ", "\[Alpha]", " ", 
          SqrtBox[
           RowBox[{"kb", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
          SqrtBox[
           RowBox[{"kb", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
         RowBox[{"\[Theta]", " ", 
          SqrtBox[
           RowBox[{"kb", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
          SqrtBox[
           RowBox[{"kb", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"cvb", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
        ")"}]}]}]], "Output",
     GeneratedCell->False,
     CellAutoOverwrite->False,
     CellChangeTimes->{3.847936282163821*^9},ExpressionUUID->
     "7e3d90e8-fbf0-4e6f-bb76-ee0f90e12001"],
    "\n   which can be written as \n  ",
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]],
    Cell[BoxData[{
     FormBox[
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"F", "+", "\[Theta]"}], ")"}], 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
           RowBox[{"2", 
            SuperscriptBox["\[Alpha]k", "B"]}]}], "]"}], "*", "G"}], "-", " ", 
        RowBox[{
         SuperscriptBox["k", "B"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", " ", "F"}], "+", 
           RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          SuperscriptBox["k", "B"], "2"], 
         SuperscriptBox["\[Alpha]", "2"]}], " ", "-", 
        RowBox[{"(", 
         RowBox[{
          StyleBox[
           RowBox[{
            RowBox[{"1", "-", "\[Alpha]"}], ")"}],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\[Beta]",
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[" ",
           FontColor->RGBColor[0, 0, 1]], 
          SuperscriptBox[
           StyleBox["k",
            FontColor->RGBColor[0, 0, 1]], "B"], 
          StyleBox[" ",
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["Cs",
           FontColor->RGBColor[0, 0, 1]]}]}]}], 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["k", "B"], "(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm], 
    "\[IndentingNewLine]", 
     FormBox[
      RowBox[{
       RowBox[{"-", " ", 
        RowBox[{"(", 
         RowBox[{"Cs", "+", 
          RowBox[{"2", "Cv"}], "+", 
          RowBox[{"2", "Cvb"}], "+", "Csb"}], ")"}]}], "+", 
       RowBox[{"rvb", " ", "Cs"}]}], TraditionalForm]}],
     FontColor->RGBColor[1, 0, 0],ExpressionUUID->
     "4e542a43-1952-492b-b9ed-cc459b48d57d"],
    "\n  \n   the profit of vehicle manufacture is 0\n  the whole chain \
payoff is ",
    Cell[BoxData[{
     FormBox[
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"F", "+", "\[Theta]"}], ")"}], 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", 
           RowBox[{"2", 
            SuperscriptBox["\[Alpha]k", "B"]}]}], "]"}], "*", "G"}], "-", " ", 
        RowBox[{
         SuperscriptBox["k", "B"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", " ", "F"}], "+", 
           RowBox[{"2", "\[Theta]"}]}], " ", ")"}]}], " ", "-", " ", 
        RowBox[{"2", " ", 
         SuperscriptBox[
          SuperscriptBox["k", "B"], "2"], 
         SuperscriptBox["\[Alpha]", "2"]}], " ", "-", 
        RowBox[{"(", 
         RowBox[{
          StyleBox[
           RowBox[{
            RowBox[{"1", "-", "\[Alpha]"}], ")"}],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\[Beta]",
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[" ",
           FontColor->RGBColor[0, 0, 1]], 
          SuperscriptBox[
           StyleBox["k",
            FontColor->RGBColor[0, 0, 1]], "B"], 
          StyleBox[" ",
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["Cs",
           FontColor->RGBColor[0, 0, 1]]}]}]}], 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["k", "B"], "(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]], TraditionalForm], 
    "\[IndentingNewLine]", 
     FormBox[
      RowBox[{
       RowBox[{"-", " ", 
        RowBox[{"(", 
         RowBox[{"Cs", "+", 
          RowBox[{"2", "Cv"}], "+", 
          RowBox[{"2", "Cvb"}], "+", "Csb"}], ")"}]}], "+", 
       RowBox[{"rvb", " ", "Cs"}]}], TraditionalForm]}],
     FontColor->RGBColor[1, 0, 0],ExpressionUUID->
     "f00bc644-e7e1-4bb8-91e5-e780ad38eb0f"],
    "\n\n"
   }], "Text",
    CellChangeTimes->{{3.859798072112734*^9, 3.859798074452166*^9}, {
     3.8597982459525833`*^9, 3.859798254190143*^9}, {3.859802142364277*^9, 
     3.8598021426158953`*^9}, {3.8598023090829067`*^9, 
     3.859802318580015*^9}, {3.859802363394071*^9, 3.859802406410096*^9}, {
     3.859802457561942*^9, 3.859802522281177*^9}, {3.859802555679253*^9, 
     3.85980261584836*^9}, {3.859802651253437*^9, 3.8598026512546873`*^9}, {
     3.859802687746234*^9, 3.859802688456304*^9}, {3.859802763019541*^9, 
     3.859802763930236*^9}, {3.859842962411262*^9, 3.8598430525321617`*^9}, {
     3.859844167142151*^9, 3.8598442400083437`*^9}, {3.859844350476961*^9, 
     3.859844350478691*^9}, {3.859844385279729*^9, 3.859844465612514*^9}, {
     3.859862218324942*^9, 3.859862219815596*^9}},ExpressionUUID->
    "ca79d35a-db0f-41ca-a6ee-e4b72b44038d"], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.85996553673555*^9, 3.859965537895303*^9}, {
  3.859968508517267*^9, 3.85996857537998*^9}, {3.85996882865051*^9, 
  3.859968856615267*^9}, {3.8599688880962467`*^9, 3.8599688880962763`*^9}, {
  3.859969073752058*^9, 3.8599690786689568`*^9}, {3.859969112802067*^9, 
  3.859969120738168*^9}, {3.8599698799931726`*^9, 3.85996993006992*^9}, {
  3.8599700708945427`*^9, 3.859970084032583*^9}, {3.859970372237609*^9, 
  3.859970384918095*^9}, {3.859970475159096*^9, 
  3.8599705051453323`*^9}},ExpressionUUID->"1f41be6f-140d-4759-b509-\
0375cda54ee3"],

Cell["Proof", "Text",
 CellChangeTimes->{{3.8599655579003563`*^9, 
  3.859965582476553*^9}},ExpressionUUID->"bbb2a88a-523f-4d17-944c-\
a2823269fe9a"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]", "+", 
    RowBox[{"cs", " ", "\[Beta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
    "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb", "+", 
   RowBox[{"rvb", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rvb", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Beta]", " ", "cs"}], " ", "-", 
   "csb"}]}]}], "Input",
 CellChangeTimes->{{3.859965597153002*^9, 3.8599656120459843`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"0b7d5c4f-716e-440f-bfcb-5f9ca2871fd2"],

Cell[CellGroupData[{

Cell[BoxData["Profitvb"], "Input",
 CellChangeTimes->{{3.859965615221128*^9, 3.8599656193118277`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"c9f1dc5a-681e-4a49-b904-fe00b948130a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", "cvb", "+", 
  RowBox[{"cs", " ", "rvb"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    "2"], 
   RowBox[{"4", " ", "kb"}]], "-", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859965620411903*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"8ac4ab72-8931-4d06-bd84-8c7c6ec18a74"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%28", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"2d0b76c6-5027-4bbd-9203-a0ff4496dfb2"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "16"}], " ", "cvb", " ", "kb"}], "+", 
    RowBox[{"16", " ", "cs", " ", "kb", " ", "rvb"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "cv", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"32", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "cvb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"16", " ", "cs", " ", "kb", " ", "rvb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"16", " ", "cs", " ", "kb", " ", "\[Beta]"}], "+", 
    RowBox[{"16", " ", "cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], 
    "-", 
    RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "+", 
    RowBox[{"20", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",\

 CellChangeTimes->{3.859965623733037*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"bb5054f6-16ec-4ee9-a3ff-23bc8c651bb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.859965539749682*^9, 3.859965549652876*^9}, 
   3.8599656362086687`*^9},
 CellLabel->"In[30]:=",ExpressionUUID->"7697db33-6d90-4146-aed7-7b190af53a6b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"cs", " ", "rvb"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859965637120964*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"ea18db94-38b0-4012-a31f-5257a6957bda"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%30", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[31]:=",ExpressionUUID->"4464e03f-0118-483b-aabc-30a3c4640679"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"8", " ", "kb", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "8"}], " ", "csb", " ", "kb"}], "+", 
    RowBox[{
     SuperscriptBox["f", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"16", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "csb", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["kb", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", "cs", " ", "kb", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"rvb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", "\[Beta]"}], ")"}]}], "+", 
    RowBox[{"4", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"4", " ", "kb", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"2", " ", "f", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
      ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.859965639085927*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"f4a36d0b-e7d4-4a7f-87c6-d1ab25410ade"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Profitc", ":=", 
  RowBox[{"Profitsb", "+", "Profitvb"}]}]], "Input",
 CellChangeTimes->{{3.859965683651025*^9, 3.859965697547203*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"4842f150-a839-4f48-a6ff-87a85277628a"],

Cell[CellGroupData[{

Cell[BoxData["Profitc"], "Input",
 CellChangeTimes->{{3.8599656990053062`*^9, 3.859965700885038*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"f6a54301-c199-42b3-898e-3bd4c2c0a5d2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", "cv", "-", "cvb", "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
      RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
      "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      FractionBox[
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
        RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
        "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"f", "-", 
          RowBox[{"f", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
          "\[Theta]", "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    "2"], 
   RowBox[{"4", " ", "kb"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{"f", "-", 
         RowBox[{"f", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
         "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"f", "-", 
           RowBox[{"f", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cs", " ", "\[Beta]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
           "\[Theta]", "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
      RowBox[{"2", " ", "kb"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859965702007778*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"01b893f7-07b6-4af1-b8b4-475013a166b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%33", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[34]:=",ExpressionUUID->"a8166f51-4b4a-4114-9989-2cbeea8ca0e1"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"16", " ", "csb", " ", "kb"}], "+", 
     RowBox[{"16", " ", "cv", " ", "kb"}], "+", 
     RowBox[{"16", " ", "cvb", " ", "kb"}], "-", 
     RowBox[{"3", " ", 
      SuperscriptBox["f", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"16", " ", "cs", " ", "kb", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"32", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"16", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"28", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"12", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"6", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"3", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", "f", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "kb", " ", "\[Alpha]"}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8599657049048*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"09bcb560-394f-4be4-bfc6-e8536550a6e7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8599657168217916`*^9, 
  3.859965717101404*^9}},ExpressionUUID->"b445c6f7-e1db-4ee8-9e40-\
881ecca4efcd"],

Cell["Proof ps <pva", "Text",
 CellChangeTimes->{{3.8599657223605556`*^9, 3.85996573477103*^9}, {
  3.859966271125785*^9, 
  3.859966273378961*^9}},ExpressionUUID->"8a19ecfc-abdb-4443-83ce-\
320b143bd978"],

Cell[BoxData[{
 RowBox[{"eb", ":=", 
  FractionBox[
   RowBox[{"pb", "-", 
    RowBox[{"pb", " ", "\[Alpha]"}], "+", "\[Theta]", "+", 
    RowBox[{"cs", " ", "\[Beta]"}]}], 
   RowBox[{"2", " ", "kb"}]]}], "\[IndentingNewLine]", 
 RowBox[{"pb", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"cs", " ", "\[Beta]"}], "+", 
     RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", 
     StyleBox["\[Theta]",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["+",
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox[
      RowBox[{"\[Alpha]", " ", "\[Theta]"}],
      FontColor->RGBColor[0, 0, 1]], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cv", " ", "kb"}], "+", 
         RowBox[{"cvb", " ", "kb"}], "-", 
         RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
         RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
         RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
         "+", 
         RowBox[{"cv", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cvb", " ", "kb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["kb", "2"], " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "-", 
         RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", 
         RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
         RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
         RowBox[{"kb", " ", "\[Theta]"}], "-", 
         RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
    ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.859966315471581*^9, 3.859966321584263*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"d412f084-bf81-46bb-8ae0-f8ff28bb18a3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Profitvb", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "pb"}], "+", 
   RowBox[{"eb", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"kb", "*", 
    RowBox[{"(", 
     RowBox[{"eb", "*", "eb"}], ")"}]}], "-", "cv", "-", "cvb", "+", 
   RowBox[{"rvb", " ", "cs"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], " ", "\[Beta]", " ", 
    "cs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profitsb", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "pb"}], "+", 
   RowBox[{"eb", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "pb"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"rvb", " ", "cs"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "eb"}], ")"}], "\[Beta]", " ", "cs"}], " ", "-", 
   "csb"}]}], "\[IndentingNewLine]", "eb"}], "Input",
 CellChangeTimes->{{3.859968615039372*^9, 3.859968616927866*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"d69b50db-242e-41ba-a4e4-8fa2baa4e4b4"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "kb"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
       RowBox[{"cs", " ", "\[Beta]"}], "+", 
       RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
       
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", "kb"}], "+", 
           RowBox[{"cvb", " ", "kb"}], "-", 
           RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
           RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
           RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
           "+", 
           RowBox[{"cv", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cvb", " ", "kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["kb", "2"], " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "-", 
           RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
           RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
           RowBox[{"kb", " ", "\[Theta]"}], "-", 
           RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
      ")"}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"]}]], 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
        RowBox[{"cs", " ", "\[Beta]"}], "+", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Sqrt]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", "kb"}], "+", 
            RowBox[{"cvb", " ", "kb"}], "-", 
            RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
            RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
            RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
            RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
            "+", 
            RowBox[{"cv", " ", "kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cvb", " ", "kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["kb", "2"], " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "-", 
            RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", 
            RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
            RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
            RowBox[{"kb", " ", "\[Theta]"}], "-", 
            RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
       ")"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8599686175787153`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"e56608ba-a05b-4197-ac36-0d0029cf1fab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%15", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"4b61be34-c36f-4932-8f45-7a823161a9b5"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"kb", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"kb", " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{"kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"cvb", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
        RowBox[{"kb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "-", 
        RowBox[{"cs", " ", "rvb", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"cs", " ", "\[Beta]"}], "-", 
        RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8599686198455763`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"1aaefea1-1fee-444a-a0bf-27e82c7864fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitsb"], "Input",
 CellChangeTimes->{{3.859966348378923*^9, 3.859966354615185*^9}, {
  3.859966401861518*^9, 3.859966413300989*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"2e8e8a8c-f30f-4223-8dfb-5dd5e84a60ae"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "csb", "-", 
  RowBox[{"cs", " ", "rvb"}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"]}]], 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
      RowBox[{"cs", " ", "\[Beta]"}], "+", 
      RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", "kb"}], "+", 
          RowBox[{"cvb", " ", "kb"}], "-", 
          RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
          RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
          RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], 
          "+", 
          RowBox[{"cv", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cvb", " ", "kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["kb", "2"], " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
          RowBox[{"kb", " ", "\[Theta]"}], "-", 
          RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
     ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "kb"}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "kb"}], "+", 
              RowBox[{"cvb", " ", "kb"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
              RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
              RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
              RowBox[{
              "2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"cv", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cvb", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["kb", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              RowBox[{"kb", " ", "\[Theta]"}], "-", 
              RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
          ")"}]}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
         RowBox[{"cs", " ", "\[Beta]"}], "+", 
         RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
         "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cv", " ", "kb"}], "+", 
             RowBox[{"cvb", " ", "kb"}], "-", 
             RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
             RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
             RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
             RowBox[{"2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}],
              "+", 
             RowBox[{"cv", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cvb", " ", "kb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["kb", "2"], " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "-", 
             RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", 
             RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
             RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
             
             RowBox[{"kb", " ", "\[Theta]"}], "-", 
             RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}], 
        ")"}]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Alpha]"}], "+", 
         SuperscriptBox["\[Alpha]", "2"]}]], 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
          RowBox[{"cs", " ", "\[Beta]"}], "+", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
          "+", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"\[Sqrt]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"cv", " ", "kb"}], "+", 
              RowBox[{"cvb", " ", "kb"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
              RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
              RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
              RowBox[{
              "2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "+", 
              RowBox[{"cv", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cvb", " ", "kb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["kb", "2"], " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "-", 
              RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", 
              RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
              RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], "+", 
              RowBox[{"kb", " ", "\[Theta]"}], "-", 
              RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}]}],
          ")"}]}]}]}], ")"}]}]}], "+", 
  RowBox[{"cs", " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", "kb"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", " ", "\[Beta]"}], "+", "\[Theta]", "+", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
           RowBox[{"cs", " ", "\[Beta]"}], "+", 
           RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
           "+", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cv", " ", "kb"}], "+", 
               RowBox[{"cvb", " ", "kb"}], "-", 
               RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
               RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
               RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
               RowBox[{
               "2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "+", 
               
               RowBox[{"cv", " ", "kb", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"cvb", " ", "kb", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["kb", "2"], " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "-", 
               RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
                SuperscriptBox["\[Alpha]", "2"]}], "+", 
               RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
               RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], 
               "+", 
               RowBox[{"kb", " ", "\[Theta]"}], "-", 
               RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
              ")"}]}]}]}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Alpha]"}], "+", 
           SuperscriptBox["\[Alpha]", "2"]}]], 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "kb", " ", "\[Alpha]"}], "-", 
            RowBox[{"cs", " ", "\[Beta]"}], "+", 
            RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "-", "\[Theta]", 
            "+", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"\[Sqrt]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cv", " ", "kb"}], "+", 
                RowBox[{"cvb", " ", "kb"}], "-", 
                RowBox[{"cs", " ", "kb", " ", "rvb"}], "-", 
                RowBox[{"2", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
                RowBox[{"2", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
                RowBox[{
                "2", " ", "cs", " ", "kb", " ", "rvb", " ", "\[Alpha]"}], "+", 
                RowBox[{"cv", " ", "kb", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{"cvb", " ", "kb", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{
                 SuperscriptBox["kb", "2"], " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "-", 
                RowBox[{"cs", " ", "kb", " ", "rvb", " ", 
                 SuperscriptBox["\[Alpha]", "2"]}], "+", 
                RowBox[{"cs", " ", "kb", " ", "\[Beta]"}], "-", 
                RowBox[{"cs", " ", "kb", " ", "\[Alpha]", " ", "\[Beta]"}], 
                "+", 
                RowBox[{"kb", " ", "\[Theta]"}], "-", 
                RowBox[{"kb", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
               ")"}]}]}]}], ")"}]}]}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.859966418911503*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"424c208b-779f-4fd3-a6d2-39b988d83dbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%11", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"2f86a84e-b5d3-47d6-a6a6-7b19f38e09c5"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"kb", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"csb", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cv", " ", "kb"}], "+", 
     RowBox[{"2", " ", "cvb", " ", "kb"}], "-", 
     RowBox[{"2", " ", "csb", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "cv", " ", "kb", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "cvb", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"f", " ", "kb", " ", "\[Alpha]"}], "+", 
     RowBox[{"csb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "cv", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", "cvb", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"f", " ", "kb", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["kb", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"cs", " ", "kb", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"rvb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", 
        "+", "\[Beta]"}], ")"}]}], "+", 
     RowBox[{"2", " ", "kb", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"f", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
          "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"f", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
          "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"2", " ", "kb", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
          "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "-", 
     RowBox[{"\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
          "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
      SqrtBox[
       RowBox[{"kb", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "cs"}], " ", "rvb"}], "+", 
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"cvb", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"2", " ", "cs", " ", "rvb", " ", "\[Alpha]"}], "+", 
          RowBox[{"kb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "-", 
          RowBox[{"cs", " ", "rvb", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", 
          RowBox[{"cs", " ", "\[Beta]"}], "-", 
          RowBox[{"cs", " ", "\[Alpha]", " ", "\[Beta]"}], "+", "\[Theta]", 
          "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8599664229968157`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"6abc3181-3d26-4f97-8c6a-37410b8a04f7"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859968676300955*^9, 
  3.859968686300212*^9}},ExpressionUUID->"c6bd1305-feb7-4fa9-bdd7-\
183b6758c8d7"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859968702426197*^9, 
  3.859968743525923*^9}},ExpressionUUID->"a73de7ea-e39f-4e29-b0d5-\
db97a18b58b8"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.859968735626725*^9, 
  3.859968745822151*^9}},ExpressionUUID->"c41cb459-5558-4323-8681-\
ea2a2ee141fd"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{Automatic, 0}, {Automatic, 7}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d5c0ca73-63fa-4b2a-a4bf-b18364ab72a5"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 280, 7, 84, "Text",ExpressionUUID->"bc3d98ee-de6f-424f-a005-b426776b8e00"],
Cell[841, 29, 1548, 41, 52, "Input",ExpressionUUID->"73a7945c-fae9-4c47-8e27-0953f37672ff"],
Cell[CellGroupData[{
Cell[2414, 74, 231, 4, 44, "Input",ExpressionUUID->"72ecdd6a-31dd-4576-b5ae-ff803c3dcc90"],
Cell[2648, 80, 383, 9, 34, "Output",ExpressionUUID->"0d896393-8278-4601-a634-d7d72fa4c318"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3068, 94, 257, 5, 44, "Input",ExpressionUUID->"5f6554b3-15d5-40f2-9502-bd10073e75ee"],
Cell[3328, 101, 419, 10, 52, "Output",ExpressionUUID->"60a739cb-1934-49da-bce3-75a71719c058"]
}, Open  ]],
Cell[3762, 114, 1022, 27, 108, "Text",ExpressionUUID->"085a58d7-785a-44f8-bbb1-85daf0d58d85"],
Cell[4787, 143, 358, 8, 49, "Input",ExpressionUUID->"bca1d2d9-ea3e-494c-a753-bffa67c6aa2b"],
Cell[CellGroupData[{
Cell[5170, 155, 179, 2, 30, "Input",ExpressionUUID->"37dd9252-02ec-47d3-b44b-0ea43e15a9ff"],
Cell[5352, 159, 1339, 38, 94, "Output",ExpressionUUID->"aa328bd5-bea8-41cd-9598-409b1fb8a5ad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6728, 202, 1387, 39, 107, "Input",ExpressionUUID->"a28c37b6-054d-4680-9751-607d8a0d45ee"],
Cell[8118, 243, 1282, 29, 75, "Output",ExpressionUUID->"d793509a-ad25-4adf-a6fa-89fa08650d31"]
}, Open  ]],
Cell[9415, 275, 258, 5, 44, "Input",ExpressionUUID->"4e2fc01f-4da4-4db7-b8df-233d843ede73"],
Cell[9676, 282, 4010, 94, 272, InheritFromParent,ExpressionUUID->"75c55c55-da28-445c-9a32-dfa885407b67"],
Cell[13689, 378, 2555, 71, 71, "Text",ExpressionUUID->"42c2bfb0-3d6d-43a7-a244-80ff8520e6cb"],
Cell[CellGroupData[{
Cell[16269, 453, 302, 5, 56, "Subsubsection",ExpressionUUID->"ca3839c7-c3ce-44d4-966b-41b91b827bc6"],
Cell[16574, 460, 900, 25, 72, "Input",ExpressionUUID->"f182f1df-f3a0-490e-8838-e8cec225bfc3"],
Cell[CellGroupData[{
Cell[17499, 489, 181, 2, 30, "Input",ExpressionUUID->"1b604f80-4e60-425c-8982-adc00df5e9db"],
Cell[17683, 493, 916, 26, 52, "Output",ExpressionUUID->"544c25d4-4ab8-4ba4-86c0-c8516b06b831"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18636, 524, 953, 27, 105, "Input",ExpressionUUID->"cdc63833-d42b-47f1-acd3-d1a1c303dcb9"],
Cell[19592, 553, 944, 27, 52, "Output",ExpressionUUID->"f3fcd2db-df85-409d-a7c7-6acb4e704ee3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20573, 585, 223, 4, 44, "Input",ExpressionUUID->"8777f605-014e-4274-9abb-7ad485100c34"],
Cell[20799, 591, 939, 29, 52, "Output",ExpressionUUID->"1bbcf201-ca02-4b87-9367-d5c2ac58cc8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21775, 625, 976, 30, 62, "Input",ExpressionUUID->"c6189fae-c804-48b3-bcce-4252b2e9c9c0"],
Cell[22754, 657, 738, 20, 54, "Output",ExpressionUUID->"4c561dc2-e2f5-40f4-93dd-3a0ea46d5aaa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23529, 682, 260, 5, 44, "Input",ExpressionUUID->"2667d60d-1d12-4bb4-aca1-b7f1c252bafb"],
Cell[23792, 689, 709, 19, 55, "Output",ExpressionUUID->"55635983-ca94-4d6e-9475-7f58df527b3a"]
}, Open  ]],
Cell[24516, 711, 2903, 85, 105, "Text",ExpressionUUID->"71c10bd0-ce38-4e28-a8d0-90f28ac69dbe"],
Cell[27422, 798, 2439, 60, 167, "Input",ExpressionUUID->"6d937feb-a3c5-4f10-b32c-bce0b211051d"],
Cell[CellGroupData[{
Cell[29886, 862, 187, 2, 30, "Input",ExpressionUUID->"ad622383-abb0-4b7b-8773-4d9d2f574a61"],
Cell[30076, 866, 2164, 53, 104, "Output",ExpressionUUID->"76e4e884-a294-4c78-b8ce-1f8661dde917"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32277, 924, 163, 3, 44, "Input",ExpressionUUID->"9beacf6e-c2d9-4af7-a733-dcdd5e9e2aaf"],
Cell[32443, 929, 1489, 41, 83, "Output",ExpressionUUID->"485eafd9-f254-4ed9-9aa5-80651d0c4bf1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33969, 975, 257, 5, 44, "Input",ExpressionUUID->"de51d7ec-b105-4965-a1a1-148b0450349d"],
Cell[34229, 982, 2481, 72, 148, "Output",ExpressionUUID->"493daee5-41e8-4783-83b3-003a5a573322"]
}, Open  ]],
Cell[36725, 1057, 1266, 39, 49, "Text",ExpressionUUID->"8697bb3e-df69-4c8b-a9a8-4220343086fe"],
Cell[37994, 1098, 152, 3, 30, "Input",ExpressionUUID->"994c9b1a-b339-42fc-a0ce-13cf688beef2"],
Cell[38149, 1103, 16182, 454, 633, "Text",ExpressionUUID->"5eab1056-d934-42dc-b7a0-307cc13977c2"],
Cell[54334, 1559, 20678, 540, 1204, "Input",ExpressionUUID->"1f41be6f-140d-4759-b509-0375cda54ee3"],
Cell[75015, 2101, 149, 3, 35, "Text",ExpressionUUID->"bbb2a88a-523f-4d17-944c-a2823269fe9a"],
Cell[75167, 2106, 1889, 56, 139, "Input",ExpressionUUID->"0b7d5c4f-716e-440f-bfcb-5f9ca2871fd2"],
Cell[CellGroupData[{
Cell[77081, 2166, 181, 2, 30, "Input",ExpressionUUID->"c9f1dc5a-681e-4a49-b904-fe00b948130a"],
Cell[77265, 2170, 6601, 175, 331, "Output",ExpressionUUID->"8ac4ab72-8931-4d06-bd84-8c7c6ec18a74"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83903, 2350, 163, 3, 44, "Input",ExpressionUUID->"2d0b76c6-5027-4bbd-9203-a0ff4496dfb2"],
Cell[84069, 2355, 2185, 56, 123, "Output",ExpressionUUID->"bb5054f6-16ec-4ee9-a3ff-23bc8c651bb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86291, 2416, 207, 3, 30, "Input",ExpressionUUID->"7697db33-6d90-4146-aed7-7b190af53a6b"],
Cell[86501, 2421, 4130, 111, 211, "Output",ExpressionUUID->"ea18db94-38b0-4012-a31f-5257a6957bda"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90668, 2537, 163, 3, 44, "Input",ExpressionUUID->"4464e03f-0118-483b-aabc-30a3c4640679"],
Cell[90834, 2542, 2026, 58, 100, "Output",ExpressionUUID->"f4a36d0b-e7d4-4a7f-87c6-d1ab25410ade"]
}, Open  ]],
Cell[92875, 2603, 238, 4, 30, "Input",ExpressionUUID->"4842f150-a839-4f48-a6ff-87a85277628a"],
Cell[CellGroupData[{
Cell[93138, 2611, 180, 2, 30, "Input",ExpressionUUID->"f6a54301-c199-42b3-898e-3bd4c2c0a5d2"],
Cell[93321, 2615, 6700, 180, 309, "Output",ExpressionUUID->"01b893f7-07b6-4af1-b8b4-475013a166b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100058, 2800, 163, 3, 44, "Input",ExpressionUUID->"a8166f51-4b4a-4114-9989-2cbeea8ca0e1"],
Cell[100224, 2805, 2388, 61, 123, "Output",ExpressionUUID->"09bcb560-394f-4be4-bfc6-e8536550a6e7"]
}, Open  ]],
Cell[102627, 2869, 234, 5, 94, "Input",ExpressionUUID->"b445c6f7-e1db-4ee8-9e40-881ecca4efcd"],
Cell[102864, 2876, 205, 4, 35, "Text",ExpressionUUID->"8a19ecfc-abdb-4443-83ce-320b143bd978"],
Cell[103072, 2882, 2105, 52, 183, "Input",ExpressionUUID->"d412f084-bf81-46bb-8ae0-f8ff28bb18a3"],
Cell[CellGroupData[{
Cell[105202, 2938, 1188, 35, 73, "Input",ExpressionUUID->"d69b50db-242e-41ba-a4e4-8fa2baa4e4b4"],
Cell[106393, 2975, 3613, 84, 176, "Output",ExpressionUUID->"e56608ba-a05b-4197-ac36-0d0029cf1fab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110043, 3064, 163, 3, 44, "Input",ExpressionUUID->"4b61be34-c36f-4932-8f45-7a823161a9b5"],
Cell[110209, 3069, 1276, 36, 80, "Output",ExpressionUUID->"1aaefea1-1fee-444a-a0bf-27e82c7864fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111522, 3110, 228, 3, 30, "Input",ExpressionUUID->"2e8e8a8c-f30f-4223-8dfb-5dd5e84a60ae"],
Cell[111753, 3115, 11350, 260, 527, "Output",ExpressionUUID->"424c208b-779f-4fd3-a6d2-39b988d83dbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123140, 3380, 163, 3, 44, "Input",ExpressionUUID->"2f86a84e-b5d3-47d6-a6a6-7b19f38e09c5"],
Cell[123306, 3385, 6764, 174, 511, "Output",ExpressionUUID->"6abc3181-3d26-4f97-8c6a-37410b8a04f7"]
}, Open  ]],
Cell[130085, 3562, 152, 3, 30, "Input",ExpressionUUID->"c6bd1305-feb7-4fa9-bdd7-183b6758c8d7"],
Cell[130240, 3567, 152, 3, 30, "Input",ExpressionUUID->"a73de7ea-e39f-4e29-b0d5-db97a18b58b8"],
Cell[130395, 3572, 152, 3, 30, "Input",ExpressionUUID->"c41cb459-5558-4323-8681-ea2a2ee141fd"]
}, Open  ]]
}
]
*)

