(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    267395,       5459]
NotebookOptionsPosition[    262960,       5395]
NotebookOutlinePosition[    263369,       5412]
CellTagsIndexPosition[    263326,       5409]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
 RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       "2"]}]]}]]}], "\[IndentingNewLine]", 
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.850205581545938*^9, 3.850205583010478*^9}, {
   3.850205661650819*^9, 3.8502056828748817`*^9}, {3.8502059269657087`*^9, 
   3.850205970266695*^9}, {3.850206131123011*^9, 3.850206134900777*^9}, {
   3.850206246006164*^9, 3.850206278798038*^9}, 3.850206564610969*^9, {
   3.850206802148507*^9, 3.8502068081262608`*^9}, {3.850206853394599*^9, 
   3.850206898520711*^9}, {3.8502070507540092`*^9, 3.8502070793399687`*^9}, {
   3.850207120209454*^9, 3.850207151213763*^9}, {3.850207316516987*^9, 
   3.850207337395917*^9}, {3.850207381373892*^9, 3.850207389155677*^9}, {
   3.850207484982464*^9, 3.850207536086341*^9}, {3.8502076068204393`*^9, 
   3.8502076597907457`*^9}, 3.850207713514534*^9, {3.85020775917385*^9, 
   3.85020780559251*^9}, {3.850207938168272*^9, 3.8502080758381968`*^9}, {
   3.850208109236432*^9, 3.850208110166341*^9}, {3.850208347293191*^9, 
   3.850208432620072*^9}, {3.850208463938476*^9, 3.850208471300725*^9}, {
   3.850208569506332*^9, 3.8502086023845863`*^9}, {3.850208710512588*^9, 
   3.850208755616844*^9}, {3.8502088490234127`*^9, 3.850208852468089*^9}, {
   3.850208971775103*^9, 3.8502090691488667`*^9}, {3.850246168012978*^9, 
   3.850246174111062*^9}, {3.850246205080552*^9, 3.850246216807828*^9}, {
   3.850246253217559*^9, 3.850246294019743*^9}, {3.850246339137076*^9, 
   3.85024638201031*^9}, {3.850249349712344*^9, 3.850249387244267*^9}, {
   3.850249502566559*^9, 3.8502495048246*^9}, {3.850249565848317*^9, 
   3.850249585311694*^9}, {3.850249896276086*^9, 3.850249911819963*^9}, {
   3.855198809643561*^9, 3.855198821700103*^9}, {3.8551988820884333`*^9, 
   3.855198902551989*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"521be151-b2d2-4d99-8c40-206b5e373e9d"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3AkyayQa/hFpVFSyVQ82xASlVAUUkiIhEOZqZAhQoMpUUhE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       "]]},
     Annotation[#, "Charting`Private`Tag$10061#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxF0H0s1AEYB/A7rlHW6fRiPzp2ovIWk5RUKhZ5qXmbLG8T0vWGbKXVdM1J
XmLtJuX9JaUbR+6scmLctMz7EYo7ziXceducGy1XbfU8z/bdd5//vnsYUTf9
Y7RIJJLvn/xtr5iZ/tbZoBOkf0dxM4qXEo6u/32wJL+wgXAHe3cPvy0iAsHB
0ermp0Q0eNzukVs2kQQu3Xk+LYNIBbN0G/Y9JjjgCyFlvKXlSrCehhXqYcID
W/gtzLRn8sG3e5xd81fegw35NAmZ3AJulLl19R5rA7cxi4xDlCKwau9x/Zrr
n8Baa9xtxhadYCdNZGNAbRe4K9Wxp8OqF2yaq1irXugDK9RSyZD9ALhyrqmT
+kQMptJfLcrlg+CsK4LYUvMv4NWTXHlcyjA4yUHE39U+ApbWijL7GV/BP5mD
BZZ3v4GtT+lsxDaNgT3KGZfrDSX4L3qE2WSoFGyjDNIb9p0Ab9df0hWtoykt
Bbw9hZPgq45No5u9ZWDu2ajSj6tolcJo23TeFFgQ4KHNcZeDUzzZJfxpNGPc
a6SC/R189HAqh3CYBoea9K6RxWhVZ7YsnvUDnE8JT/I3n8H9EkG5lgi96T4r
0DlhFkyqDufJDObAiS942QZt6GbrdF3aDQWY5pVo85CqBI/Z9omThei6Yldz
efg8OIznRKNvoB+wy1hjbxbANTP0AqrPIji9iB0pOYeO9p+3qPVD7xYK63yD
0Rk5FzuyotBxTs+XtySjzVJ3eOpUoTeO3Ns6/Bo9Oj81UMVF5wY3hJ2pR2us
/G+xheix/pxibTH6XZr6kngIzXGJsKwYQXu/PMA/LUF/uNP9mTWLzrM9lOOn
RCfICgMZi+j9PtekrStoCnmwMleNnhC4MCPX0UJmhZ39L/QzUz2VRoP+DRRC
Ph8=
       "]]},
     Annotation[#, "Charting`Private`Tag$10061#2"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 1}, {0., 1316.709314298679}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8552159044846897`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"6fcdb9f8-1439-4d38-a615-9af1c45442ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", "None"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[16]:=",ExpressionUUID->"8b5aff7b-68b3-448d-9d38-f10f3a2a7c83"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3AkyayQa/hFpVFSyVQ82xASlVAUUkiIhEOZqZAhQoMpUUhE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       "]]},
     Annotation[#, "Charting`Private`Tag$10061#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxF0H0s1AEYB/A7rlHW6fRiPzp2ovIWk5RUKhZ5qXmbLG8T0vWGbKXVdM1J
XmLtJuX9JaUbR+6scmLctMz7EYo7ziXceducGy1XbfU8z/bdd5//vnsYUTf9
Y7RIJJLvn/xtr5iZ/tbZoBOkf0dxM4qXEo6u/32wJL+wgXAHe3cPvy0iAsHB
0ermp0Q0eNzukVs2kQQu3Xk+LYNIBbN0G/Y9JjjgCyFlvKXlSrCehhXqYcID
W/gtzLRn8sG3e5xd81fegw35NAmZ3AJulLl19R5rA7cxi4xDlCKwau9x/Zrr
n8Baa9xtxhadYCdNZGNAbRe4K9Wxp8OqF2yaq1irXugDK9RSyZD9ALhyrqmT
+kQMptJfLcrlg+CsK4LYUvMv4NWTXHlcyjA4yUHE39U+ApbWijL7GV/BP5mD
BZZ3v4GtT+lsxDaNgT3KGZfrDSX4L3qE2WSoFGyjDNIb9p0Ab9df0hWtoykt
Bbw9hZPgq45No5u9ZWDu2ajSj6tolcJo23TeFFgQ4KHNcZeDUzzZJfxpNGPc
a6SC/R189HAqh3CYBoea9K6RxWhVZ7YsnvUDnE8JT/I3n8H9EkG5lgi96T4r
0DlhFkyqDufJDObAiS942QZt6GbrdF3aDQWY5pVo85CqBI/Z9omThei6Yldz
efg8OIznRKNvoB+wy1hjbxbANTP0AqrPIji9iB0pOYeO9p+3qPVD7xYK63yD
0Rk5FzuyotBxTs+XtySjzVJ3eOpUoTeO3Ns6/Bo9Oj81UMVF5wY3hJ2pR2us
/G+xheix/pxibTH6XZr6kngIzXGJsKwYQXu/PMA/LUF/uNP9mTWLzrM9lOOn
RCfICgMZi+j9PtekrStoCnmwMleNnhC4MCPX0UJmhZ39L/QzUz2VRoP+DRRC
Ph8=
       "]]},
     Annotation[#, "Charting`Private`Tag$10061#2"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->None,
  PlotRange->{{0, 1}, {0., 1316.709314298679}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8552159314778643`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"2c953763-90ed-4a1d-ac44-bd24d9b9c774"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%16", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
      RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"bf93f71b-f1c5-429a-9ae2-b09f38b0ca76"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.732824533138904], Opacity[1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3AkyayQa/hFpVFSyVQ82xASlVAUUkiIhEOZqZAhQoMpUUhE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       "]]},
     Annotation[#, "Charting`Private`Tag$10061#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.12500000000000006`], Opacity[1.], LineBox[CompressedData["
1:eJxF0H0s1AEYB/A7rlHW6fRiPzp2ovIWk5RUKhZ5qXmbLG8T0vWGbKXVdM1J
XmLtJuX9JaUbR+6scmLctMz7EYo7ziXceducGy1XbfU8z/bdd5//vnsYUTf9
Y7RIJJLvn/xtr5iZ/tbZoBOkf0dxM4qXEo6u/32wJL+wgXAHe3cPvy0iAsHB
0ermp0Q0eNzukVs2kQQu3Xk+LYNIBbN0G/Y9JjjgCyFlvKXlSrCehhXqYcID
W/gtzLRn8sG3e5xd81fegw35NAmZ3AJulLl19R5rA7cxi4xDlCKwau9x/Zrr
n8Baa9xtxhadYCdNZGNAbRe4K9Wxp8OqF2yaq1irXugDK9RSyZD9ALhyrqmT
+kQMptJfLcrlg+CsK4LYUvMv4NWTXHlcyjA4yUHE39U+ApbWijL7GV/BP5mD
BZZ3v4GtT+lsxDaNgT3KGZfrDSX4L3qE2WSoFGyjDNIb9p0Ab9df0hWtoykt
Bbw9hZPgq45No5u9ZWDu2ajSj6tolcJo23TeFFgQ4KHNcZeDUzzZJfxpNGPc
a6SC/R189HAqh3CYBoea9K6RxWhVZ7YsnvUDnE8JT/I3n8H9EkG5lgi96T4r
0DlhFkyqDufJDObAiS942QZt6GbrdF3aDQWY5pVo85CqBI/Z9omThei6Yldz
efg8OIznRKNvoB+wy1hjbxbANTP0AqrPIji9iB0pOYeO9p+3qPVD7xYK63yD
0Rk5FzuyotBxTs+XtySjzVJ3eOpUoTeO3Ns6/Bo9Oj81UMVF5wY3hJ2pR2us
/G+xheix/pxibTH6XZr6kngIzXGJsKwYQXu/PMA/LUF/uNP9mTWLzrM9lOOn
RCfICgMZi+j9PtekrStoCnmwMleNnhC4MCPX0UJmhZ39L/QzUz2VRoP+DRRC
Ph8=
       "]]},
     Annotation[#, "Charting`Private`Tag$10061#2"]& ]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7143631219938134, 1067.6638580983304`}, {
     0.7904610149862372, 1067.663858098329}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "dde5272a-53e1-4bd5-8db1-6f56536c9155"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.32253281378912446, 568.0924958385015}, {
    Left, Baseline}, {0.02240073145807332, 199.98762604268745}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "19b9e068-b27d-47da-8e85-788f9a488ba1"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.8608281086328097, 586.2731889336446}, {
    Left, Baseline}, {0.039313783725245875, 118.17450611648674}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "998d8199-3376-43c9-a4c5-acacf9b605ac"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "56801af3-71b7-4add-8c17-bcf45937a227"], \
{0.3040099266749869, 1031.3024715451138}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.489796, 16.}, {6.941182, 19.}},
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->None,
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-73.15051746103772, 1389.8598317597166`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.855215959071068*^9, 3.855216026750389*^9}, 
   3.855216190408822*^9, {3.8552162392921352`*^9, 
   3.855216372145528*^9}},ExpressionUUID->"4c95dfc9-228c-4d42-9648-\
1f5b5adf1cf2"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.7673614893618189], Opacity[1.], LineBox[CompressedData["
1:eJwV13k0VV8bB3AkyayQa/hFpVFSyVQ82xASlVAUUkiIhEOZqZAhQoMpUUhE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       "]]},
     Annotation[#, "Charting`Private`Tag$5312#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.12500000000000006`], Opacity[1.], LineBox[CompressedData["
1:eJxF0H0s1AEYB/A7rlHW6fRiPzp2ovIWk5RUKhZ5qXmbLG8T0vWGbKXVdM1J
XmLtJuX9JaUbR+6scmLctMz7EYo7ziXceducGy1XbfU8z/bdd5//vnsYUTf9
Y7RIJJLvn/xtr5iZ/tbZoBOkf0dxM4qXEo6u/32wJL+wgXAHe3cPvy0iAsHB
0ermp0Q0eNzukVs2kQQu3Xk+LYNIBbN0G/Y9JjjgCyFlvKXlSrCehhXqYcID
W/gtzLRn8sG3e5xd81fegw35NAmZ3AJulLl19R5rA7cxi4xDlCKwau9x/Zrr
n8Baa9xtxhadYCdNZGNAbRe4K9Wxp8OqF2yaq1irXugDK9RSyZD9ALhyrqmT
+kQMptJfLcrlg+CsK4LYUvMv4NWTXHlcyjA4yUHE39U+ApbWijL7GV/BP5mD
BZZ3v4GtT+lsxDaNgT3KGZfrDSX4L3qE2WSoFGyjDNIb9p0Ab9df0hWtoykt
Bbw9hZPgq45No5u9ZWDu2ajSj6tolcJo23TeFFgQ4KHNcZeDUzzZJfxpNGPc
a6SC/R189HAqh3CYBoea9K6RxWhVZ7YsnvUDnE8JT/I3n8H9EkG5lgi96T4r
0DlhFkyqDufJDObAiS942QZt6GbrdF3aDQWY5pVo85CqBI/Z9omThei6Yldz
efg8OIznRKNvoB+wy1hjbxbANTP0AqrPIji9iB0pOYeO9p+3qPVD7xYK63yD
0Rk5FzuyotBxTs+XtySjzVJ3eOpUoTeO3Ns6/Bo9Oj81UMVF5wY3hJ2pR2us
/G+xheix/pxibTH6XZr6kngIzXGJsKwYQXu/PMA/LUF/uNP9mTWLzrM9lOOn
RCfICgMZi+j9PtekrStoCnmwMleNnhC4MCPX0UJmhZ39L/QzUz2VRoP+DRRC
Ph8=
       "]]},
     Annotation[#, "Charting`Private`Tag$5312#2"]& ]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "bb5e268d-a711-41a3-b43f-64cbff0833f7"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.46373688155922044, 600.3434647978875}, {
    Left, Baseline},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "a91b55f5-549a-4cc8-96d9-ed893ac8a3dd"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.8417666164554036, 527.3045049489535}, {
    Left, Baseline},
    Alignment->{Left, Top}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "4d275907-9c7b-4197-8ade-d4d65d8c5a7d"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "38cc09a4-44e3-4876-a4db-923958ec8e30"], \
{0.34639174464366485, 952.1151770055894}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7137080869573651, 986.8956337458299}, {
     0.7898059799497892, 986.8956337458285}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "4220a1ef-3a37-4410-b36e-00125b4db0d5"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.46373688082422027, 600.3434637562461}, {
    Left, Baseline},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.193878, 1.5}, {6.483962, 0.5}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-73.15051746103772, 1389.8598317597166`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{
  3.855198916147044*^9, {3.85519897579976*^9, 3.855199026692423*^9}, 
   3.855215859204874*^9},ExpressionUUID->"dd2a7a2f-2df5-4943-a2aa-\
1da9c5256d7d"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxNmHk4lN0bx0mL7ApZ36i0SirZKvexhEQlFIUUJZSEh5K9LFkitNgqipKi
V2RfZgZjX8u+lKSZQVLSQvyO63qf/OafuT7Xffbzvc9zzlfm9MUjZxaxsbF5
sLOxzf/rn2G0lDNN1Rt3Z9tbqxDIn/PVhhtisfDp8RSX8mYCmZknZ32ZeAy5
zz3in0kSiHvO30L3nywYKrqrwhQkkKzRZwYtLAd0byh4my8nkEejKtybLICc
Zk/RG4sItCpHsJ+dvQz493Stos66odeDWvVNe6iQc2hctOGPG6I6JEmYj1aA
pWxcny0bgb6v38v/4gIdrvTfqTFaSqBFvzIEJGRrQXrxDY1ZAQIpzVm/Ns6s
B4fl5fHWqwlUf12xsWpzE3DM2CYL7CDQ6qiRX+mfm8HDsjtlqQGBRn4M9L9V
aIVYepLjBgcCPWYV1fLdbAOrFf4Z328RiE/qyfjQ0Bs4PNP9R5BCoHD73LMP
17WD/N3U7b8mCTSFMobO+XZAQoiT72cld+S2oyJHhNYJx1f/rI/2cUcDmRVh
LTLd0MJ9Qc690x1NO7xJ2OTZAwaSEYax6h5oi8ay2bNFvSDXwC+Vl+GBdFNk
7P5d1Q9+/Rxrluy8jDykTq55bzEAfQUcepq0y0hu1JS7w/AdHH3ndCTG5gpa
yf+Fs+L3O/jT/GSr0yZPtLgsIWtt4nv4ouKTFTXtiRwVi7qWHxgEtS2x8uvm
rqKM/acflk4NQojs2BT/Wm/0fURcYPjOB6g6vmR5trkPyjXW5YjVHoKJ0LC3
Fj2+yFcv8EHO8BC89DG7HV7sh2T69DsfBX6ESJWvGWKp/khN+Xqs2I5hyAmT
Wrq3JgBZ/NP0i71tGBqMbMSGll5H32sjBp39P4HDyL0wSkIgurfYyu3IOgbU
BigrxloEo5X9uSmLKhjQdc1xMP7cDbTE299E9RITDKO83e6LhyO2dKuswRUs
8E3ePF21KxK5xGdFrKCyoHmkUFa/6BYq2RLCKeg0AmfPpupcdY9FpF5TG7yO
tkfHorurub/PzY0DyQ+FDwWFil2HtTwXQiW2E2jHc8GlkpzPYMXnDVPcqwhk
+vRunStvNsx0MmRP8hKokV9ISB7lgblagl/8EgLpUlL5GjyLwebf1S5GWI+n
rNIsn/aXQzXzdnIX1mtx2hfX2FgaiCZdrUnBeu7VuyDMsbUKgnRKtJhY7zOR
k/y2NdWw1uGNxkpuAkl6Bdnk2deB7bFF8Q9w/+xUfc2I0QagrE5kl95IIE1m
wMulms3QlZCbqq1OoCUVZ0bLIltg/3D64mPHCaQ30WDiMtAKwrxVSMibQF3X
tvddUX0DP6PUVTyeEujoxI2wzW4MSArYITZ8NASFv0iYThJnQv43xr24rFC0
aOUXdj4qE2ae9oFgTAQqkAm+7+nAgjOCHkCNi0KiHyTqBEVHoG1z4Axii0F9
24K1IsTcwDbkvWa2IoEqA7qOL/V+ApNyb3bVixFozHi0+EDjS2CFvuWP5SeQ
p4L/7M+PueDWe3LYdhmBBujjadnKRSAgdL/SjB3na+KxtNht5WCYvll6J16v
Am1x6WwGFSoPDchLYG4yDxTNDK8E4kWwRhguf7nnXmSIRDV0pEkZ3+QkUKSa
mJo9vRasFz/u2yJEoMR3pl7Ohg0wdalNKGEtgZ5uSVrl0NEEjTPPFX8rE2jF
s43fFKEF+MJuL2IzJlD8ZLvYupBWoDvSJqxdCaSeN2Vc8aENOMXmVnxPJNCP
39981Q0YoBDY9O1PezBqrtx46PA4A6oPtHSMLAtFi6tVMh7FMUH2E33zt5Zw
ZPHxa1qmOgtWlu42txaJQpWlZ+RWjLFA2TDfStUsGpXMaHYnGLwCZK9qegDv
/5rxtE028flQrcHlM81BoKzCE+6fSkrg12tuBbc5NxQu/V2oOIICciKTEnlY
X2WcdLo7qoCnzpc8z+A4Q9l0hVlDFRxcWnzAbzGBfLUPR4FHDVSFiUcOYv2m
l3wLX8JTD2W8yXtPSBDo7CPgfBbWCJ6jr1Un5LDerJ6YXWYxYZ8R58dCq5tI
xErijs4dFmSardtZLXsLOSxrtRfUGgG5Uyk2N3Ni0DHbHyXRYrYwoDzoEqSE
z0envYFXldPgj9HNl8q4/YL0O7l58i/BZHtLeiE+j5vL81z7VXLhGo/PrDne
ry11Qq6ydwrhi9GidyN4PzXdrW8LvywD6V9XF7vh/c5fuW2qPJoKDh2cPGN4
vnqnBeOv7amE6xEj2ydwvimxOzbFV9ABUqul7bCequNOy2q618J230i78BUE
Yl48ITb4px4aKaFpbjIEUutkuIj6N8HrS5aXf2G9ikqFuo+LtMD0nus0j0Pz
/Z+Y8bJoBd9urs25TgSaOGweycxvg51esnDmLm5/bqOnngoDZBYrBf8TF4y+
Go1fTu9iwGst610aeTfQ9TV9vk6BTNgwlbZcgghH8vSNGdUbWbBHgSPXOisS
JT7nsozuYEGPy3EOZ85odOPIWOuyF9nwUPcWjxEP1rNv3329sTx4wvD2rcT7
N13ip3lcsgS2TgR79+H9dS8zVN2hRIHWV7p2FLwepR09SYEsGgw/zUidwet1
Gr2P2epdBY02SlEvsH7UHdY0G0nXwEv/cK9LuP1Byb2X+wvr4M8WriNuOD9z
duxLldjTCNPLNKd88Pc7IP/AVq12Jnh2u7wO/hGBGGAUb+3Hgqx0atej/iik
8d09/tbWEQjZVeRVaxaDYipqu6GrCCStf7Ka8H4Y/Jn1/ye4HHLu/oqbw+Mr
JJboP1KnwTXdguxjeHxHjX7d6eythLMKsSo78flnk6f0zO1kKdhHjD0XxvNL
9k/8su8jBS7arJ4oxPXLVbMn7O5UgNNQ3NX5+R9o6MhOEjOBat+C1y44f1/Z
XBR/HZsKr1pUVb9gvamnd9j0lGTBR799k4fxfeM3p7G80WAOvNxu7tqJ9dZi
sKHLal8hmNVHq6ni/uWECwrCzMqA5q7oGIfHp3xV9VS1HRVQafShHtx/4NmO
405ClcB7WsQ4Hc9PRMhkfG0cHaRKU/Z24/vGmf3LEjINa+HAJnZ5Gu4vSrn/
k3h7PcjSPx87J02ga5k3H46bNgH3PT3hgJ34PGpXy69f1AJja34aFxvi9vKS
LqTrtELB7Looh/MEqk3i2ur1qA0CDm52S48lkEKAloehPD5f7qZaZHkGo0X3
WnnbGxnAplD2KDPyBqo4tI1lfHVeb93PonXD0ap8rRdvpViw+mlelpRLJApe
a0m01rOgTUE9K/T9LXTRW7Npr2U2NGoV8XVgPTyiXzYvupMHuZM3UuTx9ywZ
Yp7G1BXDACEtK4LnO8rneeACFwXcA5Jr6vB67IVhzogyGtzRzOtpwOv1QPuJ
iahpFczp/ri/H+tNypv7S/dkNexZr8FZjs8z3/r3Y/rRdXDBWvlVsCiBjv+m
u5oINcLspl5hw00Eon5Muruxngmh1PCbUxURqFnhfOIFggVy7WbWo0VRSO58
TXbLmhGQ2G8mISMXg1R1+tCVkCKY61PkW4nPC4rBlljzE+WQ/f5o5io8HrU+
/txnK2mwRv9WsjLmaNOyY7ScSujdZ+bdh8svV90vkMlXClP3f0ZrYT2JtFQv
8i+ggJDxCZg/T1FyscVFxwpYvEQp+gGOPx+5lt/EUQ6CUteZRrg9lefrwgpK
qLC02NFkEWZ2Z5kNP05RwIvvmd+8XtWdW3b4CFdAOIu6dRuu3/6i9eKH7HJg
qPEyWTi+m2+6P8GeBu7d985dxfXldjj3cwlSYS1vqDIVx3c+uJf4SkwbxJM9
TzOxvoOsOM8Ya6XC1epf8ob4Pr3ujZy1oFMWHGfZdSRivQm8eBjGlZcDYT7j
qaL4Pv04QiF8WrIQTE9adVljfafYfqyrkisDLZX15i9wf1OZpSIGR6gQ8fUT
rQ339/icWpENWyX0/L6WEYT3OyhJz/fcNToo1Ox0v431rZjc9dZWtRaEI6Pk
rXF/NgmrDylT64F/f+KnD/g+/TTulPIJ1ATdPwXvV+P7tNXOleZFP5uhzXJr
xTt8n/brUE8r290KkeEcAnqOBFLW/nC18l4bQP2ZqIMxBLKlNX8/tIkBCcZC
FncdgxHXbm2z8zUMEHscxCPsdQPZnjV7oOPOhNemJ3Yt3R6OwhWM5C1EWaBB
UZN6axyJZqyC/F3oLHA2eChwtPEWeun15JaQ6wgIBHW18tyMRYMrLjSY7cJ6
F2N2iOPvX75j1Ws3xzzQ6/BVs8V6d/NLPKHwqBiqhlQ8duL5pylFvQmdLAd+
MX3dVrw+My6OpQLPaNAWzdmbh9evVIcrl1ejCo5wf58VxXoPX8rmt3qgGr6l
NfHbY70fXJezkd2nDiyGLERWYr3LWy3vcWZrhHOPs77m4vvb6ZkqAwk6E/pW
yD38nBGBtNOvSE1eZIFaXHdn5bMolPLka+klqRGI8PJSEhWJQTzBw9+ErYtA
7OuTu7uwfr3cNKQ89pWD3Z6J6XV4PL8FbjvIz1JhRKNhciPml8fW5Oc/rITb
7T3jr3D53itHaPrDJbDTjRF6Auux5Wd/2P1HFGg+jIpf4/mxvdVY8c20AjY9
DuEJwPGG9YrXunvKQMV4c8Rp3N7PgXS09ykV2p4fV/8xf5+9q/xSyIAC6QP/
XC/BPPvoKIOdrQJqPoZdmj+/b71l/GRLKofl2rlvJnH8t4Zf7GoTGixPfiFq
j9sbNg+y2zhNgdzB4zKlOH5ZNydD2xu3z5td/AHz9k821EPSFAhwOLmpCvNS
WWHuPZfKYWxOTIUb17dIz75i00SBuFO8afk4rqPHfb/LgwLebFmW8ywZVDxc
WY3PA0Nqx3vMl7iOm46tp0JSjociHfNiLXHnATFF0Cp83r0Ov1/He0y4UsRT
4YTNsvarOL/u2R+zktPJAhGa9k8q1ru4r66aXXIO5LI4/qjg/OKTz/1Yw1kI
EnTWkBvOL4vwaZMhkTJ4vt71/rw+2vX8JyJ0qZBx9dSRZtzfK6ajo9VUBZz0
tk0nsL7UBzXpoZfpwHso3ssV55dEg+Y32FYLa882CG/D/RkYlgfsy6+HpqcN
kik4v9T46xbd2tUEo6d8nM/j/Co95Zue/a0Z1grTA11xfr22i6TqK7XC1wGX
gDz8XnW6e2itQ0wbjGXs6E+OJtCszapdLesZcE0keNtK22B0k8fbO6+KATOy
qnwmLjdQzsTorzJXJjSdS6Y1yIajqtEOpwfCLGBKo+oq7UiUNxMfTK1ggfb7
EJ66iltI6c2qhmjnEVB4YGe/NyAWJVoGGJyVyYbnT0w/78H5Rdt74UyLaR58
vNmq64vzq19aJnf2ZjEUyCec1MTzv64vERfHLAed6k+db/H69PLIxx15QAPZ
B5t3zZ9PDfTdZziVq8AI6haz4/zSPvCbrvGmGj7rx3Co4/zadVhKp9e1DuT5
5BW78PtIVOAZn+9UA/wqnWhzwPmVHXziSWwFEx60vnrs+SAC+Zxhs1K+wAKp
+KYcSIlClvuWVVLE8fvlgpnTeu4Y5L7B0XDoQBF0S0mI6+J8MQ+pfx+oVg5s
E/u+bcHj6X52bJ/zNyrwTi77LoO5vNP43Ks7ldDc3eH1AJfXEe+QFGstAcuw
Xrod1n8mj8PhF/co4NNZ3zSfX++cFo8pHqiAD6arUl1xPOSgPs/PyjKIdLGX
d8TtdV45L+GbRAVnmSrOr7h8XAbVba0GBaRX15iXYe7fK0bT+k6Dd2+Txjhx
fSemawl/dDlEjWyT/I3j3T2aF0/tp4GKvL+eNW6v4oKgnPIXCpw0CTtfjONm
792Dglyo0JT+yX4AM9/05yArYQoonaf3VWMeUnnYpH8W78dbZCaI66uW7FV3
qaCAwmfF9vnv4TqLO6cZ5/F9c1TAuADzrzjdjDcl5ZDCK7BvGPPBfz6KzUhQ
IdtSMq4Cc82aJQJec/h7t+vtaCPmySFjemQmBfwv272fX4/+a89HlhyjgPP9
U8NFmJfrTKeILaWCtvkT/nLMJm2df9AWCjyZ9X9Ow+xze0OuSTcFDJr+ZM73
b6/o11UbQIFo8aSH8+Mj3/ds//1IP4pk0o8imfSjSCb9KJJJP4pk0o8imfSj
SCb9KJJJP4pk0o8imfSjSCb9KJJJP4pk0o8imfSjSCb9KJJJP4pk0o8imfSj
SCb9KJJJP4pk0o8imfSj/q7Xf34UyaQfRTLpR5FM+lEkk34UyaQf9Xc9//Oj
SCb9KJJJP4pk0o8imfSjSCb9qL/t/+dHkUz6UX/H/58fRTLpR5FM+lEkkn4U
yaQfRbKgvotcAN/oX+7d2tx2pXiBX96HdUNWY3/ZMktJUGp2gf0Ck/17n33+
yy8YUgl8BuN/mfS3SCb9LZLXXBfSW5a2ECf9G5LPKcVNcF1ZiPe2RN7naFtg
8r1Pcmjkiarw0wvxuc1HXAOLF7jwckONP3OByfcbyZLFxS8Njy3Eo469stT5
9//Kp8rnaPYv8EaD8wPlkwtM3pdJtj0yJptptBDvGvvQmpaxwLG7T2561LnA
lwYTTWTGF/hd7m4H698LTN4XSA5JCrTuP7gQn1Xx4u14usD5QT9s2t4u8J2t
uyKNRv+vPfY3j6N+LHCxw6NtCn8WeNCnZEbEbeSvP/k/SB00eg==
    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt1HmUzlUcwOERkko0TKVlNKZpZspBoj2pLEXIhLIzKCFTUVO0SnZFWbNm
y66Sfd/XKFEo0mppk11Jnu8588fzfn73njvvcu89k5Kdk9XpgoSEhHxkesml
TN74D+bTh2weoCyxPj9/soC+tOZBylGAv1hIP9pQlfLxt954i47mRRpSkCMs
oj9tqcYt8TnWf65jyOVxLuRvFjOAJ6nOZdbu0ql0p0J8F3NbdSwv8QSJ5r7T
mfSkEEdZwjs8RZI13+vH1KCo8W6dRrLng/oWJT3/pJ+R4vk3vTV+k+dtmqrj
9Do9oOn6sl6pP2iafqrX6+G8M2ikxXWv3qCztJQe0gztpdfoL3qjztPS+rte
xDGW8i7Xmv9V23GF5/36CQ9RzHiPTqcHVxv/rHOpGPts/IV+SFeuMv5R59CY
Esb7dDa9KcxxljGQp3mYy637VmfwNpViz819qePpRhMu5gTLGUR7anJb/C7r
t+sEXqEpl3CSFbxHB2pxe3wX67/SibxKMy7lFCt5n448wh3x2dbv0Em8RnOK
cJpVDOYZanNn3DXOsJohdKIOd8Vd4R/WMJQc6nJ37Dn/spZhPMuj3BP7RGKc
fewtSXFmcVdi7ykZZxRnH+cad4rkuBtxf0iJe0Bq3BvS4n5wlnUM5znqcS/p
/Md6RvA8WVQmg3Ns4AM68xj3xb7bq506mddpQSb/s5GRdKE+VWLfrf9aP+IN
WnIT8U9mk4ziBRpwf+y7+W90Cm/SiptjufnNeh503IUy
         
         "]]]}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1He4zXUcwPFDUoQiI7sb4sqqVHa6SDZ3ULZrr3ttRSEqys4qo6JomS17
NGlHpUWbptGwSvL6PPeP13n/zn2e+5xzPr/P75uUmZ2alTuRSORijJeqDGMQ
felFd7pyDdWoTg1qUotruY7rqc0N3MhN1KEu9ahPAxrSiJtpzC2k0ISmNONW
mnMbLWhJK1rThra0oz0dSCWNdDLoSCdu5w46M5zB9COTHnRjBEPoT296MpKh
DKAPo8hiIKPJzpUzry4xD7Mbq+/GHGNO2ot7eYbPKBi/UzMYzVLeSeQMvqr0
ZBJPs58CMRtNZxRLeJv/SaYHE1nFp1wS89Q0RrKYPZyjCo1IZQSPspv/qExD
OjCcR3iLs1xNJSpSgatI4krKU46ylKE0pSjJFZSgOMUoyuUUoTANaM8wFvEm
/3IZ9WlHNgt5g3+4lHq0JYsFvM4ZClGXNgxlPq9xOuZOdyawkk/IH3uprRnC
PF7lVMydbtzDU3xMvthlbcVgHmYXJ2PudOVunmQfF8f+a0sGMZednIjPpgvj
WcFeLopnRu9nNV/FnGLvdSBz2MHf8V2Yxjq+jtnGbuuLfB+z936cLucj8sYz
qS/zY9wj7+/T5/kyZh7PmG7g27hnsfN6OO6r69m6nb/id/F77IG/vxL7oYfi
3utUraK/xG7o2tgbPRj3Pp5BTdZfY3/0Ba2k38Wu6F1aWX+KndIntIJ+qBfG
2aK/keT6Jf2Bkq6n6M+Uc/2cfhG7EmeHrucbisWzrbPYxp8xcx5gDQcoEmeF
3snjfECeONd0Ms/yeexanE3aj5ls5Y+YM50Yy2O8zwVxNmoz+jKDLRyP30RH
xrCM98gd56k2pQ/T2cyx+C7UpAm9eYhNHI3Pif+lBilk8iAbOZLIOdvPA/E8
nd0=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1HmUzlUcwOERWbMNI1OZGmPMDOegXYnQQpFlrEVoKKWaoWREpGgRKcqa
fd+3smZrsVaKtEeFClkrVLQ833P643k/v3vPnXe5955JzcnLzi2QkJCQ6SV6
jFUMJYeG1OACCnKc1bxEV26hJoU4wRqG0Y1bqRV/640/1En0oS0XcpK1DOd+
buPK+BzrP9LJ5NOOwpzibV7mAW6nlLVf6jye5ar4LuZ26hT60p5Ec9/qIp6n
CL+yjhF0J8ma73QpjSht/JXOJ8XzIR1MsucD+hapnn/Rq+M3ef5Y03SqVtKf
NUOf1Iv1B03X5XqFHtEsvVvL6V6toov1cj38/9m8oJfqj1pVV2plPapF+Y31
vMJl5n/SB6ng+XtdRmPKGH+tCxjCJcYHdQXXxD4bf6LT6EdF4/36JvdQ3nif
LuFFivE7G3iVh7iDstZ9owt5jmtjz83t0un0pwPFOc1GRtKDO7kufpf1u3UG
T9GREpxhE6N4mCZcH9/F+k91JgO4l4s4yzu8xiM0pXZ8tvV7dBYD6URJ/uBd
XudR7uKGuGv8yXuMJpdm3Bh3hb94nzHk0Zw6seecYzNj6UkLbop9IjHOPvaW
pDizuCux9yTHGcXZx7nGnSIl7kbcH1LjHpAW94b0uB+cZwvj6EVL6pLB32xl
PI+RTT0y+YdtTOBxWnFz7Lu9+kxn8zSdyeJftvMGvWlN/dh36z/XOQyiC9WI
fzI7ZCJP0IYGse/mv9C5PMN9VI/l5j/QfP0PbL2FAw==
         "]]},
       Annotation[#, "Charting`Private`Tag$7673#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV0NlWQQEAQNHbp3iVojmFEDKkwZAGmVKRTJW+3/aw1zrPJzSY12ZbQRBU
CYsFX7zTp0ObbSLssEuUGHvsc8AhRxxzwilxzjgnQZIUF6TJkOWSHHkKXFGk
RJkK11S54ZY77qlRp0GTB1o88sQzSyZ8MKDLKz9888kbPX6ZMmLIH5tJY1bM
+eeFNa/hGl4=
         "]]},
       Annotation[#, "Charting`Private`Tag$7673#2"]& ]}}], 
   InsetBox["", {0.7563703499812594, 383.5633995576113}, {Left, Baseline},
    Alignment->{Left, Top}], 
   InsetBox["", {0.7712447483900975, 308.70389954296024}, {Left, Baseline},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "c6a9c2c0-79bc-4135-8269-64cafb2c3f35"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.7175103850320972, 394.7311855113999}, {
    Left, Baseline},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "b2c3788f-da5d-45b5-93d3-5b1eeb9859f6"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.39601293021013173, 748.676677307008}, {
    Left, Baseline},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{18.193878, 1.5}, {6.483962, 0.5}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-73.15051746103772, 1389.8598317597166`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.850249664176468*^9, 
  3.85024981635456*^9}},ExpressionUUID->"52a611b7-0229-4f2d-b1e1-\
eee898332250"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.850246346798812*^9, {3.85024638662663*^9, 
   3.850246387113899*^9}},ExpressionUUID->"caaec8e4-e09f-48e2-b2db-\
6f78093c5c6d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8502077161953278`*^9, 
  3.850207726867651*^9}},ExpressionUUID->"2c2aec42-bad4-4361-ba63-\
360c25ded93f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8502077228682957`*^9, 
  3.850207723542445*^9}},ExpressionUUID->"6881f448-3cd1-4f87-90c4-\
1d5e5ba999cd"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.850206186472993*^9},
 NumberMarks->False,ExpressionUUID->"1759c11e-fa40-4497-a5ab-81c901a64b9e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}], ",", 
    RowBox[{"Filling", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Top", ",", 
           RowBox[{
            RowBox[{"ColorData", "[", "\"\<HTML\>\"", "]"}], "[", 
            "\"\<Silver\>\"", "]"}]}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"1", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", "2", "}"}], ",", 
            RowBox[{
             RowBox[{"ColorData", "[", "\"\<HTML\>\"", "]"}], "[", 
             "\"\<Gainsboro\>\"", "]"}]}], "}"}]}], "}"}]}], "}"}], "}"}]}]}],
    "]"}]}]], "Input",
 CellLabel->"In[58]:=",ExpressionUUID->"6c8373e1-ce12-44c0-8ae6-6e2a3697f6fe"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxNmHk4lN0bx0mL7ApZ36i0SirZKvexhEQlFIUUJZSEh5K9LFkitNgqipKi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    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt1HmUzlUcwOERkko0TKVlNKZpZspBoj2pLEXIhLIzKCFTUVO0SnZFWbNm
y66Sfd/XKFEo0mppk11Jnu8588fzfn73njvvcu89k5Kdk9XpgoSEhHxkesml
TN74D+bTh2weoCyxPj9/soC+tOZBylGAv1hIP9pQlfLxt954i47mRRpSkCMs
oj9tqcYt8TnWf65jyOVxLuRvFjOAJ6nOZdbu0ql0p0J8F3NbdSwv8QSJ5r7T
mfSkEEdZwjs8RZI13+vH1KCo8W6dRrLng/oWJT3/pJ+R4vk3vTV+k+dtmqrj
9Do9oOn6sl6pP2iafqrX6+G8M2ikxXWv3qCztJQe0gztpdfoL3qjztPS+rte
xDGW8i7Xmv9V23GF5/36CQ9RzHiPTqcHVxv/rHOpGPts/IV+SFeuMv5R59CY
Esb7dDa9KcxxljGQp3mYy637VmfwNpViz819qePpRhMu5gTLGUR7anJb/C7r
t+sEXqEpl3CSFbxHB2pxe3wX67/SibxKMy7lFCt5n448wh3x2dbv0Em8RnOK
cJpVDOYZanNn3DXOsJohdKIOd8Vd4R/WMJQc6nJ37Dn/spZhPMuj3BP7RGKc
fewtSXFmcVdi7ykZZxRnH+cad4rkuBtxf0iJe0Bq3BvS4n5wlnUM5znqcS/p
/Md6RvA8WVQmg3Ns4AM68xj3xb7bq506mddpQSb/s5GRdKE+VWLfrf9aP+IN
WnIT8U9mk4ziBRpwf+y7+W90Cm/SiptjufnNeh503IUy
         
         "]]]}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1He4zXUcwPFDUoQiI7sb4sqqVHa6SDZ3ULZrr3ttRSEqys4qo6JomS17
NGlHpUWbptGwSvL6PPeP13n/zn2e+5xzPr/P75uUmZ2alTuRSORijJeqDGMQ
felFd7pyDdWoTg1qUotruY7rqc0N3MhN1KEu9ahPAxrSiJtpzC2k0ISmNONW
mnMbLWhJK1rThra0oz0dSCWNdDLoSCdu5w46M5zB9COTHnRjBEPoT296MpKh
DKAPo8hiIKPJzpUzry4xD7Mbq+/GHGNO2ot7eYbPKBi/UzMYzVLeSeQMvqr0
ZBJPs58CMRtNZxRLeJv/SaYHE1nFp1wS89Q0RrKYPZyjCo1IZQSPspv/qExD
OjCcR3iLs1xNJSpSgatI4krKU46ylKE0pSjJFZSgOMUoyuUUoTANaM8wFvEm
/3IZ9WlHNgt5g3+4lHq0JYsFvM4ZClGXNgxlPq9xOuZOdyawkk/IH3uprRnC
PF7lVMydbtzDU3xMvthlbcVgHmYXJ2PudOVunmQfF8f+a0sGMZednIjPpgvj
WcFeLopnRu9nNV/FnGLvdSBz2MHf8V2Yxjq+jtnGbuuLfB+z936cLucj8sYz
qS/zY9wj7+/T5/kyZh7PmG7g27hnsfN6OO6r69m6nb/id/F77IG/vxL7oYfi
3utUraK/xG7o2tgbPRj3Pp5BTdZfY3/0Ba2k38Wu6F1aWX+KndIntIJ+qBfG
2aK/keT6Jf2Bkq6n6M+Uc/2cfhG7EmeHrucbisWzrbPYxp8xcx5gDQcoEmeF
3snjfECeONd0Ms/yeexanE3aj5ls5Y+YM50Yy2O8zwVxNmoz+jKDLRyP30RH
xrCM98gd56k2pQ/T2cyx+C7UpAm9eYhNHI3Pif+lBilk8iAbOZLIOdvPA/E8
nd0=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1HmUzlUcwOERWbMNI1OZGmPMDOegXYnQQpFlrEVoKKWaoWREpGgRKcqa
fd+3smZrsVaKtEeFClkrVLQ833P643k/v3vPnXe5955JzcnLzi2QkJCQ6SV6
jFUMJYeG1OACCnKc1bxEV26hJoU4wRqG0Y1bqRV/640/1En0oS0XcpK1DOd+
buPK+BzrP9LJ5NOOwpzibV7mAW6nlLVf6jye5ar4LuZ26hT60p5Ec9/qIp6n
CL+yjhF0J8ma73QpjSht/JXOJ8XzIR1MsucD+hapnn/Rq+M3ef5Y03SqVtKf
NUOf1Iv1B03X5XqFHtEsvVvL6V6toov1cj38/9m8oJfqj1pVV2plPapF+Y31
vMJl5n/SB6ng+XtdRmPKGH+tCxjCJcYHdQXXxD4bf6LT6EdF4/36JvdQ3nif
LuFFivE7G3iVh7iDstZ9owt5jmtjz83t0un0pwPFOc1GRtKDO7kufpf1u3UG
T9GREpxhE6N4mCZcH9/F+k91JgO4l4s4yzu8xiM0pXZ8tvV7dBYD6URJ/uBd
XudR7uKGuGv8yXuMJpdm3Bh3hb94nzHk0Zw6seecYzNj6UkLbop9IjHOPvaW
pDizuCux9yTHGcXZx7nGnSIl7kbcH1LjHpAW94b0uB+cZwvj6EVL6pLB32xl
PI+RTT0y+YdtTOBxWnFz7Lu9+kxn8zSdyeJftvMGvWlN/dh36z/XOQyiC9WI
fzI7ZCJP0IYGse/mv9C5PMN9VI/l5j/QfP0PbL2FAw==
         "]]},
       Annotation[#, "Charting`Private`Tag$10000#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV0NlWQQEAQNHbp3iVojmFEDKkwZAGmVKRTJW+3/aw1zrPJzSY12ZbQRBU
CYsFX7zTp0ObbSLssEuUGHvsc8AhRxxzwilxzjgnQZIUF6TJkOWSHHkKXFGk
RJkK11S54ZY77qlRp0GTB1o88sQzSyZ8MKDLKz9888kbPX6ZMmLIH5tJY1bM
+eeFNa/hGl4=
         "]]},
       Annotation[#, "Charting`Private`Tag$10000#2"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {0., 1316.709314298679}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.850249994555327*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"33816fc0-66ff-4b94-b0cb-394603b59603"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[60]:=",ExpressionUUID->"5b02064e-f683-4fa9-9dbd-ef70f8ef1d7c"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%60", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
      RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FontFamily", "\[Rule]", "\"\<Baskerville\>\""}], ",", 
      RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[61]:=",ExpressionUUID->"4ab66033-f28a-4bbd-b738-40ad4d5bd678"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxNmHk4lN0bx0mL7ApZ36i0SirZKvexhEQlFIUUJZSEh5K9LFkitNgqipKi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    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt1HmUzlUcwOERkko0TKVlNKZpZspBoj2pLEXIhLIzKCFTUVO0SnZFWbNm
y66Sfd/XKFEo0mppk11Jnu8588fzfn73njvvcu89k5Kdk9XpgoSEhHxkesml
TN74D+bTh2weoCyxPj9/soC+tOZBylGAv1hIP9pQlfLxt954i47mRRpSkCMs
oj9tqcYt8TnWf65jyOVxLuRvFjOAJ6nOZdbu0ql0p0J8F3NbdSwv8QSJ5r7T
mfSkEEdZwjs8RZI13+vH1KCo8W6dRrLng/oWJT3/pJ+R4vk3vTV+k+dtmqrj
9Do9oOn6sl6pP2iafqrX6+G8M2ikxXWv3qCztJQe0gztpdfoL3qjztPS+rte
xDGW8i7Xmv9V23GF5/36CQ9RzHiPTqcHVxv/rHOpGPts/IV+SFeuMv5R59CY
Esb7dDa9KcxxljGQp3mYy637VmfwNpViz819qePpRhMu5gTLGUR7anJb/C7r
t+sEXqEpl3CSFbxHB2pxe3wX67/SibxKMy7lFCt5n448wh3x2dbv0Em8RnOK
cJpVDOYZanNn3DXOsJohdKIOd8Vd4R/WMJQc6nJ37Dn/spZhPMuj3BP7RGKc
fewtSXFmcVdi7ykZZxRnH+cad4rkuBtxf0iJe0Bq3BvS4n5wlnUM5znqcS/p
/Md6RvA8WVQmg3Ns4AM68xj3xb7bq506mddpQSb/s5GRdKE+VWLfrf9aP+IN
WnIT8U9mk4ziBRpwf+y7+W90Cm/SiptjufnNeh503IUy
         
         "]]]}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1He4zXUcwPFDUoQiI7sb4sqqVHa6SDZ3ULZrr3ttRSEqys4qo6JomS17
NGlHpUWbptGwSvL6PPeP13n/zn2e+5xzPr/P75uUmZ2alTuRSORijJeqDGMQ
felFd7pyDdWoTg1qUotruY7rqc0N3MhN1KEu9ahPAxrSiJtpzC2k0ISmNONW
mnMbLWhJK1rThra0oz0dSCWNdDLoSCdu5w46M5zB9COTHnRjBEPoT296MpKh
DKAPo8hiIKPJzpUzry4xD7Mbq+/GHGNO2ot7eYbPKBi/UzMYzVLeSeQMvqr0
ZBJPs58CMRtNZxRLeJv/SaYHE1nFp1wS89Q0RrKYPZyjCo1IZQSPspv/qExD
OjCcR3iLs1xNJSpSgatI4krKU46ylKE0pSjJFZSgOMUoyuUUoTANaM8wFvEm
/3IZ9WlHNgt5g3+4lHq0JYsFvM4ZClGXNgxlPq9xOuZOdyawkk/IH3uprRnC
PF7lVMydbtzDU3xMvthlbcVgHmYXJ2PudOVunmQfF8f+a0sGMZednIjPpgvj
WcFeLopnRu9nNV/FnGLvdSBz2MHf8V2Yxjq+jtnGbuuLfB+z936cLucj8sYz
qS/zY9wj7+/T5/kyZh7PmG7g27hnsfN6OO6r69m6nb/id/F77IG/vxL7oYfi
3utUraK/xG7o2tgbPRj3Pp5BTdZfY3/0Ba2k38Wu6F1aWX+KndIntIJ+qBfG
2aK/keT6Jf2Bkq6n6M+Uc/2cfhG7EmeHrucbisWzrbPYxp8xcx5gDQcoEmeF
3snjfECeONd0Ms/yeexanE3aj5ls5Y+YM50Yy2O8zwVxNmoz+jKDLRyP30RH
xrCM98gd56k2pQ/T2cyx+C7UpAm9eYhNHI3Pif+lBilk8iAbOZLIOdvPA/E8
nd0=
         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1HmUzlUcwOERWbMNI1OZGmPMDOegXYnQQpFlrEVoKKWaoWREpGgRKcqa
fd+3smZrsVaKtEeFClkrVLQ833P643k/v3vPnXe5955JzcnLzi2QkJCQ6SV6
jFUMJYeG1OACCnKc1bxEV26hJoU4wRqG0Y1bqRV/640/1En0oS0XcpK1DOd+
buPK+BzrP9LJ5NOOwpzibV7mAW6nlLVf6jye5ar4LuZ26hT60p5Ec9/qIp6n
CL+yjhF0J8ma73QpjSht/JXOJ8XzIR1MsucD+hapnn/Rq+M3ef5Y03SqVtKf
NUOf1Iv1B03X5XqFHtEsvVvL6V6toov1cj38/9m8oJfqj1pVV2plPapF+Y31
vMJl5n/SB6ng+XtdRmPKGH+tCxjCJcYHdQXXxD4bf6LT6EdF4/36JvdQ3nif
LuFFivE7G3iVh7iDstZ9owt5jmtjz83t0un0pwPFOc1GRtKDO7kufpf1u3UG
T9GREpxhE6N4mCZcH9/F+k91JgO4l4s4yzu8xiM0pXZ8tvV7dBYD6URJ/uBd
XudR7uKGuGv8yXuMJpdm3Bh3hb94nzHk0Zw6seecYzNj6UkLbop9IjHOPvaW
pDizuCux9yTHGcXZx7nGnSIl7kbcH1LjHpAW94b0uB+cZwvj6EVL6pLB32xl
PI+RTT0y+YdtTOBxWnFz7Lu9+kxn8zSdyeJftvMGvWlN/dh36z/XOQyiC9WI
fzI7ZCJP0IYGse/mv9C5PMN9VI/l5j/QfP0PbL2FAw==
         "]]},
       Annotation[#, "Charting`Private`Tag$10000#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwV0NlWQQEAQNHbp3iVojmFEDKkwZAGmVKRTJW+3/aw1zrPJzSY12ZbQRBU
CYsFX7zTp0ObbSLssEuUGHvsc8AhRxxzwilxzjgnQZIUF6TJkOWSHHkKXFGk
RJkK11S54ZY77qlRp0GTB1o88sQzSyZ8MKDLKz9888kbPX6ZMmLIH5tJY1bM
+eeFNa/hGl4=
         "]]},
       Annotation[#, "Charting`Private`Tag$10000#2"]& ]}}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "583ddf8c-caba-40f1-89f0-2242c3e67890"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.49526515151515144, 673.2436891957459}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "9bfc8554-ae2e-4751-9b84-b183bc2643df"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.7919514973958331, 266.5156082810604}, {
    Left, Baseline}, {0.13200609611742423, 90.38401798103982}, {{1., 0.}, {0.,
     1.}},
    Alignment->{Left, Top}], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7347375118371211, 1032.846323235272}, {
     0.8108354048295453, 1032.8463232352706`}}]}, 
   InsetBox["", {0.44101414535984845, 1088.5965843262566}, {Left, Baseline},
    Alignment->{Left, Top}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "368b81d5-6fb9-4833-b517-37850d9435da"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "fda5417a-422b-41ef-97ef-661eb862cf9b"], \
{0.4999999999999999, 1011.3263189540703}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageMargins->0.,
  ImagePadding->{{12., 14.}, {1.5, 19.}},
  ImageSize->Large,
  LabelStyle->{FontFamily -> "Baskerville", 
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->None,
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-73.15051746103772, 1389.8598317597166`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.8502501249099007`*^9, 3.8502501570612907`*^9}, 
   3.85025031546397*^9, {3.850250506223372*^9, 3.850250569430357*^9}, {
   3.8502506034114027`*^9, 3.850250651168118*^9}, 3.852186884569125*^9, 
   3.8521869463980627`*^9},ExpressionUUID->"5d80b646-3504-4d39-b04b-\
063f03a95045"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%61", ",", 
   RowBox[{"Background", "\[Rule]", "None"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[62]:=",ExpressionUUID->"a14a5832-e2a9-41ef-a8c0-2f5815c5fd6b"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"AxesStyle", "\[Rule]", "Black"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"",ExpressionUUID->"a017e2f9-b4df-4a41-888f-e839d3b4515b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
   RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
   RowBox[{"f1", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"k", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"kb", ":=", "60"}], "\[IndentingNewLine]", 
   RowBox[{"k", ":=", "100"}], "\[IndentingNewLine]", 
   RowBox[{"cv", ":=", "30"}], "\[IndentingNewLine]", 
   RowBox[{"cvb", ":=", "10"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]", ":=", "80"}], "\[IndentingNewLine]", 
   RowBox[{"f2", ":=", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"kb", " ", "\[Alpha]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
      FractionBox["\[Theta]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"kb", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"cvb", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"kb", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"pf1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"f1", ",", "f2", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"GridLines", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "1", "}"}], ",", 
         RowBox[{"{", "}"}]}], "}"}]}], ",", 
      RowBox[{"Filling", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Top", ",", 
             RowBox[{
              RowBox[{"ColorData", "[", "\"\<HTML\>\"", "]"}], "[", 
              "\"\<Silver\>\"", "]"}]}], "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"1", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "2", "}"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "\"\<HTML\>\"", "]"}], "[", 
               "\"\<DarkGray\>\"", "]"}]}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"2", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "3", "}"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "\"\<HTML\>\"", "]"}], "[", 
               "\"\<Gainsboro\>\"", "]"}]}], "}"}]}], "}"}]}], "}"}], 
        "}"}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.852185561561854*^9, 3.8521856130472183`*^9}, {
  3.852185764251503*^9, 3.8521858102168913`*^9}, {3.8521858611916018`*^9, 
  3.852185884018321*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"5dfd9c77-ab9a-4dae-b2ec-514d7fe5810a"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mHk4Vs/bwCmVUpZC1kpolYhslXtQSFRCkUjRQttjeVCyZ98lUiSVfc1e
9p3shCwhZSeJSll657mu7zn9/nn7Q9fnumfmzJm57znzfAQu3zlzZQUdHV02
/kP7X+3KaEvJmI5846EMUyMZKnJmzNzpxR0CI69+rpPeQ0W6etFp32ZeQXay
zZNEPipi+ut8QWVLGnzJD5MZY6MiYc2vo+U+WaDiJWavt5aKbBpl4fHcG8hq
vsfltYKKNmex9dHTFwPL4a7NZctWKGdQqb7pcBlknZrmaliyQmVmkbx6kxVg
IBz+0YSOin7sOMKScqsa7vaF1mqupqIVv5NYeYXfwTYGL4VlViqS+muUo5Va
D2ZrS54YbaWi+geSjVV7mmDlokk06wEq2ho48TvhazPYGHS/WK1ORRO/+vva
xVohpDryxk4zKno1nv+O2b8NDDc6J/0IoiJm/rjpL1/ew+nF7iW2UiryNc2+
+lyoA0TDYsR/z1HRT5T05bpjJzz1vO34VcoaWR2oyOIs/wDnt87XBztYo/7U
Cp8WgW5oYbolYv3BGi2YvX+6+14PqPP5aYTI26C9CmuWr+b3gkgDC39ukg1S
eSFw7fXmPnDqW7l9lYQtsuG/uP3ThX74+GalqmK5LRKZ1GHq1BiAswO3zzw0
vos2sXxjrPgzAEvNcftu776HGIqfpglGfIJvMg5pgQv30A3J/K61JwZBbm+I
qNBfO5R0/PLzop+D4Ck89ZNF0B79mOBhHQ79DFXnV63N0HNA2VoqK0OOfoEZ
b5/2Cz2OyFHVLSpr+AukO+g+8i1wQgIf1T68dBuCAJnvSdwxzkhO+kEI94Fh
yPLhX32k1gVd2NL0m75tGBo0jbm/rH6AfrzzG6Q4j4DZxGOf0qdu6DGDodUZ
oVF45yItGXLBA23qy36xomIUulxvDD657oVW2Ttry5qPgUagvdUzHl9El2CY
NrhxHByj9yxUHQxAFk/S/DaWjUPzxFthtfwgVLjXk5Ht9gRcvRqjbGcdgoh8
/eJrNNMeEIrCtjL9+Pt3Ggh+znHK3Zv7AQiuv+XNK05FB5LZVvMxJsLGrzt/
Mm2mIp34sDrLDRmw+GFU+OIGKmpkYWcXRbmgJ/fU6ckqKlIpjWFuuFcAxq+3
WmjifLxkGGsQ31cCNWOPortwvhbEfrMMCSkHrki72hc4n3tVb3Gs3FcF7sqF
SmM43xcD5lhMamtA0Oy9wiYmKuK7726ca1oHJudWPInCz6cvU1P0m2yA0q0R
9Nt2UZHimEv6asVm6HqaHXNUnopWVVyZLA5ogePDCQznzlOR6kyDtkV/K3Bs
qELs9lTU5Sr+8a7se5gPlJexiaeiszNePnusRiHS5QD38FlP5JvydCGSZwzy
Zkcfh6d5oxWbvtEzl43BYvxHYHvoh94IeDy7ZzYOV9hsoCw8EHF95q1j45qA
tj1ui4juIRqRs39yvGgCGj+oqsqvC0Uf93so+XFbgYnnJ8UMSSqqdOk6v9o+
DuZE3h+s56aiKa3JghON6TDu3c4SwkJF98Scl+eHssGq9+KwyRoq6q+ejs2Q
zgdW9meVuvS4fiPOxYbsLwGNhD3bJPD6vTnKsy1jtAwqT/WL8mJu0nPjSvWt
BGqKh4IPbm/b8zjAk7cGOmP5tfwZqShAjlvOtPodGDG8+riXnYoiBnTuUzQa
4Kd5G/tTQSqK3xu52ayzCRoXkyX/SFPRxsRds5LQAsw+j1bQaVHRk7kObiHP
Vqi+UT5jZElF8rk/tSo+twEj99+NPyKo6NefWUd59VEQc2uaXerwQM2Vu06d
nh6FmhMtnRNrvBFDjUzSy/AxEB6p3jPb4osuDH2PTZUfh01Fh/SMOANRZdEV
kY1T4yCtkWcoqxuMzmS6aO4LnYDFYPGlNbKPUOGiYvdT9UxAprI6J3B+bJ+O
3W38JA9qFNY5LKykorS3+tYjhYXwO4dJzOqvFfLd9oO9wK8URDjneHNx/hUz
VldbowqIp5jfu4Ljo9I6G3UbquDk6oITTgxU5Hj0dCDY1EKVD0/AIM7vhMJZ
31Xr66F4Q/QRfV4quvoSGBN9GuHeZI7sjAjOR8M4XdvxMTimyTj01tAfcRry
hiqHjkOqrpBEjXAQMlvTasqmNAEil14Y+2c9ROdMfhUGc5tAv/SghbsUPj9v
H3Gzk46FJU3/dGk8/puE0Oxc0XTQFm9JeIvP6+aSXMs+mWxwXe+wrIf3b28d
u6Vw6Fv4prliYALvr6K10SOO9GLY9tuOwQrvf96m/T9LgsvArJNx/RR+X9XL
bE9cD1fCA78J8Rlcj1L0N5qeVFQDxNRsu4bzqyb8srCi9TsQdwy45ruRisbu
6HMPLtVDY6l3rJUAFcl9GLXgcm6CHHMD2984f7n4va2nOVtg4fCDcptTtOfr
L96/0AqO3ev2ZN+mopnTegFjeW0gcV8YroTh8f/uuqcqMwoCDFIeW8I90HfN
aduErlHIUTI6qJDrhR5s/+h4220Mdv6MXctL9UWi1buSanaNw2GxldlGaQEo
InmdQXDnOPRYnF9JYQxGnndW7dvqMgEMVinfGTpCkNeZqdY1KRnwXCVoveZ6
nO+OH5+pTuVC3Ki9YyXez4VCJ8XzfIWwb8bD/iPeb+tiDdkDUqXQmqlyrRSv
T1FnT6TbeDkMxyfFLOL1u4w+PdxnXwWNxlKBKTif5M22N2tuq4V0Z9/75nj8
Qb4jtn1v62Bp77ozVrh+sw4ci+E93AgLaxR/OuDvvUveiX1KHWNwr9six+OX
HxoFzSdGTuOQllDW9bIvECn8sH4StG8CPA/m33+n+xBlOPwpOtc6AYeTDlX3
2oaihxXvuqErH/iM5seb8H6pLy07b/Eogayw3+F/8XzfUlepvZQvB1eVNxnn
8HzPav4O/dBbCVfFQmQk8PlpnCuVaHWxCEz9ppI58PtGO0d8OzZUCneMt868
xf1LZDNmroVWwO0v4Xa09TjR0JkRya0NNY5vcixwvWca3+HJCYmBzBZZ2W84
H+UTOo17CtNgyOnY3Gl8X/nDqCWqOZgF6eJ6lh9wPrao7+wyPPYWdOuD5WTx
80U43rzx0S2GcmvJG+F4ftJ2spdqrpUBKgo+1YOf73a18/xt9krYcJlTKwG/
Hye79rRgeDXwF7040o3vK1eOr3maqvEOTuymFy3HzwuU7hvh6agH4eqv565v
oyLXVP/n0zpNwPRYlcNFAp9fHXJ59StaYGr7vFaBBh4vN/JWgnIrvFkWCjS7
SUXvItftu/+yDVxO7rFKCKEiMRclGw1RfB6FxVxIu+eBVjxu3dDROAp0YsUv
UwO8UMWp/eNadrR87E4MVvFFm/OUUtr5x2FrfG4av0UA8hA0oLbWj0ObmHya
96cg9KKhiofLdgL23KlvaYsJQXfsFZuOGGRAo1I+cyfOl5fVtnr5obmQPef1
QhR/H6PhYfzDugLop24T5sTvP8l878StdaVg7RJdW4fX5wgMM/oVl0OoYm5P
A16/qKNx2lw6VfBX5dez4zgf+e2ZvnXP1cDhHQqMJfj8c6z/NKUWXAe3jKQz
Pbio6Pyfaktt9kZY3t3LobGbisqGIsN21Y+Bd5mv/88KP9QsdjPiFnUcRDp0
jSbzA5HIzdqMlu0TwHtcl1dA5CGq781PPl0zAaKDtzXWKIQiWeWP6K5nPvz9
KMm8CZ83pep7Q/T0SyDj09nUzXh+ch9ZshM3lcN2taBoaczBOsXnyrMqofeY
rv1H3H6t7HHWVOYi+PlsPlgJ5xtnS80K5zelwK6lD7TzGEUXXLhzowIYVkkF
R+F48oRrXtPKEmDjfzCmiceTSRbyeVNYBqsLbmivwExPEdj561Ip3GdOdKLl
szyl5YADRwX4jpft24/7d6S03vmcUQKjchvGxnH8EPNC31PTcrDufnzdDvcX
OUDpW8dWBoIbvKXLcFwi6nFEJvdR4Im+d3kM57+7IeMVLaUYsKv5LaqB7+tC
70WM2G6nwfnxa50ROB9ZU577rMvNAh+H6RgufF9/5Sfmu8D3FnQuGnYZ4fx/
YTJUVyVSDEoyO/RS8PN+phZxqp8pA7/vI+Vt+HmvrsvlG9NVQs8f1yR3vP/u
kaqO112rQaxWwvoRzn/J6K52E9l3wBEQKGqEn2f8dOsp6bJ6YDkeMfIZ39fj
wy9J66Mm6J5ne1aD7+uGEpv08ueboc1gX8UAvq87dcrHFh9qhQDflayqN6hI
+uhnu8rHbQD1VwJPPqQik/LmH6d2j8JTLfYLYTc80LpDR3Vv1o4C9yv39Rz3
vZDJVd0oZesxyNHRP7ha3Bf5immKXuAaB4VSOf52rQC0aOjubFE9DhT156xn
G4NQ+v24IHbLCWB172pd7x+CBjfeatA9iPOfe6yTB38/825U5VjdyAXVTkc5
E5z/Vk4R+mIvC6Dqi4yNBH7/WKnA995zJcDCrabSitdn0eJGEWtiObQFM/bm
4vUrUl6XvUGhCs4w/Vjmwvnvu5rOaWt/DczGNrGY4vw/KZS1i96hDi58ucC5
Cee/qOHaHgpdI1x/lfY9G98PLy9WqfNWj8HHjSLPvyb5oaMJd/nn7oyDXHj3
h8rEQPQi7nuROf8E+N2/L8XF+RB1+0QIapRPgEqwfKazcCha7zE8y2GUD9zf
48IO4ny+b6XAb3OsBK4dnlkQwvP7w/rITHS5DCYUGuZ2YU4/tz0v73klPOro
mc7E7XvvnilXGy4ECatRb32cny3zfT7PXpZC82lUkIPfl65dYeOsTgXsfuW5
3gXHG3ZIunb3FIOM1h6/y3i8+f4EdCS+DNqSz8v/ot2fw6TT2dVLIaF/y4NC
zMsvz47S01VA7ZCPOe28D2ofnaeLLIG1R7Pfz+H4HwWnkK3a5bA2OoXLFI83
rOd+bddCKWQPnhcownFblayko/Z4/A0ZBZ8xi48Yl53aVgouZhd3V2FeLczB
dNi8BKb+cssw4f4XEjLuGjeVQvilDbF5OK6syvSsy6YU7OnSDGjM514wXFmD
zweNss5PmM3XndeZ2lEGkVk2ktWYGZR4KP3ckqD0NrlbCP9enu7RXveCJwb0
jdd02OF6e2x6zlBEOQ04y4/Ol+H853FUkbsWnQXZ4yuXZHC9MYtmD9UyvgXe
6vEvVrjeLvguaH/hLIbkHZbPaPnSoeo846dSBkl2l8404+dljt24YfizAi7a
myRQcb7JDypWe9tWw4ZTT+5b4nrjbVCchf3vQPBqA8d+/Dx1jRKXY3n10BTf
wPcC15scS92KoINNMHnJgXIT11vRJceEjNlmEOSodrPE9ZZzLaBMTaoVvvdb
uOTi38e3w04Jmj1sg6mkA33RwVS0bLz5YMuOUXDl9Ni/ycQD+a+3t8+tGoVF
YVlmbQsvlDUz+bvYcgyarkeXNwj7oqrJzttRHOMwtg3VVB0NQLmLTzzKKsbh
6CfP9XUVQUjq/eaGYMoEiEVdMz3iEoIiDFzUrwpkQHKcztfDuN7Kj9y60qKT
C0P+rSqOuN76tglkL/sXwBvRpxcV8fs/UOMNDx8rAeWakQ/teH1614uGn4kq
B+GoPQdp51VD9aErjNJVoAl1DPS43o6e+FOt8L4Gvqo9XCmP6+3gaX7lXss6
EGUWlezCv8e4WBOZHX82wO+imTYzXG8ZHvpxIRVjENWa+epelB9yuEJnKH1r
HPifNGXBi0BkcGxNZSkP/r10S/f2DqaHyOjz+ot1JROgOmhf1bk5FFnvvKHx
5UQ+dPPz8qjg+tHzrP/kJlcCdDPHZvfi+XUnnjtGmS2DDXNrfghgLvmgdT0z
tBKauzvvR+H2yjydfNythWDg01t9DddD6nqz0ymPS8HhQ30Trd4GbjNMSZ6o
gM86m2MscdzzpNr6+cpiCLAwFb2Bx/tw9yavY2QZUASqGL/j9uFJZVaCCqWw
bWutXjHmviPc5Uo/ymGgPXKKEfe/PWZZyBJcAoET+/n+4Hh3j+KdS8fLQUbU
WdUIj1dxi01E+lspXNT2uVmA47qfrN3dLcqgKWHEtB8z88JXd0OOUpC6Wf2x
BvMXmedNalfx/rQjXTbcX7bwiLxFRSmIfZXsoH0vhS6EXh69ie+vk6xabzD/
DldJel9YAi82sB4bxnxyyxD3Im8ZZBjwhVdgrt2+ivX+X/w9PNg+2Yh57otW
dUBqKTjbXvtEW48+1+SJVedKgfLs0nA+5rXKCy+4V5fBUb04lhLM2m0fltDe
Uohbdk4ux+zwaGe2dncpqDctpdKebyrp1PXOpRSCeSKf0+ZH+AWUNuMYIkUh
fZjI5rtnGiQppA+rne86/U6CQvqwTcsDHA2YCR/mKBV2thG3J3zYwMQ2fwFp
CunDlKabJULlKP982Kod3F+AQvqwjERFv25lCunDHFX3emw+RSF9WHvu1++C
5ymkD1vi2yyRcJVC+rATr1pMD1EppA87lKsVOuxBIX2YdNLlJo0ICunDfquG
pG/IoZA+7KzAaUbzNgrpw2zTdwnOfaeQPoyDzvqrMI856cPyVZro6Y+akz7M
a5aB2mZjTvowtc1L7zkyzEkfdjiP2XZw2pz0YX+fdo9wHrYgfVhTz5bdjH4W
pA/zVg5qbh62IH3Y6ePhI546lqQPi5QOCdxdZ0n6sJkwDtu4C1akD1twshyN
pvnF/3zYe36G5CdpVNKHSeasdQ7ysiZ9WMj6hTBVKxvSh9Wk7ZkRtbclfdgj
P5m8q3V3SR8WNXTdwlzGjvRhvEtMij1M9qQP01dryTRldyR9WG8jO9+NfCfS
hw2FTU6wnHIhfdg3XQvBndsfkD5MkT7dR+mVO+nD+IfXCq4Z8EJsahYiLsyT
IDYUksc65Yd69zW33S2YBLPVNaK5rMEo/RkIfTGcAsnugOTXlP/flznXIL3H
Byno8cd7StnLz2DDj7TsvTh/CX/GLNIRkIzzm/BnJZuUQkVwnPBnl+efJdfj
/oQ/a+XJYsiQoZD+7OrSVpfVRyikP2NjzQ8TUqKQ/oxu9UmNEjUK6c90tiaE
amlTSH/mH3I4eYsRBcVbid6W3TMC0MvoUr/5PqoaoSZ9ah2BmDiL2AIGB9KH
bR99wtvJ60T6MA8Jfh67e86kD/PanR/9a68r6cPAhG/A8qQb6cPMLapuRAl5
kj5MN9mV7kCxD/p5SIDO4coklD44kWxoEIiUh9cspm6Ygsww3+iAlSGkL/s5
+pjCis+P9bOhB7f6hoPmn+vZVni9CH92oOdodyZeT8KftVROlM1hJvyZb9zg
H0W8noQ/a/pY96gfnx+EP/uko8FWeohC+jPvJGtmawUK6c+MxFTCi1UppD9b
rb3O46UmhfRnc3xLdSwGFORSu5wZuTwMB+gX1VJj7JBhF73K7sQREJ0ON4pw
syd9mEeUXVPlC0fShxUEVS9acjmTPuyyrGRi6FsX0ochtWT/h5kPSB/GJu/m
V2fgQfqwER6qeGuVN2IoP85JJzcJMYmXI/SVAhDbuslr7EOTMC/OniO+FIw0
H3abndzhDxM/rnqJ4PXYaJIWHyPzAoZfS5Z/x+v1rP34a/GHycDU69mRhZnw
a8Kj0/O09Sb8mvAfKbqbeD8Iv9Z3cdAoXJZC+rUtOu+UrslTSB82SXlvHvfS
lfRhXk9vW6TMupE+zN1gz49dfzzR/TKbz1eGJ2CcLfX4njpfNJY1P7YQOAmW
R6YvsYgEIbsywcDjUlPwPsiu8NCuR6Q/C2Has3waz6dq6ZXo+9ZQ+HBy5+Yo
PF/CpzWaKkgV4vchfJpJ1aavfZgJn+Y/uI91NV4PwqcNuWpscMD5Qfi0OaEa
/V04PwifpvrrmV8CopA+Ld3HNKFWhUL6tDv3v7PrnaaQPm0g+LfvI30Kmp4d
7mgaHYbjZrV8trft0J7WavaGRyNw0kuqmV3VnvRj22wqPOrPO5J+bFesjbnO
mBPpx14HavVueeBC+rFXv28JF5g+IP3YD7aRDou/7qQf+3VAz+GcpjfyXm0o
oCA0Cd+KnaX1QvzRT94+/urmSUgUmhr64RqMbN+H2E5u9YIuer3PRng97phK
CdP1Pgem8FSJDXg9R0tSemI1kiDQ5cXbVLx+hG+L0mdIO4njhG9bKC55zI33
g/BtJXVR6wVxfhC+7c7uhpuZ+Pwi/FjfpitTS1ddST9ma63EnBPlRvox385j
w1Z+nqQfi90x8D5M0RdR5tf/OGyH89tmcs3eskBk9J5DeVFgCgpzs6zrgkLQ
mVHPw2bHIsC+ZU6ONr/7YVSxoLJ4YFmrepw2f4FlhYr+W6/hd6F6NDOOCz1X
89r0MAeapz/vcsPvn224S+TEo5dw91WORS9urz0+5F7wIQWcdvh/K8I8E/v4
0/7JTMg/H+BMyzfCn2Wt3H7JAr+/0EqRJFHrR+BlYvM2G8cJn9Y15KBejvsT
Pq3P5IBrO2bCp6koXvQfw+0Jn7YwHbTvFM5HwqcpV3jb9OH7DuHTfjfozx7D
+Uj4tKNtoKiJ85HwaYsWthK5+L5D+DSD93wpPfi+s2Ot/ujox2HYVVRx8ZSW
HQpsTFx45jMCNy6KDzTutif92GF3+Y2m0o6kH4t4vOO2XKsT6cfGL8jw3DB1
If3Y+efME4nHHpB+bFqVyca2xZ30Y+rXVe7t4/JGJ3eNxl7inoTGYx0NleCP
xoQ6bZ9XTUIuQ8185PFgtP6HuWN+hDtYV1MO3cf7sWXyrnHKvuegkmc8y4vX
xy+nn/IpMRHmakZ2puD1I3zbdSMd/iM4Tvg2iXSq1Xfcn/BtIqHiA2P4e0r4
trQAc94LOB8JPyYb+MBI5bgr6cdYeno1S6zdSD92q3+lT5CuJ+nHHgVsn1Wi
80USPGH3DCiTIBXxPnVnQCDS+sgc3b55CuBAZ/7r4yEobYrlTcXoE+i4ev2P
EZ7fNr+4yrqt8eCb/SwsHc9/ze6wEo4tr2FOk1eMHsdPjQ4puR/OARFj7evG
eP4mn26YzQ+/gOt0GzhHcPvf/Zv5fh1MgX3ZPy6/wdzZMvXxSkQmPOj3z/LC
/c1smb6h7lhgOJPIkofjbQ4Kb5wd0uFUO7/uGOaS4e/DZ7yjQfnRedu/mJXq
7JRvfksCC66Xx1/TxotWenr2SgJU3m37RruvrO79MhWp9Aoeda3pacWcPpc5
42yXCnxnfjtVYib8WffO7XquOP9b3e6M9VSHgC7n0rVSPB/CpzGL07+uwu1J
nyY0I9KCmfBp84qGtT24PeHTpn2+HZTB+U/4NP1tdQJvcf4TPm0g7E4jO85/
wqctOcS95sD5T/i0N2fGOa/h/Cd8mniIp48jzv/STRzm1A/DsO/h9NbOY3ao
TJ1v2sN9BEr1HLre8diTfix9Hed8r7Aj6cek7qiY1FY5kX6spV3J+8AFF9KP
sQ+weXdKPCD9GK/j8rPKt+6kH5u2P3H0z4IXEpNNGZvZNAkDd/ebi3H6o8sJ
Wjv8Sifh8NSIypJIMDrrNrBCUN8NjOazxb3x/o+fl17FmBIFb6y0sgTx+hi9
ts130EuEU14vC2j7Q/g2d4OHeZI4Tvi2cxECV/pxf8K33RywrmnA+U/4Nquu
X5vFcf4TfoxjJL4qWM6V9GNKGbyibpfdSD9mIWeUe0/ek/Rjx/jeqD3s90Hs
ey8UTplNgt7WoEd81oGo/pLPybKNU6CHWFcY7whBhhStX+ZyT4CjPTjPDM/v
uwdiNW2Mg5BxJ54M2n2tqLRI7Gc6WBrzd/3BbOIrEQ1sORAeeWGNFp5//gu/
tU0BL0B01rVuEsfru9OvhnxJhtv7shZzMKtd4+p1ssqEntBUSUc8/mHLV3J9
nrEgf3P0wVscV2a/mRtxNh3+buJZ+QUzVzy7+278iNhs/YOrcXvOKvagtVFJ
cF7EaTANxxMjeodmNyWAn5yMA+18MYxc7Wc1+RI2v1N368TsMq1+eOueVPD+
cJKrDPPA9Y4mruEYSP/pKliC+W2+8o6ji4kQeKyjhdb/ZDCznah5PPRoN2vS
xt8x5NCi55ECNlwuawswP7a3iHm5Nw7kQvM6sjFTmgcXGhWS4dkx+EZbH4a4
xNNvchJA01E9mrbfhD/bfjVj2AfX2x6VIM8MSgiMJ0XpVOP3IXxaa4vb3Rra
+P/5NCYed+4mzIRPE/mZu6qddl/6z6f5+G/8IILrjfBp69b38MfjeiN82oRT
75VF/Pua8GlbeOfY5vHva8KnVcTaHgFcb4RPs7kumKqJ642Z2yI7v30Y5ht+
zQuAHeplar++6DoCf5P3upzeZE/6sdpsUflt/I6kH8ureTq+udSJ9GOvT7E5
PdNxIf3Ym3ceS3/2PCD9mLKeoLtDmjvpx/a4qBTNT3mh56UsTHJsk7B8tGc5
iN4fRU2w2a8snoTuyt4VTVuC0ey92TWXLk0Bv9OPym3uociuIazi7NsH0Cyu
A0E4/xT49F716UTB34RfyTvxetWKVho1iCWC5QHzZ7T9IPyb4dltUWI4Tvi3
A23rlttxf8K/3Svh6S3G9Uf4t6lsg2JeXH+EL1PMsFirKOFK+rJO283aNrpu
pC9bWdeS7CbuSfqy65ev1ek2+SC3zKK+g9cnYe2jVtYs00C09tXxGBnWKZBw
i2AeZw9B2eLUUNXP4dA0vDftDp7fhVV+2bkxcUCpq/1Oyy/JtZ1H5AfToVDt
a+Uv2vfUsPtUxEI22DqG/FTD87/qukVPzuQFfCviKp7G8YO6S0yf85Ph1eqo
T7R8ZcjYp+9vlAnnrE8y38Pjx3z71i9iFAuVr9g78nGc7qKzVKJiOrRZPaF8
wlzhGdMesiYaojwNk9fi9o5Kl6R0rZPg7lSSMq0+NvHs9lGcwPe18Q29tPpZ
5xDW21/yEnTrn892YZ64Gf7pFn0q1IVr36fVm9rwduq1whhQsfRLL6V9X2Qf
1gW3JYKR52oqrX8ui/42e9V48B9hm6KNH3i5zjreMAVMYX8q7XygXyhS+74i
DribXk3QzpNujf3R/NzJcL5ymZ22PreFfv1Y458AMZyapbT9/ikhwinmkghb
H1uO09hr3ZwZz684WLKhaNK+n8mqNRNvq5NgZ76wP+37jrYGopjDCdCt0bCf
Nh9N+T9OP4SSQNzCQJ52Hx1iL2vvD4+HcuWBSho/3W2YZNafADvZ6gNp4xM+
je6/f4RPI5jwaQQTPo1gwqcRTPg0ggmfRjDh0wgmfBrBhE8jmPBpBBM+jWDC
pxFM+DSCCZ9GMOHTCCZ8GsGETyOY8GkEEz6NYMKnEUz4NIIJn0Yw4dPI9frP
pxFM+DSCCZ9GMOHTCCZ8GsGETyPX8z+fRjDh0wgmfBrBhE8jmPBpBBM+jRz/
P59GMOHTyPn/59MIJnwawYRPI5DwaQQTPo1gwqcRTPg0ggmfRrBBmhQb//I/
dnKLdu5N/Epyyij/U2b1aZIJ/0Yw4d8I3v6AXXVN7L844ZMIvi4VPrPu7r94
b0vAs5Vt/5jwCwR7B+hX+V7+F/+754ylW8E/fmvbUOs89o+J34ME8xUUpGuc
+xcPPJdpoPz6f9rHiGYp9v3jXeo3+0vm/jFxvybY5MyUcKrmv3jX1OfW2KR/
HHLo4u6XH/6x+WCEtsD0Px7IPmRm9OcfE/cJgj0j3Yz6Tv6LL8vc39AZ/4/z
3H8Zt7X/49B9BwM0J/9nPPr3rwJ//eMCs5f7xZb+sbrXtt96HROkP73NeVLb
8fIUyf8HJwOsxg==
    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt03eciGUAwPFzxx0iK+u4OJzDnZQ9srNXSEpKqOyzSaHskbJnGZUysouK
ChlZFYqy91aIFpHv8/ncH9/7vc/zPp+7532f9+I79GyREhkREZGGx/z4zCA5
dXyLr3mbl6jNI4T1UfzJN7zDyzxBKdLyFxuZyCvU4VEy+MX79QMG8Qzp+JtN
TKITdcN+yGj9T/ohr/Es0fzDZibTmXrksvaErmQ0pXnA3M+6kNdpQ6y5M/op
44nhX75lCl2Is+a8rqM+uY1P6iqKur6mY4h3fVnXU9z1H1qGTK4PaJJ+pAn6
e3g/OlgL6EUtqV9oMb2RegbPaT49q8nhTDRRr4d3qG9pYb0azkO/0hJ6U9Nz
my1MpYj537QrD7u+oJ/TgDzGp3Q1YylkfEU3UJbMxgf1Y4ZQ0PiSfklb8huf
07VMCGfLHbYyjW40JK91p3UN4yjHg+Z+0UUM5flw1vzHNqbTnUaUJ4v1v+pi
3uCFcLbcZTsz6EFjKpDV+kO6hDdpF86Ee3zHTFJoQkWyWX9YlzKMF8Pz8z87
mEVPmlIp7J/wT7JTZtOLZlQOew233Nulc+jNk1QJ+yLSvd36Ln1ozuNhD2Qn
Bw+Rk1zkDmcV3iOx4dsI7564cKbhWwpnQ3w4w/BthHMngaJE+Xt79D360oKq
JJLWve91Lv1oSTWKkc69H3Qe/XmK6mGP5o/oJwynPcWJNv+jzmcAragRnsf8
UV3GCDpQghjze3UBA3mamuHZzR/T5YykI0mkN79P3+dVWlMrvCfzx3UFo7gP
fkSG7A==
         "]]]}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.6627450980392157, 0.6627450980392157, 0.6627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1ne4UGMcB/CrrV00tG97L7NlRUZLu7R3pD00VVQUTdFeSot2CdEuKlpm
ivZGtEiRz48/Ps/3+/5Oz3PvOe97zi2xTbe6XZMkJCTcRkelvFJU/i43M4W+
tOZB8xR8qy/lde6mmNkluYWpvEh1szs4oX9MGx6yTsl3+jLq67n4WX+D2no2
zugbaKTn5aJ+D8X1y3IrTfREpul1ZQ7O681lIfrpNeSdtOakdVNZgPast24o
89CWX61byiJ0iJn1wzIVrfje+lmZn3Yst24gc9OGX6xbyMKM0Z+R2TmrN5MF
2ag3lvn4Tb+XEvoVuY3p1LPOyQW9PzX1LJzSP6Edj1jfzkF9BWOpY30X5/RN
3EdJ66tyOzMYQC2zrJzWP6U9j1qn5gd9JeO4n1Jm1+QOZjKQDlQ1T8MhfRXj
eYDSZn/Iz5jFIDrymHlaDuurmUAFypj9KT9nNoPpREXKunZd7mQOL/EclSjn
2l9yF3MZwvNUprxrN+Ru3mEonakS5zfOYOxrPMO477iX+P14nGo8wZM8xdNx
juMcxT7Es4szGnsbzzvOXexXnOM4C/Eu+Nk35RfMYxgvxDmL8+va3/JL5vMy
XeKMxzlw7R+5h3d5ha5xVmIfXbsl97KA4XSjSexRvLjs0xcygu5xL2bp+FFf
w0SejT0yu439+iJG0iPu2yw9P+lreZOmsUdmSTigL+ZVesYzMsvAEf0DJtEs
9s0sKV/pS3iNXvE8zTJyVF/HWzSPvTRLxtf6e4yidzx7s0wc0z/kbVrE/pol
5xv9fUbTJ/bJLDPH9Y+YTMvYc7O18f7qpTyqNfoIuYyfyBJnQDaiH3PZTyrz
ErItw1nKj9wZ50Y25EXmsI+U5sVlG17hfQ5zR5w12YC+zGYvKcyLyda8zHsc
InOcT1mfPsxiD8nNi8oHqUdvZvIlyVwrIqtQl17M4AuSulZYFqIgBchPIvnI
Sx5yk4uc5OAuspONrPGc4t7jfuJ3JBOVqUNPprM7jqKfl1FW4hl6MI1d8ffF
tQyyIrXpzlR2Jvz/xye9qEAtujGFz7lFOloxjCX8EL9DnGdZk65M5jP+IS0t
GcpiDpIx3hdZgy68zQ7+Jg0tGMIividDvHuyOi/wFtu5SWqa8xIL+Y708R7L
UazieDzHOJuyM5PYxg1u5w3Wciqefbw/8iPOxd5YD5YL+DbuP74fcj0XYg/j
3ZIrORZ7Fe+MXMeZ2FPr5+Uvse/xPsut/EUqLlPc/BNZWv4cZ0O+LsvK32SR
+HbIkvJknI34Jshy8ndZNN5NWUqejbMkB8ky8ldZKL5lsoT8JvYkvo/yEsX0
j+V5EuO7Ii9SWF8hj5ItvhvyA06T2/o5OZEtXCclo1nNCXLEd04OZD5fx96a
lZcjWc4RssY3THZiApv5kxQ0YQDz+Cr22r8tJ6vRkfFs4g+S05j+vMOB2Fv/
vqx8nA6MYyPXSBbPh8doz1g2cJWkCf99yhNKU5V2jOFTriT8//+zfwG1ixjC

         "]]]}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1HV0l2UYBuANxQQVCwUUETBABUmVzo3RAwEbRudMOkZulLABo7tLSrAL
E2xCQilRkTBBJazrOfxx7b7f5zvnd86+932/Ymnpqb3yJCQkJDLcn84Wq1nK
AuYwk+l0oSvd6E4PehI/kM6TPMXTPMOzPEdv+tCXfvRnAAMZxGCGkMFQhjGc
EYxkFJlkMZoxjGUc43meCUwkmxwmMZkp5DKVF1jGQuYyixmsYTmLmMds1rKC
xcxnHStZwnpWsYFptPXeNspqPKFP5RW+5WqzlHgP+hhWsZO8ZlV5XM/lZQ5R
wKxBvDt9NCvZwYVmVXhMn8JLHOQqs+R433oWK9jOBWYP8Kg+mU0c4EqzpNgj
PZPlbCOP2f08ok+K/4f9XGFWP/ZVH8UyviTR7D4e1nN4kX3kN6sXZ0EfyVK+
iMNlVpmH9HRGsITP+Y9KnrWRvRLPn8PFfMa/VPSstezJMBbxKf9QwbNWsgdD
Wcgn/E15zx6ULWlBKs1pRlOa0JhGNCSFBiSTRH3qUZc61KYWNalBdarRnQwW
8DHnKBf7K7sxhPls5Sz3xl7KrgxmHls4Q9nYN9mFQczlI05TJvZIZrOBb8hn
VpfO+kDm8CF/cU/skZzIer7mcrM6dNIHMJsP+JO7Y4/kBNaxl8vMatNRf4Mf
uN66SdxjfRbv8wd3mVWSb3OUG62bx/3U17KHS61r0UF/ne+5zrpxfBv04xTW
W8R3R3+PU5S2rih/5ZY4K7yll4gzzo/6DbJZfBP02+Ju8ZOeJm+KsxB33bqD
vDXOLrut28pLqEl7607y9rjL/GzdXt4c54zXrDvK4nFX+M66nbyWRvS1Lhn3
lGN6IZka3xm9WJx/3tVPUkqvIH+haJxx3tSPUFBvGt84/QRF9JbxDdN3cbFe
gzT9VQ5zjXVD+ujT2czv3GlWXo5lNV9xkVl12um9mcY7/MYd5uXk/4Duvsw=

         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1He8TmUAwPHrWjezVMbl4obrmpHsWTYhlxShIkm49t6jjLJVyAwVlYZR
dkZKFLL33nuPMr7P5+OP7/s7z3Oez/uec55zb2yLDgmJSSIiIor4CL3BSkbx
LpUpTCRJuckqRtOKKjxPMm6xmjG8R9XwvTzhi//VL+nFGyTnNr8xltZUoyip
rN+us+lNY1JwhzWM432qk9Haw/oDH/ECqc3t0Dn0oQnR5o7rQkaSkrusZTxt
iLHmlC6hBpmMj+iPxDm+rMOIdXxOl5HP8TUtRhrHO7WAztU8eik8H+2rOfSM
FtJfNV6vhnvWNzWrntCCukjz6pXHe/Ox5tILYT90hebX6xrFPdYxgdzmL+oH
ZHd8Wn+hJpmNj+pPDOc54/O6nBdJa7xLv6IfOY3P6lKaks34pC7mk7C3/Md6
JtKWWmSx7pj+zAiKk87cbv2a/jQLe83//M6ntKM2JUhv/R79hgE0D3vLfTbw
Ge15hZI8af1encdA3gp7wgP+4HMSqUMpnrJ+n85nEG+H++chfzKJDtSldLh+
wh/JRplMR+pRJlxrOOXcXzqFTrxK2XBdRDq3Sb+gM/UpF66BDDzNMzxLRjKF
vQrPkejwboRnT0zY0/Auhb0hNuxheDfCvpOHOJL6vc06lS4kUJ68JHPub51G
VxpQgXiSO/ePTqcbDakYrtH8fv2WwbxDPlKY36Iz6M5rVAr3Y/6AfscQWpCf
lOa36kx60IiXwr2bP6jfM5SWFCDK/DadRU9e5+XwnMwf0gV8yCL/oB4BQGaG
vQ==
         "]]},
       Annotation[#, "Charting`Private`Tag$15919#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03e8z1UYB/DfVZRQ2SWyRUok2VsIyWjYcm0lZSWrzIzsbCFpSEZGqGxl
lFk0rEqkrKa93s/LH+/7+Zzn/HHv95xzcyd3afBiUiKRKOHHwxRMkUj8Ldcz
hZ60ooJ5KvbpCxhJcQqZ/SM3MJVXqG2WkSP6ZyRT0foWvtcX8pSenZP6mzyp
Z+V3fQ3P6jk5oz/C/fq/ciON9dxM0xvIbPypN5f56aXXkZloxW/WTWVe2vK5
9TPyXlpz2rqlvI92MbOuJG/lOX6wbiLz0IZF1k/LHCRzyrqFLMAovZ68i+N6
M5mPtXojmYu/km6cd2H9P7mJ6TS0vocT+qs8oWfmqP4FbahsnZof9cWMpr71
3fyhr+NRHrD+X37JDHpT1ywLx/TVtKWK9W38pH/CGEryoNlZ+RVv04d2VDVP
w359CWMpRRGzc3IzM+lLe6qZp+WAvpRxlOYhs/NyC7PoRwfKUNTeBbmV2fSn
I2UpZu+i3MY7vEYnysX7tXdJfs0cXud5ysf7jTcY9xpnGN8d3xJ/H49RnRrU
5HFqxTuOdxT3EGcXbzTuNs473l3cV7zjeAvxv+B3X5bf8C4DeCHeWbxfe1fk
duYykM7xxuMd2Lsqd/Aeg4h/yEZxj/auyZ28z2C60DjuyF6CXfoHDOGl+Baz
dBzUlzGeJnFHZkns1j9kKC/Hd5vdziF9ORNoGndkloI9+jzeoGuckdkdHNY/
5S2axb2Z3cS3+kcMo1ucp9md/KyvYCLN4y7NbuY7fT7D6R5nb5aeX/SVTKJF
3K9ZSvbqHzOCHnFPZhn4VV/FZFrGnZst5zqJNZMY
         "]]},
       Annotation[#, "Charting`Private`Tag$15919#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwNw9c6AmAAANCfN/FA3XgENy0NDUUyysiISMhoyCwivaBzvu8srWSW0wsh
hIjRxRC+fffZng92jRk3YdJVU6bNmHXNnHkLFl23ZNkNN624ZdVtd9x1z5p1
9z3w0CMbHnviqWc2PffClpde2fbajjfeOvXDkX0fvffHT18c+OSvY18dOnPi
m39+OffOfw1wLQQ=
         "]]},
       Annotation[#, "Charting`Private`Tag$15919#3"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{0, 1}, {0., 1443.9589285932534`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.852185631066667*^9, 3.852185885895238*^9, 
  3.855471011095325*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"b5e5f772-efe9-4a45-8673-d7819e440b9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", "None"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"f2908d79-06a3-47bc-9e58-d2187d418c1a"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mHk4Vs/bwCmVUpZC1kpolYhslXtQSFRCkUjRQttjeVCyZ98lUiSVfc1e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    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt03eciGUAwPFzxx0iK+u4OJzDnZQ9srNXSEpKqOyzSaHskbJnGZUysouK
ChlZFYqy91aIFpHv8/ncH9/7vc/zPp+7532f9+I79GyREhkREZGGx/z4zCA5
dXyLr3mbl6jNI4T1UfzJN7zDyzxBKdLyFxuZyCvU4VEy+MX79QMG8Qzp+JtN
TKITdcN+yGj9T/ohr/Es0fzDZibTmXrksvaErmQ0pXnA3M+6kNdpQ6y5M/op
44nhX75lCl2Is+a8rqM+uY1P6iqKur6mY4h3fVnXU9z1H1qGTK4PaJJ+pAn6
e3g/OlgL6EUtqV9oMb2RegbPaT49q8nhTDRRr4d3qG9pYb0azkO/0hJ6U9Nz
my1MpYj537QrD7u+oJ/TgDzGp3Q1YylkfEU3UJbMxgf1Y4ZQ0PiSfklb8huf
07VMCGfLHbYyjW40JK91p3UN4yjHg+Z+0UUM5flw1vzHNqbTnUaUJ4v1v+pi
3uCFcLbcZTsz6EFjKpDV+kO6hDdpF86Ee3zHTFJoQkWyWX9YlzKMF8Pz8z87
mEVPmlIp7J/wT7JTZtOLZlQOew233Nulc+jNk1QJ+yLSvd36Ln1ozuNhD2Qn
Bw+Rk1zkDmcV3iOx4dsI7564cKbhWwpnQ3w4w/BthHMngaJE+Xt79D360oKq
JJLWve91Lv1oSTWKkc69H3Qe/XmK6mGP5o/oJwynPcWJNv+jzmcAragRnsf8
UV3GCDpQghjze3UBA3mamuHZzR/T5YykI0mkN79P3+dVWlMrvCfzx3UFo7gP
fkSG7A==
         "]]]}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.6627450980392157, 0.6627450980392157, 0.6627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1ne4UGMcB/CrrV00tG97L7NlRUZLu7R3pD00VVQUTdFeSot2CdEuKlpm
ivZGtEiRz48/Ps/3+/5Oz3PvOe97zi2xTbe6XZMkJCTcRkelvFJU/i43M4W+
tOZB8xR8qy/lde6mmNkluYWpvEh1szs4oX9MGx6yTsl3+jLq67n4WX+D2no2
zugbaKTn5aJ+D8X1y3IrTfREpul1ZQ7O681lIfrpNeSdtOakdVNZgPast24o
89CWX61byiJ0iJn1wzIVrfje+lmZn3Yst24gc9OGX6xbyMKM0Z+R2TmrN5MF
2ag3lvn4Tb+XEvoVuY3p1LPOyQW9PzX1LJzSP6Edj1jfzkF9BWOpY30X5/RN
3EdJ66tyOzMYQC2zrJzWP6U9j1qn5gd9JeO4n1Jm1+QOZjKQDlQ1T8MhfRXj
eYDSZn/Iz5jFIDrymHlaDuurmUAFypj9KT9nNoPpREXKunZd7mQOL/EclSjn
2l9yF3MZwvNUprxrN+Ru3mEonakS5zfOYOxrPMO477iX+P14nGo8wZM8xdNx
juMcxT7Es4szGnsbzzvOXexXnOM4C/Eu+Nk35RfMYxgvxDmL8+va3/JL5vMy
XeKMxzlw7R+5h3d5ha5xVmIfXbsl97KA4XSjSexRvLjs0xcygu5xL2bp+FFf
w0SejT0yu439+iJG0iPu2yw9P+lreZOmsUdmSTigL+ZVesYzMsvAEf0DJtEs
9s0sKV/pS3iNXvE8zTJyVF/HWzSPvTRLxtf6e4yidzx7s0wc0z/kbVrE/pol
5xv9fUbTJ/bJLDPH9Y+YTMvYc7O18f7qpTyqNfoIuYyfyBJnQDaiH3PZTyrz
ErItw1nKj9wZ50Y25EXmsI+U5sVlG17hfQ5zR5w12YC+zGYvKcyLyda8zHsc
InOcT1mfPsxiD8nNi8oHqUdvZvIlyVwrIqtQl17M4AuSulZYFqIgBchPIvnI
Sx5yk4uc5OAuspONrPGc4t7jfuJ3JBOVqUNPprM7jqKfl1FW4hl6MI1d8ffF
tQyyIrXpzlR2Jvz/xye9qEAtujGFz7lFOloxjCX8EL9DnGdZk65M5jP+IS0t
GcpiDpIx3hdZgy68zQ7+Jg0tGMIividDvHuyOi/wFtu5SWqa8xIL+Y708R7L
UazieDzHOJuyM5PYxg1u5w3Wciqefbw/8iPOxd5YD5YL+DbuP74fcj0XYg/j
3ZIrORZ7Fe+MXMeZ2FPr5+Uvse/xPsut/EUqLlPc/BNZWv4cZ0O+LsvK32SR
+HbIkvJknI34Jshy8ndZNN5NWUqejbMkB8ky8ldZKL5lsoT8JvYkvo/yEsX0
j+V5EuO7Ii9SWF8hj5ItvhvyA06T2/o5OZEtXCclo1nNCXLEd04OZD5fx96a
lZcjWc4RssY3THZiApv5kxQ0YQDz+Cr22r8tJ6vRkfFs4g+S05j+vMOB2Fv/
vqx8nA6MYyPXSBbPh8doz1g2cJWkCf99yhNKU5V2jOFTriT8//+zfwG1ixjC

         "]]]}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1HV0l2UYBuANxQQVCwUUETBABUmVzo3RAwEbRudMOkZulLABo7tLSrAL
E2xCQilRkTBBJazrOfxx7b7f5zvnd86+932/Ymnpqb3yJCQkJDLcn84Wq1nK
AuYwk+l0oSvd6E4PehI/kM6TPMXTPMOzPEdv+tCXfvRnAAMZxGCGkMFQhjGc
EYxkFJlkMZoxjGUc43meCUwkmxwmMZkp5DKVF1jGQuYyixmsYTmLmMds1rKC
xcxnHStZwnpWsYFptPXeNspqPKFP5RW+5WqzlHgP+hhWsZO8ZlV5XM/lZQ5R
wKxBvDt9NCvZwYVmVXhMn8JLHOQqs+R433oWK9jOBWYP8Kg+mU0c4EqzpNgj
PZPlbCOP2f08ok+K/4f9XGFWP/ZVH8UyviTR7D4e1nN4kX3kN6sXZ0EfyVK+
iMNlVpmH9HRGsITP+Y9KnrWRvRLPn8PFfMa/VPSstezJMBbxKf9QwbNWsgdD
Wcgn/E15zx6ULWlBKs1pRlOa0JhGNCSFBiSTRH3qUZc61KYWNalBdarRnQwW
8DHnKBf7K7sxhPls5Sz3xl7KrgxmHls4Q9nYN9mFQczlI05TJvZIZrOBb8hn
VpfO+kDm8CF/cU/skZzIer7mcrM6dNIHMJsP+JO7Y4/kBNaxl8vMatNRf4Mf
uN66SdxjfRbv8wd3mVWSb3OUG62bx/3U17KHS61r0UF/ne+5zrpxfBv04xTW
W8R3R3+PU5S2rih/5ZY4K7yll4gzzo/6DbJZfBP02+Ju8ZOeJm+KsxB33bqD
vDXOLrut28pLqEl7607y9rjL/GzdXt4c54zXrDvK4nFX+M66nbyWRvS1Lhn3
lGN6IZka3xm9WJx/3tVPUkqvIH+haJxx3tSPUFBvGt84/QRF9JbxDdN3cbFe
gzT9VQ5zjXVD+ujT2czv3GlWXo5lNV9xkVl12um9mcY7/MYd5uXk/4Duvsw=

         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1He8TmUAwPHrWjezVMbl4obrmpHsWTYhlxShIkm49t6jjLJVyAwVlYZR
dkZKFLL33nuPMr7P5+OP7/s7z3Oez/uec55zb2yLDgmJSSIiIor4CL3BSkbx
LpUpTCRJuckqRtOKKjxPMm6xmjG8R9XwvTzhi//VL+nFGyTnNr8xltZUoyip
rN+us+lNY1JwhzWM432qk9Haw/oDH/ECqc3t0Dn0oQnR5o7rQkaSkrusZTxt
iLHmlC6hBpmMj+iPxDm+rMOIdXxOl5HP8TUtRhrHO7WAztU8eik8H+2rOfSM
FtJfNV6vhnvWNzWrntCCukjz6pXHe/Ox5tILYT90hebX6xrFPdYxgdzmL+oH
ZHd8Wn+hJpmNj+pPDOc54/O6nBdJa7xLv6IfOY3P6lKaks34pC7mk7C3/Md6
JtKWWmSx7pj+zAiKk87cbv2a/jQLe83//M6ntKM2JUhv/R79hgE0D3vLfTbw
Ge15hZI8af1encdA3gp7wgP+4HMSqUMpnrJ+n85nEG+H++chfzKJDtSldLh+
wh/JRplMR+pRJlxrOOXcXzqFTrxK2XBdRDq3Sb+gM/UpF66BDDzNMzxLRjKF
vQrPkejwboRnT0zY0/Auhb0hNuxheDfCvpOHOJL6vc06lS4kUJ68JHPub51G
VxpQgXiSO/ePTqcbDakYrtH8fv2WwbxDPlKY36Iz6M5rVAr3Y/6AfscQWpCf
lOa36kx60IiXwr2bP6jfM5SWFCDK/DadRU9e5+XwnMwf0gV8yCL/oB4BQGaG
vQ==
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03e8z1UYB/DfVZRQ2SWyRUok2VsIyWjYcm0lZSWrzIzsbCFpSEZGqGxl
lFk0rEqkrKa93s/LH+/7+Zzn/HHv95xzcyd3afBiUiKRKOHHwxRMkUj8Ldcz
hZ60ooJ5KvbpCxhJcQqZ/SM3MJVXqG2WkSP6ZyRT0foWvtcX8pSenZP6mzyp
Z+V3fQ3P6jk5oz/C/fq/ciON9dxM0xvIbPypN5f56aXXkZloxW/WTWVe2vK5
9TPyXlpz2rqlvI92MbOuJG/lOX6wbiLz0IZF1k/LHCRzyrqFLMAovZ68i+N6
M5mPtXojmYu/km6cd2H9P7mJ6TS0vocT+qs8oWfmqP4FbahsnZof9cWMpr71
3fyhr+NRHrD+X37JDHpT1ywLx/TVtKWK9W38pH/CGEryoNlZ+RVv04d2VDVP
w359CWMpRRGzc3IzM+lLe6qZp+WAvpRxlOYhs/NyC7PoRwfKUNTeBbmV2fSn
I2UpZu+i3MY7vEYnysX7tXdJfs0cXud5ysf7jTcY9xpnGN8d3xJ/H49RnRrU
5HFqxTuOdxT3EGcXbzTuNs473l3cV7zjeAvxv+B3X5bf8C4DeCHeWbxfe1fk
duYykM7xxuMd2Lsqd/Aeg4h/yEZxj/auyZ28z2C60DjuyF6CXfoHDOGl+Baz
dBzUlzGeJnFHZkns1j9kKC/Hd5vdziF9ORNoGndkloI9+jzeoGuckdkdHNY/
5S2axb2Z3cS3+kcMo1ucp9md/KyvYCLN4y7NbuY7fT7D6R5nb5aeX/SVTKJF
3K9ZSvbqHzOCHnFPZhn4VV/FZFrGnZst5zqJNZMY
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwNw9c6AmAAANCfN/FA3XgENy0NDUUyysiISMhoyCwivaBzvu8srWSW0wsh
hIjRxRC+fffZng92jRk3YdJVU6bNmHXNnHkLFl23ZNkNN624ZdVtd9x1z5p1
9z3w0CMbHnviqWc2PffClpde2fbajjfeOvXDkX0fvffHT18c+OSvY18dOnPi
m39+OffOfw1wLQQ=
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#3"]& ]}}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->None,
  PlotRange->{{0, 1}, {0., 1443.9589285932534`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.852187326501916*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"a893f846-003f-4104-9bca-c932a98ec1a6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"%24", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"3d9b3073-3049-4dfc-8033-7b1590109b57"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mHk4Vs/bwCmVUpZC1kpolYhslXtQSFRCkUjRQttjeVCyZ98lUiSVfc1e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    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt03eciGUAwPFzxx0iK+u4OJzDnZQ9srNXSEpKqOyzSaHskbJnGZUysouK
ChlZFYqy91aIFpHv8/ncH9/7vc/zPp+7532f9+I79GyREhkREZGGx/z4zCA5
dXyLr3mbl6jNI4T1UfzJN7zDyzxBKdLyFxuZyCvU4VEy+MX79QMG8Qzp+JtN
TKITdcN+yGj9T/ohr/Es0fzDZibTmXrksvaErmQ0pXnA3M+6kNdpQ6y5M/op
44nhX75lCl2Is+a8rqM+uY1P6iqKur6mY4h3fVnXU9z1H1qGTK4PaJJ+pAn6
e3g/OlgL6EUtqV9oMb2RegbPaT49q8nhTDRRr4d3qG9pYb0azkO/0hJ6U9Nz
my1MpYj537QrD7u+oJ/TgDzGp3Q1YylkfEU3UJbMxgf1Y4ZQ0PiSfklb8huf
07VMCGfLHbYyjW40JK91p3UN4yjHg+Z+0UUM5flw1vzHNqbTnUaUJ4v1v+pi
3uCFcLbcZTsz6EFjKpDV+kO6hDdpF86Ee3zHTFJoQkWyWX9YlzKMF8Pz8z87
mEVPmlIp7J/wT7JTZtOLZlQOew233Nulc+jNk1QJ+yLSvd36Ln1ozuNhD2Qn
Bw+Rk1zkDmcV3iOx4dsI7564cKbhWwpnQ3w4w/BthHMngaJE+Xt79D360oKq
JJLWve91Lv1oSTWKkc69H3Qe/XmK6mGP5o/oJwynPcWJNv+jzmcAragRnsf8
UV3GCDpQghjze3UBA3mamuHZzR/T5YykI0mkN79P3+dVWlMrvCfzx3UFo7gP
fkSG7A==
         "]]]}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.6627450980392157, 0.6627450980392157, 0.6627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1ne4UGMcB/CrrV00tG97L7NlRUZLu7R3pD00VVQUTdFeSot2CdEuKlpm
ivZGtEiRz48/Ps/3+/5Oz3PvOe97zi2xTbe6XZMkJCTcRkelvFJU/i43M4W+
tOZB8xR8qy/lde6mmNkluYWpvEh1szs4oX9MGx6yTsl3+jLq67n4WX+D2no2
zugbaKTn5aJ+D8X1y3IrTfREpul1ZQ7O681lIfrpNeSdtOakdVNZgPast24o
89CWX61byiJ0iJn1wzIVrfje+lmZn3Yst24gc9OGX6xbyMKM0Z+R2TmrN5MF
2ag3lvn4Tb+XEvoVuY3p1LPOyQW9PzX1LJzSP6Edj1jfzkF9BWOpY30X5/RN
3EdJ66tyOzMYQC2zrJzWP6U9j1qn5gd9JeO4n1Jm1+QOZjKQDlQ1T8MhfRXj
eYDSZn/Iz5jFIDrymHlaDuurmUAFypj9KT9nNoPpREXKunZd7mQOL/EclSjn
2l9yF3MZwvNUprxrN+Ru3mEonakS5zfOYOxrPMO477iX+P14nGo8wZM8xdNx
juMcxT7Es4szGnsbzzvOXexXnOM4C/Eu+Nk35RfMYxgvxDmL8+va3/JL5vMy
XeKMxzlw7R+5h3d5ha5xVmIfXbsl97KA4XSjSexRvLjs0xcygu5xL2bp+FFf
w0SejT0yu439+iJG0iPu2yw9P+lreZOmsUdmSTigL+ZVesYzMsvAEf0DJtEs
9s0sKV/pS3iNXvE8zTJyVF/HWzSPvTRLxtf6e4yidzx7s0wc0z/kbVrE/pol
5xv9fUbTJ/bJLDPH9Y+YTMvYc7O18f7qpTyqNfoIuYyfyBJnQDaiH3PZTyrz
ErItw1nKj9wZ50Y25EXmsI+U5sVlG17hfQ5zR5w12YC+zGYvKcyLyda8zHsc
InOcT1mfPsxiD8nNi8oHqUdvZvIlyVwrIqtQl17M4AuSulZYFqIgBchPIvnI
Sx5yk4uc5OAuspONrPGc4t7jfuJ3JBOVqUNPprM7jqKfl1FW4hl6MI1d8ffF
tQyyIrXpzlR2Jvz/xye9qEAtujGFz7lFOloxjCX8EL9DnGdZk65M5jP+IS0t
GcpiDpIx3hdZgy68zQ7+Jg0tGMIividDvHuyOi/wFtu5SWqa8xIL+Y708R7L
UazieDzHOJuyM5PYxg1u5w3Wciqefbw/8iPOxd5YD5YL+DbuP74fcj0XYg/j
3ZIrORZ7Fe+MXMeZ2FPr5+Uvse/xPsut/EUqLlPc/BNZWv4cZ0O+LsvK32SR
+HbIkvJknI34Jshy8ndZNN5NWUqejbMkB8ky8ldZKL5lsoT8JvYkvo/yEsX0
j+V5EuO7Ii9SWF8hj5ItvhvyA06T2/o5OZEtXCclo1nNCXLEd04OZD5fx96a
lZcjWc4RssY3THZiApv5kxQ0YQDz+Cr22r8tJ6vRkfFs4g+S05j+vMOB2Fv/
vqx8nA6MYyPXSBbPh8doz1g2cJWkCf99yhNKU5V2jOFTriT8//+zfwG1ixjC

         "]]]}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1HV0l2UYBuANxQQVCwUUETBABUmVzo3RAwEbRudMOkZulLABo7tLSrAL
E2xCQilRkTBBJazrOfxx7b7f5zvnd86+932/Ymnpqb3yJCQkJDLcn84Wq1nK
AuYwk+l0oSvd6E4PehI/kM6TPMXTPMOzPEdv+tCXfvRnAAMZxGCGkMFQhjGc
EYxkFJlkMZoxjGUc43meCUwkmxwmMZkp5DKVF1jGQuYyixmsYTmLmMds1rKC
xcxnHStZwnpWsYFptPXeNspqPKFP5RW+5WqzlHgP+hhWsZO8ZlV5XM/lZQ5R
wKxBvDt9NCvZwYVmVXhMn8JLHOQqs+R433oWK9jOBWYP8Kg+mU0c4EqzpNgj
PZPlbCOP2f08ok+K/4f9XGFWP/ZVH8UyviTR7D4e1nN4kX3kN6sXZ0EfyVK+
iMNlVpmH9HRGsITP+Y9KnrWRvRLPn8PFfMa/VPSstezJMBbxKf9QwbNWsgdD
Wcgn/E15zx6ULWlBKs1pRlOa0JhGNCSFBiSTRH3qUZc61KYWNalBdarRnQwW
8DHnKBf7K7sxhPls5Sz3xl7KrgxmHls4Q9nYN9mFQczlI05TJvZIZrOBb8hn
VpfO+kDm8CF/cU/skZzIer7mcrM6dNIHMJsP+JO7Y4/kBNaxl8vMatNRf4Mf
uN66SdxjfRbv8wd3mVWSb3OUG62bx/3U17KHS61r0UF/ne+5zrpxfBv04xTW
W8R3R3+PU5S2rih/5ZY4K7yll4gzzo/6DbJZfBP02+Ju8ZOeJm+KsxB33bqD
vDXOLrut28pLqEl7607y9rjL/GzdXt4c54zXrDvK4nFX+M66nbyWRvS1Lhn3
lGN6IZka3xm9WJx/3tVPUkqvIH+haJxx3tSPUFBvGt84/QRF9JbxDdN3cbFe
gzT9VQ5zjXVD+ujT2czv3GlWXo5lNV9xkVl12um9mcY7/MYd5uXk/4Duvsw=

         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1He8TmUAwPHrWjezVMbl4obrmpHsWTYhlxShIkm49t6jjLJVyAwVlYZR
dkZKFLL33nuPMr7P5+OP7/s7z3Oez/uec55zb2yLDgmJSSIiIor4CL3BSkbx
LpUpTCRJuckqRtOKKjxPMm6xmjG8R9XwvTzhi//VL+nFGyTnNr8xltZUoyip
rN+us+lNY1JwhzWM432qk9Haw/oDH/ECqc3t0Dn0oQnR5o7rQkaSkrusZTxt
iLHmlC6hBpmMj+iPxDm+rMOIdXxOl5HP8TUtRhrHO7WAztU8eik8H+2rOfSM
FtJfNV6vhnvWNzWrntCCukjz6pXHe/Ox5tILYT90hebX6xrFPdYxgdzmL+oH
ZHd8Wn+hJpmNj+pPDOc54/O6nBdJa7xLv6IfOY3P6lKaks34pC7mk7C3/Md6
JtKWWmSx7pj+zAiKk87cbv2a/jQLe83//M6ntKM2JUhv/R79hgE0D3vLfTbw
Ge15hZI8af1encdA3gp7wgP+4HMSqUMpnrJ+n85nEG+H++chfzKJDtSldLh+
wh/JRplMR+pRJlxrOOXcXzqFTrxK2XBdRDq3Sb+gM/UpF66BDDzNMzxLRjKF
vQrPkejwboRnT0zY0/Auhb0hNuxheDfCvpOHOJL6vc06lS4kUJ68JHPub51G
VxpQgXiSO/ePTqcbDakYrtH8fv2WwbxDPlKY36Iz6M5rVAr3Y/6AfscQWpCf
lOa36kx60IiXwr2bP6jfM5SWFCDK/DadRU9e5+XwnMwf0gV8yCL/oB4BQGaG
vQ==
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03e8z1UYB/DfVZRQ2SWyRUok2VsIyWjYcm0lZSWrzIzsbCFpSEZGqGxl
lFk0rEqkrKa93s/LH+/7+Zzn/HHv95xzcyd3afBiUiKRKOHHwxRMkUj8Ldcz
hZ60ooJ5KvbpCxhJcQqZ/SM3MJVXqG2WkSP6ZyRT0foWvtcX8pSenZP6mzyp
Z+V3fQ3P6jk5oz/C/fq/ciON9dxM0xvIbPypN5f56aXXkZloxW/WTWVe2vK5
9TPyXlpz2rqlvI92MbOuJG/lOX6wbiLz0IZF1k/LHCRzyrqFLMAovZ68i+N6
M5mPtXojmYu/km6cd2H9P7mJ6TS0vocT+qs8oWfmqP4FbahsnZof9cWMpr71
3fyhr+NRHrD+X37JDHpT1ywLx/TVtKWK9W38pH/CGEryoNlZ+RVv04d2VDVP
w359CWMpRRGzc3IzM+lLe6qZp+WAvpRxlOYhs/NyC7PoRwfKUNTeBbmV2fSn
I2UpZu+i3MY7vEYnysX7tXdJfs0cXud5ysf7jTcY9xpnGN8d3xJ/H49RnRrU
5HFqxTuOdxT3EGcXbzTuNs473l3cV7zjeAvxv+B3X5bf8C4DeCHeWbxfe1fk
duYykM7xxuMd2Lsqd/Aeg4h/yEZxj/auyZ28z2C60DjuyF6CXfoHDOGl+Baz
dBzUlzGeJnFHZkns1j9kKC/Hd5vdziF9ORNoGndkloI9+jzeoGuckdkdHNY/
5S2axb2Z3cS3+kcMo1ucp9md/KyvYCLN4y7NbuY7fT7D6R5nb5aeX/SVTKJF
3K9ZSvbqHzOCHnFPZhn4VV/FZFrGnZst5zqJNZMY
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwNw9c6AmAAANCfN/FA3XgENy0NDUUyysiISMhoyCwivaBzvu8srWSW0wsh
hIjRxRC+fffZng92jRk3YdJVU6bNmHXNnHkLFl23ZNkNN624ZdVtd9x1z5p1
9z3w0CMbHnviqWc2PffClpde2fbajjfeOvXDkX0fvffHT18c+OSvY18dOnPi
m39+OffOfw1wLQQ=
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#3"]& ]}}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "B"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", 
           SuperscriptBox["k", "B"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "fe3b2f21-d8d1-4036-a53c-6b4a95d1d39d"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "fa3a643a-fc6f-4449-9dd8-78529ee4b093"], 
     {0.45985202497244226, 936.5042884616195}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "44deaa2c-5bcb-410c-84e3-7f4b6e22d3d2"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "7d7a97f0-4e86-461d-89a2-2020f0a3b111"], \
{0.7556074764669592, 304.0576241612723}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7175585299707472, 967.4133359581506}, {
     0.7936564229631713, 967.4133359581492}}]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], 
    ArrowBox[{{0.7346048518387791, 327.8338145432184}, {0.6245608764977477, 
     327.83381454321704`}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "b2b3db6f-32e7-4ad8-b487-79018d72df4f"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.31580277765618114, 569.5205694538593}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["III",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "ed00f422-efbc-4cbb-8cfc-beb3be38f788"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.7441624598949894, 569.5205694538593}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "e4161802-bfc8-4e3b-a8c3-d6b34e419a46"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.5562693737334213, 141.54914257882854}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{14.081633, 16.}, {1.5, 1.415319}},
  ImageSize->Large,
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotLabel->None,
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-80.21994047740297, 1524.1788690706564`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.85218734229526*^9, 
  3.8521874094942827`*^9}},ExpressionUUID->"31f9abcf-0619-4c45-9ac0-\
2f4d249b9f54"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[23]:=",ExpressionUUID->"e48f33a3-a2e3-4f6e-9223-f8ce43c4ea61"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx1mHk4Vs/bwCmVUpZC1kpolYhslXtQSFRCkUjRQttjeVCyZ98lUiSVfc1e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    "], {{
      {RGBColor[0.7529411764705882, 0.7529411764705882, 0.7529411764705882], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt03eciGUAwPFzxx0iK+u4OJzDnZQ9srNXSEpKqOyzSaHskbJnGZUysouK
ChlZFYqy91aIFpHv8/ncH9/7vc/zPp+7532f9+I79GyREhkREZGGx/z4zCA5
dXyLr3mbl6jNI4T1UfzJN7zDyzxBKdLyFxuZyCvU4VEy+MX79QMG8Qzp+JtN
TKITdcN+yGj9T/ohr/Es0fzDZibTmXrksvaErmQ0pXnA3M+6kNdpQ6y5M/op
44nhX75lCl2Is+a8rqM+uY1P6iqKur6mY4h3fVnXU9z1H1qGTK4PaJJ+pAn6
e3g/OlgL6EUtqV9oMb2RegbPaT49q8nhTDRRr4d3qG9pYb0azkO/0hJ6U9Nz
my1MpYj537QrD7u+oJ/TgDzGp3Q1YylkfEU3UJbMxgf1Y4ZQ0PiSfklb8huf
07VMCGfLHbYyjW40JK91p3UN4yjHg+Z+0UUM5flw1vzHNqbTnUaUJ4v1v+pi
3uCFcLbcZTsz6EFjKpDV+kO6hDdpF86Ee3zHTFJoQkWyWX9YlzKMF8Pz8z87
mEVPmlIp7J/wT7JTZtOLZlQOew233Nulc+jNk1QJ+yLSvd36Ln1ozuNhD2Qn
Bw+Rk1zkDmcV3iOx4dsI7564cKbhWwpnQ3w4w/BthHMngaJE+Xt79D360oKq
JJLWve91Lv1oSTWKkc69H3Qe/XmK6mGP5o/oJwynPcWJNv+jzmcAragRnsf8
UV3GCDpQghjze3UBA3mamuHZzR/T5YykI0mkN79P3+dVWlMrvCfzx3UFo7gP
fkSG7A==
         "]]]}, {}, {}, {}, {}, {}, {}, {}, {}, 
      {RGBColor[0.6627450980392157, 0.6627450980392157, 0.6627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1ne4UGMcB/CrrV00tG97L7NlRUZLu7R3pD00VVQUTdFeSot2CdEuKlpm
ivZGtEiRz48/Ps/3+/5Oz3PvOe97zi2xTbe6XZMkJCTcRkelvFJU/i43M4W+
tOZB8xR8qy/lde6mmNkluYWpvEh1szs4oX9MGx6yTsl3+jLq67n4WX+D2no2
zugbaKTn5aJ+D8X1y3IrTfREpul1ZQ7O681lIfrpNeSdtOakdVNZgPast24o
89CWX61byiJ0iJn1wzIVrfje+lmZn3Yst24gc9OGX6xbyMKM0Z+R2TmrN5MF
2ag3lvn4Tb+XEvoVuY3p1LPOyQW9PzX1LJzSP6Edj1jfzkF9BWOpY30X5/RN
3EdJ66tyOzMYQC2zrJzWP6U9j1qn5gd9JeO4n1Jm1+QOZjKQDlQ1T8MhfRXj
eYDSZn/Iz5jFIDrymHlaDuurmUAFypj9KT9nNoPpREXKunZd7mQOL/EclSjn
2l9yF3MZwvNUprxrN+Ru3mEonakS5zfOYOxrPMO477iX+P14nGo8wZM8xdNx
juMcxT7Es4szGnsbzzvOXexXnOM4C/Eu+Nk35RfMYxgvxDmL8+va3/JL5vMy
XeKMxzlw7R+5h3d5ha5xVmIfXbsl97KA4XSjSexRvLjs0xcygu5xL2bp+FFf
w0SejT0yu439+iJG0iPu2yw9P+lreZOmsUdmSTigL+ZVesYzMsvAEf0DJtEs
9s0sKV/pS3iNXvE8zTJyVF/HWzSPvTRLxtf6e4yidzx7s0wc0z/kbVrE/pol
5xv9fUbTJ/bJLDPH9Y+YTMvYc7O18f7qpTyqNfoIuYyfyBJnQDaiH3PZTyrz
ErItw1nKj9wZ50Y25EXmsI+U5sVlG17hfQ5zR5w12YC+zGYvKcyLyda8zHsc
InOcT1mfPsxiD8nNi8oHqUdvZvIlyVwrIqtQl17M4AuSulZYFqIgBchPIvnI
Sx5yk4uc5OAuspONrPGc4t7jfuJ3JBOVqUNPprM7jqKfl1FW4hl6MI1d8ffF
tQyyIrXpzlR2Jvz/xye9qEAtujGFz7lFOloxjCX8EL9DnGdZk65M5jP+IS0t
GcpiDpIx3hdZgy68zQ7+Jg0tGMIividDvHuyOi/wFtu5SWqa8xIL+Y708R7L
UazieDzHOJuyM5PYxg1u5w3Wciqefbw/8iPOxd5YD5YL+DbuP74fcj0XYg/j
3ZIrORZ7Fe+MXMeZ2FPr5+Uvse/xPsut/EUqLlPc/BNZWv4cZ0O+LsvK32SR
+HbIkvJknI34Jshy8ndZNN5NWUqejbMkB8ky8ldZKL5lsoT8JvYkvo/yEsX0
j+V5EuO7Ii9SWF8hj5ItvhvyA06T2/o5OZEtXCclo1nNCXLEd04OZD5fx96a
lZcjWc4RssY3THZiApv5kxQ0YQDz+Cr22r8tJ6vRkfFs4g+S05j+vMOB2Fv/
vqx8nA6MYyPXSBbPh8doz1g2cJWkCf99yhNKU5V2jOFTriT8//+zfwG1ixjC

         "]]]}, {}, {}, {}, {}, {}, 
      {RGBColor[0.8627450980392157, 0.8627450980392157, 0.8627450980392157], 
       EdgeForm[None], GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwl1HV0l2UYBuANxQQVCwUUETBABUmVzo3RAwEbRudMOkZulLABo7tLSrAL
E2xCQilRkTBBJazrOfxx7b7f5zvnd86+932/Ymnpqb3yJCQkJDLcn84Wq1nK
AuYwk+l0oSvd6E4PehI/kM6TPMXTPMOzPEdv+tCXfvRnAAMZxGCGkMFQhjGc
EYxkFJlkMZoxjGUc43meCUwkmxwmMZkp5DKVF1jGQuYyixmsYTmLmMds1rKC
xcxnHStZwnpWsYFptPXeNspqPKFP5RW+5WqzlHgP+hhWsZO8ZlV5XM/lZQ5R
wKxBvDt9NCvZwYVmVXhMn8JLHOQqs+R433oWK9jOBWYP8Kg+mU0c4EqzpNgj
PZPlbCOP2f08ok+K/4f9XGFWP/ZVH8UyviTR7D4e1nN4kX3kN6sXZ0EfyVK+
iMNlVpmH9HRGsITP+Y9KnrWRvRLPn8PFfMa/VPSstezJMBbxKf9QwbNWsgdD
Wcgn/E15zx6ULWlBKs1pRlOa0JhGNCSFBiSTRH3qUZc61KYWNalBdarRnQwW
8DHnKBf7K7sxhPls5Sz3xl7KrgxmHls4Q9nYN9mFQczlI05TJvZIZrOBb8hn
VpfO+kDm8CF/cU/skZzIer7mcrM6dNIHMJsP+JO7Y4/kBNaxl8vMatNRf4Mf
uN66SdxjfRbv8wd3mVWSb3OUG62bx/3U17KHS61r0UF/ne+5zrpxfBv04xTW
W8R3R3+PU5S2rih/5ZY4K7yll4gzzo/6DbJZfBP02+Ju8ZOeJm+KsxB33bqD
vDXOLrut28pLqEl7607y9rjL/GzdXt4c54zXrDvK4nFX+M66nbyWRvS1Lhn3
lGN6IZka3xm9WJx/3tVPUkqvIH+haJxx3tSPUFBvGt84/QRF9JbxDdN3cbFe
gzT9VQ5zjXVD+ujT2czv3GlWXo5lNV9xkVl12um9mcY7/MYd5uXk/4Duvsw=

         "]]]}, {}, {}}, {{}, {}, {}, 
      TagBox[
       {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwt1He8TmUAwPHrWjezVMbl4obrmpHsWTYhlxShIkm49t6jjLJVyAwVlYZR
dkZKFLL33nuPMr7P5+OP7/s7z3Oez/uec55zb2yLDgmJSSIiIor4CL3BSkbx
LpUpTCRJuckqRtOKKjxPMm6xmjG8R9XwvTzhi//VL+nFGyTnNr8xltZUoyip
rN+us+lNY1JwhzWM432qk9Haw/oDH/ECqc3t0Dn0oQnR5o7rQkaSkrusZTxt
iLHmlC6hBpmMj+iPxDm+rMOIdXxOl5HP8TUtRhrHO7WAztU8eik8H+2rOfSM
FtJfNV6vhnvWNzWrntCCukjz6pXHe/Ox5tILYT90hebX6xrFPdYxgdzmL+oH
ZHd8Wn+hJpmNj+pPDOc54/O6nBdJa7xLv6IfOY3P6lKaks34pC7mk7C3/Md6
JtKWWmSx7pj+zAiKk87cbv2a/jQLe83//M6ntKM2JUhv/R79hgE0D3vLfTbw
Ge15hZI8af1encdA3gp7wgP+4HMSqUMpnrJ+n85nEG+H++chfzKJDtSldLh+
wh/JRplMR+pRJlxrOOXcXzqFTrxK2XBdRDq3Sb+gM/UpF66BDDzNMzxLRjKF
vQrPkejwboRnT0zY0/Auhb0hNuxheDfCvpOHOJL6vc06lS4kUJ68JHPub51G
VxpQgXiSO/ePTqcbDakYrtH8fv2WwbxDPlKY36Iz6M5rVAr3Y/6AfscQWpCf
lOa36kx60IiXwr2bP6jfM5SWFCDK/DadRU9e5+XwnMwf0gV8yCL/oB4BQGaG
vQ==
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#1"]& ], 
      TagBox[
       {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
        Opacity[1.], LineBox[CompressedData["
1:eJwl03e8z1UYB/DfVZRQ2SWyRUok2VsIyWjYcm0lZSWrzIzsbCFpSEZGqGxl
lFk0rEqkrKa93s/LH+/7+Zzn/HHv95xzcyd3afBiUiKRKOHHwxRMkUj8Ldcz
hZ60ooJ5KvbpCxhJcQqZ/SM3MJVXqG2WkSP6ZyRT0foWvtcX8pSenZP6mzyp
Z+V3fQ3P6jk5oz/C/fq/ciON9dxM0xvIbPypN5f56aXXkZloxW/WTWVe2vK5
9TPyXlpz2rqlvI92MbOuJG/lOX6wbiLz0IZF1k/LHCRzyrqFLMAovZ68i+N6
M5mPtXojmYu/km6cd2H9P7mJ6TS0vocT+qs8oWfmqP4FbahsnZof9cWMpr71
3fyhr+NRHrD+X37JDHpT1ywLx/TVtKWK9W38pH/CGEryoNlZ+RVv04d2VDVP
w359CWMpRRGzc3IzM+lLe6qZp+WAvpRxlOYhs/NyC7PoRwfKUNTeBbmV2fSn
I2UpZu+i3MY7vEYnysX7tXdJfs0cXud5ysf7jTcY9xpnGN8d3xJ/H49RnRrU
5HFqxTuOdxT3EGcXbzTuNs473l3cV7zjeAvxv+B3X5bf8C4DeCHeWbxfe1fk
duYykM7xxuMd2Lsqd/Aeg4h/yEZxj/auyZ28z2C60DjuyF6CXfoHDOGl+Baz
dBzUlzGeJnFHZkns1j9kKC/Hd5vdziF9ORNoGndkloI9+jzeoGuckdkdHNY/
5S2axb2Z3cS3+kcMo1ucp9md/KyvYCLN4y7NbuY7fT7D6R5nb5aeX/SVTKJF
3K9ZSvbqHzOCHnFPZhn4VV/FZFrGnZst5zqJNZMY
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#2"]& ], 
      TagBox[
       {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[
        0.12500000000000006`], Opacity[1.], LineBox[CompressedData["
1:eJwNw9c6AmAAANCfN/FA3XgENy0NDUUyysiISMhoyCwivaBzvu8srWSW0wsh
hIjRxRC+fffZng92jRk3YdJVU6bNmHXNnHkLFl23ZNkNN624ZdVtd9x1z5p1
9z3w0CMbHnviqWc2PffClpde2fbajjfeOvXDkX0fvffHT18c+OSvY18dOnPi
m39+OffOfw1wLQQ=
         "]]},
       Annotation[#, "Charting`Private`Tag$3396#3"]& ]}}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "35b1473c-9a57-4ce7-8b7c-4795b4b51575"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "a3555dc8-22c7-4b97-a53b-4523750d6473"], \
{0.7598195327137004, 312.4669106373881}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "B"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", 
           SuperscriptBox["k", "B"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "5b07de99-4e00-4a9b-9577-57739fe1b449"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "f76cc7ec-8ac0-4538-81e1-26b1b916c5bc"], \
{0.4597929939164537, 861.0933097823424}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->16,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.695727176386466, 891.1867408864528}, {
     0.7718250693788902, 891.1867408864514}}]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.750749164056983, 335.6157047873047}, {
     0.6407051887159516, 335.61570478730334`}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "89ffae54-e453-4896-bc65-55d2541d46c2"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.27135361099284305, 498.84197855635466}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "b0ad7f30-fd38-4c81-ab3d-87d0e89a2192"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.5659925498307495, 112.31169884444395}, {
    Left, Baseline}, {0.04949396306818181, 167.85603339336174}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["III",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "35bd832b-db98-4c0b-a43d-743b54d6d404"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.7718250693788901, 648.124412737872}, {
    Left, Baseline}, {0.05384080655057405, 167.85603339336168}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{1}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{13.785714, 1.5}, {1.5, 1.27751}},
  ImageSize->Large,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}, "AxesInFront" -> True},
  PlotRange->{{-0.020833333333333336`, 
   1.0208333333333333`}, {-80.21994047740297, 1524.1788690706564`}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{{3.852186846728902*^9, 3.852186992123027*^9}, {
  3.855471835874217*^9, 
  3.855471860905267*^9}},ExpressionUUID->"fdd87e70-75bd-4699-8cf2-\
7e7938115d88"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.855470213631455*^9, 
  3.855470214445228*^9}},ExpressionUUID->"16e3090e-8775-4ca8-9bc0-\
462d5c962079"],

Cell["\<\
if \[Alpha] < 0.5
\
\>", "Text",
 CellChangeTimes->{{3.8554702194661617`*^9, 
  3.855470225100165*^9}},ExpressionUUID->"de70561a-e589-4d86-acd4-\
8ad6e97237d2"],

Cell[BoxData[{
 RowBox[{"f1", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"k", " ", "\[Alpha]"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
    FractionBox["\[Theta]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
       "2"]}]]}]]}], "\[IndentingNewLine]", 
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.8"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "0.8", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8554702339550667`*^9, 3.8554702546336308`*^9}, {
  3.855470290826672*^9, 3.855470291729395*^9}, {3.8554703365709543`*^9, 
  3.85547037105099*^9}, {3.855470480327196*^9, 3.8554704810905457`*^9}, {
  3.8554705650447617`*^9, 3.855470595155889*^9}, {3.855548609895041*^9, 
  3.855548617964872*^9}, {3.855548813243432*^9, 3.855548813662027*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"ad2dfb57-46c8-4270-82ec-dfa329a9bbf0"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.6683439175686146], Opacity[1.], LineBox[CompressedData["
1:eJwV13k8VF0YB/BBFI0t+5KliBaSor3nkFBSkuVNEpVWinKJEMkSE9laiEoq
hJBdmMUwWbITspSxjKIoich75q/5fD/nzrnn3vPcc35H9dQVS2deEokkx0Mi
cX9Txko8GkKP7GndOnzBcRuBLvJKUfMkdWAnD0HXwf4t65MTJYnAzCh5LQ/2
rtRMTX9JC1ip1L46ZSuB+jnMM4SkI2RUnWWx9QmUS2nhdZd0g3JSfoeLHoHk
+z42X5YMgBc8slphugT6IGBf4ip5Dy4q6X7/toFAkp/Nj92lPQXv3Yq1z1UJ
5K6bOMg/lAZiyxoF98oSyFTV2+zHknR4rxj+TAVbRcz2bbdaOnQNrjz4Twb3
N74i6M2ZdMhQ5nSVYK9LD191jJ0O29toHzdhs5V9nDIHM0DdT+mCujSBbISP
9Vt+yQSekFkeBUkCKXlEjDdeyQG9YNkQAzECSde3OCkH5oCSWniYKrawmnzH
5ZgckO5WfM6DPd+aViFckAPv0lkqdFECdW+ujjKby4EYUx0wwo7/SdKtuZ0L
merzouYiBCJf8/SseJQH/qb/wJ1MoCV15WPCr/NAZHetrRX231X8J0+8ywO+
mPawrdhjLbEm8315sJ/9Qf/fcgKxdHNld6i9BTu/gwwKdtDU19KC7Lcwdv/m
y2whAs25Oy1mMvLBSbSyg1+QQF1qVUVtrfmQO3Sgb3wZgYo717jND+aD57LO
+XZsYve3AbMlBZAhKXrzJfaPZV70MaMCWPuj46Ep9sgTSrBmdQHsIWI0o5cS
qK2haHkqqxD+Rj74vlmAQG8D5KvqPhbC2CnzYSXsmM1+vj9HC0H+x79fgtiH
HxmOGwoWwSAQdgP8BKo90/Dh8/4icPCLMo7Epv39Eq1cVwTHboRlTCwhUPZa
EdnEhmJoO+PTTeMjkOzu92Ir+4tB1FfbMRs7yOK24JMfxXA/DvElYv/nNTeX
IlECTvLpzzyw+ZjDvRnHSuCPSz5ay213rHxeOlQCqbMC4g95CUS/5vN410wJ
nMp44B6CrRWqF1+xrBQ2rN/0wwObN/t1CH19KeSz0k0ssbP+PrhQ614KC+cG
HEW47Q/cNnYvlAK/0fA+Cg+BXDLWa9qLloGbqTzFF7uzfFilT6UMak7yT7pg
Z7LtV3zZWwYPWjbIHMK21d0/zblTBiF90+3i3PYG1bJZqXfQxFbTeELC7Uta
jeW0yyHMyvps86IHCvc4f2s/lMMyRlsjE7uCvVDubVEOixL7/yvFVmNq6nVf
LYezlTurn2NPBfuvTiwqh8IMb5nr2JFL15FWGlSAa+zwwzXYdK/KneaWFRBX
3fRbEXt6xMrL73QFbPzl4CGBbc+6OdEbXAF6/rEfSNjr7rR/Sq6tgLCGWFLv
Pw9ULRRYomJVCV+/5JxJxJ7zkZ62cK6EIndxeiy21tfXOoGeldB9jwUU7Li6
jlefH1bC/WfnHvthn6JsuJ/SWwnxlS96nLDj52nNLRP4/xdndh3HPlP4OoSH
RAVkPFdhhf1wjQF9kzgVPq0yUDfFXhRw2R6zmQoFByR8dbBlK/Vt1+2iwuVt
2ux12LpeeKEyooJJr7WrOvbZkfs5U9ZUKLSa/SKP3VBD0zh6nQrPeNrsl2IP
36Ts+xpAhen4Bx94sUnbbE8H3cH3P1Ll9G/BA21J+5b8NoEKtqWh36axE8Nk
pCXLqdAeNx83jK058d1alkkF4+D4Q4PYhUdZ8YoNVFCSi1YfwG5S8pZS76UC
sa9jfTe2w+0j1muHqKA7pXu8E/srZ2281jgVvlyUTWvDFijoltRfoELF0tSE
Ruw4+bdWO/hp0GxzAjVgqwZExO0RpsHLGiZfHXb20Ok2Qync/nuYzcLeZbZL
0mQlDUqDagersWtzJK3M1GnwVMyHxMS2lR6PPaxFgxTDxR0M7KufkyT+242v
35YrSMUmmXgetd9HA3vryaQK7LuZh2IdzWmgxdKyKMeWX6HResYa92fkpvIO
O81rccWFEzRYFkgXKcPW7+20dHWmwX19bYVSbIZhToy7Kw1Oq5bvK8G2SAtr
IQganCd5RxZj9wk7rfDxo4Fv/KXpImyXa9st/YNp4Pwi2Yfr2Y/iMbfu0qB+
RkGJ65A9Y80h8TQA2/H+QmzJVLp4RBINtkYrUrl+Jph4JOoFDZZ7vq3gWvvK
tejYLBqIdpX1cP2uzaz5QQENrtwDGW5/+3eoiT8up4E5YerOdceTeYunTBrk
nR7gcH2Gv/1eagMNknaIB3LHO3kxqymtnQY/etj63OfxbwoWy+qlwa0Nzsu5
z0vWd7DIHaKBiuTjf1w/StS/VzBOgxt+sWLc97WGR7SpZBqP38bagPs+88+O
iFYs0IAc9fUe930b1lcepvPT4aqC42IlduOmh1HVwnSYnXxHoWHbP3BrrJWi
gyyZvJ07f2PzpqKNK+lgdtZ2CXd+r59SPdyqTodfi2kT3PnnZ81GdmrR4UaP
0B9ufajEZogM7KZDvJvGeW49Zf+5dYi9jw6Nu39/4NbbTofjkaPmdNjnsWDV
gm2zliwyeYIOy517K7j1yo5km0874/EcqE3h1rP7r3d3Z13pcGRS5mUvNqXS
VZjXnw4+MwtCbG69qBubC4TQYSohw2UE+1W40l2hSDoohwyMj2HTrRvJEsl0
kPokdngKe+arDlmtgg5edU/vcr/H2kA9l/ZqOmTrRR/kfq/JMjvqQxrpcI2Y
0SFjG+3dS+EM0EGu7thFaeyYBGvyGz4GuIkPPd2A7axj5+JIZsAJ858UXext
1Q714lIMaPIaSN6G3T95juKxhgGPCMqWfdgb9vuQd+xngLF4sqYjdz3o93f5
eoQBuk+l953DbvUIqn9sx4BnJh9DL2P7PKVQFi8xoMLYJYC7vtXMJJOZkQz4
VW0OSdz17iWDbNHGAEW5ssVBbP1dLBeeXgYo6ImFjmMLttTX5w0xoGo+WG8G
O2ehnSI1w4C1wkLLluP1d8FqlNwjVwVhj6dub8F+yCcsfPZkFVyzMxmLxHZ5
JO4qc74KkIbEWAI2bJRuYLlVQXFij/gr7GE75bvrb1WBh0xCVyX25rxNwpOp
VeD26KjZT+wPjjbCvmNVoJE+y3DC+49U6vmoR1NV8H1j3ZEr2PYjPuJFc1Xw
R2A7nx/2mOsTqSkhJqg0yTQ/xBa4Mbry/HomnCxTl2/BhngfbSsXJhh8y7pk
hve3kI+UHHcPJsQX5m87jv1B4YlulC8TkiRWrLuEbZ/C0K+lMKE6ZtE7Avv6
GzKgLCZwWN8bG7Bz3icf3jDBhE2kWw7H8P47Q85t3v+bCSXffD0vYe+xYBw9
948JZQaUt37Y9R0jtiki1fBCTjYpBXt0UMdRdmM1KCxs2TiBrfKP7rbErRoM
giTsKDgfROuORH+arAaB7BfKQ0u4efasXvNsNYSddfL/iz0qNfyRyVMDlrP6
vCtwXtkzy1Z+I14DiUkO3oD9rfJLVuCmGtiox1nzGNvUvO/9Gvca6PpscMce
5x/S+XYe9x818KjscsUszk+ZXVYvnP/UQIy8c6ckzle2Zm2mdiQWpD39Ka2D
na3dGrVXjAUefYJC57Dtp5tWSuuwoEnCndbBzW+36reXXWFBqMrwzXKc79yS
GO7831kgs54ck4bz4Cm4ovdqhgWrlT0s6rCPfpafNSW9h/jfynsmsPXVrwZQ
xN/D75mgV1u4eTNTJUpiy3v4tGxvPgM75J1fpqr3e5gV7WWMCRMoqWfryG6+
Wlh+7JH2CZx3I/0GM/qX10JE2ZbpYOwA5ajLgZK1MBexejwb+9Tp4ekq9VoQ
7tzjziNOIM2vcUsOmtZC+Q+j+jTs/LlJVbu7tZBx8fwnkgTOg3KZ9p4yddAn
uvipQ4pAGy84G95WroNRC7UaXpzP44qVNGM06uAVkuvTxnawjf6ZtbUO/uq/
jgnF/hnnGT5kWwde9EWZnTjfK4oZFFs9rAMtofknGfh84CrQIbFZrh5aMvOE
MhUIJPZzsfa7fANYyj0J3rmKQGVXh5oyVjcArcyd4YV9dqq2w3lDA6wUMdmR
j/1uMv5Lz+4G0Dli2qq1mkDnf6yfq3FsgJas+vzVagSijtuuffqyAYzKtEzk
1+D5GH0TaqH7AaxDd+ttXkeg5t6TRrn7G8Fd802m7GYCDUTkXdpr2Qgs6s8L
p7B/bOePbbdrhJZVcqczsUXuZ3yevdQIH3faChpsIdDBQ9P+hpGNQBfs0nDF
5ydWRXhJa0sj+C/UVTTh89ZAo53MX60m6ItPZTN34fyZE0xZWdQEi1eV011M
CPSwTy9XsawJ7lGG5yqx7cjD7QqVTbDwwjZYwpRAfeeMleVrmoBlf9OoDJut
tDRPurMJpMu6XYUP4PFRwjpFZ5ogUy/I991BAgldiFjFu7UZRCV7lxlb4u9F
Nbp4uLAZ+rcafhVyINCJhFVjR+tbwItxq4fjQ6Bp2oUT+xpbQZfuJWyaQCCz
Kf2O7pE2KB3WeB1EI5D293Rfq7/tIBc3Nv1hHNdfQssZy/kO6Fccfl6p6Ike
Hwq0/LXiIyTe8dhyxMYTaeYOBcrLdMEE9ZQ/O8YTGQ5871OT7gZHw6YGaPdE
crIBBq3remDpcr/4SnUvhNeGIX6tTyCz1KnngbcXujYeHfXJqBdsxk3C2H1e
iJzOd+6BbR/Ia5E0JsyvI3mJ9QEdtv3wQjwBfaZeRz8NXRo/6Q+AseXhs9vN
vFFca9LNe8UDICf0zye82xv5HkgxLtz6GZJuqbgUEz6Iwbwglk37DFUhrRk2
OjfQPlny33OGXyBaHSndmLyB1K+4j/5s+AK7whNKpLp9EUrK/W1gMQiFGif1
aXV+KCW3SoG3aRACj9/JCm7xR6drE/bG2bFh/ch3i1XLAtDJUjPKaA8b3N84
rxnICkCl2ZWdIueHQOfEmPAxr0Bkf0dgx6vJIbhjMvqixOYW2r5Ts5zn6jAk
NvR05hgEIY9J8l7thWHYsCsoN+DUbTTmX89RvDkCvErH5Qbig9GrKYdXfv9G
QKooOPD4eAhiXMw/lxM2CpFd6uzhhDAkX8o2fSHIgbI7/CpdLuFowW+J/NBy
DghHic8kEeFowEDtq5oItnRHz3n/cPTy/em7qSs4MEBaHBK7F442d31pfq7A
gUM7SlIy3oajg38G7FK0OMBnXyQgNB+O/PR7XZ4c4UDSf70XU6MjkOPc/O7+
oxww2Lh0XD8xAhlVKIoq23CgJFTWtCk1AgkZ2+cm23FgW01yqkxxBLpv3TOd
dJoDES18ZbN9ESjbo8v/McEBgQKRRHFtCoreNnv4kxcH1i0wFyS3UZDHvKyq
og8HFiW9M5UNKWjH7f8Yif4c2Lv093IzGwqqie1cmhjKgQMFlLQ5fwrKsJ35
2H2HAyYXFdH2OxQUqSCTIU/hgMYSHqebsRRk9dzmYMI9DphlGTisSqOgrec8
V3bH4Pu/Ig7czKMg+fX3J+TiOWAYmN0/+I6CFiYKKo894ODz+i91ixoKGshr
v/foEQcmXI+pVzVT0P+WLX5S
       "]]},
     Annotation[#, "Charting`Private`Tag$24082#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.12500000000000006`], Opacity[1.], LineBox[CompressedData["
1:eJxN0X0s1HEcwPHrQqsumX65B9S0a1PGTBulJ8+rUJ5ysRNFu5ji6mgzDluF
dXJXYu5ctaPE7HZnEjZPHT3Idc7l6RwunIczbgjlsdrq8/XdPvvs9d9n76/N
9YSgG3gcDuf/Z/5ukb6OJc8KPIP79+Lw+5urMMez/71ESpHkYW7gU6WVtmws
ADw81RaThEWBpZwuPBNLBFOG+pS3sQzwVxN63S2MC8a++4fltrwEM50Eo8a6
N+ADrEczigQJeIV5bbNSVg0WHzElCeS1YJqRyofs0AAWZBMtsIZm8PK0I4Ha
+B7dExW6J1XfCuY5TfA0cx/AiUIZ09jwCdxOrqQnE7+AzRY22w0UOVg5GOkl
Pa8A90oecKzfdaJ+Nrza8RolOIJ/SB/c0QVebImN8FaowL7zzj3qiW9gB0N5
ashqN/ghvysmaK0HXHwxM+iHeR/YVqrLpBD7wR5awxDVQg0mkzLcVUcHwIyN
Np2xvQZ8d4aXp/EaBBPKtzMKaUPof/fZZfTQhsELHvEKjbMWnK8SpnNrkVMv
iHxqXL6DZW2xZuIWZG8SYZXhMQI+nMCcXJAjuwmlS+4Bo2CRtNUS34kc3c73
zA8fA0fW+3ImB5DrxU29pjd1YHqOiWvZHPKJk7YN2+6Mg1lzBE+HdWQ9u2PK
Kn0CXDZ/tSxtA1kWV82QZE+iPvVj517tnAKvpxlRdLuRte7Uaaop8uvP0bml
5sjH+keUJZbIfj+14SJ75DTnwfgXgchRK2unh4ORvRqt9h4MRd7lQ5c+D0cu
uDywKIxGFrP62cVJyLzjvy5p7iGz1kg2VinIrvevyARs5I9Pe3cIspAraMt9
6hzkx5bECgoHOaQk1I/PRXZhJFurnyBT7Apmyc+29Jt92xRWuKVfVTe3qAj5
N34TPhM=
       "]]},
     Annotation[#, "Charting`Private`Tag$24082#2"]& ]}, 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F = ",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "9e224483-0840-46d0-9865-989d91f35e4b"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "5e7f14eb-1e31-41cf-bd5d-502496fa2dc5"], \
{0.40077160489665103, 675.0695224656763}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->14,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.6755144031657634, 692.6216247720374}, {
     0.7132211201564174, 692.6216247720361}}]}, 
   StyleBox[InsetBox[Cell["\[Alpha] = 0.8",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "0b844451-ac0a-49df-91de-ac42f03268e0"], \
{0.6362864932567103, 261.34139682688357}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontFamily->"Baskerville",
    FontSize->14,
    FontWeight->"Regular",
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7396301146239911, 283.90838550649255`}, {
     0.7791632507188799, 283.9083855064912}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "912e4383-a2da-407c-aa91-abe89b5183c5"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.1660542867101972, 462.9931033784253}, {
    Left, Baseline}, {0.024746981534090932, 102.4102307083204}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "f67e78d9-0872-48ea-bf20-1c8228e748e5"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.1660542867101975, 156.02878298871656}, {
    Left, Baseline}, {0.061867453835227314, 167.85603339336177}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox[
      TagBox["\[Alpha]", HoldForm], HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.8}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{13.387755, 16.}, {6.78352, 19.}},
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.016666666666666666`, 
   0.8166666666666668}, {-51.23448746462225, 973.4552618278227}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{
  3.855548825691922*^9, {3.85554885843427*^9, 
   3.855549005989251*^9}},ExpressionUUID->"ff299103-671b-4bb9-8ce2-\
b240f88c2e8a"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.5821032177708715], Opacity[1.], LineBox[CompressedData["
1:eJwV13k8VF0YB/BBFI0t+5KliBaSor3nkFBSkuVNEpVWinKJEMkSE9laiEoq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       "]]},
     Annotation[#, "Charting`Private`Tag$22688#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.12500000000000006`], Opacity[1.], LineBox[CompressedData["
1:eJxN0X0s1HEcwPHrQqsumX65B9S0a1PGTBulJ8+rUJ5ysRNFu5ji6mgzDluF
dXJXYu5ctaPE7HZnEjZPHT3Idc7l6RwunIczbgjlsdrq8/XdPvvs9d9n76/N
9YSgG3gcDuf/Z/5ukb6OJc8KPIP79+Lw+5urMMez/71ESpHkYW7gU6WVtmws
ADw81RaThEWBpZwuPBNLBFOG+pS3sQzwVxN63S2MC8a++4fltrwEM50Eo8a6
N+ADrEczigQJeIV5bbNSVg0WHzElCeS1YJqRyofs0AAWZBMtsIZm8PK0I4Ha
+B7dExW6J1XfCuY5TfA0cx/AiUIZ09jwCdxOrqQnE7+AzRY22w0UOVg5GOkl
Pa8A90oecKzfdaJ+Nrza8RolOIJ/SB/c0QVebImN8FaowL7zzj3qiW9gB0N5
ashqN/ghvysmaK0HXHwxM+iHeR/YVqrLpBD7wR5awxDVQg0mkzLcVUcHwIyN
Np2xvQZ8d4aXp/EaBBPKtzMKaUPof/fZZfTQhsELHvEKjbMWnK8SpnNrkVMv
iHxqXL6DZW2xZuIWZG8SYZXhMQI+nMCcXJAjuwmlS+4Bo2CRtNUS34kc3c73
zA8fA0fW+3ImB5DrxU29pjd1YHqOiWvZHPKJk7YN2+6Mg1lzBE+HdWQ9u2PK
Kn0CXDZ/tSxtA1kWV82QZE+iPvVj517tnAKvpxlRdLuRte7Uaaop8uvP0bml
5sjH+keUJZbIfj+14SJ75DTnwfgXgchRK2unh4ORvRqt9h4MRd7lQ5c+D0cu
uDywKIxGFrP62cVJyLzjvy5p7iGz1kg2VinIrvevyARs5I9Pe3cIspAraMt9
6hzkx5bECgoHOaQk1I/PRXZhJFurnyBT7Apmyc+29Jt92xRWuKVfVTe3qAj5
N34TPhM=
       "]]},
     Annotation[#, "Charting`Private`Tag$22688#2"]& ]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "b8ae0811-1a76-4b91-a112-db542b2072ec"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.13640693587249722, 551.0492343990634}, {
    Left, Baseline}, {0.024746981534090932, 102.4102307083204}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "bd764657-8170-47ec-8572-287a6f650614"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.12403344510545175, 87.69625984000527}, {
    Left, Baseline}, {0.0494939630681818, 167.85603339336177}, {{1., 0.}, {0.,
     1.}},
    Alignment->{Left, Top}], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F = ",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "decd4d10-6893-4fa9-90da-7f688f513069"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "e2eff2ca-4246-44ed-af8d-764e1cc105f3"], \
{0.40049236797182086, 675.8510151860257}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->14,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], 
    ArrowBox[{{0.6791515934185606, 692.6512549301449}, {0.7168583104092144, 
     692.6512549301435}}]}, 
   StyleBox[InsetBox[Cell["\[Alpha] = 0.8",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "7a7aca55-1e0a-4df9-9e7f-4079a4ed65d7"], \
{0.629693198501202, 311.0458090597006}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontFamily->"Baskerville",
    FontSize->14,
    FontWeight->"Regular",
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.7422091620908253, 332.6461173021398}, {
     0.7799158790814792, 332.64611730213846`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.8}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{13.091837, 1.5}, {6.326301, 0.5}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.016666666666666666`, 
   0.8166666666666668}, {-51.23448746462225, 973.4552618278227}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{
  3.855548636632752*^9, {3.855548670555633*^9, 
   3.855548769899506*^9}},ExpressionUUID->"c3b69b97-5ab3-445e-ac05-\
dcf0dcfc1a17"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
      RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"f644a76d-1aa0-4e30-b2c1-b7781511267e"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.5956621435290105], Opacity[1.], LineBox[CompressedData["
1:eJwV13k8VF8UAHBC2UmSsZOinyWylfw6L6kk+xJKGyIUkmGERChLllIppKKy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       "]]},
     Annotation[#, "Charting`Private`Tag$14763#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], StrokeForm[Opacity[0.]], EdgeForm[Opacity[1]], EdgeForm[None], 
      LineBox[CompressedData["
1:eJxF0HlIEwAUBvBNF1nSdHbItCkzrbxSzCyzstLSPAqnYZIXpmbrUhPKKGyx
mXmkxDDL+8iyofPYLHSm6LAyrzltWnOrNUTzBufQyFVQ7z34+Pj99/HoMdcZ
cXoEAiHwT/62X9ykpGPqxBHCvyN5mSUqqdae/723tKCoieoK9u+TNRZTvcGh
sdq2x9QQ8LjTA68caiy4bOuZ9ExqCphl0LTrIZUNPhdWzl9Y5IINdaxwH4tS
sE3Q3GRXVhX4Zr+7Z8FSDdhUQFEQiXxws8qrd+BQI7iTWWweNiMAa3YeNqq9
+hqst8IzNrdpAbvpopuD60TgXrZrf7ddO9gyb3qlZq4DPK1VKkacO8FVP1p7
yI+6wGTai3m1WgzOviSML7PuBi8f5akT0t6BU1zEgm1d78HKOnGWhN4D/skc
LrS9/RFsf2z9WnxrL9ingn6xwbQf/0WLsvoWPgB2mDlrKAscBG82WjAQr6JJ
7YX8HUUS8GXX1rEN/kNg3qmYsrfLaM20mfFEvhQsDPbR53oPg9N8OaWCCTR9
3G+0kjMCPrifzaW6fAKHWwysEKVoTU+OKpElAxeQIlMY1qO4XyGs0BOj191l
hbgnjYEJNZF8lclncPIzfo5JJ7rNPsOAcu0LmOKX7HCfLAfLHQelqSJ0fYmn
tTpyHBzBd6PQ1tD3OOUs+SsFuHaSVkgOUIIzijnRitPoWMasTV0QertIVB8Y
is7MPd+dHYNOcHu6uDEVbcXe4ru+Gr124M4m2Uv02Oz3oWoeOi+0KeJkA1pn
x7jBEaHlktwSfSn6Tbr2gnQEzfWIsq0cRfs/3yM4rkC33Or7wJpC5zvuyw2a
QSepikLo8+jdAVeUHUtoEnG4Kk+L/ir0YEavokXMSifnX+gnloYanQ79G3Vu
OU8=
       "]]},
     Annotation[#, "Charting`Private`Tag$14763#2"]& ]}, 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F = ",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "9e18eea7-8e1c-4e4f-9127-645ebd2f1535"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "329ebafd-86ba-49a2-82ca-5797548dc612"], \
{0.2757926281222587, 235.8516733131474}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->14,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   StyleBox[InsetBox[Cell["\[Alpha] = 0.5",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "6c732fe4-66d1-438f-b81d-461df1f92650"], \
{0.3703142330313569, 144.02303142069997}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontFamily->"Baskerville",
    FontSize->14,
    FontWeight->"Regular",
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.4443561568768172, 156.02142857962508`}, {
     0.48206287386747104`, 156.02142857962372`}}]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.3015258346318554, 279.48220843650745`}, {
     0.30147458703512636`, 329.76393455887273`}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "a86a88d6-df62-4267-b034-2668ca8aa25c"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.11623373721095459, 383.04396593870047}, {
    Left, Baseline}, {0.024746981534090932, 102.4102307083204}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "38016dfb-556d-4bb3-98e0-3236820329f6"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.11623373721095452, 211.8548789952988}, {
    Left, Baseline}, {0.0494939630681818, 167.85603339336177}, {{1., 0.}, {0.,
     1.}},
    Alignment->{Left, Top}]},
  BoxID -> "Text25",
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.5}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{13.387755, 16.}, {6.78352, 19.}},
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->None,
  PlotRange->{{-0.010416666666666668`, 
   0.5104166666666666}, {-22.287524965452505`, 423.4629743435976}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{
  3.855470731197281*^9, {3.85547076746214*^9, 
   3.8554709941386757`*^9}},ExpressionUUID->"3ccd96d5-1037-4aec-bf35-\
2f39d43c2509"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.8554706024462547`*^9, 
  3.8554706997765627`*^9},ExpressionUUID->"bdd4d251-055b-45d6-91ba-\
195c5f0e8008"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f2", ":=", 
   FractionBox[
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"kb", " ", "\[Alpha]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "-", 
     FractionBox["\[Theta]", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{"kb", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"cvb", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"kb", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
     FractionBox["\[Alpha]", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"pf1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f1", ",", "f2", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.8"}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "0.8", "}"}], ",", 
       RowBox[{"{", "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
       RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
    RowBox[{"LabelStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8554710458717337`*^9, 3.855471056559588*^9}, {
  3.8555490401812*^9, 3.855549050856653*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"a304a11c-e905-4ff2-992e-dee73b5ca43c"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.6309573444801934], Opacity[1.], LineBox[CompressedData["
1:eJwV13k8VF0YB/BBFI0t+5KliBaSor3nkFBSkuVNEpVWinKJEMkSE9laiEoq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       "]]},
     Annotation[#, "Charting`Private`Tag$24437#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.5308844442309884], Opacity[1.], LineBox[CompressedData["
1:eJwd13k4VO0bB3B72bKNLFHWSJQ3Ior7hEQqFFleidRLRSFUREwkRSKUZci+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       "]]},
     Annotation[#, "Charting`Private`Tag$24437#2"]& ], 
    TagBox[
     {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], Opacity[
      1.], StrokeForm[Opacity[0.]], EdgeForm[Opacity[1]], EdgeForm[None], 
      LineBox[CompressedData["
1:eJxN0X0s1HEcwPHrQqsumX65B9S0a1PGTBulJ8+rUJ5ysRNFu5ji6mgzDluF
dXJXYu5ctaPE7HZnEjZPHT3Idc7l6RwunIczbgjlsdrq8/XdPvvs9d9n76/N
9YSgG3gcDuf/Z/5ukb6OJc8KPIP79+Lw+5urMMez/71ESpHkYW7gU6WVtmws
ADw81RaThEWBpZwuPBNLBFOG+pS3sQzwVxN63S2MC8a++4fltrwEM50Eo8a6
N+ADrEczigQJeIV5bbNSVg0WHzElCeS1YJqRyofs0AAWZBMtsIZm8PK0I4Ha
+B7dExW6J1XfCuY5TfA0cx/AiUIZ09jwCdxOrqQnE7+AzRY22w0UOVg5GOkl
Pa8A90oecKzfdaJ+Nrza8RolOIJ/SB/c0QVebImN8FaowL7zzj3qiW9gB0N5
ashqN/ghvysmaK0HXHwxM+iHeR/YVqrLpBD7wR5awxDVQg0mkzLcVUcHwIyN
Np2xvQZ8d4aXp/EaBBPKtzMKaUPof/fZZfTQhsELHvEKjbMWnK8SpnNrkVMv
iHxqXL6DZW2xZuIWZG8SYZXhMQI+nMCcXJAjuwmlS+4Bo2CRtNUS34kc3c73
zA8fA0fW+3ImB5DrxU29pjd1YHqOiWvZHPKJk7YN2+6Mg1lzBE+HdWQ9u2PK
Kn0CXDZ/tSxtA1kWV82QZE+iPvVj517tnAKvpxlRdLuRte7Uaaop8uvP0bml
5sjH+keUJZbIfj+14SJ75DTnwfgXgchRK2unh4ORvRqt9h4MRd7lQ5c+D0cu
uDywKIxGFrP62cVJyLzjvy5p7iGz1kg2VinIrvevyARs5I9Pe3cIspAraMt9
6hzkx5bECgoHOaQk1I/PRXZhJFurnyBT7Apmyc+29Jt92xRWuKVfVTe3qAj5
N34TPhM=
       "]]},
     Annotation[#, "Charting`Private`Tag$24437#3"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox[
      TagBox["\[Alpha]", HoldForm], HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.8}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.8}, {0., 922.2207743632005}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{3.855549072227241*^9},
 CellLabel->"Out[80]=",ExpressionUUID->"c41e9ba0-cfd0-4a8b-a68f-c5eba037eb8a"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pf1", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HoldForm", "[", "\[Alpha]", "]"}], ",", 
      RowBox[{"HoldForm", "[", "F", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[62]:=",ExpressionUUID->"77f6e155-48af-48a3-a472-40a8822aad91"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[
      0.5956621435290105], Opacity[1.], LineBox[CompressedData["
1:eJwV13k8VF8UAHBC2UmSsZOinyWylfw6L6kk+xJKGyIUkmGERChLllIppKKy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       "]]},
     Annotation[#, "Charting`Private`Tag$16275#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[
      0.5956621435290105], Opacity[1.], LineBox[CompressedData["
1:eJwd1nk0lO0bB/BoQSSEIioipYiyl67HUmTJHpKlLCnJmCRCKPs23ijblH3M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       "]]},
     Annotation[#, "Charting`Private`Tag$16275#2"]& ], 
    TagBox[
     {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], Opacity[
      1.], StrokeForm[Opacity[0.]], EdgeForm[Opacity[1]], EdgeForm[None], 
      LineBox[CompressedData["
1:eJxF0HlIEwAUBvBNF1nSdHbItCkzrbxSzCyzstLSPAqnYZIXpmbrUhPKKGyx
mXmkxDDL+8iyofPYLHSm6LAyrzltWnOrNUTzBufQyFVQ7z34+Pj99/HoMdcZ
cXoEAiHwT/62X9ykpGPqxBHCvyN5mSUqqdae/723tKCoieoK9u+TNRZTvcGh
sdq2x9QQ8LjTA68caiy4bOuZ9ExqCphl0LTrIZUNPhdWzl9Y5IINdaxwH4tS
sE3Q3GRXVhX4Zr+7Z8FSDdhUQFEQiXxws8qrd+BQI7iTWWweNiMAa3YeNqq9
+hqst8IzNrdpAbvpopuD60TgXrZrf7ddO9gyb3qlZq4DPK1VKkacO8FVP1p7
yI+6wGTai3m1WgzOviSML7PuBi8f5akT0t6BU1zEgm1d78HKOnGWhN4D/skc
LrS9/RFsf2z9WnxrL9ingn6xwbQf/0WLsvoWPgB2mDlrKAscBG82WjAQr6JJ
7YX8HUUS8GXX1rEN/kNg3qmYsrfLaM20mfFEvhQsDPbR53oPg9N8OaWCCTR9
3G+0kjMCPrifzaW6fAKHWwysEKVoTU+OKpElAxeQIlMY1qO4XyGs0BOj191l
hbgnjYEJNZF8lclncPIzfo5JJ7rNPsOAcu0LmOKX7HCfLAfLHQelqSJ0fYmn
tTpyHBzBd6PQ1tD3OOUs+SsFuHaSVkgOUIIzijnRitPoWMasTV0QertIVB8Y
is7MPd+dHYNOcHu6uDEVbcXe4ru+Gr124M4m2Uv02Oz3oWoeOi+0KeJkA1pn
x7jBEaHlktwSfSn6Tbr2gnQEzfWIsq0cRfs/3yM4rkC33Or7wJpC5zvuyw2a
QSepikLo8+jdAVeUHUtoEnG4Kk+L/ir0YEavokXMSifnX+gnloYanQ79G3Vu
OU8=
       "]]},
     Annotation[#, "Charting`Private`Tag$16275#3"]& ]}, 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F = ",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "A"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", "k"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "f50e0377-2030-4f93-a910-7dab494bef21"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "0f4455e1-fbaa-4703-bbb3-328f2c4f1190"], \
{0.2890785751711947, 95.67153605156875}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->14,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   StyleBox[InsetBox[Cell[TextData[{
      StyleBox["F=",
       FontFamily->"Baskerville",
       FontWeight->"Regular",
       FontSlant->"Plain"],
      Cell[BoxData[
       FormBox[
        FractionBox[
         RowBox[{
          RowBox[{"4", "B"}], "-", 
          RowBox[{"2", "\[Alpha]", " ", 
           SuperscriptBox["k", "B"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
         RowBox[{"1", "-", "\[Alpha]"}]], TraditionalForm]],ExpressionUUID->
       "9d6e42a2-3075-413b-9111-83a42e5c9d2b"]
     }],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "cc6efd50-6e4c-4f69-9c9b-86f5ebf2be0c"], \
{0.22685185193937643, 177.75396582016447}, {
     Left, Baseline}, {0.21673149776106912, 74.84378936587878}, {{1., 0.}, {
     0., 1.}},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontSize->14,
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   StyleBox[InsetBox[Cell["\[Alpha] = 0.5",
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "291ab778-5dcd-4603-977c-9b7d1d9f7a24"], \
{0.36954142585497685, 38.95184039120001}, {Left, Baseline},
     BoxID -> "Text15",
     Alignment->{Left, Top}],
    FontFamily->"Baskerville",
    FontSize->14,
    FontWeight->"Regular",
    FontSlant->"Italic",
    Background->RGBColor[1., 1., 1., 0]], 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.2521088608451937, 225.0756747996955}, {
     0.25205761324846465`, 331.70721531715213`}}]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.44363459729716614`, 153.08529184615008`}, {
     0.4435833497004371, 259.7168323636068}}]}, 
   {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666], 
    Arrowheads[{{0.013365955165464419`, 1, {
        GraphicsBox[{
          EdgeForm[None], 
          Dashing[{}], 
          PolygonBox[{{-1, 0.5}, {0, 0}, {-1, -0.5}, {-0.6, 0}, {-1, 0.5}}]}],
         0.59}}}], StrokeForm[Opacity[1.]], EdgeForm[Opacity[1.]], EdgeForm[
    None], ArrowBox[{{0.4435833497004371, 50.9502375501242}, {
     0.481290066691091, 50.950237550122836`}}]}, InsetBox[
    StyleBox[Cell[TextData[StyleBox["I",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "15b9230f-5de9-464a-9814-dc0340187b31"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.0840388721055968, 372.1363321578606}, {
    Left, Baseline}, {0.024798229130820002, 80.59496314664044}, {{1., 0.}, {
    0., 1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["III",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "ed8d3824-602b-4087-b949-0ff5667738bf"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.06951758339571976, 272.25367646960274}, {
    Left, Baseline}, {0.05384080655057402, 167.8560333933617}, {{1., 0.}, {0.,
     1.}},
    Alignment->{Left, Top}], InsetBox[
    StyleBox[Cell[TextData[StyleBox["II",
      FontFamily->"Baskerville",
      FontWeight->"Regular",
      FontSlant->"Italic",
      Background->RGBColor[1., 1., 1., 0]]],
      GeneratedCell->False,
      CellAutoOverwrite->False,
      CellBaseline->Baseline,
      TextAlignment->Left,ExpressionUUID->
      "5fdaae95-4001-4fad-807a-8b0af304b6e7"],
     FontSize->16,
     FontSlant->"Italic",
     Background->RGBColor[
      1., 1., 1., 0]], {0.06951758339571965, 155.6027584304013}, {
    Left, Baseline}, {0.0494939630681818, 167.85603339336177}, {{1., 0.}, {0.,
     1.}},
    Alignment->{Left, Top}]},
  BoxID -> "Text24",
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\[Alpha]", HoldForm], TraditionalForm], 
    FormBox[
     TagBox["F", HoldForm], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{{0.5}, {}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{13.387755, 16.}, {6.78352, 19.}},
  LabelStyle->{
    GrayLevel[0]},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->None,
  PlotRange->{{-0.010416666666666668`, 
   0.5104166666666666}, {-22.287524965452505`, 423.4629743435976}},
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  Ticks->{Automatic, Automatic}]], "Input",
 CellChangeTimes->{
  3.8554710846041527`*^9, {3.855471219378634*^9, 3.855471273063611*^9}, {
   3.855471702448826*^9, 3.8554718719688187`*^9}, 
   3.855472006596697*^9},ExpressionUUID->"363c03df-17a6-42f1-bb18-\
919a80070a4b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.855470422097068*^9, 
  3.855470532475099*^9},ExpressionUUID->"692f5b1d-8bd3-4858-b4e2-\
2fcd04a8e4fc"]
},
WindowSize->{854, 781},
WindowMargins->{{184, Automatic}, {-25, Automatic}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"563106f8-9161-404f-9383-a02f63161dcd"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 3907, 94, 190, "Input",ExpressionUUID->"521be151-b2d2-4d99-8c40-206b5e373e9d"],
Cell[4490, 118, 8790, 166, 234, "Output",ExpressionUUID->"6fcdb9f8-1439-4d38-a615-9af1c45442ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13317, 289, 484, 12, 44, "Input",ExpressionUUID->"8b5aff7b-68b3-448d-9d38-f10f3a2a7c83"],
Cell[13804, 303, 8905, 171, 226, "Output",ExpressionUUID->"2c953763-90ed-4a1d-ac44-bd24d9b9c774"]
}, Open  ]],
Cell[22724, 477, 407, 10, 44, "Input",ExpressionUUID->"bf93f71b-f1c5-429a-9ae2-b09f38b0ca76"],
Cell[23134, 489, 11740, 243, 240, InheritFromParent,ExpressionUUID->"4c95dfc9-228c-4d42-9648-1f5b5adf1cf2"],
Cell[34877, 734, 11953, 250, 230, InheritFromParent,ExpressionUUID->"dd2a7a2f-2df5-4943-a2aa-1da9c5256d7d"],
Cell[46833, 986, 13109, 250, 230, "Input",ExpressionUUID->"52a611b7-0229-4f2d-b1e1-eee898332250"],
Cell[59945, 1238, 177, 4, 30, "Input",ExpressionUUID->"caaec8e4-e09f-48e2-b2db-6f78093c5c6d"],
Cell[60125, 1244, 154, 3, 30, "Input",ExpressionUUID->"2c2aec42-bad4-4361-ba63-360c25ded93f"],
Cell[60282, 1249, 154, 3, 30, "Input",ExpressionUUID->"6881f448-3cd1-4f87-90c4-1d5e5ba999cd"],
Cell[60439, 1254, 144, 2, 30, "Input",ExpressionUUID->"1759c11e-fa40-4497-a5ab-81c901a64b9e"],
Cell[CellGroupData[{
Cell[60608, 1260, 1095, 32, 116, "Input",ExpressionUUID->"6c8373e1-ce12-44c0-8ae6-6e2a3697f6fe"],
Cell[61706, 1294, 11776, 216, 234, "Output",ExpressionUUID->"33816fc0-66ff-4b94-b0cb-394603b59603"]
}, Open  ]],
Cell[73497, 1513, 224, 5, 44, "Input",ExpressionUUID->"5b02064e-f683-4fa9-9dbd-ef70f8ef1d7c"],
Cell[73724, 1520, 607, 15, 80, "Input",ExpressionUUID->"4ab66033-f28a-4bbd-b738-40ad4d5bd678"],
Cell[74334, 1537, 14959, 298, 373, "Input",ExpressionUUID->"5d80b646-3504-4d39-b04b-063f03a95045"],
Cell[89296, 1837, 224, 5, 44, "Input",ExpressionUUID->"a14a5832-e2a9-41ef-a8c0-2f5815c5fd6b"],
Cell[89523, 1844, 216, 5, 44, "Input",ExpressionUUID->"a017e2f9-b4df-4a41-888f-e839d3b4515b"],
Cell[CellGroupData[{
Cell[89764, 1853, 5936, 169, 570, "Input",ExpressionUUID->"5dfd9c77-ab9a-4dae-b2ec-514d7fe5810a"],
Cell[95703, 2024, 19771, 351, 237, "Output",ExpressionUUID->"b5e5f772-efe9-4a45-8673-d7819e440b9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[115511, 2380, 484, 12, 44, "Input",ExpressionUUID->"f2908d79-06a3-47bc-9e58-d2187d418c1a"],
Cell[115998, 2394, 19836, 355, 229, "Output",ExpressionUUID->"a893f846-003f-4104-9bca-c932a98ec1a6"]
}, Open  ]],
Cell[135849, 2752, 224, 5, 44, "Input",ExpressionUUID->"3d9b3073-3049-4dfc-8033-7b1590109b57"],
Cell[136076, 2759, 24606, 481, 353, "Input",ExpressionUUID->"31f9abcf-0619-4c45-9ac0-2f4d249b9f54"],
Cell[160685, 3242, 224, 5, 44, "Input",ExpressionUUID->"e48f33a3-a2e3-4f6e-9223-f8ce43c4ea61"],
Cell[160912, 3249, 24543, 476, 362, "Input",ExpressionUUID->"fdd87e70-75bd-4699-8cf2-7e7938115d88"],
Cell[185458, 3727, 304, 6, 157, "Input",ExpressionUUID->"16e3090e-8775-4ca8-9bc0-462d5c962079"],
Cell[185765, 3735, 170, 6, 58, "Text",ExpressionUUID->"de70561a-e589-4d86-acd4-8ad6e97237d2"],
Cell[185938, 3743, 2823, 82, 158, "Input",ExpressionUUID->"ad2dfb57-46c8-4270-82ec-dfa329a9bbf0"],
Cell[188764, 3827, 12289, 260, 243, InheritFromParent,ExpressionUUID->"ff299103-671b-4bb9-8ce2-b240f88c2e8a"],
Cell[201056, 4089, 12118, 254, 233, InheritFromParent,ExpressionUUID->"c3b69b97-5ab3-445e-ac05-dcf0dcfc1a17"],
Cell[213177, 4345, 520, 13, 44, "Input",ExpressionUUID->"f644a76d-1aa0-4e30-b2c1-b7781511267e"],
Cell[213700, 4360, 12114, 258, 243, InheritFromParent,ExpressionUUID->"3ccd96d5-1037-4aec-bf35-2f39d43c2509"],
Cell[225817, 4620, 154, 3, 30, InheritFromParent,ExpressionUUID->"bdd4d251-055b-45d6-91ba-195c5f0e8008"],
Cell[225974, 4625, 2881, 85, 200, "Input",ExpressionUUID->"a304a11c-e905-4ff2-992e-dee73b5ca43c"],
Cell[228858, 4712, 13872, 255, 243, InheritFromParent,ExpressionUUID->"c41e9ba0-cfd0-4a8b-a68f-c5eba037eb8a"],
Cell[242733, 4969, 520, 13, 44, "Input",ExpressionUUID->"77f6e155-48af-48a3-a472-40a8822aad91"],
Cell[243256, 4984, 19547, 404, 243, InheritFromParent,ExpressionUUID->"363c03df-17a6-42f1-bb18-919a80070a4b"],
Cell[262806, 5390, 150, 3, 30, InheritFromParent,ExpressionUUID->"692f5b1d-8bd3-4858-b4e2-2fcd04a8e4fc"]
}
]
*)

