(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    721629,      20068]
NotebookOptionsPosition[    673445,      19289]
NotebookOutlinePosition[    673891,      19307]
CellTagsIndexPosition[    673848,      19304]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
  3.8610522215142393`*^9, 
  3.861052221576477*^9}},ExpressionUUID->"9b1ff1e1-b0bd-4ceb-afad-\
056862778cb9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellLabel->"In[10]:=",ExpressionUUID->"0916fa0d-5acf-45f7-80e1-da28ca0ce138"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"l", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8609907836266937`*^9, 3.861005256017157*^9, 
  3.861005743431966*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"cbf25dd5-6765-472a-8ba5-284fa1c78d4f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellLabel->"In[11]:=",ExpressionUUID->"c2d2b708-1962-403a-9501-c11ab2b438cd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.860990792988496*^9, 3.8610052587260923`*^9, 
  3.861005748033424*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"a66cdcf2-8923-42de-be01-14da1ee68fdd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"e", ":=", 
   FractionBox[
    RowBox[{"l", "-", 
     RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.860990795200965*^9, 3.86099081051818*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"0e218da7-3ffd-4283-8006-71376bd11634"],

Cell[CellGroupData[{

Cell[BoxData["Profiti"], "Input",
 CellChangeTimes->{{3.86099134432825*^9, 3.860991350605761*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"ac8d9888-0218-46a2-9fc9-8311f8f91361"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.860991353161104*^9, 3.861005264394766*^9, 
  3.861005753913632*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"56be1d8c-f246-4bd1-b90d-26a1a5e081cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.860991354869533*^9, 3.860991367597555*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"aa6d5515-f712-4a6c-b3fc-6b61d38f02fa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{"\[Beta]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "k"}], "-", "l", "+", 
        RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8609913686284943`*^9, 3.8610052675080223`*^9, 
  3.861005758949162*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"4e826110-8891-4727-8ea4-2596ecab3923"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.860991370515032*^9, 3.860991377111232*^9}, 
   3.861005278517428*^9},
 CellLabel->"In[5]:=",ExpressionUUID->"940d8488-3380-4532-8521-ce44499369cc"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.860990816841292*^9, 3.86099082413631*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"a07474e2-1e4a-4faa-a6ab-2dd82c968d95"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "T", "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.86099082754914*^9, 3.8609913826781473`*^9, 
  3.861005281526499*^9, 3.8610057670072412`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"f1cf3f2a-11f5-4b0e-beb0-b5650e26d4e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "T", "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k"}], "-", "l", "+", 
       RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"41d10151-f8c1-48da-a673-ed5926a27fd0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "-", 
   RowBox[{"2", " ", "k", " ", "T"}], "-", 
   RowBox[{
    SuperscriptBox["l", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"p", " ", "\[Theta]"}], "+", 
   RowBox[{"d", " ", "p", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861005770956181*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"8f337b7b-ccfa-476c-ba18-ed8adee38e70"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.860990869876053*^9, 3.860990876581368*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"acf6b17a-9e15-46e0-8950-e2d82d091535"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "l", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860990877294742*^9, 3.860991393314773*^9, 
  3.8610052976603394`*^9, 3.861005778444293*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"0cbaa66e-5c45-496a-97b1-ee9c3379f7e8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.860990879372666*^9, 3.86099088562234*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"b20f039e-de49-4a77-b3f8-b3bf3c12f5db"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"l", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "+", 
      RowBox[{"d", " ", "p"}], "-", 
      SuperscriptBox["p", "2"], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "-", 
      RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.860990886545782*^9, 3.860991416646934*^9, 
  3.861005356406536*^9, 3.861006767456324*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"ff499522-b4df-4f26-9955-24d04fc6f86c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "-", 
     RowBox[{"2", " ", "k", " ", "T"}], "-", 
     RowBox[{
      SuperscriptBox["l", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"p", " ", "\[Theta]"}], "+", 
     RowBox[{"d", " ", "p", " ", "\[Theta]"}], "-", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"l", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["p", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}]}], 
    RowBox[{"2", " ", "k"}]], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.86099111333202*^9, 3.8609911205503387`*^9}, {
   3.860991178001834*^9, 3.8609911801308603`*^9}, 3.8609914388851013`*^9, 
   3.861006787291636*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"c183db7a-640f-4310-a003-816bcd3c554b"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
   "\[Theta]", "+", 
   RowBox[{"d", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "p", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{
  3.860991121064426*^9, 3.860991182392013*^9, 3.860991441612234*^9, {
   3.861005488578039*^9, 3.861005505768484*^9}, 3.861006789732863*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"546c5e95-afc4-4f0e-9efc-9e5ce6d5a94a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.8609911246697817`*^9, 3.8609911343463383`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"8c9fd7b3-9553-428e-a610-321535ad62e5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.860991130406232*^9, 3.860991135159834*^9}, 
   3.860991185964155*^9, 3.860991446096364*^9, 3.861005509910507*^9, 
   3.861006794194623*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"a7c736a2-807e-40bc-b1a0-cc1561fe5a15"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}]], "Input",
 CellChangeTimes->{{3.8609911950269623`*^9, 3.8609912022963963`*^9}, {
  3.86100680305468*^9, 3.8610068039696608`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"69f5aba2-f116-4470-98dd-3df30ac42156"],

Cell[BoxData[
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"p", "+", 
    RowBox[{"d", " ", "p"}], "-", 
    SuperscriptBox["p", "2"], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "-", 
    RowBox[{"d", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Input",
 CellChangeTimes->{{3.860991206837636*^9, 3.860991217607095*^9}, 
   3.8609914661773167`*^9, 3.861006818479383*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"503042d7-0933-43bc-8187-b145d58c1b77"],

Cell[CellGroupData[{

Cell[BoxData["l"], "Input",
 CellChangeTimes->{3.860991219688991*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"9bc18756-2cd2-406e-a8a4-f6da7908edef"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", "d"}], "2"], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}]}], "-", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
   RowBox[{
    FractionBox["1", "2"], " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.860991220294455*^9, 3.860991470422721*^9, 
  3.8610068241426487`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"a1c29e61-51c9-4fce-b516-7ef18f3f8f44"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    FractionBox[
     RowBox[{"1", "+", "d"}], "2"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"1ea12e19-a218-4cf9-9af3-93f5f2c84cb7"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "-", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"8", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861006826898918*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"2e00c2ad-d916-4704-8958-2674389561ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["e",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.860991637597129*^9},
 CellLabel->"In[26]:=",ExpressionUUID->"860e2f93-3891-48e2-997b-2d4887e7af7a"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"(", 
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
      RowBox[{
       FractionBox["1", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"1", "+", "d"}], "2"], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.860991638222054*^9, 3.861006833307907*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"3c3d877a-6ce6-4ce6-b0f1-8a94831c959f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%26", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"87d7b1ea-6ac1-4a21-8f0e-2956d5e28f82"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861037044332157*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"4272f22e-9fa0-4f1f-b27f-0ff30d377aec"],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.860991914851184*^9},
 CellLabel->"In[28]:=",ExpressionUUID->"bdd9d1fb-ab21-4d22-964a-21e0ca8f4f89"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
     FractionBox[
      RowBox[{
       FractionBox[
        RowBox[{"1", "+", "d"}], "2"], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "d"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], "-", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], "+", 
         RowBox[{
          FractionBox["1", "4"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}], "2"], " ", "\[Alpha]"}], "-", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.860991915571686*^9, 3.861006847963684*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"117ab196-e948-41b5-a53d-d850a1b3aa1d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%28", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"e3bf0a6a-d46d-4ab9-a80f-ebf0ad09d7d8"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861037079575061*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"2e34ba05-fb01-40b4-8185-42391ac5b1ef"],

Cell[TextData[{
 "Checking the Hessian matrix, we can find that \[CapitalPi]s is concave in p \
and l if k > a2n/2, because the Hessian matrix is H = \
\:20d2\:20d2\:20d2\:20d2 ,and the determinant is ",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "k"}]]}], ")"}]],
  CellChangeTimes->{3.860993272501844*^9},ExpressionUUID->
  "2a1f8901-256a-489c-9ef1-29f5517548c4"],
 "*",
 Cell[BoxData[
  RowBox[{"(", 
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], "k"]}], ")"}]],
  CellChangeTimes->{3.860993352654038*^9},ExpressionUUID->
  "a73eba36-c285-41bb-98c2-0d611194bd80"],
 "- ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "d"}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}], "*", 
   RowBox[{"(", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "d"}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]],
  CellChangeTimes->{3.86099345452247*^9},ExpressionUUID->
  "4498d2c8-c3c4-4c8d-9d3f-465003446545"],
 ", simply to ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"4", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "+", "\[Theta]"}], "]"}],
    ">", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "-", "d", "-", 
      RowBox[{"2", "p"}]}], ")"}], "2"]}]],
  CellChangeTimes->{3.86099345452247*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "adfb6570-7528-41ed-b127-429eab1adcf3"],
 ", so the condition is ",
 Cell[BoxData[
  RowBox[{"\[Alpha]", "\[Element]", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}]}]],
  CellChangeTimes->{3.8629748551965513`*^9},ExpressionUUID->
  "ec869a42-a778-4c6c-82a8-562d2ed3caa1"],
 " or  ",
 Cell[BoxData[
  RowBox[{"k", "<", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"8", " ", "\[Alpha]"}]]}]],
  CellChangeTimes->{3.862974713596034*^9},ExpressionUUID->
  "8ea9f714-ec0c-4fea-abb8-1d59449e9ffd"],
 "\.00}}}}*() a2n).\n\.00 2nan an \.00 k \:20d2\:20d2\:20d2\:20d2 and the \
determinant is n(2k \.00 a2n)."
}], "Text",
 CellChangeTimes->{{3.860993104571259*^9, 3.860993109187604*^9}, {
  3.8609931782729*^9, 3.860993212702623*^9}, {3.860993407447626*^9, 
  3.860993436605858*^9}, {3.860993476433345*^9, 3.860993540073736*^9}, {
  3.862953151415468*^9, 3.862953232592279*^9}, {3.862975207175198*^9, 
  3.862975248339319*^9}, {3.862975367457518*^9, 3.862975395998369*^9}, {
  3.86297550555807*^9, 
  3.862975517186167*^9}},ExpressionUUID->"c7389807-8bfb-4218-94bf-\
b33ba2a88c42"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.860993246962769*^9, 3.860993249233708*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"de91555e-1693-4281-a47e-13d385f4b651"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "T", "-", 
  RowBox[{"l", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      RowBox[{"l", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8609932504162903`*^9, 3.861006900871039*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"bc7e84fd-b7c2-4412-ab24-6b92553b7985"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "T", "-", 
   RowBox[{"l", " ", "\[Alpha]"}], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k"}], "-", "l", "+", 
       RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
       RowBox[{"l", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"l", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"l", "-", 
        RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"522fcb2e-18c6-4fd9-b88e-6c9875ecfdc3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "-", 
   RowBox[{"2", " ", "k", " ", "T"}], "-", 
   RowBox[{
    SuperscriptBox["l", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"p", " ", "\[Theta]"}], "+", 
   RowBox[{"d", " ", "p", " ", "\[Theta]"}], "-", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["p", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
     ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861006903815864*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"5cd725e9-6608-43c8-9abe-fb8abe2f2a93"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860993256438313*^9, 3.860993262462647*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"3925205b-24f8-4022-8d3f-0e86fa3d23ee"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
   "\[Theta]", "+", 
   RowBox[{"d", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "p", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.8609932641057043`*^9, 3.861006911518331*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"52527f6f-9dad-4be6-958f-05a1a89aa4bf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860993267507472*^9, 3.8609932718059883`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"9039b7ce-76bb-4770-9144-7b2e9eb188b0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "l", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860993272501844*^9, 3.861006917358201*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"fde362f0-9c67-4f64-b2a8-9b457e822152"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "cs", " ", "k"}], "-", 
     RowBox[{"2", " ", "k", " ", "T"}], "-", 
     RowBox[{
      SuperscriptBox["l", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"p", " ", "\[Theta]"}], "+", 
     RowBox[{"d", " ", "p", " ", "\[Theta]"}], "-", 
     RowBox[{
      SuperscriptBox["p", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"l", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], " ", "p", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["p", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
       ")"}]}]}], 
    RowBox[{"2", " ", "k"}]], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.86099332414207*^9, 3.860993341713059*^9}, 
   3.861006984856126*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"9df4d4bf-ebc7-474d-8405-05117ca0943a"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "l", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860993344752898*^9, 3.861006988182518*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"027e9395-17d5-4101-aa0c-de812559a0dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.860993347541943*^9, 3.86099335109171*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"a7a6dd15-fc98-4490-9023-3b32401d598b"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], "k"]}]], "Output",
 CellChangeTimes->{3.860993352654038*^9, 3.861006991933138*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"f54deb8c-4322-4cd2-ae3b-f5e242f9375a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"l", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "p", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}]}], "+", 
     "\[Theta]", "+", 
     RowBox[{"d", " ", "\[Theta]"}], "-", 
     RowBox[{"2", " ", "p", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", "k"}]], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.8609934417876863`*^9, 3.860993453551107*^9}, 
   3.861007017916369*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"62795d71-4bff-4da4-b0a4-a26aefb2481f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.86099345452247*^9, 3.86100702043248*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"96de3ca2-6fb3-4ad7-b3a5-17588f931f27"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Phi]", ":=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", "k"}]], " ", "*", 
    RowBox[{"(", 
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], "k"]}], ")"}]}],
    "-", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
      RowBox[{"2", " ", "k"}]], ")"}], "2"]}]}]], "Input",
 CellChangeTimes->{{3.86099355282222*^9, 3.860993627413877*^9}, {
   3.8610071061336327`*^9, 3.8610071224333477`*^9}, 3.8610071791832848`*^9, 
   3.861007242801075*^9, {3.8610496104909077`*^9, 3.86104961348217*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"c26b0c41-1cdc-4fab-b61c-ee62c2aaa64d"],

Cell[CellGroupData[{

Cell[BoxData["\[Phi]"], "Input",
 CellChangeTimes->{{3.8609936313977213`*^9, 3.860993636098834*^9}, {
  3.8610496153384323`*^9, 3.861049616046295*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"6ecff7c3-93d6-46f5-ae9c-7f01f7e84423"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"]}]]}], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["k", "2"]}]]}]], "Output",
 CellChangeTimes->{3.8609936379866343`*^9, 3.861007131668215*^9, 
  3.861007189250392*^9, 3.861007248368124*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"22dc3d63-2568-4083-8c31-8f98edca112f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", "d"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "p", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], "2"], 
     RowBox[{"4", " ", 
      SuperscriptBox["k", "2"]}]]}], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", "2"]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[21]:=",ExpressionUUID->"d56a95a1-b6a5-4045-bb96-11844e522b2b"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"d", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         RowBox[{"4", " ", "p"}]}], ")"}]}], "-", 
      RowBox[{"4", " ", "p"}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["p", "2"]}], "+", 
      RowBox[{"4", " ", "l", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}]]}]], "Output",
 CellChangeTimes->{3.8610072529597178`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"e27c21b3-1bd1-4075-90eb-b36a65d9f54a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"y", ":=", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"d", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          RowBox[{"4", " ", "p"}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "p"}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["p", "2"]}], "+", 
       RowBox[{"4", " ", "l", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"]}]]}]}]], "Input",
 CellChangeTimes->{{3.861004780162203*^9, 3.861004788811515*^9}, 
   3.861007432412084*^9},
 CellLabel->"In[3]:=",ExpressionUUID->"1a637675-cf20-4a7b-8e45-c31548979a56"],

Cell[BoxData[
 StyleBox[
  RowBox[{"p", ":=", 
   FractionBox[
    RowBox[{"1", "+", "d"}], "2"]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellLabel->"In[2]:=",ExpressionUUID->"df20baf4-c4d4-416e-82de-c6fb2078a3fe"],

Cell[BoxData[
 StyleBox[
  RowBox[{"l", ":=", 
   FractionBox[
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{
  3.8610051649431353`*^9, {3.8610075180671883`*^9, 3.861007519575964*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c88a447a-73a3-40ef-bfdf-678279c850cb"],

Cell[CellGroupData[{

Cell[BoxData["y"], "Input",
 CellChangeTimes->{3.861007532799769*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"92212f3c-774a-4cb7-b173-5f1f326dd473"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
      RowBox[{"d", " ", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      FractionBox[
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", 
           RowBox[{"8", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["k", "2"]}]]}]], "Output",
 CellChangeTimes->{3.861007533508607*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"c6358b8a-7021-4888-8b41-0f33a51ae798"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
       RowBox[{"d", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", "d"}], ")"}]}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       FractionBox[
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"4", " ", "\[Theta]"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["k", "2"]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"befe8589-4871-4976-ad45-b00d984d045e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"8", " ", 
   SuperscriptBox["k", "2"]}]]], "Output",
 CellChangeTimes->{3.8610075356309147`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"9d877aba-a73f-4725-8514-1b3d8b1848fb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8629747051977043`*^9, 3.862974712986505*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"adafd47b-a9a2-4d6d-84b0-46afcc70ef37"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"k", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"8", " ", "\[Alpha]"}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.862974713596034*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"6594b1ec-bd6f-4e43-b240-54fdbad8f1f5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"8", " ", 
      SuperscriptBox["k", "2"]}]], "\[Equal]", "0"}], ",", "\[Alpha]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.862974844466488*^9, 3.8629748541690493`*^9}, {
  3.862975018731606*^9, 
  3.862975019234207*^9}},ExpressionUUID->"3461fad1-e888-4509-a5e6-\
54334b5f2965"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8629748551965513`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"a262c347-7e46-4bbb-bb99-f6c2728b6fef"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861049679905232*^9, 3.861049690311792*^9}, 
   3.8610497725702868`*^9},ExpressionUUID->"ad320c06-a2a6-4ee4-9732-\
8062fbf74e05"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "\[Equal]",
     "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861049693507827*^9, 3.861049706556479*^9}, {
  3.861049767616055*^9, 3.8610497680623693`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"8129c5c9-6a45-4737-b6f6-249cc8cfe9c3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "-", 
     StyleBox[
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
      FontColor->RGBColor[1, 0, 0]]}], 
    StyleBox["\[Equal]",
     FontColor->RGBColor[1, 0, 0]], "0"}], 
   StyleBox[",",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[Alpha]",
    FontColor->RGBColor[1, 0, 0]]}], 
  StyleBox["]",
   FontColor->RGBColor[1, 0, 0]]}]}], "Input",
 CellChangeTimes->{{3.861050353876773*^9, 3.86105037283679*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"a65a5d8b-95f8-4f10-9ab9-3ad9ff4a2de3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861050373611215*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"4572f45d-2236-460e-a7bb-f0a772b765c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"16", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861050373658909*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"f55ce82d-6653-48fc-89ec-b3bd1eaeaf33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"y", "==", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"16", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]]}]}], ",", "y"}], "]"}]], "Input",
 CellChangeTimes->{{3.8610504421897287`*^9, 3.861050481870442*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"fd75f1b0-729c-474e-9162-f5949ca6b41e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"y", "\[Rule]", 
    FractionBox[
     RowBox[{"128", " ", 
      SuperscriptBox["k", "2"]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]}], "}"}], "}"}]], "Output",\

 CellChangeTimes->{{3.8610504639548492`*^9, 3.861050484039011*^9}},
 CellLabel->"Out[8]=",ExpressionUUID->"782a7a17-550b-4934-b0c2-6ae2f61d8dc2"]
}, Open  ]],

Cell[TextData[{
 StyleBox["We solve this game by backward induction. By checking the Hessian \
matrix, we find that \[Pi]SA  is jointly concave in p and l, when ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "c991bc8b-2585-4d54-b1f7-a5cce1465eee"],
 StyleBox[".in this paper, we consider the case with ",
  FontColor->RGBColor[1, 0, 0]],
 " ",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "-", 
     RowBox[{"16", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "-", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]], "<"}]],ExpressionUUID->
  "a473aae2-42cb-4a34-86ba-e3c613f42dc6"],
 Cell[BoxData[
  RowBox[{"\[Alpha]", "<", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}]],ExpressionUUID->
  "d57cc3af-dce1-4cc9-98bd-cd10074f9790"],
 ", which is the common situation because it means launch successfully \
propability is above zero and below one.",
 StyleBox["\ne = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "92ff3a26-795a-4721-8ca4-083daf8b02e5"],
 StyleBox[", that ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox["\[Phi]", 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "cfcb2a80-ad46-4e1d-911c-e36f53722054"],
 StyleBox[", where  ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Phi]", "=", 
   RowBox[{
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}], "-", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    StyleBox["=",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}],
       FontColor->RGBColor[1, 0, 0]], 
      SuperscriptBox[
       StyleBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}],
        FontColor->RGBColor[1, 0, 0]], "2"]}], "-", 
     RowBox[{"8", "\[Alpha]k"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "4", "\[Theta]"}]}]}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "0f6a95cd-3719-43b5-9f64-a3bacd6301a9"],
 StyleBox["\n\nr = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  RowBox[{"\[Beta]", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox["\[Phi]", 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]]}], ")"}]}]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "d1ed6f9d-5886-44d9-9a8c-45b1d8ae9598"],
 StyleBox[",\np =",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{" ", 
    RowBox[{"1", "+", "d"}]}], 
   RowBox[{" ", "2"}]]],
  CellChangeTimes->{3.861006836593441*^9},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "d04d869d-bdaa-42d2-8b9a-b6caf2575538"],
 StyleBox[",\nl = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]],
  CellChangeTimes->{
   3.8610051649431353`*^9, {3.8610075180671883`*^9, 3.861007519575964*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "3f316a97-1545-4a3e-8153-edbf5b68a476"],
 StyleBox[" = ",
  FontColor->RGBColor[1, 0, 0]],
 Cell[BoxData[
  FractionBox[
   RowBox[{"\[Phi]", "-", 
    RowBox[{"8", "\[Theta]", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}]]],
  CellChangeTimes->{
   3.8610051649431353`*^9, {3.8610075180671883`*^9, 3.861007519575964*^9}},
  FontColor->RGBColor[1, 0, 0],ExpressionUUID->
  "9b0ea85a-ecfb-4ce7-bb26-0a8a0ca49dd6"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.861009692047521*^9, 3.861009970618803*^9}, {
   3.8610146917386093`*^9, 3.86101473542562*^9}, 3.861015513181675*^9, {
   3.861037373492426*^9, 3.861037390517971*^9}, {3.861049486872294*^9, 
   3.8610495011126842`*^9}, {3.861050047437174*^9, 3.861050218217928*^9}, {
   3.861050499519471*^9, 3.861050525589243*^9}, {3.861050598208932*^9, 
   3.861050874278306*^9}, {3.8610568139647493`*^9, 3.861056814425272*^9}, {
   3.861646571771052*^9, 3.861646577572209*^9}, {3.861646620560968*^9, 
   3.861646623077684*^9}},ExpressionUUID->"c1302d94-3429-4fdc-a790-\
1c9d3622ab29"],

Cell["\<\
Note that in our analysis, we only discuss the case when the vehicle\
\[CloseCurlyQuote]s profit is positive and the effort level is less than the \
upper bound.F is bounded above by \:0304 F(or the vehicle manufacture will \
quit the launch project)\
\>", "Text",
 CellChangeTimes->{{3.8610718361466427`*^9, 3.861071854374961*^9}, 
   3.861072130760911*^9, {3.8610722162807302`*^9, 
   3.861072241082871*^9}},ExpressionUUID->"6de8c4f0-feb4-4db9-bee5-\
bfb29f46eabd"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.86100977243436*^9, 3.861009783550511*^9}, {
  3.861009992267336*^9, 
  3.86100999249021*^9}},ExpressionUUID->"24000ddd-8a2b-46d3-9637-\
c2d079c46c28"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   "T"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"08ff1af5-4775-4dfc-baa5-5ff41a6a28ef"],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"5a1e15ee-6c80-4be7-8d1e-9c96017e5932"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.861014902389183*^9, 3.861014906235647*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"285bea43-c0c5-4e6c-b6a8-5796dd8c93a7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "+", 
  RowBox[{"l", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{"l", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"l", "-", 
      RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"l", "-", 
       RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861014910555517*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"488f9cb2-5e4c-4f9c-864a-d6d015928004"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "l"}], "]"}]], "Input",
 CellChangeTimes->{{3.861014913371456*^9, 3.861014930310166*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"0d0bef37-eb09-4832-a63d-34602aa6255d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "k"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["k"]]}], 
      RowBox[{
       FractionBox["1", "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "k"]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
       FractionBox["\[Theta]", "k"], "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"cv", "-", 
           RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
           RowBox[{"cv", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
        SqrtBox["k"]]}], 
      RowBox[{
       FractionBox["1", "k"], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], "k"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.861014967678299*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"830bb23f-16b2-4e78-ade0-d0d46ceb89c4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "-", 
    FractionBox["\[Theta]", "k"], "+", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", "\[Theta]"}], "k"], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"cv", "-", 
        RowBox[{"2", " ", "cv", " ", "\[Alpha]"}], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     SqrtBox["k"]]}], 
   RowBox[{
    FractionBox["1", "k"], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[Alpha]"}], "k"], "+", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], "k"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.861015331111792*^9, 3.8610153432594013`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"9a31314b-e518-445c-823b-d40bb2220501"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861075668104657*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"7e1d8e02-f3f6-49ca-9e1f-cd7422b8c292"],

Cell[BoxData[
 RowBox[{"z", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]}]], "Input",
 CellChangeTimes->{{3.861035373318025*^9, 3.861035393001047*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"79eb1dba-b6cd-4634-81ed-71d835456bc8"],

Cell[CellGroupData[{

Cell[BoxData["z"], "Input",
 CellChangeTimes->{3.86107092078062*^9},
 CellLabel->"In[26]:=",ExpressionUUID->"a245dfab-7973-42db-baa2-916fc2893131"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.8610709213762827`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"1e73404a-4664-4486-8ee1-26f616ae8e7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[27]:=",ExpressionUUID->"88f25877-5a56-4e82-97a3-1428b7a18c5e"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861070928694892*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"81d6d446-58a5-46ba-b4c8-839319313815"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.861058898441525*^9, 3.8610588986392736`*^9}, {
   3.8610715413533697`*^9, 3.861071552055292*^9}, 3.861396670045827*^9},
 CellLabel->"In[28]:=",ExpressionUUID->"e5aa0f4e-9e37-4fff-8f39-c0d019aa74c9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Alpha]", "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"4", " ", "d"}], "-", 
         RowBox[{"6", " ", 
          SuperscriptBox["d", "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["d", "3"]}], "-", 
         SuperscriptBox["d", "4"], "+", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"256", " ", "cv", " ", "k"}], "+", 
         RowBox[{"16", " ", "d", " ", "k"}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "k"}], "-", 
         RowBox[{"8", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
         RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[Theta]", "2"]}], "-", 
         RowBox[{"16", " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["k", "2"], "+", 
            RowBox[{"4", " ", "d", " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["d", "2"], " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["d", "3"], " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["d", "4"], " ", 
             SuperscriptBox["k", "2"]}], "-", 
            RowBox[{"192", " ", "cv", " ", 
             SuperscriptBox["k", "3"]}], "-", 
            RowBox[{"192", " ", 
             SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
            RowBox[{"48", " ", 
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"4", " ", "d"}], "-", 
         RowBox[{"6", " ", 
          SuperscriptBox["d", "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["d", "3"]}], "-", 
         SuperscriptBox["d", "4"], "+", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"256", " ", "cv", " ", "k"}], "+", 
         RowBox[{"32", " ", "d", " ", "k"}], "+", 
         RowBox[{"16", " ", 
          SuperscriptBox["d", "2"], " ", "k"}], "+", 
         RowBox[{"192", " ", 
          SuperscriptBox["k", "2"]}], "-", 
         RowBox[{"8", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
         RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"4", " ", "d"}], "-", 
         RowBox[{"6", " ", 
          SuperscriptBox["d", "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["d", "3"]}], "-", 
         SuperscriptBox["d", "4"], "+", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"256", " ", "cv", " ", "k"}], "+", 
         RowBox[{"16", " ", "d", " ", "k"}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "k"}], "-", 
         RowBox[{"8", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
         RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[Theta]", "2"]}], "+", 
         RowBox[{"16", " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["k", "2"], "+", 
            RowBox[{"4", " ", "d", " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["d", "2"], " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["d", "3"], " ", 
             SuperscriptBox["k", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["d", "4"], " ", 
             SuperscriptBox["k", "2"]}], "-", 
            RowBox[{"192", " ", "cv", " ", 
             SuperscriptBox["k", "3"]}], "-", 
            RowBox[{"192", " ", 
             SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
            RowBox[{"48", " ", 
             SuperscriptBox["k", "2"], " ", 
             SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"4", " ", "d"}], "-", 
         RowBox[{"6", " ", 
          SuperscriptBox["d", "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["d", "3"]}], "-", 
         SuperscriptBox["d", "4"], "+", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"256", " ", "cv", " ", "k"}], "+", 
         RowBox[{"32", " ", "d", " ", "k"}], "+", 
         RowBox[{"16", " ", 
          SuperscriptBox["d", "2"], " ", "k"}], "+", 
         RowBox[{"192", " ", 
          SuperscriptBox["k", "2"]}], "-", 
         RowBox[{"8", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
         RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
         RowBox[{"16", " ", 
          SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}]}], "}"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"t", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"4", " ", "d"}], "-", 
      RowBox[{"6", " ", 
       SuperscriptBox["d", "2"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["d", "3"]}], "-", 
      SuperscriptBox["d", "4"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"256", " ", "cv", " ", "k"}], "+", 
      RowBox[{"16", " ", "d", " ", "k"}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", "k"}], "-", 
      RowBox[{"8", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
      RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Theta]", "2"]}], "+", 
      RowBox[{"16", " ", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["k", "2"], "+", 
         RowBox[{"4", " ", "d", " ", 
          SuperscriptBox["k", "2"]}], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["d", "2"], " ", 
          SuperscriptBox["k", "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["d", "3"], " ", 
          SuperscriptBox["k", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["d", "4"], " ", 
          SuperscriptBox["k", "2"]}], "-", 
         RowBox[{"192", " ", "cv", " ", 
          SuperscriptBox["k", "3"]}], "-", 
         RowBox[{"192", " ", 
          SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
         RowBox[{"48", " ", 
          SuperscriptBox["k", "2"], " ", 
          SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"4", " ", "d"}], "-", 
      RowBox[{"6", " ", 
       SuperscriptBox["d", "2"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["d", "3"]}], "-", 
      SuperscriptBox["d", "4"], "+", 
      RowBox[{"16", " ", "k"}], "+", 
      RowBox[{"256", " ", "cv", " ", "k"}], "+", 
      RowBox[{"32", " ", "d", " ", "k"}], "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["d", "2"], " ", "k"}], "+", 
      RowBox[{"192", " ", 
       SuperscriptBox["k", "2"]}], "-", 
      RowBox[{"8", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
      RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Theta]", "2"]}]}], 
     ")"}]}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861075537556633*^9, 3.861075603101592*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"d9231e8a-4ed5-4775-8997-39d60c35e2ae"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"4", " ", "d"}], "-", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "-", 
        SuperscriptBox["d", "4"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"256", " ", "cv", " ", "k"}], "+", 
        RowBox[{"16", " ", "d", " ", "k"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "-", 
        RowBox[{"8", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
        RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}], "-", 
        RowBox[{"16", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["k", "2"], "+", 
           RowBox[{"4", " ", "d", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["d", "2"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["d", "3"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["d", "4"], " ", 
            SuperscriptBox["k", "2"]}], "-", 
           RowBox[{"192", " ", "cv", " ", 
            SuperscriptBox["k", "3"]}], "-", 
           RowBox[{"192", " ", 
            SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"48", " ", 
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"4", " ", "d"}], "-", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "-", 
        SuperscriptBox["d", "4"], "+", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"256", " ", "cv", " ", "k"}], "+", 
        RowBox[{"32", " ", "d", " ", "k"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "+", 
        RowBox[{"192", " ", 
         SuperscriptBox["k", "2"]}], "-", 
        RowBox[{"8", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
        RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"4", " ", "d"}], "-", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "-", 
        SuperscriptBox["d", "4"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"256", " ", "cv", " ", "k"}], "+", 
        RowBox[{"16", " ", "d", " ", "k"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "-", 
        RowBox[{"8", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
        RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}], "+", 
        RowBox[{"16", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["k", "2"], "+", 
           RowBox[{"4", " ", "d", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["d", "2"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["d", "3"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["d", "4"], " ", 
            SuperscriptBox["k", "2"]}], "-", 
           RowBox[{"192", " ", "cv", " ", 
            SuperscriptBox["k", "3"]}], "-", 
           RowBox[{"192", " ", 
            SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"48", " ", 
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"4", " ", "d"}], "-", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "-", 
        SuperscriptBox["d", "4"], "+", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"256", " ", "cv", " ", "k"}], "+", 
        RowBox[{"32", " ", "d", " ", "k"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "+", 
        RowBox[{"192", " ", 
         SuperscriptBox["k", "2"]}], "-", 
        RowBox[{"8", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
        RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8610756039214907`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"9e9d7120-c797-45b4-a6c6-4de09ae52cde"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["t"], "Input",
 CellChangeTimes->{3.861075614369947*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"9e619c21-6ecb-472d-8ec9-d12f085553c7"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"4", " ", "d"}], "-", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "-", 
     SuperscriptBox["d", "4"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"256", " ", "cv", " ", "k"}], "+", 
     RowBox[{"16", " ", "d", " ", "k"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "k"}], "-", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"160", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["k", "2"], "+", 
        RowBox[{"4", " ", "d", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"], " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"], " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["d", "4"], " ", 
         SuperscriptBox["k", "2"]}], "-", 
        RowBox[{"192", " ", "cv", " ", 
         SuperscriptBox["k", "3"]}], "-", 
        RowBox[{"192", " ", 
         SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
        RowBox[{"48", " ", 
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"4", " ", "d"}], "-", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "-", 
     SuperscriptBox["d", "4"], "+", 
     RowBox[{"16", " ", "k"}], "+", 
     RowBox[{"256", " ", "cv", " ", "k"}], "+", 
     RowBox[{"32", " ", "d", " ", "k"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k"}], "+", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"]}], "-", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861075615473407*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"1943f0f5-857e-493e-897d-a0e218b7c2f3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%31", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[32]:=",ExpressionUUID->"174614ba-e754-46c4-8fd2-f4b01a6b886f"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"d", " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"16", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"8", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"32", " ", "cv"}], "+", 
        RowBox[{"20", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"16", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["k", "2"]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"4", " ", "d"}], "-", 
          RowBox[{"6", " ", 
           SuperscriptBox["d", "2"]}], "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["d", "3"]}], "-", 
          SuperscriptBox["d", "4"], "+", 
          RowBox[{"192", " ", "cv", " ", "k"}], "+", 
          RowBox[{"192", " ", "k", " ", "\[Theta]"}], "-", 
          RowBox[{"48", " ", 
           SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"16", " ", "cv"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"6", "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"d", " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"32", " ", "k"}], "+", 
        RowBox[{"16", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861075618738953*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"1558bb38-bc4b-450e-a3e6-5a272149cbce"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"lVA", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]}]], "Input",
 CellChangeTimes->{{3.861396717847611*^9, 3.861396735688648*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"a614fb5e-cfae-4744-8e1a-b24ff4d02006"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"lVA", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861396740770249*^9, 3.8613967475268497`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"d79151c4-61c8-436b-b243-9783fac05a76"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k"}], "+", "\[Theta]", "+", 
    FractionBox[
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "cv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
     
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}]], "Output",
 CellChangeTimes->{3.861396748494952*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"b1eec5d8-c14e-48ef-a46a-92f969ba9fe5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k"}], "+", "\[Theta]", "+", 
     FractionBox[
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "cv", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"f1bb60b3-3452-4a1f-8a26-c4a610b5638e"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k"}], "+", "\[Theta]", "+", 
    FractionBox[
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "cv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
     
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}]], "Output",
 CellChangeTimes->{3.8613967510645742`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"87a9622b-427e-4433-9e57-aa841b06d03d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"k", ":=", "0.1"}], "\[IndentingNewLine]", 
   RowBox[{"\[Theta]", ":=", "0.5"}], "\[IndentingNewLine]", 
   RowBox[{"d", ":=", "0.9"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     StyleBox[
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
        "+", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
      FontColor->RGBColor[1, 0, 0]], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "0", ",", "0.1"}], "}"}], 
      RowBox[{"{", 
       RowBox[{"cv", ",", "0.1", ",", "1"}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.861399707805132*^9, 3.861399805776429*^9}, {
   3.861400397232751*^9, 3.8614004918539467`*^9}, {3.86140052283626*^9, 
   3.861400523315295*^9}, 3.861400746321278*^9, {3.861400782286933*^9, 
   3.861400784313192*^9}, {3.861400861694117*^9, 3.86140086290296*^9}, {
   3.861400902282329*^9, 3.8614009033402147`*^9}, {3.861400949980198*^9, 
   3.861400950217373*^9}, {3.861400981369939*^9, 3.8614009945657377`*^9}, {
   3.861401584786989*^9, 3.861401607613597*^9}, {3.861401773265387*^9, 
   3.861401791814101*^9}, {3.861401831369917*^9, 3.861401847382269*^9}, {
   3.861401890422976*^9, 3.861401893864531*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"b220bdfe-c554-4f51-a146-1fb592dbb8f8"],

Cell[BoxData[
 TemplateBox[{
  "Plot", "itraw", 
   "\"Raw object \\!\\(\\*RowBox[{\\\"cv\\\", \\\" \\\", \
\\\"\[Alpha]\\\"}]\\) cannot be used as an iterator.\"", 2, 13, 3, 
   34318295027489456643, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.8614018709427547`*^9, 3.861401897458885*^9}},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[10]:=",ExpressionUUID->"4886e8ce-d5c3-4b56-8ba7-\
2f2e40cc2786"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "0", ",", "1"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"cv", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.861416855600828*^9, 3.861416882242066*^9}, {
  3.8614169147473383`*^9, 3.861416947855599*^9}, {3.8614169827460546`*^9, 
  3.861416983246314*^9}, {3.8614170621479187`*^9, 3.8614170803789597`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"42fab355-0d81-4f98-8e18-70eece043b12"],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1vHlcTfv3+H+a5zSYMkuDkpBEhvaRxElFpowVIVNJpjIVmSkUQlGoUJIG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    "], {{
      {RGBColor[0.880722, 0.611041, 0.142051], EdgeForm[None], Specularity[
        GrayLevel[1], 3], 
       StyleBox[GraphicsGroup3DBox[
         TagBox[{Polygon3DBox[CompressedData["
1:eJwtmXfgVmMfxp/n3PdB2pPqlZaMJC1KKe0pSYr2HqJJRUlGdmmbhTQQiZK2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            "]], 
           Polygon3DBox[CompressedData["
1:eJwtmnfgllMfxu8zHimbMksSkjQpQklGZRSViJYGKk3JnskuJHuVlazMeCW0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            "]], 
           Polygon3DBox[CompressedData["
1:eJwt13X8VtUZAPCXN1CUGTQoIILMQFCQRlCkFAQFRLpTukFKupEOKSlFBQxA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            "]]},
          Annotation[#, "Charting`Private`Tag$6801#1"]& ]],
        Lighting->{{"Ambient", 
           RGBColor[0.30100577, 0.22414668499999998`, 0.090484535]}, {
          "Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{0, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 2, 2}]}, {"Directional", 
           RGBColor[0.2642166, 0.18331229999999998`, 0.04261530000000001], 
           ImageScaled[{2, 0, 2}]}}]}, {}, {}, {}, {}}, {
      {GrayLevel[0], Line3DBox[CompressedData["
1:eJwl0jkvZ2EUB+AXf+vgbxsR+5KICCKikfAJqBQEnUJQUAl6Wy/oBb2EWsEn
wIyxzKDB2NdK47lR/O5zzk3uPe89uVWD491jCSGEWclXRHXc5YFPiSHk8JMV
TEkKoYk57GAZu9jAAbZH92VU3cdpDnOBk1zhHDe4xG2ucY+tMbPN/SkH+lym
y40c6v/zF2/5m3c84j3/8IHHfOSTnKifecoXnvGVf/nGf3znOT94wSvfmaQu
lEt9HjNkxxn39Zvc5Sq3uMh1znCZE5znEKfYyx4ZUbexn/XsZAnbmc1GxljO
Ont4YYG58WjXfGYLs9nMLDYxM9o9f0Tvjc4aPR/tjbVMYw2rJVVdyRSWM5ml
NC4U0/hQRCsI1y6xhO//4Qv5+Ds8
        "]]}, 
      {GrayLevel[0.2], 
       Line3DBox[{751, 1061, 502, 750, 1189, 960, 752, 1190, 961, 753, 1191, 
        962, 754, 1192, 963, 755, 1193, 964, 756, 1194, 1080, 1292, 757, 1195,
         965, 758, 1196, 966, 759, 1197, 967, 760, 1198, 968, 761, 1182, 1199,
         969, 1062, 1183, 1200, 970, 1063, 1396, 1055, 971, 1064}], 
       Line3DBox[{763, 1081, 1293, 762, 515, 764, 1201, 972, 765, 1202, 973, 
        766, 1203, 974, 767, 1204, 975, 768, 1205, 1082, 1294, 769, 1083, 
        1295, 770, 1206, 976, 771, 1065, 1207, 977, 1066, 1184, 1208, 978, 
        1067, 1185, 1209, 979, 1068, 1397, 1056, 980, 1069, 1398, 1057, 981, 
        772}], Line3DBox[{774, 1084, 1296, 773, 1085, 1297, 775, 1210, 982, 
        776, 1211, 983, 777, 1212, 984, 778, 1213, 985, 779, 1214, 1086, 1298,
         780, 1087, 1299, 781, 1070, 1088, 1399, 1078, 1071, 1215, 986, 1079, 
        1186, 1216, 987, 1072, 1400, 1058, 988, 1073, 1401, 1059, 989, 1074, 
        1402, 1060, 990, 782}], 
       Line3DBox[{784, 1089, 1300, 783, 1090, 1301, 785, 1091, 1302, 786, 
        1217, 991, 787, 1218, 992, 788, 1219, 993, 789, 1220, 1092, 1303, 790,
         1093, 1304, 791, 1094, 1305, 792, 253, 747, 263, 748, 254, 264, 749, 
        255, 793, 1221, 994, 794, 1222, 995, 795}], 
       Line3DBox[{797, 1095, 1306, 796, 1096, 1307, 798, 1097, 1308, 799, 
        1098, 1309, 800, 1223, 996, 801, 1224, 997, 802, 1225, 1099, 1310, 
        803, 1100, 1311, 804, 1101, 1312, 805, 1102, 1313, 806, 1103, 1314, 
        807, 1226, 998, 808, 1227, 999, 809, 1228, 1000, 810}], 
       Line3DBox[{812, 1104, 1315, 811, 1105, 1316, 813, 1106, 1317, 814, 
        1107, 1318, 815, 1108, 1319, 816, 1229, 1001, 817, 1230, 1109, 1320, 
        818, 1110, 1321, 819, 1111, 1322, 820, 1112, 1323, 821, 1113, 1324, 
        822, 1114, 1325, 823, 1231, 1002, 824, 1232, 1003, 825}], 
       Line3DBox[{829, 1233, 1004, 827, 1234, 1005, 831, 1235, 1006, 833, 
        1236, 1007, 835, 1237, 1008, 837, 1238, 1009, 839, 1240, 1241, 1010, 
        841, 1242, 1011, 843, 1243, 1012, 845, 1244, 1013, 847, 1245, 1014, 
        849, 1246, 1015, 851, 1247, 1016, 853, 1249, 1018, 855}], 
       Line3DBox[{854, 1017, 1248, 852, 1338, 1127, 850, 1337, 1126, 848, 
        1336, 1125, 846, 1335, 1124, 844, 1334, 1123, 842, 1333, 1122, 840, 
        1332, 1121, 1239, 838, 1331, 1120, 836, 1330, 1119, 834, 1329, 1118, 
        832, 1328, 1117, 830, 1327, 1116, 826, 1326, 1115, 828}], 
       Line3DBox[{857, 1128, 1339, 856, 1250, 1019, 858, 1251, 1020, 859, 
        1252, 1021, 860, 1253, 1022, 861, 1254, 1023, 862, 1255, 1129, 1340, 
        863, 602, 864, 1256, 1024, 865, 1257, 1025, 866, 1258, 1026, 867, 
        1259, 1027, 868, 1260, 1028, 869, 1261, 1029, 870}], 
       Line3DBox[{872, 1130, 1341, 871, 1131, 1342, 873, 1262, 1030, 874, 
        1263, 1031, 875, 1264, 1032, 876, 1265, 1033, 877, 1266, 1132, 1343, 
        878, 1133, 1344, 879, 618, 880, 1267, 1034, 881, 1268, 1035, 882, 
        1269, 1036, 883, 1270, 1037, 884, 1271, 1038, 885}], 
       Line3DBox[{887, 1134, 1345, 886, 1135, 1346, 888, 1136, 1347, 889, 
        1272, 1039, 890, 1273, 1040, 891, 1274, 1041, 892, 1275, 1137, 1348, 
        893, 1138, 1349, 894, 1139, 1350, 895, 634, 896, 1276, 1042, 897, 
        1277, 1043, 898, 1278, 1044, 899, 1279, 1045, 900}], 
       Line3DBox[{902, 1140, 1351, 901, 1141, 1352, 903, 1142, 1353, 904, 
        1143, 1354, 905, 1280, 1046, 906, 1281, 1047, 907, 1282, 1144, 1355, 
        908, 1145, 1356, 909, 1146, 1357, 910, 1147, 1358, 911, 650, 912, 
        1283, 1048, 913, 1284, 1049, 914, 1285, 1050, 915}], 
       Line3DBox[{917, 1148, 1359, 916, 1149, 1360, 918, 1150, 1361, 919, 
        1151, 1362, 920, 1152, 1363, 921, 1286, 1051, 922, 1287, 1153, 1364, 
        923, 1154, 1365, 924, 1155, 1366, 925, 1156, 1367, 926, 1157, 1368, 
        927, 666, 928, 1288, 1052, 929, 1289, 1053, 930}], 
       Line3DBox[{932, 1158, 1369, 931, 1159, 1370, 933, 1160, 1371, 934, 
        1161, 1372, 935, 1162, 1373, 936, 1163, 1374, 937, 1290, 1164, 1375, 
        938, 1165, 1376, 939, 1166, 1377, 940, 1167, 1378, 941, 1168, 1379, 
        942, 1169, 1380, 943, 682, 944, 1291, 1054, 945}], 
       Line3DBox[{959, 1077, 1395, 1188, 958, 1394, 1181, 957, 1393, 1180, 
        956, 1392, 1179, 955, 1391, 1178, 954, 1390, 1177, 953, 1389, 1176, 
        952, 1388, 1387, 1175, 951, 1386, 1174, 950, 1385, 1173, 949, 1384, 
        1172, 948, 1383, 1171, 947, 1382, 1170, 946, 1187, 1381, 1075, 
        1076}]}, 
      {GrayLevel[0.2], 
       Line3DBox[{280, 503, 1189, 281, 515, 309, 1297, 526, 324, 1301, 537, 
        339, 1307, 550, 354, 1316, 565, 369, 1327, 580, 1234, 384, 595, 1250, 
        399, 1342, 610, 414, 1346, 625, 429, 1352, 640, 444, 1360, 655, 459, 
        1370, 670, 474, 1382, 685, 489}], 
       Line3DBox[{282, 504, 1190, 283, 516, 1201, 310, 527, 1210, 325, 1302, 
        538, 340, 1308, 551, 355, 1317, 566, 370, 1328, 581, 1235, 385, 596, 
        1251, 400, 611, 1262, 415, 1347, 626, 430, 1353, 641, 445, 1361, 656, 
        460, 1371, 671, 475, 1383, 686, 490}], 
       Line3DBox[{284, 505, 1191, 285, 517, 1202, 311, 528, 1211, 326, 539, 
        1217, 341, 1309, 552, 356, 1318, 567, 371, 1329, 582, 1236, 386, 597, 
        1252, 401, 612, 1263, 416, 627, 1272, 431, 1354, 642, 446, 1362, 657, 
        461, 1372, 672, 476, 1384, 687, 491}], 
       Line3DBox[{286, 506, 1192, 287, 518, 1203, 312, 529, 1212, 327, 540, 
        1218, 342, 553, 1223, 357, 1319, 568, 372, 1330, 583, 1237, 387, 598, 
        1253, 402, 613, 1264, 417, 628, 1273, 432, 643, 1280, 447, 1363, 658, 
        462, 1373, 673, 477, 1385, 688, 492}], 
       Line3DBox[{288, 507, 1193, 289, 519, 1204, 313, 530, 1213, 328, 541, 
        1219, 343, 554, 1224, 358, 569, 1229, 373, 1331, 584, 1238, 388, 599, 
        1254, 403, 614, 1265, 418, 629, 1274, 433, 644, 1281, 448, 659, 1286, 
        463, 1374, 674, 478, 1386, 689, 493}], 
       Line3DBox[{290, 508, 1194, 292, 520, 1205, 314, 531, 1214, 329, 542, 
        1220, 344, 555, 1225, 359, 570, 1230, 374, 585, 1239, 1240, 389, 600, 
        1255, 404, 615, 1266, 419, 630, 1275, 434, 645, 1282, 449, 660, 1287, 
        464, 675, 1290, 479, 1387, 690, 494}], 
       Line3DBox[{294, 510, 1195, 295, 1295, 522, 316, 1299, 533, 331, 1304, 
        544, 346, 1311, 557, 361, 1321, 572, 376, 1333, 587, 1242, 391, 602, 
        406, 1344, 617, 421, 1349, 632, 436, 1356, 647, 451, 1365, 662, 466, 
        1376, 677, 481, 1389, 692, 496}], 
       Line3DBox[{296, 511, 1196, 297, 523, 1206, 317, 727, 744, 1399, 534, 
        332, 1305, 545, 347, 1312, 558, 362, 1322, 573, 377, 1334, 588, 1243, 
        392, 603, 1256, 407, 618, 422, 1350, 633, 437, 1357, 648, 452, 1366, 
        663, 467, 1377, 678, 482, 1390, 693, 497}], 
       Line3DBox[{298, 512, 1197, 299, 721, 722, 524, 1207, 318, 728, 745, 
        535, 1215, 333, 734, 747, 546, 348, 1313, 559, 363, 1323, 574, 378, 
        1335, 589, 1244, 393, 604, 1257, 408, 619, 1267, 423, 634, 438, 1358, 
        649, 453, 1367, 664, 468, 1378, 679, 483, 1391, 694, 498}], 
       Line3DBox[{300, 513, 1198, 301, 704, 723, 705, 1208, 319, 729, 746, 
        730, 1216, 334, 735, 748, 736, 349, 1314, 560, 364, 1324, 575, 379, 
        1336, 590, 1245, 394, 605, 1258, 409, 620, 1268, 424, 635, 1276, 439, 
        650, 454, 1368, 665, 469, 1379, 680, 484, 1392, 695, 499}], 
       Line3DBox[{302, 698, 699, 1199, 303, 706, 724, 707, 1209, 320, 712, 
        731, 1400, 713, 335, 737, 749, 738, 350, 561, 1226, 365, 1325, 576, 
        380, 1337, 591, 1246, 395, 606, 1259, 410, 621, 1269, 425, 636, 1277, 
        440, 651, 1283, 455, 666, 470, 1380, 681, 485, 1393, 696, 500}], 
       Line3DBox[{304, 700, 719, 701, 1200, 305, 708, 725, 1397, 709, 321, 
        714, 732, 1401, 715, 336, 547, 1221, 351, 562, 1227, 366, 577, 1231, 
        381, 1338, 592, 1247, 396, 607, 1260, 411, 622, 1270, 426, 637, 1278, 
        441, 652, 1284, 456, 667, 1288, 471, 682, 486, 1394, 697, 501}], 
       Line3DBox[{306, 702, 720, 1396, 703, 307, 710, 726, 1398, 711, 322, 
        716, 733, 1402, 717, 337, 548, 1222, 352, 563, 1228, 367, 578, 1232, 
        382, 593, 1248, 1249, 397, 608, 1261, 412, 623, 1271, 427, 638, 1279, 
        442, 653, 1285, 457, 668, 1289, 472, 683, 1291, 487, 1395, 740, 741, 
        742}], Line3DBox[{488, 684, 739, 1381, 473, 669, 1369, 458, 654, 1359,
         443, 639, 1351, 428, 624, 1345, 413, 609, 1341, 398, 594, 1339, 383, 
        1233, 579, 1326, 368, 564, 1315, 353, 549, 1306, 338, 536, 1300, 323, 
        525, 1296, 308, 514, 1293, 279, 502, 718, 743}], 
       Line3DBox[{495, 691, 1388, 480, 676, 1375, 465, 661, 1364, 450, 646, 
        1355, 435, 631, 1348, 420, 616, 1343, 405, 601, 1340, 390, 1241, 586, 
        1332, 375, 571, 1320, 360, 556, 1310, 345, 543, 1303, 330, 532, 1298, 
        315, 521, 1294, 293, 509, 1292, 291}]}, {}, {}}},
    VertexNormals->CompressedData["
1:eJxku3k0FdD392/IUCRDyVhmokGRoeKQJhIVigYNZjJmpqJSaSRRoVJmIso8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     "]], {}},
  Axes->True,
  AxesLabel->{None, None, None},
  AxesOrigin->{Automatic, Automatic, Automatic},
  BoxRatios->{1, 1, 0.4},
  DisplayFunction->Identity,
  FaceGrids->None,
  FaceGridsStyle->Automatic,
  ImageSize->{340.41519793807174`, 245.11491706471534`},
  ImageSizeRaw->Automatic,
  Method->{"DefaultBoundaryStyle" -> Directive[
      GrayLevel[0.3]], 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "RotationControl" -> 
    "Globe"},
  PlotRange->{{0, 1}, {0, 5}, {-0.12512213500697267`, 4.874323172445544}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{Automatic, Automatic, Automatic},
  ViewPoint->{1.091467582073603, -2.7851623482327224`, 1.5816349804140093`},
  ViewVertical->{-0.17054575643643488`, 0.4351916880345737, 
   0.8840375216172347}]], "Output",
 CellChangeTimes->{
  3.861416887696465*^9, {3.861416917953816*^9, 3.861416949296577*^9}, 
   3.8614169842062273`*^9, {3.8614170636837397`*^9, 3.861417082197019*^9}},
 CellLabel->"Out[24]=",ExpressionUUID->"e594a1e0-d83a-4c28-a9dd-be4f94a4c402"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861416871649959*^9, 
  3.861416885032555*^9}},ExpressionUUID->"76afd07f-9f0b-4263-bd89-\
41a7fead6928"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8614008720259123`*^9, 3.861400872540223*^9}, {
  3.861401609422661*^9, 
  3.861401609572174*^9}},ExpressionUUID->"e24fd1c0-2a70-4cd6-8acd-\
384ceb378ef6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"cv", ":=", "1"}], "\[IndentingNewLine]", 
 RowBox[{"k", ":=", "0.1"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "0.5"}], "\[IndentingNewLine]", 
 RowBox[{"d", ":=", "0.9"}], "\[IndentingNewLine]", 
 RowBox[{"y2", ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    FractionBox[
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "y2"}], "Input",
 CellChangeTimes->{{3.861400549601458*^9, 3.861400550174944*^9}, {
  3.861400581475932*^9, 3.8614005821097603`*^9}, {3.861400629532473*^9, 
  3.861400668321875*^9}, {3.86140078729107*^9, 3.86140078888688*^9}, {
  3.861400877561783*^9, 3.861400906868182*^9}, {3.8614009466327953`*^9, 
  3.8614009470045967`*^9}, {3.861401778331698*^9, 3.861401778958543*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"16ae2118-271a-4af0-b508-e160116a17ba"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV0Hk41HkcB3A76NAUMWEm7dJOZSuyLG2RdyNdm0pqqR5FkZF0EFbl6Bx5
dnIk1ExSgxxNs0auXz1kkrbfd1whVJQtVumw2Igc+9s/Ps/7ef33fn/M9h52
28fS0NDYyNz/KeuhQmpizBypOIln/AMaAaxZFQUcDbjesdufy3jQ+Hh+PEcP
YaZNoZWMHTLl5lEcUzwg+vFDjF+9q/IN5ViBbZKu8qqkoRQ3sII4KxGU3Dff
6iEN3svWJ4c4rsgeDeyvr6JRO8mTOsjxhmOXrVifpsH5a+OOC6ojOGE0ojm3
nkaQtfSNdlc4EnMWFVHNNL4N+f1j3eGTYG2LEVi10xgJ2jMhrzyLpxlxA9ad
NBQ/zDCW1pzHTJtdFWU9NDy0GtdwLS9giY5RclMfDel5I0NOWQKC1gUakC80
ht5bsfnlF7FCoEpaO8H08XafHtFzCVMw0u06iSDRujuxrS8F0cU3LF+zCY6k
VQZp916GbLNyYosBAeHKPcOMpEgQfe+/kUegNzBBenlpkNm6FdWbEjxp93JW
rk+Hyi/B79UCgpb8c+I5Jddh+ybMp9qSwMEssfTv4huYL092FNgS7JLM7dla
LcO1j32LBQ4En1X7d62uy4Duh+7+x04EG/rtmp93Z4JdxYp9sZ7Asjc3YtvX
LPjG9lpUuxKIJA2+bqM3kaq3ON/Zg+DqplNu/+rnwMwi7Ora3QTmyq5TPKNc
+A+57WvwJXDq6H3JN8xDTnqwvf0BAq7xSUHjwlvoNhycZhlMIByv6tK2kMOw
O06dE05w9GNifJvzbYgc6xbcjiZg52oKUz0UaGINLY0XEfAMFp1s9vgDqhPH
tg6LCQacAuva7PKR5T1+6kMSwaXGtOiE0nxkXrF4JJQQRPwiW1O8VAmdJHVD
xXWCyqr9egqVEk91Rbtl2QSrjdlfhU4F0LExW8hWEMw7HPR2oKYAbI7u8Fgh
wco05aDA9Q5c1D7c8HsEMuXD2az6OxBHbWmqUxH4EMmqSzsLUduo3al4TOB1
d4P47YtC2BSvjjasI7iruN8yw78I62ceatdqJvCMnbQ8u68It5z5nvVtBMvs
zcu+CS6GX2TIbf4bgpA+9irLsWJ4lS7pH39H0BNV/c4kugTDk2+a7/2HILt/
d3bkeAli1LVlskFmT0ChMP98KaxnmR7wH2P+c7dzXdZUClnLTu8p0VRjLFKL
1zWNQlxpgKiRcYeA/54/g0LJFJNbvYxv0j4XMvUp7J1oHVigpYbNs9dPMmZT
+BJ+7/Rlxi5fOnbKLCic+dEk5Zi2GpF27YHpWygMg5tkP1kN75HRFa+2UlDk
TVd6MHYuN9H9zp2CxVe69ihjnTWeyms7KRhYSabKGaf8+uJzmg+FHbzLESZT
1FCEPIu6GkqhMUxz+xjjxJ+HN7f9RiHjUXAwd6oaIaPGZibHKajP5YptGS8/
u71SGkUh9KeDFQcZ/5nUMlkaQ+HbMy7zXjLO8xhqfR5LgYocXDHCOG62UR5P
TMFRLnQ31FFjW4a7iySBgkNMumgT46XCsDnPL1Jo4ftdC2DMW5TyiZtMIbV1
oEjEeOxT0f0dqRSmSdfVyBh3FDxNuHKFQrmvb2c54/8AmLde0A==
       "]]},
     Annotation[#, "Charting`Private`Tag$1289#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.20125000020663267`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.1}, {0.20125000020663267`, 0.2112654318996529}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.861400884021166*^9, 3.8614009073990173`*^9}, 
   3.861400953715242*^9, 3.861401779738702*^9, 3.861417905940116*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"1cbb1765-aaa4-490f-bf11-ee63019a8837"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"y1", ",", "y2"}], "]"}]], "Input",
 CellChangeTimes->{{3.861400798375617*^9, 3.861400802539956*^9}, {
  3.8614009259409857`*^9, 3.8614009698337717`*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"335f493b-576e-43e7-8ab1-e5fa03353f35"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.8614005474980307`*^9},ExpressionUUID->"dcfe7364-1920-474f-b418-\
34e014ac8060"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861399690301133*^9, 
  3.861399727563951*^9}},ExpressionUUID->"1b67bcc4-adc2-466e-960f-\
834dd249e45c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k"}], "+", "\[Theta]", "+", 
       FractionBox[
        RowBox[{
         SqrtBox["k"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "cv", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
           RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]"}], 
          ")"}]}], 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]]}], "\[Equal]", 
    "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861399427732259*^9, 3.861399444583796*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"ff0d07a0-60a2-4bf9-88df-f46f94f464ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"cv", "-", "k", "+", "\[Theta]"}], 
     RowBox[{"cv", "+", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861399449664218*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"8b2b0bd8-0a99-4390-9682-ca01282f5f70"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}], "-", 
    RowBox[{"16", "k"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lVA", ":=", 
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
    FontColor->RGBColor[1, 0, 0]]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", "lVA", \
"\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.86139668896729*^9, 3.861396689771758*^9}, {
   3.8613968637893248`*^9, 3.861396888909636*^9}, {3.8614173539018803`*^9, 
   3.861417375441017*^9}, 3.861417507360353*^9},
 CellLabel->"In[3]:=",ExpressionUUID->"1fc996b0-9b01-4d7b-b0c2-4826e78cbbfa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"2", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"\[Theta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{"\[Theta]", "+", 
        FractionBox[
         RowBox[{"k", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", "d"}], "+", 
             SuperscriptBox["d", "2"], "-", 
             RowBox[{"16", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "d"}], "+", 
            SuperscriptBox["d", "2"], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
        FractionBox[
         RowBox[{"\[Theta]", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "d"}], "+", 
            SuperscriptBox["d", "2"], "-", 
            RowBox[{"16", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "d"}], "+", 
          SuperscriptBox["d", "2"], "-", 
          RowBox[{"8", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox[
             RowBox[{"1", "+", 
              RowBox[{"2", " ", "d"}], "+", 
              SuperscriptBox["d", "2"], "-", 
              RowBox[{"16", " ", "k"}], "+", 
              RowBox[{"4", " ", "\[Theta]"}]}], 
             RowBox[{"1", "+", 
              RowBox[{"2", " ", "d"}], "+", 
              SuperscriptBox["d", "2"], "-", 
              RowBox[{"8", " ", "k"}], "+", 
              RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}]}], 
       ")"}]}]}]}], ")"}], "/", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"16", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{{3.861396876709031*^9, 3.861396889582664*^9}, {
  3.8614173642972727`*^9, 3.861417377712644*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"179532c7-bfa3-41d8-8f1e-af95d58f4758"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%5", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[6]:=",ExpressionUUID->"61de81c9-97d0-42a0-8864-90ce1c15a019"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"32", " ", 
    SuperscriptBox["k", "2"]}]], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["d", "3"]}], "+", 
             SuperscriptBox["d", "4"], "+", 
             RowBox[{"256", " ", 
              SuperscriptBox["k", "2"]}], "+", 
             RowBox[{"32", " ", "k", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", "cv"}], "-", 
                RowBox[{"6", " ", "\[Theta]"}]}], ")"}]}], "+", 
             RowBox[{"16", " ", "\[Theta]"}], "+", 
             RowBox[{"48", " ", 
              SuperscriptBox["\[Theta]", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["d", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"6", "-", 
                RowBox[{"32", " ", "k"}], "+", 
                RowBox[{"16", " ", "\[Theta]"}]}], ")"}]}], "+", 
             RowBox[{"d", " ", 
              RowBox[{"(", 
               RowBox[{"4", "-", 
                RowBox[{"64", " ", "k"}], "+", 
                RowBox[{"32", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], ")"}], 
         "/", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "d"}], "+", 
            SuperscriptBox["d", "2"], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861417381504526*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"b289a37a-0995-4289-93ab-71f2c683402a"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  FractionBox[
   RowBox[{"1", "-", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
     "2"]}]]}], "\[IndentingNewLine]", 
 RowBox[{"lVA", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]}]}], "Input",
 CellChangeTimes->{{3.8614174088192873`*^9, 3.861417410978079*^9}, {
  3.8614175340801353`*^9, 3.8614175344130917`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"58f465af-1f7d-48e3-b3c1-16de01a087f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"lVA", "-", "l"}], "\[Equal]", "0"}], ",", "cv"}], "]"}]], "Input",\

 CellChangeTimes->{{3.861417426110504*^9, 3.861417437637724*^9}, {
  3.861418918392651*^9, 3.8614189205683413`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"7f1807ea-4998-4108-a577-ed6a2b753450"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"cv", "\[Rule]", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"256", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "d"}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["d", "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["d", "3"]}], "+", 
       SuperscriptBox["d", "4"], "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
       RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"], "+", 
       RowBox[{"4", " ", "d", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["d", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["d", "3"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["d", "4"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"32", " ", "d", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"192", " ", 
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"8", " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
       RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", "d", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"64", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "-", 
       RowBox[{"32", " ", "\[Alpha]", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", 
        SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.86141893574301*^9, 3.861418954128228*^9}},
 CellLabel->"Out[3]=",ExpressionUUID->"5de7947e-c1ee-4c76-a5c0-5b3dd97e17c7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"cv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.8614874230795593`*^9, 3.861487435422769*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"a827c4fc-7eeb-497c-934f-ddf4041fa2f1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Alpha]", ":=", "0.2"}], "\[IndentingNewLine]", "cv"}], "Input",
 CellChangeTimes->{{3.861487443503809*^9, 3.861487481118368*^9}, {
  3.861514974546321*^9, 3.861514976266283*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"ac23f933-b1e9-497d-b62d-3c75fb6db2ef"],

Cell[BoxData["0.7578124999999998`"], "Output",
 CellChangeTimes->{{3.861487470392701*^9, 3.861487481795195*^9}, 
   3.861514977512382*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"ca52a898-c941-4a04-b79a-02fbf59714c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"k", ":=", "0.1"}], "\[IndentingNewLine]", 
 RowBox[{"\[Theta]", ":=", "0.3"}], "\[IndentingNewLine]", 
 RowBox[{"d", ":=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"256", " ", "k", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "d"}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["d", "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["d", "3"]}], "+", 
       SuperscriptBox["d", "4"], "-", 
       RowBox[{"2", " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
       RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
       SuperscriptBox["\[Alpha]", "2"], "+", 
       RowBox[{"4", " ", "d", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["d", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["d", "3"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["d", "4"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"32", " ", "d", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "-", 
       RowBox[{"192", " ", 
        SuperscriptBox["k", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", 
       RowBox[{"8", " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
       RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"16", " ", 
        SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", "d", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["d", "2"], " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
       RowBox[{"64", " ", "k", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "-", 
       RowBox[{"32", " ", "\[Alpha]", " ", 
        SuperscriptBox["\[Theta]", "2"]}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Alpha]", "2"], " ", 
        SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "0", ",", "0.2"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8614189955725527`*^9, 3.861418996018321*^9}, {
  3.861487182049677*^9, 3.861487251297333*^9}, {3.861487307011697*^9, 
  3.861487308053637*^9}, {3.861514797938443*^9, 3.861514799335848*^9}, {
  3.86151491054069*^9, 3.861514948848721*^9}, {3.86151498949264*^9, 
  3.861514989874597*^9}, {3.861517634399661*^9, 3.8615176414507427`*^9}, {
  3.8615177050553913`*^9, 3.8615177052285557`*^9}, {3.861517805010333*^9, 
  3.8615178063036137`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"c3b4e641-b15a-4941-8520-fad1b4589307"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwd13k4VV0XAHCZyxgyyywKocyyEKJCxiRJKGVMafIVlTcUMuQlSaKkTJnK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       "]]},
     Annotation[#, "Charting`Private`Tag$4665#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.7562500001020409},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.2}, {0.7562500001020409, 0.7583333328233899}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.861487221714999*^9, 3.861487252238912*^9}, 
   3.861487309223229*^9, 3.8615148975570507`*^9, 3.861514949885268*^9, 
   3.861514995506112*^9, 3.861517645110321*^9, 3.8615177073890953`*^9, 
   3.861517808838882*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"1fd60b7f-35dd-4499-8c25-b523f89d1978"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"cv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}], "-", 
    RowBox[{"16", "k"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861521295437593*^9, 3.861521314259212*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"577a5129-b80e-4d63-bc21-e66d53fe5569"],

Cell[CellGroupData[{

Cell[BoxData["cv"], "Input",
 CellChangeTimes->{{3.861521316802693*^9, 3.861521317059231*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"fa92f3b6-c22d-4044-a2a1-dd9811c086d1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", "d", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"64", " ", "k", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"320", " ", "k", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8615213258170757`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"81c4832c-272a-4e05-8884-94571727aad2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%4", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"0b04f4bc-eda7-4097-bddf-ecccaf062ae3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3"}], " ", "k"}], "-", 
  FractionBox[
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "k"}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861521328882679*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"8f7a812a-37da-43dd-bbfd-e69cbc0c66aa"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"cv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861521295437593*^9, 3.861521314259212*^9}, {
  3.861521409776247*^9, 3.86152141302846*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cb62ea5c-30bf-4b2c-8b5f-81803a8a11c9"],

Cell[CellGroupData[{

Cell[BoxData["cv"], "Input",
 CellChangeTimes->{{3.861521417052134*^9, 3.86152141729725*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"60e26d6a-d018-414e-9788-3015dd6e84ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", "d", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"64", " ", "k", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"320", " ", "k", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861521418750589*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"97f6b281-019b-426e-b030-007f384a05d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%3", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"01ed183d-bf35-43f4-8ede-4e8812b84e5f"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.861521421542676*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"c624610d-5b33-425d-8ef8-77e2d0a80045"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"cv", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Input",
 CellLabel->"In[1]:=",ExpressionUUID->"33dc3bf5-26f4-4bf0-9ccc-e9be9844afa4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"cv", ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861530395257043*^9, 3.8615303993814774`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"9bdf7fff-2758-4f9f-b99a-f5122ee9c7c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "-", 
     RowBox[{"8", " ", "d"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"]}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"]}], "+", 
     RowBox[{"16", " ", "k"}], "+", 
     RowBox[{"32", " ", "d", " ", "k"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k"}], "+", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"64", " ", "d", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"384", " ", 
      SuperscriptBox["k", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"128", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", "d", " ", "\[Alpha]"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"32", " ", "d", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"32", " ", "d", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861530400566358*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"7045e9cb-113f-4d5c-bcbc-22d820310041"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%2", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"39a375dd-654a-4efc-a7a5-4c1e5135ac49"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
   RowBox[{"24", " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{"12", " ", "\[Theta]"}], "-", 
   RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]]], "Output",
 CellChangeTimes->{3.861530404216773*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"959ae577-9e9f-469c-9f5a-58aedd536471"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8615304098461533`*^9, 3.861530411497663*^9}, {
  3.861530458820723*^9, 3.861530465661858*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"0e7d1d7b-8d9c-4c6c-aa7d-f8f5b6031947"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Alpha]", "\[Rule]", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.861530470773432*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"3680c070-3cc4-4789-8d46-ba01297c1868"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]3", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"24", " ", "k"}], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.8615305416760063`*^9, 3.861530555460079*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"d0fb5407-31b1-4a55-9df3-886ab2aecc99"],

Cell[BoxData[
 RowBox[{"\[Alpha]1", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.861530557765175*^9, 3.86153057869878*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"8eeb6dd0-d272-4dfc-8445-98b95ce575c4"],

Cell[BoxData[
 RowBox[{"\[Alpha]2", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}], "-", 
    RowBox[{"16", "k"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.861530583270834*^9, 3.861530598811123*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"bcaa07d5-428c-406e-a5ec-2ffecc8245da"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[CapitalDelta]\[Alpha]1", ":=", 
  RowBox[{
  "\[Alpha]1", "-", 
   "\[Alpha]3"}]}], "\[IndentingNewLine]", "\[CapitalDelta]\[Alpha]1"}], \
"Input",
 CellChangeTimes->{{3.861530604596233*^9, 3.8615306411968307`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"648dd0a2-d2fb-4d7b-b6b8-d0e3683ed267"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"24", " ", "k"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}]]}], "+", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Output",
 CellChangeTimes->{3.861530641678986*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"cc00311e-1099-4d37-8259-93f15c33c6c6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]]}], "+", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"7d823d26-b684-4204-94a3-af4d94d38247"],

Cell[BoxData[
 FractionBox[
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"24", " ", "k"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861530643649867*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"f03e7b81-5dc1-48b6-a2e2-25aa606d3d29"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]\[Alpha]2", ":=", 
  RowBox[{"\[Alpha]3", "-", "\[Alpha]2"}]}]], "Input",
 CellChangeTimes->{{3.86153065056989*^9, 3.861530662127572*^9}, {
  3.861530782149753*^9, 3.861530785744176*^9}, {3.861530891995854*^9, 
  3.8615308967084417`*^9}},ExpressionUUID->"c859cba9-e08a-4fbe-b3cb-\
de11dd6982fc"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]\[Alpha]2"], "Input",
 CellChangeTimes->{{3.86153066544969*^9, 3.861530665706986*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"7e29359d-6a42-4428-a7c2-5ee306af14b5"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"24", " ", "k"}], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"16", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Output",
 CellChangeTimes->{3.861530666130233*^9, 3.86153078908683*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"f082410c-0f31-4650-b6ab-db51b40e8b44"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"24", " ", "k"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"16", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"8e9daf56-1f8e-4dbe-b11d-ae9598391c66"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"24", " ", "k"}], "+", 
      RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8615307906550617`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"a12b9d7c-caff-4ca4-b979-4c7c8315f428"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"24", " ", "k"}], "+", 
       RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"24", " ", "k"}], "-", 
       RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "-", 
       RowBox[{"8", " ", "k"}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.861558566067367*^9, 3.8615585668519993`*^9}},
 NumberMarks->False,
 CellLabel->"In[9]:=",ExpressionUUID->"7341dd07-0f7f-4355-bcc0-fb2f9a2acf5b"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"24", " ", "k"}], "+", 
      RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861530668214924*^9, 3.861558568121323*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"f4a38f79-2f7a-4930-b554-19ff1f5b7c8d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]\[Alpha]3", ":=", 
  RowBox[{"\[Alpha]2", "-", "\[Alpha]3"}]}]], "Input",
 CellChangeTimes->{{3.8615581573021193`*^9, 3.861558166121229*^9}, {
  3.8615582256451893`*^9, 3.86155823226621*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"355f4013-4679-492e-a2ee-dc65975a9a52"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]\[Alpha]3"], "Input",
 CellChangeTimes->{{3.861558259260542*^9, 3.861558262204969*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"f8d8f4f9-9820-4290-b7d3-24800ecde33e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"24", " ", "k"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}]]}], "+", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"16", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Output",
 CellChangeTimes->{3.8615582628168993`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"ff57d17f-24f5-4d44-b944-cf81e8da6649"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]]}], "+", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"16", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"517531a3-eb35-4dcf-a78a-3ecaebc908a6"],

Cell[BoxData[
 FractionBox[
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"24", " ", "k"}], "+", 
     RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"24", " ", "k"}], "-", 
     RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"8", " ", "k"}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861558265328322*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"148e954f-9a54-4fa7-8acb-a5ba7bb73d0c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"24", " ", "k"}], "-", 
    RowBox[{"12", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.861530992450626*^9, 3.861531003376402*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"7023d85a-233f-4f31-9204-192676ddf108"],

Cell[CellGroupData[{

Cell[BoxData["cv"], "Input",
 CellChangeTimes->{{3.861531025128315*^9, 3.861531025543375*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"e355e724-5708-4e0a-8b3a-2f6479aea01d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], " ", "\[Theta]"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], " ", "\[Theta]"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], " ", "\[Theta]"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], " ", "\[Theta]"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", "\[Theta]"}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", "\[Theta]"}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", "\[Theta]"}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"320", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", "\[Theta]"}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"24", " ", "k"}], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"12", " ", "\[Theta]"}]}], ")"}], " ", 
      SuperscriptBox["\[Theta]", "2"]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"24", " ", "k"}], "-", 
      RowBox[{"12", " ", "\[Theta]"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"24", " ", "k"}], "-", 
         RowBox[{"12", " ", "\[Theta]"}]}]]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861531026446148*^9, 3.861531303746393*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"dc8bcb47-d2c7-4abd-baf3-98bfc77314d1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%11", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"6fee4629-9bf2-408d-9958-bdce3c34d490"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"4", " ", "d"}], "+", 
   RowBox[{"6", " ", 
    SuperscriptBox["d", "2"]}], "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["d", "3"]}], "+", 
   SuperscriptBox["d", "4"], "-", 
   RowBox[{"192", " ", "k", " ", "\[Theta]"}], "+", 
   RowBox[{"48", " ", 
    SuperscriptBox["\[Theta]", "2"]}]}], 
  RowBox[{"192", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861531307904427*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"f27a040c-29b5-4994-9b67-bd5de6b63f89"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.861531167408614*^9, 3.861531185180051*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"face1d5d-e46b-415f-bdf4-5b6e369bc655"],

Cell[CellGroupData[{

Cell[BoxData["cv"], "Input",
 CellChangeTimes->{{3.861531209422228*^9, 3.861531209679214*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"423dd578-cbad-4cc0-a57c-b45ea56b6b8b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", "d", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"64", " ", "k", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"320", " ", "k", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8615312101408587`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"e28c1298-68f0-4fa8-ac15-d06445b1297c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%3", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"7b5272df-dabb-4bba-8912-60f8d1d7a472"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.861531212954945*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"9a3b4af7-9b45-4f90-ac58-cba61ae710f4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Alpha]", ":=", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "+", 
    RowBox[{"4", " ", "\[Theta]"}], "-", 
    RowBox[{"16", "k"}]}], 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "d"}], "+", 
    SuperscriptBox["d", "2"], "-", 
    RowBox[{"8", " ", "k"}], "+", 
    RowBox[{"4", " ", "\[Theta]"}]}]]}]], "Input",
 CellChangeTimes->{{3.8615312464438753`*^9, 3.861531258836277*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"95b9c451-956a-46c3-a812-21f5afc16069"],

Cell[CellGroupData[{

Cell[BoxData["cv"], "Input",
 CellChangeTimes->{{3.861531260573277*^9, 3.861531260825624*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"1331e5f9-8869-4801-a208-7dd3e9d0f0d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", "d", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"64", " ", "k", " ", "\[Theta]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"8", " ", 
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      SuperscriptBox["d", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", "d", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "+", 
    FractionBox[
     RowBox[{"320", " ", "k", " ", "\[Theta]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]], "-", 
    FractionBox[
     RowBox[{"32", " ", 
      SuperscriptBox["\[Theta]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"16", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "k"}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"16", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}]]}], ")"}], "2"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861531261229085*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"2473448e-573d-4196-8f0a-504be23ae8c5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%6", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"8ace79a0-47eb-4f68-8d2f-2288e7dfe1e3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3"}], " ", "k"}], "-", 
  FractionBox[
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "k"}]], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861531264811578*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"875632e0-ed4c-4bf3-8e26-aaa4c192aaea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "3"}], " ", "k"}], "-", 
   FractionBox[
    RowBox[{"\[Theta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"8", " ", "k"}]], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"fe79fe2b-4194-4356-8e53-970735bbed1a"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "k"}], "-", 
    RowBox[{"4", " ", "d", " ", "k"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", "k"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["k", "2"]}], "+", "\[Theta]", "+", 
    RowBox[{"2", " ", "d", " ", "\[Theta]"}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], 
   RowBox[{"8", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.8615312686702127`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"ea390b66-c0a9-4249-9c1c-af23d4510221"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"y", ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], "^", "4"}]}]], "Input",
 CellChangeTimes->{{3.8615314608574953`*^9, 3.861531469338395*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"3f13236d-6366-402e-8019-6d38a279dbaa"],

Cell[CellGroupData[{

Cell[BoxData["y"], "Input",
 CellChangeTimes->{3.861531471547741*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"e1075a4b-ef2c-448c-9fbe-bf4c7d3064d4"],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"1", "+", "d"}], ")"}], "4"]], "Output",
 CellChangeTimes->{3.861531472231223*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"82ad9472-11b9-47d3-a9f4-b4e9fe8bb3be"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], "4"], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"7f578bd3-d4ca-4367-85b7-cb0db5690e55"],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"4", " ", "d"}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["d", "2"]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["d", "3"]}], "+", 
  SuperscriptBox["d", "4"]}]], "Output",
 CellChangeTimes->{3.8615314742329206`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"9f0e7346-4146-403a-b6fa-be780ebbac16"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]y", ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"192", " ", "k", " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], 
    RowBox[{"192", " ", "k"}]], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "3"}], " ", "k"}], "-", 
     FractionBox[
      RowBox[{"\[Theta]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "+", 
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
      RowBox[{"8", " ", "k"}]], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.861558965154812*^9, 3.861559005928815*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"b00a9c4b-9e68-4c9c-83cf-ad24c2458eec"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]y"], "Input",
 CellChangeTimes->{{3.861559007911137*^9, 3.861559009732246*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"aca679cc-6619-47c3-80a5-1e316baa492a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "k"}], "+", 
  RowBox[{
   FractionBox["1", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     RowBox[{"2", " ", "d"}], "-", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{"\[Theta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"8", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "d"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["d", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"]}], "+", 
    SuperscriptBox["d", "4"], "-", 
    RowBox[{"192", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"48", " ", 
     SuperscriptBox["\[Theta]", "2"]}]}], 
   RowBox[{"192", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.86155901032478*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"86412744-7390-4ce5-9169-9fc6fcb0619f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"3", " ", "k"}], "+", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{"2", " ", "d"}], "-", 
      SuperscriptBox["d", "2"], "-", 
      RowBox[{"8", " ", "\[Theta]"}]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{"\[Theta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"8", " ", "k"}]], "+", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"4", " ", "d"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"]}], "+", 
     SuperscriptBox["d", "4"], "-", 
     RowBox[{"192", " ", "k", " ", "\[Theta]"}], "+", 
     RowBox[{"48", " ", 
      SuperscriptBox["\[Theta]", "2"]}]}], 
    RowBox[{"192", " ", "k"}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"56d67d9b-37a3-4770-b999-7199713b08e5"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "-", 
     RowBox[{"24", " ", "k"}], "+", 
     RowBox[{"12", " ", "\[Theta]"}]}], ")"}], "2"], 
  RowBox[{"192", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861559013271296*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"e6a8dc58-a69a-4051-8d0a-4670e54703c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"cv", "\[Equal]", "0"}], ",", "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861563369333746*^9, 3.8615633754497128`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"d52abdd9-2272-43ce-a8cc-e63dab3d5bbf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "d"}], "+", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "+", 
        SuperscriptBox["d", "4"], "-", 
        RowBox[{"8", " ", "k"}], "-", 
        RowBox[{"16", " ", "d", " ", "k"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "+", 
        RowBox[{"8", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"160", " ", "k", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}], "-", 
        RowBox[{"16", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["k", "2"], "+", 
           RowBox[{"4", " ", "d", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["d", "2"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["d", "3"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["d", "4"], " ", 
            SuperscriptBox["k", "2"]}], "-", 
           RowBox[{"192", " ", 
            SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"48", " ", 
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "d"}], "+", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "+", 
        SuperscriptBox["d", "4"], "-", 
        RowBox[{"16", " ", "k"}], "-", 
        RowBox[{"32", " ", "d", " ", "k"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "-", 
        RowBox[{"192", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"8", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"64", " ", "k", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "d"}], "+", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "+", 
        SuperscriptBox["d", "4"], "-", 
        RowBox[{"8", " ", "k"}], "-", 
        RowBox[{"16", " ", "d", " ", "k"}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "+", 
        RowBox[{"8", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"160", " ", "k", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}], "+", 
        RowBox[{"16", " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["k", "2"], "+", 
           RowBox[{"4", " ", "d", " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["d", "2"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["d", "3"], " ", 
            SuperscriptBox["k", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["d", "4"], " ", 
            SuperscriptBox["k", "2"]}], "-", 
           RowBox[{"192", " ", 
            SuperscriptBox["k", "3"], " ", "\[Theta]"}], "+", 
           RowBox[{"48", " ", 
            SuperscriptBox["k", "2"], " ", 
            SuperscriptBox["\[Theta]", "2"]}]}]]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "d"}], "+", 
        RowBox[{"6", " ", 
         SuperscriptBox["d", "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["d", "3"]}], "+", 
        SuperscriptBox["d", "4"], "-", 
        RowBox[{"16", " ", "k"}], "-", 
        RowBox[{"32", " ", "d", " ", "k"}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["d", "2"], " ", "k"}], "-", 
        RowBox[{"192", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"8", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", "d", " ", "\[Theta]"}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["d", "2"], " ", "\[Theta]"}], "-", 
        RowBox[{"64", " ", "k", " ", "\[Theta]"}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Theta]", "2"]}]}], ")"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.861563377239328*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"967d5eea-e1c1-4a0e-853d-e4174c406fa1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1. The optimal launch price is the l*", "Subtitle",
 CellChangeTimes->{{3.8610589165333443`*^9, 3.861058933840816*^9}, {
  3.861070562370598*^9, 3.861070563386878*^9}, {3.861070639456759*^9, 
  3.861070648326538*^9}},ExpressionUUID->"b8b56881-106e-4c0e-85ac-\
d48d353f5905"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"r", ":=", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"p", ":=", 
   FractionBox[
    RowBox[{"1", "+", "d"}], "2"]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"l", ":=", 
   FractionBox[
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]]}], "Input",
 CellChangeTimes->{{3.861070593268805*^9, 3.8610705964404907`*^9}, {
  3.861076706214625*^9, 3.861076743211787*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c5ecdf58-761b-499f-8129-bea055e10c33"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "2"], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d", "-", "p"}], ")"}], 
    "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"SW", ":=", 
  RowBox[{"Profits", "+", "Profitv", "+", "CS"}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
  3.8610522215142393`*^9, 3.861052221576477*^9}, {3.861224046012218*^9, 
  3.861224075669673*^9}, {3.8612241459395514`*^9, 3.8612241665868597`*^9}, {
  3.861656278564436*^9, 3.8616562791233683`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"4a7748bd-485d-4b23-b1b0-e56968b92755"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.8610767705187473`*^9, 3.861076774327302*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"37c7be6f-095a-45bd-8e2c-ad231b9858e6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861076802691935*^9, 3.8612241096797743`*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"e1a12acc-1f14-4879-8710-ad01c235211e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"6d377311-bced-423a-97e3-6c0074dffe2d"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"256", " ", "cv", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "-", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"192", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8612241138681297`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"eb205508-0f31-44a2-bc58-efa0da607b44"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861076810195798*^9, 3.86107681614697*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"c4cae4f8-0031-4c3e-a8cd-fca6b7cfbe3d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}]}],
   "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"4", " ", "\[Theta]"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861076816760024*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"db72edac-e3ad-41e2-b79b-977612ff22aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%10", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"8ab5e88b-bd09-4a23-8728-6061085d9b42"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox["d", "4"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"128", " ", "cs", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"2", " ", "\[Alpha]"}], "-", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
    SuperscriptBox["\[Alpha]", "2"], "+", 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"8", " ", "\[Theta]"}], "-", 
    RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "-", 
    RowBox[{"32", " ", "\[Alpha]", " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SuperscriptBox["\[Theta]", "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.8610768198672123`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"27e44f8d-c4c0-4a92-b18d-d3de8478962a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]", ":=", 
  RowBox[{"1", "+", 
   RowBox[{"4", " ", 
    SuperscriptBox["d", "3"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{
    SuperscriptBox["d", "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"256", " ", "cv", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"2", " ", "\[Alpha]"}], "+", 
   RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
   SuperscriptBox["\[Alpha]", "2"], "-", 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"192", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "+", 
   RowBox[{"8", " ", "\[Theta]"}], "-", 
   RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
   RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"8", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
   RowBox[{"64", " ", "k", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
   RowBox[{"16", " ", 
    SuperscriptBox["\[Theta]", "2"]}], "-", 
   RowBox[{"32", " ", "\[Alpha]", " ", 
    SuperscriptBox["\[Theta]", "2"]}], "+", 
   RowBox[{"16", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SuperscriptBox["\[Theta]", "2"]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"3", "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"4", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Input",
 CellChangeTimes->{{3.861219813004006*^9, 3.861219917010412*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"866f1cd1-dbeb-4421-8a25-20f28f1deb1e"],

Cell[CellGroupData[{

Cell[BoxData["\[CapitalDelta]"], "Input",
 CellChangeTimes->{{3.861219924233046*^9, 3.8612199306259537`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"d358fbf4-aba0-4bb0-b389-fefe29c59d8d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"128", " ", "cs", " ", "k", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
  RowBox[{"256", " ", "cv", " ", "k", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
  RowBox[{"32", " ", "k", " ", "\[Alpha]"}], "-", 
  RowBox[{"32", " ", "k", " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"256", " ", 
   SuperscriptBox["k", "2"], " ", 
   SuperscriptBox["\[Alpha]", "2"]}], "-", 
  RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
  RowBox[{"256", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        RowBox[{"8", " ", "k"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"4", " ", "d", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"8", " ", "k"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"4", " ", "d", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["d", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861219932081254*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"0745acc3-3490-45cb-a7b7-384cd1d653a4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"128", " ", "cs", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"256", " ", "cv", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"32", " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"32", " ", "k", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"256", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"256", " ", "k", " ", "\[Theta]"}], "+", 
   RowBox[{"256", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"3", "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"4", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"8", " ", "k"}], "-", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"4", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.861225776862068*^9, 3.861225791098472*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"6830a5ed-7dbd-4670-90c4-f6d2e161f333"],

Cell[BoxData[
 RowBox[{"32", " ", "k", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", "cs", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"8", " ", "cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]",
     "+", 
    RowBox[{"2", " ", "d", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
    SuperscriptBox["\[Alpha]", "2"], "-", 
    RowBox[{"2", " ", "d", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"8", " ", "\[Theta]"}], "+", 
    RowBox[{"8", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8612257924113197`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"ea4b1f9b-6766-4e98-bb26-99a1abab8f02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["CS"], "Input",
 CellChangeTimes->{{3.861224131647581*^9, 3.861224132719386*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"141a7eb7-9867-4c7a-ae04-dd974e22f5ce"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}], 
   "2"]}]], "Output",
 CellChangeTimes->{3.861224133100835*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"46959103-25a9-4320-b9dd-7a242737d7ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}], "2"]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"a9105223-ffe4-48df-849a-10738483c4a1"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{3.861224136794606*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"d77f119a-5cb6-4e8f-a954-069e0d441aa3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["SW"], "Input",
 CellChangeTimes->{{3.861224187646796*^9, 3.8612241886226387`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"69cbe0ac-0d0d-406c-adec-564a49d27427"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}], "2"]}], 
  "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"4", " ", "\[Theta]"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861224188968668*^9, 3.861656021782848*^9, 
  3.861656297206756*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"8647430a-5883-4433-8ebd-d676dfeb7d77"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", "%10", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[11]:=",ExpressionUUID->"fd935801-2834-4540-977e-e4a0d557f4e6"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
     RowBox[{"16", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"16", " ", "cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"16", " ", "cv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"3", " ", "\[Alpha]"}], "-", 
        RowBox[{"16", " ", "\[Theta]"}], "+", 
        RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "k", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], ")"}]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8616563110261908`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"0d0423a0-7cf2-4dc7-b11e-2e4451622961"],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"a6b42914-d553-4756-a327-\
ef7982bad193"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"r", ":=", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{"16", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"p", ":=", 
   FractionBox[
    RowBox[{"1", "+", "d"}], "2"]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"l", ":=", 
   FractionBox[
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"8", " ", "k"}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["Profitv",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox[":=",
   FontColor->RGBColor[1, 0, 0]], 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"SW", ":=", 
  StyleBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"256", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"12", " ", 
       SuperscriptBox["d", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["d", "4"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"64", " ", 
       SuperscriptBox["k", "2"], " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
      RowBox[{"16", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"16", " ", "cs", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
         RowBox[{"16", " ", "cv", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"3", " ", "\[Alpha]"}], "-", 
         RowBox[{"16", " ", "\[Theta]"}], "+", 
         RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "k", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"3", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], ")"}]}],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861070593268805*^9, 3.8610705964404907`*^9}, {
   3.861076706214625*^9, 3.861076743211787*^9}, {3.861248360981872*^9, 
   3.8612484256681137`*^9}, 
   3.861656333297286*^9},ExpressionUUID->"f9f0cff8-bc78-401e-87d4-\
3c797dfe3eb9"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"ee952a53-50ce-42ed-a4e7-\
ca7e220a6539"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612484996040707`*^9, 3.861248503353421*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"69a65153-c9e2-4cfd-b354-28bed5654457"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861248504828435*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"26894b98-126c-4973-b370-94f0c04bdaf6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"023c70d7-64d8-4784-8253-840d87e35992"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"1", "+", "d"}], 
   RowBox[{"8", " ", "k"}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861313851171811*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"8217a8ed-4f36-4837-9c9a-c79196a5dd4b"],

Cell["", "Text",ExpressionUUID->"0788eebd-cee6-4d5b-87c5-72a176f1aaa3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485121834106`*^9, 3.861248535667307*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"96b1bf9d-23f3-4de7-a81d-2907acd63259"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
   "\[Beta]"}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.86124853641638*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"a58c3144-e05d-4db3-838d-e732bbd51101"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[25]:=",ExpressionUUID->"ac06a368-b8e4-436c-975a-7e776aef2b79"],

Cell[BoxData[
 StyleBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"8", " ", "k"}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861313860723648*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"ec4069c4-3680-4aa4-819c-86367990de8f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248538260623*^9, 3.86124854625562*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"cf0a8f5c-a860-4217-baa7-fdd12ea7d8f0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
  RowBox[{"8", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861248547344269*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"60c04f1f-8c82-4a3e-9b47-b4a2ec031500"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[26]:=",ExpressionUUID->"2415ce9b-8dd2-4826-a4ac-46ff5d320e77"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], 
  RowBox[{"4", "-", 
   RowBox[{"4", " ", "\[Alpha]"}]}]]], "Output",
 CellChangeTimes->{3.8612487531839437`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"b3da5b01-aa6b-4a4f-a54a-786677763113"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248565914627*^9, 3.86124856972899*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"fff6de1b-a044-4acf-a797-cd75be6930a1"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.861248570453371*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"3ddba1ef-8548-4829-8a04-508bf81a9069"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248582790799*^9, 3.861248589982791*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"18d91f82-d7d4-43d6-843c-6dffd47b894b"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"12", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"8", " ", "k"}], "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861248591498719*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"7d16c553-f218-45d1-b7fd-22bf98a9a567"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"b4a598f5-24a4-4461-8176-7a1520b8b36f"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861248595207423*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"e9b768c9-451d-49cc-8ca4-6c44623bdc74"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861248611066916*^9, 
  3.8612486274681664`*^9}},ExpressionUUID->"c7ed4019-1053-45bb-bfbd-\
9715ce6cf684"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612485977999077`*^9, 3.86124862532718*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"3cbd4576-01f7-42af-ba56-f7690c7eef92"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"12", " ", 
     SuperscriptBox["d", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["d", "3"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"8", " ", "k"}], "-", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8612486315611153`*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"4391225d-06a4-4bbc-b701-de4306c73122"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[29]:=",ExpressionUUID->"eba819fb-cb62-4218-a424-becf55bffd78"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
  RowBox[{"64", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8612489084274597`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"8102b6bd-db7d-4fad-8fae-112efcb78d4e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612486502431192`*^9, 3.861248653478381*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"8aa961c8-0989-4cb3-9763-022a2146fe23"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], "4"]], "Output",
 CellChangeTimes->{3.861248653955451*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"7c2a9d35-261d-4e3f-8afc-91d129ab6f73"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861248637509153*^9, 3.8612486403131037`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"6c073c03-ea3f-4bed-a21e-24f1e9f88f74"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "+", "d"}], "4"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}], 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Alpha]", " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861248640835294*^9, 3.86165634235812*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"8123159f-8e70-4d07-9ef8-119d3e503c9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%12", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"a36e177e-a22d-4d76-a1ef-1a0cb9ebaf34"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"6", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{"8", " ", "k", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"64", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8616563454020157`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"e4e2590f-b1d2-47cd-8eee-4183f5acfb17"]
}, Open  ]],

Cell[TextData[StyleBox["k", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249011919739*^9, 
   3.861249013901259*^9}},ExpressionUUID->"1d0007e7-e4cb-4076-93b9-\
0728b2939734"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249028324807*^9, 3.861249033275959*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"dcd3787c-9369-4e84-8bc8-55e60ebfc7da"],

Cell[BoxData[
 RowBox[{
  FractionBox["\[Alpha]", 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861249034007008*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"c6f44525-99bb-48e7-8f01-9b48629a36a1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["\[Alpha]", 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
     
     RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
     RowBox[{"4", " ", "\[Theta]"}], "+", 
     RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[31]:=",ExpressionUUID->"9ee10b26-735a-4db8-b2a5-abed8b5171df"],

Cell[BoxData[
 StyleBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     SuperscriptBox["d", "2"], "+", 
     RowBox[{"4", " ", "\[Theta]"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"]}]]}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861314476646325*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"a830923f-2642-4b57-bf3f-3c31fd7b160f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249057645466*^9, 3.8612490686913433`*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"a5f4d57f-e8aa-4be3-aec5-b65bfd6f067b"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8612490700925817`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"614f544f-cc26-475e-82fe-5581e830680e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
    RowBox[{"2", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[33]:=",ExpressionUUID->"92745e94-c60b-4f89-9f03-9bcef5e3f967"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      SuperscriptBox["d", "2"], "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861314490512*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"0624274e-a21b-44d1-9cb6-5b2cafb706d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249083926429*^9, 3.861249084910692*^9}, {
  3.861249116522406*^9, 3.861249118236779*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"b1bb9c3d-616a-4d05-a1c2-6a692110f7ee"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Alpha]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.8612491194273767`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"8b47ee6c-a2f4-47a4-8654-9eba6133d425"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249139095232*^9, 3.86124914379568*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"7426c866-163a-4c75-8700-640819c82720"],

Cell[BoxData[
 StyleBox["0",
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.86131458186971*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"25f1ee49-6322-441a-833b-451ef92dd206"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249146429496*^9, 3.861249160423946*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"00a934dc-83ee-4289-8ca5-436539b3e02c"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "128"}], " ", "cs", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"32", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"128", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"128", " ", "cs", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "-", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "+", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"64", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", "k"}], "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861249161915367*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"1345a549-cb9a-4814-a3dd-459fd4da3a54"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%36", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[37]:=",ExpressionUUID->"85cdecaa-dded-497f-ad14-3a76241ce494"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "64"}], " ", 
         SuperscriptBox["k", "2"]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861249164608931*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"591b1a59-47cf-4725-844c-589248bbb1d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861249240872067*^9, 3.861249247161824*^9}, {
  3.8613542357816467`*^9, 3.861354236513658*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"97601ac0-c8c4-4e1a-aa0f-72d501ad19ca"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "256"}], " ", "cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"16", " ", "\[Alpha]"}], "-", 
     RowBox[{"32", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
     
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"384", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"256", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"256", " ", "cv", " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
     RowBox[{"2", " ", "\[Alpha]"}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]"}], "+", 
     SuperscriptBox["\[Alpha]", "2"], "-", 
     RowBox[{"16", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{"192", " ", 
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", 
     RowBox[{"8", " ", "\[Theta]"}], "-", 
     RowBox[{"256", " ", "k", " ", "\[Theta]"}], "-", 
     RowBox[{"16", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"320", " ", "k", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "-", 
     RowBox[{"64", " ", "k", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"32", " ", "\[Alpha]", " ", 
      SuperscriptBox["\[Theta]", "2"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Alpha]", "2"], " ", 
      SuperscriptBox["\[Theta]", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
     RowBox[{"4", " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"8", " ", "k"}], "-", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.861249248831606*^9, 3.861354238279234*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"42af41d5-f904-4251-84b1-4d4445ce547c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%9", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"f4685538-8477-4bfb-b9b0-fa02e0216a4f"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"4", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"], "-", 
     RowBox[{"2", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"192", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8613542406711903`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"be88100d-d977-43a7-8dcd-b8fb1ac00e22"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{
  3.8612495232221518`*^9, {3.861251176934113*^9, 3.861251199247745*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"85463e01-557c-4198-9260-3d72a8955f6c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861251201238977*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"9bcbc918-7320-4c00-8e8d-1e082dac3593"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251202780447*^9, 3.861251207030128*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"c25f5e66-8866-4511-858e-c2414e17a2da"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"16", " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], "2"], 
   RowBox[{"256", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", 
    SuperscriptBox["k", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"2", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", 
    SuperscriptBox["k", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["\[Alpha]", 
       RowBox[{"2", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
      RowBox[{"16", " ", 
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "d", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["d", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
         RowBox[{"4", " ", "\[Theta]"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"8", " ", "k"}], "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.86125120786901*^9, 3.861656533433646*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"67c311e0-d403-435b-bb3a-746e05c1860e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%14", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"08b10875-cb82-4233-bacd-68a789676ccc"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"256", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["d", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["d", "4"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"12", " ", "d", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "-", 
     RowBox[{"6", " ", "\[Alpha]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["d", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["\[Alpha]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"64", " ", 
         SuperscriptBox["k", "2"]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "\[Theta]"}]}], ")"}], "2"]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861656536034999*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a297019c-310a-4eaa-b891-ead5e2b8aaef"]
}, Open  ]],

Cell["", "Text",
 CellChangeTimes->{{3.861248991264493*^9, 
  3.861248992389608*^9}},ExpressionUUID->"2bb3fe37-0fa7-4472-b5e6-\
bdb7849ee539"],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861249019985586*^9, 
   3.861249022197942*^9}},ExpressionUUID->"bfc41cf0-0eb8-49cd-bc5e-\
d1b9c1850f2f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251420607563*^9, 3.861251424437109*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"3387fdb6-ff0c-4ac1-8493-8e9e539ef0a3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861251425623124*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"c07dbebf-811f-4bce-b30e-7a3b21ab6b5b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "4"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[45]:=",ExpressionUUID->"fbbe098d-f090-4c89-a70a-c3cbb5cc8a83"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.861251430329212*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"ad22f6bf-8b0f-4cc0-ac01-930c14ce38f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251434245288*^9, 3.861251440854623*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"38c37fd2-df0c-43d8-a452-39779d2d82fe"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"4", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.861251441941697*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"451eae0e-9a85-48eb-b8e2-c36006dd415c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861251449822323*^9, 3.861251461670189*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"3f9e23a0-daa0-4e7c-ade1-0f90a1de98da"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}]}], 
  RowBox[{"8", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861251463178893*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"9d1214f1-9e41-4251-afa8-fbcdf1b87b71"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cancel", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "4"}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[48]:=",ExpressionUUID->"afedf418-3c09-4cf3-a030-1e648eb8783b"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8612514686723213`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"f2d4c640-1586-4fd7-a210-a7a6e91e327f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515165075274`*^9, 3.861251520397028*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"63d1833b-6d86-4384-8811-33068cf18c89"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861251522461022*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"e718d504-cdde-452d-b2a6-fdf8076a9ead"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8612515253354683`*^9, 3.861251540210231*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"bc5995a3-b199-4f3e-9203-377a55e09d49"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"4", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861251540915588*^9, 3.861656051882421*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"f014ddac-321e-4a4d-8b81-99f4d1feef83"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%27", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[28]:=",ExpressionUUID->"82fc3b33-e433-48f5-9007-9f22fd91843c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
   RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8616560547888412`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"b45038e0-c795-4c02-9bb8-bf277c8f0561"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"8", "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"32", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[54]:=",ExpressionUUID->"82542bfb-6f51-445b-94da-13eb10f5725e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
   RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8612515447918653`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"79f5dba8-f169-48c4-9d56-012bc4341b4d"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861251658864468*^9, 3.8612516794706583`*^9}, 
   3.8616560891446*^9},ExpressionUUID->"a8d50fb7-7969-4aae-81bd-101d3f4a4554"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861656085751542*^9, 
  3.861656085752844*^9}},ExpressionUUID->"6efda303-e23b-404b-8548-\
018a42706b8d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861251566912211*^9, 3.861251571515809*^9}, 
   3.8616560829978848`*^9},ExpressionUUID->"f06251b9-8d9e-488c-b863-\
35fe595143e5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.861656081393684*^9},
 NumberMarks->False,ExpressionUUID->"eef7b7ca-bbf1-4101-b823-e9b5690ae4cb"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8616560784488564`*^9, 
  3.861656078460415*^9}},ExpressionUUID->"19430f10-f6de-447a-b676-\
a0af59622c35"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.86165508041678*^9, 3.861655086179716*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"34908f79-51e1-4802-8c8e-6cdf0d4f6f6c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]]}]], "Output",
 CellChangeTimes->{3.8616550872700863`*^9, 3.861656091142171*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"8274db6b-aec7-4f41-98d3-e7c64c3b69ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%29", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[30]:=",ExpressionUUID->"15718839-8417-4f0b-a9c2-e1e5f1847536"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "8"}], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.86165609300771*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"07a25120-2947-4553-bf24-76c012aa07d0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"8", "-", 
    RowBox[{"256", " ", "k"}], "-", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"320", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"32", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[10]:=",ExpressionUUID->"b6107486-a44f-471e-b0e5-7d8648b7fb40"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "8"}], " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8616550893473186`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"1efb6b82-0dd2-4ce3-8287-6627ef56c586"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616551019932127`*^9, 3.8616551062074833`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"93d007f4-3e9e-45fc-953b-51e188afcbc5"],

Cell[BoxData[
 FractionBox[
  RowBox[{"8", "-", 
   RowBox[{"16", " ", "\[Alpha]"}], "+", 
   RowBox[{"64", " ", "k", " ", "\[Alpha]"}], "+", 
   RowBox[{"8", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"64", " ", "k", " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "+", 
   RowBox[{"4", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
   RowBox[{"32", " ", "\[Theta]"}], "-", 
   RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   RowBox[{"32", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], 
  RowBox[{"128", " ", "k", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861655106948539*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"fec9cea1-fb2a-4d30-9662-62e40e38e36d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"8", "-", 
    RowBox[{"16", " ", "\[Alpha]"}], "+", 
    RowBox[{"64", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"64", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"4", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}], ")"}]}], "+", 
    RowBox[{"32", " ", "\[Theta]"}], "-", 
    RowBox[{"64", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[12]:=",ExpressionUUID->"61a201f2-0a57-4f60-9a20-0e7be91f7ae8"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", 
   RowBox[{"2", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
   RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "\[Theta]"}], "+", 
   RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"16", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861655108885878*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"dadf978f-8460-4ab2-af23-7eca09b64b1e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8613542527752123`*^9, 3.861354258162972*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"ccc77ea3-08d4-43a6-b52b-aeeea2b9d407"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8613542588907146`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"1dd7a22e-c35f-4305-ac3c-56b7a060d845"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861354260107828*^9, 3.861354264417783*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"cfa15e3f-3cb8-45ef-afd1-b7617274042b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Theta]"}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "+", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "k", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"8", " ", "k"}], "+", 
         RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
        "+", 
        RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
        RowBox[{"4", " ", "\[Theta]"}], "+", 
        RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], 
       RowBox[{"16", " ", "k", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"4", " ", "k"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "d", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
          RowBox[{"4", " ", "\[Theta]"}], "+", 
          RowBox[{"\[Alpha]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"8", " ", "k"}], "+", 
             RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], ")"}]}], 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], ")"}]}], 
   RowBox[{"16", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.861354265621859*^9, 3.86165557286944*^9, 
  3.8616560996156187`*^9, 3.861656550087966*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"ae28084c-a9df-4bd5-95de-3d09a48a2f0c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%16", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[17]:=",ExpressionUUID->"02164966-d820-4a5e-aa11-5833e095d9a9"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"6", " ", "d", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
   RowBox[{"3", " ", 
    SuperscriptBox["d", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"8", " ", "k", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"32", " ", "k", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861656552878586*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"b6e3d1e9-2721-4b8d-a75f-7ec3c83e6992"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.86165655939732*^9},
 NumberMarks->False,ExpressionUUID->"6bf7a771-7a38-463c-bed4-cc6ad36d0c3d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.86165656099063*^9, 
  3.861656560991721*^9}},ExpressionUUID->"4bcdf3a6-3882-4362-a909-\
2565fe6e0aa9"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.86165656280525*^9},
 NumberMarks->False,ExpressionUUID->"d1c316ab-cf9e-44eb-8fcd-ae713d9f5408"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861656564482335*^9, 
  3.861656564483108*^9}},ExpressionUUID->"57560928-8951-405f-b74b-\
a6723a27aa93"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8616558454094276`*^9, 3.861655912601131*^9}, 
   3.861656159553298*^9},ExpressionUUID->"807db283-0a69-428f-8d39-\
c87415b9a17e"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8616561664832277`*^9, 3.861656202071899*^9}, 
   3.861656567079185*^9},ExpressionUUID->"14db7fcf-70b2-4aaa-9bb7-\
925e94f2e8c5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861656572259571*^9, 
  3.861656572261093*^9}},ExpressionUUID->"1545ab07-fa9d-4081-b9f8-\
fcad1bd8925c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861656576191558*^9, 3.8616565806813917`*^9}},
 NumberMarks->False,ExpressionUUID->"b043537c-c76c-4c8a-8898-f8f33842f1c2"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861656577043282*^9, 
  3.861656579861546*^9}},ExpressionUUID->"647bc4a4-375d-401a-a45c-\
93f57e76459a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "2. The optimal launch price is the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["l", "VA"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "b8303fe0-8000-4920-a80a-1689fbd43301"]
}], "Subtitle",
 CellChangeTimes->{{3.8610589165333443`*^9, 3.861058933840816*^9}, {
  3.861070562370598*^9, 3.861070563386878*^9}, {3.861070639456759*^9, 
  3.861070648326538*^9}, {3.8615646548667917`*^9, 
  3.861564680041161*^9}},ExpressionUUID->"e9c5ef90-e8ac-40ba-a99a-\
eb2ad6be194b"],

Cell[TextData[{
 "when cv > ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "(", "\[Alpha]", ")"}], 
    SubscriptBox["|", 
     RowBox[{
      StyleBox["\[Alpha]",
       FontVariations->{"Underline"->True}], 
      StyleBox[" ",
       FontVariations->{"Underline"->True}], "<", " ", "\[Alpha]", " ", "<", 
      " ", 
      SubscriptBox["\[Alpha]", "0"], "  "}]]}], TraditionalForm]],
  ExpressionUUID->"07f6759e-befc-46b6-ac19-a2e57e40f5da"],
 ", where H(\[Alpha])=  ",
 Cell[BoxData[
  FractionBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "4"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "*", "8", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "[", 
      RowBox[{
       RowBox[{"2", "\[Alpha]k"}], "+", 
       RowBox[{"\[Theta]", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], "]"}]}], "+", 
    RowBox[{"16", 
     SuperscriptBox["\[Theta]", "2"], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], "2"]}], "-", 
    RowBox[{"192", 
     SuperscriptBox["\[Alpha]", "2"], 
     SuperscriptBox["k", "2"]}], "-", 
    RowBox[{"64", "\[Theta]k", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"4", "-", "\[Alpha]"}], ")"}]}]}], 
   RowBox[{"256", " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]],ExpressionUUID->
  "193d8744-fe05-4afa-9f69-d70d705820d9"],
 "     ,\n",
 StyleBox["\[Alpha]",
  FontVariations->{"Underline"->True}],
 " = ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", "\[Theta]"}], "-", 
     RowBox[{"16", "k"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
     RowBox[{"4", "\[Theta]"}], "-", 
     RowBox[{"8", "k"}]}]], TraditionalForm]],ExpressionUUID->
  "98c0ba12-efe1-46b7-9452-f7fc0410bf6f"],
 " , ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Alpha]", "0"], " ", "=", " ", 
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "4"], "+", 
      RowBox[{"8", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], 
       RowBox[{"(", 
        RowBox[{"\[Theta]", "-", "k"}], ")"}]}], "+", 
      RowBox[{"16", 
       RowBox[{"\[Theta]", "(", 
        RowBox[{"\[Theta]", "-", 
         RowBox[{"10", "k"}]}], ")"}]}], "+", 
      RowBox[{"16", "k", 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "d"}], ")"}], "2"], "+", 
         RowBox[{"48", 
          RowBox[{"\[Theta]", "(", 
           RowBox[{"\[Theta]", "-", 
            RowBox[{"4", "k"}]}], ")"}]}]}]]}]}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], "4"], "+", 
      RowBox[{"8", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], "2"], 
       RowBox[{"(", 
        RowBox[{"\[Theta]", "-", 
         RowBox[{"2", "k"}]}], ")"}]}], "+", 
      RowBox[{"16", 
       RowBox[{"\[Theta]", "(", 
        RowBox[{"\[Theta]", "-", 
         RowBox[{"4", "k"}]}], ")"}]}], "-", 
      RowBox[{"192", 
       SuperscriptBox["k", "2"]}]}]]}], TraditionalForm]],ExpressionUUID->
  "22964db3-f7ec-4bbd-8324-840966537e7a"],
 ", the optimal launch price is less than the VM acceptable price, so the \
price should be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["l", "VA"], "="}], TraditionalForm]],ExpressionUUID->
  "24d523b2-625e-428f-83fb-a1647a811c05"],
 Cell[BoxData[
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]],
  CellChangeTimes->{{3.8614174088192873`*^9, 3.861417410978079*^9}, {
   3.8614175340801353`*^9, 3.8614175344130917`*^9}},ExpressionUUID->
  "56c31fd6-57ad-4d21-a221-c7787d9e9f05"],
 Cell[BoxData[
  FormBox["\[Alpha]", TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "e42f4cde-212b-43cb-876a-34708ea4b0be"],
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Alpha]", "_"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "d8a3f3fe-ffea-41c9-b32c-b2d53022966f"]
}], "Text",
 CellChangeTimes->{{3.861564723092617*^9, 3.861564787464592*^9}, {
   3.861564843783762*^9, 3.8615649454426947`*^9}, {3.861564976752981*^9, 
   3.861565151964555*^9}, {3.861565185831056*^9, 3.861565282133484*^9}, 
   3.861565315040956*^9, {3.861566430719289*^9, 3.8615667105826674`*^9}, 
   3.86156678814531*^9, {3.861597570391265*^9, 3.8615975737336206`*^9}, {
   3.863123646324768*^9, 
   3.863123668332389*^9}},ExpressionUUID->"44e680c7-d41d-4e68-a180-\
35b724c765e7"],

Cell[BoxData[
 RowBox[{"l", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]}]], "Input",
 CellChangeTimes->{{3.861566821315288*^9, 3.861566823215467*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"75012582-daf3-49a4-ae41-fa2406f05157"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"l", "-", 
    RowBox[{"l", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "l", "+", 
      RowBox[{"l", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]]}]}], "Input",
 CellChangeTimes->{{3.861566829402276*^9, 3.861566832986137*^9}, {
  3.861566870300136*^9, 3.8615668864962187`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"5db29ac1-b4f2-43fe-94dd-a1287d276291"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8615669017190123`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"7f168cf1-fe58-463a-820c-46d37c6d41a6"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.86156690245098*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"8cd02036-7505-473e-a383-6ee39f1451df"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"(", 
    RowBox[{"\[Theta]", "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"190718ca-09a1-4042-8f11-c497f48d6efd"],

Cell[BoxData[
 StyleBox[
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.8615731093431177`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"c643d8e7-409f-46ee-bdac-d1e2bebfed2d"],

Cell[CellGroupData[{

Cell[BoxData["r"], "Input",
 CellChangeTimes->{3.861566906758807*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"f5fbc6f6-5446-4c13-8e14-6b52051cd6a9"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", "k"}]], 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
       "+", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.8615669076040297`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"2f4270f6-3ba2-4dad-a7af-6ad715b8782b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", "k"}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k"}], "-", "\[Theta]", "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
        "+", 
        RowBox[{"2", " ", 
         SqrtBox["k"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[7]:=",ExpressionUUID->"734b91bc-8699-477a-b98d-d95988602a62"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], " "}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 CellChangeTimes->{3.861573116265006*^9, 
  3.861595443008216*^9},ExpressionUUID->"595832b1-43f7-422d-abf8-\
ed8e7b0447d3"],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]}], "Input",
 CellChangeTimes->{{3.861566918814272*^9, 3.861566948822578*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"36d427ef-caa6-4f39-b86b-1a1af122796f"],

Cell[BoxData[
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}]}]}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"dea86999-641b-4587-a062-69199b16ebd5"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.861566954967228*^9, 3.861566956804428*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"3a60a26d-e0cd-41ac-a9f0-c463f6bfbf10"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}], " ", "p"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861566957626541*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"1a6c6132-9a08-475c-8ad2-ce4949fde4fc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%12", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"7da6bc78-a3ac-48f7-b0bb-9a4522614803"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "cs"}], " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SqrtBox["k"], " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox["p", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", "\[Theta]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"4", " ", "k", " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"\[Theta]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
    RowBox[{"\[Alpha]", " ", "\[Theta]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.861566960561561*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"eee01d59-99c5-456b-8b67-db9812453628"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861566967713605*^9, 3.861566972651268*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"20b73ab4-289f-439d-b739-a7fa1a40afc7"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "d"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"2", " ", "p", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861566973249908*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"d6c5b0d7-79fd-413a-971d-65423be67065"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.861566975668458*^9, 3.861566983706202*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"fbbe1233-8904-410c-853f-82a93e39897c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "d"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "\[Alpha]"}], 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.861566985057375*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"033688a6-32b1-4821-82cb-efe09d0f38c4"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861564700039432*^9, 3.861564711191585*^9}, {
  3.8615666410102043`*^9, 
  3.861566642813486*^9}},ExpressionUUID->"3b2578d2-16f5-4e11-9b9c-\
6595cc701edc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", "\[Alpha]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "d"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"2", " ", "\[Alpha]"}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}]]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "]"}]], "Input",
 CellChangeTimes->{{3.861566992421583*^9, 3.8615670018969507`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"3e29da22-28cc-470b-9184-a532f2833796"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], "2"]], "Output",
 CellChangeTimes->{3.861567003087035*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"3793d00a-d1c2-41a0-bfdc-de5cd8c9fb1f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}]], "Input",
 CellChangeTimes->{{3.861570916730033*^9, 3.8615709224476357`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"cc3e21f2-6878-4ddc-b25c-360378a40473"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861570923849173*^9, 
  3.861570927426106*^9}},ExpressionUUID->"19daf983-b65c-4798-a7f3-\
2a2cf8d69863"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "l"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profiti", ":=", 
  RowBox[{
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "l"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "p"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "l"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Beta]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "l"}], "+", "cs"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.860990220515719*^9, 3.86099032058632*^9}, {
  3.861005206587309*^9, 3.861005231508071*^9}, {3.861005664789424*^9, 
  3.8610056974644327`*^9}, {3.861005732620328*^9, 3.861005738512261*^9}, {
  3.8610522215142393`*^9, 3.861052221576477*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"1bd995cf-fe53-4975-884c-031d5a2b86c1"],

Cell[CellGroupData[{

Cell[BoxData["Profitv"], "Input",
 CellChangeTimes->{{3.861570947772621*^9, 3.8615709512225847`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"3d5ad1e0-0603-4fdc-ab71-fee312a8074b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], "2"], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861570951712372*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"3e5d30c2-c041-4ad9-9adb-9aefb175ba32"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%21", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[22]:=",ExpressionUUID->"3e4980a9-33e8-43be-a65b-626e854ac6d7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8615709543872766`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"55daa283-161c-4268-b807-958fbece41ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.8615709566865177`*^9, 3.8615709592321663`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"ac8033c9-cccb-4ba3-9244-84f93a0ddc74"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861570959738825*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"67ad5c04-4568-4e1b-93b6-f7966a860a3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%23", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[24]:=",ExpressionUUID->"2a02d81c-9270-48b8-83d7-597616f4df76"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.861570961968134*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"ed68752e-0d89-4b15-bc00-0dda1a6ad1a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8615709732382936`*^9, 3.861570974147985*^9}, {
  3.861572116467636*^9, 3.86157213778955*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"397a6d48-b468-497f-a39b-019d86f21eeb"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861572139157896*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"7a2ad8ac-6d27-47ae-b38f-5a36727a7ec4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], "\[Beta]", 
    " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], ")"}]}], 
   "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8615721438482523`*^9, 3.861572154791071*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"fbe5b2df-825b-4696-8bda-86c9861adfac"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
     ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{3.86157215595749*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"63d85b3d-a925-445c-9d8b-79eaad1d3ecd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "3"]}]], 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cs", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
      ")"}]}]}], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"cs", "+", 
       FractionBox[
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}],
            "+", 
           RowBox[{"2", " ", 
            SqrtBox["k"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"cv", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
              RowBox[{"k", " ", 
               SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
              RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.861572166240993*^9, 3.8615721783620977`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"c2e0dfb5-1ec3-4772-898e-bc700c5b3653"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8615721798231363`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"81209722-a589-4bec-822a-5d9c55c8b778"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SqrtBox["k"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.861572276999435*^9, 3.8615722798467207`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"52c29598-3f9b-491d-b4cc-13bd4921e708"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]}]}]], "Output",\

 CellChangeTimes->{3.86157228231887*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"f6d55206-f34b-424c-b57c-18d5ee4fe30e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}]], "Input",
 CellChangeTimes->{{3.8616138975059*^9, 3.8616138989620256`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"53c893b1-36dc-4674-b08f-63cc1d898014"],

Cell[BoxData[
 RowBox[{"SW", ":=", 
  RowBox[{"CS", "+", "Profits"}]}]], "Input",
 CellChangeTimes->{{3.8616139009282017`*^9, 3.861613911363092*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"915025c3-fae6-43f7-8bc6-b0218d1f4672"],

Cell[CellGroupData[{

Cell[BoxData["SW"], "Input",
 CellChangeTimes->{{3.86161391367421*^9, 3.86161391419245*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"9f80812a-a3b5-44c3-b9fc-4b953e39e1d8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "+", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}], "-", 
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", "\[Alpha]"}], "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", "d"}], ")"}]}], "+", "d"}], ")"}]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      FractionBox[
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
          "+", 
          RowBox[{"2", " ", 
           SqrtBox["k"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"cv", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
             RowBox[{"k", " ", 
              SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
             RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "+", 
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox["k"], " ", "\[Alpha]"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     FractionBox[
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], 
         "+", 
         RowBox[{"2", " ", 
          SqrtBox["k"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"cv", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
            RowBox[{"k", " ", 
             SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
            RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.861613914827169*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"b477caec-b779-4e4e-a66f-4fcdbb081bab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%31", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[32]:=",ExpressionUUID->"8ef50adb-c4fc-4cc6-a9e4-e22ce49f4f28"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"8", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "16"}], " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"8", " ", "cs", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"16", " ", "cv", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
       RowBox[{"3", " ", "\[Alpha]"}], "-", 
       RowBox[{"6", " ", "d", " ", "\[Alpha]"}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
       RowBox[{"16", " ", "\[Theta]"}]}], ")"}]}], "+", 
    RowBox[{"16", " ", "k", " ", "\[Alpha]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8616139173249207`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"22b39c01-ccad-49d8-8343-791f2d2959d0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.8616148862162046`*^9, 
  3.861614918598853*^9},ExpressionUUID->"998999e6-722a-43b9-82c3-\
823077d849b0"],

Cell[TextData[{
 StyleBox["Derivation of the sensitivity analysis for Model NG. How ", 
  "Chapter"],
 StyleBox["d,k,\[Theta] ", "Chapter",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" and  will affect these optimal decisions:", "Chapter"]
}], "Text",
 CellChangeTimes->{{3.8612482456430283`*^9, 3.861248286696662*^9}, {
  3.861313192952869*^9, 
  3.861313222945232*^9}},ExpressionUUID->"3bc7491c-6949-4610-ab76-\
a06be8fd363f"],

Cell[BoxData[{
 RowBox[{"l", ":=", 
  StyleBox[
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Theta]"}], "+", 
     
     RowBox[{"2", " ", 
      SqrtBox["k"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]],
   FontColor->RGBColor[1, 0, 0]]}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"1", "+", "d"}], "2"]}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], 
     ")"}]}]]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["Profits",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox[":=",
   FontColor->RGBColor[1, 0, 0]], 
  RowBox[{
   RowBox[{"-", "cs"}], "+", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}], "-", 
       RowBox[{"2", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], 
      "2"]}]]}]}], "\[IndentingNewLine]", 
 RowBox[{"CS", ":=", 
  RowBox[{
   FractionBox["1", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], "2"]}]}], "\[IndentingNewLine]", 
 RowBox[{"SW", ":=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"8", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "16"}], " ", 
      SuperscriptBox["k", 
       RowBox[{"3", "/", "2"}]], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "-", 
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"8", " ", "cs", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
        RowBox[{"16", " ", "cv", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
        RowBox[{"3", " ", "\[Alpha]"}], "-", 
        RowBox[{"6", " ", "d", " ", "\[Alpha]"}], "-", 
        RowBox[{"3", " ", 
         SuperscriptBox["d", "2"], " ", "\[Alpha]"}], "-", 
        RowBox[{"16", " ", "\[Theta]"}]}], ")"}]}], "+", 
     RowBox[{"16", " ", "k", " ", "\[Alpha]", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "d"}], "+", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"4", " ", "\[Theta]"}]}], ")"}], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
    ")"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.861614941853983*^9, 3.8616149703323603`*^9}, {
  3.861615025310981*^9, 3.861615064032671*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"0426ce1d-5c1a-4cd2-b9cc-e4cc57af3ecc"],

Cell[TextData[StyleBox["d", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9},ExpressionUUID->"80321340-eabe-4676-ad48-\
492f37419504"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615095217778*^9, 3.861615103025319*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"70c865f9-a28b-4b3e-b8ac-0b0fc604d9d5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861615103946781*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"2f91a863-7be5-4b72-abf1-ec75ded0d112"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615114499216*^9, 3.86161512255269*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"a3774643-88de-457a-8b0f-a808ec1bae76"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.8616151237943373`*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"d4e7bda7-369a-4b57-a324-989afc8bdd6c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"p", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615127056259*^9, 3.861615133242508*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"86292d5a-0acd-41f2-8c0e-f838e2c308c5"],

Cell[BoxData[
 FractionBox["1", "2"]], "Output",
 CellChangeTimes->{3.861615134034356*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"5a73e300-92e2-4447-b8de-35bce951bfc7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615144113092*^9, 3.861615147419055*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"e3485e9b-bf03-4fec-a4ea-79df7aa1580d"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.861615148074819*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"44ad4383-ef5a-452f-8ac1-d7d76647dd5d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615151245542*^9, 3.861615158867182*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"ca95e630-50bb-4c19-8088-3231582c2c70"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861615159776143*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"aa9fa98f-256e-4096-859b-c0e3f581cda5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[50]:=",ExpressionUUID->"d177b030-b337-42bc-b2c7-22ed83b92633"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "d"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SqrtBox["k"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
  RowBox[{"2", " ", 
   SqrtBox["k"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]], "Output",
 CellChangeTimes->{3.861615162893663*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"cd957910-6ce6-41d9-b979-d37e6f3ea1f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"SW", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615168865446*^9, 3.8616151733357353`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"ee35aa6a-c9d7-4974-8ebd-09e39a4e49cb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SqrtBox["k"]}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"2", " ", "d"}], "-", 
      RowBox[{"6", " ", "\[Alpha]"}], "-", 
      RowBox[{"6", " ", "d", " ", "\[Alpha]"}]}], ")"}]}], "-", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"2", " ", "d"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
  RowBox[{"8", " ", 
   SqrtBox["k"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.861615174243331*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"75e6b457-e747-4ab1-8840-22b2514c4a83"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SqrtBox["k"]}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", "d"}], "-", 
       RowBox[{"6", " ", "\[Alpha]"}], "-", 
       RowBox[{"6", " ", "d", " ", "\[Alpha]"}]}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", "d"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], 
   RowBox[{"8", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "]"}]], "Input",\

 NumberMarks->False,
 CellLabel->"In[52]:=",ExpressionUUID->"5a407ecd-e414-46f3-acb9-ffa2aece3af2"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox["k"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"3", " ", "\[Alpha]"}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8616151768314257`*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"231429da-2ae6-4422-90a8-8461b285f4f7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"CS", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.861615178517118*^9, 3.861615181777174*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"cd64959e-8904-409d-aa65-f3eede8c318a"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "d"}], "4"]], "Output",
 CellChangeTimes->{3.861615182408997*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"670762f8-3c62-40cf-92b2-5713b5064d7b"]
}, Open  ]],

Cell[TextData[StyleBox["k", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.861616017426148*^9, 
   3.861616018912632*^9}},ExpressionUUID->"37a70b0c-5b0d-4f95-a51e-\
33669fa42717"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616160280508327`*^9, 3.861616031936205*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"229b7274-1f1e-43fc-94d6-443531459555"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    FractionBox["\[Alpha]", 
     RowBox[{"2", " ", 
      SqrtBox["k"]}]], "-", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "2"], 
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{
     SqrtBox["k"], " ", "\[Alpha]"}], "-", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8616160324202547`*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"62d6d311-5a2a-4a8e-aea3-fd69f2bc7053"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     FractionBox["\[Alpha]", 
      RowBox[{"2", " ", 
       SqrtBox["k"]}]], "-", 
     FractionBox[
      SuperscriptBox["\[Alpha]", "2"], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{
     RowBox[{
      SqrtBox["k"], " ", "\[Alpha]"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[55]:=",ExpressionUUID->"c31149a3-7641-4835-a85a-451aae3daffe"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cv", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", "\[Theta]"}], 
  RowBox[{"2", " ", 
   SuperscriptBox["k", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861616034691989*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"7f435e7f-a53d-4f8c-b75a-9e261cc5e374"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861616142004681*^9, 3.8616161456992807`*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"dac80797-0449-4ba6-b43e-3532afc9bd9e"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["k"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
   RowBox[{
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"\[Beta]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["k"]}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.8616161462102137`*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"43fb5076-e53c-44db-951d-ac696d729461"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"2", " ", 
          SqrtBox["k"]}]]}], "+", 
       FractionBox[
        SuperscriptBox["\[Alpha]", "2"], 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"cv", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
           RowBox[{"k", " ", 
            SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
           RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}]}], 
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[57]:=",ExpressionUUID->"35a6e3c6-17e6-4c7c-8b76-e5ec08e31fc6"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cv", "-", 
     RowBox[{"cv", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
  RowBox[{"2", " ", 
   SuperscriptBox["k", 
    RowBox[{"3", "/", "2"}]], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.8616161481643543`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"8578311f-be0b-4e23-a085-e2f84ac69158"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.861613944240302*^9, 3.861613982056644*^9}, {
  3.8616162468639402`*^9, 3.861616259375862*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"244380e3-8bda-4396-80d0-600aa30e8ccf"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
   FractionBox[
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
    SqrtBox["k"]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861616262260545*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"4d3eead8-afb4-4d03-9aff-d2bcbbbf7b07"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
    FractionBox[
     RowBox[{
      SqrtBox["k"], " ", 
      SuperscriptBox["\[Alpha]", "2"]}], 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
    FractionBox[
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
     SqrtBox["k"]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[59]:=",ExpressionUUID->"aa22682b-fbe6-40f2-a2b2-a4095cbeb9e5"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     SqrtBox["k"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
   FractionBox[
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
    SqrtBox["k"]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861616264266626*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"ce175eb6-5653-4ce8-94df-9e7bb75e5077"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{
  3.861616497772327*^9, {3.861616540473198*^9, 3.861616545835664*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"5a7095cd-98c0-482d-b8fd-5a0a3724054c"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "\[Alpha]"}], "-", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "-", 
      FractionBox[
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]], 
       SqrtBox["k"]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["k"], " ", 
        SuperscriptBox["\[Alpha]", "2"]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], 
       SqrtBox["k"]]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["\[Alpha]", 
        RowBox[{"2", " ", 
         SqrtBox["k"]}]]}], "+", 
      FractionBox[
       SuperscriptBox["\[Alpha]", "2"], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["k"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "d", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["d", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", "-", 
      RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
      RowBox[{"4", " ", "\[Theta]"}], "+", 
      RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
      RowBox[{"8", " ", 
       SqrtBox["k"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], 
   RowBox[{"8", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]], "Output",
 CellChangeTimes->{3.861616547715632*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"57c36258-a3e2-49ba-9763-00890cf80985"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%60", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[61]:=",ExpressionUUID->"69b0e273-6495-464a-aabe-840b1b21da19"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"16", " ", 
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Alpha]", "3"]}], "-", 
    RowBox[{"8", " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", "\[Alpha]", " ", 
     "\[Theta]"}], "-", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", "\[Theta]", 
     " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "d"}], "+", 
       SuperscriptBox["d", "2"], "+", 
       RowBox[{"4", " ", "\[Theta]"}]}], ")"}]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["k", 
      RowBox[{"3", "/", "2"}]], " ", 
     SuperscriptBox["\[Alpha]", "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], "+", 
    RowBox[{"cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "+", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SuperscriptBox["k", 
     RowBox[{"3", "/", "2"}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8616165505042553`*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"25acbd6a-16ee-4df1-8bb3-7e692c937165"]
}, Open  ]],

Cell[TextData[StyleBox["\[Theta]", "Chapter"]], "Text",
 CellChangeTimes->{
  3.861248485984922*^9, {3.8616160220090647`*^9, 
   3.861616023208786*^9}},ExpressionUUID->"3d5504cf-45d5-4549-9793-\
c32bdfdf4283"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"e", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861652047094558*^9, 3.861652055909089*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"f3b7a34f-d6d6-4321-ba8f-f731a378b190"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "-", "\[Alpha]"}], 
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.861652056830763*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"66bc8fb3-3f69-424e-b02c-375b67623b0c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "-", "\[Alpha]"}], 
    RowBox[{"2", " ", 
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[63]:=",ExpressionUUID->"7307b048-b054-48e0-9c18-321100918823"],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   SqrtBox["k"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.8616520591901493`*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"e4065f01-ffe5-44d6-a18b-338feea9b6af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"r", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861652218376555*^9, 3.861652223855735*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"127a4ba3-5ae2-4575-af1c-ddcf38901774"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
  RowBox[{"2", " ", 
   SqrtBox["k"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"cv", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]], "Output",
 CellChangeTimes->{3.861652224322091*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"a754e7e9-5616-4365-a81f-4409c45ff4a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", "\[Beta]"}], 
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[65]:=",ExpressionUUID->"39c2b4dc-3a19-4ca6-88af-2e6bfdd473d4"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[Beta]", 
   RowBox[{"2", " ", 
    SqrtBox["k"], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]]}]], "Output",
 CellChangeTimes->{3.861652226470243*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"43c97a1d-8871-44ce-b262-590fee865459"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"l", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8616522581110563`*^9, 3.861652262619917*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"5c08510b-b9da-45e8-9c51-76b89b8b2e26"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.8616522636568604`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"0e779bbb-23ad-4a39-80bf-63e69a6b3cca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
    FractionBox[
     RowBox[{
      SqrtBox["k"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[67]:=",ExpressionUUID->"b26e75fb-60ce-4fd1-8027-f1c52b058201"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", "\[Alpha]", "+", 
   FractionBox[
    RowBox[{
     SqrtBox["k"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]]], "Output",
 CellChangeTimes->{3.861652266390806*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"5ccf3f4a-4384-4325-a0e4-a15af10b7dbf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profits", ",", "\[Theta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861657608514615*^9, 3.861657616957*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"f24d2f3f-bb2f-43f7-9042-a6fbe71fe9e6"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]", "-", 
      FractionBox[
       RowBox[{
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "4"}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        SqrtBox["k"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
       SqrtBox[
        RowBox[{
         RowBox[{"cv", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
         RowBox[{"k", " ", 
          SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SqrtBox["k"]}], " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"cv", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
        RowBox[{"k", " ", 
         SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "d", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", "\[Alpha]", 
       "-", 
       RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
       RowBox[{"4", " ", "\[Theta]"}], "+", 
       RowBox[{"4", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
       RowBox[{"8", " ", 
        SqrtBox["k"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"cv", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
          RowBox[{"k", " ", 
           SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
          RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"8", " ", 
     SqrtBox["k"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.8616576178713217`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"ee80c792-f0be-4266-8a8d-0203cb16435c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%17", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[18]:=",ExpressionUUID->"7642d76a-f331-4f91-9af4-39e9e8a11297"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"2", " ", "d", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"8", " ", "cv", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", "\[Alpha]",
     "-", 
    RowBox[{"8", " ", "k", " ", "\[Alpha]"}], "-", 
    RowBox[{"8", " ", "k", " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"12", " ", "\[Theta]"}], "+", 
    RowBox[{"12", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    RowBox[{"16", " ", 
     SqrtBox["k"], " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"cv", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
       RowBox[{"k", " ", 
        SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"8", " ", 
    SqrtBox["k"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"cv", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
      RowBox[{"k", " ", 
       SuperscriptBox["\[Alpha]", "2"]}], "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.861657619705723*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"e364adeb-dc16-4e47-92c0-d48c235b85ec"],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.861699989537328*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"6120fcb5-1789-42b4-a459-a6f526621b4e"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{608, 730},
WindowMargins->{{8, Automatic}, {Automatic, 20}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"eae04b31-0d45-4448-99bf-0f1807975d4e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1750, 55, 94, "Input",ExpressionUUID->"9b1ff1e1-b0bd-4ceb-afad-056862778cb9"],
Cell[CellGroupData[{
Cell[2333, 79, 162, 3, 44, "Input",ExpressionUUID->"0916fa0d-5acf-45f7-80e1-da28ca0ce138"],
Cell[2498, 84, 368, 9, 34, "Output",ExpressionUUID->"cbf25dd5-6765-472a-8ba5-284fa1c78d4f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2903, 98, 191, 4, 44, "Input",ExpressionUUID->"c2d2b708-1962-403a-9501-c11ab2b438cd"],
Cell[3097, 104, 399, 10, 51, "Output",ExpressionUUID->"a66cdcf2-8923-42de-be01-14da1ee68fdd"]
}, Open  ]],
Cell[3511, 117, 351, 8, 71, "Input",ExpressionUUID->"0e218da7-3ffd-4283-8006-71376bd11634"],
Cell[CellGroupData[{
Cell[3887, 129, 177, 2, 30, "Input",ExpressionUUID->"ac8d9888-0218-46a2-9fc9-8311f8f91361"],
Cell[4067, 133, 625, 18, 51, "Output",ExpressionUUID->"56be1d8c-f246-4bd1-b90d-26a1a5e081cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4729, 156, 257, 5, 44, "Input",ExpressionUUID->"aa6d5515-f712-4a6c-b3fc-6b61d38f02fa"],
Cell[4989, 163, 503, 13, 51, "Output",ExpressionUUID->"4e826110-8891-4727-8ea4-2596ecab3923"]
}, Open  ]],
Cell[5507, 179, 434, 11, 48, "Input",ExpressionUUID->"940d8488-3380-4532-8521-ce44499369cc"],
Cell[CellGroupData[{
Cell[5966, 194, 177, 2, 30, "Input",ExpressionUUID->"a07474e2-1e4a-4faa-a6ab-2dd82c968d95"],
Cell[6146, 198, 1350, 40, 90, "Output",ExpressionUUID->"f1cf3f2a-11f5-4b0e-beb0-b5650e26d4e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7533, 243, 1327, 40, 103, "Input",ExpressionUUID->"41d10151-f8c1-48da-a673-ed5926a27fd0"],
Cell[8863, 285, 1263, 39, 74, "Output",ExpressionUUID->"8f337b7b-ccfa-476c-ba18-ed8adee38e70"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10163, 329, 222, 4, 44, "Input",ExpressionUUID->"acf6b17a-9e15-46e0-8950-e2d82d091535"],
Cell[10388, 335, 928, 28, 53, "Output",ExpressionUUID->"0cbaa66e-5c45-496a-97b1-ee9c3379f7e8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11353, 368, 256, 5, 44, "Input",ExpressionUUID->"b20f039e-de49-4a77-b3f8-b3bf3c12f5db"],
Cell[11612, 375, 846, 22, 57, "Output",ExpressionUUID->"ff499522-b4df-4f26-9955-24d04fc6f86c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12495, 402, 1513, 43, 90, "Input",ExpressionUUID->"c183db7a-640f-4310-a003-816bcd3c554b"],
Cell[14011, 447, 836, 24, 51, "Output",ExpressionUUID->"546c5e95-afc4-4f0e-9efc-9e5ce6d5a94a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14884, 476, 261, 5, 44, "Input",ExpressionUUID->"8c9fd7b3-9553-428e-a610-321535ad62e5"],
Cell[15148, 483, 393, 9, 51, "Output",ExpressionUUID->"a7c736a2-807e-40bc-b1a0-cc1561fe5a15"]
}, Open  ]],
Cell[15556, 495, 294, 6, 48, "Input",ExpressionUUID->"69f5aba2-f116-4470-98dd-3df30ac42156"],
Cell[15853, 503, 765, 19, 54, "Input",ExpressionUUID->"503042d7-0933-43bc-8187-b145d58c1b77"],
Cell[CellGroupData[{
Cell[16643, 526, 148, 2, 30, "Input",ExpressionUUID->"9bc18756-2cd2-406e-a8a4-f6da7908edef"],
Cell[16794, 530, 1189, 36, 94, "Output",ExpressionUUID->"a1c29e61-51c9-4fce-b516-7ef18f3f8f44"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18020, 571, 1187, 37, 146, "Input",ExpressionUUID->"1ea12e19-a218-4cf9-9af3-93f5f2c84cb7"],
Cell[19210, 610, 800, 25, 57, "Output",ExpressionUUID->"2e00c2ad-d916-4704-8958-2674389561ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20047, 640, 192, 4, 30, "Input",ExpressionUUID->"860e2f93-3891-48e2-997b-2d4887e7af7a"],
Cell[20242, 646, 2595, 76, 182, "Output",ExpressionUUID->"3c3d877a-6ce6-4ce6-b0f1-8a94831c959f"]
}, Open  ]],
Cell[22852, 725, 163, 3, 44, "Input",ExpressionUUID->"87d7b1ea-6ac1-4a21-8f0e-2956d5e28f82"],
Cell[23018, 730, 805, 23, 52, "Input",ExpressionUUID->"4272f22e-9fa0-4f1f-b27f-0ff30d377aec"],
Cell[CellGroupData[{
Cell[23848, 757, 148, 2, 30, "Input",ExpressionUUID->"bdd9d1fb-ab21-4d22-964a-21e0ca8f4f89"],
Cell[23999, 761, 2731, 78, 220, "Output",ExpressionUUID->"117ab196-e948-41b5-a53d-d850a1b3aa1d"]
}, Open  ]],
Cell[26745, 842, 163, 3, 44, "Input",ExpressionUUID->"e3bf0a6a-d46d-4ab9-a80f-ebf0ad09d7d8"],
Cell[26911, 847, 1036, 32, 54, "Input",ExpressionUUID->"2e34ba05-fb01-40b4-8185-42391ac5b1ef"],
Cell[27950, 881, 4117, 126, 180, "Text",ExpressionUUID->"c7389807-8bfb-4218-94bf-b33ba2a88c42"],
Cell[CellGroupData[{
Cell[32092, 1011, 177, 2, 30, "Input",ExpressionUUID->"de91555e-1693-4281-a47e-13d385f4b651"],
Cell[32272, 1015, 1301, 39, 90, "Output",ExpressionUUID->"bc7e84fd-b7c2-4412-ab24-6b92553b7985"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33610, 1059, 1326, 40, 103, "Input",ExpressionUUID->"522fcb2e-18c6-4fd9-b88e-6c9875ecfdc3"],
Cell[34939, 1101, 1262, 39, 74, "Output",ExpressionUUID->"5cd725e9-6608-43c8-9abe-fb8abe2f2a93"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36238, 1145, 221, 4, 44, "Input",ExpressionUUID->"3925205b-24f8-4022-8d3f-0e86fa3d23ee"],
Cell[36462, 1151, 740, 22, 51, "Output",ExpressionUUID->"52527f6f-9dad-4be6-958f-05a1a89aa4bf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37239, 1178, 223, 4, 44, "Input",ExpressionUUID->"9039b7ce-76bb-4770-9144-7b2e9eb188b0"],
Cell[37465, 1184, 381, 10, 51, "Output",ExpressionUUID->"fde362f0-9c67-4f64-b2a8-9b457e822152"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37883, 1199, 1435, 42, 90, "Input",ExpressionUUID->"9df4d4bf-ebc7-474d-8405-05117ca0943a"],
Cell[39321, 1243, 879, 27, 53, "Output",ExpressionUUID->"027e9395-17d5-4101-aa0c-de812559a0dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40237, 1275, 221, 4, 44, "Input",ExpressionUUID->"a7a6dd15-fc98-4490-9023-3b32401d598b"],
Cell[40461, 1281, 314, 8, 53, "Output",ExpressionUUID->"f54deb8c-4322-4cd2-ae3b-f5e242f9375a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40812, 1294, 858, 25, 61, "Input",ExpressionUUID->"62795d71-4bff-4da4-b0a4-a26aefb2481f"],
Cell[41673, 1321, 526, 16, 51, "Output",ExpressionUUID->"96de3ca2-6fb3-4ad7-b3a5-17588f931f27"]
}, Open  ]],
Cell[42214, 1340, 1296, 39, 53, "Input",ExpressionUUID->"c26b0c41-1cdc-4fab-b61c-ee62c2aaa64d"],
Cell[CellGroupData[{
Cell[43535, 1383, 230, 3, 30, "Input",ExpressionUUID->"6ecff7c3-93d6-46f5-ae9c-7f01f7e84423"],
Cell[43768, 1388, 1163, 37, 54, "Output",ExpressionUUID->"22dc3d63-2568-4083-8c31-8f98edca112f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44968, 1430, 1138, 37, 111, "Input",ExpressionUUID->"d56a95a1-b6a5-4045-bb96-11844e522b2b"],
Cell[46109, 1469, 858, 26, 56, "Output",ExpressionUUID->"e27c21b3-1bd1-4075-90eb-b36a65d9f54a"]
}, Open  ]],
Cell[46982, 1498, 951, 28, 53, "Input",ExpressionUUID->"1a637675-cf20-4a7b-8e45-c31548979a56"],
Cell[47936, 1528, 220, 6, 48, "Input",ExpressionUUID->"df20baf4-c4d4-416e-82de-c6fb2078a3fe"],
Cell[48159, 1536, 965, 29, 54, "Input",ExpressionUUID->"c88a447a-73a3-40ef-bfdf-678279c850cb"],
Cell[CellGroupData[{
Cell[49149, 1569, 147, 2, 30, "Input",ExpressionUUID->"92212f3c-774a-4cb7-b173-5f1f326dd473"],
Cell[49299, 1573, 1611, 49, 101, "Output",ExpressionUUID->"c6358b8a-7021-4888-8b41-0f33a51ae798"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50947, 1627, 1670, 50, 205, "Input",ExpressionUUID->"befe8589-4871-4976-ad45-b00d984d045e"],
Cell[52620, 1679, 839, 25, 57, "Output",ExpressionUUID->"9d877aba-a73f-4725-8514-1b3d8b1848fb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53496, 1709, 258, 5, 44, "Input",ExpressionUUID->"adafd47b-a9a2-4d6d-84b0-46afcc70ef37"],
Cell[53757, 1716, 592, 17, 56, "Output",ExpressionUUID->"6594b1ec-bd6f-4e43-b240-54fdbad8f1f5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54386, 1738, 1057, 31, 99, "Input",ExpressionUUID->"3461fad1-e888-4509-a5e6-54334b5f2965"],
Cell[55446, 1771, 659, 18, 55, "Output",ExpressionUUID->"a262c347-7e46-4bbb-bb99-f6c2728b6fef"]
}, Open  ]],
Cell[56120, 1792, 177, 3, 30, "Input",ExpressionUUID->"ad320c06-a2a6-4ee4-9732-8062fbf74e05"],
Cell[56300, 1797, 892, 24, 71, "Input",ExpressionUUID->"8129c5c9-6a45-4737-b6f6-249cc8cfe9c3"],
Cell[CellGroupData[{
Cell[57217, 1825, 1674, 50, 142, "Input",ExpressionUUID->"a65a5d8b-95f8-4f10-9ab9-3ad9ff4a2de3"],
Cell[58894, 1877, 560, 15, 55, "Output",ExpressionUUID->"4572f45d-2236-460e-a7bb-f0a772b765c3"],
Cell[59457, 1894, 598, 16, 55, "Output",ExpressionUUID->"f55ce82d-6653-48fc-89ec-b3bd1eaeaf33"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60092, 1915, 996, 27, 65, "Input",ExpressionUUID->"fd75f1b0-729c-474e-9162-f5949ca6b41e"],
Cell[61091, 1944, 774, 22, 60, "Output",ExpressionUUID->"782a7a17-550b-4934-b0c2-6ae2f61d8dc2"]
}, Open  ]],
Cell[61880, 1969, 6904, 208, 364, "Text",ExpressionUUID->"c1302d94-3429-4fdc-a790-1c9d3622ab29"],
Cell[68787, 2179, 477, 9, 81, "Text",ExpressionUUID->"6de8c4f0-feb4-4db9-bee5-bfb29f46eabd"],
Cell[69267, 2190, 253, 5, 73, "Input",ExpressionUUID->"24000ddd-8a2b-46d3-9637-c2d079c46c28"],
Cell[69523, 2197, 1731, 54, 94, "Input",ExpressionUUID->"08ff1af5-4775-4dfc-baa5-5ff41a6a28ef"],
Cell[71257, 2253, 246, 6, 48, "Input",ExpressionUUID->"5a1e15ee-6c80-4be7-8d1e-9c96017e5932"],
Cell[CellGroupData[{
Cell[71528, 2263, 177, 2, 30, "Input",ExpressionUUID->"285bea43-c0c5-4e6c-b6a8-5796dd8c93a7"],
Cell[71708, 2267, 869, 26, 53, "Output",ExpressionUUID->"488f9cb2-5e4c-4f9c-864a-d6d015928004"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72614, 2298, 256, 5, 44, "Input",ExpressionUUID->"0d0bef37-eb09-4832-a63d-34602aa6255d"],
Cell[72873, 2305, 1973, 57, 147, "Output",ExpressionUUID->"830bb23f-16b2-4e78-ade0-d0d46ceb89c4"]
}, Open  ]],
Cell[74861, 2365, 969, 27, 90, "Input",ExpressionUUID->"9a31314b-e518-445c-823b-d40bb2220501"],
Cell[75833, 2394, 909, 28, 59, "Input",ExpressionUUID->"7e1d8e02-f3f6-49ca-9e1f-cd7422b8c292"],
Cell[76745, 2424, 1663, 52, 109, "Input",ExpressionUUID->"79eb1dba-b6cd-4634-81ed-71d835456bc8"],
Cell[CellGroupData[{
Cell[78433, 2480, 147, 2, 30, "Input",ExpressionUUID->"a245dfab-7973-42db-baa2-916fc2893131"],
Cell[78583, 2484, 1565, 50, 107, "Output",ExpressionUUID->"1e73404a-4664-4486-8ee1-26f616ae8e7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80185, 2539, 1631, 53, 124, "Input",ExpressionUUID->"88f25877-5a56-4e82-97a3-1428b7a18c5e"],
Cell[81819, 2594, 1188, 35, 83, "Output",ExpressionUUID->"81d6d446-58a5-46ba-b4c8-839319313815"]
}, Open  ]],
Cell[83022, 2632, 404, 8, 88, "Input",ExpressionUUID->"e5aa0f4e-9e37-4fff-8f39-c0d019aa74c9"],
Cell[CellGroupData[{
Cell[83451, 2644, 8700, 224, 552, "Input",ExpressionUUID->"d9231e8a-4ed5-4775-8997-39d60c35e2ae"],
Cell[92154, 2870, 5583, 143, 267, "Output",ExpressionUUID->"9e9d7120-c797-45b4-a6c6-4de09ae52cde"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97774, 3018, 148, 2, 30, "Input",ExpressionUUID->"9e619c21-6ecb-472d-8ec9-d12f085553c7"],
Cell[97925, 3022, 2910, 80, 180, "Output",ExpressionUUID->"1943f0f5-857e-493e-897d-a0e218b7c2f3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100872, 3107, 163, 3, 44, "Input",ExpressionUUID->"174614ba-e754-46c4-8fd2-f4b01a6b886f"],
Cell[101038, 3112, 2804, 83, 153, "Output",ExpressionUUID->"1558bb38-bc4b-450e-a3e6-5a272149cbce"]
}, Open  ]],
Cell[103857, 3198, 990, 30, 59, "Input",ExpressionUUID->"a614fb5e-cfae-4744-8e1a-b24ff4d02006"],
Cell[CellGroupData[{
Cell[104872, 3232, 232, 4, 44, "Input",ExpressionUUID->"d79151c4-61c8-436b-b243-9783fac05a76"],
Cell[105107, 3238, 1842, 58, 124, "Output",ExpressionUUID->"b1eec5d8-c14e-48ef-a46a-92f969ba9fe5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[106986, 3301, 1913, 60, 143, "Input",ExpressionUUID->"f1bb60b3-3452-4a1f-8a26-c4a610b5638e"],
Cell[108902, 3363, 1756, 54, 124, "Output",ExpressionUUID->"87a9622b-427e-4433-9e57-aa841b06d03d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110695, 3422, 2051, 49, 191, "Input",ExpressionUUID->"b220bdfe-c554-4f51-a146-1fb592dbb8f8"],
Cell[112749, 3473, 427, 10, 24, "Message",ExpressionUUID->"4886e8ce-d5c3-4b56-8ba7-2f2e40cc2786"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113213, 3488, 1268, 35, 105, "Input",ExpressionUUID->"42fab355-0d81-4f98-8e18-70eece043b12"],
Cell[114484, 3525, 90658, 1484, 262, "Output",ExpressionUUID->"e594a1e0-d83a-4c28-a9dd-be4f94a4c402"]
}, Open  ]],
Cell[205157, 5012, 152, 3, 30, "Input",ExpressionUUID->"76afd07f-9f0b-4263-bd89-41a7fead6928"],
Cell[205312, 5017, 203, 4, 30, "Input",ExpressionUUID->"e24fd1c0-2a70-4cd6-8acd-384ceb378ef6"],
Cell[CellGroupData[{
Cell[205540, 5025, 1585, 39, 206, "Input",ExpressionUUID->"16ae2118-271a-4af0-b508-e160116a17ba"],
Cell[207128, 5066, 3512, 75, 231, "Output",ExpressionUUID->"1cbb1765-aaa4-490f-bf11-ee63019a8837"]
}, Open  ]],
Cell[210655, 5144, 284, 6, 44, "Input",ExpressionUUID->"335f493b-576e-43e7-8ab1-e5fa03353f35"],
Cell[210942, 5152, 130, 3, 30, "Input",ExpressionUUID->"dcfe7364-1920-474f-b418-34e014ac8060"],
Cell[211075, 5157, 152, 3, 30, "Input",ExpressionUUID->"1b67bcc4-adc2-466e-960f-834dd249e45c"],
Cell[CellGroupData[{
Cell[211252, 5164, 2032, 58, 206, "Input",ExpressionUUID->"ff0d07a0-60a2-4bf9-88df-f46f94f464ca"],
Cell[213287, 5224, 324, 8, 52, "Output",ExpressionUUID->"8b2b0bd8-0a99-4390-9682-ca01282f5f70"]
}, Open  ]],
Cell[CellGroupData[{
Cell[213648, 5237, 1630, 46, 173, "Input",ExpressionUUID->"1fc996b0-9b01-4d7b-b0c2-4826e78cbbfa"],
Cell[215281, 5285, 3616, 101, 212, "Output",ExpressionUUID->"179532c7-bfa3-41d8-8f1e-af95d58f4758"]
}, Open  ]],
Cell[CellGroupData[{
Cell[218934, 5391, 161, 3, 44, "Input",ExpressionUUID->"61de81c9-97d0-42a0-8864-90ce1c15a019"],
Cell[219098, 5396, 2601, 73, 151, "Output",ExpressionUUID->"b289a37a-0995-4289-93ab-71f2c683402a"]
}, Open  ]],
Cell[221714, 5472, 1778, 56, 109, "Input",ExpressionUUID->"58f465af-1f7d-48e3-b3c1-16de01a087f5"],
Cell[CellGroupData[{
Cell[223517, 5532, 337, 8, 44, "Input",ExpressionUUID->"7f1807ea-4998-4108-a577-ed6a2b753450"],
Cell[223857, 5542, 3453, 81, 177, "Output",ExpressionUUID->"5de7947e-c1ee-4c76-a5c0-5b3dd97e17c7"]
}, Open  ]],
Cell[227325, 5626, 3251, 78, 185, "Input",ExpressionUUID->"a827c4fc-7eeb-497c-934f-ddf4041fa2f1"],
Cell[CellGroupData[{
Cell[230601, 5708, 283, 4, 52, "Input",ExpressionUUID->"ac23f933-b1e9-497d-b62d-3c75fb6db2ef"],
Cell[230887, 5714, 217, 3, 34, "Output",ExpressionUUID->"ca52a898-c941-4a04-b79a-02fbf59714c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[231141, 5722, 4147, 93, 361, "Input",ExpressionUUID->"c3b4e641-b15a-4941-8520-fad1b4589307"],
Cell[235291, 5817, 6950, 132, 227, "Output",ExpressionUUID->"1fd60b7f-35dd-4499-8c25-b523f89d1978"]
}, Open  ]],
Cell[242256, 5952, 3672, 90, 252, "Input",ExpressionUUID->"577a5129-b80e-4d63-bc21-e66d53fe5569"],
Cell[CellGroupData[{
Cell[245953, 6046, 172, 2, 30, "Input",ExpressionUUID->"fa92f3b6-c22d-4044-a2a1-dd9811c086d1"],
Cell[246128, 6050, 15306, 441, 825, "Output",ExpressionUUID->"81c4832c-272a-4e05-8884-94571727aad2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261471, 6496, 161, 3, 44, "Input",ExpressionUUID->"0b04f4bc-eda7-4097-bddf-ecccaf062ae3"],
Cell[261635, 6501, 658, 20, 56, "Output",ExpressionUUID->"8f7a812a-37da-43dd-bbfd-e69cbc0c66aa"]
}, Open  ]],
Cell[262308, 6524, 3689, 90, 252, "Input",ExpressionUUID->"cb62ea5c-30bf-4b2c-8b5f-81803a8a11c9"],
Cell[CellGroupData[{
Cell[266022, 6618, 171, 2, 30, "Input",ExpressionUUID->"60e26d6a-d018-414e-9788-3015dd6e84ca"],
Cell[266196, 6622, 14170, 413, 825, "Output",ExpressionUUID->"97f6b281-019b-426e-b030-007f384a05d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[280403, 7040, 161, 3, 44, "Input",ExpressionUUID->"01ed183d-bf35-43f4-8ede-4e8812b84e5f"],
Cell[280567, 7045, 438, 12, 56, "Output",ExpressionUUID->"c624610d-5b33-425d-8ef8-77e2d0a80045"]
}, Open  ]],
Cell[281020, 7060, 3182, 77, 185, "Input",ExpressionUUID->"33dc3bf5-26f4-4bf0-9ccc-e9be9844afa4"],
Cell[CellGroupData[{
Cell[284227, 7141, 231, 4, 44, "Input",ExpressionUUID->"9bdf7fff-2758-4f9f-b99a-f5122ee9c7c3"],
Cell[284461, 7147, 5193, 127, 273, "Output",ExpressionUUID->"7045e9cb-113f-4d5c-bcbc-22d820310041"]
}, Open  ]],
Cell[CellGroupData[{
Cell[289691, 7279, 161, 3, 44, "Input",ExpressionUUID->"39a375dd-654a-4efc-a7a5-4c1e5135ac49"],
Cell[289855, 7284, 763, 22, 57, "Output",ExpressionUUID->"959ae577-9e9f-469c-9f5a-58aedd536471"]
}, Open  ]],
Cell[CellGroupData[{
Cell[290655, 7311, 314, 6, 44, "Input",ExpressionUUID->"0e7d1d7b-8d9c-4c6c-aa7d-f8f5b6031947"],
Cell[290972, 7319, 563, 15, 55, "Output",ExpressionUUID->"3680c070-3cc4-4789-8d46-ba01297c1868"]
}, Open  ]],
Cell[291550, 7337, 517, 13, 52, "Input",ExpressionUUID->"d0fb5407-31b1-4a55-9df3-886ab2aecc99"],
Cell[292070, 7352, 511, 13, 52, "Input",ExpressionUUID->"8eeb6dd0-d272-4dfc-8445-98b95ce575c4"],
Cell[292584, 7367, 543, 14, 52, "Input",ExpressionUUID->"bcaa07d5-428c-406e-a5ec-2ffecc8245da"],
Cell[CellGroupData[{
Cell[293152, 7385, 320, 7, 52, "Input",ExpressionUUID->"648dd0a2-d2fb-4d7b-b6b8-d0e3683ed267"],
Cell[293475, 7394, 822, 24, 55, "Output",ExpressionUUID->"cc00311e-1099-4d37-8259-93f15c33c6c6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[294334, 7423, 856, 25, 65, "Input",ExpressionUUID->"7d823d26-b684-4204-94a3-af4d94d38247"],
Cell[295193, 7450, 766, 22, 62, "Output",ExpressionUUID->"f03e7b81-5dc1-48b6-a2e2-25aa606d3d29"]
}, Open  ]],
Cell[295974, 7475, 334, 6, 30, "Input",ExpressionUUID->"c859cba9-e08a-4fbe-b3cb-de11dd6982fc"],
Cell[CellGroupData[{
Cell[296333, 7485, 194, 2, 30, "Input",ExpressionUUID->"7e29359d-6a42-4428-a7c2-5ee306af14b5"],
Cell[296530, 7489, 851, 24, 55, "Output",ExpressionUUID->"f082410c-0f31-4650-b6ab-db51b40e8b44"]
}, Open  ]],
Cell[CellGroupData[{
Cell[297418, 7518, 864, 25, 65, "Input",ExpressionUUID->"8e9daf56-1f8e-4dbe-b11d-ae9598391c66"],
Cell[298285, 7545, 843, 24, 62, "Output",ExpressionUUID->"a12b9d7c-caff-4ca4-b979-4c7c8315f428"]
}, Open  ]],
Cell[CellGroupData[{
Cell[299165, 7574, 942, 26, 72, "Input",ExpressionUUID->"7341dd07-0f7f-4355-bcc0-fb2f9a2acf5b"],
Cell[300110, 7602, 862, 24, 62, "Output",ExpressionUUID->"f4a38f79-2f7a-4930-b554-19ff1f5b7c8d"]
}, Open  ]],
Cell[300987, 7629, 308, 5, 30, "Input",ExpressionUUID->"355f4013-4679-492e-a2ee-dc65975a9a52"],
Cell[CellGroupData[{
Cell[301320, 7638, 194, 2, 30, "Input",ExpressionUUID->"f8d8f4f9-9820-4290-b7d3-24800ecde33e"],
Cell[301517, 7642, 859, 25, 55, "Output",ExpressionUUID->"ff57d17f-24f5-4d44-b944-cf81e8da6649"]
}, Open  ]],
Cell[CellGroupData[{
Cell[302413, 7672, 892, 26, 65, "Input",ExpressionUUID->"517531a3-eb35-4dcf-a78a-3ecaebc908a6"],
Cell[303308, 7700, 802, 23, 62, "Output",ExpressionUUID->"148e954f-9a54-4fa7-8acb-a5ba7bb73d0c"]
}, Open  ]],
Cell[304125, 7726, 515, 13, 52, "Input",ExpressionUUID->"7023d85a-233f-4f31-9204-192676ddf108"],
Cell[CellGroupData[{
Cell[304665, 7743, 173, 2, 30, "Input",ExpressionUUID->"e355e724-5708-4e0a-8b3a-2f6479aea01d"],
Cell[304841, 7747, 14277, 413, 822, "Output",ExpressionUUID->"dc8bcb47-d2c7-4abd-baf3-98bfc77314d1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319155, 8165, 163, 3, 44, "Input",ExpressionUUID->"6fee4629-9bf2-408d-9958-bdce3c34d490"],
Cell[319321, 8170, 517, 14, 54, "Output",ExpressionUUID->"f27a040c-29b5-4994-9b67-bd5de6b63f89"]
}, Open  ]],
Cell[319853, 8187, 511, 13, 52, "Input",ExpressionUUID->"face1d5d-e46b-415f-bdf4-5b6e369bc655"],
Cell[CellGroupData[{
Cell[320389, 8204, 172, 2, 30, "Input",ExpressionUUID->"423dd578-cbad-4cc0-a57c-b45ea56b6b8b"],
Cell[320564, 8208, 14172, 413, 825, "Output",ExpressionUUID->"e28c1298-68f0-4fa8-ac15-d06445b1297c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[334773, 8626, 161, 3, 44, "Input",ExpressionUUID->"7b5272df-dabb-4bba-8912-60f8d1d7a472"],
Cell[334937, 8631, 438, 12, 56, "Output",ExpressionUUID->"9a3b4af7-9b45-4f90-ac58-cba61ae710f4"]
}, Open  ]],
Cell[335390, 8646, 544, 14, 52, "Input",ExpressionUUID->"95b9c451-956a-46c3-a812-21f5afc16069"],
Cell[CellGroupData[{
Cell[335959, 8664, 172, 2, 30, "Input",ExpressionUUID->"1331e5f9-8869-4801-a208-7dd3e9d0f0d4"],
Cell[336134, 8668, 15304, 441, 825, "Output",ExpressionUUID->"2473448e-573d-4196-8f0a-504be23ae8c5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[351475, 9114, 161, 3, 44, "Input",ExpressionUUID->"8ace79a0-47eb-4f68-8d2f-2288e7dfe1e3"],
Cell[351639, 9119, 658, 20, 56, "Output",ExpressionUUID->"875632e0-ed4c-4bf3-8e26-aaa4c192aaea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[352334, 9144, 686, 21, 66, "Input",ExpressionUUID->"fe79fe2b-4194-4356-8e53-970735bbed1a"],
Cell[353023, 9167, 712, 19, 54, "Output",ExpressionUUID->"ea390b66-c0a9-4249-9c1c-af23d4510221"]
}, Open  ]],
Cell[353750, 9189, 269, 6, 30, "Input",ExpressionUUID->"3f13236d-6366-402e-8019-6d38a279dbaa"],
Cell[CellGroupData[{
Cell[354044, 9199, 148, 2, 30, "Input",ExpressionUUID->"e1075a4b-ef2c-448c-9fbe-bf4c7d3064d4"],
Cell[354195, 9203, 219, 5, 34, "Output",ExpressionUUID->"82ad9472-11b9-47d3-a9f4-b4e9fe8bb3be"]
}, Open  ]],
Cell[CellGroupData[{
Cell[354451, 9213, 232, 6, 46, "Input",ExpressionUUID->"7f578bd3-d4ca-4367-85b7-cb0db5690e55"],
Cell[354686, 9221, 346, 9, 34, "Output",ExpressionUUID->"9f0e7346-4146-403a-b6fa-be780ebbac16"]
}, Open  ]],
Cell[355047, 9233, 1213, 35, 101, "Input",ExpressionUUID->"b00a9c4b-9e68-4c9c-83cf-ad24c2458eec"],
Cell[CellGroupData[{
Cell[356285, 9272, 187, 2, 30, "Input",ExpressionUUID->"aca679cc-6619-47c3-80a5-1e316baa492a"],
Cell[356475, 9276, 1050, 32, 99, "Output",ExpressionUUID->"86412744-7390-4ce5-9169-9fc6fcb0619f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[357562, 9313, 1093, 33, 112, "Input",ExpressionUUID->"56d67d9b-37a3-4770-b999-7199713b08e5"],
Cell[358658, 9348, 411, 11, 56, "Output",ExpressionUUID->"e6a8dc58-a69a-4051-8d0a-4670e54703c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[359106, 9364, 266, 5, 44, "Input",ExpressionUUID->"d52abdd9-2272-43ce-a8cc-e63dab3d5bbf"],
Cell[359375, 9371, 5098, 131, 272, "Output",ExpressionUUID->"967d5eea-e1c1-4a0e-853d-e4174c406fa1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364510, 9507, 280, 4, 53, "Subtitle",ExpressionUUID->"b8b56881-106e-4c0e-85ac-d48d353f5905"],
Cell[364793, 9513, 2835, 88, 188, "Input",ExpressionUUID->"c5ecdf58-761b-499f-8129-bea055e10c33"],
Cell[367631, 9603, 2205, 66, 153, "Input",ExpressionUUID->"4a7748bd-485d-4b23-b1b0-e56968b92755"],
Cell[CellGroupData[{
Cell[369861, 9673, 180, 2, 30, "Input",ExpressionUUID->"37c7be6f-095a-45bd-8e2c-ad231b9858e6"],
Cell[370044, 9677, 3882, 118, 246, "Output",ExpressionUUID->"e1a12acc-1f14-4879-8710-ad01c235211e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[373963, 9800, 163, 3, 44, "Input",ExpressionUUID->"6d377311-bced-423a-97e3-6c0074dffe2d"],
Cell[374129, 9805, 2806, 78, 165, "Output",ExpressionUUID->"eb205508-0f31-44a2-bc58-efa0da607b44"]
}, Open  ]],
Cell[CellGroupData[{
Cell[376972, 9888, 177, 2, 30, "Input",ExpressionUUID->"c4cae4f8-0031-4c3e-a8cd-fca6b7cfbe3d"],
Cell[377152, 9892, 6467, 200, 409, "Output",ExpressionUUID->"db72edac-e3ad-41e2-b79b-977612ff22aa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[383656, 10097, 163, 3, 44, "Input",ExpressionUUID->"8ab5e88b-bd09-4a23-8728-6061085d9b42"],
Cell[383822, 10102, 2699, 75, 144, "Output",ExpressionUUID->"27e44f8d-c4c0-4a92-b18d-d3de8478962a"]
}, Open  ]],
Cell[386536, 10180, 5030, 137, 224, "Input",ExpressionUUID->"866f1cd1-dbeb-4421-8a25-20f28f1deb1e"],
Cell[CellGroupData[{
Cell[391591, 10321, 187, 2, 30, "Input",ExpressionUUID->"d358fbf4-aba0-4bb0-b389-fefe29c59d8d"],
Cell[391781, 10325, 2459, 72, 119, "Output",ExpressionUUID->"0745acc3-3490-45cb-a7b7-384cd1d653a4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[394277, 10402, 2590, 74, 155, "Input",ExpressionUUID->"6830a5ed-7dbd-4670-90c4-f6d2e161f333"],
Cell[396870, 10478, 1070, 29, 60, "Output",ExpressionUUID->"ea4b1f9b-6766-4e98-bb26-99a1abab8f02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[397977, 10512, 173, 2, 30, "Input",ExpressionUUID->"141a7eb7-9867-4c7a-ae04-dd974e22f5ce"],
Cell[398153, 10516, 409, 13, 49, "Output",ExpressionUUID->"46959103-25a9-4320-b9dd-7a242737d7ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[398599, 10534, 430, 14, 60, "Input",ExpressionUUID->"a9105223-ffe4-48df-849a-10738483c4a1"],
Cell[399032, 10550, 265, 7, 51, "Output",ExpressionUUID->"d77f119a-5cb6-4e8f-a954-069e0d441aa3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[399334, 10562, 175, 2, 30, "Input",ExpressionUUID->"69cbe0ac-0d0d-406c-adec-564a49d27427"],
Cell[399512, 10566, 8853, 270, 584, "Output",ExpressionUUID->"8647430a-5883-4433-8ebd-d676dfeb7d77"]
}, Open  ]],
Cell[408380, 10839, 163, 3, 44, "Input",ExpressionUUID->"fd935801-2834-4540-977e-e4a0d557f4e6"],
Cell[408546, 10844, 3050, 91, 142, "Input",ExpressionUUID->"0d0423a0-7cf2-4dc7-b11e-2e4451622961"],
Cell[411599, 10937, 428, 10, 203, "Text",ExpressionUUID->"a6b42914-d553-4756-a327-ef7982bad193"],
Cell[412030, 10949, 11693, 342, 777, "Input",ExpressionUUID->"f9f0cff8-bc78-401e-87d4-3c797dfe3eb9"],
Cell[423726, 11293, 150, 3, 59, "Text",ExpressionUUID->"ee952a53-50ce-42ed-a4e7-ca7e220a6539"],
Cell[CellGroupData[{
Cell[423901, 11300, 224, 4, 44, "Input",ExpressionUUID->"69a65153-c9e2-4cfd-b354-28bed5654457"],
Cell[424128, 11306, 521, 16, 53, "Output",ExpressionUUID->"26894b98-126c-4973-b370-94f0c04bdaf6"]
}, Open  ]],
Cell[424664, 11325, 547, 17, 63, "Input",ExpressionUUID->"023c70d7-64d8-4784-8253-840d87e35992"],
Cell[425214, 11344, 261, 7, 49, "Input",ExpressionUUID->"8217a8ed-4f36-4837-9c9a-c79196a5dd4b"],
Cell[425478, 11353, 71, 0, 35, "Text",ExpressionUUID->"0788eebd-cee6-4d5b-87c5-72a176f1aaa3"],
Cell[CellGroupData[{
Cell[425574, 11357, 224, 4, 44, "Input",ExpressionUUID->"96b1bf9d-23f3-4de7-a81d-2907acd63259"],
Cell[425801, 11363, 617, 20, 53, "Output",ExpressionUUID->"a58c3144-e05d-4db3-838d-e732bbd51101"]
}, Open  ]],
Cell[426433, 11386, 648, 21, 63, "Input",ExpressionUUID->"ac06a368-b8e4-436c-975a-7e776aef2b79"],
Cell[427084, 11409, 341, 10, 49, "Input",ExpressionUUID->"ec4069c4-3680-4aa4-819c-86367990de8f"],
Cell[CellGroupData[{
Cell[427450, 11423, 221, 4, 44, "Input",ExpressionUUID->"cf0a8f5c-a860-4217-baa7-fdd12ea7d8f0"],
Cell[427674, 11429, 558, 18, 55, "Output",ExpressionUUID->"60c04f1f-8c82-4a3e-9b47-b4a2ec031500"]
}, Open  ]],
Cell[CellGroupData[{
Cell[428269, 11452, 588, 20, 65, "Input",ExpressionUUID->"2415ce9b-8dd2-4826-a4ac-46ff5d320e77"],
Cell[428860, 11474, 248, 6, 52, "Output",ExpressionUUID->"b3da5b01-aa6b-4a4f-a54a-786677763113"]
}, Open  ]],
Cell[CellGroupData[{
Cell[429145, 11485, 221, 4, 44, "Input",ExpressionUUID->"fff6de1b-a044-4acf-a797-cd75be6930a1"],
Cell[429369, 11491, 169, 3, 50, "Output",ExpressionUUID->"3ddba1ef-8548-4829-8a04-508bf81a9069"]
}, Open  ]],
Cell[CellGroupData[{
Cell[429575, 11499, 228, 4, 44, "Input",ExpressionUUID->"18d91f82-d7d4-43d6-843c-6dffd47b894b"],
Cell[429806, 11505, 1539, 47, 100, "Output",ExpressionUUID->"7d16c553-f218-45d1-b7fd-22bf98a9a567"]
}, Open  ]],
Cell[CellGroupData[{
Cell[431382, 11557, 1594, 48, 169, "Input",ExpressionUUID->"b4a598f5-24a4-4461-8176-7a1520b8b36f"],
Cell[432979, 11607, 873, 26, 56, "Output",ExpressionUUID->"e9b768c9-451d-49cc-8ca4-6c44623bdc74"]
}, Open  ]],
Cell[433867, 11636, 154, 3, 30, "Input",ExpressionUUID->"c7ed4019-1053-45bb-bfbd-9715ce6cf684"],
Cell[CellGroupData[{
Cell[434046, 11643, 229, 4, 44, "Input",ExpressionUUID->"3cbd4576-01f7-42af-ba56-f7690c7eef92"],
Cell[434278, 11649, 1592, 49, 100, "Output",ExpressionUUID->"4391225d-06a4-4bbc-b701-de4306c73122"]
}, Open  ]],
Cell[CellGroupData[{
Cell[435907, 11703, 1651, 51, 169, "Input",ExpressionUUID->"eba819fb-cb62-4218-a424-becf55bffd78"],
Cell[437561, 11756, 875, 26, 56, "Output",ExpressionUUID->"8102b6bd-db7d-4fad-8fae-112efcb78d4e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[438473, 11787, 225, 4, 44, "Input",ExpressionUUID->"8aa961c8-0989-4cb3-9763-022a2146fe23"],
Cell[438701, 11793, 192, 4, 51, "Output",ExpressionUUID->"7c2a9d35-261d-4e3f-8afc-91d129ab6f73"]
}, Open  ]],
Cell[CellGroupData[{
Cell[438930, 11802, 225, 4, 44, "Input",ExpressionUUID->"6c073c03-ea3f-4bed-a21e-24f1e9f88f74"],
Cell[439158, 11808, 13009, 415, 781, "Output",ExpressionUUID->"8123159f-8e70-4d07-9ef8-119d3e503c9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[452204, 12228, 163, 3, 44, "Input",ExpressionUUID->"a36e177e-a22d-4d76-a1ef-1a0cb9ebaf34"],
Cell[452370, 12233, 1059, 33, 56, "Output",ExpressionUUID->"e4e2590f-b1d2-47cd-8eee-4183f5acfb17"]
}, Open  ]],
Cell[453444, 12269, 200, 4, 59, "Text",ExpressionUUID->"1d0007e7-e4cb-4076-93b9-0728b2939734"],
Cell[CellGroupData[{
Cell[453669, 12277, 222, 4, 44, "Input",ExpressionUUID->"dcd3787c-9369-4e84-8bc8-55e60ebfc7da"],
Cell[453894, 12283, 952, 28, 56, "Output",ExpressionUUID->"c6f44525-99bb-48e7-8f01-9b48629a36a1"]
}, Open  ]],
Cell[454861, 12314, 996, 30, 98, "Input",ExpressionUUID->"9ee10b26-735a-4db8-b2a5-abed8b5171df"],
Cell[455860, 12346, 416, 12, 52, "Input",ExpressionUUID->"a830923f-2642-4b57-bf3f-3c31fd7b160f"],
Cell[CellGroupData[{
Cell[456301, 12362, 224, 4, 44, "Input",ExpressionUUID->"a5f4d57f-e8aa-4be3-aec5-b65bfd6f067b"],
Cell[456528, 12368, 1288, 41, 99, "Output",ExpressionUUID->"614f544f-cc26-475e-82fe-5581e830680e"]
}, Open  ]],
Cell[457831, 12412, 1337, 42, 142, "Input",ExpressionUUID->"92745e94-c60b-4f89-9f03-9bcef5e3f967"],
Cell[459171, 12456, 451, 13, 54, "Input",ExpressionUUID->"0624274e-a21b-44d1-9cb6-5b2cafb706d0"],
Cell[CellGroupData[{
Cell[459647, 12473, 271, 5, 44, "Input",ExpressionUUID->"b1bb9c3d-616a-4d05-a1c2-6a692110f7ee"],
Cell[459921, 12480, 301, 8, 51, "Output",ExpressionUUID->"8b47ee6c-a2f4-47a4-8654-9eba6133d425"]
}, Open  ]],
Cell[460237, 12491, 221, 4, 44, "Input",ExpressionUUID->"7426c866-163a-4c75-8700-640819c82720"],
Cell[460461, 12497, 191, 4, 30, "Input",ExpressionUUID->"25f1ee49-6322-441a-833b-451ef92dd206"],
Cell[CellGroupData[{
Cell[460677, 12505, 228, 4, 44, "Input",ExpressionUUID->"00a934dc-83ee-4289-8ca5-436539b3e02c"],
Cell[460908, 12511, 3831, 107, 210, "Output",ExpressionUUID->"1345a549-cb9a-4814-a3dd-459fd4da3a54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[464776, 12623, 163, 3, 44, "Input",ExpressionUUID->"85cdecaa-dded-497f-ad14-3a76241ce494"],
Cell[464942, 12628, 1990, 63, 102, "Output",ExpressionUUID->"591b1a59-47cf-4725-844c-589248bbb1d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[466969, 12696, 278, 5, 44, "Input",ExpressionUUID->"97601ac0-c8c4-4e1a-aa0f-72d501ad19ca"],
Cell[467250, 12703, 4092, 115, 208, "Output",ExpressionUUID->"42af41d5-f904-4251-84b1-4d4445ce547c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[471379, 12823, 162, 3, 44, "Input",ExpressionUUID->"f4685538-8477-4bfb-b9b0-fa02e0216a4f"],
Cell[471544, 12828, 1968, 62, 102, "Output",ExpressionUUID->"be88100d-d977-43a7-8dcd-b8fb1ac00e22"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473549, 12895, 250, 5, 44, "Input",ExpressionUUID->"85463e01-557c-4198-9260-3d72a8955f6c"],
Cell[473802, 12902, 149, 2, 34, "Output",ExpressionUUID->"9bcbc918-7320-4c00-8e8d-1e082dac3593"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473988, 12909, 223, 4, 44, "Input",ExpressionUUID->"c25f5e66-8866-4511-858e-c2414e17a2da"],
Cell[474214, 12915, 15225, 467, 926, "Output",ExpressionUUID->"67c311e0-d403-435b-bb3a-746e05c1860e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[489476, 13387, 163, 3, 44, "Input",ExpressionUUID->"08b10875-cb82-4233-bacd-68a789676ccc"],
Cell[489642, 13392, 2040, 64, 102, "Output",ExpressionUUID->"a297019c-310a-4eaa-b891-ead5e2b8aaef"]
}, Open  ]],
Cell[491697, 13459, 142, 3, 35, "Text",ExpressionUUID->"2bb3fe37-0fa7-4472-b5e6-bdb7849ee539"],
Cell[491842, 13464, 207, 4, 59, "Text",ExpressionUUID->"bfc41cf0-0eb8-49cd-bc5e-d1b9c1850f2f"],
Cell[CellGroupData[{
Cell[492074, 13472, 229, 4, 44, "Input",ExpressionUUID->"3387fdb6-ff0c-4ac1-8493-8e9e539ef0a3"],
Cell[492306, 13478, 353, 10, 52, "Output",ExpressionUUID->"c07dbebf-811f-4bce-b30e-7a3b21ab6b5b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[492696, 13493, 373, 11, 62, "Input",ExpressionUUID->"fbbe098d-f090-4c89-a70a-c3cbb5cc8a83"],
Cell[493072, 13506, 192, 4, 50, "Output",ExpressionUUID->"ad22f6bf-8b0f-4cc0-ac01-930c14ce38f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[493301, 13515, 229, 4, 44, "Input",ExpressionUUID->"38c37fd2-df0c-43d8-a452-39779d2d82fe"],
Cell[493533, 13521, 217, 5, 50, "Output",ExpressionUUID->"451eae0e-9a85-48eb-b8e2-c36006dd415c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[493787, 13531, 229, 4, 44, "Input",ExpressionUUID->"3f9e23a0-daa0-4e7c-ade1-0f90a1de98da"],
Cell[494019, 13537, 370, 11, 54, "Output",ExpressionUUID->"9d1214f1-9e41-4251-afa8-fbcdf1b87b71"]
}, Open  ]],
Cell[CellGroupData[{
Cell[494426, 13553, 391, 13, 64, "Input",ExpressionUUID->"afedf418-3c09-4cf3-a030-1e648eb8783b"],
Cell[494820, 13568, 271, 7, 52, "Output",ExpressionUUID->"f2d4c640-1586-4fd7-a210-a7a6e91e327f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[495128, 13580, 231, 4, 44, "Input",ExpressionUUID->"63d1833b-6d86-4384-8811-33068cf18c89"],
Cell[495362, 13586, 149, 2, 34, "Output",ExpressionUUID->"e718d504-cdde-452d-b2a6-fdf8076a9ead"]
}, Open  ]],
Cell[CellGroupData[{
Cell[495548, 13593, 237, 4, 44, "Input",ExpressionUUID->"bc5995a3-b199-4f3e-9203-377a55e09d49"],
Cell[495788, 13599, 7302, 226, 451, "Output",ExpressionUUID->"f014ddac-321e-4a4d-8b81-99f4d1feef83"]
}, Open  ]],
Cell[CellGroupData[{
Cell[503127, 13830, 163, 3, 44, "Input",ExpressionUUID->"82fc3b33-e433-48f5-9007-9f22fd91843c"],
Cell[503293, 13835, 745, 21, 55, "Output",ExpressionUUID->"b45038e0-c795-4c02-9bb8-bf277c8f0561"]
}, Open  ]],
Cell[CellGroupData[{
Cell[504075, 13861, 1303, 38, 119, "Input",ExpressionUUID->"82542bfb-6f51-445b-94da-13eb10f5725e"],
Cell[505381, 13901, 745, 21, 55, "Output",ExpressionUUID->"79f5dba8-f169-48c4-9d56-012bc4341b4d"]
}, Open  ]],
Cell[506141, 13925, 173, 2, 30, "Input",ExpressionUUID->"a8d50fb7-7969-4aae-81bd-101d3f4a4554"],
Cell[506317, 13929, 152, 3, 30, "Input",ExpressionUUID->"6efda303-e23b-404b-8548-018a42706b8d"],
Cell[506472, 13934, 177, 3, 30, "Input",ExpressionUUID->"f06251b9-8d9e-488c-b863-35fe595143e5"],
Cell[506652, 13939, 144, 2, 30, "Input",ExpressionUUID->"eef7b7ca-bbf1-4101-b823-e9b5690ae4cb"],
Cell[506799, 13943, 154, 3, 30, "Input",ExpressionUUID->"19430f10-f6de-447a-b676-a0af59622c35"],
Cell[CellGroupData[{
Cell[506978, 13950, 234, 4, 44, "Input",ExpressionUUID->"34908f79-51e1-4802-8c8e-6cdf0d4f6f6c"],
Cell[507215, 13956, 4108, 129, 267, "Output",ExpressionUUID->"8274db6b-aec7-4f41-98d3-e7c64c3b69ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[511360, 14090, 163, 3, 44, "Input",ExpressionUUID->"15718839-8417-4f0b-a9c2-e1e5f1847536"],
Cell[511526, 14095, 889, 29, 55, "Output",ExpressionUUID->"07a25120-2947-4553-bf24-76c012aa07d0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[512452, 14129, 1295, 37, 119, "Input",ExpressionUUID->"b6107486-a44f-471e-b0e5-7d8648b7fb40"],
Cell[513750, 14168, 892, 29, 55, "Output",ExpressionUUID->"1efb6b82-0dd2-4ce3-8287-6627ef56c586"]
}, Open  ]],
Cell[CellGroupData[{
Cell[514679, 14202, 239, 4, 44, "Input",ExpressionUUID->"93d007f4-3e9e-45fc-953b-51e188afcbc5"],
Cell[514921, 14208, 1255, 36, 79, "Output",ExpressionUUID->"fec9cea1-fb2a-4d30-9662-62e40e38e36d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[516213, 14249, 1303, 38, 119, "Input",ExpressionUUID->"61a201f2-0a57-4f60-9a20-0e7be91f7ae8"],
Cell[517519, 14289, 743, 21, 55, "Output",ExpressionUUID->"dadf978f-8460-4ab2-af23-7eca09b64b1e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[518299, 14315, 232, 4, 44, "Input",ExpressionUUID->"ccc77ea3-08d4-43a6-b52b-aeeea2b9d407"],
Cell[518534, 14321, 151, 2, 34, "Output",ExpressionUUID->"1dd7a22e-c35f-4305-ac3c-56b7a060d845"]
}, Open  ]],
Cell[CellGroupData[{
Cell[518722, 14328, 230, 4, 44, "Input",ExpressionUUID->"cfa15e3f-3cb8-45ef-afd1-b7617274042b"],
Cell[518955, 14334, 8840, 274, 559, "Output",ExpressionUUID->"ae28084c-a9df-4bd5-95de-3d09a48a2f0c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[527832, 14613, 163, 3, 44, "Input",ExpressionUUID->"02164966-d820-4a5e-aa11-5833e095d9a9"],
Cell[527998, 14618, 917, 29, 55, "Output",ExpressionUUID->"b6e3d1e9-2721-4b8d-a75f-7ec3c83e6992"]
}, Open  ]],
Cell[528930, 14650, 143, 2, 30, "Input",ExpressionUUID->"6bf7a771-7a38-463c-bed4-cc6ad36d0c3d"],
Cell[529076, 14654, 151, 3, 30, "Input",ExpressionUUID->"4bcdf3a6-3882-4362-a909-2565fe6e0aa9"],
Cell[529230, 14659, 143, 2, 30, "Input",ExpressionUUID->"d1c316ab-cf9e-44eb-8fcd-ae713d9f5408"],
Cell[529376, 14663, 152, 3, 30, "Input",ExpressionUUID->"57560928-8951-405f-b74b-a6723a27aa93"],
Cell[529531, 14668, 177, 3, 30, "Input",ExpressionUUID->"807db283-0a69-428f-8d39-c87415b9a17e"],
Cell[529711, 14673, 177, 3, 30, "Input",ExpressionUUID->"14db7fcf-70b2-4aaa-9bb7-925e94f2e8c5"],
Cell[529891, 14678, 152, 3, 30, "Input",ExpressionUUID->"1545ab07-fa9d-4081-b9f8-fcad1bd8925c"],
Cell[530046, 14683, 170, 2, 30, "Input",ExpressionUUID->"b043537c-c76c-4c8a-8898-f8f33842f1c2"],
Cell[530219, 14687, 152, 3, 30, "Input",ExpressionUUID->"647bc4a4-375d-401a-a45c-93f57e76459a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[530408, 14695, 511, 12, 53, "Subtitle",ExpressionUUID->"e9c5ef90-e8ac-40ba-a99a-eb2ad6be194b"],
Cell[530922, 14709, 5777, 180, 172, "Text",ExpressionUUID->"44e680c7-d41d-4e68-a180-35b724c765e7"],
Cell[536702, 14891, 988, 30, 59, "Input",ExpressionUUID->"75012582-daf3-49a4-ae41-fa2406f05157"],
Cell[537693, 14923, 630, 16, 88, "Input",ExpressionUUID->"5db29ac1-b4f2-43fe-94dd-a1287d276291"],
Cell[CellGroupData[{
Cell[538348, 14943, 149, 2, 30, "Input",ExpressionUUID->"7f168cf1-fe58-463a-820c-46d37c6d41a6"],
Cell[538500, 14947, 1824, 57, 129, "Output",ExpressionUUID->"8cd02036-7505-473e-a383-6ee39f1451df"]
}, Open  ]],
Cell[540339, 15007, 1992, 61, 183, "Input",ExpressionUUID->"190718ca-09a1-4042-8f11-c497f48d6efd"],
Cell[542334, 15070, 723, 23, 62, "Input",ExpressionUUID->"c643d8e7-409f-46ee-bdac-d1e2bebfed2d"],
Cell[CellGroupData[{
Cell[543082, 15097, 147, 2, 30, "Input",ExpressionUUID->"f5fbc6f6-5446-4c13-8e14-6b52051cd6a9"],
Cell[543232, 15101, 2046, 62, 129, "Output",ExpressionUUID->"2f4270f6-3ba2-4dad-a7af-6ad715b8782b"]
}, Open  ]],
Cell[545293, 15166, 2113, 63, 221, "Input",ExpressionUUID->"734b91bc-8699-477a-b98d-d95988602a62"],
Cell[547409, 15231, 833, 27, 64, "Input",ExpressionUUID->"595832b1-43f7-422d-abf8-ed8e7b0447d3"],
Cell[548245, 15260, 1382, 45, 123, "Input",ExpressionUUID->"36d427ef-caa6-4f39-b86b-1a1af122796f"],
Cell[549630, 15307, 765, 25, 52, "Input",ExpressionUUID->"dea86999-641b-4587-a062-69199b16ebd5"],
Cell[CellGroupData[{
Cell[550420, 15336, 178, 2, 30, "Input",ExpressionUUID->"3a60a26d-e0cd-41ac-a9f0-c463f6bfbf10"],
Cell[550601, 15340, 6040, 191, 407, "Output",ExpressionUUID->"1a6c6132-9a08-475c-8ad2-ce4949fde4fc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[556678, 15536, 163, 3, 44, "Input",ExpressionUUID->"7da6bc78-a3ac-48f7-b0bb-9a4522614803"],
Cell[556844, 15541, 4465, 135, 221, "Output",ExpressionUUID->"eee01d59-99c5-456b-8b67-db9812453628"]
}, Open  ]],
Cell[CellGroupData[{
Cell[561346, 15681, 222, 4, 44, "Input",ExpressionUUID->"20b73ab4-289f-439d-b739-a7fa1a40afc7"],
Cell[561571, 15687, 1700, 53, 107, "Output",ExpressionUUID->"d6c5b0d7-79fd-413a-971d-65423be67065"]
}, Open  ]],
Cell[CellGroupData[{
Cell[563308, 15745, 257, 5, 44, "Input",ExpressionUUID->"fbbe1233-8904-410c-853f-82a93e39897c"],
Cell[563568, 15752, 1923, 60, 83, "Output",ExpressionUUID->"033688a6-32b1-4821-82cb-efe09d0f38c4"]
}, Open  ]],
Cell[565506, 15815, 203, 4, 30, "Input",ExpressionUUID->"3b2578d2-16f5-4e11-9b9c-6595cc701edc"],
Cell[CellGroupData[{
Cell[565734, 15823, 1796, 57, 98, "Input",ExpressionUUID->"3e29da22-28cc-470b-9184-a532f2833796"],
Cell[567533, 15882, 192, 4, 51, "Output",ExpressionUUID->"3793d00a-d1c2-41a0-bfdc-de5cd8c9fb1f"]
}, Open  ]],
Cell[567740, 15889, 241, 5, 48, "Input",ExpressionUUID->"cc3e21f2-6878-4ddc-b25c-360378a40473"],
Cell[567984, 15896, 152, 3, 30, "Input",ExpressionUUID->"19daf983-b65c-4798-a7f3-2a2cf8d69863"],
Cell[568139, 15901, 1768, 54, 94, "Input",ExpressionUUID->"1bd995cf-fe53-4975-884c-031d5a2b86c1"],
Cell[CellGroupData[{
Cell[569932, 15959, 180, 2, 30, "Input",ExpressionUUID->"3d5ad1e0-0603-4fdc-ab71-fee312a8074b"],
Cell[570115, 15963, 3678, 118, 247, "Output",ExpressionUUID->"3e5d30c2-c041-4ad9-9adb-9aefb175ba32"]
}, Open  ]],
Cell[CellGroupData[{
Cell[573830, 16086, 163, 3, 44, "Input",ExpressionUUID->"3e4980a9-33e8-43be-a65b-626e854ac6d7"],
Cell[573996, 16091, 151, 2, 34, "Output",ExpressionUUID->"55daa283-161c-4268-b807-958fbece41ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[574184, 16098, 182, 2, 30, "Input",ExpressionUUID->"ac8033c9-cccb-4ba3-9244-84f93a0ddc74"],
Cell[574369, 16102, 6283, 199, 451, "Output",ExpressionUUID->"67ad5c04-4568-4e1b-93b6-f7966a860a3c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[580689, 16306, 163, 3, 44, "Input",ExpressionUUID->"2a02d81c-9270-48b8-83d7-597616f4df76"],
Cell[580855, 16311, 5827, 182, 345, "Output",ExpressionUUID->"ed68752e-0d89-4b15-bc00-0dda1a6ad1a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[586719, 16498, 3512, 109, 270, "Input",ExpressionUUID->"397a6d48-b468-497f-a39b-019d86f21eeb"],
Cell[590234, 16609, 149, 2, 34, "Output",ExpressionUUID->"7a2ad8ac-6d27-47ae-b38f-5a36727a7ec4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[590420, 16616, 5891, 181, 404, "Input",ExpressionUUID->"fbe5b2df-825b-4696-8bda-86c9861adfac"],
Cell[596314, 16799, 5826, 182, 345, "Output",ExpressionUUID->"63d85b3d-a925-445c-9d8b-79eaad1d3ecd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[602177, 16986, 3578, 109, 270, "Input",ExpressionUUID->"c2e0dfb5-1ec3-4772-898e-bc700c5b3653"],
Cell[605758, 17097, 151, 2, 34, "Output",ExpressionUUID->"81209722-a589-4bec-822a-5d9c55c8b778"]
}, Open  ]],
Cell[CellGroupData[{
Cell[605946, 17104, 2641, 78, 186, "Input",ExpressionUUID->"52c29598-3f9b-491d-b4cc-13bd4921e708"],
Cell[608590, 17184, 2562, 78, 167, "Output",ExpressionUUID->"f6d55206-f34b-424c-b57c-18d5ee4fe30e"]
}, Open  ]],
Cell[611167, 17265, 316, 8, 48, "Input",ExpressionUUID->"53c893b1-36dc-4674-b08f-63cc1d898014"],
Cell[611486, 17275, 227, 4, 30, "Input",ExpressionUUID->"915025c3-fae6-43f7-8bc6-b0218d1f4672"],
Cell[CellGroupData[{
Cell[611738, 17283, 171, 2, 30, "Input",ExpressionUUID->"9f80812a-a3b5-44c3-b9fc-4b953e39e1d8"],
Cell[611912, 17287, 6360, 200, 491, "Output",ExpressionUUID->"b477caec-b779-4e4e-a66f-4fcdbb081bab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[618309, 17492, 163, 3, 44, "Input",ExpressionUUID->"8ef50adb-c4fc-4cc6-a9e4-e22ce49f4f28"],
Cell[618475, 17497, 2331, 69, 137, "Output",ExpressionUUID->"22b39c01-ccad-49d8-8343-791f2d2959d0"]
}, Open  ]],
Cell[620821, 17569, 152, 3, 30, "Input",ExpressionUUID->"998999e6-722a-43b9-82c3-823077d849b0"],
Cell[620976, 17574, 428, 10, 203, "Text",ExpressionUUID->"3bc7491c-6949-4610-ab76-a06be8fd363f"],
Cell[621407, 17586, 7506, 234, 669, "Input",ExpressionUUID->"0426ce1d-5c1a-4cd2-b9cc-e4cc57af3ecc"],
Cell[628916, 17822, 150, 3, 59, "Text",ExpressionUUID->"80321340-eabe-4676-ad48-492f37419504"],
Cell[CellGroupData[{
Cell[629091, 17829, 222, 4, 44, "Input",ExpressionUUID->"70c865f9-a28b-4b3e-b8ac-0b0fc604d9d5"],
Cell[629316, 17835, 149, 2, 34, "Output",ExpressionUUID->"2f91a863-7be5-4b72-abf1-ec75ded0d112"]
}, Open  ]],
Cell[CellGroupData[{
Cell[629502, 17842, 221, 4, 44, "Input",ExpressionUUID->"a3774643-88de-457a-8b0f-a808ec1bae76"],
Cell[629726, 17848, 151, 2, 34, "Output",ExpressionUUID->"d4e7bda7-369a-4b57-a324-989afc8bdd6c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[629914, 17855, 222, 4, 44, "Input",ExpressionUUID->"86292d5a-0acd-41f2-8c0e-f838e2c308c5"],
Cell[630139, 17861, 169, 3, 50, "Output",ExpressionUUID->"5a73e300-92e2-4447-b8de-35bce951bfc7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[630345, 17869, 222, 4, 44, "Input",ExpressionUUID->"e3485e9b-bf03-4fec-a4ea-79df7aa1580d"],
Cell[630570, 17875, 149, 2, 34, "Output",ExpressionUUID->"44ad4383-ef5a-452f-8ac1-d7d76647dd5d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[630756, 17882, 228, 4, 44, "Input",ExpressionUUID->"ca95e630-50bb-4c19-8088-3231582c2c70"],
Cell[630987, 17888, 1127, 36, 66, "Output",ExpressionUUID->"aa9fa98f-256e-4096-859b-c0e3f581cda5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[632151, 17929, 1176, 38, 111, "Input",ExpressionUUID->"d177b030-b337-42bc-b2c7-22ed83b92633"],
Cell[633330, 17969, 792, 25, 64, "Output",ExpressionUUID->"cd957910-6ce6-41d9-b979-d37e6f3ea1f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[634159, 17999, 225, 4, 44, "Input",ExpressionUUID->"ee35aa6a-c9d7-4974-8ebd-09e39a4e49cb"],
Cell[634387, 18005, 1190, 38, 84, "Output",ExpressionUUID->"75e6b457-e747-4ab1-8840-22b2514c4a83"]
}, Open  ]],
Cell[CellGroupData[{
Cell[635614, 18048, 1240, 40, 128, "Input",ExpressionUUID->"5a407ecd-e414-46f3-acb9-ffa2aece3af2"],
Cell[636857, 18090, 958, 30, 64, "Output",ExpressionUUID->"231429da-2ae6-4422-90a8-8461b285f4f7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[637852, 18125, 223, 4, 44, "Input",ExpressionUUID->"cd64959e-8904-409d-aa65-f3eede8c318a"],
Cell[638078, 18131, 192, 4, 51, "Output",ExpressionUUID->"670762f8-3c62-40cf-92b2-5713b5064d7b"]
}, Open  ]],
Cell[638285, 18138, 200, 4, 59, "Text",ExpressionUUID->"37a70b0c-5b0d-4f95-a51e-33669fa42717"],
Cell[CellGroupData[{
Cell[638510, 18146, 224, 4, 44, "Input",ExpressionUUID->"229b7274-1f1e-43fc-94d6-443531459555"],
Cell[638737, 18152, 1409, 46, 70, "Output",ExpressionUUID->"62d6d311-5a2a-4a8e-aea3-fd69f2bc7053"]
}, Closed]],
Cell[CellGroupData[{
Cell[640183, 18203, 1463, 47, 138, "Input",ExpressionUUID->"c31149a3-7641-4835-a85a-451aae3daffe"],
Cell[641649, 18252, 697, 21, 57, "Output",ExpressionUUID->"7f435e7f-a53d-4f8c-b75a-9e261cc5e374"]
}, Open  ]],
Cell[CellGroupData[{
Cell[642383, 18278, 224, 4, 44, "Input",ExpressionUUID->"dac80797-0449-4ba6-b43e-3532afc9bd9e"],
Cell[642610, 18284, 1585, 51, 127, "Output",ExpressionUUID->"43fb5076-e53c-44db-951d-ac696d729461"]
}, Open  ]],
Cell[CellGroupData[{
Cell[644232, 18340, 1644, 52, 148, "Input",ExpressionUUID->"35a6e3c6-17e6-4c7c-8b76-e5ec08e31fc6"],
Cell[645879, 18394, 694, 20, 57, "Output",ExpressionUUID->"8578311f-be0b-4e23-a085-e2f84ac69158"]
}, Open  ]],
Cell[CellGroupData[{
Cell[646610, 18419, 273, 5, 44, "Input",ExpressionUUID->"244380e3-8bda-4396-80d0-600aa30e8ccf"],
Cell[646886, 18426, 1126, 36, 73, "Output",ExpressionUUID->"4d3eead8-afb4-4d03-9aff-d2bcbbbf7b07"]
}, Open  ]],
Cell[CellGroupData[{
Cell[648049, 18467, 1172, 37, 87, "Input",ExpressionUUID->"aa22682b-fbe6-40f2-a2b2-a4095cbeb9e5"],
Cell[649224, 18506, 1126, 36, 73, "Output",ExpressionUUID->"ce175eb6-5653-4ce8-94df-9e7bb75e5077"]
}, Open  ]],
Cell[CellGroupData[{
Cell[650387, 18547, 253, 5, 44, "Input",ExpressionUUID->"5a7095cd-98c0-482d-b8fd-5a0a3724054c"],
Cell[650643, 18554, 6376, 197, 389, "Output",ExpressionUUID->"57c36258-a3e2-49ba-9763-00890cf80985"]
}, Open  ]],
Cell[CellGroupData[{
Cell[657056, 18756, 163, 3, 44, "Input",ExpressionUUID->"69b0e273-6495-464a-aabe-840b1b21da19"],
Cell[657222, 18761, 2548, 78, 121, "Output",ExpressionUUID->"25acbd6a-16ee-4df1-8bb3-7e692c937165"]
}, Open  ]],
Cell[659785, 18842, 209, 4, 59, "Text",ExpressionUUID->"3d5504cf-45d5-4549-9793-c32bdfdf4283"],
Cell[CellGroupData[{
Cell[660019, 18850, 229, 4, 44, "Input",ExpressionUUID->"f3b7a34f-d6d6-4321-ba8f-f731a378b190"],
Cell[660251, 18856, 676, 20, 57, "Output",ExpressionUUID->"66bc8fb3-3f69-424e-b02c-375b67623b0c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[660964, 18881, 706, 21, 70, "Input",ExpressionUUID->"7307b048-b054-48e0-9c18-321100918823"],
Cell[661673, 18904, 527, 15, 57, "Output",ExpressionUUID->"e4065f01-ffe5-44d6-a18b-338feea9b6af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[662237, 18924, 229, 4, 44, "Input",ExpressionUUID->"127a4ba3-5ae2-4575-af1c-ddcf38901774"],
Cell[662469, 18930, 697, 21, 57, "Output",ExpressionUUID->"a754e7e9-5616-4365-a81f-4409c45ff4a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[663203, 18956, 728, 22, 70, "Input",ExpressionUUID->"39c2b4dc-3a19-4ca6-88af-2e6bfdd473d4"],
Cell[663934, 18980, 561, 16, 57, "Output",ExpressionUUID->"43c97a1d-8871-44ce-b262-590fee865459"]
}, Open  ]],
Cell[CellGroupData[{
Cell[664532, 19001, 231, 4, 44, "Input",ExpressionUUID->"5c08510b-b9da-45e8-9c51-76b89b8b2e26"],
Cell[664766, 19007, 773, 24, 68, "Output",ExpressionUUID->"0e779bbb-23ad-4a39-80bf-63e69a6b3cca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[665576, 19036, 805, 25, 81, "Input",ExpressionUUID->"b26e75fb-60ce-4fd1-8027-f1c52b058201"],
Cell[666384, 19063, 771, 24, 68, "Output",ExpressionUUID->"5ccf3f4a-4384-4325-a0e4-a15af10b7dbf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[667192, 19092, 232, 4, 44, "Input",ExpressionUUID->"f24d2f3f-bb2f-43f7-9042-a6fbe71fe9e6"],
Cell[667427, 19098, 3840, 119, 238, "Output",ExpressionUUID->"ee80c792-f0be-4266-8a8d-0203cb16435c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[671304, 19222, 163, 3, 44, "Input",ExpressionUUID->"7642d76a-f331-4f91-9af4-39e9e8a11297"],
Cell[671470, 19227, 1788, 54, 97, "Output",ExpressionUUID->"e364adeb-dc16-4e47-92c0-d48c235b85ec"],
Cell[673261, 19283, 156, 2, 34, "Output",ExpressionUUID->"6120fcb5-1789-42b4-a459-a6f526621b4e"]
}, Open  ]]
}, Open  ]]
}
]
*)

