(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     34457,        994]
NotebookOptionsPosition[     28919,        894]
NotebookOutlinePosition[     29365,        912]
CellTagsIndexPosition[     29322,        909]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.860300230587887*^9, 
  3.860300231383636*^9}},ExpressionUUID->"bd5cd17c-e1e4-4335-9985-\
f3a1f6eddc92"],

Cell[TextData[{
 StyleBox["if  the premium rate is exoginex",
  FontColor->RGBColor[1, 0, 1]],
 "\n"
}], "Text",
 CellChangeTimes->{{3.8603002397367887`*^9, 
  3.8603002774799347`*^9}},ExpressionUUID->"13a71901-534a-4c54-918d-\
49ab2282a3b8"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", " ", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}, {3.8603003667072268`*^9, 
  3.86030040172586*^9}, {3.860645781341642*^9, 3.86064578203906*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"1df93235-ebd3-4096-be35-eeebde422cee"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.860300285820388*^9, 3.86030032167453*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"e848b8b2-9859-4b55-8252-4877c35877c7"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{
  3.860300323081964*^9, {3.860300379570532*^9, 3.8603004049806623`*^9}, 
   3.8606458093205843`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"0a4850e7-d0bc-4e62-b592-357696f7cd66"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.860300327349886*^9, 3.860300335129929*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"e8df1290-6007-4651-bc36-99d558594388"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.8603003361769533`*^9, {3.860300384085766*^9, 3.860300407110848*^9}, 
   3.860645809849145*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"ee4c2423-1c68-459d-8393-63cbca14b36f"]
}, Open  ]],

Cell[TextData[StyleBox["the government compensate the launch insurance:",
 FontColor->RGBColor[1, 0, 1]]], "Text",
 CellChangeTimes->{{3.860463874859791*^9, 
  3.8604638943089933`*^9}},ExpressionUUID->"6d512761-c8c0-49fb-bfe1-\
e74d82c2374b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8603002331988077`*^9, 
  3.860300234369191*^9}},ExpressionUUID->"b3a59982-aca8-4c98-a5ea-\
0290df48cfb4"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", " ", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", "g"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}, {3.8603003667072268`*^9, 
  3.86030040172586*^9}, {3.860463674436941*^9, 3.8604636829743023`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"a4e8222d-55b0-4196-a9bc-8f88d0270028"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.860463697369083*^9, 3.860463704603182*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"74d4da99-4526-4eae-96fa-132e41188141"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.860463705491045*^9, 3.860646162858625*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"93aa1821-f8d3-42f0-9336-c561d3915836"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellLabel->"In[16]:=",ExpressionUUID->"53008711-2940-4564-93ce-40b0fb58dcb6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8604637138766623`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"12407ebc-98f6-41c1-89a2-c50f5ebfdb76"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{"1", "-", 
   FractionBox[
    RowBox[{"p", "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", "k"}]]}]}]}], "Input",
 CellChangeTimes->{{3.860463723641794*^9, 3.860463729091907*^9}, {
  3.860646359324581*^9, 3.8606463643029737`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"c6d9a6c6-4f20-426b-9227-7de6714ff9ca"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.860646413686543*^9, 3.860646415720756*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"29280f1f-9a84-40a6-93c6-b097d0953e26"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "g", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.860646416734268*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"38a05686-e073-48bf-833b-9d2fa0250408"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"p", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
    RowBox[{"2", " ", "k"}]], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "g", "-", 
      FractionBox[
       RowBox[{"p", "-", 
        RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
       RowBox[{"2", " ", "k"}]]}], ")"}]}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[6]:=",ExpressionUUID->"f7b82e1f-da6c-41b5-85fb-d1544f45b11c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", "cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k"}], "+", 
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "g", " ", "k"}], "+", "p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], "-", 
   RowBox[{"p", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], 
      "+", "\[Theta]", "-", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860646419561296*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"ed178a5f-5125-4182-9b5b-935d21d86ac9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860463743002747*^9, 3.860463747731801*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"02f111c0-386b-4fc1-88a8-33e460b330cb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"f", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "p", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "-",
    "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860463749945017*^9, 3.860646183295006*^9, 
  3.860646425305777*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"1ba0e514-636b-461c-8b45-b7d8c4ce6a7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{
    RowBox[{"f", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "-", 
    RowBox[{"2", " ", "p", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], 
    "-", "\[Theta]", "+", 
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[8]:=",ExpressionUUID->"db3531d4-f2b3-4177-a6d9-60c9a6b245f1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"f", "-", 
   RowBox[{"2", " ", "p", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}], "-", 
   RowBox[{"f", " ", "\[Alpha]"}], "+", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "k", " ", "\[Alpha]"}], "-",
    "\[Theta]", "+", 
   RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860646428677751*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"1eee50ae-4fef-4379-a19d-e983254d01cb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860463762561479*^9, 3.8604637703398046`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"be1e469a-f37e-49ed-a08a-b44d4ef08b24"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}], "\[IndentingNewLine]", 
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"f", "-", 
    RowBox[{"f", " ", "\[Alpha]"}], "-", 
    RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
    
    RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}]}], "Input",
 CellChangeTimes->{{3.860646566075735*^9, 3.860646574347887*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"50bad14e-99e5-484f-ba08-4370f2123a40"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.860646574847898*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"092de39a-3799-435a-a423-7c56a1361a81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{3.8604638021713057`*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"bf0b67f7-a2f8-4d31-b8e2-0ce583aa1b32"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{"f", "-", 
     RowBox[{"f", " ", "\[Alpha]"}], "-", 
     RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
     RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"f", "-", 
       RowBox[{"f", " ", "\[Alpha]"}], "-", 
       RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
       "+", 
       RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860463802943521*^9, 3.860646579232436*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"357ff1f3-4a14-4aa8-859c-8001e8dcdc90"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"f", "-", 
      RowBox[{"f", " ", "\[Alpha]"}], "-", 
      RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
      "+", 
      RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"f", "-", 
        RowBox[{"f", " ", "\[Alpha]"}], "-", 
        RowBox[{"2", " ", "k", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "g", " ", "k", " ", "\[Alpha]"}], "-", "\[Theta]", 
        "+", 
        RowBox[{"\[Alpha]", " ", "\[Theta]"}]}], ")"}]}], 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], "2"]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[13]:=",ExpressionUUID->"93d12589-9fc5-4275-9ec4-027fe62e35d0"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["f", "k"], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "g"}], ")"}], " ", "\[Alpha]"}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}]], "+", 
    FractionBox["\[Theta]", "k"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.860646582037858*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"b1429b10-1483-4004-906a-fbc6585cb334"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.86046389753306*^9, 
  3.860463899441937*^9}},ExpressionUUID->"5e780f87-51e7-4dbd-9fc7-\
2271a4763503"],

Cell["without the government compensating", "Text",
 CellChangeTimes->{{3.8604639061487837`*^9, 
  3.860463916250502*^9}},ExpressionUUID->"12040ef1-3243-4c74-9c1f-\
6c3ebe0f701c"],

Cell[BoxData[{
 RowBox[{"Profitv", ":=", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", "p"}], "+", 
   RowBox[{"e", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "\[Theta]"}], "-", " ", 
   RowBox[{"k", "*", 
    RowBox[{"(", 
     RowBox[{"e", "*", "e"}], ")"}]}], "-", "cv"}]}], "\[IndentingNewLine]", 
 RowBox[{"Profits", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Alpha]"}], " ", "p"}], "+", 
   RowBox[{"e", 
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}], "p"}]}], ")"}]}], "-", "cs", 
   " ", "-", 
   RowBox[{"r", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs", "+", "f"}], 
     ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.846994998245145*^9, 3.8469950417569017`*^9}, {
  3.8469951304226103`*^9, 3.846995258470537*^9}, {3.84699543311882*^9, 
  3.84699545867137*^9}, {3.846995492307365*^9, 3.846995496643367*^9}, {
  3.847071574315486*^9, 3.847071676196108*^9}, {3.8470717178586597`*^9, 
  3.847071728403867*^9}, {3.847101586691174*^9, 3.8471015994164743`*^9}, {
  3.847326020480481*^9, 3.8473260725167913`*^9}, {3.8473261505798407`*^9, 
  3.847326161336322*^9}, {3.847326488652102*^9, 3.847326489366748*^9}, {
  3.847327173378199*^9, 3.847327174529965*^9}, {3.8603003667072268`*^9, 
  3.86030040172586*^9}, {3.860463674436941*^9, 3.8604636829743023`*^9}, {
  3.860463931982966*^9, 3.8604639340849733`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"a7baa121-41fc-4193-af35-3d9b75a0285d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitv", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8604639500288763`*^9, 3.860463981200067*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"8af73e6d-a45d-498a-9236-022514244bc8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "e", " ", "k"}], "+", 
  RowBox[{"p", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{{3.860463976605585*^9, 3.8604639902435293`*^9}},
 CellLabel->"Out[7]=",ExpressionUUID->"6ce017bc-2ec9-40a3-b3ca-454cdccbe4c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.860463995691087*^9, 3.860464002311614*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"4e9f21ec-c2f1-41f2-86a4-acd8ba18206a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.860464002758119*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"88a9e25b-880d-41c0-b150-7ddd8e7e90c4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{"p", "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.860464014900243*^9, 3.860464021011902*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"e186581d-336c-4182-91f8-5fe3eb9238ee"],

Cell[CellGroupData[{

Cell[BoxData["Profits"], "Input",
 CellChangeTimes->{{3.860464023472517*^9, 3.86046402641118*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"0477c1f3-5b5d-4b37-965a-0e4813c74b07"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", "f", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.860464027346496*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"081c45f9-a75e-4dce-8d21-2b7bc1245bfd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"%", ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860464032393825*^9, 3.86046403722204*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"32933e8f-9736-4e49-b963-d774a69e8d72"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"f", "-", 
      RowBox[{"p", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "-", "\[Alpha]", "-", 
  RowBox[{"r", " ", "\[Alpha]"}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", "f", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"p", "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}], 
   RowBox[{"2", " ", "k"}]], "+", 
  RowBox[{"\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"p", "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.860464037754578*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"1819a600-91f3-4b0e-9f33-4963ac792b02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"%", "\[Equal]", "0"}], ",", "p"}], "]"}]], "Input",
 CellChangeTimes->{{3.860464039533687*^9, 3.860464044417053*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"586ad4ba-99de-4d55-9e59-adea91769550"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", 
    FractionBox[
     RowBox[{"cs", "-", 
      RowBox[{"cs", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8604640449451733`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"0a948b6c-2c54-48de-807b-0ec7af0ec4a4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"p", ":=", 
  FractionBox[
   RowBox[{"cs", "-", 
    RowBox[{"cs", " ", "\[Alpha]"}], "+", 
    RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}]], "Input",
 CellChangeTimes->{{3.860464055137809*^9, 3.860464061466647*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"c43c6c17-55f4-4f74-85eb-2af540ff496e"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{{3.860464064235456*^9, 3.8604640708905687`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"7ab01d4e-a072-42c0-81bd-e6dee0533fd6"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Theta]", "+", 
   FractionBox[
    RowBox[{"cs", "-", 
     RowBox[{"cs", " ", "\[Alpha]"}], "+", 
     RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"(", 
      RowBox[{"cs", "-", 
       RowBox[{"cs", " ", "\[Alpha]"}], "+", 
       RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      ")"}]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.860464071671526*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"47212458-dee5-4a2f-b2bb-abc0fac07410"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  FractionBox[
   RowBox[{"\[Theta]", "+", 
    FractionBox[
     RowBox[{"cs", "-", 
      RowBox[{"cs", " ", "\[Alpha]"}], "+", 
      RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]], "-", 
    FractionBox[
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"(", 
       RowBox[{"cs", "-", 
        RowBox[{"cs", " ", "\[Alpha]"}], "+", 
        RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}],
        ")"}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}]]}], 
   RowBox[{"2", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[15]:=",ExpressionUUID->"d65bef79-4e8c-406c-82e0-975074263ec0"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Alpha]"}], ")"}]}], "-", 
   RowBox[{"2", " ", "k", " ", "r", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.86046407395068*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"16d0fd3f-bd3f-4512-9c14-b9dd99e2a6dc"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{52, Automatic}, {Automatic, 4}},
TaggingRules->{"TryRealOnly" -> False},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d13918b4-3b42-44d1-9fc2-b148eee66601"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 152, 3, 30, "Input",ExpressionUUID->"bd5cd17c-e1e4-4335-9985-f3a1f6eddc92"],
Cell[713, 25, 242, 7, 58, "Text",ExpressionUUID->"13a71901-534a-4c54-918d-49ab2282a3b8"],
Cell[958, 34, 1731, 44, 52, "Input",ExpressionUUID->"1df93235-ebd3-4096-be35-eeebde422cee"],
Cell[CellGroupData[{
Cell[2714, 82, 226, 4, 44, "Input",ExpressionUUID->"e848b8b2-9859-4b55-8252-4877c35877c7"],
Cell[2943, 88, 397, 10, 34, "Output",ExpressionUUID->"0a4850e7-d0bc-4e62-b592-357696f7cd66"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3377, 103, 256, 5, 44, "Input",ExpressionUUID->"e8df1290-6007-4651-bc36-99d558594388"],
Cell[3636, 110, 426, 11, 49, "Output",ExpressionUUID->"ee4c2423-1c68-459d-8393-63cbca14b36f"]
}, Open  ]],
Cell[4077, 124, 242, 4, 35, "Text",ExpressionUUID->"6d512761-c8c0-49fb-bfe1-e74d82c2374b"],
Cell[4322, 130, 154, 3, 30, "Input",ExpressionUUID->"b3a59982-aca8-4c98-a5ea-0290df48cfb4"],
Cell[4479, 135, 1785, 46, 52, "Input",ExpressionUUID->"a4e8222d-55b0-4196-a9bc-8f88d0270028"],
Cell[CellGroupData[{
Cell[6289, 185, 227, 4, 44, "Input",ExpressionUUID->"74d4da99-4526-4eae-96fa-132e41188141"],
Cell[6519, 191, 340, 8, 34, "Output",ExpressionUUID->"93aa1821-f8d3-42f0-9336-c561d3915836"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6896, 204, 191, 4, 44, "Input",ExpressionUUID->"53008711-2940-4564-93ce-40b0fb58dcb6"],
Cell[7090, 210, 352, 9, 49, "Output",ExpressionUUID->"12407ebc-98f6-41c1-89a2-c50f5ebfdb76"]
}, Open  ]],
Cell[7457, 222, 561, 14, 83, "Input",ExpressionUUID->"c6d9a6c6-4f20-426b-9227-7de6714ff9ca"],
Cell[CellGroupData[{
Cell[8043, 240, 177, 2, 30, "Input",ExpressionUUID->"29280f1f-9a84-40a6-93c6-b097d0953e26"],
Cell[8223, 244, 1162, 36, 88, "Output",ExpressionUUID->"38a05686-e073-48bf-833b-9d2fa0250408"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9422, 285, 1208, 37, 101, "Input",ExpressionUUID->"f7b82e1f-da6c-41b5-85fb-d1544f45b11c"],
Cell[10633, 324, 949, 28, 55, "Output",ExpressionUUID->"ed178a5f-5125-4182-9b5b-935d21d86ac9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11619, 357, 221, 4, 44, "Input",ExpressionUUID->"02f111c0-386b-4fc1-88a8-33e460b330cb"],
Cell[11843, 363, 689, 20, 53, "Output",ExpressionUUID->"1ba0e514-636b-461c-8b45-b7d8c4ce6a7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12569, 388, 671, 20, 63, "Input",ExpressionUUID->"db3531d4-f2b3-4177-a6d9-60c9a6b245f1"],
Cell[13243, 410, 601, 17, 53, "Output",ExpressionUUID->"1eee50ae-4fef-4379-a19d-e983254d01cb"]
}, Open  ]],
Cell[13859, 430, 258, 5, 44, "Input",ExpressionUUID->"be1e469a-f37e-49ed-a08a-b44d4ef08b24"],
Cell[CellGroupData[{
Cell[14142, 439, 1117, 31, 98, InheritFromParent,ExpressionUUID->"50bad14e-99e5-484f-ba08-4370f2123a40"],
Cell[15262, 472, 646, 18, 55, "Output",ExpressionUUID->"092de39a-3799-435a-a423-7c56a1361a81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15945, 495, 150, 2, 30, "Input",ExpressionUUID->"bf0b67f7-a2f8-4d31-b8e2-0ce583aa1b32"],
Cell[16098, 499, 1132, 30, 61, "Output",ExpressionUUID->"357ff1f3-4a14-4aa8-859c-8001e8dcdc90"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17267, 534, 1157, 32, 72, "Input",ExpressionUUID->"93d12589-9fc5-4275-9ec4-027fe62e35d0"],
Cell[18427, 568, 502, 15, 52, "Output",ExpressionUUID->"b1429b10-1483-4004-906a-fbc6585cb334"]
}, Open  ]],
Cell[18944, 586, 151, 3, 30, "Input",ExpressionUUID->"5e780f87-51e7-4dbd-9fc7-2271a4763503"],
Cell[19098, 591, 179, 3, 35, "Text",ExpressionUUID->"12040ef1-3243-4c74-9c1f-6c3ebe0f701c"],
Cell[19280, 596, 1785, 45, 52, "Input",ExpressionUUID->"a7baa121-41fc-4193-af35-3d9b75a0285d"],
Cell[CellGroupData[{
Cell[21090, 645, 229, 4, 44, "Input",ExpressionUUID->"8af73e6d-a45d-498a-9236-022514244bc8"],
Cell[21322, 651, 344, 8, 34, "Output",ExpressionUUID->"6ce017bc-2ec9-40a3-b3ca-454cdccbe4c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21703, 664, 256, 5, 44, "Input",ExpressionUUID->"4e9f21ec-c2f1-41f2-86a4-acd8ba18206a"],
Cell[21962, 671, 349, 9, 49, "Output",ExpressionUUID->"88a9e25b-880d-41c0-b150-7ddd8e7e90c4"]
}, Open  ]],
Cell[22326, 683, 312, 7, 46, "Input",ExpressionUUID->"e186581d-336c-4182-91f8-5fe3eb9238ee"],
Cell[CellGroupData[{
Cell[22663, 694, 177, 2, 30, "Input",ExpressionUUID->"0477c1f3-5b5d-4b37-965a-0e4813c74b07"],
Cell[22843, 698, 974, 30, 51, "Output",ExpressionUUID->"081c45f9-a75e-4dce-8d21-2b7bc1245bfd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23854, 733, 221, 4, 44, "Input",ExpressionUUID->"32933e8f-9736-4e49-b963-d774a69e8d72"],
Cell[24078, 739, 1200, 38, 51, "Output",ExpressionUUID->"1819a600-91f3-4b0e-9f33-4963ac792b02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25315, 782, 257, 5, 44, "Input",ExpressionUUID->"586ad4ba-99de-4d55-9e59-adea91769550"],
Cell[25575, 789, 507, 14, 53, "Output",ExpressionUUID->"0a948b6c-2c54-48de-807b-0ec7af0ec4a4"]
}, Open  ]],
Cell[26097, 806, 457, 11, 50, "Input",ExpressionUUID->"c43c6c17-55f4-4f74-85eb-2af540ff496e"],
Cell[CellGroupData[{
Cell[26579, 821, 174, 2, 30, "Input",ExpressionUUID->"7ab01d4e-a072-42c0-81bd-e6dee0533fd6"],
Cell[26756, 825, 843, 24, 60, "Output",ExpressionUUID->"47212458-dee5-4a2f-b2bb-abc0fac07410"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27636, 854, 877, 25, 69, "Input",ExpressionUUID->"d65bef79-4e8c-406c-82e0-975074263ec0"],
Cell[28516, 881, 387, 10, 51, "Output",ExpressionUUID->"16d0fd3f-bd3f-4512-9c14-b9dd99e2a6dc"]
}, Open  ]]
}
]
*)

