(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15589,        461]
NotebookOptionsPosition[     12690,        401]
NotebookOutlinePosition[     13098,        418]
CellTagsIndexPosition[     13055,        415]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Profitc", "=", 
  RowBox[{"v", "-", "cs", "-", "cv", "-", 
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}], "-", 
   RowBox[{"k", "*", "e", "*", "e"}]}]}]], "Input",
 CellChangeTimes->{{3.8461263467064447`*^9, 3.8461264347267113`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"553d9f93-57ee-446e-969c-6336485a037f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "+", "v", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.846126445010041*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"12f54655-f5e8-4b05-8f91-4b5e3e4b1436"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Profitc"], "Input",
 CellChangeTimes->{{3.8461264426288967`*^9, 3.846126447235664*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"5b966050-eaea-412b-b516-078233762697"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "+", "v", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.846126448898058*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"e8db741c-d426-4236-96db-9d31892d5e78"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"-", "cs"}], "-", "cv", "-", 
   RowBox[{
    SuperscriptBox["e", "2"], " ", "k"}], "+", "v", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{"cs", "+", 
      RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}]}], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[3]:=",ExpressionUUID->"1bd13cc6-5530-4f30-b92f-97e81c847bfb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cv"}], "-", 
  RowBox[{
   SuperscriptBox["e", "2"], " ", "k"}], "-", 
  RowBox[{"cs", " ", 
   RowBox[{"(", 
    RowBox[{"e", "+", "r"}], ")"}]}], "+", "v", "+", 
  RowBox[{"p", " ", "\[Alpha]"}], "-", 
  RowBox[{"e", " ", "p", " ", "\[Alpha]"}], "-", 
  RowBox[{"p", " ", "r", " ", "\[Alpha]"}], "-", "\[Theta]", "+", 
  RowBox[{"e", " ", "\[Theta]"}]}]], "Output",
 CellChangeTimes->{3.8461264542762337`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"19cb7435-7293-495b-b682-1561d17d81c5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{"Profitc", ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8461265888938837`*^9, 3.846126599517988*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"2f06cf4b-04e6-478a-9dd7-2447136326f1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", 
  RowBox[{"2", " ", "e", " ", "k"}], "-", 
  RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}]], "Output",
 CellChangeTimes->{3.8461266007348967`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"4ad131c6-d82c-48fe-b7c0-d85f7d044fe8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "cs"}], "-", 
     RowBox[{"2", " ", "e", " ", "k"}], "-", 
     RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], "\[Equal]", "0"}], 
   ",", "e"}], "]"}]], "Input",
 CellChangeTimes->{{3.8461266951115313`*^9, 3.846126711200161*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"48fd95d3-c9ea-4b85-a251-49129f3d376a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}], "\[IndentingNewLine]", 
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "cs"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]}], "Input",
 CellChangeTimes->{{3.846126739191382*^9, 3.846126756092791*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"08025e69-5ef1-4f16-a1a0-d8f518316e66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.846126763638418*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"e8a16c17-7047-4abe-a93b-41780fd879d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Profitc", "=", 
  RowBox[{"v", "-", "cs", "-", "cv", "-", 
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Alpha]", " ", "p"}], "+", "cs"}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "e"}], ")"}], " ", "\[Theta]"}], "-", 
   RowBox[{"k", "*", "e", "*", "e"}]}]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"fac266a2-7cf3-4bec-8564-ecda3442c2c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "cs"}], "-", "cv", "+", "v", "-", 
  RowBox[{"r", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}]}], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}], "2"], 
   RowBox[{"4", " ", "k"}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"p", " ", "\[Alpha]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "cs"}], "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}], "-", 
  RowBox[{"\[Theta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "cs"}], "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
      RowBox[{"2", " ", "k"}]]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.846126771678705*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"80fbdb60-7372-487e-be8f-d5a27663c45b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "Profitc", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"1d2e3af8-c8a8-4ce4-85b8-e9878eae70d8"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["cs", "2"], "-", 
   RowBox[{"4", " ", "cv", " ", "k"}], "+", 
   RowBox[{"4", " ", "k", " ", "v"}], "+", 
   RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "-", 
   RowBox[{"4", " ", "k", " ", "p", " ", "r", " ", "\[Alpha]"}], "+", 
   RowBox[{
    SuperscriptBox["p", "2"], " ", 
    SuperscriptBox["\[Alpha]", "2"]}], "-", 
   RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
   RowBox[{"2", " ", "p", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
   SuperscriptBox["\[Theta]", "2"], "-", 
   RowBox[{"2", " ", "cs", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "k", " ", "r"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
  RowBox[{"4", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846126788565943*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"436b012a-9277-4588-aa71-991d2cef1f1c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  FractionBox[
   RowBox[{
    SuperscriptBox["cs", "2"], "-", 
    RowBox[{"4", " ", "cv", " ", "k"}], "+", 
    RowBox[{"4", " ", "k", " ", "v"}], "+", 
    RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "k", " ", "p", " ", "r", " ", "\[Alpha]"}], "+", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "-", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "-", 
    RowBox[{"2", " ", "p", " ", "\[Alpha]", " ", "\[Theta]"}], "+", 
    SuperscriptBox["\[Theta]", "2"], "-", 
    RowBox[{"2", " ", "cs", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "k", " ", "r"}], "-", 
       RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], ")"}]}]}], 
   RowBox[{"4", " ", "k"}]], "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[5]:=",ExpressionUUID->"6be0ec8e-cffe-41ec-9136-89aa592bccbc"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["cs", "2"]}], "+", 
    RowBox[{"4", " ", "cv", " ", "k"}], "+", 
    RowBox[{"4", " ", "cs", " ", "k", " ", "r"}], "-", 
    RowBox[{"4", " ", "k", " ", "v"}], "-", 
    RowBox[{"2", " ", "cs", " ", "p", " ", "\[Alpha]"}], "-", 
    RowBox[{"4", " ", "k", " ", "p", " ", "\[Alpha]"}], "+", 
    RowBox[{"4", " ", "k", " ", "p", " ", "r", " ", "\[Alpha]"}], "-", 
    RowBox[{
     SuperscriptBox["p", "2"], " ", 
     SuperscriptBox["\[Alpha]", "2"]}], "+", 
    RowBox[{"2", " ", "cs", " ", "\[Theta]"}], "+", 
    RowBox[{"4", " ", "k", " ", "\[Theta]"}], "+", 
    RowBox[{"2", " ", "p", " ", "\[Alpha]", " ", "\[Theta]"}], "-", 
    SuperscriptBox["\[Theta]", "2"]}], 
   RowBox[{"4", " ", "k"}]]}]], "Output",
 CellChangeTimes->{3.846126942683182*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"8a6da678-c7c0-4ce9-8c44-b0f326c7daed"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"e", ":=", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "cs"}], "-", 
    RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
   RowBox[{"2", " ", "k"}]]}]], "Input",
 CellChangeTimes->{{3.84612844576548*^9, 3.8461284529521914`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"f5c57c71-d11c-4b92-ac33-a30e3b87ffb5"],

Cell[CellGroupData[{

Cell[BoxData["e"], "Input",
 CellChangeTimes->{{3.8461284561265373`*^9, 3.8461284575859756`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"a94d91fa-c648-4911-98a8-f342adb51abe"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "cs"}], "-", 
   RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846128459222456*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"275e2929-c0d9-4bb2-b9b0-ddd7aff787fa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"r", "=", 
  RowBox[{"\[Beta]", 
   RowBox[{"(", 
    RowBox[{"1", "-", "e"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.846128462214486*^9, 3.846128472945842*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"47abdb9d-fc3d-4ba1-9744-ea88f8268d55"],

Cell[BoxData[
 RowBox[{"\[Beta]", " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "cs"}], "-", 
      RowBox[{"p", " ", "\[Alpha]"}], "+", "\[Theta]"}], 
     RowBox[{"2", " ", "k"}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.846128475044812*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"76911703-d7a4-4ef1-a1a4-37b6503d8ae5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "r", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[4]:=",ExpressionUUID->"a42915a0-20f3-494b-8af5-7ea396efe828"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"cs", "+", 
     RowBox[{"2", " ", "k"}], "+", 
     RowBox[{"p", " ", "\[Alpha]"}], "-", "\[Theta]"}], ")"}]}], 
  RowBox[{"2", " ", "k"}]]], "Output",
 CellChangeTimes->{3.846128479397938*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"9e700385-4625-4504-9da1-953eed275641"]
}, Open  ]]
},
WindowSize->{808, 730},
WindowMargins->{{106, Automatic}, {Automatic, 33}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) \
(2020\:5e743\:670813\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5f85abfb-b858-4f92-95d3-6dc8a0a2ba82"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 665, 18, 30, "Input",ExpressionUUID->"553d9f93-57ee-446e-969c-6336485a037f"],
Cell[1248, 42, 628, 19, 34, "Output",ExpressionUUID->"12f54655-f5e8-4b05-8f91-4b5e3e4b1436"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1913, 66, 179, 2, 30, "Input",ExpressionUUID->"5b966050-eaea-412b-b516-078233762697"],
Cell[2095, 70, 628, 19, 34, "Output",ExpressionUUID->"e8db741c-d426-4236-96db-9d31892d5e78"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2760, 94, 657, 20, 46, "Input",ExpressionUUID->"1bd13cc6-5530-4f30-b92f-97e81c847bfb"],
Cell[3420, 116, 529, 13, 34, "Output",ExpressionUUID->"19cb7435-7293-495b-b682-1561d17d81c5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3986, 134, 229, 4, 44, "Input",ExpressionUUID->"2f06cf4b-04e6-478a-9dd7-2447136326f1"],
Cell[4218, 140, 281, 6, 34, "Output",ExpressionUUID->"4ad131c6-d82c-48fe-b7c0-d85f7d044fe8"]
}, Open  ]],
Cell[4514, 149, 405, 10, 44, "Input",ExpressionUUID->"48fd95d3-c9ea-4b85-a251-49129f3d376a"],
Cell[CellGroupData[{
Cell[4944, 163, 587, 16, 83, InheritFromParent,ExpressionUUID->"08025e69-5ef1-4f16-a1a0-d8f518316e66"],
Cell[5534, 181, 372, 10, 49, "Output",ExpressionUUID->"e8a16c17-7047-4abe-a93b-41780fd879d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5943, 196, 595, 17, 30, "Input",ExpressionUUID->"fac266a2-7cf3-4bec-8564-ecda3442c2c1"],
Cell[6541, 215, 1083, 34, 53, "Output",ExpressionUUID->"80fbdb60-7372-487e-be8f-d5a27663c45b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7661, 254, 166, 3, 44, "Input",ExpressionUUID->"1d2e3af8-c8a8-4ce4-85b8-e9878eae70d8"],
Cell[7830, 259, 889, 21, 53, "Output",ExpressionUUID->"436b012a-9277-4588-aa71-991d2cef1f1c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8756, 285, 918, 22, 63, "Input",ExpressionUUID->"6be0ec8e-cffe-41ec-9136-89aa592bccbc"],
Cell[9677, 309, 929, 21, 53, "Output",ExpressionUUID->"8a6da678-c7c0-4ce9-8c44-b0f326c7daed"]
}, Open  ]],
Cell[10621, 333, 334, 8, 46, "Input",ExpressionUUID->"f5c57c71-d11c-4b92-ac33-a30e3b87ffb5"],
Cell[CellGroupData[{
Cell[10980, 345, 175, 2, 30, "Input",ExpressionUUID->"a94d91fa-c648-4911-98a8-f342adb51abe"],
Cell[11158, 349, 282, 7, 49, "Output",ExpressionUUID->"275e2929-c0d9-4bb2-b9b0-ddd7aff787fa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11477, 361, 266, 6, 30, "Input",ExpressionUUID->"47abdb9d-fc3d-4ba1-9744-ea88f8268d55"],
Cell[11746, 369, 372, 10, 49, "Output",ExpressionUUID->"76911703-d7a4-4ef1-a1a4-37b6503d8ae5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12155, 384, 160, 3, 44, "Input",ExpressionUUID->"a42915a0-20f3-494b-8af5-7ea396efe828"],
Cell[12318, 389, 356, 9, 51, "Output",ExpressionUUID->"9e700385-4625-4504-9da1-953eed275641"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

